/* Generated automatically by the program `genoutput'
   from the machine description file `md'.  */

#define IN_TARGET_CODE 1
#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "tree.h"
#include "rtl.h"
#include "flags.h"
#include "alias.h"
#include "varasm.h"
#include "stor-layout.h"
#include "calls.h"
#include "insn-config.h"
#include "expmed.h"
#include "dojump.h"
#include "explow.h"
#include "memmodel.h"
#include "emit-rtl.h"
#include "stmt.h"
#include "expr.h"
#include "insn-codes.h"
#include "tm_p.h"
#include "regs.h"
#include "conditions.h"
#include "insn-attr.h"

#include "recog.h"

#include "diagnostic-core.h"
#include "output.h"
#include "target.h"
#include "tm-constrs.h"

static const char *
output_5 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 637 "../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("br\t%0", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char * const output_7[] = {
  "ccmp\t%w2, %w3, %k5, %m4",
  "ccmp\t%w2, %3, %k5, %m4",
  "ccmn\t%w2, #%n3, %k5, %m4",
};

static const char * const output_8[] = {
  "ccmp\t%x2, %x3, %k5, %m4",
  "ccmp\t%x2, %3, %k5, %m4",
  "ccmn\t%x2, #%n3, %k5, %m4",
};

static const char * const output_13[] = {
  "ccmp\t%w2, %w3, %k5, %M4",
  "ccmp\t%w2, %3, %k5, %M4",
  "ccmn\t%w2, #%n3, %k5, %M4",
};

static const char * const output_14[] = {
  "ccmp\t%x2, %x3, %k5, %M4",
  "ccmp\t%x2, %3, %k5, %M4",
  "ccmn\t%x2, #%n3, %k5, %M4",
};

static const char *
output_19 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 826 "../../gcc/config/aarch64/aarch64.md"
{
    /* GCC's traditional style has been to use "beq" instead of "b.eq", etc.,
       but the "." is required for SVE conditions.  */
    bool use_dot_p = GET_MODE (operands[1]) == CC_NZCmode;
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 2, "Lbcond",
				     use_dot_p ? "b.%M0\t" : "b%M0\t");
    else
      return use_dot_p ? "b.%m0\t%l2" : "b%m0\t%l2";
  }
}

static const char *
output_28 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 957 "../../gcc/config/aarch64/aarch64.md"

  return aarch64_output_casesi (operands);
  
}

static const char *
output_30 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 976 "../../gcc/config/aarch64/aarch64.md"
{
    const char * pftype[2][4] =
    {
      {"prfm\tPLDL1STRM, %0",
       "prfm\tPLDL3KEEP, %0",
       "prfm\tPLDL2KEEP, %0",
       "prfm\tPLDL1KEEP, %0"},
      {"prfm\tPSTL1STRM, %0",
       "prfm\tPSTL3KEEP, %0",
       "prfm\tPSTL2KEEP, %0",
       "prfm\tPSTL1KEEP, %0"},
    };

    int locality = INTVAL (operands[2]);

    gcc_assert (IN_RANGE (locality, 0, 3));

    /* PRFM accepts the same addresses as a 64-bit LDR so wrap
       the address into a DImode MEM so that aarch64_print_operand knows
       how to print it.  */
    operands[0] = gen_rtx_MEM (DImode, operands[0]);
    return pftype[INTVAL(operands[1])][locality];
  }
}

static const char *
output_31 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_MEM (DImode, operands[1]);
    return "prfm\t%0, %1";
  }
}

static const char *
output_33 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1040 "../../gcc/config/aarch64/aarch64.md"
{
    const char *ret = NULL;
    if (aarch64_return_address_signing_enabled ()
	&& (TARGET_PAUTH))
      {
	if (aarch64_ra_sign_key == AARCH64_KEY_B)
	  ret = "retab";
	else
	  ret = "retaa";
      }
    else
      ret = "ret";
    output_asm_insn (ret, operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_34 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1068 "../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("ret", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_35 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1082 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%w0, ");
    else
      return "cbz\t%w0, %l1";
  }
}

static const char *
output_36 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1082 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%w0, ");
    else
      return "cbnz\t%w0, %l1";
  }
}

static const char *
output_37 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1082 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%x0, ");
    else
      return "cbz\t%x0, %l1";
  }
}

static const char *
output_38 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1082 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%x0, ");
    else
      return "cbnz\t%x0, %l1";
  }
}

static const char *
output_39 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_40 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_41 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_42 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_43 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_44 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_45 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_46 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_47 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_48 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_49 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_50 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_51 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%x0, %1, %l2";
  }
}

static const char *
output_52 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%x0, %1, %l2";
  }
}

static const char *
output_53 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%x0, %1, %l2";
  }
}

static const char *
output_54 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1129 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%x0, %1, %l2";
  }
}

static const char *
output_55 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1165 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #7, %l1";
  }
}

static const char *
output_56 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1165 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #7, %l1";
  }
}

static const char *
output_57 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1165 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #15, %l1";
  }
}

static const char *
output_58 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1165 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #15, %l1";
  }
}

static const char *
output_59 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1165 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #31, %l1";
  }
}

static const char *
output_60 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1165 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #31, %l1";
  }
}

static const char *
output_61 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1165 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%x0, #63, %l1";
  }
}

static const char *
output_62 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1165 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%x0, #63, %l1";
  }
}

static const char *
output_63 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[0]);
    case 1: return "bl\t%c0";
      default: gcc_unreachable ();
    }
}

static const char *
output_64 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[1]);
    case 1: return "bl\t%c1";
      default: gcc_unreachable ();
    }
}

static const char *
output_65 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1288 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%0", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c0";
  }
}

static const char *
output_66 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1308 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%1", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c1";
  }
}

static const char *
output_67 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.8b, #0";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %1";
    case 3:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], QImode);
    case 4:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 5:
       return aarch64_output_sve_rdvl (operands[1]);
    case 6: return "ldrb\t%w0, %1";
    case 7: return "ldr\t%b0, %1";
    case 8: return "strb\t%w1, %0";
    case 9: return "str\t%b1, %0";
    case 10: return "umov\t%w0, %1.b[0]";
    case 11: return "fmov\t%w0, %s1";
    case 12: return "dup\t%0.8b, %w1";
    case 13: return "fmov\t%s0, %w1";
    case 14: return "dup\t%b0, %1.b[0]";
    case 15: return "fmov\t%s0, %s1";
    case 16: return "msr\t%0, %x1";
    case 17: return "mrs\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_68 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.8b, #0";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %1";
    case 3:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 4:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 5:
       return aarch64_output_sve_rdvl (operands[1]);
    case 6: return "ldrh\t%w0, %1";
    case 7: return "ldr\t%h0, %1";
    case 8: return "strh\t%w1, %0";
    case 9: return "str\t%h1, %0";
    case 10: return "umov\t%w0, %1.h[0]";
    case 11: return "fmov\t%w0, %s1";
    case 12: return "dup\t%0.4h, %w1";
    case 13: return "fmov\t%s0, %w1";
    case 14: return "dup\t%h0, %1.h[0]";
    case 15: return "fmov\t%s0, %s1";
    case 16: return "msr\t%0, %x1";
    case 17: return "mrs\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_69 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2d, #0";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %w1";
    case 3: return "mov\t%w0, %1";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 6:
       return aarch64_output_sve_rdvl (operands[1]);
    case 7:
       return aarch64_output_rdsvl (operands[1]);
    case 8: return "ldr\t%w0, %1";
    case 9: return "ldr\t%s0, %1";
    case 10: return "str\t%w1, %0";
    case 11: return "str\t%s1, %0";
    case 12: return "adrp\t%x0, %A1\n\tldr\t%w0, [%x0, %L1]";
    case 13: return "adr\t%x0, %c1";
    case 14: return "adrp\t%x0, %A1";
    case 15: return "fmov\t%s0, %w1";
    case 16: return "fmov\t%w0, %s1";
    case 17: return "fmov\t%s0, %s1";
    case 18:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 19: return "msr\t%0, %x1";
    case 20: return "mrs\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_70 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2d, #0";
    case 1: return "mov\t%x0, %x1";
    case 2: return "mov\t%0, %x1";
    case 3: return "mov\t%x0, %1";
    case 4:
       return aarch64_is_mov_xn_imm (INTVAL (operands[1])) ? "mov\t%x0, %1" : "mov\t%w0, %1";
    case 5: return "#";
    case 6:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 7:
       return aarch64_output_sve_rdvl (operands[1]);
    case 8:
       return aarch64_output_rdsvl (operands[1]);
    case 9: return "ldr\t%x0, %1";
    case 10: return "ldr\t%d0, %1";
    case 11: return "str\t%x1, %0";
    case 12: return "str\t%d1, %0";
    case 13:
       return TARGET_ILP32 ? "adrp\t%0, %A1\n\tldr\t%w0, [%0, %L1]" : "adrp\t%0, %A1\n\tldr\t%0, [%0, %L1]";
    case 14: return "adr\t%x0, %c1";
    case 15: return "adrp\t%x0, %A1";
    case 16: return "fmov\t%d0, %x1";
    case 17: return "fmov\t%x0, %d1";
    case 18: return "fmov\t%d0, %d1";
    case 19:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 20: return "#";
    case 21: return "msr\t%0, %1";
    case 22: return "mrs\t%0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_73 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1552 "../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], SImode),
				    rtx_mode_t (operands[3], SImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%w0, #%X2, lsl %3";
  }
}

static const char *
output_74 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1552 "../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], DImode),
				    rtx_mode_t (operands[3], DImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%x0, #%X2, lsl %3";
  }
}

static const char * const output_75[] = {
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%d0, xzr",
  "#",
  "#",
  "mov\t%0.16b, %1.16b",
  "mov\t%Z0.d, %Z1.d",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
};

static const char *
output_76 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "fmov\t%s0, %w1";
    case 4: return "umov\t%w0, %1.h[0]";
    case 5: return "fmov\t%w0, %s1";
    case 6: return "mov\t%0.h[0], %1.h[0]";
    case 7: return "fmov\t%s0, %s1";
    case 8: return "fmov\t%h0, %1";
    case 9:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 10: return "ldr\t%h0, %1";
    case 11: return "str\t%h1, %0";
    case 12: return "ldrh\t%w0, %1";
    case 13: return "strh\t%w1, %0";
    case 14: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_77 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "fmov\t%s0, %w1";
    case 4: return "umov\t%w0, %1.h[0]";
    case 5: return "fmov\t%w0, %s1";
    case 6: return "mov\t%0.h[0], %1.h[0]";
    case 7: return "fmov\t%s0, %s1";
    case 8: return "fmov\t%h0, %1";
    case 9:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 10: return "ldr\t%h0, %1";
    case 11: return "str\t%h1, %0";
    case 12: return "ldrh\t%w0, %1";
    case 13: return "strh\t%w1, %0";
    case 14: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_78 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2s, #0";
    case 1: return "fmov\t%s0, %w1";
    case 2: return "fmov\t%w0, %s1";
    case 3: return "fmov\t%s0, %s1";
    case 4: return "fmov\t%s0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 6: return "ldr\t%s0, %1";
    case 7: return "str\t%s1, %0";
    case 8: return "ldr\t%w0, %1";
    case 9: return "str\t%w1, %0";
    case 10: return "mov\t%w0, %w1";
    case 11: return "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_79 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2s, #0";
    case 1: return "fmov\t%s0, %w1";
    case 2: return "fmov\t%w0, %s1";
    case 3: return "fmov\t%s0, %s1";
    case 4: return "fmov\t%s0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 6: return "ldr\t%s0, %1";
    case 7: return "str\t%s1, %0";
    case 8: return "ldr\t%w0, %1";
    case 9: return "str\t%w1, %0";
    case 10: return "mov\t%w0, %w1";
    case 11: return "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_80 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%d0, #0";
    case 1: return "fmov\t%d0, %x1";
    case 2: return "fmov\t%x0, %d1";
    case 3: return "fmov\t%d0, %d1";
    case 4: return "fmov\t%d0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 6: return "ldr\t%d0, %1";
    case 7: return "str\t%d1, %0";
    case 8: return "ldr\t%x0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "mov\t%x0, %x1";
    case 11:
       return aarch64_is_mov_xn_imm (INTVAL (operands[1])) ? "mov\t%x0, %1" : "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_81 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%d0, #0";
    case 1: return "fmov\t%d0, %x1";
    case 2: return "fmov\t%x0, %d1";
    case 3: return "fmov\t%d0, %d1";
    case 4: return "fmov\t%d0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 6: return "ldr\t%d0, %1";
    case 7: return "str\t%d1, %0";
    case 8: return "ldr\t%x0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "mov\t%x0, %x1";
    case 11:
       return aarch64_is_mov_xn_imm (INTVAL (operands[1])) ? "mov\t%x0, %1" : "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char * const output_82[] = {
  "mov\t%0.16b, %1.16b",
  "mov\t%Z0.d, %Z1.d",
  "#",
  "#",
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%s0, wzr",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
};

static const char * const output_83[] = {
  "mov\t%0.16b, %1.16b",
  "mov\t%Z0.d, %Z1.d",
  "#",
  "#",
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%s0, wzr",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
};

static const char * const output_87[] = {
  "ldp\t%w0, %w2, %y1",
  "ldp\t%s0, %s2, %y1",
};

static const char * const output_88[] = {
  "ldp\t%x0, %x2, %y1",
  "ldp\t%d0, %d2, %y1",
};

static const char * const output_90[] = {
  "stp\t%w1, %w2, %y0",
  "stp\t%s1, %s2, %y0",
};

static const char * const output_91[] = {
  "stp\t%x1, %x2, %y0",
  "stp\t%d1, %d2, %y0",
};

static const char * const output_93[] = {
  "ldp\t%w2, %w3, [%1], %4",
  "ldp\t%s2, %s3, [%1], %4",
};

static const char * const output_94[] = {
  "ldp\t%x2, %x3, [%1], %4",
  "ldp\t%d2, %d3, [%1], %4",
};

static const char * const output_96[] = {
  "ldp\t%w2, %w3, [%0, %4]!",
  "ldp\t%s2, %s3, [%0, %4]!",
};

static const char * const output_97[] = {
  "ldp\t%x2, %x3, [%0, %4]!",
  "ldp\t%d2, %d3, [%0, %4]!",
};

static const char * const output_99[] = {
  "stp\t%w2, %w3, [%0, %4]!",
  "stp\t%s2, %s3, [%0, %4]!",
};

static const char * const output_100[] = {
  "stp\t%x2, %x3, [%0, %4]!",
  "stp\t%d2, %d3, [%0, %4]!",
};

static const char * const output_102[] = {
  "stp\t%w2, %w3, [%0], %4",
  "stp\t%s2, %s3, [%0], %4",
};

static const char * const output_103[] = {
  "stp\t%x2, %x3, [%0], %4",
  "stp\t%d2, %d3, [%0], %4",
};

static const char * const output_105[] = {
  "sxtw\t%0, %w1",
  "ldrsw\t%0, %1",
};

static const char * const output_107[] = {
  "uxtw\t%0, %w1",
  "ldr\t%w0, %1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
  "fmov\t%w0, %s1",
  "fmov\t%s0, %s1",
};

static const char * const output_108[] = {
  "ldp\t%w0, %w2, %y1",
  "ldp\t%s0, %s2, %y1",
};

static const char * const output_109[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
  "smov\t%w0, %1.b[0]",
};

static const char * const output_110[] = {
  "sxtb\t%x0, %w1",
  "ldrsb\t%x0, %1",
  "smov\t%x0, %1.b[0]",
};

static const char * const output_111[] = {
  "sxth\t%w0, %w1",
  "ldrsh\t%w0, %1",
  "smov\t%w0, %1.h[0]",
};

static const char * const output_112[] = {
  "sxth\t%x0, %w1",
  "ldrsh\t%x0, %1",
  "smov\t%x0, %1.h[0]",
};

static const char * const output_113[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
  "umov\t%w0, %1.b[0]",
};

static const char * const output_114[] = {
  "and\t%x0, %x1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
  "umov\t%w0, %1.b[0]",
};

static const char * const output_115[] = {
  "and\t%w0, %w1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
  "umov\t%w0, %1.h[0]",
};

static const char * const output_116[] = {
  "and\t%x0, %x1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
  "umov\t%w0, %1.h[0]",
};

static const char * const output_117[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_118[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
};

static const char *
output_119 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "add\t%0.2s, %1.2s, %2.2s";
    case 3: return "sub\t%w0, %w1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 7:
       return aarch64_output_addsvl_addspl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char *
output_120 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "add\t%d0, %d1, %d2";
    case 3: return "sub\t%x0, %x1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 7:
       return aarch64_output_addsvl_addspl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char * const output_121[] = {
  "add\t%w0, %w1, %2",
  "add\t%w0, %w1, %w2",
  "sub\t%w0, %w1, #%n2",
  "#",
};

static const char *
output_122 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "sub\t%w0, %w1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_123 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "sub\t%x0, %x1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char * const output_124[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_125[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_126[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_127[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_128[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_129[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_130[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_131[] = {
  "cmn\t%w0, %w1",
  "cmp\t%w0, #%n1",
};

static const char * const output_132[] = {
  "cmn\t%x0, %x1",
  "cmp\t%x0, #%n1",
};

static const char * const output_135[] = {
  "adds\t%w0, %w1, %w2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_136[] = {
  "adds\t%x0, %x1, %x2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_199[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_200[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char *
output_261 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3095 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_262 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3095 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%x0, %x4, %w1, uxt%e3 %2";
}

static const char *
output_263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3112 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char * const output_266[] = {
  "sub\t%x0, %x1, %x2",
  "sub\t%d0, %d1, %d2",
};

static const char * const output_269[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_270[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char * const output_275[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_276[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_282[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_283[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char *
output_346 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3801 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3801 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%x0, %x4, %w1, uxt%e3 %2";
}

static const char *
output_348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3818 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char * const output_351[] = {
  "neg\t%w0, %w1",
  "neg\t%0.2s, %1.2s",
};

static const char * const output_352[] = {
  "neg\t%x0, %x1",
  "neg\t%d0, %d1",
};

static const char * const output_404[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmn\t%w0, #%n1",
};

static const char * const output_405[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmn\t%x0, #%n1",
};

static const char * const output_406[] = {
  "fcmp\t%s0, #0.0",
  "fcmp\t%s0, %s1",
};

static const char * const output_407[] = {
  "fcmp\t%d0, #0.0",
  "fcmp\t%d0, %d1",
};

static const char * const output_408[] = {
  "fcmpe\t%s0, #0.0",
  "fcmpe\t%s0, %s1",
};

static const char * const output_409[] = {
  "fcmpe\t%d0, #0.0",
  "fcmpe\t%d0, %d1",
};

static const char * const output_454[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_455[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_456[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_457[] = {
  "csel\t%x0, %x3, %x4, %m1",
  "csinv\t%x0, %x3, xzr, %m1",
  "csinv\t%x0, %x4, xzr, %M1",
  "csinc\t%x0, %x3, xzr, %m1",
  "csinc\t%x0, %x4, xzr, %M1",
  "mov\t%x0, -1",
  "mov\t%x0, 1",
};

static const char * const output_458[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char *
output_464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4558 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32b\t%w0, %w1, %x2";
    else
      return "crc32b\t%w0, %w1, %w2";
  }
}

static const char *
output_465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4558 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32h\t%w0, %w1, %x2";
    else
      return "crc32h\t%w0, %w1, %w2";
  }
}

static const char *
output_466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4558 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32w\t%w0, %w1, %x2";
    else
      return "crc32w\t%w0, %w1, %w2";
  }
}

static const char *
output_467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4558 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32x\t%w0, %w1, %x2";
    else
      return "crc32x\t%w0, %w1, %w2";
  }
}

static const char *
output_468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4558 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32cb\t%w0, %w1, %x2";
    else
      return "crc32cb\t%w0, %w1, %w2";
  }
}

static const char *
output_469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4558 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32ch\t%w0, %w1, %x2";
    else
      return "crc32ch\t%w0, %w1, %w2";
  }
}

static const char *
output_470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4558 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32cw\t%w0, %w1, %x2";
    else
      return "crc32cw\t%w0, %w1, %w2";
  }
}

static const char *
output_471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4558 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32cx\t%w0, %w1, %x2";
    else
      return "crc32cx\t%w0, %w1, %w2";
  }
}

static const char *
output_491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4772 "../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%w0", operands[2]);
  }
}

static const char *
output_492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4772 "../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%x0", operands[2]);
  }
}

static const char * const output_503[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
  "and\t%Z0.s, %Z0.s, #%2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_504[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
  "orr\t%Z0.s, %Z0.s, #%2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_505[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
  "eor\t%Z0.s, %Z0.s, #%2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_506[] = {
  "and\t%x0, %x1, %x2",
  "and\t%x0, %x1, %2",
  "and\t%Z0.d, %Z0.d, #%2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_507[] = {
  "orr\t%x0, %x1, %x2",
  "orr\t%x0, %x1, %2",
  "orr\t%Z0.d, %Z0.d, #%2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_508[] = {
  "eor\t%x0, %x1, %x2",
  "eor\t%x0, %x1, %2",
  "eor\t%Z0.d, %Z0.d, #%2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_509[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
};

static const char * const output_510[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
};

static const char * const output_511[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
};

static const char * const output_512[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_513[] = {
  "ands\t%x0, %x1, %x2",
  "ands\t%x0, %x1, %2",
};

static const char * const output_514[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char *
output_515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4896 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4917 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4917 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4917 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4917 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4917 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_547 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_548 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_549 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_550 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_551 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_552 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_553 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_557 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_558 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_559 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4932 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_560 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_561 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_562 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_563 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_564 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_565 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_566 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_567 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_568 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_569 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_570 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_571 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_572 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_573 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_574 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5038 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, ror %2";
}
}

static const char * const output_575[] = {
  "mvn\t%w0, %w1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_576[] = {
  "mvn\t%x0, %x1",
  "mvn\t%0.8b, %1.8b",
};

static const char *
output_578 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, lsl %2";
}
}

static const char *
output_579 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, asr %2";
}
}

static const char *
output_580 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, lsr %2";
}
}

static const char *
output_581 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, ror %2";
}
}

static const char *
output_582 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, ror %2";
}
}

static const char *
output_583 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, lsl %2";
}
}

static const char *
output_584 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, asr %2";
}
}

static const char *
output_585 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, lsr %2";
}
}

static const char *
output_586 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, ror %2";
}
}

static const char *
output_587 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5070 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, ror %2";
}
}

static const char * const output_588[] = {
  "bic\t%w0, %w1, %w2",
  "bic\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_589[] = {
  "orn\t%w0, %w1, %w2",
  "orn\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_590[] = {
  "bic\t%x0, %x1, %x2",
  "bic\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_591[] = {
  "orn\t%x0, %x1, %x2",
  "orn\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_595[] = {
  "eon\t%w0, %w1, %w2",
  "#",
};

static const char * const output_596[] = {
  "eon\t%x0, %x1, %x2",
  "#",
};

static const char *
output_602 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_603 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_604 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_605 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_606 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_607 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_608 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_609 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_610 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_611 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_612 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_613 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_614 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_615 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_616 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_617 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_618 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_619 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_620 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_621 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_622 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_623 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_624 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_625 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_626 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_627 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_628 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_629 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_630 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_631 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5180 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_632 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_633 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_634 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_635 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_636 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_637 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_638 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_639 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_640 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_641 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_642 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_643 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_644 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_645 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_646 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5197 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_647 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_648 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_649 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_650 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_651 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_652 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_653 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_654 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_655 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_656 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5213 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_657 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5231 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_658 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5231 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_659 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5231 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_660 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5231 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_661 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5231 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_662 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_663 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_664 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_665 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_666 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_667 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_668 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_669 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_670 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_671 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5253 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_672 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5276 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_673 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5276 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_674 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5276 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_675 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5276 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_676 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5276 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_677 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, lsl %1";
}
}

static const char *
output_678 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, asr %1";
}
}

static const char *
output_679 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, lsr %1";
}
}

static const char *
output_680 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, ror %1";
}
}

static const char *
output_681 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, ror %1";
}
}

static const char *
output_682 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, lsl %1";
}
}

static const char *
output_683 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, asr %1";
}
}

static const char *
output_684 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, lsr %1";
}
}

static const char *
output_685 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, ror %1";
}
}

static const char *
output_686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5294 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, ror %1";
}
}

static const char *
output_695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5426 "../../gcc/config/aarch64/aarch64.md"
{ return TARGET_CSSC ? "ctz\t%w0, %w1" : "#"; }
}

static const char *
output_696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5426 "../../gcc/config/aarch64/aarch64.md"
{ return TARGET_CSSC ? "ctz\t%x0, %x1" : "#"; }
}

static const char * const output_703[] = {
  "tst\t%w0, %w1",
  "tst\t%w0, %1",
};

static const char * const output_704[] = {
  "tst\t%x0, %x1",
  "tst\t%x0, %1",
};

static const char *
output_705 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5500 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%w0, %1";
  }
}

static const char *
output_706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5500 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%x0, %1";
  }
}

static const char *
output_707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, lsl %1";
}
}

static const char *
output_708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, asr %1";
}
}

static const char *
output_709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, lsr %1";
}
}

static const char *
output_710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, ror %1";
}
}

static const char *
output_711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, ror %1";
}
}

static const char *
output_712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, lsl %1";
}
}

static const char *
output_713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, asr %1";
}
}

static const char *
output_714 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, lsr %1";
}
}

static const char *
output_715 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, ror %1";
}
}

static const char *
output_716 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5517 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, ror %1";
}
}

static const char *
output_739 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5708 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsl\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_740 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5708 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("asr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_741 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5708 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_742 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5708 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("ror\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_743 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5708 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("ror\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char * const output_750[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
  "shl\t%0.2s, %1.2s, %2",
  "ushl\t%0.2s, %1.2s, %2.2s",
};

static const char * const output_751[] = {
  "lsl\t%x0, %x1, %2",
  "lsl\t%x0, %x1, %x2",
  "shl\t%d0, %d1, %2",
  "ushl\t%d0, %d1, %d2",
};

static const char * const output_752[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
  "ushr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_753[] = {
  "lsr\t%x0, %x1, %2",
  "lsr\t%x0, %x1, %x2",
  "ushr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_754[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
  "sshr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_755[] = {
  "asr\t%x0, %x1, %2",
  "asr\t%x0, %x1, %x2",
  "sshr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_761[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char * const output_762[] = {
  "ror\t%x0, %x1, %2",
  "ror\t%x0, %x1, %x2",
};

static const char *
output_763 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5922 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5922 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ror\t%x0, %x1, %3";
}
}

static const char * const output_765[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
};

static const char * const output_766[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
};

static const char * const output_767[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
};

static const char *
output_769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5960 "../../gcc/config/aarch64/aarch64.md"
{
  operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %2";
}
}

static const char *
output_770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5972 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5972 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_772 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5972 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_773 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5972 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5972 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_775 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5972 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_783 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6055 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6055 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6055 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_786 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6055 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_787 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6055 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_788 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6055 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_789 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6055 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_790 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6055 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_791 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6068 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_792 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6068 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_793 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6068 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_794 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6068 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_795 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6081 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_796 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6081 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_797 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6081 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_798 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6081 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6178 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%w0, %w2, %1, 8";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 8, SImode);
    if (which_alternative == 1)
      return "ins\t%0.b[%1], %2.b[0]";
    return "ins\t%0.b[%1], %w2";
  }
}

static const char *
output_804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6178 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%w0, %w2, %1, 16";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 16, SImode);
    if (which_alternative == 1)
      return "ins\t%0.h[%1], %2.h[0]";
    return "ins\t%0.h[%1], %w2";
  }
}

static const char *
output_805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6178 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%w0, %w2, %1, 32";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 32, SImode);
    if (which_alternative == 1)
      return "ins\t%0.s[%1], %2.s[0]";
    return "ins\t%0.s[%1], %w2";
  }
}

static const char *
output_806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6178 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%x0, %x2, %1, 8";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 8, SImode);
    if (which_alternative == 1)
      return "ins\t%0.b[%1], %2.b[0]";
    return "ins\t%0.b[%1], %w2";
  }
}

static const char *
output_807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6178 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%x0, %x2, %1, 16";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 16, SImode);
    if (which_alternative == 1)
      return "ins\t%0.h[%1], %2.h[0]";
    return "ins\t%0.h[%1], %w2";
  }
}

static const char *
output_808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6178 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%x0, %x2, %1, 32";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 32, SImode);
    if (which_alternative == 1)
      return "ins\t%0.s[%1], %2.s[0]";
    return "ins\t%0.s[%1], %w2";
  }
}

static const char *
output_839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[4]));
  return "bfi\t%w0, %w3, %4, %5";
}
}

static const char *
output_840 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6304 "../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[4]));
  return "bfi\t%x0, %x3, %4, %5";
}
}

static const char *
output_841 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6321 "../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[2]));
  return "bfi\t%w0, %w1, %2, %5";
}
}

static const char *
output_842 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6321 "../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[2]));
  return "bfi\t%x0, %x1, %2, %5";
}
}

static const char *
output_852 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_853 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_854 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_855 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_856 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_857 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_858 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_859 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_860 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_861 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_862 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_863 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6408 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_872 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6501 "../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%w0, %w1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%w0, %w2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_873 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6501 "../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%x0, %x1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%x0, %x2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_874 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6528 "../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%w0, %w1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%w0, %w2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_962 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6647 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_963 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6647 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_964 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6647 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_965 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6647 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_966 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6647 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_967 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6647 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_968 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6647 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_969 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6647 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_988[] = {
  "fcvtzs\t%s0, %s1",
  "fcvtzs\t%w0, %s1",
};

static const char * const output_989[] = {
  "fcvtzu\t%s0, %s1",
  "fcvtzu\t%w0, %s1",
};

static const char * const output_990[] = {
  "fcvtzs\t%d0, %d1",
  "fcvtzs\t%x0, %d1",
};

static const char * const output_991[] = {
  "fcvtzu\t%d0, %d1",
  "fcvtzu\t%x0, %d1",
};

static const char *
output_1002 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6851 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%s0, %s1, #%2";
      case 1:
	return "scvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_1003 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6851 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%s0, %s1, #%2";
      case 1:
	return "ucvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_1004 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6851 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%d0, %d1, #%2";
      case 1:
	return "scvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_1005 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6851 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%d0, %d1, #%2";
      case 1:
	return "ucvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_1006 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6874 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_1007 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6874 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_1008 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6874 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%d0, %w1, #%2";
  }
}

static const char *
output_1009 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6874 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%d0, %w1, #%2";
  }
}

static const char * const output_1010[] = {
  "scvtf\t%s0, %s1",
  "scvtf\t%s0, %w1",
};

static const char * const output_1011[] = {
  "ucvtf\t%s0, %s1",
  "ucvtf\t%s0, %w1",
};

static const char * const output_1012[] = {
  "scvtf\t%d0, %d1",
  "scvtf\t%d0, %x1",
};

static const char * const output_1013[] = {
  "ucvtf\t%d0, %d1",
  "ucvtf\t%d0, %x1",
};

static const char * const output_1022[] = {
  "fcvtzs\t%w0, %s1, #%2",
  "fcvtzs\t%s0, %s1, #%2",
};

static const char * const output_1023[] = {
  "fcvtzu\t%w0, %s1, #%2",
  "fcvtzu\t%s0, %s1, #%2",
};

static const char * const output_1024[] = {
  "fcvtzs\t%x0, %d1, #%2",
  "fcvtzs\t%d0, %d1, #%2",
};

static const char * const output_1025[] = {
  "fcvtzu\t%x0, %d1, #%2",
  "fcvtzu\t%d0, %d1, #%2",
};

static const char * const output_1026[] = {
  "scvtf\t%s0, %w1, #%2",
  "scvtf\t%s0, %s1, #%2",
};

static const char * const output_1027[] = {
  "ucvtf\t%s0, %w1, #%2",
  "ucvtf\t%s0, %s1, #%2",
};

static const char * const output_1028[] = {
  "scvtf\t%d0, %x1, #%2",
  "scvtf\t%d0, %d1, #%2",
};

static const char * const output_1029[] = {
  "ucvtf\t%d0, %x1, #%2",
  "ucvtf\t%d0, %d1, #%2",
};

static const char * const output_1067[] = {
  "smax\t%w0, %w1, %w2",
  "smax\t%w0, %w1, %2",
};

static const char * const output_1068[] = {
  "smin\t%w0, %w1, %w2",
  "smin\t%w0, %w1, %2",
};

static const char * const output_1069[] = {
  "umax\t%w0, %w1, %w2",
  "umax\t%w0, %w1, %2",
};

static const char * const output_1070[] = {
  "umin\t%w0, %w1, %w2",
  "umin\t%w0, %w1, %2",
};

static const char * const output_1071[] = {
  "smax\t%x0, %x1, %x2",
  "smax\t%x0, %x1, %2",
};

static const char * const output_1072[] = {
  "smin\t%x0, %x1, %x2",
  "smin\t%x0, %x1, %2",
};

static const char * const output_1073[] = {
  "umax\t%x0, %x1, %x2",
  "umax\t%x0, %x1, %2",
};

static const char * const output_1074[] = {
  "umin\t%x0, %x1, %x2",
  "umin\t%x0, %x1, %2",
};

static const char * const output_1095[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
};

static const char * const output_1096[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
};

static const char *
output_1118 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7484 "../../gcc/config/aarch64/aarch64.md"
 return aarch64_output_load_tp (operands[0]);
}

static const char *
output_1151 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7731 "../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_stack_range (operands[0], operands[2]);
}
}

static const char *
output_1152 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7749 "../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1153 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7749 "../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1154 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7799 "../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%w0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1155 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7799 "../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%x0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1168 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7926 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %m0", operands);
    return "";
  }
}

static const char *
output_1169 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7940 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %M0", operands);
    return "";
  }
}

static const char *
output_1175 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8026 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1176 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8026 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1177 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8026 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1178 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8026 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%x0, %x1, %x2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1179 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8046 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn
      ("cmp\t%3, #0\n\tcsel\t%0, %1, %2, ne\n\tcsel\t%H0, %H1, %H2, ne\n\thint\t0x14 // csdb",
       operands);
    return "";
  }
}

static const char *
output_1221 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8289 "../../gcc/config/aarch64/aarch64.md"
{
  aarch64_output_patchable_area (INTVAL (operands[0]),
			         INTVAL (operands[1]) != 0);
  return "";
}
}

static const char * const output_1224[] = {
  "dup\t%0.8b, %1.b[0]",
  "dup\t%0.8b, %w1",
};

static const char * const output_1225[] = {
  "dup\t%0.16b, %1.b[0]",
  "dup\t%0.16b, %w1",
};

static const char * const output_1226[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1227[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char * const output_1228[] = {
  "dup\t%0.2s, %1.s[0]",
  "dup\t%0.2s, %w1",
};

static const char * const output_1229[] = {
  "dup\t%0.4s, %1.s[0]",
  "dup\t%0.4s, %w1",
};

static const char * const output_1230[] = {
  "dup\t%0.2d, %1.d[0]",
  "dup\t%0.2d, %x1",
};

static const char * const output_1231[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1232[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char * const output_1233[] = {
  "dup\t%0.2s, %1.s[0]",
  "dup\t%0.2s, %w1",
};

static const char * const output_1234[] = {
  "dup\t%0.4s, %1.s[0]",
  "dup\t%0.4s, %w1",
};

static const char * const output_1235[] = {
  "dup\t%0.2d, %1.d[0]",
  "dup\t%0.2d, %x1",
};

static const char * const output_1236[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1237[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char *
output_1238 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1239 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1240 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1241 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1242 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1243 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1244 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1245 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1246 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1247 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1248 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1249 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1250 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1251 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1252 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1253 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1254 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1255 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1256 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1257 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1258 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1259 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1260 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1261 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1262 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1264 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1265 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1266 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1267 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1268 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1269 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1270 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1271 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1272 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1273 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1274 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1275 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char * const output_1290[] = {
  "stp\t%s1, %s1, %y0",
  "stp\t%w1, %w1, %y0",
};

static const char * const output_1291[] = {
  "stp\t%s1, %s1, %y0",
  "stp\t%w1, %w1, %y0",
};

static const char * const output_1292[] = {
  "stp\t%d1, %d1, %y0",
  "stp\t%x1, %x1, %y0",
};

static const char * const output_1293[] = {
  "stp\t%d1, %d1, %y0",
  "stp\t%x1, %x1, %y0",
};

static const char * const output_1294[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1295[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1296[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1297[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1298[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1299[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1300[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1301[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1302[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1303[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1304[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1305[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char *
output_1433 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1434 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1435 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1437 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1438 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1439 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1440 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1441 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1442 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1443 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1444 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1445 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1446 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1447 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1448 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1449 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1450 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1451 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1452 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1453 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1454 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1455 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1456 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1457 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1458 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1459 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1461 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1463 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #0";
}
}

static const char *
output_1466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #90";
}
}

static const char *
output_1467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #180";
}
}

static const char *
output_1468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #270";
}
}

static const char *
output_1469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1501 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1502 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1503 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1504 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1505 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1506 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1507 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1510 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1511 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1512 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1513 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "mul\t%0.4h, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "mul\t%0.8h, %1.8h, %2.h[%3]";
  }
}

static const char *
output_1535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "mul\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "mul\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_1537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "fmul\t%0.4h, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "fmul\t%0.8h, %1.8h, %2.h[%3]";
  }
}

static const char *
output_1539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmul\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmul\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_1541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "mul\t%0.4h, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "mul\t%0.8h, %1.8h, %2.h[%3]";
  }
}

static const char *
output_1543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "mul\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "mul\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_1545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "fmul\t%0.4h, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "fmul\t%0.8h, %1.8h, %2.h[%3]";
  }
}

static const char *
output_1547 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmul\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1548 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmul\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_1549 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmul\t%0.2d, %1.2d, %2.d[%3]";
  }
}

static const char *
output_1577 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 772 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1742 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1743 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1744 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1745 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1746 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1747 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1748 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1749 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1750 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1751 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1752 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1753 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1754 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1755 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1756 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1757 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1758 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1759 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1760 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1761 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1762 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1763 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1765 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1766 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1772 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1773 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1775 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1776 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1777 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1778 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1794 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1795 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1796 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1797 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1798 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1799 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1800 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1801 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1802 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.b[%p2], wzr";
  }
}

static const char *
output_1809 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.b[%p2], wzr";
  }
}

static const char *
output_1810 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1811 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1812 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.s[%p2], wzr";
  }
}

static const char *
output_1813 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.s[%p2], wzr";
  }
}

static const char *
output_1814 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.d[%p2], xzr";
  }
}

static const char *
output_1815 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1816 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1817 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1818 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1819 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.s[%p2], wzr";
  }
}

static const char *
output_1820 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.s[%p2], wzr";
  }
}

static const char *
output_1821 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.d[%p2], xzr";
  }
}

static const char *
output_1822 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1823 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1824 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1825 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1826 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1827 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1828 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1829 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1830 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1831 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1832 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1833 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1834 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1835 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1836 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1837 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1838 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1840 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1841 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1842 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1843 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1844 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1845 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char * const output_1859[] = {
  "cmlt\t%0.8b, %1.8b, #0",
  "sshr\t%0.8b, %1.8b, %2",
};

static const char * const output_1860[] = {
  "cmlt\t%0.8b, %1.8b, #0",
  "sshr\t%0.8b, %1.8b, %2",
};

static const char * const output_1861[] = {
  "cmlt\t%0.8b, %1.8b, #0",
  "sshr\t%0.8b, %1.8b, %2",
};

static const char * const output_1862[] = {
  "cmlt\t%0.16b, %1.16b, #0",
  "sshr\t%0.16b, %1.16b, %2",
};

static const char * const output_1863[] = {
  "cmlt\t%0.4h, %1.4h, #0",
  "sshr\t%0.4h, %1.4h, %2",
};

static const char * const output_1864[] = {
  "cmlt\t%0.4h, %1.4h, #0",
  "sshr\t%0.4h, %1.4h, %2",
};

static const char * const output_1865[] = {
  "cmlt\t%0.4h, %1.4h, #0",
  "sshr\t%0.4h, %1.4h, %2",
};

static const char * const output_1866[] = {
  "cmlt\t%0.8h, %1.8h, #0",
  "sshr\t%0.8h, %1.8h, %2",
};

static const char * const output_1867[] = {
  "cmlt\t%0.2s, %1.2s, #0",
  "sshr\t%0.2s, %1.2s, %2",
};

static const char * const output_1868[] = {
  "cmlt\t%0.2s, %1.2s, #0",
  "sshr\t%0.2s, %1.2s, %2",
};

static const char * const output_1869[] = {
  "cmlt\t%0.2s, %1.2s, #0",
  "sshr\t%0.2s, %1.2s, %2",
};

static const char * const output_1870[] = {
  "cmlt\t%0.4s, %1.4s, #0",
  "sshr\t%0.4s, %1.4s, %2",
};

static const char * const output_1871[] = {
  "cmlt\t%0.2d, %1.2d, #0",
  "sshr\t%0.2d, %1.2d, %2",
};

static const char * const output_1909[] = {
  "add\t%0.8b, %1.8b, %1.8b",
  "shl\t%0.8b, %1.8b, %2",
};

static const char * const output_1910[] = {
  "add\t%0.8b, %1.8b, %1.8b",
  "shl\t%0.8b, %1.8b, %2",
};

static const char * const output_1911[] = {
  "add\t%0.8b, %1.8b, %1.8b",
  "shl\t%0.8b, %1.8b, %2",
};

static const char * const output_1912[] = {
  "add\t%0.16b, %1.16b, %1.16b",
  "shl\t%0.16b, %1.16b, %2",
};

static const char * const output_1913[] = {
  "add\t%0.4h, %1.4h, %1.4h",
  "shl\t%0.4h, %1.4h, %2",
};

static const char * const output_1914[] = {
  "add\t%0.4h, %1.4h, %1.4h",
  "shl\t%0.4h, %1.4h, %2",
};

static const char * const output_1915[] = {
  "add\t%0.4h, %1.4h, %1.4h",
  "shl\t%0.4h, %1.4h, %2",
};

static const char * const output_1916[] = {
  "add\t%0.8h, %1.8h, %1.8h",
  "shl\t%0.8h, %1.8h, %2",
};

static const char * const output_1917[] = {
  "add\t%0.2s, %1.2s, %1.2s",
  "shl\t%0.2s, %1.2s, %2",
};

static const char * const output_1918[] = {
  "add\t%0.2s, %1.2s, %1.2s",
  "shl\t%0.2s, %1.2s, %2",
};

static const char * const output_1919[] = {
  "add\t%0.2s, %1.2s, %1.2s",
  "shl\t%0.2s, %1.2s, %2",
};

static const char * const output_1920[] = {
  "add\t%0.4s, %1.4s, %1.4s",
  "shl\t%0.4s, %1.4s, %2",
};

static const char * const output_1921[] = {
  "add\t%0.2d, %1.2d, %1.2d",
  "shl\t%0.2d, %1.2d, %2",
};

static const char *
output_1961 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1962 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1963 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1964 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1965 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1966 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1967 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1968 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1969 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1970 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1971 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1972 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1973 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1974 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1975 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1976 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1977 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1978 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1991 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1992 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1993 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1994 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1995 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1996 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1997 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1998 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1999 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2000 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2001 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2002 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_2003 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2004 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2005 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2006 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2027 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2028 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2029 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2030 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_2031 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2032 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2033 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2034 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2035 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2036 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2037 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2038 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_2039 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2040 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2041 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2042 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2189 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1866 "../../gcc/config/aarch64/aarch64-simd.md"
{
  if (!BYTES_BIG_ENDIAN)
    return "uzp1\t%0.16b, %1.16b, %2.16b";
  else
    return "uzp1\t%0.16b, %2.16b, %1.16b";
}
}

static const char *
output_2190 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1866 "../../gcc/config/aarch64/aarch64-simd.md"
{
  if (!BYTES_BIG_ENDIAN)
    return "uzp1\t%0.8h, %1.8h, %2.8h";
  else
    return "uzp1\t%0.8h, %2.8h, %1.8h";
}
}

static const char *
output_2191 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1866 "../../gcc/config/aarch64/aarch64-simd.md"
{
  if (!BYTES_BIG_ENDIAN)
    return "uzp1\t%0.4s, %1.4s, %2.4s";
  else
    return "uzp1\t%0.4s, %2.4s, %1.4s";
}
}

static const char *
output_2280 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2281 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2281 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2281 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2282 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2281 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2283 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2281 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2284 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2281 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2285 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2281 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2286 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2281 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2287 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2281 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2288 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2301 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2289 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2301 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2290 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2301 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2291 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2301 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2292 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2335 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2293 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2335 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2294 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2335 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2295 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2335 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2304 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2411 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2305 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2411 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2306 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2411 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2307 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2411 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2308 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2411 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2309 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2411 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2310 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2411 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2311 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2411 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2312 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2433 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "smlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2313 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2433 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "umlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2314 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2433 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "smlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2315 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2433 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "umlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2316 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2470 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "smlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2317 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2470 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "umlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2318 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2470 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "smlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2319 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2470 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "umlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2320 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2505 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2321 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2505 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2322 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2505 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2323 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2505 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2324 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2505 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2325 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2505 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2326 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2505 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2327 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2505 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2328 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2528 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "smlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2329 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2528 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "umlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2330 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2528 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "smlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2331 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2528 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "umlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2332 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2566 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "smlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2333 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2566 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "umlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2334 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2566 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "smlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2335 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2566 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "umlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2400 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2852 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2401 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2852 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2402 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2852 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2852 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2852 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2405 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2869 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2406 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2869 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2407 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2869 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2408 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2869 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2426 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2897 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2926 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2437 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2926 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2438 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2926 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2439 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2926 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2440 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2926 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2441 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2944 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2442 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2944 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2443 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2944 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2444 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2944 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2974 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2590 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3040 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2591 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3040 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2592 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3040 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2593 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3040 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2594 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3040 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2595 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3040 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_2866[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2867[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2868[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2869[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2870[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2871[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2872[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2873[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2874[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2875[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2876[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2877[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2878[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2879[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2880[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2881[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2882[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2883[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2884[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2885[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2886[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2887[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2888[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2889[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2890[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2891[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2892[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
  "#",
};

static const char * const output_2893[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
  "#",
};

static const char *
output_2894 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4332 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2895 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4332 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2896 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4332 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2897 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4332 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2898 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4332 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2899 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4332 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2900 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4332 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2901 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4332 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2902 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4347 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2903 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4347 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2904 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4347 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2905 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4347 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2906 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4347 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2907 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4347 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2908 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4347 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2909 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4347 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2910 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2911 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2912 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2913 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2914 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2915 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2916 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2917 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2918 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2919 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2920 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2921 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2922 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2923 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4366 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char * const output_2936[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2937[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2938[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2939[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2940[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2941[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2942[] = {
  "stp\t%s1, %s2, %y0",
  "stp\t%w1, %w2, %y0",
};

static const char * const output_2943[] = {
  "stp\t%s1, %s2, %y0",
  "stp\t%w1, %w2, %y0",
};

static const char * const output_2944[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2945[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2946[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2947[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2948[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2949[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2950[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2951[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2952[] = {
  "uzp1\t%0.2s, %1.2s, %2.2s",
  "ins\t%0.s[1], %w2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.s}[1], %2",
  "stp\t%s1, %s2, %y0",
  "stp\t%w1, %w2, %y0",
};

static const char * const output_2953[] = {
  "uzp1\t%0.2s, %1.2s, %2.2s",
  "ins\t%0.s[1], %w2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.s}[1], %2",
  "stp\t%s1, %s2, %y0",
  "stp\t%w1, %w2, %y0",
};

static const char * const output_2954[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2955[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2956[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2957[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2958[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2959[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2960[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2961[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2962[] = {
  "uzp1\t%0.2s, %1.2s, %2.2s",
  "ins\t%0.s[1], %w2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.s}[1], %2",
  "stp\t%s2, %s1, %y0",
  "stp\t%w2, %w1, %y0",
};

static const char * const output_2963[] = {
  "uzp1\t%0.2s, %1.2s, %2.2s",
  "ins\t%0.s[1], %w2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.s}[1], %2",
  "stp\t%s2, %s1, %y0",
  "stp\t%w2, %w1, %y0",
};

static const char * const output_2964[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2965[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2966[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2967[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2968[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2969[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2970[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2971[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2972[] = {
  "fmov\t%s0, %s1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
};

static const char * const output_2973[] = {
  "fmov\t%s0, %s1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
};

static const char * const output_2974[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2975[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2976[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2977[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2978[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2979[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2980[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2981[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2982[] = {
  "fmov\t%s0, %s1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
};

static const char * const output_2983[] = {
  "fmov\t%s0, %s1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
};

static const char * const output_2984[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2985[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char *
output_3205 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5206 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_3206 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5206 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_3207 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5225 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_3208 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5225 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_3209 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5225 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2d, %1.2d, %2.d[%3]";
  }
}

static const char *
output_3215 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5259 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_3216 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5259 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_3217 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5259 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%d0, %d1, %2.d[%3]";
  }
}

static const char *
output_3460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3461 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3463 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_3467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_3468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_3475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5486 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_3476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_3483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_3484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_3491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5501 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_3492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5516 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_3493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5516 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_3494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5516 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_3495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5516 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_3496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5531 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_3497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5531 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_3498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5531 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_3499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5531 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_3520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_3527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_3528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_3535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5563 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_3536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5581 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_3537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5581 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_3538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5581 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_3539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5581 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_3540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_3547 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_3548 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3549 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3550 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3551 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3552 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3553 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_3555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5601 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_3556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5619 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_3557 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5619 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_3558 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5619 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_3559 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5619 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_3568 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5679 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_3569 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5679 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_3570 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5703 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_3571 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5703 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_3572 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5728 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_3573 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5728 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_3574 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5752 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_3575 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5752 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_3576 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5776 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_3577 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5776 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_3578 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5799 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_3579 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5799 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_3580 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5823 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_3581 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5823 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_3582 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5846 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_3583 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5846 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_3592 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5969 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_3593 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5969 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_3594 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5995 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_3595 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5995 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_3596 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6021 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_3597 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6021 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_3598 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6047 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_3599 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6047 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_3608 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6175 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_3609 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6175 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_3610 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6196 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_3611 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6196 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_3612 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6216 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_3613 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6216 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_3614 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6236 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_3615 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6236 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_3620 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6312 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_3621 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6312 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_3622 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6335 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_3623 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6335 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char * const output_3766[] = {
  "shll\t%0.8h, %1.8b, %I2",
  "sshll\t%0.8h, %1.8b, %I2",
};

static const char * const output_3767[] = {
  "shll\t%0.8h, %1.8b, %I2",
  "ushll\t%0.8h, %1.8b, %I2",
};

static const char * const output_3768[] = {
  "shll\t%0.4s, %1.4h, %I2",
  "sshll\t%0.4s, %1.4h, %I2",
};

static const char * const output_3769[] = {
  "shll\t%0.4s, %1.4h, %I2",
  "ushll\t%0.4s, %1.4h, %I2",
};

static const char * const output_3770[] = {
  "shll\t%0.2d, %1.2s, %I2",
  "sshll\t%0.2d, %1.2s, %I2",
};

static const char * const output_3771[] = {
  "shll\t%0.2d, %1.2s, %I2",
  "ushll\t%0.2d, %1.2s, %I2",
};

static const char * const output_3772[] = {
  "shll2\t%0.8h, %1.16b, %I3",
  "sshll2\t%0.8h, %1.16b, %I3",
};

static const char * const output_3773[] = {
  "shll2\t%0.8h, %1.16b, %I3",
  "ushll2\t%0.8h, %1.16b, %I3",
};

static const char * const output_3774[] = {
  "shll2\t%0.4s, %1.8h, %I3",
  "sshll2\t%0.4s, %1.8h, %I3",
};

static const char * const output_3775[] = {
  "shll2\t%0.4s, %1.8h, %I3",
  "ushll2\t%0.4s, %1.8h, %I3",
};

static const char * const output_3776[] = {
  "shll2\t%0.2d, %1.4s, %I3",
  "sshll2\t%0.2d, %1.4s, %I3",
};

static const char * const output_3777[] = {
  "shll2\t%0.2d, %1.4s, %I3",
  "ushll2\t%0.2d, %1.4s, %I3",
};

static const char * const output_4060[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_4061[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_4062[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_4063[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_4064[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_4065[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_4066[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_4067[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_4068[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_4069[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_4070[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_4071[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_4072[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_4073[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_4074[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_4075[] = {
  "cmgt\t%0.16b, %2.16b, %1.16b",
  "cmlt\t%0.16b, %1.16b, #0",
};

static const char * const output_4076[] = {
  "cmge\t%0.16b, %2.16b, %1.16b",
  "cmle\t%0.16b, %1.16b, #0",
};

static const char * const output_4077[] = {
  "cmeq\t%0.16b, %1.16b, %2.16b",
  "cmeq\t%0.16b, %1.16b, #0",
};

static const char * const output_4078[] = {
  "cmge\t%0.16b, %1.16b, %2.16b",
  "cmge\t%0.16b, %1.16b, #0",
};

static const char * const output_4079[] = {
  "cmgt\t%0.16b, %1.16b, %2.16b",
  "cmgt\t%0.16b, %1.16b, #0",
};

static const char * const output_4080[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_4081[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_4082[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_4083[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_4084[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_4085[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_4086[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_4087[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_4088[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_4089[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_4090[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_4091[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_4092[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_4093[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_4094[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_4095[] = {
  "cmgt\t%0.8h, %2.8h, %1.8h",
  "cmlt\t%0.8h, %1.8h, #0",
};

static const char * const output_4096[] = {
  "cmge\t%0.8h, %2.8h, %1.8h",
  "cmle\t%0.8h, %1.8h, #0",
};

static const char * const output_4097[] = {
  "cmeq\t%0.8h, %1.8h, %2.8h",
  "cmeq\t%0.8h, %1.8h, #0",
};

static const char * const output_4098[] = {
  "cmge\t%0.8h, %1.8h, %2.8h",
  "cmge\t%0.8h, %1.8h, #0",
};

static const char * const output_4099[] = {
  "cmgt\t%0.8h, %1.8h, %2.8h",
  "cmgt\t%0.8h, %1.8h, #0",
};

static const char * const output_4100[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_4101[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_4102[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_4103[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_4104[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_4105[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_4106[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_4107[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_4108[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_4109[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_4110[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_4111[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_4112[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_4113[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_4114[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_4115[] = {
  "cmgt\t%0.4s, %2.4s, %1.4s",
  "cmlt\t%0.4s, %1.4s, #0",
};

static const char * const output_4116[] = {
  "cmge\t%0.4s, %2.4s, %1.4s",
  "cmle\t%0.4s, %1.4s, #0",
};

static const char * const output_4117[] = {
  "cmeq\t%0.4s, %1.4s, %2.4s",
  "cmeq\t%0.4s, %1.4s, #0",
};

static const char * const output_4118[] = {
  "cmge\t%0.4s, %1.4s, %2.4s",
  "cmge\t%0.4s, %1.4s, #0",
};

static const char * const output_4119[] = {
  "cmgt\t%0.4s, %1.4s, %2.4s",
  "cmgt\t%0.4s, %1.4s, #0",
};

static const char * const output_4120[] = {
  "cmgt\t%0.2d, %2.2d, %1.2d",
  "cmlt\t%0.2d, %1.2d, #0",
};

static const char * const output_4121[] = {
  "cmge\t%0.2d, %2.2d, %1.2d",
  "cmle\t%0.2d, %1.2d, #0",
};

static const char * const output_4122[] = {
  "cmeq\t%0.2d, %1.2d, %2.2d",
  "cmeq\t%0.2d, %1.2d, #0",
};

static const char * const output_4123[] = {
  "cmge\t%0.2d, %1.2d, %2.2d",
  "cmge\t%0.2d, %1.2d, #0",
};

static const char * const output_4124[] = {
  "cmgt\t%0.2d, %1.2d, %2.2d",
  "cmgt\t%0.2d, %1.2d, #0",
};

static const char * const output_4130[] = {
  "cmgt\t%d0, %d2, %d1",
  "cmlt\t%d0, %d1, #0",
};

static const char * const output_4131[] = {
  "cmge\t%d0, %d2, %d1",
  "cmle\t%d0, %d1, #0",
};

static const char * const output_4132[] = {
  "cmeq\t%d0, %d1, %d2",
  "cmeq\t%d0, %d1, #0",
};

static const char * const output_4133[] = {
  "cmge\t%d0, %d1, %d2",
  "cmge\t%d0, %d1, #0",
};

static const char * const output_4134[] = {
  "cmgt\t%d0, %d1, %d2",
  "cmgt\t%d0, %d1, #0",
};

static const char * const output_4225[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_4226[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_4227[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_4228[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_4229[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_4230[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_4231[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_4232[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_4233[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_4234[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_4235[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_4236[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_4237[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_4238[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_4239[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_4240[] = {
  "fcmgt\t%0.8h, %2.8h, %1.8h",
  "fcmlt\t%0.8h, %1.8h, 0",
};

static const char * const output_4241[] = {
  "fcmge\t%0.8h, %2.8h, %1.8h",
  "fcmle\t%0.8h, %1.8h, 0",
};

static const char * const output_4242[] = {
  "fcmeq\t%0.8h, %1.8h, %2.8h",
  "fcmeq\t%0.8h, %1.8h, 0",
};

static const char * const output_4243[] = {
  "fcmge\t%0.8h, %1.8h, %2.8h",
  "fcmge\t%0.8h, %1.8h, 0",
};

static const char * const output_4244[] = {
  "fcmgt\t%0.8h, %1.8h, %2.8h",
  "fcmgt\t%0.8h, %1.8h, 0",
};

static const char * const output_4245[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_4246[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_4247[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_4248[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_4249[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_4250[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_4251[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_4252[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_4253[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_4254[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_4255[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_4256[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_4257[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_4258[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_4259[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_4260[] = {
  "fcmgt\t%0.4s, %2.4s, %1.4s",
  "fcmlt\t%0.4s, %1.4s, 0",
};

static const char * const output_4261[] = {
  "fcmge\t%0.4s, %2.4s, %1.4s",
  "fcmle\t%0.4s, %1.4s, 0",
};

static const char * const output_4262[] = {
  "fcmeq\t%0.4s, %1.4s, %2.4s",
  "fcmeq\t%0.4s, %1.4s, 0",
};

static const char * const output_4263[] = {
  "fcmge\t%0.4s, %1.4s, %2.4s",
  "fcmge\t%0.4s, %1.4s, 0",
};

static const char * const output_4264[] = {
  "fcmgt\t%0.4s, %1.4s, %2.4s",
  "fcmgt\t%0.4s, %1.4s, 0",
};

static const char * const output_4265[] = {
  "fcmgt\t%0.2d, %2.2d, %1.2d",
  "fcmlt\t%0.2d, %1.2d, 0",
};

static const char * const output_4266[] = {
  "fcmge\t%0.2d, %2.2d, %1.2d",
  "fcmle\t%0.2d, %1.2d, 0",
};

static const char * const output_4267[] = {
  "fcmeq\t%0.2d, %1.2d, %2.2d",
  "fcmeq\t%0.2d, %1.2d, 0",
};

static const char * const output_4268[] = {
  "fcmge\t%0.2d, %1.2d, %2.2d",
  "fcmge\t%0.2d, %1.2d, 0",
};

static const char * const output_4269[] = {
  "fcmgt\t%0.2d, %1.2d, %2.2d",
  "fcmgt\t%0.2d, %1.2d, 0",
};

static const char * const output_4270[] = {
  "fcmgt\t%h0, %h2, %h1",
  "fcmlt\t%h0, %h1, 0",
};

static const char * const output_4271[] = {
  "fcmge\t%h0, %h2, %h1",
  "fcmle\t%h0, %h1, 0",
};

static const char * const output_4272[] = {
  "fcmeq\t%h0, %h1, %h2",
  "fcmeq\t%h0, %h1, 0",
};

static const char * const output_4273[] = {
  "fcmge\t%h0, %h1, %h2",
  "fcmge\t%h0, %h1, 0",
};

static const char * const output_4274[] = {
  "fcmgt\t%h0, %h1, %h2",
  "fcmgt\t%h0, %h1, 0",
};

static const char * const output_4275[] = {
  "fcmgt\t%s0, %s2, %s1",
  "fcmlt\t%s0, %s1, 0",
};

static const char * const output_4276[] = {
  "fcmge\t%s0, %s2, %s1",
  "fcmle\t%s0, %s1, 0",
};

static const char * const output_4277[] = {
  "fcmeq\t%s0, %s1, %s2",
  "fcmeq\t%s0, %s1, 0",
};

static const char * const output_4278[] = {
  "fcmge\t%s0, %s1, %s2",
  "fcmge\t%s0, %s1, 0",
};

static const char * const output_4279[] = {
  "fcmgt\t%s0, %s1, %s2",
  "fcmgt\t%s0, %s1, 0",
};

static const char * const output_4280[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_4281[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_4282[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_4283[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_4284[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_4285[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_4286[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_4287[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_4288[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_4289[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_4290[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_4291[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_4292[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char * const output_4293[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char * const output_4294[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char *
output_4401 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_4402 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_4404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_4405 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4406 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_4407 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_4408 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4409 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_4410 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4411 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_4412 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_4413 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4414 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_4415 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_4416 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4425 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_4426 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4427 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_4428 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_4429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4430 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_4431 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_4432 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4433 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_4434 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4435 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_4436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_4437 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4438 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_4439 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_4440 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7533 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_4466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_4468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_4469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_4471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_4472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_4474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_4476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_4477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_4479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_4480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7588 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_4490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_4492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_4493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_4495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_4496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_4498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_4500 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_4501 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4502 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_4503 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_4504 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7632 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_4530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_4532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_4533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_4535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_4536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_4538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_4540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_4541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_4543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_4544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7688 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4553 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_4554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_4556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_4557 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4558 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_4559 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_4560 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4561 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_4562 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4563 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_4564 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_4565 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4566 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_4567 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_4568 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7733 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4569 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7768 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V1DImode,
					   INTVAL (operands[2]));
    return "stl1\t{%S1.d}[%2], %0";
  }
}

static const char *
output_4570 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7768 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V1DFmode,
					   INTVAL (operands[2]));
    return "stl1\t{%S1.d}[%2], %0";
  }
}

static const char *
output_4571 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7768 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[2]));
    return "stl1\t{%S1.d}[%2], %0";
  }
}

static const char *
output_4572 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7768 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[2]));
    return "stl1\t{%S1.d}[%2], %0";
  }
}

static const char *
output_4573 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7800 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V1DImode,
					   INTVAL (operands[3]));
    return "ldap1\t{%S0.d}[%3], %1";
  }
}

static const char *
output_4574 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7800 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V1DFmode,
					   INTVAL (operands[3]));
    return "ldap1\t{%S0.d}[%3], %1";
  }
}

static const char *
output_4575 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7800 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[3]));
    return "ldap1\t{%S0.d}[%3], %1";
  }
}

static const char *
output_4576 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7800 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[3]));
    return "ldap1\t{%S0.d}[%3], %1";
  }
}

static const char * const output_4705[] = {
  "#",
  "st1\t{%S1.8b - %T1.8b}, %0",
  "ld1\t{%S0.8b - %T0.8b}, %1",
};

static const char * const output_4706[] = {
  "#",
  "st1\t{%S1.4h - %T1.4h}, %0",
  "ld1\t{%S0.4h - %T0.4h}, %1",
};

static const char * const output_4707[] = {
  "#",
  "st1\t{%S1.2s - %T1.2s}, %0",
  "ld1\t{%S0.2s - %T0.2s}, %1",
};

static const char * const output_4708[] = {
  "#",
  "st1\t{%S1.1d - %T1.1d}, %0",
  "ld1\t{%S0.1d - %T0.1d}, %1",
};

static const char * const output_4709[] = {
  "#",
  "st1\t{%S1.4h - %T1.4h}, %0",
  "ld1\t{%S0.4h - %T0.4h}, %1",
};

static const char * const output_4710[] = {
  "#",
  "st1\t{%S1.2s - %T1.2s}, %0",
  "ld1\t{%S0.2s - %T0.2s}, %1",
};

static const char * const output_4711[] = {
  "#",
  "st1\t{%S1.1d - %T1.1d}, %0",
  "ld1\t{%S0.1d - %T0.1d}, %1",
};

static const char * const output_4712[] = {
  "#",
  "st1\t{%S1.4h - %T1.4h}, %0",
  "ld1\t{%S0.4h - %T0.4h}, %1",
};

static const char * const output_4713[] = {
  "#",
  "st1\t{%S1.8b - %U1.8b}, %0",
  "ld1\t{%S0.8b - %U0.8b}, %1",
};

static const char * const output_4714[] = {
  "#",
  "st1\t{%S1.4h - %U1.4h}, %0",
  "ld1\t{%S0.4h - %U0.4h}, %1",
};

static const char * const output_4715[] = {
  "#",
  "st1\t{%S1.2s - %U1.2s}, %0",
  "ld1\t{%S0.2s - %U0.2s}, %1",
};

static const char * const output_4716[] = {
  "#",
  "st1\t{%S1.1d - %U1.1d}, %0",
  "ld1\t{%S0.1d - %U0.1d}, %1",
};

static const char * const output_4717[] = {
  "#",
  "st1\t{%S1.4h - %U1.4h}, %0",
  "ld1\t{%S0.4h - %U0.4h}, %1",
};

static const char * const output_4718[] = {
  "#",
  "st1\t{%S1.2s - %U1.2s}, %0",
  "ld1\t{%S0.2s - %U0.2s}, %1",
};

static const char * const output_4719[] = {
  "#",
  "st1\t{%S1.1d - %U1.1d}, %0",
  "ld1\t{%S0.1d - %U0.1d}, %1",
};

static const char * const output_4720[] = {
  "#",
  "st1\t{%S1.4h - %U1.4h}, %0",
  "ld1\t{%S0.4h - %U0.4h}, %1",
};

static const char * const output_4721[] = {
  "#",
  "st1\t{%S1.8b - %V1.8b}, %0",
  "ld1\t{%S0.8b - %V0.8b}, %1",
};

static const char * const output_4722[] = {
  "#",
  "st1\t{%S1.4h - %V1.4h}, %0",
  "ld1\t{%S0.4h - %V0.4h}, %1",
};

static const char * const output_4723[] = {
  "#",
  "st1\t{%S1.2s - %V1.2s}, %0",
  "ld1\t{%S0.2s - %V0.2s}, %1",
};

static const char * const output_4724[] = {
  "#",
  "st1\t{%S1.1d - %V1.1d}, %0",
  "ld1\t{%S0.1d - %V0.1d}, %1",
};

static const char * const output_4725[] = {
  "#",
  "st1\t{%S1.4h - %V1.4h}, %0",
  "ld1\t{%S0.4h - %V0.4h}, %1",
};

static const char * const output_4726[] = {
  "#",
  "st1\t{%S1.2s - %V1.2s}, %0",
  "ld1\t{%S0.2s - %V0.2s}, %1",
};

static const char * const output_4727[] = {
  "#",
  "st1\t{%S1.1d - %V1.1d}, %0",
  "ld1\t{%S0.1d - %V0.1d}, %1",
};

static const char * const output_4728[] = {
  "#",
  "st1\t{%S1.4h - %V1.4h}, %0",
  "ld1\t{%S0.4h - %V0.4h}, %1",
};

static const char * const output_4729[] = {
  "#",
  "st1\t{%S1.16b - %T1.16b}, %0",
  "ld1\t{%S0.16b - %T0.16b}, %1",
};

static const char * const output_4730[] = {
  "#",
  "st1\t{%S1.8h - %T1.8h}, %0",
  "ld1\t{%S0.8h - %T0.8h}, %1",
};

static const char * const output_4731[] = {
  "#",
  "st1\t{%S1.4s - %T1.4s}, %0",
  "ld1\t{%S0.4s - %T0.4s}, %1",
};

static const char * const output_4732[] = {
  "#",
  "st1\t{%S1.2d - %T1.2d}, %0",
  "ld1\t{%S0.2d - %T0.2d}, %1",
};

static const char * const output_4733[] = {
  "#",
  "st1\t{%S1.8h - %T1.8h}, %0",
  "ld1\t{%S0.8h - %T0.8h}, %1",
};

static const char * const output_4734[] = {
  "#",
  "st1\t{%S1.4s - %T1.4s}, %0",
  "ld1\t{%S0.4s - %T0.4s}, %1",
};

static const char * const output_4735[] = {
  "#",
  "st1\t{%S1.2d - %T1.2d}, %0",
  "ld1\t{%S0.2d - %T0.2d}, %1",
};

static const char * const output_4736[] = {
  "#",
  "st1\t{%S1.8h - %T1.8h}, %0",
  "ld1\t{%S0.8h - %T0.8h}, %1",
};

static const char * const output_4737[] = {
  "#",
  "st1\t{%S1.16b - %U1.16b}, %0",
  "ld1\t{%S0.16b - %U0.16b}, %1",
};

static const char * const output_4738[] = {
  "#",
  "st1\t{%S1.8h - %U1.8h}, %0",
  "ld1\t{%S0.8h - %U0.8h}, %1",
};

static const char * const output_4739[] = {
  "#",
  "st1\t{%S1.4s - %U1.4s}, %0",
  "ld1\t{%S0.4s - %U0.4s}, %1",
};

static const char * const output_4740[] = {
  "#",
  "st1\t{%S1.2d - %U1.2d}, %0",
  "ld1\t{%S0.2d - %U0.2d}, %1",
};

static const char * const output_4741[] = {
  "#",
  "st1\t{%S1.8h - %U1.8h}, %0",
  "ld1\t{%S0.8h - %U0.8h}, %1",
};

static const char * const output_4742[] = {
  "#",
  "st1\t{%S1.4s - %U1.4s}, %0",
  "ld1\t{%S0.4s - %U0.4s}, %1",
};

static const char * const output_4743[] = {
  "#",
  "st1\t{%S1.2d - %U1.2d}, %0",
  "ld1\t{%S0.2d - %U0.2d}, %1",
};

static const char * const output_4744[] = {
  "#",
  "st1\t{%S1.8h - %U1.8h}, %0",
  "ld1\t{%S0.8h - %U0.8h}, %1",
};

static const char * const output_4745[] = {
  "#",
  "st1\t{%S1.16b - %V1.16b}, %0",
  "ld1\t{%S0.16b - %V0.16b}, %1",
};

static const char * const output_4746[] = {
  "#",
  "st1\t{%S1.8h - %V1.8h}, %0",
  "ld1\t{%S0.8h - %V0.8h}, %1",
};

static const char * const output_4747[] = {
  "#",
  "st1\t{%S1.4s - %V1.4s}, %0",
  "ld1\t{%S0.4s - %V0.4s}, %1",
};

static const char * const output_4748[] = {
  "#",
  "st1\t{%S1.2d - %V1.2d}, %0",
  "ld1\t{%S0.2d - %V0.2d}, %1",
};

static const char * const output_4749[] = {
  "#",
  "st1\t{%S1.8h - %V1.8h}, %0",
  "ld1\t{%S0.8h - %V0.8h}, %1",
};

static const char * const output_4750[] = {
  "#",
  "st1\t{%S1.4s - %V1.4s}, %0",
  "ld1\t{%S0.4s - %V0.4s}, %1",
};

static const char * const output_4751[] = {
  "#",
  "st1\t{%S1.2d - %V1.2d}, %0",
  "ld1\t{%S0.2d - %V0.2d}, %1",
};

static const char * const output_4752[] = {
  "#",
  "st1\t{%S1.8h - %V1.8h}, %0",
  "ld1\t{%S0.8h - %V0.8h}, %1",
};

static const char * const output_4753[] = {
  "#",
  "st1\t{%S1.16b - %T1.16b}, %0",
  "ld1\t{%S0.16b - %T0.16b}, %1",
};

static const char * const output_4754[] = {
  "#",
  "st1\t{%S1.16b - %U1.16b}, %0",
  "ld1\t{%S0.16b - %U0.16b}, %1",
};

static const char * const output_4755[] = {
  "#",
  "st1\t{%S1.16b - %V1.16b}, %0",
  "ld1\t{%S0.16b - %V0.16b}, %1",
};

static const char * const output_4787[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4788[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4789[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4790[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4791[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4792[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4793[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4794[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4795[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4796[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4797[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4798[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4799[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4800[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4801[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4802[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4803[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char *
output_5043 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8QImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_5044 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V16QImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5045 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_5046 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5047 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_5048 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5049 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5050 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_5051 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5052 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4BFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_5053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8BFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5054 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_5055 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5056 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8618 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5237 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9100 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3]
      = GEN_INT (64 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    return "xar\t%0.2d, %1.2d, %2.2d, %3";
  }
}

static const char *
output_5294 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9867 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_5295 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9867 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_5296 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9867 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_5297 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9867 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_5301 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9908 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_5302 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9908 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_5303 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9908 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_5304 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9908 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_5341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casb\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casab\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslb\t%w0, %w2, %1";
  else
    return "casalb\t%w0, %w2, %1";
}
}

static const char *
output_5342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cash\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casah\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslh\t%w0, %w2, %1";
  else
    return "casalh\t%w0, %w2, %1";
}
}

static const char *
output_5343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "casl\t%w0, %w2, %1";
  else
    return "casal\t%w0, %w2, %1";
}
}

static const char *
output_5344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%x0, %x2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%x0, %x2, %1";
  else if (is_mm_release (model))
    return "casl\t%x0, %x2, %1";
  else
    return "casal\t%x0, %x2, %1";
}
}

static const char *
output_5345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 173 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casp\t%0, %R0, %2, %R2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "caspa\t%0, %R0, %2, %R2, %1";
  else if (is_mm_release (model))
    return "caspl\t%0, %R0, %2, %R2, %1";
  else
    return "caspal\t%0, %R0, %2, %R2, %1";
}
}

static const char *
output_5350 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swpb\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpab\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplb\t%w2, %w0, %1";
    else
      return "swpalb\t%w2, %w0, %1";
  }
}

static const char *
output_5351 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swph\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpah\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplh\t%w2, %w0, %1";
    else
      return "swpalh\t%w2, %w0, %1";
  }
}

static const char *
output_5352 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swpl\t%w2, %w0, %1";
    else
      return "swpal\t%w2, %w0, %1";
  }
}

static const char *
output_5353 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%x2, %x0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%x2, %x0, %1";
    else if (is_mm_release (model))
      return "swpl\t%x2, %x0, %1";
    else
      return "swpal\t%x2, %x0, %1";
  }
}

static const char *
output_5374 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w1, %w3, %0";
   else
     return "ldsetalb\t%w1, %w3, %0";
  }
}

static const char *
output_5375 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w1, %w3, %0";
   else
     return "ldclralb\t%w1, %w3, %0";
  }
}

static const char *
output_5376 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w1, %w3, %0";
   else
     return "ldeoralb\t%w1, %w3, %0";
  }
}

static const char *
output_5377 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w1, %w3, %0";
   else
     return "ldaddalb\t%w1, %w3, %0";
  }
}

static const char *
output_5378 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w1, %w3, %0";
   else
     return "ldsetalh\t%w1, %w3, %0";
  }
}

static const char *
output_5379 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w1, %w3, %0";
   else
     return "ldclralh\t%w1, %w3, %0";
  }
}

static const char *
output_5380 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w1, %w3, %0";
   else
     return "ldeoralh\t%w1, %w3, %0";
  }
}

static const char *
output_5381 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w1, %w3, %0";
   else
     return "ldaddalh\t%w1, %w3, %0";
  }
}

static const char *
output_5382 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w1, %w3, %0";
   else
     return "ldsetal\t%w1, %w3, %0";
  }
}

static const char *
output_5383 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w1, %w3, %0";
   else
     return "ldclral\t%w1, %w3, %0";
  }
}

static const char *
output_5384 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w1, %w3, %0";
   else
     return "ldeoral\t%w1, %w3, %0";
  }
}

static const char *
output_5385 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w1, %w3, %0";
   else
     return "ldaddal\t%w1, %w3, %0";
  }
}

static const char *
output_5386 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x1, %x3, %0";
   else
     return "ldsetal\t%x1, %x3, %0";
  }
}

static const char *
output_5387 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x1, %x3, %0";
   else
     return "ldclral\t%x1, %x3, %0";
  }
}

static const char *
output_5388 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x1, %x3, %0";
   else
     return "ldeoral\t%x1, %x3, %0";
  }
}

static const char *
output_5389 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x1, %x3, %0";
   else
     return "ldaddal\t%x1, %x3, %0";
  }
}

static const char *
output_5414 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlb\t%w2, %w0, %1";
   else
     return "ldsetalb\t%w2, %w0, %1";
  }
}

static const char *
output_5415 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlb\t%w2, %w0, %1";
   else
     return "ldclralb\t%w2, %w0, %1";
  }
}

static const char *
output_5416 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlb\t%w2, %w0, %1";
   else
     return "ldeoralb\t%w2, %w0, %1";
  }
}

static const char *
output_5417 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlb\t%w2, %w0, %1";
   else
     return "ldaddalb\t%w2, %w0, %1";
  }
}

static const char *
output_5418 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlh\t%w2, %w0, %1";
   else
     return "ldsetalh\t%w2, %w0, %1";
  }
}

static const char *
output_5419 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlh\t%w2, %w0, %1";
   else
     return "ldclralh\t%w2, %w0, %1";
  }
}

static const char *
output_5420 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlh\t%w2, %w0, %1";
   else
     return "ldeoralh\t%w2, %w0, %1";
  }
}

static const char *
output_5421 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlh\t%w2, %w0, %1";
   else
     return "ldaddalh\t%w2, %w0, %1";
  }
}

static const char *
output_5422 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%w2, %w0, %1";
   else
     return "ldsetal\t%w2, %w0, %1";
  }
}

static const char *
output_5423 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%w2, %w0, %1";
   else
     return "ldclral\t%w2, %w0, %1";
  }
}

static const char *
output_5424 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%w2, %w0, %1";
   else
     return "ldeoral\t%w2, %w0, %1";
  }
}

static const char *
output_5425 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%w2, %w0, %1";
   else
     return "ldaddal\t%w2, %w0, %1";
  }
}

static const char *
output_5426 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%x2, %x0, %1";
   else
     return "ldsetal\t%x2, %x0, %1";
  }
}

static const char *
output_5427 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%x2, %x0, %1";
   else
     return "ldclral\t%x2, %x0, %1";
  }
}

static const char *
output_5428 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%x2, %x0, %1";
   else
     return "ldeoral\t%x2, %x0, %1";
  }
}

static const char *
output_5429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%x2, %x0, %1";
   else
     return "ldaddal\t%x2, %x0, %1";
  }
}

static const char *
output_5458 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_5459 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_5460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_5461 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_5462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_5463 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_5464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_5465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_5466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_5471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 698 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_5472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 698 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_5473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 698 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_5474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 698 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%x0, %1";
    else
      return "ldar\t%x0, %1";
  }
}

static const char *
output_5490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 736 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strb\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrb\t%w1, %0";
    else
      return "stlurb\t%w1, %0";
  }
}

static const char *
output_5491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 736 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strh\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrh\t%w1, %0";
    else
      return "stlurh\t%w1, %0";
  }
}

static const char *
output_5492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 736 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%w1, %0";
    else if (which_alternative == 0)
      return "stlr\t%w1, %0";
    else
      return "stlur\t%w1, %0";
  }
}

static const char *
output_5493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 736 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%x1, %0";
    else if (which_alternative == 0)
      return "stlr\t%x1, %0";
    else
      return "stlur\t%x1, %0";
  }
}

static const char *
output_5494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 756 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrb\t%w0, %1";
    else
      return "ldaxrb\t%w0, %1";
  }
}

static const char *
output_5495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 756 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrh\t%w0, %1";
    else
      return "ldaxrh\t%w0, %1";
  }
}

static const char *
output_5496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 772 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%w0, %1";
    else
      return "ldaxr\t%w0, %1";
  }
}

static const char *
output_5497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 772 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%x0, %1";
    else
      return "ldaxr\t%x0, %1";
  }
}

static const char *
output_5498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 790 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxp\t%0, %1, %2";
    else
      return "ldaxp\t%0, %1, %2";
  }
}

static const char *
output_5499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrb\t%w0, %w2, %1";
    else
      return "stlxrb\t%w0, %w2, %1";
  }
}

static const char *
output_5500 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrh\t%w0, %w2, %1";
    else
      return "stlxrh\t%w0, %w2, %1";
  }
}

static const char *
output_5501 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %w2, %1";
    else
      return "stlxr\t%w0, %w2, %1";
  }
}

static const char *
output_5502 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %x2, %1";
    else
      return "stlxr\t%w0, %x2, %1";
  }
}

static const char *
output_5503 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 827 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[4]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxp\t%w0, %x2, %x3, %1";
    else
      return "stlxp\t%w0, %x2, %x3, %1";
  }
}

static const char *
output_5504 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 863 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[1]));
    if (is_mm_acquire (model))
      return "dmb\tishld";
    else
      return "dmb\tish";
  }
}

static const char *
output_5505 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5506 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5507 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5510 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5511 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5512 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5513 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char * const output_5532[] = {
  "#",
  "ld1b\t%0.b, %1/z, %2",
  "st1b\t%2.b, %1, %0",
};

static const char * const output_5533[] = {
  "#",
  "ld1b\t%0.h, %1/z, %2",
  "st1b\t%2.h, %1, %0",
};

static const char * const output_5534[] = {
  "#",
  "ld1b\t%0.s, %1/z, %2",
  "st1b\t%2.s, %1, %0",
};

static const char * const output_5535[] = {
  "#",
  "ld1b\t%0.d, %1/z, %2",
  "st1b\t%2.d, %1, %0",
};

static const char * const output_5536[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_5537[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_5538[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_5539[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_5540[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_5541[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char * const output_5542[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_5543[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_5544[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_5545[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_5546[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_5547[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_5548[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_5549[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_5550[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char *
output_5685 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5688 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 985 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1037 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1063 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1063 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1063 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char * const output_5697[] = {
  "#",
  "#",
  "#",
};

static const char * const output_5698[] = {
  "setffr",
  "wrffr\t%0.b",
};

static const char * const output_5702[] = {
  "rdffr\t%0.b, %1/z",
  "rdffr\t%0.b, %1/z",
  "rdffr\t%0.b, %1/z",
};

static const char * const output_5703[] = {
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
};

static const char * const output_5704[] = {
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
};

static const char * const output_5705[] = {
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
};

static const char * const output_5706[] = {
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
};

static const char * const output_6063[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6064[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6065[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6066[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6067[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6068[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6069[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6070[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6071[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6072[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6073[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6074[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6075[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6076[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6077[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6078[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6079[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6080[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6081[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6082[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6083[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6084[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6085[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6086[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6087[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6088[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6089[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6090[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6091[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6092[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6093[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6094[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6095[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6096[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6097[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6098[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6099[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6100[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6101[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6102[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6103[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6104[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6105[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6106[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6107[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6108[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6109[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6110[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6111[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6112[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6113[] = {
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6114[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6115[] = {
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6116[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6117[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6118[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6119[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6120[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6121[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6122[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6123[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6124[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6125[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6126[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6127[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6128[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6129[] = {
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6130[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6131[] = {
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6132[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6133[] = {
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6134[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6135[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6136[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6137[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6138[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6139[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6140[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6141[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6142[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6143[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6144[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6145[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6146[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6147[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6148[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6149[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6150[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6151[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6152[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6153[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6154[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6155[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6156[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6157[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6158[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6159[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6160[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6161[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6162[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6163[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6164[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6165[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6166[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6167[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6168[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6169[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6170[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6171[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6172[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6173[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6174[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6175[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6176[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6177[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6178[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6179[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6180[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6181[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6182[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6183[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6184[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6185[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6186[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6187[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6188[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6189[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6190[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6191[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6192[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6193[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6194[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6195[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6196[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6197[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6198[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6199[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6200[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6201[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6202[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6203[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6204[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6205[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6206[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6207[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6208[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6209[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6210[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6211[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6212[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6213[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6214[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6215[] = {
  "ldff1sb\t%0.s, %5/z, [%2.s]",
  "ldff1sb\t%0.s, %5/z, [%2.s]",
  "ldff1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6216[] = {
  "ldff1b\t%0.s, %5/z, [%2.s]",
  "ldff1b\t%0.s, %5/z, [%2.s]",
  "ldff1b\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1b\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6217[] = {
  "ldff1sh\t%0.s, %5/z, [%2.s]",
  "ldff1sh\t%0.s, %5/z, [%2.s]",
  "ldff1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6218[] = {
  "ldff1h\t%0.s, %5/z, [%2.s]",
  "ldff1h\t%0.s, %5/z, [%2.s]",
  "ldff1h\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1h\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6219[] = {
  "ldff1sb\t%0.d, %5/z, [%2.d]",
  "ldff1sb\t%0.d, %5/z, [%2.d]",
  "ldff1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6220[] = {
  "ldff1b\t%0.d, %5/z, [%2.d]",
  "ldff1b\t%0.d, %5/z, [%2.d]",
  "ldff1b\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1b\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6221[] = {
  "ldff1sh\t%0.d, %5/z, [%2.d]",
  "ldff1sh\t%0.d, %5/z, [%2.d]",
  "ldff1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6222[] = {
  "ldff1h\t%0.d, %5/z, [%2.d]",
  "ldff1h\t%0.d, %5/z, [%2.d]",
  "ldff1h\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1h\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6223[] = {
  "ldff1sw\t%0.d, %5/z, [%2.d]",
  "ldff1sw\t%0.d, %5/z, [%2.d]",
  "ldff1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6224[] = {
  "ldff1w\t%0.d, %5/z, [%2.d]",
  "ldff1w\t%0.d, %5/z, [%2.d]",
  "ldff1w\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1w\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6225[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6226[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6227[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6228[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6229[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6230[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6231[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6232[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6233[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6234[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6235[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6236[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char *
output_6237 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx16QImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfb", operands[2], "%0, %1");
  }
}

static const char *
output_6238 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx8HImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfh", operands[2], "%0, %1");
  }
}

static const char *
output_6239 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx4SImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfw", operands[2], "%0, %1");
  }
}

static const char *
output_6240 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx2DImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfd", operands[2], "%0, %1");
  }
}

static const char *
output_6241 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2126 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.s]",
      "prfb", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfb", "%0, [%1, %2.s, sxtw %p4]",
      "prfb", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6242 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2126 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.s]",
      "prfh", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfh", "%0, [%1, %2.s, sxtw %p4]",
      "prfh", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6243 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2126 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.s]",
      "prfw", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfw", "%0, [%1, %2.s, sxtw %p4]",
      "prfw", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6244 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2126 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.s]",
      "prfd", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfd", "%0, [%1, %2.s, sxtw %p4]",
      "prfd", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6245 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2155 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.d]",
      "prfb", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfb", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6246 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2155 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.d]",
      "prfh", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfh", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6247 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2155 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.d]",
      "prfw", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfw", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6248 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2155 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.d]",
      "prfd", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfd", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6249 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2186 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfb", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6250 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2186 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfh", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6251 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2186 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfw", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6252 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2186 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfd", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6253 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2216 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfb", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6254 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2216 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfh", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6255 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2216 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfw", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6256 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2216 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfd", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char * const output_6314[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6315[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6316[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6317[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6318[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6319[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6320[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6321[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6322[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6323[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6324[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6325[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6326[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6327[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6328[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6329[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6330[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6331[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6332[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6333[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6334[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6335[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6336[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6337[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6338[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6339[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6340[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6341[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6342[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6343[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6344[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6345[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6346[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6347[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6348[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6349[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6350[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6351[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6352[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6353[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6354[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6355[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6356[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6357[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6358[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6359[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6360[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6361[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6362[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6363[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6364[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6365[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6366[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6367[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6368[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6369[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6370[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6371[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_6372[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_6373[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_6374[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_6375[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6376[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6377[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6378[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_6379[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_6380[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char * const output_6381[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6382[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6383[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6384[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6385[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6386[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6387[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_6388[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_6389[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char *
output_6390 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2696 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6391 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2696 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6392 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2696 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6393 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2696 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6394 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2696 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6395 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2696 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6396 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2696 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6397 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2696 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6398 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6399 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6400 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6401 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6402 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6405 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2738 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6425 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2768 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rqb\t%0.b, %2/z, %1";
  }
}

static const char *
output_6426 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2768 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6427 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2768 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_6428 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2768 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_6429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2768 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6430 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2768 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6431 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2768 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_6432 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2768 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_6433 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2782 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rob\t%0.b, %2/z, %1";
  }
}

static const char *
output_6434 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2782 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6435 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2782 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_6436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2782 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char *
output_6437 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2782 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6438 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2782 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6439 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2782 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_6440 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2782 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char * const output_6441[] = {
  "insr\t%0.b, %w2",
  "insr\t%0.b, %b2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %b2",
};

static const char * const output_6442[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_6443[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_6444[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_6445[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_6446[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_6447[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_6448[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_6449[] = {
  "index\t%0.b, #%1, %w2",
  "index\t%0.b, %w1, #%2",
  "index\t%0.b, %w1, %w2",
};

static const char * const output_6450[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_6451[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_6452[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_6453[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_6454[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_6455[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_6456[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_6457[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_6458[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char *
output_6459 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.b, %w1, #%2";
  }
}

static const char *
output_6460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_6461 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_6462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_6463 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_6464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_6465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_6466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_6467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_6468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2850 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_6469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2941 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.b}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2941 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2941 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2941 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2941 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2941 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2941 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2941 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2976 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2976 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2976 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2976 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2976 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2976 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2976 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2976 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3002 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    return "dup\t%0.b, %1.b[%2]";
  }
}

static const char *
output_6486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3002 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_6487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3002 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_6488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3002 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_6489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3002 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_6490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3002 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_6491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3002 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_6492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3002 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_6493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3016 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (QImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3016 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3016 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3016 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3016 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (BFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3016 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3016 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6500 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3016 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char * const output_6501[] = {
  "lasta\t%w0, %1, %2.b",
  "lasta\t%b0, %1, %2.b",
};

static const char * const output_6502[] = {
  "lastb\t%w0, %1, %2.b",
  "lastb\t%b0, %1, %2.b",
};

static const char * const output_6503[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_6504[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_6505[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_6506[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_6507[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_6508[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_6509[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_6510[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_6511[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_6512[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_6513[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_6514[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_6515[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_6516[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_6517[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6518[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6519[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6520[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6521[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6522[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6523[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6524[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6525[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6526[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6527[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6528[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6529[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6530[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6531[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6532[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6533[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6534[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6535[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6536[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6537[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6538[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6539[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6540[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6541[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6542[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6543[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6544[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6545[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6546[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6547[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6548[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6549[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6550[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6551[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6552[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6553[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6554[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6555[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6556[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6557[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6558[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6559[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6560[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6561[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6562[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6563[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6564[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6565[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6566[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6567[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6568[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6569[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6570[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6571[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6572[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6573[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6574[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6575[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6576[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6577[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6578[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6579[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6580[] = {
  "abs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6581[] = {
  "neg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6582[] = {
  "not\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6583[] = {
  "cls\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6584[] = {
  "clz\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6585[] = {
  "cnt\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6586[] = {
  "rbit\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6587[] = {
  "sqabs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6588[] = {
  "sqneg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6589[] = {
  "abs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6590[] = {
  "neg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6591[] = {
  "not\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6592[] = {
  "cls\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6593[] = {
  "clz\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6594[] = {
  "cnt\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6595[] = {
  "rbit\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6596[] = {
  "sqabs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6597[] = {
  "sqneg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6598[] = {
  "abs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6599[] = {
  "neg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6600[] = {
  "not\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6601[] = {
  "cls\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6602[] = {
  "clz\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6603[] = {
  "cnt\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6604[] = {
  "rbit\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6605[] = {
  "sqabs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6606[] = {
  "sqneg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6607[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6608[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6609[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6610[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6611[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6612[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6613[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6614[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6615[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6616[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6617[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6618[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6619[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6620[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6621[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6622[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6623[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6624[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6625[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6626[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6627[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6628[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6629[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6630[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6631[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6632[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6633[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6634[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6635[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6636[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6637[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6638[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6639[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6640[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6641[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6642[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6643[] = {
  "abs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6644[] = {
  "neg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6645[] = {
  "not\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6646[] = {
  "cls\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6647[] = {
  "clz\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6648[] = {
  "cnt\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6649[] = {
  "rbit\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6650[] = {
  "sqabs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6651[] = {
  "sqneg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6652[] = {
  "abs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6653[] = {
  "neg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6654[] = {
  "not\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6655[] = {
  "cls\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6656[] = {
  "clz\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6657[] = {
  "cnt\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6658[] = {
  "rbit\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6659[] = {
  "sqabs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6660[] = {
  "sqneg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6661[] = {
  "abs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6662[] = {
  "neg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6663[] = {
  "not\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6664[] = {
  "cls\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6665[] = {
  "clz\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6666[] = {
  "cnt\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6667[] = {
  "rbit\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6668[] = {
  "sqabs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6669[] = {
  "sqneg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6670[] = {
  "abs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6671[] = {
  "neg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6672[] = {
  "not\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6673[] = {
  "cls\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6674[] = {
  "clz\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6675[] = {
  "cnt\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6676[] = {
  "rbit\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6677[] = {
  "sqabs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6678[] = {
  "sqneg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6679[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6680[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6681[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6682[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6683[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6684[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6685[] = {
  "rbit\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6686[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6687[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6688[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6689[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6690[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6691[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6692[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6693[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6694[] = {
  "rbit\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6695[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6696[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6697[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6698[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6699[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6700[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6701[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6702[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6703[] = {
  "rbit\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6704[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6705[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6706[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6707[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6708[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6709[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6710[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6711[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6712[] = {
  "rbit\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6713[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6714[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6715[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6716[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6717[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6718[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6719[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6720[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6721[] = {
  "rbit\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6722[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6723[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6724[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6725[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6726[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6727[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6728[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6729[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6730[] = {
  "rbit\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6731[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6732[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6733[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6734[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6735[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6736[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6737[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6738[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6739[] = {
  "rbit\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6740[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6741[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6742[] = {
  "abs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6743[] = {
  "neg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6744[] = {
  "not\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_6745[] = {
  "cls\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_6746[] = {
  "clz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_6747[] = {
  "cnt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_6748[] = {
  "rbit\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_6749[] = {
  "sqabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6750[] = {
  "sqneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6751[] = {
  "abs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6752[] = {
  "neg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6753[] = {
  "not\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_6754[] = {
  "cls\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_6755[] = {
  "clz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_6756[] = {
  "cnt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_6757[] = {
  "rbit\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_6758[] = {
  "sqabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6759[] = {
  "sqneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6760[] = {
  "abs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_6761[] = {
  "neg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_6762[] = {
  "not\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_6763[] = {
  "cls\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_6764[] = {
  "clz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_6765[] = {
  "cnt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_6766[] = {
  "rbit\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_6767[] = {
  "sqabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_6768[] = {
  "sqneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_6769[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6770[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6771[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6772[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6773[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6774[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6775[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6776[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6777[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6778[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6779[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6780[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6781[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6782[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6783[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6784[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6785[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6786[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6787[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6788[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6789[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6790[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6791[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6792[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6793[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6794[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6795[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6796[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6797[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6798[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6799[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6800[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6801[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6802[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6803[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6804[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6805[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6806[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6807[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6808[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6809[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6810[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6811[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6812[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6813[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6814[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6815[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6816[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6817[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6818[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6819[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6820[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6821[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6822[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6823[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6824[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6825[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6826[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6827[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6828[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6829[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6830[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6831[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6832[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6833[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6834[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_6835[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_6836[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tclz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_6837[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_6838[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_6839[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6840[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6841[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6842[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6843[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_6844[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_6845[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tclz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_6846[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_6847[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_6848[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6849[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6850[] = {
  "abs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_6851[] = {
  "neg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_6852[] = {
  "not\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_6853[] = {
  "cls\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcls\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_6854[] = {
  "clz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tclz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_6855[] = {
  "cnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_6856[] = {
  "rbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_6857[] = {
  "sqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_6858[] = {
  "sqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_6859[] = {
  "revb\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\trevb\t%0.b, %1/m, %2.b",
};

static const char * const output_6860[] = {
  "revh\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\trevh\t%0.b, %1/m, %2.b",
};

static const char * const output_6861[] = {
  "revw\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\trevw\t%0.b, %1/m, %2.b",
};

static const char * const output_6862[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_6863[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6864[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6865[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_6866[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6867[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6868[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_6869[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6870[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6871[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_6872[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6873[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6874[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6875[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6876[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6877[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6878[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6879[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6880[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6881[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6882[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6883[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6884[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6885[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6886[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6887[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6888[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6889[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6890[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_6891[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6892[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6893[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6894[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6895[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6896[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6897[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6898[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6899[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6900[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6901[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6902[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6903[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6904[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6905[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6906[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6907[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6908[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6909[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_6910[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6911[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6912[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6913[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6914[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6915[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6916[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6917[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6918[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6919[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6920[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6921[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6922[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6923[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6924[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6925[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6926[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6927[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6928[] = {
  "revb\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trevb\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trevb\t%0.b, %1/m, %2.b",
};

static const char * const output_6929[] = {
  "revh\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trevh\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trevh\t%0.b, %1/m, %2.b",
};

static const char * const output_6930[] = {
  "revw\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trevw\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trevw\t%0.b, %1/m, %2.b",
};

static const char * const output_6931[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trevb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_6932[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trevh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6933[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trevw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6934[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_6935[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6936[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6937[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_6938[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6939[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6940[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6941[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6942[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6943[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6944[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6945[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6946[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6947[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6948[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6949[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6950[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6951[] = {
  "uxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6952[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6953[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6954[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6955[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6956[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6957[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6958[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6959[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6960[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6961[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6962[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6963[] = {
  "uxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6964[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6965[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6966[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6967[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6968[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6969[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6970[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6971[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6972[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6973[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6974[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6975[] = {
  "uxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6976[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6977[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6978[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6979[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6980[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6981[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6982[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_6983[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_6984[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_6985[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_6986[] = {
  "sxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_6987[] = {
  "uxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_6988[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6989[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6990[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6991[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6992[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6993[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6994[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_6995[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_6996[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_6997[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_6998[] = {
  "sxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_6999[] = {
  "uxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_7000[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7001[] = {
  "uxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7002[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7003[] = {
  "uxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7004[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7005[] = {
  "uxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7006[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7007[] = {
  "uxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7008[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7009[] = {
  "uxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7010[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_7011[] = {
  "uxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_7012[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7013[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7014[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7015[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_7016[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_7017[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_7018[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7019[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7020[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7021[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7022[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7023[] = {
  "sxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_7024[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7025[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7026[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7027[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7028[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7029[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_7030[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7031[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7032[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7033[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_7034[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_7035[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_7036[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7037[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7038[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7039[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7040[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7041[] = {
  "sxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_7042[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7043[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7044[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7045[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7046[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7047[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_7048[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7049[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7050[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7051[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7052[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7053[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7054[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7055[] = {
  "uxt%e3\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_7056[] = {
  "uxt%e3\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_7057[] = {
  "uxt%e3\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_7058[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7059[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7060[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7061[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7062[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7063[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7064[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7065[] = {
  "uxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_7066[] = {
  "uxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_7067[] = {
  "uxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_7104[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7105[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7106[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7107[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7108[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7109[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7110[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7111[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7112[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7113[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_7114[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7115[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7116[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7117[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7118[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7119[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7120[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7121[] = {
  "cnot\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7122[] = {
  "cnot\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7123[] = {
  "cnot\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_7124[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7125[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7126[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7127[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7128[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7129[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7130[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7131[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %6\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7132[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %6\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7133[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %6\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_7143[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7144[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7145[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7146[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7147[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7148[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7149[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7150[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7151[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7152[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7153[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7154[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7155[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7156[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7157[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7158[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7159[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7160[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7161[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7162[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7163[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7164[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7165[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7166[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7167[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7168[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7169[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7170[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7171[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7172[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7173[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7174[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7175[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7176[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7177[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7178[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7179[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7180[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7181[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7182[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7183[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7184[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7185[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7186[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7187[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7188[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7189[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7190[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7191[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7192[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7193[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7194[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7195[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7196[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7197[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7198[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7199[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7200[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7201[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7202[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7203[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7204[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7205[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7206[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7207[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7208[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7209[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7210[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7211[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7212[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7213[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7214[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7215[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7216[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7217[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7218[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7219[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7220[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7221[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7222[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7223[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7224[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7225[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7226[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7227[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7228[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7229[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7230[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7231[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7232[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7233[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7234[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7235[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7236[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7237[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7238[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7239[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7240[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7241[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7242[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7243[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7244[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7245[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7246[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7247[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7248[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7249[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7250[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7251[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7252[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7253[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7254[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7255[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7256[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7257[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7258[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7259[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7260[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7261[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7262[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7263[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7264[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7265[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7266[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7267[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7268[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7269[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7270[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7271[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7272[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7273[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7274[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7275[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7276[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7277[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7278[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7279[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7280[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7281[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7282[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7283[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7284[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7285[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7286[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7287[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7288[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7289[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7290[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7291[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7292[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7293[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7294[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7295[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7296[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7297[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7298[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7299[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7300[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7301[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7302[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7303[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7304[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7305[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7306[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7307[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7312[] = {
  "#",
  "mul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7313[] = {
  "#",
  "smax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7314[] = {
  "#",
  "smin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7315[] = {
  "#",
  "umax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7316[] = {
  "#",
  "umin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7317[] = {
  "#",
  "mul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7318[] = {
  "#",
  "smax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7319[] = {
  "#",
  "smin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7320[] = {
  "#",
  "umax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7321[] = {
  "#",
  "umin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7322[] = {
  "#",
  "mul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7323[] = {
  "#",
  "smax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7324[] = {
  "#",
  "smin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7325[] = {
  "#",
  "umax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7326[] = {
  "#",
  "umin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7327[] = {
  "#",
  "mul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7328[] = {
  "#",
  "smax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7329[] = {
  "#",
  "smin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7330[] = {
  "#",
  "umax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7331[] = {
  "#",
  "umin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7332[] = {
  "#",
  "mul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7333[] = {
  "#",
  "smax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7334[] = {
  "#",
  "smin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7335[] = {
  "#",
  "umax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7336[] = {
  "#",
  "umin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7337[] = {
  "#",
  "mul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7338[] = {
  "#",
  "smax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7339[] = {
  "#",
  "smin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7340[] = {
  "#",
  "umax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7341[] = {
  "#",
  "umin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7342[] = {
  "#",
  "mul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7343[] = {
  "#",
  "smax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7344[] = {
  "#",
  "smin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7345[] = {
  "#",
  "umax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7346[] = {
  "#",
  "umin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7347[] = {
  "#",
  "mul\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7348[] = {
  "#",
  "smax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7349[] = {
  "#",
  "smin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7350[] = {
  "#",
  "umax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7351[] = {
  "#",
  "umin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7352[] = {
  "#",
  "mul\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7353[] = {
  "#",
  "smax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7354[] = {
  "#",
  "smin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7355[] = {
  "#",
  "umax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7356[] = {
  "#",
  "umin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7357[] = {
  "#",
  "mul\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7358[] = {
  "#",
  "smax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7359[] = {
  "#",
  "smin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7360[] = {
  "#",
  "umax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7361[] = {
  "#",
  "umin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7362[] = {
  "#",
  "mul\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7363[] = {
  "#",
  "smax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7364[] = {
  "#",
  "smin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7365[] = {
  "#",
  "umax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7366[] = {
  "#",
  "umin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7367[] = {
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7368[] = {
  "smax\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7369[] = {
  "smin\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7370[] = {
  "umax\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7371[] = {
  "umin\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7372[] = {
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7373[] = {
  "smax\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7374[] = {
  "smin\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7375[] = {
  "umax\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7376[] = {
  "umin\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7377[] = {
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7378[] = {
  "smax\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7379[] = {
  "smin\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7380[] = {
  "umax\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7381[] = {
  "umin\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7382[] = {
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7383[] = {
  "smax\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7384[] = {
  "smin\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7385[] = {
  "umax\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7386[] = {
  "umin\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7387[] = {
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7388[] = {
  "smax\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7389[] = {
  "smin\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7390[] = {
  "umax\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7391[] = {
  "umin\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7392[] = {
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7393[] = {
  "smax\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7394[] = {
  "smin\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7395[] = {
  "umax\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7396[] = {
  "umin\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7397[] = {
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7398[] = {
  "smax\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7399[] = {
  "smin\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7400[] = {
  "umax\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7401[] = {
  "umin\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7402[] = {
  "mul\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7403[] = {
  "smax\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7404[] = {
  "smin\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7405[] = {
  "umax\t%Z0.s, %Z0.s, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.s, %Z0.s, #%D2",
};

static const char * const output_7406[] = {
  "umin\t%Z0.s, %Z0.s, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.s, %Z0.s, #%D2",
};

static const char * const output_7407[] = {
  "mul\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7408[] = {
  "smax\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7409[] = {
  "smin\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7410[] = {
  "umax\t%Z0.s, %Z0.s, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.s, %Z0.s, #%D2",
};

static const char * const output_7411[] = {
  "umin\t%Z0.s, %Z0.s, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.s, %Z0.s, #%D2",
};

static const char * const output_7412[] = {
  "mul\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7413[] = {
  "smax\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7414[] = {
  "smin\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7415[] = {
  "umax\t%Z0.d, %Z0.d, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.d, %Z0.d, #%D2",
};

static const char * const output_7416[] = {
  "umin\t%Z0.d, %Z0.d, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.d, %Z0.d, #%D2",
};

static const char * const output_7417[] = {
  "mul\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7418[] = {
  "smax\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7419[] = {
  "smin\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7420[] = {
  "umax\t%Z0.d, %Z0.d, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.d, %Z0.d, #%D2",
};

static const char * const output_7421[] = {
  "umin\t%Z0.d, %Z0.d, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.d, %Z0.d, #%D2",
};

static const char * const output_7422[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7423[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7424[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7425[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7426[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7427[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7428[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7429[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7430[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7431[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7432[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7433[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7434[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7435[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7436[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7437[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7438[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7439[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7440[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7441[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7442[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7443[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7444[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7445[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7446[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7447[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7448[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7449[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7450[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7451[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7452[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7453[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7454[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7455[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7456[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7457[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7458[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7459[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7460[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7461[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7462[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7463[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7464[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7465[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7466[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7467[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7468[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7469[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7470[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7471[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7472[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7473[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7474[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7475[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7476[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7477[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7478[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7479[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7480[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7481[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7482[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7483[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7484[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7485[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7486[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7487[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7488[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7489[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7490[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7491[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7492[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7493[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7494[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7495[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7496[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7497[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7498[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7499[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7500[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7501[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7502[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7503[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7504[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7505[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7506[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7507[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7508[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7509[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7510[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7511[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7512[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7513[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7514[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7515[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7516[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7517[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7518[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7519[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7520[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7521[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7522[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7523[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7524[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7525[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7526[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7527[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7528[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7529[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7530[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7531[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7532[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7533[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7534[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7535[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7536[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7537[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7538[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7539[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7540[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7541[] = {
  "add\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7542[] = {
  "sub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7543[] = {
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7544[] = {
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7545[] = {
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7546[] = {
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7547[] = {
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7548[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7549[] = {
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7550[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7551[] = {
  "and\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tand\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7552[] = {
  "orr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\torr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7553[] = {
  "eor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\teor\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7554[] = {
  "sqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7555[] = {
  "uqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7556[] = {
  "sqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7557[] = {
  "uqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7558[] = {
  "add\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7559[] = {
  "sub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7560[] = {
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7561[] = {
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7562[] = {
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7563[] = {
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7564[] = {
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7565[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7566[] = {
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7567[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7568[] = {
  "and\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tand\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7569[] = {
  "orr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\torr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7570[] = {
  "eor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\teor\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7571[] = {
  "sqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7572[] = {
  "uqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7573[] = {
  "sqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7574[] = {
  "uqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7575[] = {
  "add\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7576[] = {
  "sub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7577[] = {
  "mul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7578[] = {
  "smax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7579[] = {
  "umax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7580[] = {
  "smin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7581[] = {
  "umin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7582[] = {
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7583[] = {
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7584[] = {
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7585[] = {
  "and\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tand\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7586[] = {
  "orr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\torr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7587[] = {
  "eor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\teor\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7588[] = {
  "sqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7589[] = {
  "uqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7590[] = {
  "sqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7591[] = {
  "uqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7592[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7593[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7594[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7595[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7596[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7597[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7598[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7599[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7600[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7601[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7602[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7603[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7604[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7605[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7606[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7607[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7608[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7609[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7610[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7611[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7612[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7613[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7614[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7615[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7616[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7617[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7618[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7619[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7620[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7621[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7622[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7623[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7624[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7625[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7626[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7627[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7628[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7629[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7630[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7631[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7632[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7633[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7634[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7635[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7636[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7637[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7638[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7639[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7640[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7641[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7642[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7643[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7644[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7645[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7646[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7647[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7648[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7649[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7650[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7651[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7652[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7653[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7654[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7655[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7656[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7657[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7658[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7659[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7660[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7661[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7662[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7663[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7664[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7665[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7666[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7667[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7668[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7669[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7670[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7671[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7672[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7673[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7674[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7675[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7676[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7677[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7678[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7679[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7680[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7681[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7682[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7683[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7684[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7685[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7686[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7687[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7688[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7689[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7690[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7691[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7692[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7693[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7694[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7695[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7696[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7697[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7698[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7699[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7700[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7701[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7702[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7703[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7704[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7705[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7706[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7707[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7708[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7709[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7710[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7711[] = {
  "add\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7712[] = {
  "subr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7713[] = {
  "mul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7714[] = {
  "smax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7715[] = {
  "umax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7716[] = {
  "smin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7717[] = {
  "umin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7718[] = {
  "lslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7719[] = {
  "asrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7720[] = {
  "lsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7721[] = {
  "and\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tand\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7722[] = {
  "orr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\torr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7723[] = {
  "eor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\teor\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7724[] = {
  "sqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7725[] = {
  "uqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7726[] = {
  "sqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7727[] = {
  "uqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7728[] = {
  "add\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7729[] = {
  "subr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7730[] = {
  "mul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7731[] = {
  "smax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7732[] = {
  "umax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7733[] = {
  "smin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7734[] = {
  "umin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7735[] = {
  "lslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7736[] = {
  "asrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7737[] = {
  "lsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7738[] = {
  "and\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tand\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7739[] = {
  "orr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\torr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7740[] = {
  "eor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\teor\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7741[] = {
  "sqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7742[] = {
  "uqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7743[] = {
  "sqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7744[] = {
  "uqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7745[] = {
  "add\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7746[] = {
  "subr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7747[] = {
  "mul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7748[] = {
  "smax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7749[] = {
  "umax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7750[] = {
  "smin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7751[] = {
  "umin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7752[] = {
  "lslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7753[] = {
  "asrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7754[] = {
  "lsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7755[] = {
  "and\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tand\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7756[] = {
  "orr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\torr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7757[] = {
  "eor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\teor\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7758[] = {
  "sqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7759[] = {
  "uqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7760[] = {
  "sqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7761[] = {
  "uqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7762[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7763[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7764[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7765[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7766[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7767[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7768[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7769[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7770[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7771[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7772[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7773[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7774[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7775[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7776[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7777[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7778[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7779[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7780[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7781[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7782[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7783[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7784[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7785[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7786[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7787[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7788[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7789[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7790[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7791[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7792[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7793[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7794[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7795[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7796[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7797[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7798[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7799[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7800[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7801[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7802[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7803[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7804[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7805[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7806[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7807[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7808[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7809[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7810[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7811[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7812[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7813[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7814[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7815[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7816[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7817[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7818[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7819[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7820[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7821[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7822[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7823[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7824[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7825[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7826[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7827[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7828[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7829[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7830[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7831[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7832[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7833[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7834[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7835[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7836[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7837[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7838[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7839[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7840[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7841[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7842[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7843[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7844[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7845[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7846[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7847[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7848[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7849[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7850[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7851[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7852[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7853[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7854[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7855[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7856[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7857[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7858[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7859[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7860[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7861[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7862[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7863[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7864[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7865[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7866[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7867[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7868[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7869[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7870[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7871[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7872[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7873[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7874[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7875[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7876[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7877[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7878[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7879[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7880[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7881[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7882[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7883[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7884[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7885[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7886[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7887[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7888[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7889[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7890[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7891[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7892[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7893[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7894[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7895[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7896[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7897[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7898[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7899[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7900[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7901[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7902[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7903[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7904[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7905[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7906[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7907[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7908[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7909[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7910[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7911[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7912[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7913[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7914[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7915[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7916[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7917[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7918[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7919[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7920[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7921[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7922[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7923[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7924[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7925[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7926[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7927[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7928[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7929[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7930[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7931[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char *
output_7932 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_7933 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_7934 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_7935 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_7936 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_7937 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_7938 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_7939 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_7940 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_7941 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.d, %0.d, #%D2";
    case 1: return "sub\t%0.d, %0.d, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.d", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.d, %0.d, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.d, %0.d, #%N2";
    case 5: return "add\t%0.d, %1.d, %2.d";
      default: gcc_unreachable ();
    }
}

static const char * const output_7942[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_7943[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_7944[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_7945[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_7946[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_7947[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_7948[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_7949[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.s, %0.s, #%D1",
};

static const char * const output_7950[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.s, %0.s, #%D1",
};

static const char * const output_7951[] = {
  "sub\t%0.d, %1.d, %2.d",
  "subr\t%0.d, %0.d, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.d, %0.d, #%D1",
};

static const char * const output_7966[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7967[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7968[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7969[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7970[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7971[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7972[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7973[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7974[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7975[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7976[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7977[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7978[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7979[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7980[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7981[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7982[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7983[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7984[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7985[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7986[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7987[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7988[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7989[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7990[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7991[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7992[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7993[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7994[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7995[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7996[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7997[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7998[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7999[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8000[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8001[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8002[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8003[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8004[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8005[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8006[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8007[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8008[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8009[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8010[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8011[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8012[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8013[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8014[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8015[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8016[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8017[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8018[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8019[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8020[] = {
  "sabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8021[] = {
  "uabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8022[] = {
  "sabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8023[] = {
  "uabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8024[] = {
  "sabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8025[] = {
  "uabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8026[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8027[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8028[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8029[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8030[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8031[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8032[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8033[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8034[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8035[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8036[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8037[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8038[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8039[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8040[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8041[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8042[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8043[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8044[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8045[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8046[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "sqsub\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%N2",
  "sqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_8047[] = {
  "sqsub\t%0.b, %0.b, #%D2",
  "sqadd\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%N2",
  "sqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_8048[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "sqsub\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%N2",
  "sqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_8049[] = {
  "sqsub\t%0.h, %0.h, #%D2",
  "sqadd\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%N2",
  "sqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_8050[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "sqsub\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%N2",
  "sqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_8051[] = {
  "sqsub\t%0.s, %0.s, #%D2",
  "sqadd\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%N2",
  "sqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_8052[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "sqsub\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%N2",
  "sqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_8053[] = {
  "sqsub\t%0.d, %0.d, #%D2",
  "sqadd\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%N2",
  "sqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_8054[] = {
  "uqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.b, %0.b, #%D2",
  "uqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_8055[] = {
  "uqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.b, %0.b, #%D2",
  "uqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_8056[] = {
  "uqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.h, %0.h, #%D2",
  "uqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_8057[] = {
  "uqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.h, %0.h, #%D2",
  "uqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_8058[] = {
  "uqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.s, %0.s, #%D2",
  "uqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_8059[] = {
  "uqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.s, %0.s, #%D2",
  "uqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_8060[] = {
  "uqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.d, %0.d, #%D2",
  "uqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_8061[] = {
  "uqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.d, %0.d, #%D2",
  "uqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_8062[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8063[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8064[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8065[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8066[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8067[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8068[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8069[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8070[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8071[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8072[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8073[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8074[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8075[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8076[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8077[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8078[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8079[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8080[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8081[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8082[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8083[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8084[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8085[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8086[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8087[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8088[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8089[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8090[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8091[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8092[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8093[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8094[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8095[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8096[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8097[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8098[] = {
  "sdiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "sdivr\t%Z0.s, %1/m, %Z0.s, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsdiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8099[] = {
  "udiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "udivr\t%Z0.s, %1/m, %Z0.s, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tudiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8100[] = {
  "sdiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "sdivr\t%Z0.d, %1/m, %Z0.d, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsdiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8101[] = {
  "udiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "udivr\t%Z0.d, %1/m, %Z0.d, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tudiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8102[] = {
  "sdiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "sdivr\t%Z0.s, %1/m, %Z0.s, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsdiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8103[] = {
  "udiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "udivr\t%Z0.s, %1/m, %Z0.s, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tudiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8104[] = {
  "sdiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "sdivr\t%Z0.d, %1/m, %Z0.d, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsdiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8105[] = {
  "udiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "udivr\t%Z0.d, %1/m, %Z0.d, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tudiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8106[] = {
  "sdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8107[] = {
  "udiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8108[] = {
  "sdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8109[] = {
  "udiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8110[] = {
  "sdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8111[] = {
  "udivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8112[] = {
  "sdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8113[] = {
  "udivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8114[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8115[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8116[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8117[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8118[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8119[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8120[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8121[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8122[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8123[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8124[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8125[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8126[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8127[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8128[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8129[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8130[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8131[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8132[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8133[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8134[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8135[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8136[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8137[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8138[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8139[] = {
  "and\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8140[] = {
  "orr\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8141[] = {
  "eor\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8142[] = {
  "and\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8143[] = {
  "orr\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8144[] = {
  "eor\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8145[] = {
  "and\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.d, %0.d, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8146[] = {
  "orr\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.d, %0.d, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8147[] = {
  "eor\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.d, %0.d, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8158[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8159[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8160[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8161[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8162[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8163[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8164[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8165[] = {
  "bic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tbic\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8166[] = {
  "bic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tbic\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8167[] = {
  "bic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tbic\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8168[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8169[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8170[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8171[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8172[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8173[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8174[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8175[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8176[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8177[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8178[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8179[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8180[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8181[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8182[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8183[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8184[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8185[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8186[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8187[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8188[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8189[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8190[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8191[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8192[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8193[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8194[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8195[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8196[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8197[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8198[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8199[] = {
  "#",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "lslr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8200[] = {
  "#",
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "asrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8201[] = {
  "#",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "lsrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8202[] = {
  "#",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "lslr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8203[] = {
  "#",
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "asrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8204[] = {
  "#",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "lsrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8205[] = {
  "#",
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "lslr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8206[] = {
  "#",
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "asrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8207[] = {
  "#",
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "lsrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8208[] = {
  "add\t%0.b, %1.b, %1.b",
  "lsl\t%0.b, %1.b, #%2",
};

static const char * const output_8209[] = {
  "add\t%0.b, %1.b, %1.b",
  "lsl\t%0.b, %1.b, #%2",
};

static const char * const output_8210[] = {
  "add\t%0.b, %1.b, %1.b",
  "lsl\t%0.b, %1.b, #%2",
};

static const char * const output_8211[] = {
  "add\t%0.b, %1.b, %1.b",
  "lsl\t%0.b, %1.b, #%2",
};

static const char * const output_8212[] = {
  "add\t%0.h, %1.h, %1.h",
  "lsl\t%0.h, %1.h, #%2",
};

static const char * const output_8213[] = {
  "add\t%0.h, %1.h, %1.h",
  "lsl\t%0.h, %1.h, #%2",
};

static const char * const output_8214[] = {
  "add\t%0.h, %1.h, %1.h",
  "lsl\t%0.h, %1.h, #%2",
};

static const char * const output_8215[] = {
  "add\t%0.s, %1.s, %1.s",
  "lsl\t%0.s, %1.s, #%2",
};

static const char * const output_8216[] = {
  "add\t%0.s, %1.s, %1.s",
  "lsl\t%0.s, %1.s, #%2",
};

static const char * const output_8217[] = {
  "add\t%0.d, %1.d, %1.d",
  "lsl\t%0.d, %1.d, #%2",
};

static const char * const output_8238[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8239[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8240[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8241[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8242[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8243[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8244[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8245[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8246[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8247[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8248[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8249[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8250[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8251[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8252[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8253[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8254[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8255[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8256[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8257[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8258[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8259[] = {
  "lsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8260[] = {
  "asr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8261[] = {
  "lsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8262[] = {
  "lsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8263[] = {
  "asr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8264[] = {
  "lsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8265[] = {
  "lsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8266[] = {
  "asr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8267[] = {
  "lsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8268[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8269[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8270[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8271[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8272[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8273[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8274[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8275[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8276[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8277[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8278[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8279[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8280[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8281[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8282[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8283[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8284[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8285[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8286[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8287[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8288[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8289[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8290[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8291[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8292[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8293[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8294[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8295[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8296[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8297[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8307[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8308[] = {
  "asr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8309[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8310[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8311[] = {
  "asr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8312[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8313[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8314[] = {
  "asr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8315[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8316[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8317[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8318[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8319[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8320[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8321[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8322[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8323[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8324[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8325[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8326[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8327[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8328[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8329[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8330[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8331[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8332[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8333[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8334[] = {
  "asrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8335[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8336[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8337[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8338[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8339[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8340[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8341[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8342[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8343[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8344[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8345[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8346[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8347[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8348[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8349[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8350[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8351[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8352[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8353[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8354[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8355[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8356[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8357[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8358[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8359[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8360[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8361[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8362[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8363[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8364[] = {
  "sqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8365[] = {
  "srshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8366[] = {
  "urshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8367[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8368[] = {
  "sqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8369[] = {
  "srshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8370[] = {
  "urshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8371[] = {
  "asrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8372[] = {
  "sqshlu\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8373[] = {
  "srshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8374[] = {
  "urshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8375[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8376[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8377[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8378[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8379[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8380[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8381[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8382[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8383[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8384[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8385[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8386[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8387[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8388[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8389[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8390[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8391[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8392[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8393[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8394[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8395[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8396[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8397[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8398[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8399[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8400[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8401[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8402[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8403[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8404[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8405[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8406[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8407[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8408[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8409[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8410[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8411[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tasrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tasrd\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8412[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8413[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8414[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\turshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\turshr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8421[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8422[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8423[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8424[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8425[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8426[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8427[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8428[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8429[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8430[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8431[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8432[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8433[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8434[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8435[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8451[] = {
  "famax\t%0.h, %1/m, %0.h, %3.h",
  "famax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8452[] = {
  "famin\t%0.h, %1/m, %0.h, %3.h",
  "famin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8453[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8454[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8455[] = {
  "famax\t%0.s, %1/m, %0.s, %3.s",
  "famax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8456[] = {
  "famin\t%0.s, %1/m, %0.s, %3.s",
  "famin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8457[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8458[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8459[] = {
  "famax\t%0.d, %1/m, %0.d, %3.d",
  "famax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8460[] = {
  "famin\t%0.d, %1/m, %0.d, %3.d",
  "famin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8461[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8462[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8463[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8464[] = {
  "famax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8465[] = {
  "famin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8466[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8467[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8468[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8469[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8470[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8471[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8472[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8473[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8474[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8475[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8476[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8477[] = {
  "famax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8478[] = {
  "famin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8479[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8480[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8481[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8482[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8483[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8484[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8485[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8486[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8487[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8488[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8489[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8490[] = {
  "famax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8491[] = {
  "famin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8492[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8493[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8494[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8495[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8496[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8497[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8498[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8499[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8500[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8501[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8502[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8503[] = {
  "famax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8504[] = {
  "famin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8505[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8506[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8507[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8508[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8509[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8510[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8511[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8512[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8513[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8514[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8515[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8516[] = {
  "famax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8517[] = {
  "famin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8518[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8519[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8520[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8521[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8522[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8523[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8524[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8525[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8526[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8527[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8528[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8529[] = {
  "famax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8530[] = {
  "famin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8531[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8532[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8533[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8534[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8535[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8536[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8537[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8538[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8539[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8540[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8541[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8542[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8543[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8544[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8545[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8546[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8547[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8548[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8549[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8550[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8551[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8552[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8553[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8554[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8555[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8556[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8557[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8558[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8559[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8560[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8561[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8562[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8563[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8564[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8565[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8566[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8567[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8568[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8569[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8570[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8571[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8572[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8573[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8574[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8575[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8576[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8577[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8578[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8579[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8580[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8581[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8582[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8583[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8584[] = {
  "famax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfamax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8585[] = {
  "famin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfamin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8586[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8587[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8588[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8589[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8590[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8591[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8592[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8593[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8594[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8595[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8596[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8597[] = {
  "famax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfamax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8598[] = {
  "famin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfamin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8599[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8600[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8601[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8602[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8603[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8604[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8605[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8606[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8607[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8608[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8609[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8610[] = {
  "famax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfamax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8611[] = {
  "famin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfamin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8612[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8613[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8614[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8615[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8616[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8617[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8618[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8619[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8620[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8621[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8622[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8623[] = {
  "famax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfamax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8624[] = {
  "famin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfamin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8625[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8626[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8627[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8628[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8629[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8630[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8631[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8632[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8633[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8634[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8635[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8636[] = {
  "famax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfamax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8637[] = {
  "famin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfamin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8638[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8639[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8640[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8641[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8642[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8643[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8644[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8645[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8646[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8647[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8648[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8649[] = {
  "famax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfamax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8650[] = {
  "famin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfamin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8651[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8652[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8653[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8654[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8655[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8656[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8657[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8658[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8659[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8660[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8661[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8662[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfamax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8663[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfamin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8664[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8665[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8666[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8667[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8668[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8669[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8670[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8671[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8672[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8673[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8674[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8675[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfamax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8676[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfamin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8677[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8678[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8679[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8680[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8681[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8682[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8683[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8684[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8685[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8686[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8687[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8688[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfamax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8689[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfamin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8690[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8691[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8692[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8693[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8694[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8695[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8696[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8697[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8698[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8699[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8700[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8701[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfamax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8702[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfamin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8703[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8704[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8705[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8706[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8707[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8708[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8709[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8710[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8711[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8712[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8713[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8714[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfamax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8715[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfamin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8716[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8717[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8718[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8719[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8720[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8721[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8722[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8723[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8724[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8725[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8726[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8727[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfamax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8728[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfamin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8729[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8730[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8731[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8732[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8733[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8734[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8735[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8736[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8737[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8738[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8739[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8740[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8741[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8742[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8743[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8744[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8745[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8746[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8747[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8748[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8749[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8750[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8751[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8752[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8753[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8754[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8755[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8756[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8757[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8758[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8759[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8760[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8761[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8762[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8763[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8764[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8765[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8766[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8767[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8768[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8769[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8770[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8771[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8772[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8773[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8774[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8775[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8776[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8777[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8778[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8779[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8780[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8781[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8782[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8783[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8784[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_8785[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_8786[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_8787[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_8788[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_8789[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_8790[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_8791[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_8792[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_8793[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_8794[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_8795[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_8796[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_8797[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_8798[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_8799[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_8800[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_8801[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_8802[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_8803[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_8804[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_8805[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_8806[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_8807[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_8808[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_8809[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_8810[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_8811[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_8812[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_8813[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_8814[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_8815[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_8816[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_8817[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_8818[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_8819[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_8820[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_8821[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_8822[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_8823[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_8824[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_8825[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_8826[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8827[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8828[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8829[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_8830[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_8831[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_8832[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_8833[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_8834[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_8835[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_8836[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_8837[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_8838[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_8839[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_8840[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_8841[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8842[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8843[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8844[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8845[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8846[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8847[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8848[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8849[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8850[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8851[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8852[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8853[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8854[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8855[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8856[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8857[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8858[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8859[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8860[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8861[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8862[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8863[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8864[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8865[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "#",
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8866[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "#",
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8867[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "#",
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8898[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8899[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8900[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8901[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8902[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8903[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8904[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8905[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8906[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8907[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8908[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8909[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8910[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8911[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8912[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8913[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8914[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8915[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8916[] = {
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
};

static const char * const output_8917[] = {
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
};

static const char * const output_8918[] = {
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
};

static const char * const output_8919[] = {
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
};

static const char * const output_8920[] = {
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8921[] = {
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8922[] = {
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8923[] = {
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8924[] = {
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8925[] = {
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8926[] = {
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8927[] = {
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8928[] = {
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8929[] = {
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8930[] = {
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8931[] = {
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8932[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8933[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8934[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8935[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8936[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8937[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8938[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8939[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8940[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8941[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8942[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8943[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8944[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8945[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8946[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8947[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8948[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8949[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8950[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8951[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8952[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8953[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8954[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8955[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8956[] = {
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8957[] = {
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8958[] = {
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8959[] = {
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8960[] = {
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8961[] = {
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8962[] = {
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8963[] = {
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8964[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8965[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8966[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8967[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8968[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8969[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8970[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8971[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8972[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8973[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8974[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8975[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8976[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8977[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8978[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8979[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8980[] = {
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8981[] = {
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8982[] = {
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8983[] = {
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8984[] = {
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8985[] = {
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8986[] = {
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8987[] = {
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8988[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8989[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8990[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8991[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8992[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8993[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8994[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8995[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8996[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8997[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8998[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_8999[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9000[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9001[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9002[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9003[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9004[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9005[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9006[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9007[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9008[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9009[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9010[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9011[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9012[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9013[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9014[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9015[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9016[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9017[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9018[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9019[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9020[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9021[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9022[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9023[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9024[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9025[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9026[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9027[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9028[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9029[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9030[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9031[] = {
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9032[] = {
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9033[] = {
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9034[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9035[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9036[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9037[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9038[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9039[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9040[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9041[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9042[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9043[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9044[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9045[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9046[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9047[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9048[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9049[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9050[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9051[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9052[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9053[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9054[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9055[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9056[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9057[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9058[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9059[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9060[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9061[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9062[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9063[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9064[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9065[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9066[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9067[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9068[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9069[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9070[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9071[] = {
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9072[] = {
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9073[] = {
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9074[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9075[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9076[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9077[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9078[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9079[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9080[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9081[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9082[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9083[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9084[] = {
  "sdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tsdot\t%0.s, %1.b, %2.b",
};

static const char * const output_9085[] = {
  "udot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tudot\t%0.s, %1.b, %2.b",
};

static const char * const output_9086[] = {
  "sdot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tsdot\t%0.d, %1.h, %2.h",
};

static const char * const output_9087[] = {
  "udot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tudot\t%0.d, %1.h, %2.h",
};

static const char * const output_9088[] = {
  "sdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_9089[] = {
  "udot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_9090[] = {
  "sdot\t%0.d, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.d, %1.b, %2.b[%3]",
};

static const char * const output_9091[] = {
  "udot\t%0.d, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.d, %1.b, %2.b[%3]",
};

static const char * const output_9092[] = {
  "sdot\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9093[] = {
  "udot\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9094[] = {
  "sdot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_9095[] = {
  "udot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_9096[] = {
  "usdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tusdot\t%0.s, %1.b, %2.b",
};

static const char * const output_9097[] = {
  "usdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tusdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_9098[] = {
  "sudot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_9099[] = {
  "smmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_9100[] = {
  "ummla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tummla\t%0.s, %2.b, %3.b",
};

static const char * const output_9101[] = {
  "usmmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tusmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_9102[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9103[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9104[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9105[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9106[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9107[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9108[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9109[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9110[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9111[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9112[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9113[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9114[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9115[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9116[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9117[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9118[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9119[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9120[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9121[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9122[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9123[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9124[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9125[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9126[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9127[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9128[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9129[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9130[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9131[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9132[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9133[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9134[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9135[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9136[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9137[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9138[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9139[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9140[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9141[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9142[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9143[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9144[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9145[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9146[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9147[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9148[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9149[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9150[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9151[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9152[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9153[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9154[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9155[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9156[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9157[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9158[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9159[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9160[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9161[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9162[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9163[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9164[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9165[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9166[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9167[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9168[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9169[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9170[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9171[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9172[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9173[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9174[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9175[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9176[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9177[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9178[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9179[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9180[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9181[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9182[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9183[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9184[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9185[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9186[] = {
  "fmla\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_9187[] = {
  "fmls\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_9188[] = {
  "fmla\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_9189[] = {
  "fmls\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_9190[] = {
  "fmla\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_9191[] = {
  "fmls\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_9192[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_9193[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_9194[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_9195[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_9196[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_9197[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_9198[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_9199[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_9200[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_9201[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_9202[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_9203[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_9204[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_9205[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_9206[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_9207[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_9208[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_9209[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_9210[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_9211[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_9212[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_9213[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_9214[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_9215[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_9216[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_9217[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_9218[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_9219[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_9220[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_9221[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_9222[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_9223[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_9224[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_9225[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_9226[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_9227[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_9228[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_9229[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_9230[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_9231[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_9232[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_9233[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_9234[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_9235[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_9236[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_9237[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_9238[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_9239[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_9240[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_9241[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_9242[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_9243[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_9244[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_9245[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_9246[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_9247[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_9248[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_9249[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_9250[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_9251[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_9252[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #0",
};

static const char * const output_9253[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #90",
};

static const char * const output_9254[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #180",
};

static const char * const output_9255[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #270",
};

static const char * const output_9256[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #0",
};

static const char * const output_9257[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #90",
};

static const char * const output_9258[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #180",
};

static const char * const output_9259[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #270",
};

static const char * const output_9260[] = {
  "ftmad\t%0.h, %0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.h, %0.h, %2.h, #%3",
};

static const char * const output_9261[] = {
  "ftmad\t%0.s, %0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.s, %0.s, %2.s, #%3",
};

static const char * const output_9262[] = {
  "ftmad\t%0.d, %0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.d, %0.d, %2.d, #%3",
};

static const char * const output_9263[] = {
  "bfdot\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h",
};

static const char * const output_9264[] = {
  "bfmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9265[] = {
  "bfmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9266[] = {
  "bfmlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_9267[] = {
  "bfmlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_9268[] = {
  "bfmmla\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmmla\t%0.s, %2.h, %3.h",
};

static const char * const output_9269[] = {
  "bfdot\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9270[] = {
  "bfmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9271[] = {
  "bfmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9272[] = {
  "bfmlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9273[] = {
  "bfmlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9274[] = {
  "fmmla\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tfmmla\t%0.s, %2.s, %3.s",
};

static const char * const output_9275[] = {
  "fmmla\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tfmmla\t%0.d, %2.d, %3.d",
};

static const char * const output_9276[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_9277[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_9278[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_9279[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_9280[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9281[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9282[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9283[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_9284[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_9285[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_9286[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9287[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9288[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9289[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9290[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9291[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9292[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_9293[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_9294[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_9295[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_9296[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_9297[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_9298[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_9299[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9300[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9301[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9302[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_9303[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_9304[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_9305[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9306[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9307[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9308[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9309[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9310[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9311[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_9312[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_9313[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_9314[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9315[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9316[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9317[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9318[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9319[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9320[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9321[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9322[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9323[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9324[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9325[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9326[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9327[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9328[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9329[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9330[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9331[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9332[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9333[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9334[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9335[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9336[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9337[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9338[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9339[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9340[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9341[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9342[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9343[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9344[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9345[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9346[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9347[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9348[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9349[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9350[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9351[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9352[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9353[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9354[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9355[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9356[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9357[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9358[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9359[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9360[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9361[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9362[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9363[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9364[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9365[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9366[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9367[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9368[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9369[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9370[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9371[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9372[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9373[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9374[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9375[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9376[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9377[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9378[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9379[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9380[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9381[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9382[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9383[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9384[] = {
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9385[] = {
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9386[] = {
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9387[] = {
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9388[] = {
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9389[] = {
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9390[] = {
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9391[] = {
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9392[] = {
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9393[] = {
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9394[] = {
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9395[] = {
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9396[] = {
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9397[] = {
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9398[] = {
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9399[] = {
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9400[] = {
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9401[] = {
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9402[] = {
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9403[] = {
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9404[] = {
  "cmplt\t%0.d, %1/z, %3.d, #%4",
  "cmplt\t%0.d, %1/z, %3.d, #%4",
  "cmplt\t%0.d, %1/z, %3.d, #%4",
  "cmplt\t%0.d, %1/z, %3.d, %4.d",
  "cmplt\t%0.d, %1/z, %3.d, %4.d",
  "cmplt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9405[] = {
  "cmple\t%0.d, %1/z, %3.d, #%4",
  "cmple\t%0.d, %1/z, %3.d, #%4",
  "cmple\t%0.d, %1/z, %3.d, #%4",
  "cmple\t%0.d, %1/z, %3.d, %4.d",
  "cmple\t%0.d, %1/z, %3.d, %4.d",
  "cmple\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9406[] = {
  "cmpeq\t%0.d, %1/z, %3.d, #%4",
  "cmpeq\t%0.d, %1/z, %3.d, #%4",
  "cmpeq\t%0.d, %1/z, %3.d, #%4",
  "cmpeq\t%0.d, %1/z, %3.d, %4.d",
  "cmpeq\t%0.d, %1/z, %3.d, %4.d",
  "cmpeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9407[] = {
  "cmpne\t%0.d, %1/z, %3.d, #%4",
  "cmpne\t%0.d, %1/z, %3.d, #%4",
  "cmpne\t%0.d, %1/z, %3.d, #%4",
  "cmpne\t%0.d, %1/z, %3.d, %4.d",
  "cmpne\t%0.d, %1/z, %3.d, %4.d",
  "cmpne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9408[] = {
  "cmpge\t%0.d, %1/z, %3.d, #%4",
  "cmpge\t%0.d, %1/z, %3.d, #%4",
  "cmpge\t%0.d, %1/z, %3.d, #%4",
  "cmpge\t%0.d, %1/z, %3.d, %4.d",
  "cmpge\t%0.d, %1/z, %3.d, %4.d",
  "cmpge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9409[] = {
  "cmpgt\t%0.d, %1/z, %3.d, #%4",
  "cmpgt\t%0.d, %1/z, %3.d, #%4",
  "cmpgt\t%0.d, %1/z, %3.d, #%4",
  "cmpgt\t%0.d, %1/z, %3.d, %4.d",
  "cmpgt\t%0.d, %1/z, %3.d, %4.d",
  "cmpgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9410[] = {
  "cmplo\t%0.d, %1/z, %3.d, #%4",
  "cmplo\t%0.d, %1/z, %3.d, #%4",
  "cmplo\t%0.d, %1/z, %3.d, #%4",
  "cmplo\t%0.d, %1/z, %3.d, %4.d",
  "cmplo\t%0.d, %1/z, %3.d, %4.d",
  "cmplo\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9411[] = {
  "cmpls\t%0.d, %1/z, %3.d, #%4",
  "cmpls\t%0.d, %1/z, %3.d, #%4",
  "cmpls\t%0.d, %1/z, %3.d, #%4",
  "cmpls\t%0.d, %1/z, %3.d, %4.d",
  "cmpls\t%0.d, %1/z, %3.d, %4.d",
  "cmpls\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9412[] = {
  "cmphs\t%0.d, %1/z, %3.d, #%4",
  "cmphs\t%0.d, %1/z, %3.d, #%4",
  "cmphs\t%0.d, %1/z, %3.d, #%4",
  "cmphs\t%0.d, %1/z, %3.d, %4.d",
  "cmphs\t%0.d, %1/z, %3.d, %4.d",
  "cmphs\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9413[] = {
  "cmphi\t%0.d, %1/z, %3.d, #%4",
  "cmphi\t%0.d, %1/z, %3.d, #%4",
  "cmphi\t%0.d, %1/z, %3.d, #%4",
  "cmphi\t%0.d, %1/z, %3.d, %4.d",
  "cmphi\t%0.d, %1/z, %3.d, %4.d",
  "cmphi\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9414[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9415[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9416[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9417[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9418[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9419[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9420[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9421[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9422[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9423[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9424[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9425[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9426[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9427[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9428[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9429[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9430[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9431[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9432[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9433[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9434[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9435[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9436[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9437[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9438[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9439[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9440[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9441[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9442[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9443[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9444[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9445[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9446[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9447[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9448[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9449[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9450[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9451[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9452[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9453[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9454[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9455[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9456[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9457[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9458[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9459[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9460[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9461[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9462[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9463[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9464[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9465[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9466[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9467[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9468[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9469[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9470[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9471[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9472[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9473[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9474[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9475[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9476[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9477[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9478[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9479[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9480[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9481[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9482[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9483[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9484[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9485[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9486[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9487[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9488[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9489[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9490[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9491[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9492[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9493[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9494[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9495[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9496[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9497[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9498[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9499[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9500[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9501[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9502[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9503[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9504[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9505[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9506[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9507[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9508[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9509[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9510[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9511[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9512[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9513[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9514[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9515[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9516[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9517[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9518[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9519[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9520[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9521[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9522[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9523[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9524[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9525[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9526[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9527[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9528[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9529[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9530[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9531[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9532[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9533[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9534[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9535[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9536[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9537[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9538[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9539[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9540[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9541[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9542[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9543[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9544[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9545[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9546[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9547[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9548[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9549[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9550[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9551[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9552[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9553[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9554[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9555[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9556[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9557[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9558[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9559[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9560[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9561[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9562[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9563[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9564[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9565[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9566[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9567[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9568[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9569[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9570[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9571[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9572[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9573[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9574[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9575[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9576[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9577[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9578[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9579[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9580[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9581[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9582[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9583[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9584[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9585[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9586[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9587[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9588[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9589[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9590[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9591[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9592[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9593[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9594[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9595[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9596[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9597[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9598[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9599[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9600[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9601[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9602[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9603[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9604[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9605[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9606[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9607[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9608[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9609[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9610[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9611[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9612[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9613[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9714[] = {
  "cmpeq\t%0.b, %1/z, %3.b, %4.d",
  "cmpeq\t%0.b, %1/z, %3.b, %4.d",
  "cmpeq\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9715[] = {
  "cmpge\t%0.b, %1/z, %3.b, %4.d",
  "cmpge\t%0.b, %1/z, %3.b, %4.d",
  "cmpge\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9716[] = {
  "cmpgt\t%0.b, %1/z, %3.b, %4.d",
  "cmpgt\t%0.b, %1/z, %3.b, %4.d",
  "cmpgt\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9717[] = {
  "cmphi\t%0.b, %1/z, %3.b, %4.d",
  "cmphi\t%0.b, %1/z, %3.b, %4.d",
  "cmphi\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9718[] = {
  "cmphs\t%0.b, %1/z, %3.b, %4.d",
  "cmphs\t%0.b, %1/z, %3.b, %4.d",
  "cmphs\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9719[] = {
  "cmple\t%0.b, %1/z, %3.b, %4.d",
  "cmple\t%0.b, %1/z, %3.b, %4.d",
  "cmple\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9720[] = {
  "cmplo\t%0.b, %1/z, %3.b, %4.d",
  "cmplo\t%0.b, %1/z, %3.b, %4.d",
  "cmplo\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9721[] = {
  "cmpls\t%0.b, %1/z, %3.b, %4.d",
  "cmpls\t%0.b, %1/z, %3.b, %4.d",
  "cmpls\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9722[] = {
  "cmplt\t%0.b, %1/z, %3.b, %4.d",
  "cmplt\t%0.b, %1/z, %3.b, %4.d",
  "cmplt\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9723[] = {
  "cmpne\t%0.b, %1/z, %3.b, %4.d",
  "cmpne\t%0.b, %1/z, %3.b, %4.d",
  "cmpne\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9724[] = {
  "cmpeq\t%0.h, %1/z, %3.h, %4.d",
  "cmpeq\t%0.h, %1/z, %3.h, %4.d",
  "cmpeq\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9725[] = {
  "cmpge\t%0.h, %1/z, %3.h, %4.d",
  "cmpge\t%0.h, %1/z, %3.h, %4.d",
  "cmpge\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9726[] = {
  "cmpgt\t%0.h, %1/z, %3.h, %4.d",
  "cmpgt\t%0.h, %1/z, %3.h, %4.d",
  "cmpgt\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9727[] = {
  "cmphi\t%0.h, %1/z, %3.h, %4.d",
  "cmphi\t%0.h, %1/z, %3.h, %4.d",
  "cmphi\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9728[] = {
  "cmphs\t%0.h, %1/z, %3.h, %4.d",
  "cmphs\t%0.h, %1/z, %3.h, %4.d",
  "cmphs\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9729[] = {
  "cmple\t%0.h, %1/z, %3.h, %4.d",
  "cmple\t%0.h, %1/z, %3.h, %4.d",
  "cmple\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9730[] = {
  "cmplo\t%0.h, %1/z, %3.h, %4.d",
  "cmplo\t%0.h, %1/z, %3.h, %4.d",
  "cmplo\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9731[] = {
  "cmpls\t%0.h, %1/z, %3.h, %4.d",
  "cmpls\t%0.h, %1/z, %3.h, %4.d",
  "cmpls\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9732[] = {
  "cmplt\t%0.h, %1/z, %3.h, %4.d",
  "cmplt\t%0.h, %1/z, %3.h, %4.d",
  "cmplt\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9733[] = {
  "cmpne\t%0.h, %1/z, %3.h, %4.d",
  "cmpne\t%0.h, %1/z, %3.h, %4.d",
  "cmpne\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9734[] = {
  "cmpeq\t%0.s, %1/z, %3.s, %4.d",
  "cmpeq\t%0.s, %1/z, %3.s, %4.d",
  "cmpeq\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9735[] = {
  "cmpge\t%0.s, %1/z, %3.s, %4.d",
  "cmpge\t%0.s, %1/z, %3.s, %4.d",
  "cmpge\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9736[] = {
  "cmpgt\t%0.s, %1/z, %3.s, %4.d",
  "cmpgt\t%0.s, %1/z, %3.s, %4.d",
  "cmpgt\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9737[] = {
  "cmphi\t%0.s, %1/z, %3.s, %4.d",
  "cmphi\t%0.s, %1/z, %3.s, %4.d",
  "cmphi\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9738[] = {
  "cmphs\t%0.s, %1/z, %3.s, %4.d",
  "cmphs\t%0.s, %1/z, %3.s, %4.d",
  "cmphs\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9739[] = {
  "cmple\t%0.s, %1/z, %3.s, %4.d",
  "cmple\t%0.s, %1/z, %3.s, %4.d",
  "cmple\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9740[] = {
  "cmplo\t%0.s, %1/z, %3.s, %4.d",
  "cmplo\t%0.s, %1/z, %3.s, %4.d",
  "cmplo\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9741[] = {
  "cmpls\t%0.s, %1/z, %3.s, %4.d",
  "cmpls\t%0.s, %1/z, %3.s, %4.d",
  "cmpls\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9742[] = {
  "cmplt\t%0.s, %1/z, %3.s, %4.d",
  "cmplt\t%0.s, %1/z, %3.s, %4.d",
  "cmplt\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9743[] = {
  "cmpne\t%0.s, %1/z, %3.s, %4.d",
  "cmpne\t%0.s, %1/z, %3.s, %4.d",
  "cmpne\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9744[] = {
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9745[] = {
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9746[] = {
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9747[] = {
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9748[] = {
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9749[] = {
  "cmple\t%0.b, %1/z, %2.b, %3.d",
  "cmple\t%0.b, %1/z, %2.b, %3.d",
  "cmple\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9750[] = {
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9751[] = {
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9752[] = {
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9753[] = {
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9754[] = {
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9755[] = {
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9756[] = {
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9757[] = {
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9758[] = {
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9759[] = {
  "cmple\t%0.h, %1/z, %2.h, %3.d",
  "cmple\t%0.h, %1/z, %2.h, %3.d",
  "cmple\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9760[] = {
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9761[] = {
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9762[] = {
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9763[] = {
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9764[] = {
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9765[] = {
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9766[] = {
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9767[] = {
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9768[] = {
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9769[] = {
  "cmple\t%0.s, %1/z, %2.s, %3.d",
  "cmple\t%0.s, %1/z, %2.s, %3.d",
  "cmple\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9770[] = {
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9771[] = {
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9772[] = {
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9773[] = {
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9774[] = {
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9775[] = {
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9776[] = {
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9777[] = {
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9778[] = {
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9779[] = {
  "cmple\t%0.b, %1/z, %2.b, %3.d",
  "cmple\t%0.b, %1/z, %2.b, %3.d",
  "cmple\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9780[] = {
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9781[] = {
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9782[] = {
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9783[] = {
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9784[] = {
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9785[] = {
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9786[] = {
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9787[] = {
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9788[] = {
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9789[] = {
  "cmple\t%0.h, %1/z, %2.h, %3.d",
  "cmple\t%0.h, %1/z, %2.h, %3.d",
  "cmple\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9790[] = {
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9791[] = {
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9792[] = {
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9793[] = {
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9794[] = {
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9795[] = {
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9796[] = {
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9797[] = {
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9798[] = {
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9799[] = {
  "cmple\t%0.s, %1/z, %2.s, %3.d",
  "cmple\t%0.s, %1/z, %2.s, %3.d",
  "cmple\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9800[] = {
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9801[] = {
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9802[] = {
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9803[] = {
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_10044[] = {
  "fcmeq\t%0.h, %1/z, %3.h, #0.0",
  "fcmeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10045[] = {
  "fcmge\t%0.h, %1/z, %3.h, #0.0",
  "fcmge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10046[] = {
  "fcmgt\t%0.h, %1/z, %3.h, #0.0",
  "fcmgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10047[] = {
  "fcmle\t%0.h, %1/z, %3.h, #0.0",
  "fcmle\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10048[] = {
  "fcmlt\t%0.h, %1/z, %3.h, #0.0",
  "fcmlt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10049[] = {
  "fcmne\t%0.h, %1/z, %3.h, #0.0",
  "fcmne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10050[] = {
  "fcmeq\t%0.s, %1/z, %3.s, #0.0",
  "fcmeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10051[] = {
  "fcmge\t%0.s, %1/z, %3.s, #0.0",
  "fcmge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10052[] = {
  "fcmgt\t%0.s, %1/z, %3.s, #0.0",
  "fcmgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10053[] = {
  "fcmle\t%0.s, %1/z, %3.s, #0.0",
  "fcmle\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10054[] = {
  "fcmlt\t%0.s, %1/z, %3.s, #0.0",
  "fcmlt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10055[] = {
  "fcmne\t%0.s, %1/z, %3.s, #0.0",
  "fcmne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10056[] = {
  "fcmeq\t%0.d, %1/z, %3.d, #0.0",
  "fcmeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10057[] = {
  "fcmge\t%0.d, %1/z, %3.d, #0.0",
  "fcmge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10058[] = {
  "fcmgt\t%0.d, %1/z, %3.d, #0.0",
  "fcmgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10059[] = {
  "fcmle\t%0.d, %1/z, %3.d, #0.0",
  "fcmle\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10060[] = {
  "fcmlt\t%0.d, %1/z, %3.d, #0.0",
  "fcmlt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10061[] = {
  "fcmne\t%0.d, %1/z, %3.d, #0.0",
  "fcmne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10160[] = {
  "clasta\t%w0, %2, %w0, %3.b",
  "clasta\t%b0, %2, %b0, %3.b",
};

static const char * const output_10161[] = {
  "clastb\t%w0, %2, %w0, %3.b",
  "clastb\t%b0, %2, %b0, %3.b",
};

static const char * const output_10162[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_10163[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_10164[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_10165[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_10166[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_10167[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_10168[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_10169[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_10170[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_10171[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_10172[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_10173[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_10174[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_10175[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_10176[] = {
  "clasta\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclasta\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_10177[] = {
  "clastb\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclastb\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_10178[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10179[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10180[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_10181[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_10182[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_10183[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_10184[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10185[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10186[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10187[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10188[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_10189[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_10190[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_10191[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char *
output_10277 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9106 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (QImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10278 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9106 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10279 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9106 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10280 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9106 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10281 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9106 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (BFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10282 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9106 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10283 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9106 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10284 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9106 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char * const output_10304[] = {
  "splice\t%0.b, %1, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsplice\t%0.b, %1, %0.b, %3.b",
};

static const char * const output_10305[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_10306[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_10307[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char * const output_10308[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_10309[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_10310[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_10311[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char *
output_10474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 8 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9187 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char * const output_10540[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_10541[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_10542[] = {
  "fcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.h, %1/m, %2.s",
};

static const char * const output_10543[] = {
  "fcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.h, %1/m, %2.s",
};

static const char * const output_10544[] = {
  "fcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.h, %1/m, %2.d",
};

static const char * const output_10545[] = {
  "fcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.h, %1/m, %2.d",
};

static const char * const output_10546[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_10547[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_10548[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_10549[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_10550[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10551[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10552[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_10553[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_10554[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_10555[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_10556[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_10557[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_10558[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10559[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10560[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_10561[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_10562[] = {
  "fcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.s",
};

static const char * const output_10563[] = {
  "fcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.s",
};

static const char * const output_10564[] = {
  "fcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.d",
};

static const char * const output_10565[] = {
  "fcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.d",
};

static const char * const output_10566[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_10567[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_10568[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_10569[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_10570[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10571[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10572[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_10573[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_10574[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_10575[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_10576[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_10577[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_10578[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_10579[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_10580[] = {
  "fcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.s",
};

static const char * const output_10581[] = {
  "fcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.s",
};

static const char * const output_10582[] = {
  "fcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.d",
};

static const char * const output_10583[] = {
  "fcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.d",
};

static const char * const output_10584[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_10585[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_10586[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_10587[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_10588[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10589[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10590[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_10591[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_10592[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_10593[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_10594[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_10595[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_10596[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10597[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10598[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10599[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10600[] = {
  "scvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10601[] = {
  "ucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10602[] = {
  "scvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10603[] = {
  "ucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10604[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10605[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10606[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10607[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10608[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10609[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10610[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10611[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10612[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10613[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10614[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10615[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10616[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10617[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10618[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10619[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10620[] = {
  "scvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10621[] = {
  "ucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10622[] = {
  "scvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10623[] = {
  "ucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10624[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10625[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10626[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10627[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10628[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10629[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10630[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10631[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10632[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10633[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10634[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10635[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10636[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10637[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10638[] = {
  "scvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10639[] = {
  "ucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10640[] = {
  "scvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10641[] = {
  "ucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10642[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10643[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10644[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10645[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10646[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10647[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10648[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10649[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10650[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10651[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10652[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10653[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10654[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10655[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10656[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_10657[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_10658[] = {
  "fcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.s",
};

static const char * const output_10659[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_10660[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_10661[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_10662[] = {
  "fcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.s",
};

static const char * const output_10663[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_10664[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_10665[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_10667[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_10668[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_10669[] = {
  "fcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.s",
};

static const char * const output_10670[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_10671[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_10672[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_10673[] = {
  "fcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.s",
};

static const char * const output_10674[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_10684[] = {
  "brka\t%0.b, %1/z, %2.b",
  "brka\t%0.b, %1/z, %2.b",
  "brka\t%0.b, %1/z, %2.b",
  "brka\t%0.b, %1/m, %2.b",
  "brka\t%0.b, %1/m, %2.b",
  "brka\t%0.b, %1/m, %2.b",
};

static const char * const output_10685[] = {
  "brkb\t%0.b, %1/z, %2.b",
  "brkb\t%0.b, %1/z, %2.b",
  "brkb\t%0.b, %1/z, %2.b",
  "brkb\t%0.b, %1/m, %2.b",
  "brkb\t%0.b, %1/m, %2.b",
  "brkb\t%0.b, %1/m, %2.b",
};

static const char * const output_10686[] = {
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/z, %2.b",
};

static const char * const output_10687[] = {
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/z, %2.b",
};

static const char * const output_10688[] = {
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/z, %2.b",
};

static const char * const output_10689[] = {
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/z, %2.b",
};

static const char * const output_10690[] = {
  "brkn\t%0.b, %1/z, %2.b, %0.b",
  "brkn\t%0.b, %1/z, %2.b, %0.b",
  "brkn\t%0.b, %1/z, %2.b, %0.b",
};

static const char * const output_10691[] = {
  "brkpa\t%0.b, %1/z, %2.b, %3.b",
  "brkpa\t%0.b, %1/z, %2.b, %3.b",
  "brkpa\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10692[] = {
  "brkpb\t%0.b, %1/z, %2.b, %3.b",
  "brkpb\t%0.b, %1/z, %2.b, %3.b",
  "brkpb\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10695[] = {
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10696[] = {
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10697[] = {
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10698[] = {
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
};

static const char *
output_10723 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10289 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("cnt", "%x0", operands + 1);
  }
}

static const char *
output_10724 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10314 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0",
						 operands + 2);
  }
}

static const char *
output_10725 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10314 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_10726 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10314 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_10727 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10331 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0", operands + 2);
  }
}

static const char *
output_10728 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10350 "../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", registers,
						 operands + 2);
  }
}

static const char *
output_10729 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10350 "../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", registers,
						 operands + 2);
  }
}

static const char *
output_10730 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10379 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10379 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10732 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10379 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10733 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10400 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10734 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10400 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10735 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10400 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10736 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10435 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10737 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10435 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10738 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10435 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10739 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10464 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0",
						 operands + 2);
  }
}

static const char *
output_10740 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10464 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_10741 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10464 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_10742 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10481 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0", operands + 2);
  }
}

static const char *
output_10743 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10500 "../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", registers,
						 operands + 2);
  }
}

static const char *
output_10744 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10500 "../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", registers,
						 operands + 2);
  }
}

static const char *
output_10745 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10529 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10746 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10529 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10747 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10529 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10748 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10550 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10749 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10550 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10750 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10550 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10751 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10585 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10752 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10585 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10753 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10585 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10704 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.b, %w0";
    else
      return "sqincp\t%w0, %2.b";
  }
}

static const char *
output_10775 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10704 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.b, %w0";
    else
      return "uqincp\t%w0, %2.b";
  }
}

static const char *
output_10776 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10704 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.h, %w0";
    else
      return "sqincp\t%w0, %2.h";
  }
}

static const char *
output_10777 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10704 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.h, %w0";
    else
      return "uqincp\t%w0, %2.h";
  }
}

static const char *
output_10778 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10704 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.s, %w0";
    else
      return "sqincp\t%w0, %2.s";
  }
}

static const char *
output_10779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10704 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.s, %w0";
    else
      return "uqincp\t%w0, %2.s";
  }
}

static const char *
output_10780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10704 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.d, %w0";
    else
      return "sqincp\t%w0, %2.d";
  }
}

static const char *
output_10781 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10704 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.d, %w0";
    else
      return "uqincp\t%w0, %2.d";
  }
}

static const char * const output_10782[] = {
  "incp\t%0.d, %2",
  "movprfx\t%0, %1\n\tincp\t%0.d, %2",
};

static const char * const output_10783[] = {
  "sqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.d, %2",
};

static const char * const output_10784[] = {
  "uqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.d, %2",
};

static const char * const output_10785[] = {
  "incp\t%0.s, %2",
  "movprfx\t%0, %1\n\tincp\t%0.s, %2",
};

static const char * const output_10786[] = {
  "sqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.s, %2",
};

static const char * const output_10787[] = {
  "uqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.s, %2",
};

static const char * const output_10788[] = {
  "incp\t%0.h, %2",
  "movprfx\t%0, %1\n\tincp\t%0.h, %2",
};

static const char * const output_10789[] = {
  "sqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.h, %2",
};

static const char * const output_10790[] = {
  "uqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.h, %2",
};

static const char *
output_10807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10937 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.b, %w0";
    else
      return "sqdecp\t%w0, %2.b";
  }
}

static const char *
output_10808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10937 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.b, %w0";
    else
      return "uqdecp\t%w0, %2.b";
  }
}

static const char *
output_10809 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10937 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.h, %w0";
    else
      return "sqdecp\t%w0, %2.h";
  }
}

static const char *
output_10810 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10937 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.h, %w0";
    else
      return "uqdecp\t%w0, %2.h";
  }
}

static const char *
output_10811 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10937 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.s, %w0";
    else
      return "sqdecp\t%w0, %2.s";
  }
}

static const char *
output_10812 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10937 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.s, %w0";
    else
      return "uqdecp\t%w0, %2.s";
  }
}

static const char *
output_10813 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10937 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.d, %w0";
    else
      return "sqdecp\t%w0, %2.d";
  }
}

static const char *
output_10814 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10937 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.d, %w0";
    else
      return "uqdecp\t%w0, %2.d";
  }
}

static const char * const output_10815[] = {
  "decp\t%0.d, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.d, %2",
};

static const char * const output_10816[] = {
  "sqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.d, %2",
};

static const char * const output_10817[] = {
  "uqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.d, %2",
};

static const char * const output_10818[] = {
  "decp\t%0.s, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.s, %2",
};

static const char * const output_10819[] = {
  "sqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.s, %2",
};

static const char * const output_10820[] = {
  "uqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.s, %2",
};

static const char * const output_10821[] = {
  "decp\t%0.h, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.h, %2",
};

static const char * const output_10822[] = {
  "sqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.h, %2",
};

static const char * const output_10823[] = {
  "uqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.h, %2",
};

static const char *
output_10832 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11105 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx16QImode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.b, %3, %2.b, %1.b";
  }
}

static const char *
output_10833 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11105 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx8HImode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.h, %3, %2.h, %1.h";
  }
}

static const char *
output_10834 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11105 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx4SImode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.s, %3, %2.s, %1.s";
  }
}

static const char *
output_10835 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11105 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx2DImode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.d, %3, %2.d, %1.d";
  }
}

static const char *
output_10836 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11105 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx8BFmode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.h, %3, %2.h, %1.h";
  }
}

static const char *
output_10837 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11105 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx8HFmode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.h, %3, %2.h, %1.h";
  }
}

static const char *
output_10838 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11105 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx4SFmode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.s, %3, %2.s, %1.s";
  }
}

static const char *
output_10839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11105 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx2DFmode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.d, %3, %2.d, %1.d";
  }
}

static const char * const output_10904[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10905[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10906[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10907[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10908[] = {
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10909[] = {
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10910[] = {
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10911[] = {
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10912[] = {
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10913[] = {
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10914[] = {
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10915[] = {
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10916[] = {
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10917[] = {
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10918[] = {
  "ldnt1sw\t%0.s, %1/z, [%3.s]",
  "ldnt1sw\t%0.s, %1/z, [%3.s]",
  "ldnt1sw\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sw\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10919[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_10920[] = {
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10921[] = {
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10922[] = {
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10923[] = {
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10924[] = {
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10925[] = {
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10926[] = {
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10927[] = {
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10928[] = {
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10929[] = {
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10930[] = {
  "ldnt1sw\t%0.d, %1/z, [%3.d]",
  "ldnt1sw\t%0.d, %1/z, [%3.d]",
  "ldnt1sw\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sw\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_10931[] = {
  "ldnt1w\t%0.d, %1/z, [%3.d]",
  "ldnt1w\t%0.d, %1/z, [%3.d]",
  "ldnt1w\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1w\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11028[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11029[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11030[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11031[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11032[] = {
  "stnt1b\t%3.s, %0, [%2.s]",
  "stnt1b\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11033[] = {
  "stnt1b\t%3.s, %0, [%2.s]",
  "stnt1b\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11034[] = {
  "stnt1b\t%3.s, %0, [%2.s]",
  "stnt1b\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11035[] = {
  "stnt1h\t%3.s, %0, [%2.s]",
  "stnt1h\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11036[] = {
  "stnt1h\t%3.s, %0, [%2.s]",
  "stnt1h\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11037[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11038[] = {
  "stnt1b\t%3.d, %0, [%2.d]",
  "stnt1b\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11039[] = {
  "stnt1b\t%3.d, %0, [%2.d]",
  "stnt1b\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11040[] = {
  "stnt1b\t%3.d, %0, [%2.d]",
  "stnt1b\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11041[] = {
  "stnt1h\t%3.d, %0, [%2.d]",
  "stnt1h\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11042[] = {
  "stnt1h\t%3.d, %0, [%2.d]",
  "stnt1h\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11043[] = {
  "stnt1w\t%3.d, %0, [%2.d]",
  "stnt1w\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11196[] = {
  "sclamp\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsclamp\t%0.b, %2.b, %3.b",
};

static const char * const output_11197[] = {
  "uclamp\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuclamp\t%0.b, %2.b, %3.b",
};

static const char * const output_11198[] = {
  "sclamp\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsclamp\t%0.h, %2.h, %3.h",
};

static const char * const output_11199[] = {
  "uclamp\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuclamp\t%0.h, %2.h, %3.h",
};

static const char * const output_11200[] = {
  "sclamp\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsclamp\t%0.s, %2.s, %3.s",
};

static const char * const output_11201[] = {
  "uclamp\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuclamp\t%0.s, %2.s, %3.s",
};

static const char * const output_11202[] = {
  "sclamp\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsclamp\t%0.d, %2.d, %3.d",
};

static const char * const output_11203[] = {
  "uclamp\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tuclamp\t%0.d, %2.d, %3.d",
};

static const char * const output_11204[] = {
  "#",
  "#",
};

static const char * const output_11205[] = {
  "#",
  "#",
};

static const char * const output_11206[] = {
  "#",
  "#",
};

static const char * const output_11207[] = {
  "#",
  "#",
};

static const char * const output_11208[] = {
  "#",
  "#",
};

static const char * const output_11209[] = {
  "#",
  "#",
};

static const char * const output_11210[] = {
  "#",
  "#",
};

static const char * const output_11211[] = {
  "#",
  "#",
};

static const char * const output_11232[] = {
  "mul\t%Z0.b, %Z1.b, %Z2.b",
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_11233[] = {
  "mul\t%Z0.b, %Z1.b, %Z2.b",
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_11234[] = {
  "mul\t%Z0.b, %Z1.b, %Z2.b",
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_11235[] = {
  "mul\t%Z0.b, %Z1.b, %Z2.b",
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_11236[] = {
  "mul\t%Z0.h, %Z1.h, %Z2.h",
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_11237[] = {
  "mul\t%Z0.h, %Z1.h, %Z2.h",
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_11238[] = {
  "mul\t%Z0.h, %Z1.h, %Z2.h",
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_11239[] = {
  "mul\t%Z0.s, %Z1.s, %Z2.s",
  "mul\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_11240[] = {
  "mul\t%Z0.s, %Z1.s, %Z2.s",
  "mul\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_11241[] = {
  "mul\t%Z0.d, %Z1.d, %Z2.d",
  "mul\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_11242[] = {
  "mul\t%Z0.d, %Z1.d, %Z2.d",
  "mul\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_11243[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
};

static const char * const output_11244[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
};

static const char * const output_11245[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
};

static const char * const output_11246[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
};

static const char * const output_11247[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11248[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11249[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11250[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11251[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11252[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11253[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11254[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11255[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11256[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11257[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11258[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11259[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11260[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11261[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11262[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11263[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11264[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11265[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11266[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11267[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11268[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11269[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11270[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11271[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11272[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11273[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11274[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11275[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11276[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11277[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11278[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11279[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11280[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11281[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11282[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11283[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11284[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11285[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11286[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11287[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11288[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11289[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11290[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11291[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11292[] = {
  "suqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11293[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11294[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11295[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11296[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11297[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11298[] = {
  "usqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11299[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11300[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11301[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11302[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11303[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11304[] = {
  "suqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11305[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11306[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11307[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11308[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11309[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11310[] = {
  "usqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11311[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11312[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11313[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11314[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11315[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11316[] = {
  "suqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11317[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11318[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11319[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11320[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11321[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11322[] = {
  "usqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11323[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11324[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11325[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11326[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11327[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11328[] = {
  "suqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11329[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11330[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11331[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11332[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11333[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11334[] = {
  "usqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11335[] = {
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11336[] = {
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11337[] = {
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11338[] = {
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11339[] = {
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11340[] = {
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11341[] = {
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11342[] = {
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11343[] = {
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11344[] = {
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11345[] = {
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11346[] = {
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11347[] = {
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11348[] = {
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11349[] = {
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11350[] = {
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11351[] = {
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11352[] = {
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11353[] = {
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11354[] = {
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11355[] = {
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11356[] = {
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11357[] = {
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11358[] = {
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11359[] = {
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11360[] = {
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11361[] = {
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11362[] = {
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11363[] = {
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11364[] = {
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11365[] = {
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11366[] = {
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11367[] = {
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11368[] = {
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11369[] = {
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11370[] = {
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11371[] = {
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11372[] = {
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11373[] = {
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11374[] = {
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11375[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11376[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11377[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11378[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11379[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11380[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11381[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11382[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11383[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11384[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11385[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11386[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11387[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11388[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11389[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11390[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11391[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11392[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11393[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11394[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11395[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11396[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11397[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11398[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11399[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11400[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11401[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11402[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11403[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11404[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11405[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11406[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11407[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11408[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11409[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11410[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11411[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11412[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11413[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11414[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11415[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11416[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11417[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11418[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11419[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11420[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11421[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11422[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11437[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11438[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11439[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11440[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11441[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11442[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11443[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11444[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11445[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11446[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11447[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11448[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11449[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11450[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11451[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11452[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11453[] = {
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11454[] = {
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11455[] = {
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11456[] = {
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11457[] = {
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11458[] = {
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11459[] = {
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11460[] = {
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11461[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_11462[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_11463[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_11464[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_11465[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_11466[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_11467[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_11468[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_11469[] = {
  "fclamp\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tfclamp\t%0.h, %2.h, %3.h",
};

static const char * const output_11470[] = {
  "fclamp\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tfclamp\t%0.s, %2.s, %3.s",
};

static const char * const output_11471[] = {
  "fclamp\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tfclamp\t%0.d, %2.d, %3.d",
};

static const char * const output_11472[] = {
  "#",
  "#",
};

static const char * const output_11473[] = {
  "#",
  "#",
};

static const char * const output_11474[] = {
  "#",
  "#",
};

static const char * const output_11481[] = {
  "adclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclb\t%0.b, %2.b, %3.b",
};

static const char * const output_11482[] = {
  "adclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclt\t%0.b, %2.b, %3.b",
};

static const char * const output_11483[] = {
  "eorbt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teorbt\t%0.b, %2.b, %3.b",
};

static const char * const output_11484[] = {
  "eortb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teortb\t%0.b, %2.b, %3.b",
};

static const char * const output_11485[] = {
  "sbclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclb\t%0.b, %2.b, %3.b",
};

static const char * const output_11486[] = {
  "sbclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclt\t%0.b, %2.b, %3.b",
};

static const char * const output_11487[] = {
  "sqrdmlah\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.b, %2.b, %3.b",
};

static const char * const output_11488[] = {
  "sqrdmlsh\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.b, %2.b, %3.b",
};

static const char * const output_11489[] = {
  "adclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclb\t%0.h, %2.h, %3.h",
};

static const char * const output_11490[] = {
  "adclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclt\t%0.h, %2.h, %3.h",
};

static const char * const output_11491[] = {
  "eorbt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teorbt\t%0.h, %2.h, %3.h",
};

static const char * const output_11492[] = {
  "eortb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teortb\t%0.h, %2.h, %3.h",
};

static const char * const output_11493[] = {
  "sbclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclb\t%0.h, %2.h, %3.h",
};

static const char * const output_11494[] = {
  "sbclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclt\t%0.h, %2.h, %3.h",
};

static const char * const output_11495[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h",
};

static const char * const output_11496[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h",
};

static const char * const output_11497[] = {
  "adclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclb\t%0.s, %2.s, %3.s",
};

static const char * const output_11498[] = {
  "adclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclt\t%0.s, %2.s, %3.s",
};

static const char * const output_11499[] = {
  "eorbt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teorbt\t%0.s, %2.s, %3.s",
};

static const char * const output_11500[] = {
  "eortb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teortb\t%0.s, %2.s, %3.s",
};

static const char * const output_11501[] = {
  "sbclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclb\t%0.s, %2.s, %3.s",
};

static const char * const output_11502[] = {
  "sbclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclt\t%0.s, %2.s, %3.s",
};

static const char * const output_11503[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s",
};

static const char * const output_11504[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s",
};

static const char * const output_11505[] = {
  "adclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclb\t%0.d, %2.d, %3.d",
};

static const char * const output_11506[] = {
  "adclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclt\t%0.d, %2.d, %3.d",
};

static const char * const output_11507[] = {
  "eorbt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teorbt\t%0.d, %2.d, %3.d",
};

static const char * const output_11508[] = {
  "eortb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teortb\t%0.d, %2.d, %3.d",
};

static const char * const output_11509[] = {
  "sbclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclb\t%0.d, %2.d, %3.d",
};

static const char * const output_11510[] = {
  "sbclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclt\t%0.d, %2.d, %3.d",
};

static const char * const output_11511[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d",
};

static const char * const output_11512[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d",
};

static const char * const output_11513[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_11514[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_11515[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_11516[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_11517[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_11518[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_11519[] = {
  "mla\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_11520[] = {
  "mla\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_11521[] = {
  "mla\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_11522[] = {
  "mls\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_11523[] = {
  "mls\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_11524[] = {
  "mls\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.d, %2.d, %3.d[%4]",
};

static const char *
output_11525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (VNx16QImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.b, %Z0.b, %Z2.b, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.b, %Z0.b, %Z2.b, #%3";
  }
}

static const char *
output_11526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (VNx8HImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.h, %Z0.h, %Z2.h, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.h, %Z0.h, %Z2.h, #%3";
  }
}

static const char *
output_11527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (VNx4SImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.s, %Z0.s, %Z2.s, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.s, %Z0.s, %Z2.s, #%3";
  }
}

static const char *
output_11528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (VNx2DImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.d, %Z0.d, %Z2.d, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.d, %Z0.d, %Z2.d, #%3";
  }
}

static const char *
output_11529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V8QImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.b, %Z0.b, %Z2.b, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.b, %Z0.b, %Z2.b, #%3";
  }
}

static const char *
output_11530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V16QImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.b, %Z0.b, %Z2.b, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.b, %Z0.b, %Z2.b, #%3";
  }
}

static const char *
output_11531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V4HImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.h, %Z0.h, %Z2.h, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.h, %Z0.h, %Z2.h, #%3";
  }
}

static const char *
output_11532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V8HImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.h, %Z0.h, %Z2.h, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.h, %Z0.h, %Z2.h, #%3";
  }
}

static const char *
output_11533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V2SImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.s, %Z0.s, %Z2.s, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.s, %Z0.s, %Z2.s, #%3";
  }
}

static const char *
output_11534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V4SImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.s, %Z0.s, %Z2.s, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.s, %Z0.s, %Z2.s, #%3";
  }
}

static const char *
output_11535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1282 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V2DImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.d, %Z0.d, %Z2.d, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.d, %Z0.d, %Z2.d, #%3";
  }
}

static const char * const output_11536[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11537[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11538[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11539[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11540[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11541[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11542[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11543[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11544[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_11545[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_11546[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_11547[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_11548[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_11549[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_11550[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_11551[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_11552[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11553[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11554[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11555[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11556[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11557[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11558[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11559[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11560[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11561[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11562[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11563[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11564[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11565[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11566[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11567[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11568[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11569[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11570[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11571[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11572[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11573[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11574[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11575[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11576[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11577[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11578[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11579[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11580[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11581[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11582[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11583[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11584[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11585[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11586[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11587[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11588[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11589[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11590[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11591[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11592[] = {
  "ssra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.b, %2.b, #%3",
};

static const char * const output_11593[] = {
  "usra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.b, %2.b, #%3",
};

static const char * const output_11594[] = {
  "ssra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.h, %2.h, #%3",
};

static const char * const output_11595[] = {
  "usra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.h, %2.h, #%3",
};

static const char * const output_11596[] = {
  "ssra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.s, %2.s, #%3",
};

static const char * const output_11597[] = {
  "usra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.s, %2.s, #%3",
};

static const char * const output_11598[] = {
  "ssra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.d, %2.d, #%3",
};

static const char * const output_11599[] = {
  "usra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.d, %2.d, #%3",
};

static const char * const output_11600[] = {
  "srsra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.b, %2.b, #%3",
};

static const char * const output_11601[] = {
  "ursra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.b, %2.b, #%3",
};

static const char * const output_11602[] = {
  "srsra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.h, %2.h, #%3",
};

static const char * const output_11603[] = {
  "ursra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.h, %2.h, #%3",
};

static const char * const output_11604[] = {
  "srsra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.s, %2.s, #%3",
};

static const char * const output_11605[] = {
  "ursra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.s, %2.s, #%3",
};

static const char * const output_11606[] = {
  "srsra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.d, %2.d, #%3",
};

static const char * const output_11607[] = {
  "ursra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.d, %2.d, #%3",
};

static const char * const output_11616[] = {
  "saba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsaba\t%0.b, %2.b, %3.b",
};

static const char * const output_11617[] = {
  "uaba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuaba\t%0.b, %2.b, %3.b",
};

static const char * const output_11618[] = {
  "saba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsaba\t%0.h, %2.h, %3.h",
};

static const char * const output_11619[] = {
  "uaba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuaba\t%0.h, %2.h, %3.h",
};

static const char * const output_11620[] = {
  "saba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsaba\t%0.s, %2.s, %3.s",
};

static const char * const output_11621[] = {
  "uaba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuaba\t%0.s, %2.s, %3.s",
};

static const char * const output_11622[] = {
  "saba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsaba\t%0.d, %2.d, %3.d",
};

static const char * const output_11623[] = {
  "uaba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tuaba\t%0.d, %2.d, %3.d",
};

static const char * const output_11747[] = {
  "sabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_11748[] = {
  "sabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_11749[] = {
  "smlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_11750[] = {
  "smlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_11751[] = {
  "uabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_11752[] = {
  "uabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_11753[] = {
  "umlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_11754[] = {
  "umlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_11755[] = {
  "sabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_11756[] = {
  "sabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_11757[] = {
  "smlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_11758[] = {
  "smlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_11759[] = {
  "uabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_11760[] = {
  "uabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_11761[] = {
  "umlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_11762[] = {
  "umlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_11763[] = {
  "sabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_11764[] = {
  "sabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_11765[] = {
  "smlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_11766[] = {
  "smlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_11767[] = {
  "uabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_11768[] = {
  "uabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_11769[] = {
  "umlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_11770[] = {
  "umlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_11771[] = {
  "smlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11772[] = {
  "smlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11773[] = {
  "umlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11774[] = {
  "umlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11775[] = {
  "smlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11776[] = {
  "smlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11777[] = {
  "umlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11778[] = {
  "umlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11779[] = {
  "sqdmlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_11780[] = {
  "sqdmlalbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.h, %2.b, %3.b",
};

static const char * const output_11781[] = {
  "sqdmlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_11782[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_11783[] = {
  "sqdmlalbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.s, %2.h, %3.h",
};

static const char * const output_11784[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_11785[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_11786[] = {
  "sqdmlalbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.d, %2.s, %3.s",
};

static const char * const output_11787[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_11788[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11789[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11790[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11791[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11792[] = {
  "smlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_11793[] = {
  "smlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_11794[] = {
  "umlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_11795[] = {
  "umlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_11796[] = {
  "smlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_11797[] = {
  "smlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_11798[] = {
  "umlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_11799[] = {
  "umlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_11800[] = {
  "smlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_11801[] = {
  "smlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_11802[] = {
  "umlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_11803[] = {
  "umlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_11804[] = {
  "smlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11805[] = {
  "smlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11806[] = {
  "umlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11807[] = {
  "umlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11808[] = {
  "smlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11809[] = {
  "smlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11810[] = {
  "umlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11811[] = {
  "umlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11812[] = {
  "sqdmlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_11813[] = {
  "sqdmlslbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.h, %2.b, %3.b",
};

static const char * const output_11814[] = {
  "sqdmlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_11815[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_11816[] = {
  "sqdmlslbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.s, %2.h, %3.h",
};

static const char * const output_11817[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_11818[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_11819[] = {
  "sqdmlslbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.d, %2.s, %3.s",
};

static const char * const output_11820[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_11821[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11822[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_11823[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11824[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_11825[] = {
  "sdot\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tsdot\t%0.s, %1.h, %2.h",
};

static const char * const output_11826[] = {
  "udot\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tudot\t%0.s, %1.h, %2.h",
};

static const char * const output_11875[] = {
  "fmlalb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalb\t%0.s, %1.h, %2.h",
};

static const char * const output_11876[] = {
  "fmlalt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalt\t%0.s, %1.h, %2.h",
};

static const char * const output_11877[] = {
  "fmlslb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslb\t%0.s, %1.h, %2.h",
};

static const char * const output_11878[] = {
  "fmlslt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslt\t%0.s, %1.h, %2.h",
};

static const char * const output_11879[] = {
  "fmlalb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_11880[] = {
  "fmlalt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_11881[] = {
  "fmlslb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_11882[] = {
  "fmlslt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_11883[] = {
  "fdot\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfdot\t%0.s, %1.h, %2.h",
};

static const char * const output_11884[] = {
  "fdot\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfdot\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_12014[] = {
  "addp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\taddp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12015[] = {
  "smaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12016[] = {
  "sminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12017[] = {
  "umaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12018[] = {
  "uminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12019[] = {
  "addp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\taddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12020[] = {
  "smaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12021[] = {
  "sminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12022[] = {
  "umaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12023[] = {
  "uminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12024[] = {
  "addp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\taddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12025[] = {
  "smaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12026[] = {
  "sminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12027[] = {
  "umaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12028[] = {
  "uminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12029[] = {
  "addp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\taddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12030[] = {
  "smaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12031[] = {
  "sminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12032[] = {
  "umaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12033[] = {
  "uminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12034[] = {
  "faddp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfaddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12035[] = {
  "fmaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12036[] = {
  "fmaxnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12037[] = {
  "fminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12038[] = {
  "fminnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12039[] = {
  "faddp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfaddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12040[] = {
  "fmaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12041[] = {
  "fmaxnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12042[] = {
  "fminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12043[] = {
  "fminnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12044[] = {
  "faddp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfaddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12045[] = {
  "fmaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12046[] = {
  "fmaxnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12047[] = {
  "fminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12048[] = {
  "fminnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12049[] = {
  "sadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_12050[] = {
  "uadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_12051[] = {
  "sadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_12052[] = {
  "uadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_12053[] = {
  "sadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_12054[] = {
  "uadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_12055[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_12056[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_12057[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_12058[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_12059[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_12060[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_12061[] = {
  "famax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12062[] = {
  "famin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12063[] = {
  "famax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12064[] = {
  "famin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12065[] = {
  "famax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12066[] = {
  "famin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12067[] = {
  "cadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_12068[] = {
  "cadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_12069[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_12070[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_12071[] = {
  "cadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_12072[] = {
  "cadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_12073[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_12074[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_12075[] = {
  "cadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_12076[] = {
  "cadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_12077[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_12078[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_12079[] = {
  "cadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_12080[] = {
  "cadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_12081[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_12082[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_12083[] = {
  "cmla\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_12084[] = {
  "cmla\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_12085[] = {
  "cmla\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_12086[] = {
  "cmla\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_12087[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_12088[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_12089[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_12090[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_12091[] = {
  "cmla\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_12092[] = {
  "cmla\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_12093[] = {
  "cmla\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_12094[] = {
  "cmla\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_12095[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_12096[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_12097[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_12098[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_12099[] = {
  "cmla\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_12100[] = {
  "cmla\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_12101[] = {
  "cmla\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_12102[] = {
  "cmla\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_12103[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_12104[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_12105[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_12106[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_12107[] = {
  "cmla\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_12108[] = {
  "cmla\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_12109[] = {
  "cmla\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_12110[] = {
  "cmla\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_12111[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_12112[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_12113[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_12114[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_12115[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_12116[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_12117[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_12118[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_12119[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_12120[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_12121[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_12122[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_12123[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_12124[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_12125[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_12126[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_12127[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_12128[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_12129[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_12130[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_12131[] = {
  "cdot\t%0.s, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #0",
};

static const char * const output_12132[] = {
  "cdot\t%0.s, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #90",
};

static const char * const output_12133[] = {
  "cdot\t%0.s, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #180",
};

static const char * const output_12134[] = {
  "cdot\t%0.s, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #270",
};

static const char * const output_12135[] = {
  "cdot\t%0.d, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #0",
};

static const char * const output_12136[] = {
  "cdot\t%0.d, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #90",
};

static const char * const output_12137[] = {
  "cdot\t%0.d, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #180",
};

static const char * const output_12138[] = {
  "cdot\t%0.d, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #270",
};

static const char * const output_12139[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #0",
};

static const char * const output_12140[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #90",
};

static const char * const output_12141[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #180",
};

static const char * const output_12142[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #270",
};

static const char * const output_12143[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #0",
};

static const char * const output_12144[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #90",
};

static const char * const output_12145[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #180",
};

static const char * const output_12146[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #270",
};

static const char * const output_12155[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_12156[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_12157[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_12171[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_12172[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_12173[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_12174[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_12175[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_12176[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_12177[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_12178[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_12179[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_12180[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_12181[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_12182[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_12183[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_12275[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12276[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12277[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12278[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12279[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12280[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12281[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12282[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12283[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12284[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12285[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12286[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12287[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12288[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12289[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12290[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12386[] = {
  "match\t%0.b, %1/z, %3.b, %4.b",
  "match\t%0.b, %1/z, %3.b, %4.b",
  "match\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_12387[] = {
  "nmatch\t%0.b, %1/z, %3.b, %4.b",
  "nmatch\t%0.b, %1/z, %3.b, %4.b",
  "nmatch\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_12388[] = {
  "match\t%0.h, %1/z, %3.h, %4.h",
  "match\t%0.h, %1/z, %3.h, %4.h",
  "match\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_12389[] = {
  "nmatch\t%0.h, %1/z, %3.h, %4.h",
  "nmatch\t%0.h, %1/z, %3.h, %4.h",
  "nmatch\t%0.h, %1/z, %3.h, %4.h",
};

static const char *
output_12572 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.b[%w2, 0:%3]";
  }
}

static const char *
output_12573 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.b[%w2, 0:%3]";
  }
}

static const char *
output_12574 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_12575 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_12576 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_12577 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_12578 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_12579 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_12580 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_12581 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_12582 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_12583 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_12584 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_12585 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_12586 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_12587 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_12588 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.b[%w2, 0:%3]";
  }
}

static const char *
output_12589 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.b[%w2, 0:%3]";
  }
}

static const char *
output_12590 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_12591 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_12592 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_12593 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_12594 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_12595 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_12596 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_12597 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_12598 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_12599 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_12600 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_12601 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_12602 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_12603 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 760 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_12604 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.b[%w2, %3:%4]";
  }
}

static const char *
output_12605 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.b[%w2, %3:%4]";
  }
}

static const char *
output_12606 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_12607 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_12608 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_12609 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_12610 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_12611 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_12612 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_12613 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_12614 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_12615 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_12616 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_12617 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_12618 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_12619 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_12620 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.b[%w2, %3:%4]";
  }
}

static const char *
output_12621 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.b[%w2, %3:%4]";
  }
}

static const char *
output_12622 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_12623 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_12624 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_12625 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_12626 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_12627 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_12628 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_12629 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_12630 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_12631 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_12632 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_12633 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_12634 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_12635 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 779 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_12640 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.b[%w1, 0:%3], %2";
  }
}

static const char *
output_12641 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.b[%w1, 0:%3], %2";
  }
}

static const char *
output_12642 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12643 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12644 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.s[%w1, 0:%3], %2";
  }
}

static const char *
output_12645 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.s[%w1, 0:%3], %2";
  }
}

static const char *
output_12646 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.d[%w1, 0:%3], %2";
  }
}

static const char *
output_12647 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.d[%w1, 0:%3], %2";
  }
}

static const char *
output_12648 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12649 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12650 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12651 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12652 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.s[%w1, 0:%3], %2";
  }
}

static const char *
output_12653 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.s[%w1, 0:%3], %2";
  }
}

static const char *
output_12654 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.d[%w1, 0:%3], %2";
  }
}

static const char *
output_12655 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.d[%w1, 0:%3], %2";
  }
}

static const char *
output_12656 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.b[%w1, 0:%3], %2";
  }
}

static const char *
output_12657 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.b[%w1, 0:%3], %2";
  }
}

static const char *
output_12658 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12659 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12660 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.s[%w1, 0:%3], %2";
  }
}

static const char *
output_12661 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.s[%w1, 0:%3], %2";
  }
}

static const char *
output_12662 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.d[%w1, 0:%3], %2";
  }
}

static const char *
output_12663 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.d[%w1, 0:%3], %2";
  }
}

static const char *
output_12664 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12665 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12666 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12667 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_12668 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.s[%w1, 0:%3], %2";
  }
}

static const char *
output_12669 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.s[%w1, 0:%3], %2";
  }
}

static const char *
output_12670 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.d[%w1, 0:%3], %2";
  }
}

static const char *
output_12671 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 818 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.d[%w1, 0:%3], %2";
  }
}

static const char *
output_12672 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.b[%w1, %2:%4], %3";
  }
}

static const char *
output_12673 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.b[%w1, %2:%4], %3";
  }
}

static const char *
output_12674 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12675 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12676 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.s[%w1, %2:%4], %3";
  }
}

static const char *
output_12677 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.s[%w1, %2:%4], %3";
  }
}

static const char *
output_12678 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.d[%w1, %2:%4], %3";
  }
}

static const char *
output_12679 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.d[%w1, %2:%4], %3";
  }
}

static const char *
output_12680 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12681 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12682 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12683 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12684 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.s[%w1, %2:%4], %3";
  }
}

static const char *
output_12685 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.s[%w1, %2:%4], %3";
  }
}

static const char *
output_12686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.d[%w1, %2:%4], %3";
  }
}

static const char *
output_12687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.d[%w1, %2:%4], %3";
  }
}

static const char *
output_12688 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.b[%w1, %2:%4], %3";
  }
}

static const char *
output_12689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.b[%w1, %2:%4], %3";
  }
}

static const char *
output_12690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.s[%w1, %2:%4], %3";
  }
}

static const char *
output_12693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.s[%w1, %2:%4], %3";
  }
}

static const char *
output_12694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.d[%w1, %2:%4], %3";
  }
}

static const char *
output_12695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.d[%w1, %2:%4], %3";
  }
}

static const char *
output_12696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12699 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_12700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.s[%w1, %2:%4], %3";
  }
}

static const char *
output_12701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.s[%w1, %2:%4], %3";
  }
}

static const char *
output_12702 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.d[%w1, %2:%4], %3";
  }
}

static const char *
output_12703 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 838 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.d[%w1, %2:%4], %3";
  }
}

static const char *
output_12708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 885 "../../gcc/config/aarch64/aarch64-sme.md"
{
    return aarch64_output_sme_zero_za (operands[0]);
  }
}

static const char *
output_13014 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1224 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4], %2.b, %3.b";
  }
}

static const char *
output_13015 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1224 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4], %2.b, %3.b";
  }
}

static const char *
output_13016 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1224 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4], %2.b, %3.b";
  }
}

static const char *
output_13017 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1224 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4], %2.b, %3.b";
  }
}

static const char *
output_13018 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1224 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13019 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1224 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13020 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1224 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13021 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1224 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13038 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13039 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13040 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13041 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13042 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13043 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13044 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13045 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13046 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13047 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13048 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13049 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13050 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13051 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13052 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1254 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13070 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4, vgx2], %2, %3.b";
  }
}

static const char *
output_13071 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4, vgx2], %2, %3.b";
  }
}

static const char *
output_13072 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4, vgx2], %2, %3.b";
  }
}

static const char *
output_13073 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4, vgx2], %2, %3.b";
  }
}

static const char *
output_13074 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4, vgx4], %2, %3.b";
  }
}

static const char *
output_13075 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4, vgx4], %2, %3.b";
  }
}

static const char *
output_13076 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4, vgx4], %2, %3.b";
  }
}

static const char *
output_13077 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4, vgx4], %2, %3.b";
  }
}

static const char *
output_13078 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13079 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13080 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13081 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13082 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13083 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13084 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13085 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1286 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13110 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%5], %2.b, %3.b[%4]";
  }
}

static const char *
output_13111 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%5], %2.b, %3.b[%4]";
  }
}

static const char *
output_13112 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%5], %2.b, %3.b[%4]";
  }
}

static const char *
output_13113 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%5], %2.b, %3.b[%4]";
  }
}

static const char *
output_13114 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%5, vgx2], %2, %3.b[%4]";
  }
}

static const char *
output_13115 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%5, vgx2], %2, %3.b[%4]";
  }
}

static const char *
output_13116 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%5, vgx2], %2, %3.b[%4]";
  }
}

static const char *
output_13117 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%5, vgx2], %2, %3.b[%4]";
  }
}

static const char *
output_13118 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%5, vgx4], %2, %3.b[%4]";
  }
}

static const char *
output_13119 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%5, vgx4], %2, %3.b[%4]";
  }
}

static const char *
output_13120 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%5, vgx4], %2, %3.b[%4]";
  }
}

static const char *
output_13121 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%5, vgx4], %2, %3.b[%4]";
  }
}

static const char *
output_13122 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13123 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13124 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13125 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13126 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13127 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13128 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13129 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13130 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13131 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13132 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13133 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1322 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13138 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1352 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13139 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1352 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13140 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1352 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13141 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1352 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13150 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13151 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13152 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13153 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13154 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13155 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13156 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13157 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1382 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13166 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1414 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13167 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1414 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13168 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1414 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13169 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1414 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13170 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1414 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13171 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1414 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13172 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1414 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13173 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1414 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13186 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13187 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13188 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13189 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13190 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13191 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13192 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13193 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13194 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13195 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13196 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13197 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1450 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13352 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1771 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13353 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1771 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13354 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1771 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13355 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1771 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13364 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1801 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13365 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1801 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13366 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1801 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13367 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1801 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13368 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1801 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13369 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1801 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13370 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1801 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13371 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1801 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13380 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1833 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13381 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1833 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13382 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1833 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13383 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1833 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13384 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1833 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13385 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1833 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13386 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1833 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13387 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1833 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13400 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13401 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13402 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13405 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13406 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13407 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13408 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13409 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13410 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13411 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1869 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}



static const struct insn_operand_data operand_data[] = 
{
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sysreg_string,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sysreg_string,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sysreg_string,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_prefetch_operand,
    "Dp",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_prefetch_operand,
    "Dp",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucr,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,r,r,w,r,r,r,w,m,m,r,r,w,w,w,w,Umv,r",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Z,r,M,Dq,Usv,Usr,m,m,rZ,w,w,w,rZ,rZ,w,w,r,Umv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,r,w,r,r,r,w,m,m,r,r,w,w,w,w,Umv,r",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Z,r,M,Dh,Usv,Usr,m,m,rZ,w,w,w,rZ,rZ,w,w,r,Umv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,rk,r,r,r,r,r,r,r,w,m,m,r,r,r,w,r,w,w,Umv,r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Z,r,k,M,n,Usv,Usr,UsR,m,m,rZ,w,Usw,Usa,Ush,rZ,w,w,Ds,r,Umv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,k,r,r,r,r,r,r,r,w,m,m,r,r,r,w,r,w,w,w,Umv,r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Z,r,r,k,O,n,Usv,Usr,UsR,m,m,rZ,w,Usw,Usa,Ush,rZ,w,w,Dd,Dx,r,Umv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,w,w,w,r,w,w,r,m,m,w,m",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_movti_operand,
    "rUti,Z,Z,r,w,w,w,m,r,Z,m,w",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,w,?r,?r,w,w,w,w,w,m,r,m,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,?rY,w,w,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,w,?r,?r,w,w,w,w,w,m,r,m,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,?rY,w,w,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_SDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,M",
    E_SDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,M",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_DDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,O",
    E_DDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,O",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,?r,w,?w,w,m,?r,m,m",
    E_TDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,?rY,?r,w,Y,Y,m,w,m,?r,Y",
    E_TDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,?r,w,?w,w,m,?r,m,m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,?rY,?r,w,Y,Y,m,w,m,?r,Y",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "+&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn,Umn",
    E_V2x4QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn,Umn",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2x4QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "=rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_TImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_TImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    1
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    1
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_TImode,
    0,
    1,
    0,
    1
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_TImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn",
    E_V2x4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,r,m,w,w",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn,Umn",
    E_V2x4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav,UaV",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav,UaV",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,rk,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,J,Uaa",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,0,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uai,Uav,Uat",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,0,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uai,Uav,Uat",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_QImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsO",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsP",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,0,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K,K,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,0,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L,L,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Uss,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usd,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usj,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sminmax_operand,
    "r,Usm",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_uminmax_operand,
    "r,Uum",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sminmax_operand,
    "r,Usm",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_uminmax_operand,
    "r,Uum",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_uimm6,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_memtag_tag_offset,
    "i",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_V8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_V8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_di,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    ",",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    ",",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    ",",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_di,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,m,r",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "r,r,m",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_imm,
    "rn",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plushi_operand,
    "rUih",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_BLKmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=Upa,Upa,m",
    E_VNx32BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,m,Upa",
    E_VNx32BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_reg_or_minus_one,
    "Dm,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPb",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPh",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPw",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_b,
    "UOb",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    ",,",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    ",,",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    ",,",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "wDz",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "wDz",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "wDz",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa,&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa,Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa,Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,0,0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,00,0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    ",,",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Up2",
    E_VNx32BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Up2",
    E_VNx32BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    pmode_register_operand,
    "r",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx1TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx1TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mov_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mov_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx1TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx1TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_12_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_12_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_12_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_12_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TDmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sminmax_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_uminmax_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sminmax_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_uminmax_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm64_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
};


#if GCC_VERSION >= 2007
__extension__
#endif

const struct insn_data_d insn_data[] = 
{
  /* <internal>:0 */
  {
    "*placeholder_for_nothing",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:602 */
  {
    "aarch64_read_sysregdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_read_sysregdi },
    &operand_data[1],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:610 */
  {
    "aarch64_read_sysregti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrrs\t%x0, %H0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_read_sysregti },
    &operand_data[3],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:618 */
  {
    "aarch64_write_sysregdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\t%0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_write_sysregdi },
    &operand_data[4],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:626 */
  {
    "aarch64_write_sysregti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msrr\t%x0, %x1, %H1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_write_sysregti },
    &operand_data[6],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:634 */
  {
    "indirect_jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5 },
#else
    { 0, 0, output_5 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_indirect_jump },
    &operand_data[8],
    1,
    1,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:645 */
  {
    "jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "b\t%l0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_jump },
    &operand_data[9],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:690 */
  {
    "ccmpccsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7 },
#else
    { 0, output_7, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi },
    &operand_data[10],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:690 */
  {
    "ccmpccdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8 },
#else
    { 0, output_8, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi },
    &operand_data[16],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:710 */
  {
    "ccmpccfpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf },
    &operand_data[22],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:710 */
  {
    "ccmpccfpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf },
    &operand_data[28],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:710 */
  {
    "ccmpccfpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf },
    &operand_data[34],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:710 */
  {
    "ccmpccfpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf },
    &operand_data[40],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:727 */
  {
    "ccmpccsi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_13 },
#else
    { 0, output_13, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi_rev },
    &operand_data[10],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:727 */
  {
    "ccmpccdi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_14 },
#else
    { 0, output_14, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi_rev },
    &operand_data[16],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:747 */
  {
    "ccmpccfpsf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf_rev },
    &operand_data[22],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:747 */
  {
    "ccmpccfpdf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf_rev },
    &operand_data[28],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:747 */
  {
    "ccmpccfpesf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf_rev },
    &operand_data[34],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:747 */
  {
    "ccmpccfpedf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf_rev },
    &operand_data[40],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:820 */
  {
    "condjump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_19 },
#else
    { 0, 0, output_19 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_condjump },
    &operand_data[46],
    3,
    3,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:859 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[49],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:859 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[49],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:859 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[52],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:859 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[52],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:859 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[49],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:859 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[49],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:859 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[52],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:859 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[52],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:946 */
  {
    "*casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_28 },
#else
    { 0, 0, output_28 },
#endif
    { 0 },
    &operand_data[55],
    3,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:964 */
  {
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nop },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:971 */
  {
    "prefetch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_30 },
#else
    { 0, 0, output_30 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prefetch },
    &operand_data[60],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1002 */
  {
    "aarch64_pldx",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_31 },
#else
    { 0, 0, output_31 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pldx },
    &operand_data[63],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1013 */
  {
    "trap",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brk #1000",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_trap },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1037 */
  {
    "*do_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_33 },
#else
    { 0, 0, output_33 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1065 */
  {
    "simple_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_34 },
#else
    { 0, 0, output_34 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_simple_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1076 */
  {
    "aarch64_cbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_35 },
#else
    { 0, 0, output_35 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cbeqsi1 },
    &operand_data[56],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1076 */
  {
    "aarch64_cbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_36 },
#else
    { 0, 0, output_36 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cbnesi1 },
    &operand_data[56],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1076 */
  {
    "aarch64_cbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_37 },
#else
    { 0, 0, output_37 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cbeqdi1 },
    &operand_data[8],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1076 */
  {
    "aarch64_cbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_38 },
#else
    { 0, 0, output_38 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cbnedi1 },
    &operand_data[8],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbeqqisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_39 },
#else
    { 0, 0, output_39 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqqisi },
    &operand_data[65],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbneqisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_40 },
#else
    { 0, 0, output_40 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbneqisi },
    &operand_data[65],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbeqqidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_41 },
#else
    { 0, 0, output_41 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqqidi },
    &operand_data[65],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbneqidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_42 },
#else
    { 0, 0, output_42 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbneqidi },
    &operand_data[65],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbeqhisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_43 },
#else
    { 0, 0, output_43 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqhisi },
    &operand_data[68],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbnehisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_44 },
#else
    { 0, 0, output_44 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnehisi },
    &operand_data[68],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbeqhidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_45 },
#else
    { 0, 0, output_45 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqhidi },
    &operand_data[68],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbnehidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_46 },
#else
    { 0, 0, output_46 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnehidi },
    &operand_data[68],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbeqsisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_47 },
#else
    { 0, 0, output_47 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqsisi },
    &operand_data[71],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbnesisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_48 },
#else
    { 0, 0, output_48 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnesisi },
    &operand_data[71],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbeqsidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_49 },
#else
    { 0, 0, output_49 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqsidi },
    &operand_data[71],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbnesidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_50 },
#else
    { 0, 0, output_50 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnesidi },
    &operand_data[71],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbeqdisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_51 },
#else
    { 0, 0, output_51 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqdisi },
    &operand_data[74],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbnedisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_52 },
#else
    { 0, 0, output_52 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnedisi },
    &operand_data[74],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbeqdidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_53 },
#else
    { 0, 0, output_53 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqdidi },
    &operand_data[74],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1118 */
  {
    "aarch64_tbnedidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_54 },
#else
    { 0, 0, output_54 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnedidi },
    &operand_data[74],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1158 */
  {
    "*cbltqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_55 },
#else
    { 0, 0, output_55 },
#endif
    { 0 },
    &operand_data[77],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1158 */
  {
    "*cbgeqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_56 },
#else
    { 0, 0, output_56 },
#endif
    { 0 },
    &operand_data[77],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1158 */
  {
    "*cblthi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_57 },
#else
    { 0, 0, output_57 },
#endif
    { 0 },
    &operand_data[79],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1158 */
  {
    "*cbgehi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_58 },
#else
    { 0, 0, output_58 },
#endif
    { 0 },
    &operand_data[79],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1158 */
  {
    "*cbltsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_59 },
#else
    { 0, 0, output_59 },
#endif
    { 0 },
    &operand_data[56],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1158 */
  {
    "*cbgesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_60 },
#else
    { 0, 0, output_60 },
#endif
    { 0 },
    &operand_data[56],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1158 */
  {
    "*cbltdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_61 },
#else
    { 0, 0, output_61 },
#endif
    { 0 },
    &operand_data[8],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1158 */
  {
    "*cbgedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_62 },
#else
    { 0, 0, output_62 },
#endif
    { 0 },
    &operand_data[8],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1215 */
  {
    "*call_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_63 },
#else
    { 0, 0, output_63 },
#endif
    { 0 },
    &operand_data[81],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1242 */
  {
    "*call_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_64 },
#else
    { 0, 0, output_64 },
#endif
    { 0 },
    &operand_data[80],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1282 */
  {
    "*sibcall_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_65 },
#else
    { 0, 0, output_65 },
#endif
    { 0 },
    &operand_data[84],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1300 */
  {
    "*sibcall_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_66 },
#else
    { 0, 0, output_66 },
#endif
    { 0 },
    &operand_data[87],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1387 */
  {
    "*movqi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_67 },
#else
    { 0, 0, output_67 },
#endif
    { 0 },
    &operand_data[91],
    2,
    2,
    0,
    18,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1387 */
  {
    "*movhi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_68 },
#else
    { 0, 0, output_68 },
#endif
    { 0 },
    &operand_data[93],
    2,
    2,
    0,
    18,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1448 */
  {
    "*movsi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_69 },
#else
    { 0, 0, output_69 },
#endif
    { 0 },
    &operand_data[95],
    2,
    2,
    0,
    21,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1486 */
  {
    "*movdi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_70 },
#else
    { 0, 0, output_70 },
#endif
    { 0 },
    &operand_data[97],
    2,
    2,
    0,
    23,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1533 */
  {
    "insv_immsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%w0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immsi },
    &operand_data[99],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1533 */
  {
    "insv_immdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%x0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immdi },
    &operand_data[102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1545 */
  {
    "aarch64_movksi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_73 },
#else
    { 0, 0, output_73 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movksi },
    &operand_data[105],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1545 */
  {
    "aarch64_movkdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_74 },
#else
    { 0, 0, output_74 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movkdi },
    &operand_data[109],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1580 */
  {
    "*movti_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_75 },
#else
    { 0, output_75, 0 },
#endif
    { 0 },
    &operand_data[113],
    2,
    2,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1642 */
  {
    "*movhf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_76 },
#else
    { 0, 0, output_76 },
#endif
    { 0 },
    &operand_data[115],
    2,
    2,
    0,
    15,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1642 */
  {
    "*movbf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_77 },
#else
    { 0, 0, output_77 },
#endif
    { 0 },
    &operand_data[117],
    2,
    2,
    0,
    15,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1666 */
  {
    "*movsd_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_78 },
#else
    { 0, 0, output_78 },
#endif
    { 0 },
    &operand_data[119],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1666 */
  {
    "*movsf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_79 },
#else
    { 0, 0, output_79 },
#endif
    { 0 },
    &operand_data[121],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1687 */
  {
    "*movdd_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_80 },
#else
    { 0, 0, output_80 },
#endif
    { 0 },
    &operand_data[123],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1687 */
  {
    "*movdf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_81 },
#else
    { 0, 0, output_81 },
#endif
    { 0 },
    &operand_data[125],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1729 */
  {
    "*movtd_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_82 },
#else
    { 0, output_82, 0 },
#endif
    { 0 },
    &operand_data[127],
    2,
    2,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1729 */
  {
    "*movtf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_83 },
#else
    { 0, output_83, 0 },
#endif
    { 0 },
    &operand_data[129],
    2,
    2,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1781 */
  {
    "*aarch64_cpymemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cpyfp\t[%x0]!, [%x1]!, %x2!\n\tcpyfm\t[%x0]!, [%x1]!, %x2!\n\tcpyfe\t[%x0]!, [%x1]!, %x2!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[131],
    3,
    3,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1826 */
  {
    "*aarch64_movmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cpyp\t[%x0]!, [%x1]!, %x2!\n\tcpym\t[%x0]!, [%x1]!, %x2!\n\tcpye\t[%x0]!, [%x1]!, %x2!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[131],
    3,
    3,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1871 */
  {
    "*aarch64_setmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "setp\t[%x0]!, %x2!, %x1\n\tsetm\t[%x0]!, %x2!, %x1\n\tsete\t[%x0]!, %x2!, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[133],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1900 */
  {
    "*load_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_87 },
#else
    { 0, output_87, 0 },
#endif
    { 0 },
    &operand_data[136],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1900 */
  {
    "*load_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_88 },
#else
    { 0, output_88, 0 },
#endif
    { 0 },
    &operand_data[139],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1917 */
  {
    "*load_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %y1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[142],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1933 */
  {
    "*store_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_90 },
#else
    { 0, output_90, 0 },
#endif
    { 0 },
    &operand_data[145],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1933 */
  {
    "*store_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_91 },
#else
    { 0, output_91, 0 },
#endif
    { 0 },
    &operand_data[148],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1946 */
  {
    "*store_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q2, %y0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1967 */
  {
    "*loadwb_post_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_93 },
#else
    { 0, output_93, 0 },
#endif
    { 0 },
    &operand_data[154],
    9,
    9,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1967 */
  {
    "*loadwb_post_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_94 },
#else
    { 0, output_94, 0 },
#endif
    { 0 },
    &operand_data[163],
    9,
    9,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1987 */
  {
    "*loadwb_post_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[172],
    9,
    9,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*loadwb_pre_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_96 },
#else
    { 0, output_96, 0 },
#endif
    { 0 },
    &operand_data[181],
    11,
    11,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2006 */
  {
    "*loadwb_pre_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_97 },
#else
    { 0, output_97, 0 },
#endif
    { 0 },
    &operand_data[192],
    11,
    11,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2033 */
  {
    "*loadwb_pre_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[203],
    11,
    11,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2059 */
  {
    "*storewb_pre_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_99 },
#else
    { 0, output_99, 0 },
#endif
    { 0 },
    &operand_data[214],
    11,
    11,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2059 */
  {
    "*storewb_pre_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_100 },
#else
    { 0, output_100, 0 },
#endif
    { 0 },
    &operand_data[225],
    11,
    11,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2089 */
  {
    "*storewb_pre_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[236],
    11,
    11,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2117 */
  {
    "*storewb_post_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_102 },
#else
    { 0, output_102, 0 },
#endif
    { 0 },
    &operand_data[247],
    9,
    9,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2117 */
  {
    "*storewb_post_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_103 },
#else
    { 0, output_103, 0 },
#endif
    { 0 },
    &operand_data[256],
    9,
    9,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2141 */
  {
    "*storewb_post_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[265],
    9,
    9,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2173 */
  {
    "*extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_105 },
#else
    { 0, output_105, 0 },
#endif
    { 0 },
    &operand_data[274],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2183 */
  {
    "*load_pair_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldpsw\t%0, %2, %y1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[276],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2197 */
  {
    "*zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_107 },
#else
    { 0, output_107, 0 },
#endif
    { 0 },
    &operand_data[279],
    2,
    2,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2211 */
  {
    "*load_pair_zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_108 },
#else
    { 0, output_108, 0 },
#endif
    { 0 },
    &operand_data[281],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2233 */
  {
    "*extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_109 },
#else
    { 0, output_109, 0 },
#endif
    { 0 },
    &operand_data[284],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2233 */
  {
    "*extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_110 },
#else
    { 0, output_110, 0 },
#endif
    { 0 },
    &operand_data[286],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2233 */
  {
    "*extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_111 },
#else
    { 0, output_111, 0 },
#endif
    { 0 },
    &operand_data[288],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2233 */
  {
    "*extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_112 },
#else
    { 0, output_112, 0 },
#endif
    { 0 },
    &operand_data[290],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2244 */
  {
    "*zero_extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_113 },
#else
    { 0, output_113, 0 },
#endif
    { 0 },
    &operand_data[292],
    2,
    2,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2244 */
  {
    "*zero_extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_114 },
#else
    { 0, output_114, 0 },
#endif
    { 0 },
    &operand_data[294],
    2,
    2,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2244 */
  {
    "*zero_extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_115 },
#else
    { 0, output_115, 0 },
#endif
    { 0 },
    &operand_data[296],
    2,
    2,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2244 */
  {
    "*zero_extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_116 },
#else
    { 0, output_116, 0 },
#endif
    { 0 },
    &operand_data[298],
    2,
    2,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2262 */
  {
    "*extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_117 },
#else
    { 0, output_117, 0 },
#endif
    { 0 },
    &operand_data[300],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2272 */
  {
    "*zero_extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_118 },
#else
    { 0, output_118, 0 },
#endif
    { 0 },
    &operand_data[300],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2323 */
  {
    "*addsi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_119 },
#else
    { 0, 0, output_119 },
#endif
    { 0 },
    &operand_data[302],
    3,
    3,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2323 */
  {
    "*adddi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_120 },
#else
    { 0, 0, output_120 },
#endif
    { 0 },
    &operand_data[305],
    3,
    3,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2344 */
  {
    "*addsi3_aarch64_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_121 },
#else
    { 0, output_121, 0 },
#endif
    { 0 },
    &operand_data[308],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*addsi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_122 },
#else
    { 0, 0, output_122 },
#endif
    { 0 },
    &operand_data[311],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*adddi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_123 },
#else
    { 0, 0, output_123 },
#endif
    { 0 },
    &operand_data[314],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2594 */
  {
    "addsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_124 },
#else
    { 0, output_124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compare0 },
    &operand_data[317],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2594 */
  {
    "adddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_125 },
#else
    { 0, output_125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compare0 },
    &operand_data[320],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2611 */
  {
    "*addsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_126 },
#else
    { 0, output_126, 0 },
#endif
    { 0 },
    &operand_data[323],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2627 */
  {
    "*addsi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_127 },
#else
    { 0, output_127, 0 },
#endif
    { 0 },
    &operand_data[326],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2627 */
  {
    "*adddi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_128 },
#else
    { 0, output_128, 0 },
#endif
    { 0 },
    &operand_data[328],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2642 */
  {
    "addsi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_129 },
#else
    { 0, output_129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareC },
    &operand_data[330],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2642 */
  {
    "adddi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_130 },
#else
    { 0, output_130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareC },
    &operand_data[333],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2659 */
  {
    "*addsi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_131 },
#else
    { 0, output_131, 0 },
#endif
    { 0 },
    &operand_data[336],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2659 */
  {
    "*adddi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_132 },
#else
    { 0, output_132, 0 },
#endif
    { 0 },
    &operand_data[339],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2677 */
  {
    "*addsi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2677 */
  {
    "*adddi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[344],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2689 */
  {
    "addsi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_135 },
#else
    { 0, output_135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV_imm },
    &operand_data[346],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2689 */
  {
    "adddi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_136 },
#else
    { 0, output_136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV_imm },
    &operand_data[349],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2707 */
  {
    "addsi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV },
    &operand_data[352],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2707 */
  {
    "adddi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV },
    &operand_data[355],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2721 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2721 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2721 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2721 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2721 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2721 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2737 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2737 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2737 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2737 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2737 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2737 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[374],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[374],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[377],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[377],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[380],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[380],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[383],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[383],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[386],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[386],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "*adds_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[392],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[392],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[395],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[395],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[398],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[398],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[401],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[401],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[404],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2767 */
  {
    "*subs_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[404],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[407],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[407],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[411],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[411],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[415],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[415],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[419],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[419],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[423],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[423],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2781 */
  {
    "*adds_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2799 */
  {
    "*subs_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2817 */
  {
    "*addsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_199 },
#else
    { 0, output_199, 0 },
#endif
    { 0 },
    &operand_data[455],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2817 */
  {
    "*adddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_200 },
#else
    { 0, output_200, 0 },
#endif
    { 0 },
    &operand_data[457],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2831 */
  {
    "aarch64_subsi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subsi_compare0 },
    &operand_data[459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2831 */
  {
    "aarch64_subdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subdi_compare0 },
    &operand_data[461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2842 */
  {
    "*compare_negsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2842 */
  {
    "*compare_negdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[344],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2852 */
  {
    "*add_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2852 */
  {
    "*add_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2852 */
  {
    "*add_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2852 */
  {
    "*add_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2852 */
  {
    "*add_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2852 */
  {
    "*add_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2863 */
  {
    "*add_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2863 */
  {
    "*add_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2863 */
  {
    "*add_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2874 */
  {
    "*add_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2884 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2884 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2884 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2884 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2884 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2884 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2884 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2884 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[511],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2894 */
  {
    "*add_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[511],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2906 */
  {
    "*add_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[515],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2906 */
  {
    "*add_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[515],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2906 */
  {
    "*add_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[519],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2906 */
  {
    "*add_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[519],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2932 */
  {
    "*addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[523],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2932 */
  {
    "*adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[527],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2945 */
  {
    "*addsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2985 */
  {
    "*addsi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[535],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2985 */
  {
    "*adddi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[540],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3001 */
  {
    "*addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[545],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3001 */
  {
    "*adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[551],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3047 */
  {
    "*addsi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[535],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3047 */
  {
    "*adddi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[540],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3064 */
  {
    "*addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[545],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3064 */
  {
    "*adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[551],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3087 */
  {
    "*add_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_261 },
#else
    { 0, 0, output_261 },
#endif
    { 0 },
    &operand_data[557],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3087 */
  {
    "*add_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_262 },
#else
    { 0, 0, output_262 },
#endif
    { 0 },
    &operand_data[562],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3103 */
  {
    "*add_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_263 },
#else
    { 0, 0, output_263 },
#endif
    { 0 },
    &operand_data[567],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3119 */
  {
    "subsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3 },
    &operand_data[447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3129 */
  {
    "*subsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3139 */
  {
    "subdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_266 },
#else
    { 0, output_266, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3 },
    &operand_data[575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3166 */
  {
    "subvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_insn },
    &operand_data[352],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3166 */
  {
    "subvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_insn },
    &operand_data[355],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3182 */
  {
    "subvsi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_269 },
#else
    { 0, output_269, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_imm },
    &operand_data[346],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3182 */
  {
    "subvdi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_270 },
#else
    { 0, output_270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_imm },
    &operand_data[349],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3214 */
  {
    "negvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_insn },
    &operand_data[358],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3214 */
  {
    "negvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_insn },
    &operand_data[362],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3227 */
  {
    "negvsi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%wzr, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_cmp_only },
    &operand_data[49],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3227 */
  {
    "negvdi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%xzr, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_cmp_only },
    &operand_data[8],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3238 */
  {
    "*cmpvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_275 },
#else
    { 0, output_275, 0 },
#endif
    { 0 },
    &operand_data[326],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3238 */
  {
    "*cmpvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_276 },
#else
    { 0, output_276, 0 },
#endif
    { 0 },
    &operand_data[328],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3342 */
  {
    "negdi_carryout",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi_carryout },
    &operand_data[362],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3353 */
  {
    "negvdi_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngcs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_carryinV },
    &operand_data[362],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3370 */
  {
    "*subsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3370 */
  {
    "*subdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[355],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3383 */
  {
    "*subsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[578],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3395 */
  {
    "subsi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_282 },
#else
    { 0, output_282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1_imm },
    &operand_data[581],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3395 */
  {
    "subdi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_283 },
#else
    { 0, output_283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1_imm },
    &operand_data[585],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3412 */
  {
    "subsi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1 },
    &operand_data[589],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3412 */
  {
    "subdi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1 },
    &operand_data[592],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3500 */
  {
    "*sub_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3500 */
  {
    "*sub_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3500 */
  {
    "*sub_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3500 */
  {
    "*sub_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3500 */
  {
    "*sub_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3500 */
  {
    "*sub_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3512 */
  {
    "*sub_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3512 */
  {
    "*sub_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3512 */
  {
    "*sub_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3524 */
  {
    "*sub_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3535 */
  {
    "*sub_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3535 */
  {
    "*sub_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3535 */
  {
    "*sub_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[598],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3535 */
  {
    "*sub_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[598],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3546 */
  {
    "*sub_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3558 */
  {
    "*sub_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[601],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3558 */
  {
    "*sub_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[601],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3558 */
  {
    "*sub_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3558 */
  {
    "*sub_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3576 */
  {
    "*subsi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3576 */
  {
    "*subdi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3587 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[615],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3609 */
  {
    "*subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3609 */
  {
    "*subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3623 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3637 */
  {
    "*subsi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3637 */
  {
    "*subdi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3650 */
  {
    "*subsi3_carryin_alt_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3680 */
  {
    "*usubsi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, wzr, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[630],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3680 */
  {
    "*usubdi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, xzr, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[634],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3697 */
  {
    "*usubsi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[630],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3697 */
  {
    "*usubdi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[634],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3712 */
  {
    "*usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[638],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3712 */
  {
    "*usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[643],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3752 */
  {
    "*subsi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[630],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3752 */
  {
    "*subdi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[634],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3769 */
  {
    "*subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[638],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3769 */
  {
    "*subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[643],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3793 */
  {
    "*sub_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_346 },
#else
    { 0, 0, output_346 },
#endif
    { 0 },
    &operand_data[648],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3793 */
  {
    "*sub_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_347 },
#else
    { 0, 0, output_347 },
#endif
    { 0 },
    &operand_data[653],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3809 */
  {
    "*sub_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_348 },
#else
    { 0, 0, output_348 },
#endif
    { 0 },
    &operand_data[658],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3825 */
  {
    "*aarch64_abssi2_cssc_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3825 */
  {
    "*aarch64_absdi2_cssc_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3848 */
  {
    "negsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_351 },
#else
    { 0, output_351, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2 },
    &operand_data[663],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3848 */
  {
    "negdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_352 },
#else
    { 0, output_352, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2 },
    &operand_data[665],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3859 */
  {
    "*negsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3867 */
  {
    "*ngcsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3867 */
  {
    "*ngcdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3877 */
  {
    "*ngcsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3888 */
  {
    "negsi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2_compare0 },
    &operand_data[358],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3888 */
  {
    "negdi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2_compare0 },
    &operand_data[362],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3900 */
  {
    "*negsi2_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3911 */
  {
    "*neg_lslsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3911 */
  {
    "*neg_asrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3911 */
  {
    "*neg_lsrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3911 */
  {
    "*neg_lsldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3911 */
  {
    "*neg_asrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3911 */
  {
    "*neg_lsrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3925 */
  {
    "*neg_lsl_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3925 */
  {
    "*neg_asr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3925 */
  {
    "*neg_lsr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3925 */
  {
    "*neg_lsl_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3925 */
  {
    "*neg_asr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3925 */
  {
    "*neg_lsr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3936 */
  {
    "*neg_lsl_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3936 */
  {
    "*neg_asr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3936 */
  {
    "*neg_lsr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3947 */
  {
    "*neg_asr_si2_extr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[676],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3959 */
  {
    "mulsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsi3 },
    &operand_data[366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3959 */
  {
    "muldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldi3 },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3969 */
  {
    "*mulsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3979 */
  {
    "maddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsi },
    &operand_data[681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3979 */
  {
    "madddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_madddi },
    &operand_data[685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3990 */
  {
    "*maddsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[689],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4001 */
  {
    "*msubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4001 */
  {
    "*msubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4013 */
  {
    "*msubsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[689],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4025 */
  {
    "*mulsi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4025 */
  {
    "*muldi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4036 */
  {
    "*mulsi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4047 */
  {
    "mulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsidi3 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4047 */
  {
    "umulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulsidi3 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "maddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsidi4 },
    &operand_data[693],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "umaddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaddsidi4 },
    &operand_data[693],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4067 */
  {
    "msubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_msubsidi4 },
    &operand_data[693],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4067 */
  {
    "umsubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umsubsidi4 },
    &operand_data[693],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4079 */
  {
    "*mulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4079 */
  {
    "*umulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4131 */
  {
    "smuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smuldi3_highpart },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4131 */
  {
    "umuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umuldi3_highpart },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4144 */
  {
    "divsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsi3 },
    &operand_data[366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4144 */
  {
    "udivsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivsi3 },
    &operand_data[366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4144 */
  {
    "divdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdi3 },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4144 */
  {
    "udivdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivdi3 },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4154 */
  {
    "*divsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4154 */
  {
    "*udivsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4168 */
  {
    "cmpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_404 },
#else
    { 0, output_404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpsi },
    &operand_data[331],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4168 */
  {
    "cmpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_405 },
#else
    { 0, output_405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpdi },
    &operand_data[334],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4180 */
  {
    "fcmpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_406 },
#else
    { 0, output_406, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpsf },
    &operand_data[697],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4180 */
  {
    "fcmpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_407 },
#else
    { 0, output_407, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpdf },
    &operand_data[699],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4192 */
  {
    "fcmpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_408 },
#else
    { 0, output_408, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpesf },
    &operand_data[697],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4192 */
  {
    "fcmpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_409 },
#else
    { 0, output_409, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpedf },
    &operand_data[699],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4204 */
  {
    "*cmp_swp_lsl_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[701],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4204 */
  {
    "*cmp_swp_asr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[701],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4204 */
  {
    "*cmp_swp_lsr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[701],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4204 */
  {
    "*cmp_swp_lsl_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4204 */
  {
    "*cmp_swp_asr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4204 */
  {
    "*cmp_swp_lsr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[468],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_zero_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[468],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[471],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_zero_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[471],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[474],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_zero_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[474],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_zero_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_zero_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[343],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "*cmp_swp_zero_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[343],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[492],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[492],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4225 */
  {
    "*cmp_swp_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4279 */
  {
    "aarch64_cstoreqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoreqi },
    &operand_data[707],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4279 */
  {
    "aarch64_cstorehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstorehi },
    &operand_data[710],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4279 */
  {
    "aarch64_cstoresi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoresi },
    &operand_data[713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4279 */
  {
    "aarch64_cstoredi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoredi },
    &operand_data[716],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[719],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[719],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[722],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4298 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[722],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4324 */
  {
    "*cstoresi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4334 */
  {
    "cstoreqi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoreqi_neg },
    &operand_data[707],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4334 */
  {
    "cstorehi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorehi_neg },
    &operand_data[710],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4334 */
  {
    "cstoresi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi_neg },
    &operand_data[713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4334 */
  {
    "cstoredi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi_neg },
    &operand_data[716],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4344 */
  {
    "*cstoresi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4386 */
  {
    "*cmovqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_454 },
#else
    { 0, output_454, 0 },
#endif
    { 0 },
    &operand_data[728],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4386 */
  {
    "*cmovhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_455 },
#else
    { 0, output_455, 0 },
#endif
    { 0 },
    &operand_data[733],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4386 */
  {
    "*cmovsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_456 },
#else
    { 0, output_456, 0 },
#endif
    { 0 },
    &operand_data[738],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4386 */
  {
    "*cmovdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_457 },
#else
    { 0, output_457, 0 },
#endif
    { 0 },
    &operand_data[743],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4408 */
  {
    "*cmovsi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_458 },
#else
    { 0, output_458, 0 },
#endif
    { 0 },
    &operand_data[748],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4433 */
  {
    "*cmovsi_insn_m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4433 */
  {
    "*cmovdi_insn_m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4451 */
  {
    "*cmovdi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csel\t%w0, %w3, %w4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[761],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4463 */
  {
    "*cmovsf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%s0, %s3, %s4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[766],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4463 */
  {
    "*cmovdf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%d0, %d3, %d4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[771],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4552 */
  {
    "aarch64_crc32b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_464 },
#else
    { 0, 0, output_464 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32b },
    &operand_data[776],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4552 */
  {
    "aarch64_crc32h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_465 },
#else
    { 0, 0, output_465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32h },
    &operand_data[779],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4552 */
  {
    "aarch64_crc32w",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_466 },
#else
    { 0, 0, output_466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32w },
    &operand_data[366],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4552 */
  {
    "aarch64_crc32x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_467 },
#else
    { 0, 0, output_467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32x },
    &operand_data[782],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4552 */
  {
    "aarch64_crc32cb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_468 },
#else
    { 0, 0, output_468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cb },
    &operand_data[776],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4552 */
  {
    "aarch64_crc32ch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_469 },
#else
    { 0, 0, output_469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32ch },
    &operand_data[779],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4552 */
  {
    "aarch64_crc32cw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_470 },
#else
    { 0, 0, output_470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cw },
    &operand_data[366],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4552 */
  {
    "aarch64_crc32cx",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_471 },
#else
    { 0, 0, output_471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cx },
    &operand_data[782],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4567 */
  {
    "*csinc2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%w0, %w1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[785],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4567 */
  {
    "*csinc2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%x0, %x1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[788],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4576 */
  {
    "csinc3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3si_insn },
    &operand_data[791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4576 */
  {
    "csinc3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3di_insn },
    &operand_data[795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4588 */
  {
    "*csinv3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4588 */
  {
    "*csinv3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4599 */
  {
    "*csneg3_uxtw_insn4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4599 */
  {
    "*csinv3_uxtw_insn4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4611 */
  {
    "csneg3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3si_insn },
    &operand_data[791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4611 */
  {
    "csneg3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3di_insn },
    &operand_data[795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4622 */
  {
    "*csinv3_uxtw_insn1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w2, %w3, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4622 */
  {
    "*csinv3_uxtw_insn1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w2, %w3, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*csinv3_uxtw_insn2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*csinv3_uxtw_insn2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4648 */
  {
    "*csinv3_uxtw_insn3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, wzr, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4648 */
  {
    "*csinv3_uxtw_insn3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, wzr, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4665 */
  {
    "*cmovsi_insn_insv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4665 */
  {
    "*cmovdi_insn_insv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4686 */
  {
    "*cmov_uxtw_insn_insv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4765 */
  {
    "aarch64_uqdecsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_491 },
#else
    { 0, 0, output_491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecsi },
    &operand_data[819],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4765 */
  {
    "aarch64_uqdecdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_492 },
#else
    { 0, 0, output_492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecdi },
    &operand_data[822],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4779 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4779 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4779 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4779 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4779 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4779 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4779 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4779 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4809 */
  {
    "*aarch64_andsi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[833],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4809 */
  {
    "*aarch64_anddi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[836],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4828 */
  {
    "andsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_503 },
#else
    { 0, output_503, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andsi3 },
    &operand_data[839],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4828 */
  {
    "iorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_504 },
#else
    { 0, output_504, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorsi3 },
    &operand_data[839],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4828 */
  {
    "xorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_505 },
#else
    { 0, output_505, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsi3 },
    &operand_data[839],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4828 */
  {
    "anddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_506 },
#else
    { 0, output_506, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_anddi3 },
    &operand_data[842],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4828 */
  {
    "iordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_507 },
#else
    { 0, output_507, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iordi3 },
    &operand_data[842],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4828 */
  {
    "xordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_508 },
#else
    { 0, output_508, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xordi3 },
    &operand_data[842],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4842 */
  {
    "*andsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_509 },
#else
    { 0, output_509, 0 },
#endif
    { 0 },
    &operand_data[845],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4842 */
  {
    "*iorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_510 },
#else
    { 0, output_510, 0 },
#endif
    { 0 },
    &operand_data[845],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4842 */
  {
    "*xorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_511 },
#else
    { 0, output_511, 0 },
#endif
    { 0 },
    &operand_data[845],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4854 */
  {
    "*andsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_512 },
#else
    { 0, output_512, 0 },
#endif
    { 0 },
    &operand_data[848],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4854 */
  {
    "*anddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_513 },
#else
    { 0, output_513, 0 },
#endif
    { 0 },
    &operand_data[851],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4870 */
  {
    "*andsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_514 },
#else
    { 0, output_514, 0 },
#endif
    { 0 },
    &operand_data[854],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_515 },
#else
    { 0, 0, output_515 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_516 },
#else
    { 0, 0, output_516 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_517 },
#else
    { 0, 0, output_517 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_518 },
#else
    { 0, 0, output_518 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_rotlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_519 },
#else
    { 0, 0, output_519 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_520 },
#else
    { 0, 0, output_520 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_521 },
#else
    { 0, 0, output_521 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_522 },
#else
    { 0, 0, output_522 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_523 },
#else
    { 0, 0, output_523 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4885 */
  {
    "*and_rotldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_524 },
#else
    { 0, 0, output_524 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4905 */
  {
    "*and_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_525 },
#else
    { 0, 0, output_525 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4905 */
  {
    "*and_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_526 },
#else
    { 0, 0, output_526 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4905 */
  {
    "*and_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_527 },
#else
    { 0, 0, output_527 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4905 */
  {
    "*and_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_528 },
#else
    { 0, 0, output_528 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4905 */
  {
    "*and_rotlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_529 },
#else
    { 0, 0, output_529 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_530 },
#else
    { 0, 0, output_530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_531 },
#else
    { 0, 0, output_531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_532 },
#else
    { 0, 0, output_532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_533 },
#else
    { 0, 0, output_533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_534 },
#else
    { 0, 0, output_534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_535 },
#else
    { 0, 0, output_535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_536 },
#else
    { 0, 0, output_536 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_537 },
#else
    { 0, 0, output_537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_538 },
#else
    { 0, 0, output_538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_539 },
#else
    { 0, 0, output_539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_540 },
#else
    { 0, 0, output_540 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_541 },
#else
    { 0, 0, output_541 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_542 },
#else
    { 0, 0, output_542 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_543 },
#else
    { 0, 0, output_543 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_544 },
#else
    { 0, 0, output_544 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_545 },
#else
    { 0, 0, output_545 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_546 },
#else
    { 0, 0, output_546 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_547 },
#else
    { 0, 0, output_547 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_548 },
#else
    { 0, 0, output_548 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_549 },
#else
    { 0, 0, output_549 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_550 },
#else
    { 0, 0, output_550 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_551 },
#else
    { 0, 0, output_551 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_552 },
#else
    { 0, 0, output_552 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_553 },
#else
    { 0, 0, output_553 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_554 },
#else
    { 0, 0, output_554 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_555 },
#else
    { 0, 0, output_555 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_556 },
#else
    { 0, 0, output_556 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "and_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_557 },
#else
    { 0, 0, output_557 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "ior_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_558 },
#else
    { 0, 0, output_558 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "xor_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_559 },
#else
    { 0, 0, output_559 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*and_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_560 },
#else
    { 0, 0, output_560 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*ior_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_561 },
#else
    { 0, 0, output_561 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*xor_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_562 },
#else
    { 0, 0, output_562 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*and_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_563 },
#else
    { 0, 0, output_563 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*ior_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_564 },
#else
    { 0, 0, output_564 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*xor_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_565 },
#else
    { 0, 0, output_565 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*and_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_566 },
#else
    { 0, 0, output_566 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*ior_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_567 },
#else
    { 0, 0, output_567 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*xor_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_568 },
#else
    { 0, 0, output_568 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*and_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_569 },
#else
    { 0, 0, output_569 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*ior_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_570 },
#else
    { 0, 0, output_570 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*xor_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_571 },
#else
    { 0, 0, output_571 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*and_rotlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_572 },
#else
    { 0, 0, output_572 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*ior_rotlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_573 },
#else
    { 0, 0, output_573 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5030 */
  {
    "*xor_rotlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_574 },
#else
    { 0, 0, output_574 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5046 */
  {
    "one_cmplsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_575 },
#else
    { 0, output_575, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplsi2 },
    &operand_data[663],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5046 */
  {
    "one_cmpldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_576 },
#else
    { 0, output_576, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmpldi2 },
    &operand_data[665],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5056 */
  {
    "*one_cmpl_zero_extend",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_ashlsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_578 },
#else
    { 0, 0, output_578 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_ashrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_579 },
#else
    { 0, 0, output_579 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_lshrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_580 },
#else
    { 0, 0, output_580 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_rotrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_581 },
#else
    { 0, 0, output_581 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_rotlsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_582 },
#else
    { 0, 0, output_582 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_ashldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_583 },
#else
    { 0, 0, output_583 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_ashrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_584 },
#else
    { 0, 0, output_584 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_lshrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_585 },
#else
    { 0, 0, output_585 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_rotrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_586 },
#else
    { 0, 0, output_586 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5065 */
  {
    "*one_cmpl_rotldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_587 },
#else
    { 0, 0, output_587 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5080 */
  {
    "andnsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_588 },
#else
    { 0, output_588, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnsi3 },
    &operand_data[857],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5080 */
  {
    "iornsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_589 },
#else
    { 0, output_589, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornsi3 },
    &operand_data[857],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5080 */
  {
    "andndi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_590 },
#else
    { 0, output_590, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andndi3 },
    &operand_data[860],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5080 */
  {
    "iorndi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_591 },
#else
    { 0, output_591, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorndi3 },
    &operand_data[860],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5091 */
  {
    "*andnsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5091 */
  {
    "*iornsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*xor_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5113 */
  {
    "*xor_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_595 },
#else
    { 0, output_595, 0 },
#endif
    { 0 },
    &operand_data[863],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5113 */
  {
    "*xor_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_596 },
#else
    { 0, output_596, 0 },
#endif
    { 0 },
    &operand_data[866],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5131 */
  {
    "*and_one_cmplsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5131 */
  {
    "*and_one_cmpldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x2, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5146 */
  {
    "*and_one_cmplsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*and_one_cmplsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*and_one_cmpldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[344],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_602 },
#else
    { 0, 0, output_602 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_603 },
#else
    { 0, 0, output_603 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_604 },
#else
    { 0, 0, output_604 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_605 },
#else
    { 0, 0, output_605 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_606 },
#else
    { 0, 0, output_606 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_607 },
#else
    { 0, 0, output_607 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_608 },
#else
    { 0, 0, output_608 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_609 },
#else
    { 0, 0, output_609 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_610 },
#else
    { 0, 0, output_610 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_611 },
#else
    { 0, 0, output_611 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_612 },
#else
    { 0, 0, output_612 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_613 },
#else
    { 0, 0, output_613 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_614 },
#else
    { 0, 0, output_614 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_615 },
#else
    { 0, 0, output_615 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_616 },
#else
    { 0, 0, output_616 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_617 },
#else
    { 0, 0, output_617 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_618 },
#else
    { 0, 0, output_618 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_619 },
#else
    { 0, 0, output_619 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_620 },
#else
    { 0, 0, output_620 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_621 },
#else
    { 0, 0, output_621 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_622 },
#else
    { 0, 0, output_622 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_623 },
#else
    { 0, 0, output_623 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_624 },
#else
    { 0, 0, output_624 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_625 },
#else
    { 0, 0, output_625 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_626 },
#else
    { 0, 0, output_626 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_627 },
#else
    { 0, 0, output_627 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_628 },
#else
    { 0, 0, output_628 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "and_one_cmpl_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_629 },
#else
    { 0, 0, output_629 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "ior_one_cmpl_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_630 },
#else
    { 0, 0, output_630 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5172 */
  {
    "xor_one_cmpl_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_631 },
#else
    { 0, 0, output_631 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "and_one_cmpl_ashlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_632 },
#else
    { 0, 0, output_632 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "ior_one_cmpl_ashlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_633 },
#else
    { 0, 0, output_633 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "xor_one_cmpl_ashlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_634 },
#else
    { 0, 0, output_634 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "and_one_cmpl_ashrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_635 },
#else
    { 0, 0, output_635 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "ior_one_cmpl_ashrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_636 },
#else
    { 0, 0, output_636 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "xor_one_cmpl_ashrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_637 },
#else
    { 0, 0, output_637 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "and_one_cmpl_lshrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_638 },
#else
    { 0, 0, output_638 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "ior_one_cmpl_lshrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_639 },
#else
    { 0, 0, output_639 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "xor_one_cmpl_lshrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_640 },
#else
    { 0, 0, output_640 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "and_one_cmpl_rotrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_641 },
#else
    { 0, 0, output_641 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "ior_one_cmpl_rotrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_642 },
#else
    { 0, 0, output_642 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "xor_one_cmpl_rotrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_643 },
#else
    { 0, 0, output_643 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "and_one_cmpl_rotlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_644 },
#else
    { 0, 0, output_644 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "ior_one_cmpl_rotlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_645 },
#else
    { 0, 0, output_645 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5189 */
  {
    "xor_one_cmpl_rotlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_646 },
#else
    { 0, 0, output_646 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_ashlsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_647 },
#else
    { 0, 0, output_647 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_ashrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_648 },
#else
    { 0, 0, output_648 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_lshrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_649 },
#else
    { 0, 0, output_649 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_rotrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_650 },
#else
    { 0, 0, output_650 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_rotlsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_651 },
#else
    { 0, 0, output_651 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_ashldi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_652 },
#else
    { 0, 0, output_652 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_ashrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_653 },
#else
    { 0, 0, output_653 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_lshrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_654 },
#else
    { 0, 0, output_654 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_rotrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_655 },
#else
    { 0, 0, output_655 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5205 */
  {
    "*eor_one_cmpl_rotldi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_656 },
#else
    { 0, 0, output_656 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5222 */
  {
    "*eor_one_cmpl_ashlsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_657 },
#else
    { 0, 0, output_657 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5222 */
  {
    "*eor_one_cmpl_ashrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_658 },
#else
    { 0, 0, output_658 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5222 */
  {
    "*eor_one_cmpl_lshrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_659 },
#else
    { 0, 0, output_659 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5222 */
  {
    "*eor_one_cmpl_rotrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_660 },
#else
    { 0, 0, output_660 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5222 */
  {
    "*eor_one_cmpl_rotlsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_661 },
#else
    { 0, 0, output_661 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_662 },
#else
    { 0, 0, output_662 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_663 },
#else
    { 0, 0, output_663 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_664 },
#else
    { 0, 0, output_664 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_665 },
#else
    { 0, 0, output_665 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_rotlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_666 },
#else
    { 0, 0, output_666 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_667 },
#else
    { 0, 0, output_667 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_668 },
#else
    { 0, 0, output_668 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_669 },
#else
    { 0, 0, output_669 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_670 },
#else
    { 0, 0, output_670 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5239 */
  {
    "*and_one_cmpl_rotldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_671 },
#else
    { 0, 0, output_671 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5262 */
  {
    "*and_one_cmpl_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_672 },
#else
    { 0, 0, output_672 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5262 */
  {
    "*and_one_cmpl_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_673 },
#else
    { 0, 0, output_673 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5262 */
  {
    "*and_one_cmpl_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_674 },
#else
    { 0, 0, output_674 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5262 */
  {
    "*and_one_cmpl_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_675 },
#else
    { 0, 0, output_675 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5262 */
  {
    "*and_one_cmpl_rotlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_676 },
#else
    { 0, 0, output_676 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_ashlsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_677 },
#else
    { 0, 0, output_677 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_ashrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_678 },
#else
    { 0, 0, output_678 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_lshrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_679 },
#else
    { 0, 0, output_679 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_rotrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_680 },
#else
    { 0, 0, output_680 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_rotlsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_681 },
#else
    { 0, 0, output_681 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_ashldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_682 },
#else
    { 0, 0, output_682 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_ashrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_683 },
#else
    { 0, 0, output_683 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_lshrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_684 },
#else
    { 0, 0, output_684 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_rotrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_685 },
#else
    { 0, 0, output_685 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5284 */
  {
    "*and_one_cmpl_rotldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_686 },
#else
    { 0, 0, output_686 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5302 */
  {
    "clzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzsi2 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5302 */
  {
    "clzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzdi2 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5325 */
  {
    "*aarch64_popcountsi2_cssc_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5325 */
  {
    "*aarch64_popcountdi2_cssc_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5401 */
  {
    "clrsbsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbsi2 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5401 */
  {
    "clrsbdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbdi2 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5409 */
  {
    "aarch64_rbitsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitsi },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5409 */
  {
    "aarch64_rbitdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitdi },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5422 */
  {
    "ctzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_695 },
#else
    { 0, 0, output_695 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzsi2 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5422 */
  {
    "ctzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_696 },
#else
    { 0, 0, output_696 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzdi2 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5435 */
  {
    "*andqi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[65],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5435 */
  {
    "*andhi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[68],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5445 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[374],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5445 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[377],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5445 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[380],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5445 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[383],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5457 */
  {
    "aarch64_andsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_703 },
#else
    { 0, output_703, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_andsi3nr_compare0 },
    &operand_data[846],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5457 */
  {
    "aarch64_anddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_704 },
#else
    { 0, output_704, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_anddi3nr_compare0 },
    &operand_data[852],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5486 */
  {
    "*andsi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_705 },
#else
    { 0, 0, output_705 },
#endif
    { 0 },
    &operand_data[869],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5486 */
  {
    "*anddi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_706 },
#else
    { 0, 0, output_706 },
#endif
    { 0 },
    &operand_data[872],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_ashlsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_707 },
#else
    { 0, 0, output_707 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_ashrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_708 },
#else
    { 0, 0, output_708 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_lshrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_709 },
#else
    { 0, 0, output_709 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_rotrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_710 },
#else
    { 0, 0, output_710 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_rotlsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_711 },
#else
    { 0, 0, output_711 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_ashldi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_712 },
#else
    { 0, 0, output_712 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_ashrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_713 },
#else
    { 0, 0, output_713 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_lshrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_714 },
#else
    { 0, 0, output_714 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_rotrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_715 },
#else
    { 0, 0, output_715 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5508 */
  {
    "*and_rotldi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_716 },
#else
    { 0, 0, output_716 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_ashl_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_ashr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_lshr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_rotr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_rotl_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_ashl_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_ashr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_lshr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_rotr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5636 */
  {
    "*aarch64_rotl_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_ashl_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_ashr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_lshr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_rotr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_rotl_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_ashl_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_ashr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_lshr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_rotr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5648 */
  {
    "*aarch64_rotl_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5672 */
  {
    "*aarch64_ashl_reg_si3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[895],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5672 */
  {
    "*aarch64_ashl_reg_di3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[901],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5700 */
  {
    "*aarch64_ashl_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_739 },
#else
    { 0, 0, output_739 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5700 */
  {
    "*aarch64_ashr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_740 },
#else
    { 0, 0, output_740 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5700 */
  {
    "*aarch64_lshr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_741 },
#else
    { 0, 0, output_741 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5700 */
  {
    "*aarch64_rotr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_742 },
#else
    { 0, 0, output_742 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5700 */
  {
    "*aarch64_rotl_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_743 },
#else
    { 0, 0, output_743 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5719 */
  {
    "*aarch64_ashl_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5719 */
  {
    "*aarch64_ashr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5719 */
  {
    "*aarch64_lshr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5719 */
  {
    "*aarch64_ashl_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5719 */
  {
    "*aarch64_ashr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5719 */
  {
    "*aarch64_lshr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5749 */
  {
    "*aarch64_ashl_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_750 },
#else
    { 0, output_750, 0 },
#endif
    { 0 },
    &operand_data[920],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5749 */
  {
    "*aarch64_ashl_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_751 },
#else
    { 0, output_751, 0 },
#endif
    { 0 },
    &operand_data[923],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5764 */
  {
    "*aarch64_lshr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_752 },
#else
    { 0, output_752, 0 },
#endif
    { 0 },
    &operand_data[926],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5764 */
  {
    "*aarch64_lshr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_753 },
#else
    { 0, output_753, 0 },
#endif
    { 0 },
    &operand_data[929],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5810 */
  {
    "*aarch64_ashr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_754 },
#else
    { 0, output_754, 0 },
#endif
    { 0 },
    &operand_data[932],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5810 */
  {
    "*aarch64_ashr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_755 },
#else
    { 0, output_755, 0 },
#endif
    { 0 },
    &operand_data[929],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5855 */
  {
    "*aarch64_sisd_ushl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5865 */
  {
    "*aarch64_ushl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5875 */
  {
    "*aarch64_sisd_sshl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5885 */
  {
    "*aarch64_sshl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5895 */
  {
    "*aarch64_sisd_neg_qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[941],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5905 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_761 },
#else
    { 0, output_761, 0 },
#endif
    { 0 },
    &operand_data[943],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5905 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_762 },
#else
    { 0, output_762, 0 },
#endif
    { 0 },
    &operand_data[946],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5917 */
  {
    "*rolsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_763 },
#else
    { 0, 0, output_763 },
#endif
    { 0 },
    &operand_data[949],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5917 */
  {
    "*roldi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_764 },
#else
    { 0, 0, output_764 },
#endif
    { 0 },
    &operand_data[952],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5930 */
  {
    "*ashlsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_765 },
#else
    { 0, output_765, 0 },
#endif
    { 0 },
    &operand_data[955],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5930 */
  {
    "*ashrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_766 },
#else
    { 0, output_766, 0 },
#endif
    { 0 },
    &operand_data[955],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5930 */
  {
    "*lshrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_767 },
#else
    { 0, output_767, 0 },
#endif
    { 0 },
    &operand_data[955],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5943 */
  {
    "*rorsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[958],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5954 */
  {
    "*rolsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_769 },
#else
    { 0, 0, output_769 },
#endif
    { 0 },
    &operand_data[958],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5967 */
  {
    "*ashlqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_770 },
#else
    { 0, 0, output_770 },
#endif
    { 0 },
    &operand_data[961],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5967 */
  {
    "*ashrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_771 },
#else
    { 0, 0, output_771 },
#endif
    { 0 },
    &operand_data[961],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5967 */
  {
    "*lshrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_772 },
#else
    { 0, 0, output_772 },
#endif
    { 0 },
    &operand_data[961],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5967 */
  {
    "*ashlhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_773 },
#else
    { 0, 0, output_773 },
#endif
    { 0 },
    &operand_data[964],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5967 */
  {
    "*ashrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_774 },
#else
    { 0, 0, output_774 },
#endif
    { 0 },
    &operand_data[964],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5967 */
  {
    "*lshrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_775 },
#else
    { 0, 0, output_775 },
#endif
    { 0 },
    &operand_data[964],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5979 */
  {
    "*extrsi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[967],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5979 */
  {
    "*extrdi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[972],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5993 */
  {
    "*extrsi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[967],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5993 */
  {
    "*extrdi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[972],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6007 */
  {
    "*extrsi5_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[977],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6020 */
  {
    "*extrsi5_insn_uxtw_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[977],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6033 */
  {
    "*extrsi5_insn_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[982],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6049 */
  {
    "*extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_783 },
#else
    { 0, 0, output_783 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6049 */
  {
    "*zero_extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_784 },
#else
    { 0, 0, output_784 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6049 */
  {
    "*extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_785 },
#else
    { 0, 0, output_785 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6049 */
  {
    "*zero_extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_786 },
#else
    { 0, 0, output_786 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6049 */
  {
    "*extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_787 },
#else
    { 0, 0, output_787 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6049 */
  {
    "*zero_extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_788 },
#else
    { 0, 0, output_788 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6049 */
  {
    "*extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_789 },
#else
    { 0, 0, output_789 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6049 */
  {
    "*zero_extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_790 },
#else
    { 0, 0, output_790 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6062 */
  {
    "*zero_extendsi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_791 },
#else
    { 0, 0, output_791 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6062 */
  {
    "*zero_extenddi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_792 },
#else
    { 0, 0, output_792 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6062 */
  {
    "*zero_extendsi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_793 },
#else
    { 0, 0, output_793 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6062 */
  {
    "*zero_extenddi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_794 },
#else
    { 0, 0, output_794 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6075 */
  {
    "*extendsi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_795 },
#else
    { 0, 0, output_795 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6075 */
  {
    "*extenddi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_796 },
#else
    { 0, 0, output_796 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6075 */
  {
    "*extendsi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_797 },
#else
    { 0, 0, output_797 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6075 */
  {
    "*extenddi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_798 },
#else
    { 0, 0, output_798 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6107 */
  {
    "*extvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6107 */
  {
    "*extzvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6107 */
  {
    "*extvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6107 */
  {
    "*extzvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "*insv_regsi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_803 },
#else
    { 0, 0, output_803 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "*insv_regsi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_804 },
#else
    { 0, 0, output_804 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "*insv_regsi_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_805 },
#else
    { 0, 0, output_805 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "*insv_regdi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_806 },
#else
    { 0, 0, output_806 },
#endif
    { 0 },
    &operand_data[1012],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "*insv_regdi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_807 },
#else
    { 0, 0, output_807 },
#endif
    { 0 },
    &operand_data[1012],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "*insv_regdi_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_808 },
#else
    { 0, 0, output_808 },
#endif
    { 0 },
    &operand_data[1012],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6190 */
  {
    "*insv_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6190 */
  {
    "*insv_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfisiqi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1023],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfidiqi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1026],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfisihi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1029],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfisihi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1029],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfidihi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1032],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfidihi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1032],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfisisi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfisisi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfisisi_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfidisi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfidisi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6202 */
  {
    "*aarch64_bfidisi_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6223 */
  {
    "*aarch64_bfisiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1038],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6223 */
  {
    "*aarch64_bfidiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1042],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6223 */
  {
    "*aarch64_bfisihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1046],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6223 */
  {
    "*aarch64_bfidihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1050],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6223 */
  {
    "*aarch64_bfisisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6223 */
  {
    "*aarch64_bfidisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1054],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6233 */
  {
    "*aarch64_bfidiqi_subreg_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1058],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6233 */
  {
    "*aarch64_bfidihi_subreg_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1062],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6233 */
  {
    "*aarch64_bfidihi_subreg_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1062],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6233 */
  {
    "*aarch64_bfidisi_subreg_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1066],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6233 */
  {
    "*aarch64_bfidisi_subreg_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1066],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6233 */
  {
    "*aarch64_bfidisi_subreg_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1066],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6261 */
  {
    "*aarch64_bfisi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1070],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6261 */
  {
    "*aarch64_bfidi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1076],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6276 */
  {
    "*aarch64_bfisi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1082],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6276 */
  {
    "*aarch64_bfidi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1088],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6294 */
  {
    "*aarch64_bfisi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_839 },
#else
    { 0, 0, output_839 },
#endif
    { 0 },
    &operand_data[1070],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6294 */
  {
    "*aarch64_bfidi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_840 },
#else
    { 0, 0, output_840 },
#endif
    { 0 },
    &operand_data[1076],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6311 */
  {
    "*aarch64_bfisi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_841 },
#else
    { 0, 0, output_841 },
#endif
    { 0 },
    &operand_data[1094],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6311 */
  {
    "*aarch64_bfidi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_842 },
#else
    { 0, 0, output_842 },
#endif
    { 0 },
    &operand_data[1099],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6332 */
  {
    "*aarch64_bfisi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1104],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6332 */
  {
    "*aarch64_bfidi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1109],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6344 */
  {
    "*aarch64_bfisi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1104],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6344 */
  {
    "*aarch64_bfidi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1109],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6356 */
  {
    "*aarch64_bfxilsi_extr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w3, %5, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1114],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6356 */
  {
    "*aarch64_bfxildi_extr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%x0, %x3, %5, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1120],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6372 */
  {
    "*aarch64_bfxilsi_extrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w3, %5, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1126],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6388 */
  {
    "*extr_insv_lower_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1133],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6388 */
  {
    "*extr_insv_lower_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%x0, %x2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1137],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_852 },
#else
    { 0, 0, output_852 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_853 },
#else
    { 0, 0, output_853 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_854 },
#else
    { 0, 0, output_854 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_855 },
#else
    { 0, 0, output_855 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_856 },
#else
    { 0, 0, output_856 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_857 },
#else
    { 0, 0, output_857 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_858 },
#else
    { 0, 0, output_858 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_859 },
#else
    { 0, 0, output_859 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_860 },
#else
    { 0, 0, output_860 },
#endif
    { 0 },
    &operand_data[949],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_861 },
#else
    { 0, 0, output_861 },
#endif
    { 0 },
    &operand_data[949],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_862 },
#else
    { 0, 0, output_862 },
#endif
    { 0 },
    &operand_data[958],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6402 */
  {
    "*zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_863 },
#else
    { 0, 0, output_863 },
#endif
    { 0 },
    &operand_data[958],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*andim_ashiftsi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1141],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*andim_ashiftdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1145],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6431 */
  {
    "*ashiftsi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6431 */
  {
    "*ashiftdi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6443 */
  {
    "*ashiftsi_extvdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1149],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6476 */
  {
    "bswapsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapsi2 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6476 */
  {
    "bswapdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapdi2 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6484 */
  {
    "bswaphi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswaphi2 },
    &operand_data[964],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6492 */
  {
    "*aarch64_bfxilsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_872 },
#else
    { 0, 0, output_872 },
#endif
    { 0 },
    &operand_data[1154],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6492 */
  {
    "*aarch64_bfxildi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_873 },
#else
    { 0, 0, output_873 },
#endif
    { 0 },
    &operand_data[1159],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6518 */
  {
    "*aarch64_bfxilsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_874 },
#else
    { 0, 0, output_874 },
#endif
    { 0 },
    &operand_data[1164],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6548 */
  {
    "aarch64_rev16si2_alt1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16si2_alt1 },
    &operand_data[1169],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6548 */
  {
    "aarch64_rev16di2_alt1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16di2_alt1 },
    &operand_data[1173],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6562 */
  {
    "*aarch64_rev16si2_alt2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6562 */
  {
    "*aarch64_rev16di2_alt2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6577 */
  {
    "aarch64_rev16si2_alt3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16si2_alt3 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6587 */
  {
    "*bswapsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "btrunchf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btrunchf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "ceilhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilhf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "floorhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorhf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "roundevenhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenhf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "nearbyinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyinthf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "rinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rinthf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "roundhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundhf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "btruncsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "ceilsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "floorsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "roundevensf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevensf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "nearbyintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "rintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "roundsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "btruncdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "ceildf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceildf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "floordf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floordf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "roundevendf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevendf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "nearbyintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "rintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6617 */
  {
    "rounddf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rounddf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtrunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceilhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloorhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lroundhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceiluhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lflooruhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lrounduhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtrunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceilhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloorhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lroundhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceiluhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lflooruhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lrounduhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceilsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloorsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lroundsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceilusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloorusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lroundusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceilsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloorsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lroundsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceilusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloorusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lroundusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceildfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloordfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lrounddfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintndfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceiludfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloorudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lroundudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceildfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloordfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lrounddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintndfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lbtruncudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lceiludfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfloorudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lroundudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6628 */
  {
    "lfrintnudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*aarch64_fcvtsfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_962 },
#else
    { 0, 0, output_962 },
#endif
    { 0 },
    &operand_data[1195],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*aarch64_fcvtusfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_963 },
#else
    { 0, 0, output_963 },
#endif
    { 0 },
    &operand_data[1195],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*aarch64_fcvtsfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_964 },
#else
    { 0, 0, output_964 },
#endif
    { 0 },
    &operand_data[1198],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*aarch64_fcvtusfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_965 },
#else
    { 0, 0, output_965 },
#endif
    { 0 },
    &operand_data[1198],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*aarch64_fcvtdfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_966 },
#else
    { 0, 0, output_966 },
#endif
    { 0 },
    &operand_data[1201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*aarch64_fcvtudfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_967 },
#else
    { 0, 0, output_967 },
#endif
    { 0 },
    &operand_data[1201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*aarch64_fcvtdfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_968 },
#else
    { 0, 0, output_968 },
#endif
    { 0 },
    &operand_data[1204],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*aarch64_fcvtudfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_969 },
#else
    { 0, 0, output_969 },
#endif
    { 0 },
    &operand_data[1204],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6670 */
  {
    "*aarch64_fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1207],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6670 */
  {
    "*aarch64_fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6670 */
  {
    "*aarch64_fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6689 */
  {
    "*aarch64_fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1207],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6689 */
  {
    "*aarch64_fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6689 */
  {
    "*aarch64_fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6709 */
  {
    "*aarch64_fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6709 */
  {
    "*aarch64_fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6727 */
  {
    "*aarch64_fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6727 */
  {
    "*aarch64_fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6738 */
  {
    "*aarch64_fnmaddsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6738 */
  {
    "*aarch64_fnmadddf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6752 */
  {
    "extendsfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsfdf2 },
    &operand_data[1219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6760 */
  {
    "extendhfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfsf2 },
    &operand_data[1221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6768 */
  {
    "extendhfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfdf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6776 */
  {
    "truncdfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6784 */
  {
    "truncsfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncsfhf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6792 */
  {
    "truncdfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfhf2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6803 */
  {
    "fix_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_988 },
#else
    { 0, output_988, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6803 */
  {
    "fixuns_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_989 },
#else
    { 0, output_989, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6803 */
  {
    "fix_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_990 },
#else
    { 0, output_990, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfdi2 },
    &operand_data[1233],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6803 */
  {
    "fixuns_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_991 },
#else
    { 0, output_991, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfdi2 },
    &operand_data[1233],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6815 */
  {
    "fix_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6815 */
  {
    "fixuns_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6815 */
  {
    "fix_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6815 */
  {
    "fixuns_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6826 */
  {
    "fix_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6826 */
  {
    "fixuns_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6826 */
  {
    "fix_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6826 */
  {
    "fixuns_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6834 */
  {
    "*fix_to_zero_extendsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6834 */
  {
    "*fix_to_zero_extenddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6845 */
  {
    "*aarch64_scvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1002 },
#else
    { 0, 0, output_1002 },
#endif
    { 0 },
    &operand_data[1235],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6845 */
  {
    "*aarch64_ucvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1003 },
#else
    { 0, 0, output_1003 },
#endif
    { 0 },
    &operand_data[1235],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6845 */
  {
    "*aarch64_scvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1004 },
#else
    { 0, 0, output_1004 },
#endif
    { 0 },
    &operand_data[1238],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6845 */
  {
    "*aarch64_ucvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1005 },
#else
    { 0, 0, output_1005 },
#endif
    { 0 },
    &operand_data[1238],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6868 */
  {
    "*aarch64_scvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1006 },
#else
    { 0, 0, output_1006 },
#endif
    { 0 },
    &operand_data[1241],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6868 */
  {
    "*aarch64_ucvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1007 },
#else
    { 0, 0, output_1007 },
#endif
    { 0 },
    &operand_data[1241],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6868 */
  {
    "*aarch64_scvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1008 },
#else
    { 0, 0, output_1008 },
#endif
    { 0 },
    &operand_data[1244],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6868 */
  {
    "*aarch64_ucvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1009 },
#else
    { 0, 0, output_1009 },
#endif
    { 0 },
    &operand_data[1244],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6882 */
  {
    "floatsisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1010 },
#else
    { 0, output_1010, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsisf2 },
    &operand_data[1235],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6882 */
  {
    "floatunssisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1011 },
#else
    { 0, output_1011, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssisf2 },
    &operand_data[1235],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6882 */
  {
    "floatdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1012 },
#else
    { 0, output_1012, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdidf2 },
    &operand_data[1238],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6882 */
  {
    "floatunsdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1013 },
#else
    { 0, output_1013, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdidf2 },
    &operand_data[1238],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6893 */
  {
    "floatdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdisf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6893 */
  {
    "floatunsdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdisf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6893 */
  {
    "floatsidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsidf2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6893 */
  {
    "floatunssidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssidf2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6908 */
  {
    "aarch64_fp16_floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatsihf2 },
    &operand_data[1247],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6908 */
  {
    "aarch64_fp16_floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunssihf2 },
    &operand_data[1247],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6908 */
  {
    "aarch64_fp16_floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatdihf2 },
    &operand_data[1249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6908 */
  {
    "aarch64_fp16_floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunsdihf2 },
    &operand_data[1249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6965 */
  {
    "fcvtzssf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1022 },
#else
    { 0, output_1022, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzssf3 },
    &operand_data[1251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6965 */
  {
    "fcvtzusf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1023 },
#else
    { 0, output_1023, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzusf3 },
    &operand_data[1251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6965 */
  {
    "fcvtzsdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1024 },
#else
    { 0, output_1024, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsdf3 },
    &operand_data[1254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6965 */
  {
    "fcvtzudf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1025 },
#else
    { 0, output_1025, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzudf3 },
    &operand_data[1254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6977 */
  {
    "scvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1026 },
#else
    { 0, output_1026, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsi3 },
    &operand_data[1257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6977 */
  {
    "ucvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1027 },
#else
    { 0, output_1027, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsi3 },
    &operand_data[1257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6977 */
  {
    "scvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1028 },
#else
    { 0, output_1028, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdi3 },
    &operand_data[1260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6977 */
  {
    "ucvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1029 },
#else
    { 0, output_1029, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdi3 },
    &operand_data[1260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6989 */
  {
    "fcvtzshfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfsi3 },
    &operand_data[1263],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6989 */
  {
    "fcvtzuhfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfsi3 },
    &operand_data[1263],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6989 */
  {
    "fcvtzshfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfdi3 },
    &operand_data[1266],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6989 */
  {
    "fcvtzuhfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfdi3 },
    &operand_data[1266],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6999 */
  {
    "scvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsihf3 },
    &operand_data[1269],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6999 */
  {
    "ucvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsihf3 },
    &operand_data[1269],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6999 */
  {
    "scvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdihf3 },
    &operand_data[1272],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6999 */
  {
    "ucvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdihf3 },
    &operand_data[1272],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7009 */
  {
    "fcvtzshf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshf3 },
    &operand_data[1275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7009 */
  {
    "fcvtzuhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhf3 },
    &operand_data[1275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7019 */
  {
    "scvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfhi3 },
    &operand_data[1278],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7019 */
  {
    "ucvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfhi3 },
    &operand_data[1278],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7033 */
  {
    "addhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7033 */
  {
    "addsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7033 */
  {
    "adddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7043 */
  {
    "subhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7043 */
  {
    "subsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7043 */
  {
    "subdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7053 */
  {
    "mulhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7053 */
  {
    "mulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7053 */
  {
    "muldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7063 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7063 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7073 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7073 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7095 */
  {
    "*divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7095 */
  {
    "*divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7095 */
  {
    "*divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7104 */
  {
    "neghf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_neghf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7104 */
  {
    "negsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7104 */
  {
    "negdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7121 */
  {
    "*sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7121 */
  {
    "*sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7121 */
  {
    "*sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7129 */
  {
    "abshf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abshf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7129 */
  {
    "abssf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7129 */
  {
    "absdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7158 */
  {
    "*aarch64_smaxsi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1067 },
#else
    { 0, output_1067, 0 },
#endif
    { 0 },
    &operand_data[1281],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7158 */
  {
    "*aarch64_sminsi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1068 },
#else
    { 0, output_1068, 0 },
#endif
    { 0 },
    &operand_data[1281],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7158 */
  {
    "*aarch64_umaxsi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1069 },
#else
    { 0, output_1069, 0 },
#endif
    { 0 },
    &operand_data[1284],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7158 */
  {
    "*aarch64_uminsi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1070 },
#else
    { 0, output_1070, 0 },
#endif
    { 0 },
    &operand_data[1284],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7158 */
  {
    "*aarch64_smaxdi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1071 },
#else
    { 0, output_1071, 0 },
#endif
    { 0 },
    &operand_data[1287],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7158 */
  {
    "*aarch64_smindi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1072 },
#else
    { 0, output_1072, 0 },
#endif
    { 0 },
    &operand_data[1287],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7158 */
  {
    "*aarch64_umaxdi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1073 },
#else
    { 0, output_1073, 0 },
#endif
    { 0 },
    &operand_data[1290],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7158 */
  {
    "*aarch64_umindi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1074 },
#else
    { 0, output_1074, 0 },
#endif
    { 0 },
    &operand_data[1290],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7169 */
  {
    "*aarch64_smaxsi3_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w1, %w1, asr #31",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7169 */
  {
    "*aarch64_sminsi3_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w1, asr #31",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7169 */
  {
    "*aarch64_smaxdi3_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x1, %x1, asr #63",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7169 */
  {
    "*aarch64_smindi3_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x1, %x1, asr #63",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7183 */
  {
    "smaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7183 */
  {
    "smaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxdf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7192 */
  {
    "sminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7192 */
  {
    "smindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smindf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmax_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmin_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmaxhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fminhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmax_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nansf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmin_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nansf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmax_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nandf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmin_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nandf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxdf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7204 */
  {
    "fmindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmindf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7271 */
  {
    "copysignsf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1095 },
#else
    { 0, output_1095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3_insn },
    &operand_data[1293],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7271 */
  {
    "copysigndf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1096 },
#else
    { 0, output_1096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3_insn },
    &operand_data[1297],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7359 */
  {
    "aarch64_movdi_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tilow },
    &operand_data[1301],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7359 */
  {
    "aarch64_movdi_tflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tflow },
    &operand_data[1303],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7359 */
  {
    "aarch64_movdi_tdlow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tdlow },
    &operand_data[1305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7369 */
  {
    "aarch64_movdi_tihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tihigh },
    &operand_data[1301],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7369 */
  {
    "aarch64_movdi_tfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tfhigh },
    &operand_data[1303],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7369 */
  {
    "aarch64_movdi_tdhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tdhigh },
    &operand_data[1305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7379 */
  {
    "aarch64_movtihigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtihigh_di },
    &operand_data[1307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7379 */
  {
    "aarch64_movtfhigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtfhigh_di },
    &operand_data[1309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7379 */
  {
    "aarch64_movtdhigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtdhigh_di },
    &operand_data[1311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7389 */
  {
    "aarch64_movtilow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_di },
    &operand_data[1313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7389 */
  {
    "aarch64_movtflow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtflow_di },
    &operand_data[1315],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7389 */
  {
    "aarch64_movtdlow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtdlow_di },
    &operand_data[1317],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7398 */
  {
    "aarch64_movtilow_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_tilow },
    &operand_data[1319],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7429 */
  {
    "add_losym_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_si },
    &operand_data[1321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7429 */
  {
    "add_losym_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_di },
    &operand_data[1324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7438 */
  {
    "ldr_got_small_28k_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_si },
    &operand_data[1327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7438 */
  {
    "ldr_got_small_28k_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:gotpage_lo15:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_di },
    &operand_data[1330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7449 */
  {
    "ldr_got_small_28k_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_sidi },
    &operand_data[1330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7461 */
  {
    "ldr_got_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_si },
    &operand_data[1333],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7461 */
  {
    "ldr_got_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_di },
    &operand_data[1335],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7470 */
  {
    "ldr_got_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_sidi },
    &operand_data[1335],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7480 */
  {
    "aarch64_load_tp_hard",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1118 },
#else
    { 0, 0, output_1118 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_tp_hard },
    &operand_data[1],
    1,
    1,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7502 */
  {
    "*tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1337],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7502 */
  {
    "*tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1340],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7514 */
  {
    "tlsie_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_si },
    &operand_data[1343],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7514 */
  {
    "tlsie_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%x0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_di },
    &operand_data[1345],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7524 */
  {
    "tlsie_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_sidi },
    &operand_data[1345],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7535 */
  {
    "tlsie_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_si },
    &operand_data[1347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7535 */
  {
    "tlsie_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1\n\tadd\t%x0, %x0, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_di },
    &operand_data[1350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "tlsie_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_sidi },
    &operand_data[1350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7559 */
  {
    "tlsle12_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_si },
    &operand_data[1353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7559 */
  {
    "tlsle12_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_di },
    &operand_data[1356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7570 */
  {
    "tlsle24_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%G2, lsl #12\n\tadd\t%w0, %w0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_si },
    &operand_data[1353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7570 */
  {
    "tlsle24_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%G2, lsl #12\n\tadd\t%x0, %x0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_di },
    &operand_data[1356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7581 */
  {
    "tlsle32_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g1:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_si },
    &operand_data[1359],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7581 */
  {
    "tlsle32_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g1:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_di },
    &operand_data[1361],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7591 */
  {
    "tlsle48_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g2:%1\n\tmovk\t%w0, #:tprel_g1_nc:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_si },
    &operand_data[1359],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7591 */
  {
    "tlsle48_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g2:%1\n\tmovk\t%x0, #:tprel_g1_nc:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_di },
    &operand_data[1361],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7621 */
  {
    "tlsdesc_small_advsimd_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%w1, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_si },
    &operand_data[1363],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7621 */
  {
    "tlsdesc_small_advsimd_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%x1, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_di },
    &operand_data[1363],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7637 */
  {
    "tlsdesc_small_sve_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\tw30, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\tx30",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_si },
    &operand_data[1365],
    2,
    2,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7637 */
  {
    "tlsdesc_small_sve_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\tx30, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\tx30",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_di },
    &operand_data[1365],
    2,
    2,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7650 */
  {
    "stack_tie",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_tie },
    &operand_data[1367],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7661 */
  {
    "aarch64_fjcvtzs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fjcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fjcvtzs },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7680 */
  {
    "paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t25 // paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_paciasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7680 */
  {
    "autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t29 // autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autiasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7680 */
  {
    "pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t27 // pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7680 */
  {
    "autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t31 // autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7689 */
  {
    "pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t8 // pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7689 */
  {
    "autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t12 // autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7689 */
  {
    "pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t10 // pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7689 */
  {
    "autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t14 // autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7698 */
  {
    "xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t7 // xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xpaclri },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7717 */
  {
    "blockage",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_blockage },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7725 */
  {
    "probe_stack_range",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1151 },
#else
    { 0, 0, output_1151 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_stack_range },
    &operand_data[1369],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7741 */
  {
    "probe_sve_stack_clash_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1152 },
#else
    { 0, 0, output_1152 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_si },
    &operand_data[1372],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7741 */
  {
    "probe_sve_stack_clash_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1153 },
#else
    { 0, 0, output_1153 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_di },
    &operand_data[1377],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7794 */
  {
    "reg_stack_protect_address_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1154 },
#else
    { 0, 0, output_1154 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_si },
    &operand_data[1382],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7794 */
  {
    "reg_stack_protect_address_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1155 },
#else
    { 0, 0, output_1155 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_di },
    &operand_data[1384],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7810 */
  {
    "stack_protect_set_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %1\n\tstr\t%w2, %0\n\tmov\t%w2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_si },
    &operand_data[1386],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7810 */
  {
    "stack_protect_set_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %1\n\tstr\t%x2, %0\n\tmov\t%x2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_di },
    &operand_data[1389],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7855 */
  {
    "stack_protect_test_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %0\n\tldr\t%w3, %1\n\tsubs\t%w2, %w2, %w3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_si },
    &operand_data[1392],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7855 */
  {
    "stack_protect_test_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %0\n\tldr\t%x3, %1\n\tsubs\t%x2, %x2, %x3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_di },
    &operand_data[1396],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7868 */
  {
    "aarch64_set_fpsrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpsrsi },
    &operand_data[49],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7868 */
  {
    "aarch64_set_fpcrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpcrsi },
    &operand_data[49],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7868 */
  {
    "aarch64_set_fpsrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpsrdi },
    &operand_data[8],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7868 */
  {
    "aarch64_set_fpcrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpcrdi },
    &operand_data[8],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7875 */
  {
    "aarch64_get_fpsrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpsrsi },
    &operand_data[105],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7875 */
  {
    "aarch64_get_fpcrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpcrsi },
    &operand_data[105],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7875 */
  {
    "aarch64_get_fpsrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpsrdi },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7875 */
  {
    "aarch64_get_fpcrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpcrdi },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7921 */
  {
    "speculation_tracker",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1168 },
#else
    { 0, 0, output_1168 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker },
    &operand_data[9],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7935 */
  {
    "speculation_tracker_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1169 },
#else
    { 0, 0, output_1169 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker_rev },
    &operand_data[9],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7949 */
  {
    "bti_noarg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t32 // bti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_noarg },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7956 */
  {
    "bti_c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t34 // bti c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_c },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7963 */
  {
    "bti_j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t36 // bti j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_j },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7970 */
  {
    "bti_jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t38 // bti jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_jc },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7978 */
  {
    "speculation_barrier",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "isb\n\tdsb\tsy",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_barrier },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8018 */
  {
    "*despeculate_copyqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1175 },
#else
    { 0, 0, output_1175 },
#endif
    { 0 },
    &operand_data[1400],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8018 */
  {
    "*despeculate_copyhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1176 },
#else
    { 0, 0, output_1176 },
#endif
    { 0 },
    &operand_data[1403],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8018 */
  {
    "*despeculate_copysi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1177 },
#else
    { 0, 0, output_1177 },
#endif
    { 0 },
    &operand_data[1406],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8018 */
  {
    "*despeculate_copydi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1178 },
#else
    { 0, 0, output_1178 },
#endif
    { 0 },
    &operand_data[1409],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8038 */
  {
    "*despeculate_copyti_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1179 },
#else
    { 0, 0, output_1179 },
#endif
    { 0 },
    &operand_data[1412],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8058 */
  {
    "despeculate_simpleqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleqi },
    &operand_data[1415],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8058 */
  {
    "despeculate_simplehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplehi },
    &operand_data[1418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8058 */
  {
    "despeculate_simplesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplesi },
    &operand_data[1421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8058 */
  {
    "despeculate_simpledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x1, %x2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpledi },
    &operand_data[1424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8071 */
  {
    "despeculate_simpleti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0, %1, %2\n\tand\t%H0, %H1, %2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleti },
    &operand_data[1427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint32xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8084 */
  {
    "aarch64_frint64xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8096 */
  {
    "tstart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tstart\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tstart },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8105 */
  {
    "ttest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ttest\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ttest },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8114 */
  {
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcommit },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8122 */
  {
    "tcancel",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcancel\t#%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcancel },
    &operand_data[560],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8131 */
  {
    "aarch64_rndr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDR",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndr },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8141 */
  {
    "aarch64_rndrrs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDRRS",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndrrs },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8153 */
  {
    "irg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "irg\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_irg },
    &operand_data[1436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8166 */
  {
    "gmi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "gmi\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gmi },
    &operand_data[355],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8179 */
  {
    "addg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addg\t%0, %1, #%2, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addg },
    &operand_data[1439],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8196 */
  {
    "subp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subp\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subp },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8209 */
  {
    "ldg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldg },
    &operand_data[1446],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8226 */
  {
    "stg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stg },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8239 */
  {
    "ld64b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld64b\t%0, [%1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ld64b },
    &operand_data[1452],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8250 */
  {
    "st64b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st64b\t%1, [%0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_st64b },
    &operand_data[1453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8260 */
  {
    "st64bv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st64bv\t%0, %2, [%1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_st64bv },
    &operand_data[1455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8272 */
  {
    "st64bv0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st64bv0\t%0, %2, [%1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_st64bv0 },
    &operand_data[1455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8284 */
  {
    "patchable_area",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1221 },
#else
    { 0, 0, output_1221 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_patchable_area },
    &operand_data[185],
    2,
    2,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8297 */
  {
    "aarch64_save_nzcv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, nzcv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_save_nzcv },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_restore_nzcv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tnzcv, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_restore_nzcv },
    &operand_data[8],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1224 },
#else
    { 0, output_1224, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8qi },
    &operand_data[1458],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1225 },
#else
    { 0, output_1225, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv16qi },
    &operand_data[1460],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1226 },
#else
    { 0, output_1226, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hi },
    &operand_data[1462],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1227 },
#else
    { 0, output_1227, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hi },
    &operand_data[1464],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1228 },
#else
    { 0, output_1228, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2si },
    &operand_data[1466],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1229 },
#else
    { 0, output_1229, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4si },
    &operand_data[1468],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1230 },
#else
    { 0, output_1230, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2di },
    &operand_data[1470],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1231 },
#else
    { 0, output_1231, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hf },
    &operand_data[1472],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1232 },
#else
    { 0, output_1232, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hf },
    &operand_data[1474],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1233 },
#else
    { 0, output_1233, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2sf },
    &operand_data[1476],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1234 },
#else
    { 0, output_1234, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4sf },
    &operand_data[1478],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1235 },
#else
    { 0, output_1235, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2df },
    &operand_data[1480],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1236 },
#else
    { 0, output_1236, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4bf },
    &operand_data[1482],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1237 },
#else
    { 0, output_1237, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8bf },
    &operand_data[1484],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1238 },
#else
    { 0, 0, output_1238 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8qi },
    &operand_data[1486],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1239 },
#else
    { 0, 0, output_1239 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev16qi },
    &operand_data[1489],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1240 },
#else
    { 0, 0, output_1240 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hi },
    &operand_data[1492],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1241 },
#else
    { 0, 0, output_1241 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hi },
    &operand_data[1495],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1242 },
#else
    { 0, 0, output_1242 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2si },
    &operand_data[1498],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1243 },
#else
    { 0, 0, output_1243 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4si },
    &operand_data[1501],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1244 },
#else
    { 0, 0, output_1244 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2di },
    &operand_data[1504],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1245 },
#else
    { 0, 0, output_1245 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hf },
    &operand_data[1507],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1246 },
#else
    { 0, 0, output_1246 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hf },
    &operand_data[1510],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1247 },
#else
    { 0, 0, output_1247 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4bf },
    &operand_data[1513],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1248 },
#else
    { 0, 0, output_1248 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8bf },
    &operand_data[1516],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1249 },
#else
    { 0, 0, output_1249 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2sf },
    &operand_data[1519],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1250 },
#else
    { 0, 0, output_1250 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4sf },
    &operand_data[1522],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1251 },
#else
    { 0, 0, output_1251 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2df },
    &operand_data[1525],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1252 },
#else
    { 0, 0, output_1252 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v8qi },
    &operand_data[1528],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1253 },
#else
    { 0, 0, output_1253 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v16qi },
    &operand_data[1531],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1254 },
#else
    { 0, 0, output_1254 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hi },
    &operand_data[1534],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1255 },
#else
    { 0, 0, output_1255 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hi },
    &operand_data[1537],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1256 },
#else
    { 0, 0, output_1256 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2si },
    &operand_data[1540],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1257 },
#else
    { 0, 0, output_1257 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4si },
    &operand_data[1543],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1258 },
#else
    { 0, 0, output_1258 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hf },
    &operand_data[1546],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1259 },
#else
    { 0, 0, output_1259 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hf },
    &operand_data[1549],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1260 },
#else
    { 0, 0, output_1260 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2sf },
    &operand_data[1552],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1261 },
#else
    { 0, 0, output_1261 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4sf },
    &operand_data[1555],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1262 },
#else
    { 0, 0, output_1262 },
#endif
    { 0 },
    &operand_data[1558],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1263 },
#else
    { 0, 0, output_1263 },
#endif
    { 0 },
    &operand_data[1560],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1264 },
#else
    { 0, 0, output_1264 },
#endif
    { 0 },
    &operand_data[1562],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1265 },
#else
    { 0, 0, output_1265 },
#endif
    { 0 },
    &operand_data[1564],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1266 },
#else
    { 0, 0, output_1266 },
#endif
    { 0 },
    &operand_data[1566],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1267 },
#else
    { 0, 0, output_1267 },
#endif
    { 0 },
    &operand_data[1568],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1268 },
#else
    { 0, 0, output_1268 },
#endif
    { 0 },
    &operand_data[1570],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1269 },
#else
    { 0, 0, output_1269 },
#endif
    { 0 },
    &operand_data[1572],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1270 },
#else
    { 0, 0, output_1270 },
#endif
    { 0 },
    &operand_data[1574],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1271 },
#else
    { 0, 0, output_1271 },
#endif
    { 0 },
    &operand_data[1576],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1272 },
#else
    { 0, 0, output_1272 },
#endif
    { 0 },
    &operand_data[1578],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1273 },
#else
    { 0, 0, output_1273 },
#endif
    { 0 },
    &operand_data[1580],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1274 },
#else
    { 0, 0, output_1274 },
#endif
    { 0 },
    &operand_data[1582],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1275 },
#else
    { 0, 0, output_1275 },
#endif
    { 0 },
    &operand_data[1584],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8qi },
    &operand_data[1586],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v16qi },
    &operand_data[1589],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hi },
    &operand_data[1592],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hi },
    &operand_data[1595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2si },
    &operand_data[1598],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4si },
    &operand_data[1601],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2di },
    &operand_data[1604],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hf },
    &operand_data[1607],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hf },
    &operand_data[1610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4bf },
    &operand_data[1613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8bf },
    &operand_data[1616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2sf },
    &operand_data[1619],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4sf },
    &operand_data[1622],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2df },
    &operand_data[1625],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:234 */
  {
    "aarch64_simd_stpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1290 },
#else
    { 0, output_1290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_stpv2si },
    &operand_data[1628],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:234 */
  {
    "aarch64_simd_stpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1291 },
#else
    { 0, output_1291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_stpv2sf },
    &operand_data[1630],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:234 */
  {
    "aarch64_simd_stpv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1292 },
#else
    { 0, output_1292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_stpv2di },
    &operand_data[1632],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:234 */
  {
    "aarch64_simd_stpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1293 },
#else
    { 0, output_1293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_stpv2df },
    &operand_data[1634],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v16qilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1294 },
#else
    { 0, output_1294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qilow },
    &operand_data[1636],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v8hilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1295 },
#else
    { 0, output_1295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hilow },
    &operand_data[1639],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v4silow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1296 },
#else
    { 0, output_1296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4silow },
    &operand_data[1642],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v8hflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1297 },
#else
    { 0, output_1297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hflow },
    &operand_data[1645],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v8bflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1298 },
#else
    { 0, output_1298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bflow },
    &operand_data[1648],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v4sflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1299 },
#else
    { 0, output_1299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sflow },
    &operand_data[1651],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v16qihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1300 },
#else
    { 0, output_1300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qihigh },
    &operand_data[1654],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v8hihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1301 },
#else
    { 0, output_1301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hihigh },
    &operand_data[1657],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v4sihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1302 },
#else
    { 0, output_1302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sihigh },
    &operand_data[1660],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v8hfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1303 },
#else
    { 0, output_1303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hfhigh },
    &operand_data[1663],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v8bfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1304 },
#else
    { 0, output_1304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bfhigh },
    &operand_data[1666],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v4sfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1305 },
#else
    { 0, output_1305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sfhigh },
    &operand_data[1669],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:377 */
  {
    "aarch64_rbitv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:377 */
  {
    "aarch64_rbitv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:377 */
  {
    "aarch64_rbitv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:377 */
  {
    "aarch64_rbitv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf_vec_concatz_le },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf_vec_concatz_be },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf_vec_concatz_le },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf_vec_concatz_be },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf_vec_concatz_le },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf_vec_concatz_be },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf_vec_concatz_le },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf_vec_concatz_be },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v8hf },
    &operand_data[1740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v8hf },
    &operand_data[1740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v8hf },
    &operand_data[1740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v8hf },
    &operand_data[1740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf },
    &operand_data[1744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf_vec_concatz_le },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf_vec_concatz_be },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf },
    &operand_data[1744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf_vec_concatz_le },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf_vec_concatz_be },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf },
    &operand_data[1744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf_vec_concatz_le },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf_vec_concatz_be },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf },
    &operand_data[1744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf_vec_concatz_le },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf_vec_concatz_be },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4sf },
    &operand_data[1753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4sf },
    &operand_data[1753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4sf },
    &operand_data[1753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4sf },
    &operand_data[1753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2df },
    &operand_data[1757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2df },
    &operand_data[1757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2df },
    &operand_data[1757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2df },
    &operand_data[1757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1433 },
#else
    { 0, 0, output_1433 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf },
    &operand_data[1761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1434 },
#else
    { 0, 0, output_1434 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf_vec_concatz_le },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1435 },
#else
    { 0, 0, output_1435 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf_vec_concatz_be },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1436 },
#else
    { 0, 0, output_1436 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf },
    &operand_data[1761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1437 },
#else
    { 0, 0, output_1437 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf_vec_concatz_le },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1438 },
#else
    { 0, 0, output_1438 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf_vec_concatz_be },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1439 },
#else
    { 0, 0, output_1439 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf },
    &operand_data[1761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1440 },
#else
    { 0, 0, output_1440 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf_vec_concatz_le },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1441 },
#else
    { 0, 0, output_1441 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf_vec_concatz_be },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1442 },
#else
    { 0, 0, output_1442 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf },
    &operand_data[1761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1443 },
#else
    { 0, 0, output_1443 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf_vec_concatz_le },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1444 },
#else
    { 0, 0, output_1444 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf_vec_concatz_be },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1445 },
#else
    { 0, 0, output_1445 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v8hf },
    &operand_data[1772],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1446 },
#else
    { 0, 0, output_1446 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v8hf },
    &operand_data[1772],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1447 },
#else
    { 0, 0, output_1447 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v8hf },
    &operand_data[1772],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1448 },
#else
    { 0, 0, output_1448 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v8hf },
    &operand_data[1772],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1449 },
#else
    { 0, 0, output_1449 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf },
    &operand_data[1777],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1450 },
#else
    { 0, 0, output_1450 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf_vec_concatz_le },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1451 },
#else
    { 0, 0, output_1451 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf_vec_concatz_be },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1452 },
#else
    { 0, 0, output_1452 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf },
    &operand_data[1777],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1453 },
#else
    { 0, 0, output_1453 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf_vec_concatz_le },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1454 },
#else
    { 0, 0, output_1454 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf_vec_concatz_be },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1455 },
#else
    { 0, 0, output_1455 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf },
    &operand_data[1777],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1456 },
#else
    { 0, 0, output_1456 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf_vec_concatz_le },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1457 },
#else
    { 0, 0, output_1457 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf_vec_concatz_be },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1458 },
#else
    { 0, 0, output_1458 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf },
    &operand_data[1777],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1459 },
#else
    { 0, 0, output_1459 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf_vec_concatz_le },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1460 },
#else
    { 0, 0, output_1460 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf_vec_concatz_be },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1461 },
#else
    { 0, 0, output_1461 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4sf },
    &operand_data[1788],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1462 },
#else
    { 0, 0, output_1462 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4sf },
    &operand_data[1788],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1463 },
#else
    { 0, 0, output_1463 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4sf },
    &operand_data[1788],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1464 },
#else
    { 0, 0, output_1464 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4sf },
    &operand_data[1788],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1465 },
#else
    { 0, 0, output_1465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2df },
    &operand_data[1793],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1466 },
#else
    { 0, 0, output_1466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2df },
    &operand_data[1793],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1467 },
#else
    { 0, 0, output_1467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2df },
    &operand_data[1793],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1468 },
#else
    { 0, 0, output_1468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2df },
    &operand_data[1793],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1469 },
#else
    { 0, 0, output_1469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf },
    &operand_data[1798],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq0v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1470 },
#else
    { 0, 0, output_1470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf_vec_concatz_le },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq0v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1471 },
#else
    { 0, 0, output_1471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf_vec_concatz_be },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1472 },
#else
    { 0, 0, output_1472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf },
    &operand_data[1798],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq90v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1473 },
#else
    { 0, 0, output_1473 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf_vec_concatz_le },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq90v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1474 },
#else
    { 0, 0, output_1474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf_vec_concatz_be },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1475 },
#else
    { 0, 0, output_1475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf },
    &operand_data[1798],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq180v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1476 },
#else
    { 0, 0, output_1476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf_vec_concatz_le },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq180v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1477 },
#else
    { 0, 0, output_1477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf_vec_concatz_be },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1478 },
#else
    { 0, 0, output_1478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf },
    &operand_data[1798],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq270v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1479 },
#else
    { 0, 0, output_1479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf_vec_concatz_le },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq270v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1480 },
#else
    { 0, 0, output_1480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf_vec_concatz_be },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1481 },
#else
    { 0, 0, output_1481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v8hf },
    &operand_data[1809],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1482 },
#else
    { 0, 0, output_1482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v8hf },
    &operand_data[1809],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1483 },
#else
    { 0, 0, output_1483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v8hf },
    &operand_data[1809],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1484 },
#else
    { 0, 0, output_1484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v8hf },
    &operand_data[1809],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1485 },
#else
    { 0, 0, output_1485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v4sf },
    &operand_data[1814],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1486 },
#else
    { 0, 0, output_1486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v4sf },
    &operand_data[1814],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1487 },
#else
    { 0, 0, output_1487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v4sf },
    &operand_data[1814],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1488 },
#else
    { 0, 0, output_1488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v4sf },
    &operand_data[1814],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "sdot_prodv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv2siv8qi },
    &operand_data[1819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "sdot_prodv2siv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv2siv8qi_vec_concatz_le },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "sdot_prodv2siv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv2siv8qi_vec_concatz_be },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "udot_prodv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv2siv8qi },
    &operand_data[1819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "udot_prodv2siv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv2siv8qi_vec_concatz_le },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "udot_prodv2siv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv2siv8qi_vec_concatz_be },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "sdot_prodv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.4s, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv4siv16qi },
    &operand_data[1828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "udot_prodv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.4s, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv4siv16qi },
    &operand_data[1828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:584 */
  {
    "usdot_prodv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodv2siv8qi },
    &operand_data[1819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:584 */
  {
    "usdot_prodv2siv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodv2siv8qi_vec_concatz_le },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:584 */
  {
    "usdot_prodv2siv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodv2siv8qi_vec_concatz_be },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:584 */
  {
    "usdot_prodv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.4s, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodv4siv16qi },
    &operand_data[1828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_sdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1501 },
#else
    { 0, 0, output_1501 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi },
    &operand_data[1832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_sdot_lanev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1502 },
#else
    { 0, 0, output_1502 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi_vec_concatz_le },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_sdot_lanev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1503 },
#else
    { 0, 0, output_1503 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi_vec_concatz_be },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_udot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1504 },
#else
    { 0, 0, output_1504 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi },
    &operand_data[1832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_udot_lanev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1505 },
#else
    { 0, 0, output_1505 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi_vec_concatz_le },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_udot_lanev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1506 },
#else
    { 0, 0, output_1506 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi_vec_concatz_be },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_sdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1507 },
#else
    { 0, 0, output_1507 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev16qi },
    &operand_data[1843],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_udot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1508 },
#else
    { 0, 0, output_1508 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev16qi },
    &operand_data[1843],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_sdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1509 },
#else
    { 0, 0, output_1509 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi },
    &operand_data[1848],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_sdot_laneqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1510 },
#else
    { 0, 0, output_1510 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi_vec_concatz_le },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_sdot_laneqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1511 },
#else
    { 0, 0, output_1511 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi_vec_concatz_be },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_udot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1512 },
#else
    { 0, 0, output_1512 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi },
    &operand_data[1848],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_udot_laneqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1513 },
#else
    { 0, 0, output_1513 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi_vec_concatz_le },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_udot_laneqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1514 },
#else
    { 0, 0, output_1514 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi_vec_concatz_be },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_sdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1515 },
#else
    { 0, 0, output_1515 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv16qi },
    &operand_data[1859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_udot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1516 },
#else
    { 0, 0, output_1516 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv16qi },
    &operand_data[1859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1517 },
#else
    { 0, 0, output_1517 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev8qi },
    &operand_data[1832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_lanev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1518 },
#else
    { 0, 0, output_1518 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev8qi_vec_concatz_le },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_lanev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1519 },
#else
    { 0, 0, output_1519 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev8qi_vec_concatz_be },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1520 },
#else
    { 0, 0, output_1520 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev8qi },
    &operand_data[1832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_lanev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1521 },
#else
    { 0, 0, output_1521 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev8qi_vec_concatz_le },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_lanev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1522 },
#else
    { 0, 0, output_1522 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev8qi_vec_concatz_be },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1523 },
#else
    { 0, 0, output_1523 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev16qi },
    &operand_data[1843],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1524 },
#else
    { 0, 0, output_1524 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev16qi },
    &operand_data[1843],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1525 },
#else
    { 0, 0, output_1525 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv8qi },
    &operand_data[1848],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_laneqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1526 },
#else
    { 0, 0, output_1526 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv8qi_vec_concatz_le },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_laneqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1527 },
#else
    { 0, 0, output_1527 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv8qi_vec_concatz_be },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1528 },
#else
    { 0, 0, output_1528 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv8qi },
    &operand_data[1848],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_laneqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1529 },
#else
    { 0, 0, output_1529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv8qi_vec_concatz_le },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_laneqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1530 },
#else
    { 0, 0, output_1530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv8qi_vec_concatz_be },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1531 },
#else
    { 0, 0, output_1531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv16qi },
    &operand_data[1859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1532 },
#else
    { 0, 0, output_1532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv16qi },
    &operand_data[1859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1533 },
#else
    { 0, 0, output_1533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev4hi3 },
    &operand_data[1864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1534 },
#else
    { 0, 0, output_1534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev8hi3 },
    &operand_data[1868],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1535 },
#else
    { 0, 0, output_1535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev2si3 },
    &operand_data[1872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1536 },
#else
    { 0, 0, output_1536 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev4si3 },
    &operand_data[1876],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1537 },
#else
    { 0, 0, output_1537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev4hf3 },
    &operand_data[1880],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1538 },
#else
    { 0, 0, output_1538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev8hf3 },
    &operand_data[1884],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1539 },
#else
    { 0, 0, output_1539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev2sf3 },
    &operand_data[1888],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1540 },
#else
    { 0, 0, output_1540 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev4sf3 },
    &operand_data[1892],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1541 },
#else
    { 0, 0, output_1541 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv4hi3 },
    &operand_data[1896],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1542 },
#else
    { 0, 0, output_1542 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv8hi3 },
    &operand_data[1900],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1543 },
#else
    { 0, 0, output_1543 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv2si3 },
    &operand_data[1904],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1544 },
#else
    { 0, 0, output_1544 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv4si3 },
    &operand_data[1908],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1545 },
#else
    { 0, 0, output_1545 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv4hf3 },
    &operand_data[1912],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1546 },
#else
    { 0, 0, output_1546 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv8hf3 },
    &operand_data[1916],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1547 },
#else
    { 0, 0, output_1547 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv2sf3 },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1548 },
#else
    { 0, 0, output_1548 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv4sf3 },
    &operand_data[1924],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1549 },
#else
    { 0, 0, output_1549 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv2df3 },
    &operand_data[1928],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv4hi3 },
    &operand_data[1932],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv8hi3 },
    &operand_data[1935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv2si3 },
    &operand_data[1938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv4si3 },
    &operand_data[1941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv4hf3 },
    &operand_data[1944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv8hf3 },
    &operand_data[1947],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv2sf3 },
    &operand_data[1950],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv4sf3 },
    &operand_data[1953],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %1.2d, %2.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv2df3 },
    &operand_data[1956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtehf },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtesf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtedf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtshf },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtssf },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsdf },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:756 */
  {
    "aarch64_ursqrtev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursqrte\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursqrtev2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:756 */
  {
    "aarch64_ursqrtev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursqrte\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursqrtev4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "*aarch64_mul3_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1577 },
#else
    { 0, 0, output_1577 },
#endif
    { 0 },
    &operand_data[1959],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi },
    &operand_data[935],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi_vec_concatz_le },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi_vec_concatz_be },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8qi },
    &operand_data[1672],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8qi },
    &operand_data[1672],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv16qi },
    &operand_data[1679],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv16qi },
    &operand_data[1679],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4hi },
    &operand_data[1682],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4hi },
    &operand_data[1682],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8hi },
    &operand_data[1689],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8hi },
    &operand_data[1689],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv2si },
    &operand_data[1692],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv2si },
    &operand_data[1692],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4si },
    &operand_data[1699],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4si },
    &operand_data[1699],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_sabdlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv8qi },
    &operand_data[1972],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_uabdlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv8qi },
    &operand_data[1972],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_sabdlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv4hi },
    &operand_data[1975],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_uabdlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv4hi },
    &operand_data[1975],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_sabdlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv2si },
    &operand_data[1978],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_uabdlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv2si },
    &operand_data[1978],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_sabdl2v16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v16qi_insn },
    &operand_data[1981],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_uabdl2v16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v16qi_insn },
    &operand_data[1981],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_sabdl2v8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v8hi_insn },
    &operand_data[1985],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_uabdl2v8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v8hi_insn },
    &operand_data[1985],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_sabdl2v4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v4si_insn },
    &operand_data[1989],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_uabdl2v4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v4si_insn },
    &operand_data[1989],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_sabdlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_uabdlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_sabdlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_uabdlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_sabdlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_uabdlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_sabdlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_uabdlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_sabdlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_uabdlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_sabdlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_uabdlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_sabalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv8qi },
    &operand_data[2005],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_uabalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv8qi },
    &operand_data[2005],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_sabalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv4hi },
    &operand_data[2009],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_uabalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv4hi },
    &operand_data[2009],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_sabalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv2si },
    &operand_data[2013],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_uabalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv2si },
    &operand_data[2013],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_sabal2v16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal2\t%0.8h, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v16qi_insn },
    &operand_data[2017],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_uabal2v16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal2\t%0.8h, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v16qi_insn },
    &operand_data[2017],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_sabal2v8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v8hi_insn },
    &operand_data[2022],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_uabal2v8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v8hi_insn },
    &operand_data[2022],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_sabal2v4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v4si_insn },
    &operand_data[2027],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_uabal2v4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v4si_insn },
    &operand_data[2027],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2032],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2037],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2037],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2032],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2037],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2037],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2043],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2043],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2048],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2053],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2053],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2048],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2053],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2053],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2059],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2059],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2064],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2064],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2069],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2074],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2074],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2069],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2074],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2074],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8qi },
    &operand_data[2080],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8qi_vec_concatz_le },
    &operand_data[2084],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8qi_vec_concatz_be },
    &operand_data[2084],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8qi },
    &operand_data[2080],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8qi_vec_concatz_le },
    &operand_data[2084],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8qi_vec_concatz_be },
    &operand_data[2084],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav16qi },
    &operand_data[2089],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav16qi },
    &operand_data[2089],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4hi },
    &operand_data[2093],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4hi },
    &operand_data[2093],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8hi },
    &operand_data[2102],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8hi },
    &operand_data[2102],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav2si },
    &operand_data[2106],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav2si },
    &operand_data[2106],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4si },
    &operand_data[2115],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4si },
    &operand_data[2115],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabddf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3_vec_concatz_le },
    &operand_data[2119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabddf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3_vec_concatz_be },
    &operand_data[2119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1742 },
#else
    { 0, 0, output_1742 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3 },
    &operand_data[2123],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1743 },
#else
    { 0, 0, output_1743 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3_vec_concatz_le },
    &operand_data[2126],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1744 },
#else
    { 0, 0, output_1744 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3_vec_concatz_be },
    &operand_data[2126],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1745 },
#else
    { 0, 0, output_1745 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv16qi3 },
    &operand_data[2130],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1746 },
#else
    { 0, 0, output_1746 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3 },
    &operand_data[2133],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1747 },
#else
    { 0, 0, output_1747 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3_vec_concatz_le },
    &operand_data[2136],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1748 },
#else
    { 0, 0, output_1748 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3_vec_concatz_be },
    &operand_data[2136],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1749 },
#else
    { 0, 0, output_1749 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8hi3 },
    &operand_data[2140],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1750 },
#else
    { 0, 0, output_1750 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3 },
    &operand_data[2143],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1751 },
#else
    { 0, 0, output_1751 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3_vec_concatz_le },
    &operand_data[2146],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1752 },
#else
    { 0, 0, output_1752 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3_vec_concatz_be },
    &operand_data[2146],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1753 },
#else
    { 0, 0, output_1753 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4si3 },
    &operand_data[2150],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1754 },
#else
    { 0, 0, output_1754 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2di3 },
    &operand_data[2153],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1755 },
#else
    { 0, 0, output_1755 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3 },
    &operand_data[2156],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1756 },
#else
    { 0, 0, output_1756 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3_vec_concatz_le },
    &operand_data[2159],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1757 },
#else
    { 0, 0, output_1757 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3_vec_concatz_be },
    &operand_data[2159],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1758 },
#else
    { 0, 0, output_1758 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv16qi3 },
    &operand_data[2163],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1759 },
#else
    { 0, 0, output_1759 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3 },
    &operand_data[2166],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1760 },
#else
    { 0, 0, output_1760 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3_vec_concatz_le },
    &operand_data[2169],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1761 },
#else
    { 0, 0, output_1761 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3_vec_concatz_be },
    &operand_data[2169],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1762 },
#else
    { 0, 0, output_1762 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8hi3 },
    &operand_data[2173],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1763 },
#else
    { 0, 0, output_1763 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3 },
    &operand_data[2176],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1764 },
#else
    { 0, 0, output_1764 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3_vec_concatz_le },
    &operand_data[2179],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1765 },
#else
    { 0, 0, output_1765 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3_vec_concatz_be },
    &operand_data[2179],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1766 },
#else
    { 0, 0, output_1766 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4si3 },
    &operand_data[2183],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1767 },
#else
    { 0, 0, output_1767 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2di3 },
    &operand_data[2186],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1768 },
#else
    { 0, 0, output_1768 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3 },
    &operand_data[2189],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1769 },
#else
    { 0, 0, output_1769 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3_vec_concatz_le },
    &operand_data[2192],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1770 },
#else
    { 0, 0, output_1770 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3_vec_concatz_be },
    &operand_data[2192],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1771 },
#else
    { 0, 0, output_1771 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv16qi3 },
    &operand_data[2196],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1772 },
#else
    { 0, 0, output_1772 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3 },
    &operand_data[2199],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1773 },
#else
    { 0, 0, output_1773 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3_vec_concatz_le },
    &operand_data[2202],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1774 },
#else
    { 0, 0, output_1774 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3_vec_concatz_be },
    &operand_data[2202],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1775 },
#else
    { 0, 0, output_1775 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8hi3 },
    &operand_data[2206],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1776 },
#else
    { 0, 0, output_1776 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3 },
    &operand_data[2209],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1777 },
#else
    { 0, 0, output_1777 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3_vec_concatz_le },
    &operand_data[2212],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1778 },
#else
    { 0, 0, output_1778 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3_vec_concatz_be },
    &operand_data[2212],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1779 },
#else
    { 0, 0, output_1779 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4si3 },
    &operand_data[2216],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1780 },
#else
    { 0, 0, output_1780 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2di3 },
    &operand_data[2219],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1794 },
#else
    { 0, 0, output_1794 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8qi },
    &operand_data[2222],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1795 },
#else
    { 0, 0, output_1795 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv16qi },
    &operand_data[2226],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1796 },
#else
    { 0, 0, output_1796 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hi },
    &operand_data[2230],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1797 },
#else
    { 0, 0, output_1797 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hi },
    &operand_data[2234],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1798 },
#else
    { 0, 0, output_1798 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2si },
    &operand_data[2238],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1799 },
#else
    { 0, 0, output_1799 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4si },
    &operand_data[2242],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1800 },
#else
    { 0, 0, output_1800 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2di },
    &operand_data[2246],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1801 },
#else
    { 0, 0, output_1801 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hf },
    &operand_data[2250],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1802 },
#else
    { 0, 0, output_1802 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hf },
    &operand_data[2254],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1803 },
#else
    { 0, 0, output_1803 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4bf },
    &operand_data[2258],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1804 },
#else
    { 0, 0, output_1804 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8bf },
    &operand_data[2262],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1805 },
#else
    { 0, 0, output_1805 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2sf },
    &operand_data[2266],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1806 },
#else
    { 0, 0, output_1806 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4sf },
    &operand_data[2270],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1807 },
#else
    { 0, 0, output_1807 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2df },
    &operand_data[2274],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1808 },
#else
    { 0, 0, output_1808 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov8qi },
    &operand_data[2278],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1809 },
#else
    { 0, 0, output_1809 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov16qi },
    &operand_data[2282],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1810 },
#else
    { 0, 0, output_1810 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4hi },
    &operand_data[2286],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1811 },
#else
    { 0, 0, output_1811 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov8hi },
    &operand_data[2290],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1812 },
#else
    { 0, 0, output_1812 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov2si },
    &operand_data[2294],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1813 },
#else
    { 0, 0, output_1813 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4si },
    &operand_data[2298],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1814 },
#else
    { 0, 0, output_1814 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov2di },
    &operand_data[2302],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1815 },
#else
    { 0, 0, output_1815 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4hf },
    &operand_data[2306],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1816 },
#else
    { 0, 0, output_1816 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov8hf },
    &operand_data[2310],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1817 },
#else
    { 0, 0, output_1817 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4bf },
    &operand_data[2314],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1818 },
#else
    { 0, 0, output_1818 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov8bf },
    &operand_data[2318],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1819 },
#else
    { 0, 0, output_1819 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov2sf },
    &operand_data[2322],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1820 },
#else
    { 0, 0, output_1820 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4sf },
    &operand_data[2326],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1821 },
#else
    { 0, 0, output_1821 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov2df },
    &operand_data[2330],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1822 },
#else
    { 0, 0, output_1822 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8qi },
    &operand_data[2334],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1823 },
#else
    { 0, 0, output_1823 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev16qi },
    &operand_data[2339],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1824 },
#else
    { 0, 0, output_1824 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4hi },
    &operand_data[2344],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1825 },
#else
    { 0, 0, output_1825 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8hi },
    &operand_data[2349],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1826 },
#else
    { 0, 0, output_1826 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2si },
    &operand_data[2354],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1827 },
#else
    { 0, 0, output_1827 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4si },
    &operand_data[2359],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1828 },
#else
    { 0, 0, output_1828 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2di },
    &operand_data[2364],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1829 },
#else
    { 0, 0, output_1829 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4hf },
    &operand_data[2369],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1830 },
#else
    { 0, 0, output_1830 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8hf },
    &operand_data[2374],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1831 },
#else
    { 0, 0, output_1831 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4bf },
    &operand_data[2379],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1832 },
#else
    { 0, 0, output_1832 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8bf },
    &operand_data[2384],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1833 },
#else
    { 0, 0, output_1833 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2sf },
    &operand_data[2389],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1834 },
#else
    { 0, 0, output_1834 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4sf },
    &operand_data[2394],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1835 },
#else
    { 0, 0, output_1835 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2df },
    &operand_data[2399],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1836 },
#else
    { 0, 0, output_1836 },
#endif
    { 0 },
    &operand_data[2404],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1837 },
#else
    { 0, 0, output_1837 },
#endif
    { 0 },
    &operand_data[2409],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1838 },
#else
    { 0, 0, output_1838 },
#endif
    { 0 },
    &operand_data[2414],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1839 },
#else
    { 0, 0, output_1839 },
#endif
    { 0 },
    &operand_data[2419],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1840 },
#else
    { 0, 0, output_1840 },
#endif
    { 0 },
    &operand_data[2424],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1841 },
#else
    { 0, 0, output_1841 },
#endif
    { 0 },
    &operand_data[2429],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1842 },
#else
    { 0, 0, output_1842 },
#endif
    { 0 },
    &operand_data[2434],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1843 },
#else
    { 0, 0, output_1843 },
#endif
    { 0 },
    &operand_data[2439],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1844 },
#else
    { 0, 0, output_1844 },
#endif
    { 0 },
    &operand_data[2444],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1845 },
#else
    { 0, 0, output_1845 },
#endif
    { 0 },
    &operand_data[2449],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi },
    &operand_data[2454],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi_vec_concatz_le },
    &operand_data[2457],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi_vec_concatz_be },
    &operand_data[2457],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv16qi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi_vec_concatz_le },
    &operand_data[2467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi_vec_concatz_be },
    &operand_data[2467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8hi },
    &operand_data[2471],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si },
    &operand_data[2474],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si_vec_concatz_le },
    &operand_data[2477],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si_vec_concatz_be },
    &operand_data[2477],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4si },
    &operand_data[2481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2di },
    &operand_data[2484],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1859 },
#else
    { 0, output_1859, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1860 },
#else
    { 0, output_1860, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi_vec_concatz_le },
    &operand_data[2490],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1861 },
#else
    { 0, output_1861, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi_vec_concatz_be },
    &operand_data[2490],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1862 },
#else
    { 0, output_1862, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv16qi },
    &operand_data[2494],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1863 },
#else
    { 0, output_1863, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi },
    &operand_data[2497],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1864 },
#else
    { 0, output_1864, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi_vec_concatz_le },
    &operand_data[2500],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1865 },
#else
    { 0, output_1865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi_vec_concatz_be },
    &operand_data[2500],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1866 },
#else
    { 0, output_1866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8hi },
    &operand_data[2504],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1867 },
#else
    { 0, output_1867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si },
    &operand_data[2507],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1868 },
#else
    { 0, output_1868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si_vec_concatz_le },
    &operand_data[2510],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1869 },
#else
    { 0, output_1869, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si_vec_concatz_be },
    &operand_data[2510],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1870 },
#else
    { 0, output_1870, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4si },
    &operand_data[2514],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1871 },
#else
    { 0, output_1871, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2di },
    &operand_data[2517],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8qi_insn },
    &operand_data[2520],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8qi_insn },
    &operand_data[2520],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv16qi_insn },
    &operand_data[2524],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv16qi_insn },
    &operand_data[2524],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4hi_insn },
    &operand_data[2528],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4hi_insn },
    &operand_data[2528],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8hi_insn },
    &operand_data[2532],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8hi_insn },
    &operand_data[2532],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2si_insn },
    &operand_data[2536],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2si_insn },
    &operand_data[2536],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4si_insn },
    &operand_data[2540],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4si_insn },
    &operand_data[2540],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2di_insn },
    &operand_data[2544],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2di_insn },
    &operand_data[2544],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2548],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2560],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2563],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2566],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8qi_insn },
    &operand_data[2569],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8qi_insn },
    &operand_data[2569],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv16qi_insn },
    &operand_data[2574],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv16qi_insn },
    &operand_data[2574],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4hi_insn },
    &operand_data[2579],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4hi_insn },
    &operand_data[2579],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8hi_insn },
    &operand_data[2584],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8hi_insn },
    &operand_data[2584],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2si_insn },
    &operand_data[2589],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2si_insn },
    &operand_data[2589],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4si_insn },
    &operand_data[2594],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4si_insn },
    &operand_data[2594],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2di_insn },
    &operand_data[2599],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2di_insn },
    &operand_data[2599],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_ndi_insn },
    &operand_data[2604],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_ndi_insn },
    &operand_data[2604],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1909 },
#else
    { 0, output_1909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi },
    &operand_data[2609],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1910 },
#else
    { 0, output_1910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi_vec_concatz_le },
    &operand_data[2612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1911 },
#else
    { 0, output_1911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi_vec_concatz_be },
    &operand_data[2612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1912 },
#else
    { 0, output_1912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv16qi },
    &operand_data[2616],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1913 },
#else
    { 0, output_1913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi },
    &operand_data[2619],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1914 },
#else
    { 0, output_1914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi_vec_concatz_le },
    &operand_data[2622],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1915 },
#else
    { 0, output_1915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi_vec_concatz_be },
    &operand_data[2622],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1916 },
#else
    { 0, output_1916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8hi },
    &operand_data[2626],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1917 },
#else
    { 0, output_1917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si },
    &operand_data[2629],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1918 },
#else
    { 0, output_1918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si_vec_concatz_le },
    &operand_data[2632],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1919 },
#else
    { 0, output_1919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si_vec_concatz_be },
    &operand_data[2632],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1920 },
#else
    { 0, output_1920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4si },
    &operand_data[2636],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1921 },
#else
    { 0, output_1921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2di },
    &operand_data[2639],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv16qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_unsigned },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv8hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_unsigned },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv2si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv2si_unsigned_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv2si_unsigned_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv4si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_unsigned },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv2di_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_unsigned },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv8qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv8qi_signed_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv8qi_signed_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv16qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_signed },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv4hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv4hi_signed_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv4hi_signed_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv8hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_signed },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv2si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv2si_signed_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv2si_signed_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv4si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_signed },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv2di_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_signed },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1961 },
#else
    { 0, 0, output_1961 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi },
    &operand_data[1486],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1962 },
#else
    { 0, 0, output_1962 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi_vec_concatz_le },
    &operand_data[2642],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1963 },
#else
    { 0, 0, output_1963 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi_vec_concatz_be },
    &operand_data[2642],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1964 },
#else
    { 0, 0, output_1964 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi },
    &operand_data[1492],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1965 },
#else
    { 0, 0, output_1965 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi_vec_concatz_le },
    &operand_data[2646],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1966 },
#else
    { 0, 0, output_1966 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi_vec_concatz_be },
    &operand_data[2646],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1967 },
#else
    { 0, 0, output_1967 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf },
    &operand_data[1507],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1968 },
#else
    { 0, 0, output_1968 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf_vec_concatz_le },
    &operand_data[2650],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1969 },
#else
    { 0, 0, output_1969 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf_vec_concatz_be },
    &operand_data[2650],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1970 },
#else
    { 0, 0, output_1970 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si },
    &operand_data[1498],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1971 },
#else
    { 0, 0, output_1971 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si_vec_concatz_le },
    &operand_data[2654],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1972 },
#else
    { 0, 0, output_1972 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si_vec_concatz_be },
    &operand_data[2654],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1973 },
#else
    { 0, 0, output_1973 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf },
    &operand_data[1519],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1974 },
#else
    { 0, 0, output_1974 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf_vec_concatz_le },
    &operand_data[2658],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1975 },
#else
    { 0, 0, output_1975 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf_vec_concatz_be },
    &operand_data[2658],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1976 },
#else
    { 0, 0, output_1976 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4bf },
    &operand_data[1513],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1977 },
#else
    { 0, 0, output_1977 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4bf_vec_concatz_le },
    &operand_data[2662],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1978 },
#else
    { 0, 0, output_1978 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4bf_vec_concatz_be },
    &operand_data[2662],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi },
    &operand_data[2080],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi_vec_concatz_le },
    &operand_data[2084],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi_vec_concatz_be },
    &operand_data[2084],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav16qi },
    &operand_data[2089],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi },
    &operand_data[2093],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8hi },
    &operand_data[2102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si },
    &operand_data[2106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1991 },
#else
    { 0, 0, output_1991 },
#endif
    { 0 },
    &operand_data[2666],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1992 },
#else
    { 0, 0, output_1992 },
#endif
    { 0 },
    &operand_data[2671],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1993 },
#else
    { 0, 0, output_1993 },
#endif
    { 0 },
    &operand_data[2671],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1994 },
#else
    { 0, 0, output_1994 },
#endif
    { 0 },
    &operand_data[2677],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1995 },
#else
    { 0, 0, output_1995 },
#endif
    { 0 },
    &operand_data[2682],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1996 },
#else
    { 0, 0, output_1996 },
#endif
    { 0 },
    &operand_data[2687],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1997 },
#else
    { 0, 0, output_1997 },
#endif
    { 0 },
    &operand_data[2687],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1998 },
#else
    { 0, 0, output_1998 },
#endif
    { 0 },
    &operand_data[2693],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1999 },
#else
    { 0, 0, output_1999 },
#endif
    { 0 },
    &operand_data[2698],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2000 },
#else
    { 0, 0, output_2000 },
#endif
    { 0 },
    &operand_data[2703],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2001 },
#else
    { 0, 0, output_2001 },
#endif
    { 0 },
    &operand_data[2703],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2002 },
#else
    { 0, 0, output_2002 },
#endif
    { 0 },
    &operand_data[2709],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2003 },
#else
    { 0, 0, output_2003 },
#endif
    { 0 },
    &operand_data[2714],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2004 },
#else
    { 0, 0, output_2004 },
#endif
    { 0 },
    &operand_data[2719],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2005 },
#else
    { 0, 0, output_2005 },
#endif
    { 0 },
    &operand_data[2719],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2006 },
#else
    { 0, 0, output_2006 },
#endif
    { 0 },
    &operand_data[2725],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4hi },
    &operand_data[2730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4hi_vec_concatz_le },
    &operand_data[2734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4hi_vec_concatz_be },
    &operand_data[2734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv8hi },
    &operand_data[2739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv2si },
    &operand_data[2743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv2si_vec_concatz_le },
    &operand_data[2747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv2si_vec_concatz_be },
    &operand_data[2747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4si },
    &operand_data[2752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi },
    &operand_data[2080],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi_vec_concatz_le },
    &operand_data[2084],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi_vec_concatz_be },
    &operand_data[2084],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv16qi },
    &operand_data[2089],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi },
    &operand_data[2093],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8hi },
    &operand_data[2102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si },
    &operand_data[2106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2027 },
#else
    { 0, 0, output_2027 },
#endif
    { 0 },
    &operand_data[2666],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2028 },
#else
    { 0, 0, output_2028 },
#endif
    { 0 },
    &operand_data[2671],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2029 },
#else
    { 0, 0, output_2029 },
#endif
    { 0 },
    &operand_data[2671],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2030 },
#else
    { 0, 0, output_2030 },
#endif
    { 0 },
    &operand_data[2677],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2031 },
#else
    { 0, 0, output_2031 },
#endif
    { 0 },
    &operand_data[2682],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2032 },
#else
    { 0, 0, output_2032 },
#endif
    { 0 },
    &operand_data[2687],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2033 },
#else
    { 0, 0, output_2033 },
#endif
    { 0 },
    &operand_data[2687],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2034 },
#else
    { 0, 0, output_2034 },
#endif
    { 0 },
    &operand_data[2693],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2035 },
#else
    { 0, 0, output_2035 },
#endif
    { 0 },
    &operand_data[2698],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2036 },
#else
    { 0, 0, output_2036 },
#endif
    { 0 },
    &operand_data[2703],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2037 },
#else
    { 0, 0, output_2037 },
#endif
    { 0 },
    &operand_data[2703],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2038 },
#else
    { 0, 0, output_2038 },
#endif
    { 0 },
    &operand_data[2709],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2039 },
#else
    { 0, 0, output_2039 },
#endif
    { 0 },
    &operand_data[2714],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2040 },
#else
    { 0, 0, output_2040 },
#endif
    { 0 },
    &operand_data[2719],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2041 },
#else
    { 0, 0, output_2041 },
#endif
    { 0 },
    &operand_data[2719],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2042 },
#else
    { 0, 0, output_2042 },
#endif
    { 0 },
    &operand_data[2725],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4hi },
    &operand_data[2730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4hi_vec_concatz_le },
    &operand_data[2734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4hi_vec_concatz_be },
    &operand_data[2734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv8hi },
    &operand_data[2739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv2si },
    &operand_data[2743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv2si_vec_concatz_le },
    &operand_data[2747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv2si_vec_concatz_be },
    &operand_data[2747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4si },
    &operand_data[2752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_umaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_uminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_smaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1793 */
  {
    "aarch64_sminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smax_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smax_nanpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smax_nanpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smin_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smin_nanpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smin_nanpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smaxpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smaxpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smaxpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_sminpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_sminpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_sminpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smax_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smin_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smaxpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_sminpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smax_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smax_nanpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smax_nanpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smin_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smin_nanpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smin_nanpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smaxpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smaxpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smaxpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_sminpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_sminpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_sminpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smax_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smin_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smaxpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_sminpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smax_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smin_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_smaxpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1804 */
  {
    "aarch64_sminpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1822 */
  {
    "aarch64_xtn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi_insn_le },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1822 */
  {
    "aarch64_xtn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si_insn_le },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1822 */
  {
    "aarch64_xtn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di_insn_le },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1832 */
  {
    "aarch64_xtn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi_insn_be },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1832 */
  {
    "aarch64_xtn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si_insn_be },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1832 */
  {
    "aarch64_xtn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di_insn_be },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1858 */
  {
    "*aarch64_narrow_truncv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2189 },
#else
    { 0, 0, output_2189 },
#endif
    { 0 },
    &operand_data[2765],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1858 */
  {
    "*aarch64_narrow_truncv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2190 },
#else
    { 0, 0, output_2190 },
#endif
    { 0 },
    &operand_data[2768],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1858 */
  {
    "*aarch64_narrow_truncv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2191 },
#else
    { 0, 0, output_2191 },
#endif
    { 0 },
    &operand_data[2771],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1914 */
  {
    "*aarch64_rtopbits_shufflev8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2774],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1914 */
  {
    "*aarch64_topbits_shufflev8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2774],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1914 */
  {
    "*aarch64_rtopbits_shufflev4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2778],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1914 */
  {
    "*aarch64_topbits_shufflev4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2778],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1914 */
  {
    "*aarch64_rtopbits_shufflev2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2782],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1914 */
  {
    "*aarch64_topbits_shufflev2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2782],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1928 */
  {
    "*aarch64_rtopbits_shufflev8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2774],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1928 */
  {
    "*aarch64_topbits_shufflev8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2774],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1928 */
  {
    "*aarch64_rtopbits_shufflev4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2778],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1928 */
  {
    "*aarch64_topbits_shufflev4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2778],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1928 */
  {
    "*aarch64_rtopbits_shufflev2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2782],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1928 */
  {
    "*aarch64_topbits_shufflev2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2782],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "aarch64_simd_vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v16qi },
    &operand_data[2786],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "aarch64_simd_vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v16qi },
    &operand_data[2786],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hi },
    &operand_data[2789],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "aarch64_simd_vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v8hi },
    &operand_data[2789],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "aarch64_simd_vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4si },
    &operand_data[2792],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1944 */
  {
    "aarch64_simd_vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v4si },
    &operand_data[2792],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1991 */
  {
    "*aarch64_smlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2795],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1991 */
  {
    "*aarch64_umlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2795],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1991 */
  {
    "*aarch64_smlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2800],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1991 */
  {
    "*aarch64_umlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2800],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1991 */
  {
    "*aarch64_smlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2805],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1991 */
  {
    "*aarch64_umlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2805],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2007 */
  {
    "aarch64_smlal_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv16qi_insn },
    &operand_data[2810],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2007 */
  {
    "aarch64_umlal_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv16qi_insn },
    &operand_data[2810],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2007 */
  {
    "aarch64_smlal_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv8hi_insn },
    &operand_data[2815],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2007 */
  {
    "aarch64_umlal_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv8hi_insn },
    &operand_data[2815],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2007 */
  {
    "aarch64_smlal_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv4si_insn },
    &operand_data[2820],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2007 */
  {
    "aarch64_umlal_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv4si_insn },
    &operand_data[2820],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2037 */
  {
    "aarch64_smlal_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv8hi_insn },
    &operand_data[2825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2037 */
  {
    "aarch64_umlal_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv8hi_insn },
    &operand_data[2825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2037 */
  {
    "aarch64_smlal_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv4si_insn },
    &operand_data[2830],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2037 */
  {
    "aarch64_umlal_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv4si_insn },
    &operand_data[2830],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2068 */
  {
    "*aarch64_smlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2795],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2068 */
  {
    "*aarch64_umlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2795],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2068 */
  {
    "*aarch64_smlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2800],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2068 */
  {
    "*aarch64_umlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2800],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2068 */
  {
    "*aarch64_smlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2805],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2068 */
  {
    "*aarch64_umlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2805],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2084 */
  {
    "aarch64_smlsl_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv16qi_insn },
    &operand_data[2810],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2084 */
  {
    "aarch64_umlsl_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv16qi_insn },
    &operand_data[2810],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2084 */
  {
    "aarch64_smlsl_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv8hi_insn },
    &operand_data[2815],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2084 */
  {
    "aarch64_umlsl_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv8hi_insn },
    &operand_data[2815],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2084 */
  {
    "aarch64_smlsl_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv4si_insn },
    &operand_data[2820],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2084 */
  {
    "aarch64_umlsl_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv4si_insn },
    &operand_data[2820],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2114 */
  {
    "aarch64_smlsl_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv8hi_insn },
    &operand_data[2825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2114 */
  {
    "aarch64_umlsl_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv8hi_insn },
    &operand_data[2825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2114 */
  {
    "aarch64_smlsl_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv4si_insn },
    &operand_data[2830],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2114 */
  {
    "aarch64_umlsl_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv4si_insn },
    &operand_data[2830],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2145 */
  {
    "aarch64_smlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlalv8qi },
    &operand_data[2005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2145 */
  {
    "aarch64_umlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlalv8qi },
    &operand_data[2005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2145 */
  {
    "aarch64_smlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlalv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2145 */
  {
    "aarch64_umlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlalv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2145 */
  {
    "aarch64_smlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlalv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2145 */
  {
    "aarch64_umlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlalv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2159 */
  {
    "aarch64_smlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_nv4hi },
    &operand_data[2835],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2159 */
  {
    "aarch64_umlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_nv4hi },
    &operand_data[2835],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2159 */
  {
    "aarch64_smlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_nv2si },
    &operand_data[2839],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2159 */
  {
    "aarch64_umlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_nv2si },
    &operand_data[2839],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2174 */
  {
    "aarch64_smlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv8qi },
    &operand_data[2005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2174 */
  {
    "aarch64_umlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv8qi },
    &operand_data[2005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2174 */
  {
    "aarch64_smlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2174 */
  {
    "aarch64_umlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2174 */
  {
    "aarch64_smlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2174 */
  {
    "aarch64_umlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2188 */
  {
    "aarch64_smlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_nv4hi },
    &operand_data[2835],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2188 */
  {
    "aarch64_umlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_nv4hi },
    &operand_data[2835],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2188 */
  {
    "aarch64_smlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_nv2si },
    &operand_data[2839],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2188 */
  {
    "aarch64_umlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_nv2si },
    &operand_data[2839],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2203 */
  {
    "aarch64_simd_vec_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v16qi },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2203 */
  {
    "aarch64_simd_vec_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v16qi },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2203 */
  {
    "aarch64_simd_vec_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v8hi },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2203 */
  {
    "aarch64_simd_vec_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v8hi },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2203 */
  {
    "aarch64_simd_vec_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v4si },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2203 */
  {
    "aarch64_simd_vec_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v4si },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_intrinsic_vec_smult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_intrinsic_vec_umult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_intrinsic_vec_smult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_intrinsic_vec_umult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_intrinsic_vec_smult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2216 */
  {
    "aarch64_intrinsic_vec_umult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2241 */
  {
    "aarch64_simd_vec_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v16qi },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2241 */
  {
    "aarch64_simd_vec_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v16qi },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2241 */
  {
    "aarch64_simd_vec_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v8hi },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2241 */
  {
    "aarch64_simd_vec_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v8hi },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2241 */
  {
    "aarch64_simd_vec_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v4si },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2241 */
  {
    "aarch64_simd_vec_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v4si },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2270 */
  {
    "aarch64_vec_smult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2280 },
#else
    { 0, 0, output_2280 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v4hi },
    &operand_data[2843],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2270 */
  {
    "aarch64_vec_umult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2281 },
#else
    { 0, 0, output_2281 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v4hi },
    &operand_data[2843],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2270 */
  {
    "aarch64_vec_smult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2282 },
#else
    { 0, 0, output_2282 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v4hi },
    &operand_data[2847],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2270 */
  {
    "aarch64_vec_umult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2283 },
#else
    { 0, 0, output_2283 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v4hi },
    &operand_data[2847],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2270 */
  {
    "aarch64_vec_smult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2284 },
#else
    { 0, 0, output_2284 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v2si },
    &operand_data[2851],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2270 */
  {
    "aarch64_vec_umult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2285 },
#else
    { 0, 0, output_2285 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v2si },
    &operand_data[2851],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2270 */
  {
    "aarch64_vec_smult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2286 },
#else
    { 0, 0, output_2286 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v2si },
    &operand_data[2855],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2270 */
  {
    "aarch64_vec_umult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2287 },
#else
    { 0, 0, output_2287 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v2si },
    &operand_data[2855],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_smull_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2288 },
#else
    { 0, 0, output_2288 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev8hi_insn },
    &operand_data[2859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_umull_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2289 },
#else
    { 0, 0, output_2289 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev8hi_insn },
    &operand_data[2859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_smull_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2290 },
#else
    { 0, 0, output_2290 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev4si_insn },
    &operand_data[2864],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_umull_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2291 },
#else
    { 0, 0, output_2291 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev4si_insn },
    &operand_data[2864],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2322 */
  {
    "aarch64_smull_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2292 },
#else
    { 0, 0, output_2292 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv8hi_insn },
    &operand_data[2869],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2322 */
  {
    "aarch64_umull_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2293 },
#else
    { 0, 0, output_2293 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv8hi_insn },
    &operand_data[2869],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2322 */
  {
    "aarch64_smull_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2294 },
#else
    { 0, 0, output_2294 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv4si_insn },
    &operand_data[2874],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2322 */
  {
    "aarch64_umull_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2295 },
#else
    { 0, 0, output_2295 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv4si_insn },
    &operand_data[2874],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2356 */
  {
    "aarch64_smull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_nv4hi },
    &operand_data[2879],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2356 */
  {
    "aarch64_umull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_nv4hi },
    &operand_data[2879],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2356 */
  {
    "aarch64_smull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_nv2si },
    &operand_data[2882],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2356 */
  {
    "aarch64_umull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_nv2si },
    &operand_data[2882],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2369 */
  {
    "aarch64_smull_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv8hi_insn },
    &operand_data[2885],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2369 */
  {
    "aarch64_umull_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv8hi_insn },
    &operand_data[2885],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2369 */
  {
    "aarch64_smull_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv4si_insn },
    &operand_data[2889],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2369 */
  {
    "aarch64_umull_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv4si_insn },
    &operand_data[2889],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2398 */
  {
    "aarch64_vec_smlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2304 },
#else
    { 0, 0, output_2304 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v4hi },
    &operand_data[2893],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2398 */
  {
    "aarch64_vec_umlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2305 },
#else
    { 0, 0, output_2305 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v4hi },
    &operand_data[2893],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2398 */
  {
    "aarch64_vec_smlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2306 },
#else
    { 0, 0, output_2306 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v4hi },
    &operand_data[2898],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2398 */
  {
    "aarch64_vec_umlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2307 },
#else
    { 0, 0, output_2307 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v4hi },
    &operand_data[2898],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2398 */
  {
    "aarch64_vec_smlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2308 },
#else
    { 0, 0, output_2308 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v2si },
    &operand_data[2903],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2398 */
  {
    "aarch64_vec_umlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2309 },
#else
    { 0, 0, output_2309 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v2si },
    &operand_data[2903],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2398 */
  {
    "aarch64_vec_smlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2310 },
#else
    { 0, 0, output_2310 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v2si },
    &operand_data[2908],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2398 */
  {
    "aarch64_vec_umlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2311 },
#else
    { 0, 0, output_2311 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v2si },
    &operand_data[2908],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2418 */
  {
    "aarch64_smlal_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2312 },
#else
    { 0, 0, output_2312 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev8hi_insn },
    &operand_data[2913],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2418 */
  {
    "aarch64_umlal_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2313 },
#else
    { 0, 0, output_2313 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev8hi_insn },
    &operand_data[2913],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2418 */
  {
    "aarch64_smlal_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2314 },
#else
    { 0, 0, output_2314 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev4si_insn },
    &operand_data[2919],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2418 */
  {
    "aarch64_umlal_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2315 },
#else
    { 0, 0, output_2315 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev4si_insn },
    &operand_data[2919],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2455 */
  {
    "aarch64_smlal_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2316 },
#else
    { 0, 0, output_2316 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv8hi_insn },
    &operand_data[2925],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2455 */
  {
    "aarch64_umlal_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2317 },
#else
    { 0, 0, output_2317 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv8hi_insn },
    &operand_data[2925],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2455 */
  {
    "aarch64_smlal_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2318 },
#else
    { 0, 0, output_2318 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv4si_insn },
    &operand_data[2931],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2455 */
  {
    "aarch64_umlal_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2319 },
#else
    { 0, 0, output_2319 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv4si_insn },
    &operand_data[2931],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2492 */
  {
    "aarch64_vec_smlsl_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2320 },
#else
    { 0, 0, output_2320 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_lane_v4hi },
    &operand_data[2893],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2492 */
  {
    "aarch64_vec_umlsl_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2321 },
#else
    { 0, 0, output_2321 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_lane_v4hi },
    &operand_data[2893],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2492 */
  {
    "aarch64_vec_smlsl_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2322 },
#else
    { 0, 0, output_2322 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_laneq_v4hi },
    &operand_data[2898],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2492 */
  {
    "aarch64_vec_umlsl_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2323 },
#else
    { 0, 0, output_2323 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_laneq_v4hi },
    &operand_data[2898],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2492 */
  {
    "aarch64_vec_smlsl_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2324 },
#else
    { 0, 0, output_2324 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_lane_v2si },
    &operand_data[2903],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2492 */
  {
    "aarch64_vec_umlsl_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2325 },
#else
    { 0, 0, output_2325 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_lane_v2si },
    &operand_data[2903],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2492 */
  {
    "aarch64_vec_smlsl_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2326 },
#else
    { 0, 0, output_2326 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_laneq_v2si },
    &operand_data[2908],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2492 */
  {
    "aarch64_vec_umlsl_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2327 },
#else
    { 0, 0, output_2327 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_laneq_v2si },
    &operand_data[2908],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "aarch64_smlsl_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2328 },
#else
    { 0, 0, output_2328 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev8hi_insn },
    &operand_data[2913],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "aarch64_umlsl_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2329 },
#else
    { 0, 0, output_2329 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev8hi_insn },
    &operand_data[2913],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "aarch64_smlsl_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2330 },
#else
    { 0, 0, output_2330 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev4si_insn },
    &operand_data[2919],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "aarch64_umlsl_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2331 },
#else
    { 0, 0, output_2331 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev4si_insn },
    &operand_data[2919],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2550 */
  {
    "aarch64_smlsl_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2332 },
#else
    { 0, 0, output_2332 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv8hi_insn },
    &operand_data[2925],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2550 */
  {
    "aarch64_umlsl_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2333 },
#else
    { 0, 0, output_2333 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv8hi_insn },
    &operand_data[2925],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2550 */
  {
    "aarch64_smlsl_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2334 },
#else
    { 0, 0, output_2334 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv4si_insn },
    &operand_data[2931],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2550 */
  {
    "aarch64_umlsl_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2335 },
#else
    { 0, 0, output_2335 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv4si_insn },
    &operand_data[2931],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2613 */
  {
    "addv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2613 */
  {
    "addv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2613 */
  {
    "addv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2613 */
  {
    "addv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2613 */
  {
    "addv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2613 */
  {
    "addv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2613 */
  {
    "addv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2613 */
  {
    "addv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2613 */
  {
    "addv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2622 */
  {
    "subv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2622 */
  {
    "subv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2622 */
  {
    "subv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2622 */
  {
    "subv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2622 */
  {
    "subv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2622 */
  {
    "subv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2622 */
  {
    "subv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2622 */
  {
    "subv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2622 */
  {
    "subv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "mulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "mulv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "mulv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "mulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "mulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "mulv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "mulv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "mulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "mulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2652 */
  {
    "*divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2652 */
  {
    "*divv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2652 */
  {
    "*divv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2652 */
  {
    "*divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2652 */
  {
    "*divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2652 */
  {
    "*divv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2652 */
  {
    "*divv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2652 */
  {
    "*divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2652 */
  {
    "*divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "negv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "negv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "negv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "negv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "negv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "negv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "negv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "negv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "negv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2669 */
  {
    "aarch64_fnegv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnegv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2678 */
  {
    "absv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2678 */
  {
    "absv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2678 */
  {
    "absv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2678 */
  {
    "absv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2678 */
  {
    "absv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2678 */
  {
    "absv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2678 */
  {
    "absv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2678 */
  {
    "absv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2678 */
  {
    "absv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2832 */
  {
    "fmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4 },
    &operand_data[2943],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2832 */
  {
    "fmav4hf4_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4_vec_concatz_le },
    &operand_data[2947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2832 */
  {
    "fmav4hf4_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4_vec_concatz_be },
    &operand_data[2947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2832 */
  {
    "fmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav8hf4 },
    &operand_data[2952],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2832 */
  {
    "fmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4 },
    &operand_data[2956],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2832 */
  {
    "fmav2sf4_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4_vec_concatz_le },
    &operand_data[2960],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2832 */
  {
    "fmav2sf4_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4_vec_concatz_be },
    &operand_data[2960],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2832 */
  {
    "fmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4sf4 },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2832 */
  {
    "fmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2df4 },
    &operand_data[2969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2842 */
  {
    "*aarch64_fma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2400 },
#else
    { 0, 0, output_2400 },
#endif
    { 0 },
    &operand_data[2973],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2842 */
  {
    "*aarch64_fma4_eltv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2401 },
#else
    { 0, 0, output_2401 },
#endif
    { 0 },
    &operand_data[2978],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2842 */
  {
    "*aarch64_fma4_eltv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2402 },
#else
    { 0, 0, output_2402 },
#endif
    { 0 },
    &operand_data[2978],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2842 */
  {
    "*aarch64_fma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2403 },
#else
    { 0, 0, output_2403 },
#endif
    { 0 },
    &operand_data[2984],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2842 */
  {
    "*aarch64_fma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2404 },
#else
    { 0, 0, output_2404 },
#endif
    { 0 },
    &operand_data[2989],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2859 */
  {
    "*aarch64_fma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2405 },
#else
    { 0, 0, output_2405 },
#endif
    { 0 },
    &operand_data[2994],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2859 */
  {
    "*aarch64_fma4_elt_to_128v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2406 },
#else
    { 0, 0, output_2406 },
#endif
    { 0 },
    &operand_data[2999],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2859 */
  {
    "*aarch64_fma4_elt_to_128v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2407 },
#else
    { 0, 0, output_2407 },
#endif
    { 0 },
    &operand_data[2999],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2859 */
  {
    "*aarch64_fma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2408 },
#else
    { 0, 0, output_2408 },
#endif
    { 0 },
    &operand_data[3005],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3010],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3014],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3014],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3027],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3027],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3032],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3036],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3040],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3040],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3045],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3049],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3053],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3053],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3058],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2876 */
  {
    "*aarch64_fma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2888 */
  {
    "*aarch64_fma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2426 },
#else
    { 0, 0, output_2426 },
#endif
    { 0 },
    &operand_data[3066],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2904 */
  {
    "fnmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4 },
    &operand_data[2943],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2904 */
  {
    "fnmav4hf4_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4_vec_concatz_le },
    &operand_data[2947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2904 */
  {
    "fnmav4hf4_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4_vec_concatz_be },
    &operand_data[2947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2904 */
  {
    "fnmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav8hf4 },
    &operand_data[2952],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2904 */
  {
    "fnmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4 },
    &operand_data[2956],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2904 */
  {
    "fnmav2sf4_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4_vec_concatz_le },
    &operand_data[2960],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2904 */
  {
    "fnmav2sf4_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4_vec_concatz_be },
    &operand_data[2960],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2904 */
  {
    "fnmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4sf4 },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2904 */
  {
    "fnmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2df4 },
    &operand_data[2969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2915 */
  {
    "*aarch64_fnma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2436 },
#else
    { 0, 0, output_2436 },
#endif
    { 0 },
    &operand_data[2973],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2915 */
  {
    "*aarch64_fnma4_eltv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2437 },
#else
    { 0, 0, output_2437 },
#endif
    { 0 },
    &operand_data[2978],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2915 */
  {
    "*aarch64_fnma4_eltv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2438 },
#else
    { 0, 0, output_2438 },
#endif
    { 0 },
    &operand_data[2978],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2915 */
  {
    "*aarch64_fnma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2439 },
#else
    { 0, 0, output_2439 },
#endif
    { 0 },
    &operand_data[2984],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2915 */
  {
    "*aarch64_fnma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2440 },
#else
    { 0, 0, output_2440 },
#endif
    { 0 },
    &operand_data[2989],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2933 */
  {
    "*aarch64_fnma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2441 },
#else
    { 0, 0, output_2441 },
#endif
    { 0 },
    &operand_data[2994],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2933 */
  {
    "*aarch64_fnma4_elt_to_128v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2442 },
#else
    { 0, 0, output_2442 },
#endif
    { 0 },
    &operand_data[2999],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2933 */
  {
    "*aarch64_fnma4_elt_to_128v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2443 },
#else
    { 0, 0, output_2443 },
#endif
    { 0 },
    &operand_data[2999],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2933 */
  {
    "*aarch64_fnma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2444 },
#else
    { 0, 0, output_2444 },
#endif
    { 0 },
    &operand_data[3005],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3010],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3014],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3014],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3027],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3027],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3032],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3036],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3040],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3040],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3045],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3049],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3053],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3053],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3058],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2964 */
  {
    "*aarch64_fnma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2462 },
#else
    { 0, 0, output_2462 },
#endif
    { 0 },
    &operand_data[3066],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "btruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "btruncv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "btruncv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "ceilv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "ceilv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "ceilv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "floorv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "floorv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "floorv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundevenv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundevenv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv4hf2_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundevenv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv4hf2_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "nearbyintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "nearbyintv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "nearbyintv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "rintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "rintv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "rintv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "btruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "ceilv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "floorv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundevenv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "nearbyintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "rintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "btruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "btruncv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "btruncv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "ceilv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "ceilv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "ceilv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "floorv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "floorv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "floorv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundevenv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundevenv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv2sf2_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundevenv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv2sf2_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "nearbyintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "nearbyintv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "nearbyintv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "rintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "rintv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "rintv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "btruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "ceilv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "floorv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundevenv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "nearbyintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "rintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "btruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "ceilv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "floorv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundevenv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "nearbyintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "rintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2983 */
  {
    "roundv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceilv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfloorv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lroundv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceiluv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lflooruv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lrounduv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4hfv4hi2 },
    &operand_data[3071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceilv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfloorv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lroundv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceiluv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lflooruv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lrounduv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv8hfv8hi2 },
    &operand_data[3073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceilv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfloorv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lroundv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceiluv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lflooruv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lrounduv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2sfv2si2 },
    &operand_data[3075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceilv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfloorv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lroundv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceiluv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lflooruv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lrounduv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4sfv4si2 },
    &operand_data[3077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceilv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfloorv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lroundv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lbtruncuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lceiluv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lflooruv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lrounduv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2994 */
  {
    "lfrintnuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2dfv2di2 },
    &operand_data[3079],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lbtrunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lceilhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lfloorhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lroundhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lfrintnhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lbtruncuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lceiluhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lflooruhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lrounduhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3005 */
  {
    "lfrintnuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3014 */
  {
    "fix_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3014 */
  {
    "fixuns_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3022 */
  {
    "floathihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floathihf2 },
    &operand_data[1278],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3022 */
  {
    "floatunshihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunshihf2 },
    &operand_data[1278],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3030 */
  {
    "*aarch64_fcvtv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2590 },
#else
    { 0, 0, output_2590 },
#endif
    { 0 },
    &operand_data[3081],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3030 */
  {
    "*aarch64_fcvtuv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2591 },
#else
    { 0, 0, output_2591 },
#endif
    { 0 },
    &operand_data[3081],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3030 */
  {
    "*aarch64_fcvtv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2592 },
#else
    { 0, 0, output_2592 },
#endif
    { 0 },
    &operand_data[3084],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3030 */
  {
    "*aarch64_fcvtuv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2593 },
#else
    { 0, 0, output_2593 },
#endif
    { 0 },
    &operand_data[3084],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3030 */
  {
    "*aarch64_fcvtv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2594 },
#else
    { 0, 0, output_2594 },
#endif
    { 0 },
    &operand_data[3087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3030 */
  {
    "*aarch64_fcvtuv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2595 },
#else
    { 0, 0, output_2595 },
#endif
    { 0 },
    &operand_data[3087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4hiv4hf2 },
    &operand_data[3090],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatunsv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4hiv4hf2 },
    &operand_data[3090],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv8hiv8hf2 },
    &operand_data[3092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatunsv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv8hiv8hf2 },
    &operand_data[3092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2siv2sf2 },
    &operand_data[3094],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatunsv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2siv2sf2 },
    &operand_data[3094],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4siv4sf2 },
    &operand_data[3096],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatunsv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4siv4sf2 },
    &operand_data[3096],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2div2df2 },
    &operand_data[3098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3073 */
  {
    "floatunsv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2div2df2 },
    &operand_data[3098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3088 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hf },
    &operand_data[3100],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3088 */
  {
    "aarch64_simd_vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4sf },
    &operand_data[3103],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzsv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4hf3 },
    &operand_data[3106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzuv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4hf3 },
    &operand_data[3106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzsv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv8hf3 },
    &operand_data[3109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzuv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv8hf3 },
    &operand_data[3109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzsv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2sf3 },
    &operand_data[3112],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzuv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2sf3 },
    &operand_data[3112],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzsv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4sf3 },
    &operand_data[3115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzuv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4sf3 },
    &operand_data[3115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzsv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2df3 },
    &operand_data[3118],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3101 */
  {
    "fcvtzuv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2df3 },
    &operand_data[3118],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "scvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4hi3 },
    &operand_data[3121],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "ucvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4hi3 },
    &operand_data[3121],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "scvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv8hi3 },
    &operand_data[3124],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "ucvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv8hi3 },
    &operand_data[3124],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "scvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2si3 },
    &operand_data[3127],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "ucvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2si3 },
    &operand_data[3127],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "scvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4si3 },
    &operand_data[3130],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "ucvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4si3 },
    &operand_data[3130],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "scvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2di3 },
    &operand_data[3133],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3112 */
  {
    "ucvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2di3 },
    &operand_data[3133],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3144 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hf },
    &operand_data[3136],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3144 */
  {
    "aarch64_simd_vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4sf },
    &operand_data[3139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3166 */
  {
    "extendv2sfv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv2sfv2df2 },
    &operand_data[3142],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3166 */
  {
    "extendv4hfv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv4hfv4sf2 },
    &operand_data[3144],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3177 */
  {
    "aarch64_float_trunc_rodd_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_df },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3186 */
  {
    "aarch64_float_trunc_rodd_lo_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_lo_v2sf },
    &operand_data[3146],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3195 */
  {
    "aarch64_float_trunc_rodd_hi_v4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_hi_v4sf_le },
    &operand_data[3148],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3206 */
  {
    "aarch64_float_trunc_rodd_hi_v4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_hi_v4sf_be },
    &operand_data[3148],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3231 */
  {
    "truncv2dfv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2dfv2sf2 },
    &operand_data[3146],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3231 */
  {
    "truncv2dfv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2dfv2sf2_vec_concatz_le },
    &operand_data[3151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3231 */
  {
    "truncv2dfv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2dfv2sf2_vec_concatz_be },
    &operand_data[3151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3231 */
  {
    "truncv4sfv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4sfv4hf2 },
    &operand_data[3154],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3231 */
  {
    "truncv4sfv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4sfv4hf2_vec_concatz_le },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3231 */
  {
    "truncv4sfv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4sfv4hf2_vec_concatz_be },
    &operand_data[3156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3240 */
  {
    "aarch64_float_truncate_hi_v4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_le },
    &operand_data[3148],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3240 */
  {
    "aarch64_float_truncate_hi_v8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_le },
    &operand_data[3159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3251 */
  {
    "aarch64_float_truncate_hi_v4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_be },
    &operand_data[3148],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3251 */
  {
    "aarch64_float_truncate_hi_v8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_be },
    &operand_data[3159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "smaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "sminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "smaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "sminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "smaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "sminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "smaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "sminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "smaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3326 */
  {
    "sminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmax_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmax_nanv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmax_nanv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmin_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmin_nanv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmin_nanv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmaxv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmaxv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fminv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fminv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmax_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmin_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmax_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmax_nanv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmax_nanv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmin_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmin_nanv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmin_nanv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmaxv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmaxv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fminv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fminv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmax_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmin_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmax_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmin_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fmaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "fminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3350 */
  {
    "aarch64_faddpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3350 */
  {
    "aarch64_faddpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3350 */
  {
    "aarch64_faddpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3350 */
  {
    "aarch64_faddpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3350 */
  {
    "aarch64_faddpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3350 */
  {
    "aarch64_faddpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3350 */
  {
    "aarch64_faddpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3350 */
  {
    "aarch64_faddpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3350 */
  {
    "aarch64_faddpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3360 */
  {
    "reduc_plus_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8qi },
    &operand_data[3162],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3360 */
  {
    "reduc_plus_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v16qi },
    &operand_data[3164],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3360 */
  {
    "reduc_plus_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4hi },
    &operand_data[3166],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3360 */
  {
    "reduc_plus_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8hi },
    &operand_data[3168],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3360 */
  {
    "reduc_plus_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4si },
    &operand_data[3170],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3360 */
  {
    "reduc_plus_scal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2di },
    &operand_data[3172],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3369 */
  {
    "reduc_plus_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2si },
    &operand_data[3174],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3379 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8qi },
    &operand_data[3176],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3379 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8qi },
    &operand_data[3178],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3379 */
  {
    "aarch64_zero_extendsi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v16qi },
    &operand_data[3180],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3379 */
  {
    "aarch64_zero_extenddi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v16qi },
    &operand_data[3182],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3379 */
  {
    "aarch64_zero_extendsi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v4hi },
    &operand_data[3184],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3379 */
  {
    "aarch64_zero_extenddi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v4hi },
    &operand_data[3186],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3379 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8hi },
    &operand_data[3188],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3379 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8hi },
    &operand_data[3190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3389 */
  {
    "reduc_plus_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2sf },
    &operand_data[3192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3389 */
  {
    "reduc_plus_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2df },
    &operand_data[1959],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_saddlvv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv8qi },
    &operand_data[3194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_uaddlvv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv8qi },
    &operand_data[3194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_saddlvv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv16qi },
    &operand_data[3196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_uaddlvv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv16qi },
    &operand_data[3196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_saddlvv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv4hi },
    &operand_data[3184],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_uaddlvv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv4hi },
    &operand_data[3184],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_saddlvv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv8hi },
    &operand_data[3188],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_uaddlvv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv8hi },
    &operand_data[3188],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_saddlvv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv4si },
    &operand_data[3198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_uaddlvv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv4si },
    &operand_data[3198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_saddlvv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv2si },
    &operand_data[3200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_uaddlvv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv2si },
    &operand_data[3200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_saddlvv8qi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3202],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_uaddlvv8qi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3202],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_saddlvv16qi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3206],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_uaddlvv16qi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3206],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_saddlvv4hi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3210],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_uaddlvv4hi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3210],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_saddlvv8hi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3214],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_uaddlvv8hi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3214],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_saddlvv4si_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3218],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_uaddlvv4si_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3218],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_saddlvv2si_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3222],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3429 */
  {
    "*aarch64_uaddlvv2si_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3222],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3455 */
  {
    "*aarch64_uaddlvv8qi_reduction_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3226],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3455 */
  {
    "*aarch64_uaddlvv16qi_reduction_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3230],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3455 */
  {
    "*aarch64_uaddlvv4hi_reduction_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3234],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3455 */
  {
    "*aarch64_uaddlvv8hi_reduction_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3238],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv8qi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3176],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv8qi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3176],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv8qi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3178],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv8qi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3178],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv16qi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3180],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv16qi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3180],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv16qi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3182],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv16qi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3182],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv4hi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3184],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv4hi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3184],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv4hi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3186],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv4hi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3186],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv8hi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3188],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv8hi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3188],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv8hi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv8hi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv4si_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3170],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv4si_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3170],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv4si_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv4si_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv2si_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3174],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv2si_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3174],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_saddlvv2si_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "*aarch64_uaddlvv2si_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3242],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3246],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3246],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3242],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3246],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3246],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3255],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3259],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3259],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3255],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3259],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3259],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3264],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3264],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3268],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3268],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3272],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3276],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_saddlpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3276],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3272],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3276],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3513 */
  {
    "*aarch64_uaddlpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3276],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3528 */
  {
    "clrsbv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3536 */
  {
    "clzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3544 */
  {
    "popcountv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3544 */
  {
    "popcountv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3544 */
  {
    "popcountv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3544 */
  {
    "popcountv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_umin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_reduc_smin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3665 */
  {
    "aarch64_reduc_umax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3665 */
  {
    "aarch64_reduc_umin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3665 */
  {
    "aarch64_reduc_smax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3665 */
  {
    "aarch64_reduc_smin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv8qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2866 },
#else
    { 0, output_2866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal },
    &operand_data[3281],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv8qi_internal_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2867 },
#else
    { 0, output_2867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal_vec_concatz_le },
    &operand_data[3285],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv8qi_internal_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2868 },
#else
    { 0, output_2868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal_vec_concatz_be },
    &operand_data[3285],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2869 },
#else
    { 0, output_2869, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi_internal },
    &operand_data[3290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv4hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2870 },
#else
    { 0, output_2870, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal },
    &operand_data[3294],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv4hi_internal_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2871 },
#else
    { 0, output_2871, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal_vec_concatz_le },
    &operand_data[3298],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv4hi_internal_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2872 },
#else
    { 0, output_2872, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal_vec_concatz_be },
    &operand_data[3298],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2873 },
#else
    { 0, output_2873, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi_internal },
    &operand_data[3303],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv2si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2874 },
#else
    { 0, output_2874, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal },
    &operand_data[3307],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv2si_internal_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2875 },
#else
    { 0, output_2875, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal_vec_concatz_le },
    &operand_data[3311],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv2si_internal_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2876 },
#else
    { 0, output_2876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal_vec_concatz_be },
    &operand_data[3311],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2877 },
#else
    { 0, output_2877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si_internal },
    &operand_data[3316],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3703 */
  {
    "aarch64_simd_bslv2di_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2878 },
#else
    { 0, output_2878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di_internal },
    &operand_data[3320],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv8qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2879 },
#else
    { 0, output_2879, 0 },
#endif
    { 0 },
    &operand_data[3324],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv8qi_alt_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2880 },
#else
    { 0, output_2880, 0 },
#endif
    { 0 },
    &operand_data[3328],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv8qi_alt_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2881 },
#else
    { 0, output_2881, 0 },
#endif
    { 0 },
    &operand_data[3328],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv16qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2882 },
#else
    { 0, output_2882, 0 },
#endif
    { 0 },
    &operand_data[3333],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv4hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2883 },
#else
    { 0, output_2883, 0 },
#endif
    { 0 },
    &operand_data[3337],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv4hi_alt_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2884 },
#else
    { 0, output_2884, 0 },
#endif
    { 0 },
    &operand_data[3341],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv4hi_alt_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2885 },
#else
    { 0, output_2885, 0 },
#endif
    { 0 },
    &operand_data[3341],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv8hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2886 },
#else
    { 0, output_2886, 0 },
#endif
    { 0 },
    &operand_data[3346],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv2si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2887 },
#else
    { 0, output_2887, 0 },
#endif
    { 0 },
    &operand_data[3350],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv2si_alt_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2888 },
#else
    { 0, output_2888, 0 },
#endif
    { 0 },
    &operand_data[3354],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv2si_alt_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2889 },
#else
    { 0, output_2889, 0 },
#endif
    { 0 },
    &operand_data[3354],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv4si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2890 },
#else
    { 0, output_2890, 0 },
#endif
    { 0 },
    &operand_data[3359],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3728 */
  {
    "*aarch64_simd_bslv2di_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2891 },
#else
    { 0, output_2891, 0 },
#endif
    { 0 },
    &operand_data[3363],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3756 */
  {
    "aarch64_simd_bsldi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2892 },
#else
    { 0, output_2892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_internal },
    &operand_data[3367],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3797 */
  {
    "aarch64_simd_bsldi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2893 },
#else
    { 0, output_2893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_alt },
    &operand_data[3371],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4325 */
  {
    "*aarch64_get_lane_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2894 },
#else
    { 0, 0, output_2894 },
#endif
    { 0 },
    &operand_data[3375],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4325 */
  {
    "*aarch64_get_lane_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2895 },
#else
    { 0, 0, output_2895 },
#endif
    { 0 },
    &operand_data[3378],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4325 */
  {
    "*aarch64_get_lane_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2896 },
#else
    { 0, 0, output_2896 },
#endif
    { 0 },
    &operand_data[3381],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4325 */
  {
    "*aarch64_get_lane_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2897 },
#else
    { 0, 0, output_2897 },
#endif
    { 0 },
    &operand_data[3384],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4325 */
  {
    "*aarch64_get_lane_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2898 },
#else
    { 0, 0, output_2898 },
#endif
    { 0 },
    &operand_data[3387],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4325 */
  {
    "*aarch64_get_lane_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2899 },
#else
    { 0, 0, output_2899 },
#endif
    { 0 },
    &operand_data[3390],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4325 */
  {
    "*aarch64_get_lane_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2900 },
#else
    { 0, 0, output_2900 },
#endif
    { 0 },
    &operand_data[3393],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4325 */
  {
    "*aarch64_get_lane_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2901 },
#else
    { 0, 0, output_2901 },
#endif
    { 0 },
    &operand_data[3396],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4340 */
  {
    "*aarch64_get_lane_zero_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2902 },
#else
    { 0, 0, output_2902 },
#endif
    { 0 },
    &operand_data[3375],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4340 */
  {
    "*aarch64_get_lane_zero_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2903 },
#else
    { 0, 0, output_2903 },
#endif
    { 0 },
    &operand_data[3378],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4340 */
  {
    "*aarch64_get_lane_zero_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2904 },
#else
    { 0, 0, output_2904 },
#endif
    { 0 },
    &operand_data[3381],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4340 */
  {
    "*aarch64_get_lane_zero_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2905 },
#else
    { 0, 0, output_2905 },
#endif
    { 0 },
    &operand_data[3384],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4340 */
  {
    "*aarch64_get_lane_zero_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2906 },
#else
    { 0, 0, output_2906 },
#endif
    { 0 },
    &operand_data[3387],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4340 */
  {
    "*aarch64_get_lane_zero_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2907 },
#else
    { 0, 0, output_2907 },
#endif
    { 0 },
    &operand_data[3390],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4340 */
  {
    "*aarch64_get_lane_zero_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2908 },
#else
    { 0, 0, output_2908 },
#endif
    { 0 },
    &operand_data[3393],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4340 */
  {
    "*aarch64_get_lane_zero_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2909 },
#else
    { 0, 0, output_2909 },
#endif
    { 0 },
    &operand_data[3396],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2910 },
#else
    { 0, 0, output_2910 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8qi },
    &operand_data[3399],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2911 },
#else
    { 0, 0, output_2911 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev16qi },
    &operand_data[3402],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2912 },
#else
    { 0, 0, output_2912 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hi },
    &operand_data[3405],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2913 },
#else
    { 0, 0, output_2913 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hi },
    &operand_data[3408],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2914 },
#else
    { 0, 0, output_2914 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2si },
    &operand_data[3411],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2915 },
#else
    { 0, 0, output_2915 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4si },
    &operand_data[3414],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2916 },
#else
    { 0, 0, output_2916 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2di },
    &operand_data[3417],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2917 },
#else
    { 0, 0, output_2917 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hf },
    &operand_data[3420],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2918 },
#else
    { 0, 0, output_2918 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hf },
    &operand_data[3423],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2919 },
#else
    { 0, 0, output_2919 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4bf },
    &operand_data[3426],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2920 },
#else
    { 0, 0, output_2920 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8bf },
    &operand_data[3429],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2921 },
#else
    { 0, 0, output_2921 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2sf },
    &operand_data[3432],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2922 },
#else
    { 0, 0, output_2922 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4sf },
    &operand_data[3435],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4360 */
  {
    "aarch64_get_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2923 },
#else
    { 0, 0, output_2923 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2df },
    &operand_data[3438],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4389 */
  {
    "*aarch64_get_highv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3441],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4389 */
  {
    "*aarch64_get_highv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv8qi },
    &operand_data[3447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hi },
    &operand_data[3450],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4bf },
    &operand_data[3453],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hf },
    &operand_data[3456],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2si },
    &operand_data[3459],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2sf },
    &operand_data[3462],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanessi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%d0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanessi },
    &operand_data[3465],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanessf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%d0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanessf },
    &operand_data[3468],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdi },
    &operand_data[3471],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4399 */
  {
    "load_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdf },
    &operand_data[3474],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2936 },
#else
    { 0, output_2936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv8qi },
    &operand_data[3477],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2937 },
#else
    { 0, output_2937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hi },
    &operand_data[3480],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2938 },
#else
    { 0, output_2938, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4bf },
    &operand_data[3483],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2939 },
#else
    { 0, output_2939, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hf },
    &operand_data[3486],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2940 },
#else
    { 0, output_2940, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2si },
    &operand_data[3489],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2941 },
#else
    { 0, output_2941, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2sf },
    &operand_data[3492],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanessi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2942 },
#else
    { 0, output_2942, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanessi },
    &operand_data[3495],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanessf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2943 },
#else
    { 0, output_2943, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanessf },
    &operand_data[3498],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2944 },
#else
    { 0, output_2944, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdi },
    &operand_data[3501],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4429 */
  {
    "store_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2945 },
#else
    { 0, output_2945, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdf },
    &operand_data[3504],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2946 },
#else
    { 0, output_2946, 0 },
#endif
    { 0 },
    &operand_data[3507],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2947 },
#else
    { 0, output_2947, 0 },
#endif
    { 0 },
    &operand_data[3510],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internalv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2948 },
#else
    { 0, output_2948, 0 },
#endif
    { 0 },
    &operand_data[3513],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2949 },
#else
    { 0, output_2949, 0 },
#endif
    { 0 },
    &operand_data[3516],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2950 },
#else
    { 0, output_2950, 0 },
#endif
    { 0 },
    &operand_data[3519],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2951 },
#else
    { 0, output_2951, 0 },
#endif
    { 0 },
    &operand_data[3522],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internalsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2952 },
#else
    { 0, output_2952, 0 },
#endif
    { 0 },
    &operand_data[3525],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internalsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2953 },
#else
    { 0, output_2953, 0 },
#endif
    { 0 },
    &operand_data[3528],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internaldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2954 },
#else
    { 0, output_2954, 0 },
#endif
    { 0 },
    &operand_data[3531],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4448 */
  {
    "*aarch64_combine_internaldf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2955 },
#else
    { 0, output_2955, 0 },
#endif
    { 0 },
    &operand_data[3534],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_bev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2956 },
#else
    { 0, output_2956, 0 },
#endif
    { 0 },
    &operand_data[3537],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_bev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2957 },
#else
    { 0, output_2957, 0 },
#endif
    { 0 },
    &operand_data[3540],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_bev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2958 },
#else
    { 0, output_2958, 0 },
#endif
    { 0 },
    &operand_data[3543],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_bev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2959 },
#else
    { 0, output_2959, 0 },
#endif
    { 0 },
    &operand_data[3546],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_bev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2960 },
#else
    { 0, output_2960, 0 },
#endif
    { 0 },
    &operand_data[3549],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_bev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2961 },
#else
    { 0, output_2961, 0 },
#endif
    { 0 },
    &operand_data[3552],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_besi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2962 },
#else
    { 0, output_2962, 0 },
#endif
    { 0 },
    &operand_data[3555],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_besf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2963 },
#else
    { 0, output_2963, 0 },
#endif
    { 0 },
    &operand_data[3558],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_bedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2964 },
#else
    { 0, output_2964, 0 },
#endif
    { 0 },
    &operand_data[3561],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "*aarch64_combine_internal_bedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2965 },
#else
    { 0, output_2965, 0 },
#endif
    { 0 },
    &operand_data[3564],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2966 },
#else
    { 0, output_2966, 0 },
#endif
    { 0 },
    &operand_data[3567],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2967 },
#else
    { 0, output_2967, 0 },
#endif
    { 0 },
    &operand_data[3570],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2968 },
#else
    { 0, output_2968, 0 },
#endif
    { 0 },
    &operand_data[3573],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2969 },
#else
    { 0, output_2969, 0 },
#endif
    { 0 },
    &operand_data[3576],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2970 },
#else
    { 0, output_2970, 0 },
#endif
    { 0 },
    &operand_data[3579],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2971 },
#else
    { 0, output_2971, 0 },
#endif
    { 0 },
    &operand_data[3582],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2972 },
#else
    { 0, output_2972, 0 },
#endif
    { 0 },
    &operand_data[3585],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2973 },
#else
    { 0, output_2973, 0 },
#endif
    { 0 },
    &operand_data[3588],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2974 },
#else
    { 0, output_2974, 0 },
#endif
    { 0 },
    &operand_data[3591],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4489 */
  {
    "*aarch64_combinezdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2975 },
#else
    { 0, output_2975, 0 },
#endif
    { 0 },
    &operand_data[3594],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_bev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2976 },
#else
    { 0, output_2976, 0 },
#endif
    { 0 },
    &operand_data[3567],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_bev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2977 },
#else
    { 0, output_2977, 0 },
#endif
    { 0 },
    &operand_data[3570],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_bev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2978 },
#else
    { 0, output_2978, 0 },
#endif
    { 0 },
    &operand_data[3573],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_bev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2979 },
#else
    { 0, output_2979, 0 },
#endif
    { 0 },
    &operand_data[3576],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_bev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2980 },
#else
    { 0, output_2980, 0 },
#endif
    { 0 },
    &operand_data[3579],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_bev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2981 },
#else
    { 0, output_2981, 0 },
#endif
    { 0 },
    &operand_data[3582],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_besi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2982 },
#else
    { 0, output_2982, 0 },
#endif
    { 0 },
    &operand_data[3585],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_besf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2983 },
#else
    { 0, output_2983, 0 },
#endif
    { 0 },
    &operand_data[3588],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_bedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2984 },
#else
    { 0, output_2984, 0 },
#endif
    { 0 },
    &operand_data[3591],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4502 */
  {
    "*aarch64_combinez_bedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2985 },
#else
    { 0, output_2985, 0 },
#endif
    { 0 },
    &operand_data[3594],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_saddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ssublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_uaddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_usublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_saddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ssublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_uaddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_usublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_saddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ssublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_uaddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_usublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_saddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_ssublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_uaddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_usublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_saddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_ssublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_uaddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_usublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_saddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_ssublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_uaddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4588 */
  {
    "aarch64_usublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_saddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_ssublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_uaddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_usublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_saddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_ssublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_uaddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_usublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_saddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_ssublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_uaddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4697 */
  {
    "aarch64_usublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4766 */
  {
    "aarch64_ssubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8qi },
    &operand_data[3597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4766 */
  {
    "aarch64_usubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8qi },
    &operand_data[3597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4766 */
  {
    "aarch64_ssubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4hi },
    &operand_data[3600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4766 */
  {
    "aarch64_usubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4hi },
    &operand_data[3600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4766 */
  {
    "aarch64_ssubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv2si },
    &operand_data[3603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4766 */
  {
    "aarch64_usubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv2si },
    &operand_data[3603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_ssubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv16qi_internal },
    &operand_data[3606],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_usubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv16qi_internal },
    &operand_data[3606],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_ssubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8hi_internal },
    &operand_data[3610],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_usubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8hi_internal },
    &operand_data[3610],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_ssubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4si_internal },
    &operand_data[3614],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4776 */
  {
    "aarch64_usubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4si_internal },
    &operand_data[3614],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4788 */
  {
    "aarch64_ssubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi_internal },
    &operand_data[3618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4788 */
  {
    "aarch64_usubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi_internal },
    &operand_data[3618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4788 */
  {
    "aarch64_ssubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi_internal },
    &operand_data[3622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4788 */
  {
    "aarch64_usubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi_internal },
    &operand_data[3622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4788 */
  {
    "aarch64_ssubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si_internal },
    &operand_data[3626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4788 */
  {
    "aarch64_usubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si_internal },
    &operand_data[3626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4800 */
  {
    "aarch64_saddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8qi },
    &operand_data[3597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4800 */
  {
    "aarch64_uaddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8qi },
    &operand_data[3597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4800 */
  {
    "aarch64_saddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4hi },
    &operand_data[3600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4800 */
  {
    "aarch64_uaddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4hi },
    &operand_data[3600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4800 */
  {
    "aarch64_saddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv2si },
    &operand_data[3603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4800 */
  {
    "aarch64_uaddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv2si },
    &operand_data[3603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_saddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv16qi_internal },
    &operand_data[3606],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_uaddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv16qi_internal },
    &operand_data[3606],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_saddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8hi_internal },
    &operand_data[3610],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_uaddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8hi_internal },
    &operand_data[3610],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_saddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4si_internal },
    &operand_data[3614],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_uaddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4si_internal },
    &operand_data[3614],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4823 */
  {
    "aarch64_saddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi_internal },
    &operand_data[3618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4823 */
  {
    "aarch64_uaddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi_internal },
    &operand_data[3618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4823 */
  {
    "aarch64_saddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi_internal },
    &operand_data[3622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4823 */
  {
    "aarch64_uaddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi_internal },
    &operand_data[3622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4823 */
  {
    "aarch64_saddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si_internal },
    &operand_data[3626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4823 */
  {
    "aarch64_uaddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si_internal },
    &operand_data[3626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3630],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3630],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3630],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3630],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shaddv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_shsubv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhaddv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4911 */
  {
    "*aarch64_uhsubv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3630],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3630],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3634],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3647],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3660],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_srhaddv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "*aarch64_urhaddv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_addhnv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi_insn },
    &operand_data[3669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_addhnv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi_insn_vec_concatz_le },
    &operand_data[3673],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_addhnv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi_insn_vec_concatz_be },
    &operand_data[3673],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_subhnv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi_insn },
    &operand_data[3669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_subhnv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi_insn_vec_concatz_le },
    &operand_data[3673],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_subhnv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi_insn_vec_concatz_be },
    &operand_data[3673],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_addhnv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si_insn },
    &operand_data[3678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_addhnv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si_insn_vec_concatz_le },
    &operand_data[3682],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_addhnv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si_insn_vec_concatz_be },
    &operand_data[3682],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_subhnv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si_insn },
    &operand_data[3678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_subhnv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si_insn_vec_concatz_le },
    &operand_data[3682],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_subhnv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si_insn_vec_concatz_be },
    &operand_data[3682],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_addhnv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di_insn },
    &operand_data[3687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_addhnv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di_insn_vec_concatz_le },
    &operand_data[3691],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_addhnv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di_insn_vec_concatz_be },
    &operand_data[3691],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_subhnv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di_insn },
    &operand_data[3687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_subhnv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di_insn_vec_concatz_le },
    &operand_data[3691],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4945 */
  {
    "aarch64_subhnv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di_insn_vec_concatz_be },
    &operand_data[3691],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_raddhnv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi_insn },
    &operand_data[3696],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_raddhnv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi_insn_vec_concatz_le },
    &operand_data[3701],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_raddhnv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi_insn_vec_concatz_be },
    &operand_data[3701],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_rsubhnv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi_insn },
    &operand_data[3696],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_rsubhnv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi_insn_vec_concatz_le },
    &operand_data[3701],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_rsubhnv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi_insn_vec_concatz_be },
    &operand_data[3701],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_raddhnv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si_insn },
    &operand_data[3707],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_raddhnv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si_insn_vec_concatz_le },
    &operand_data[3712],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_raddhnv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si_insn_vec_concatz_be },
    &operand_data[3712],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_rsubhnv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si_insn },
    &operand_data[3707],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_rsubhnv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si_insn_vec_concatz_le },
    &operand_data[3712],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_rsubhnv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si_insn_vec_concatz_be },
    &operand_data[3712],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_raddhnv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di_insn },
    &operand_data[3718],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_raddhnv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di_insn_vec_concatz_le },
    &operand_data[3723],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_raddhnv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di_insn_vec_concatz_be },
    &operand_data[3723],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_rsubhnv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di_insn },
    &operand_data[3718],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_rsubhnv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di_insn_vec_concatz_le },
    &operand_data[3723],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4957 */
  {
    "aarch64_rsubhnv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di_insn_vec_concatz_be },
    &operand_data[3723],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_addhn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi_insn_le },
    &operand_data[3729],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_subhn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi_insn_le },
    &operand_data[3729],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_addhn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si_insn_le },
    &operand_data[3734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_subhn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si_insn_le },
    &operand_data[3734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_addhn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di_insn_le },
    &operand_data[3739],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_subhn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di_insn_le },
    &operand_data[3739],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5018 */
  {
    "aarch64_raddhn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi_insn_le },
    &operand_data[3744],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5018 */
  {
    "aarch64_rsubhn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi_insn_le },
    &operand_data[3744],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5018 */
  {
    "aarch64_raddhn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si_insn_le },
    &operand_data[3750],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5018 */
  {
    "aarch64_rsubhn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si_insn_le },
    &operand_data[3750],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5018 */
  {
    "aarch64_raddhn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di_insn_le },
    &operand_data[3756],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5018 */
  {
    "aarch64_rsubhn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di_insn_le },
    &operand_data[3756],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5034 */
  {
    "aarch64_addhn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi_insn_be },
    &operand_data[3729],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5034 */
  {
    "aarch64_subhn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi_insn_be },
    &operand_data[3729],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5034 */
  {
    "aarch64_addhn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si_insn_be },
    &operand_data[3734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5034 */
  {
    "aarch64_subhn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si_insn_be },
    &operand_data[3734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5034 */
  {
    "aarch64_addhn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di_insn_be },
    &operand_data[3739],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5034 */
  {
    "aarch64_subhn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di_insn_be },
    &operand_data[3739],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5048 */
  {
    "aarch64_raddhn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi_insn_be },
    &operand_data[3744],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5048 */
  {
    "aarch64_rsubhn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi_insn_be },
    &operand_data[3744],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5048 */
  {
    "aarch64_raddhn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si_insn_be },
    &operand_data[3750],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5048 */
  {
    "aarch64_rsubhn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si_insn_be },
    &operand_data[3750],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5048 */
  {
    "aarch64_raddhn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di_insn_be },
    &operand_data[3756],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5048 */
  {
    "aarch64_rsubhn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di_insn_be },
    &operand_data[3756],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5108 */
  {
    "*bitmask_shift_plusv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3762],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5108 */
  {
    "*bitmask_shift_plusv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3767],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5108 */
  {
    "*bitmask_shift_plusv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3772],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5133 */
  {
    "aarch64_pmulv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5133 */
  {
    "aarch64_pmulv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5143 */
  {
    "aarch64_pmullv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmullv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5153 */
  {
    "aarch64_pmull_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmull_hiv16qi_insn },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5183 */
  {
    "aarch64_fmulxv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5183 */
  {
    "aarch64_fmulxv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5183 */
  {
    "aarch64_fmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5183 */
  {
    "aarch64_fmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5183 */
  {
    "aarch64_fmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5183 */
  {
    "aarch64_fmulxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxhf },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5183 */
  {
    "aarch64_fmulxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxsf },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5183 */
  {
    "aarch64_fmulxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxdf },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5196 */
  {
    "*aarch64_mulx_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3205 },
#else
    { 0, 0, output_3205 },
#endif
    { 0 },
    &operand_data[3777],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5196 */
  {
    "*aarch64_mulx_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3206 },
#else
    { 0, 0, output_3206 },
#endif
    { 0 },
    &operand_data[1892],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "*aarch64_mulx_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3207 },
#else
    { 0, 0, output_3207 },
#endif
    { 0 },
    &operand_data[1888],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "*aarch64_mulx_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3208 },
#else
    { 0, 0, output_3208 },
#endif
    { 0 },
    &operand_data[3781],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "*aarch64_mulx_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3209 },
#else
    { 0, 0, output_3209 },
#endif
    { 0 },
    &operand_data[3785],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "*aarch64_mulx_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "*aarch64_mulx_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1947],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "*aarch64_mulx_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1950],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "*aarch64_mulx_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1953],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "*aarch64_mulx_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5250 */
  {
    "*aarch64_vgetfmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3215 },
#else
    { 0, 0, output_3215 },
#endif
    { 0 },
    &operand_data[3789],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5250 */
  {
    "*aarch64_vgetfmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3216 },
#else
    { 0, 0, output_3216 },
#endif
    { 0 },
    &operand_data[3793],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5250 */
  {
    "*aarch64_vgetfmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3217 },
#else
    { 0, 0, output_3217 },
#endif
    { 0 },
    &operand_data[3797],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddqi },
    &operand_data[3801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddqi },
    &operand_data[3801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubqi },
    &operand_data[3801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubqi },
    &operand_data[3801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqadddi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqadddi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqadddi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqadddi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqadddi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqadddi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqadddi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqadddi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqadddi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqadddi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubdi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubdi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_sqsubdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubdi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubdi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubdi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5267 */
  {
    "aarch64_uqsubdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubdi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi },
    &operand_data[2080],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi_vec_concatz_le },
    &operand_data[3817],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi_vec_concatz_be },
    &operand_data[3817],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi },
    &operand_data[2080],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi_vec_concatz_le },
    &operand_data[3817],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi_vec_concatz_be },
    &operand_data[3817],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv16qi },
    &operand_data[2089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv16qi },
    &operand_data[2089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi },
    &operand_data[2093],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi_vec_concatz_le },
    &operand_data[3821],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi_vec_concatz_be },
    &operand_data[3821],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi },
    &operand_data[2093],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi_vec_concatz_le },
    &operand_data[3821],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi_vec_concatz_be },
    &operand_data[3821],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8hi },
    &operand_data[2102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8hi },
    &operand_data[2102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si },
    &operand_data[2106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si_vec_concatz_le },
    &operand_data[3825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si_vec_concatz_be },
    &operand_data[3825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si },
    &operand_data[2106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si_vec_concatz_le },
    &operand_data[3825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si_vec_concatz_be },
    &operand_data[3825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2di },
    &operand_data[2544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2di },
    &operand_data[2544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddqi },
    &operand_data[3829],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddqi },
    &operand_data[3829],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddhi },
    &operand_data[3832],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddhi },
    &operand_data[3832],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddsi },
    &operand_data[3835],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddsi },
    &operand_data[3835],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi },
    &operand_data[2604],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqadddi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi_vec_concatz_le },
    &operand_data[3838],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_suqadddi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi_vec_concatz_be },
    &operand_data[3838],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi },
    &operand_data[2604],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqadddi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi_vec_concatz_le },
    &operand_data[3838],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_usqadddi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi_vec_concatz_be },
    &operand_data[3838],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5290 */
  {
    "aarch64_sqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnhi },
    &operand_data[3842],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5290 */
  {
    "aarch64_uqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnhi },
    &operand_data[3842],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5290 */
  {
    "aarch64_sqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnsi },
    &operand_data[3844],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5290 */
  {
    "aarch64_uqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnsi },
    &operand_data[3844],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5290 */
  {
    "aarch64_sqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovndi },
    &operand_data[3846],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5290 */
  {
    "aarch64_uqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovndi },
    &operand_data[3846],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_sqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi },
    &operand_data[3669],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_sqmovnv8hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi_vec_concatz_le },
    &operand_data[3848],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_sqmovnv8hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi_vec_concatz_be },
    &operand_data[3848],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_uqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi },
    &operand_data[3669],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_uqmovnv8hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi_vec_concatz_le },
    &operand_data[3848],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_uqmovnv8hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi_vec_concatz_be },
    &operand_data[3848],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_sqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si },
    &operand_data[3678],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_sqmovnv4si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si_vec_concatz_le },
    &operand_data[3851],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_sqmovnv4si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si_vec_concatz_be },
    &operand_data[3851],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_uqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si },
    &operand_data[3678],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_uqmovnv4si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si_vec_concatz_le },
    &operand_data[3851],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_uqmovnv4si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si_vec_concatz_be },
    &operand_data[3851],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_sqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di },
    &operand_data[3687],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_sqmovnv2di_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di_vec_concatz_le },
    &operand_data[3854],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_sqmovnv2di_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di_vec_concatz_be },
    &operand_data[3854],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_uqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di },
    &operand_data[3687],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_uqmovnv2di_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di_vec_concatz_le },
    &operand_data[3854],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5299 */
  {
    "aarch64_uqmovnv2di_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di_vec_concatz_be },
    &operand_data[3854],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5308 */
  {
    "aarch64_sqxtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi_le },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5308 */
  {
    "aarch64_uqxtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi_le },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5308 */
  {
    "aarch64_sqxtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si_le },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5308 */
  {
    "aarch64_uqxtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si_le },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5308 */
  {
    "aarch64_sqxtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di_le },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5308 */
  {
    "aarch64_uqxtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di_le },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5319 */
  {
    "aarch64_sqxtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi_be },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5319 */
  {
    "aarch64_uqxtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi_be },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5319 */
  {
    "aarch64_sqxtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si_be },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5319 */
  {
    "aarch64_uqxtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si_be },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5319 */
  {
    "aarch64_sqxtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di_be },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5319 */
  {
    "aarch64_uqxtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di_be },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5349 */
  {
    "aarch64_sqmovunhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunhi },
    &operand_data[3842],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5349 */
  {
    "aarch64_sqmovunsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunsi },
    &operand_data[3844],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5349 */
  {
    "aarch64_sqmovundi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovundi },
    &operand_data[3846],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5362 */
  {
    "*aarch64_sqmovunv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3857],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5362 */
  {
    "*aarch64_sqmovunv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3861],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5362 */
  {
    "*aarch64_sqmovunv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3861],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5362 */
  {
    "*aarch64_sqmovunv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3866],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5362 */
  {
    "*aarch64_sqmovunv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3870],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5362 */
  {
    "*aarch64_sqmovunv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3870],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5362 */
  {
    "*aarch64_sqmovunv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3875],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5362 */
  {
    "*aarch64_sqmovunv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3879],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5362 */
  {
    "*aarch64_sqmovunv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3879],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5390 */
  {
    "aarch64_sqxtun2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v8hi_le },
    &operand_data[3884],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5390 */
  {
    "aarch64_sqxtun2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v4si_le },
    &operand_data[3889],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5390 */
  {
    "aarch64_sqxtun2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v2di_le },
    &operand_data[3894],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5405 */
  {
    "aarch64_sqxtun2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v8hi_be },
    &operand_data[3884],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5405 */
  {
    "aarch64_sqxtun2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v4si_be },
    &operand_data[3889],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5405 */
  {
    "aarch64_sqxtun2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v2di_be },
    &operand_data[3894],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegqi },
    &operand_data[941],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsqi },
    &operand_data[941],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqneghi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqneghi },
    &operand_data[3804],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabshi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabshi },
    &operand_data[3804],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegsi },
    &operand_data[938],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabssi },
    &operand_data[938],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi },
    &operand_data[935],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi_vec_concatz_le },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqnegdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi_vec_concatz_be },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi },
    &operand_data[935],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi_vec_concatz_le },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5441 */
  {
    "aarch64_sqabsdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi_vec_concatz_be },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5452 */
  {
    "aarch64_sqrdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqdmulh_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv4hi },
    &operand_data[1932],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqdmulh_nv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv4hi_vec_concatz_le },
    &operand_data[3899],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqdmulh_nv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv4hi_vec_concatz_be },
    &operand_data[3899],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqrdmulh_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv4hi },
    &operand_data[1932],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqrdmulh_nv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv4hi_vec_concatz_le },
    &operand_data[3899],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqrdmulh_nv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv4hi_vec_concatz_be },
    &operand_data[3899],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqdmulh_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv8hi },
    &operand_data[1935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqrdmulh_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv8hi },
    &operand_data[1935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqdmulh_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv2si },
    &operand_data[1938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqdmulh_nv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv2si_vec_concatz_le },
    &operand_data[3903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqdmulh_nv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv2si_vec_concatz_be },
    &operand_data[3903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqrdmulh_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv2si },
    &operand_data[1938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqrdmulh_nv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv2si_vec_concatz_le },
    &operand_data[3903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqrdmulh_nv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv2si_vec_concatz_be },
    &operand_data[3903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqdmulh_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv4si },
    &operand_data[1941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5463 */
  {
    "aarch64_sqrdmulh_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv4si },
    &operand_data[1941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3460 },
#else
    { 0, 0, output_3460 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi },
    &operand_data[1864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqdmulh_lanev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3461 },
#else
    { 0, 0, output_3461 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi_vec_concatz_le },
    &operand_data[3907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqdmulh_lanev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3462 },
#else
    { 0, 0, output_3462 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi_vec_concatz_be },
    &operand_data[3907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqrdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3463 },
#else
    { 0, 0, output_3463 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi },
    &operand_data[1864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqrdmulh_lanev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3464 },
#else
    { 0, 0, output_3464 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi_vec_concatz_le },
    &operand_data[3907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqrdmulh_lanev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3465 },
#else
    { 0, 0, output_3465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi_vec_concatz_be },
    &operand_data[3907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3466 },
#else
    { 0, 0, output_3466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev8hi },
    &operand_data[1868],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqrdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3467 },
#else
    { 0, 0, output_3467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev8hi },
    &operand_data[1868],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3468 },
#else
    { 0, 0, output_3468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si },
    &operand_data[1872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqdmulh_lanev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3469 },
#else
    { 0, 0, output_3469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si_vec_concatz_le },
    &operand_data[3912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqdmulh_lanev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3470 },
#else
    { 0, 0, output_3470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si_vec_concatz_be },
    &operand_data[3912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqrdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3471 },
#else
    { 0, 0, output_3471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si },
    &operand_data[1872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqrdmulh_lanev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3472 },
#else
    { 0, 0, output_3472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si_vec_concatz_le },
    &operand_data[3912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqrdmulh_lanev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3473 },
#else
    { 0, 0, output_3473 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si_vec_concatz_be },
    &operand_data[3912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3474 },
#else
    { 0, 0, output_3474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4si },
    &operand_data[1876],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5477 */
  {
    "aarch64_sqrdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3475 },
#else
    { 0, 0, output_3475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4si },
    &operand_data[1876],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3476 },
#else
    { 0, 0, output_3476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi },
    &operand_data[3917],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqdmulh_laneqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3477 },
#else
    { 0, 0, output_3477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi_vec_concatz_le },
    &operand_data[3921],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqdmulh_laneqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3478 },
#else
    { 0, 0, output_3478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi_vec_concatz_be },
    &operand_data[3921],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqrdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3479 },
#else
    { 0, 0, output_3479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi },
    &operand_data[3917],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqrdmulh_laneqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3480 },
#else
    { 0, 0, output_3480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi_vec_concatz_le },
    &operand_data[3921],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqrdmulh_laneqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3481 },
#else
    { 0, 0, output_3481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi_vec_concatz_be },
    &operand_data[3921],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3482 },
#else
    { 0, 0, output_3482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv8hi },
    &operand_data[3926],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqrdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3483 },
#else
    { 0, 0, output_3483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv8hi },
    &operand_data[3926],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3484 },
#else
    { 0, 0, output_3484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si },
    &operand_data[3930],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqdmulh_laneqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3485 },
#else
    { 0, 0, output_3485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si_vec_concatz_le },
    &operand_data[3934],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqdmulh_laneqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3486 },
#else
    { 0, 0, output_3486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si_vec_concatz_be },
    &operand_data[3934],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqrdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3487 },
#else
    { 0, 0, output_3487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si },
    &operand_data[3930],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqrdmulh_laneqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3488 },
#else
    { 0, 0, output_3488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si_vec_concatz_le },
    &operand_data[3934],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqrdmulh_laneqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3489 },
#else
    { 0, 0, output_3489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si_vec_concatz_be },
    &operand_data[3934],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3490 },
#else
    { 0, 0, output_3490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4si },
    &operand_data[3939],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5492 */
  {
    "aarch64_sqrdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3491 },
#else
    { 0, 0, output_3491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4si },
    &operand_data[3939],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5507 */
  {
    "aarch64_sqdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3492 },
#else
    { 0, 0, output_3492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanehi },
    &operand_data[3943],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5507 */
  {
    "aarch64_sqrdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3493 },
#else
    { 0, 0, output_3493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanehi },
    &operand_data[3943],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5507 */
  {
    "aarch64_sqdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3494 },
#else
    { 0, 0, output_3494 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanesi },
    &operand_data[3947],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5507 */
  {
    "aarch64_sqrdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3495 },
#else
    { 0, 0, output_3495 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanesi },
    &operand_data[3947],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5522 */
  {
    "aarch64_sqdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3496 },
#else
    { 0, 0, output_3496 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqhi },
    &operand_data[3951],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5522 */
  {
    "aarch64_sqrdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3497 },
#else
    { 0, 0, output_3497 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqhi },
    &operand_data[3951],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5522 */
  {
    "aarch64_sqdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3498 },
#else
    { 0, 0, output_3498 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqsi },
    &operand_data[3955],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5522 */
  {
    "aarch64_sqrdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3499 },
#else
    { 0, 0, output_3499 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqsi },
    &operand_data[3955],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi },
    &operand_data[2093],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi },
    &operand_data[2093],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv8hi },
    &operand_data[2102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv8hi },
    &operand_data[2102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si },
    &operand_data[2106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si },
    &operand_data[2106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahhi },
    &operand_data[3959],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshhi },
    &operand_data[3959],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlahsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahsi },
    &operand_data[3963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5539 */
  {
    "aarch64_sqrdmlshsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshsi },
    &operand_data[3963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlah_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3520 },
#else
    { 0, 0, output_3520 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi },
    &operand_data[3967],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlah_lanev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3521 },
#else
    { 0, 0, output_3521 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi_vec_concatz_le },
    &operand_data[3972],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlah_lanev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3522 },
#else
    { 0, 0, output_3522 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi_vec_concatz_be },
    &operand_data[3972],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlsh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3523 },
#else
    { 0, 0, output_3523 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi },
    &operand_data[3967],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlsh_lanev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3524 },
#else
    { 0, 0, output_3524 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi_vec_concatz_le },
    &operand_data[3972],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlsh_lanev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3525 },
#else
    { 0, 0, output_3525 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi_vec_concatz_be },
    &operand_data[3972],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlah_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3526 },
#else
    { 0, 0, output_3526 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev8hi },
    &operand_data[3978],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlsh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3527 },
#else
    { 0, 0, output_3527 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev8hi },
    &operand_data[3978],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlah_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3528 },
#else
    { 0, 0, output_3528 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si },
    &operand_data[3983],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlah_lanev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3529 },
#else
    { 0, 0, output_3529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si_vec_concatz_le },
    &operand_data[3988],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlah_lanev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3530 },
#else
    { 0, 0, output_3530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si_vec_concatz_be },
    &operand_data[3988],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlsh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3531 },
#else
    { 0, 0, output_3531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si },
    &operand_data[3983],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlsh_lanev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3532 },
#else
    { 0, 0, output_3532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si_vec_concatz_le },
    &operand_data[3988],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlsh_lanev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3533 },
#else
    { 0, 0, output_3533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si_vec_concatz_be },
    &operand_data[3988],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlah_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3534 },
#else
    { 0, 0, output_3534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4si },
    &operand_data[3994],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5553 */
  {
    "aarch64_sqrdmlsh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3535 },
#else
    { 0, 0, output_3535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4si },
    &operand_data[3994],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5571 */
  {
    "aarch64_sqrdmlah_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3536 },
#else
    { 0, 0, output_3536 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanehi },
    &operand_data[3999],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5571 */
  {
    "aarch64_sqrdmlsh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3537 },
#else
    { 0, 0, output_3537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanehi },
    &operand_data[3999],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5571 */
  {
    "aarch64_sqrdmlah_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3538 },
#else
    { 0, 0, output_3538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanesi },
    &operand_data[4004],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5571 */
  {
    "aarch64_sqrdmlsh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3539 },
#else
    { 0, 0, output_3539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanesi },
    &operand_data[4004],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlah_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3540 },
#else
    { 0, 0, output_3540 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi },
    &operand_data[4009],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlah_laneqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3541 },
#else
    { 0, 0, output_3541 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi_vec_concatz_le },
    &operand_data[4014],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlah_laneqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3542 },
#else
    { 0, 0, output_3542 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi_vec_concatz_be },
    &operand_data[4014],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlsh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3543 },
#else
    { 0, 0, output_3543 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi },
    &operand_data[4009],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlsh_laneqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3544 },
#else
    { 0, 0, output_3544 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi_vec_concatz_le },
    &operand_data[4014],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlsh_laneqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3545 },
#else
    { 0, 0, output_3545 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi_vec_concatz_be },
    &operand_data[4014],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlah_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3546 },
#else
    { 0, 0, output_3546 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv8hi },
    &operand_data[4020],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlsh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3547 },
#else
    { 0, 0, output_3547 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv8hi },
    &operand_data[4020],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlah_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3548 },
#else
    { 0, 0, output_3548 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si },
    &operand_data[4025],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlah_laneqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3549 },
#else
    { 0, 0, output_3549 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si_vec_concatz_le },
    &operand_data[4030],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlah_laneqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3550 },
#else
    { 0, 0, output_3550 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si_vec_concatz_be },
    &operand_data[4030],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlsh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3551 },
#else
    { 0, 0, output_3551 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si },
    &operand_data[4025],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlsh_laneqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3552 },
#else
    { 0, 0, output_3552 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si_vec_concatz_le },
    &operand_data[4030],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlsh_laneqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3553 },
#else
    { 0, 0, output_3553 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si_vec_concatz_be },
    &operand_data[4030],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlah_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3554 },
#else
    { 0, 0, output_3554 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4si },
    &operand_data[4036],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5591 */
  {
    "aarch64_sqrdmlsh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3555 },
#else
    { 0, 0, output_3555 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4si },
    &operand_data[4036],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5609 */
  {
    "aarch64_sqrdmlah_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3556 },
#else
    { 0, 0, output_3556 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqhi },
    &operand_data[4041],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5609 */
  {
    "aarch64_sqrdmlsh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3557 },
#else
    { 0, 0, output_3557 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqhi },
    &operand_data[4041],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5609 */
  {
    "aarch64_sqrdmlah_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3558 },
#else
    { 0, 0, output_3558 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqsi },
    &operand_data[4046],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5609 */
  {
    "aarch64_sqrdmlsh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3559 },
#else
    { 0, 0, output_3559 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqsi },
    &operand_data[4046],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5629 */
  {
    "aarch64_sqdmlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5629 */
  {
    "aarch64_sqdmlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5629 */
  {
    "aarch64_sqdmlalhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalhi },
    &operand_data[4051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5629 */
  {
    "aarch64_sqdmlalsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalsi },
    &operand_data[4055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_sqdmlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_sqdmlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_sqdmlslhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslhi },
    &operand_data[4051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_sqdmlslsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslsi },
    &operand_data[4055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5663 */
  {
    "aarch64_sqdmlal_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3568 },
#else
    { 0, 0, output_3568 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev4hi },
    &operand_data[2893],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5663 */
  {
    "aarch64_sqdmlal_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3569 },
#else
    { 0, 0, output_3569 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev2si },
    &operand_data[2903],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5687 */
  {
    "aarch64_sqdmlsl_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3570 },
#else
    { 0, 0, output_3570 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev4hi },
    &operand_data[2893],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5687 */
  {
    "aarch64_sqdmlsl_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3571 },
#else
    { 0, 0, output_3571 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev2si },
    &operand_data[2903],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5712 */
  {
    "aarch64_sqdmlsl_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3572 },
#else
    { 0, 0, output_3572 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv4hi },
    &operand_data[2898],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5712 */
  {
    "aarch64_sqdmlsl_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3573 },
#else
    { 0, 0, output_3573 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv2si },
    &operand_data[2908],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5736 */
  {
    "aarch64_sqdmlal_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3574 },
#else
    { 0, 0, output_3574 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv4hi },
    &operand_data[2898],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5736 */
  {
    "aarch64_sqdmlal_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3575 },
#else
    { 0, 0, output_3575 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv2si },
    &operand_data[2908],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5761 */
  {
    "aarch64_sqdmlal_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3576 },
#else
    { 0, 0, output_3576 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanehi },
    &operand_data[4059],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5761 */
  {
    "aarch64_sqdmlal_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3577 },
#else
    { 0, 0, output_3577 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanesi },
    &operand_data[4064],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5784 */
  {
    "aarch64_sqdmlsl_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3578 },
#else
    { 0, 0, output_3578 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanehi },
    &operand_data[4059],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5784 */
  {
    "aarch64_sqdmlsl_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3579 },
#else
    { 0, 0, output_3579 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanesi },
    &operand_data[4064],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5808 */
  {
    "aarch64_sqdmlal_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3580 },
#else
    { 0, 0, output_3580 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqhi },
    &operand_data[4069],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5808 */
  {
    "aarch64_sqdmlal_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3581 },
#else
    { 0, 0, output_3581 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqsi },
    &operand_data[4074],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5831 */
  {
    "aarch64_sqdmlsl_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3582 },
#else
    { 0, 0, output_3582 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqhi },
    &operand_data[4069],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5831 */
  {
    "aarch64_sqdmlsl_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3583 },
#else
    { 0, 0, output_3583 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqsi },
    &operand_data[4074],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5856 */
  {
    "aarch64_sqdmlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv4hi },
    &operand_data[2835],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5856 */
  {
    "aarch64_sqdmlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv2si },
    &operand_data[2839],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5873 */
  {
    "aarch64_sqdmlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv4hi },
    &operand_data[2835],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5873 */
  {
    "aarch64_sqdmlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv2si },
    &operand_data[2839],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_sqdmlal2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi_internal },
    &operand_data[2022],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5893 */
  {
    "aarch64_sqdmlal2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si_internal },
    &operand_data[2027],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5913 */
  {
    "aarch64_sqdmlsl2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi_internal },
    &operand_data[2022],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5913 */
  {
    "aarch64_sqdmlsl2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si_internal },
    &operand_data[2027],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5951 */
  {
    "aarch64_sqdmlsl2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3592 },
#else
    { 0, 0, output_3592 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi_internal },
    &operand_data[4079],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5951 */
  {
    "aarch64_sqdmlsl2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3593 },
#else
    { 0, 0, output_3593 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si_internal },
    &operand_data[4085],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5977 */
  {
    "aarch64_sqdmlal2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3594 },
#else
    { 0, 0, output_3594 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi_internal },
    &operand_data[4079],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5977 */
  {
    "aarch64_sqdmlal2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3595 },
#else
    { 0, 0, output_3595 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si_internal },
    &operand_data[4085],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6003 */
  {
    "aarch64_sqdmlsl2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3596 },
#else
    { 0, 0, output_3596 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi_internal },
    &operand_data[4091],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6003 */
  {
    "aarch64_sqdmlsl2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3597 },
#else
    { 0, 0, output_3597 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si_internal },
    &operand_data[4097],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6029 */
  {
    "aarch64_sqdmlal2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3598 },
#else
    { 0, 0, output_3598 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi_internal },
    &operand_data[4091],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6029 */
  {
    "aarch64_sqdmlal2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3599 },
#else
    { 0, 0, output_3599 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si_internal },
    &operand_data[4097],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_sqdmlsl2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi_internal },
    &operand_data[4103],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_sqdmlsl2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si_internal },
    &operand_data[4108],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6108 */
  {
    "aarch64_sqdmlal2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi_internal },
    &operand_data[4103],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6108 */
  {
    "aarch64_sqdmlal2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si_internal },
    &operand_data[4108],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6145 */
  {
    "aarch64_sqdmullv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6145 */
  {
    "aarch64_sqdmullv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6145 */
  {
    "aarch64_sqdmullhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%s0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullhi },
    &operand_data[4113],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6145 */
  {
    "aarch64_sqdmullsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%d0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullsi },
    &operand_data[4116],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6161 */
  {
    "aarch64_sqdmull_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3608 },
#else
    { 0, 0, output_3608 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev4hi },
    &operand_data[2843],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6161 */
  {
    "aarch64_sqdmull_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3609 },
#else
    { 0, 0, output_3609 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev2si },
    &operand_data[2851],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6182 */
  {
    "aarch64_sqdmull_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3610 },
#else
    { 0, 0, output_3610 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv4hi },
    &operand_data[2847],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6182 */
  {
    "aarch64_sqdmull_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3611 },
#else
    { 0, 0, output_3611 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv2si },
    &operand_data[2855],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6203 */
  {
    "aarch64_sqdmull_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3612 },
#else
    { 0, 0, output_3612 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanehi },
    &operand_data[4119],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6203 */
  {
    "aarch64_sqdmull_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3613 },
#else
    { 0, 0, output_3613 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanesi },
    &operand_data[4123],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6223 */
  {
    "aarch64_sqdmull_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3614 },
#else
    { 0, 0, output_3614 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqhi },
    &operand_data[4127],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6223 */
  {
    "aarch64_sqdmull_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3615 },
#else
    { 0, 0, output_3615 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqsi },
    &operand_data[4131],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6245 */
  {
    "aarch64_sqdmull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv4hi },
    &operand_data[2879],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6245 */
  {
    "aarch64_sqdmull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv2si },
    &operand_data[2882],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6263 */
  {
    "aarch64_sqdmull2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6263 */
  {
    "aarch64_sqdmull2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6296 */
  {
    "aarch64_sqdmull2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3620 },
#else
    { 0, 0, output_3620 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi_internal },
    &operand_data[4135],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6296 */
  {
    "aarch64_sqdmull2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3621 },
#else
    { 0, 0, output_3621 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si_internal },
    &operand_data[4140],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6319 */
  {
    "aarch64_sqdmull2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3622 },
#else
    { 0, 0, output_3622 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi_internal },
    &operand_data[4145],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6319 */
  {
    "aarch64_sqdmull2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3623 },
#else
    { 0, 0, output_3623 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si_internal },
    &operand_data[4150],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6372 */
  {
    "aarch64_sqdmull2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi_internal },
    &operand_data[2885],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6372 */
  {
    "aarch64_sqdmull2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si_internal },
    &operand_data[2889],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_sshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_ushldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_srshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6404 */
  {
    "aarch64_urshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlqi },
    &operand_data[3801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlqi },
    &operand_data[3801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlqi },
    &operand_data[3801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlqi },
    &operand_data[3801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlhi },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlsi },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_sqrshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi_vec_concatz_le },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6418 */
  {
    "aarch64_uqrshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi_vec_concatz_be },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6431 */
  {
    "aarch64_sshllv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3766 },
#else
    { 0, output_3766, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv8qi },
    &operand_data[4155],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6431 */
  {
    "aarch64_ushllv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3767 },
#else
    { 0, output_3767, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv8qi },
    &operand_data[4155],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6431 */
  {
    "aarch64_sshllv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3768 },
#else
    { 0, output_3768, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv4hi },
    &operand_data[4158],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6431 */
  {
    "aarch64_ushllv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3769 },
#else
    { 0, output_3769, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv4hi },
    &operand_data[4158],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6431 */
  {
    "aarch64_sshllv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3770 },
#else
    { 0, output_3770, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv2si },
    &operand_data[4161],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6431 */
  {
    "aarch64_ushllv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3771 },
#else
    { 0, output_3771, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv2si },
    &operand_data[4161],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6461 */
  {
    "aarch64_sshll2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3772 },
#else
    { 0, output_3772, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v16qi },
    &operand_data[4164],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6461 */
  {
    "aarch64_ushll2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3773 },
#else
    { 0, output_3773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v16qi },
    &operand_data[4164],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6461 */
  {
    "aarch64_sshll2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3774 },
#else
    { 0, output_3774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v8hi },
    &operand_data[4168],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6461 */
  {
    "aarch64_ushll2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3775 },
#else
    { 0, output_3775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v8hi },
    &operand_data[4168],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6461 */
  {
    "aarch64_sshll2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3776 },
#else
    { 0, output_3776, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v4si },
    &operand_data[4172],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6461 */
  {
    "aarch64_ushll2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3777 },
#else
    { 0, output_3777, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v4si },
    &operand_data[4172],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi_insn },
    &operand_data[4176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi_vec_concatz_le_insn },
    &operand_data[4180],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi_vec_concatz_be_insn },
    &operand_data[4180],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi_insn },
    &operand_data[4176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi_vec_concatz_le_insn },
    &operand_data[4180],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi_vec_concatz_be_insn },
    &operand_data[4180],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv16qi_insn },
    &operand_data[4185],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv16qi_insn },
    &operand_data[4185],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi_insn },
    &operand_data[4189],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi_vec_concatz_le_insn },
    &operand_data[4193],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi_vec_concatz_be_insn },
    &operand_data[4193],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi_insn },
    &operand_data[4189],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi_vec_concatz_le_insn },
    &operand_data[4193],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi_vec_concatz_be_insn },
    &operand_data[4193],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8hi_insn },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8hi_insn },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si_insn },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si_vec_concatz_le_insn },
    &operand_data[4206],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si_vec_concatz_be_insn },
    &operand_data[4206],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si_insn },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si_vec_concatz_le_insn },
    &operand_data[4206],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si_vec_concatz_be_insn },
    &operand_data[4206],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4si_insn },
    &operand_data[4211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4si_insn },
    &operand_data[4211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2di_insn },
    &operand_data[4215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2di_insn },
    &operand_data[4215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi_insn },
    &operand_data[4219],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_ndi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi_vec_concatz_le_insn },
    &operand_data[4223],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_srshr_ndi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi_vec_concatz_be_insn },
    &operand_data[4223],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi_insn },
    &operand_data[4219],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_ndi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi_vec_concatz_le_insn },
    &operand_data[4223],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "aarch64_urshr_ndi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi_vec_concatz_be_insn },
    &operand_data[4223],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6537 */
  {
    "aarch64_ssra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_ndi },
    &operand_data[4228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6537 */
  {
    "aarch64_usra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_ndi },
    &operand_data[4228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8qi },
    &operand_data[4232],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8qi },
    &operand_data[4232],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8qi },
    &operand_data[4236],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8qi },
    &operand_data[4236],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv16qi },
    &operand_data[4240],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv16qi },
    &operand_data[4240],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv16qi },
    &operand_data[4244],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv16qi },
    &operand_data[4244],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4hi },
    &operand_data[4248],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4hi },
    &operand_data[4248],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4hi },
    &operand_data[4252],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4hi },
    &operand_data[4252],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8hi },
    &operand_data[4256],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8hi },
    &operand_data[4256],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8hi },
    &operand_data[4260],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8hi },
    &operand_data[4260],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2si },
    &operand_data[4264],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2si },
    &operand_data[4264],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2si },
    &operand_data[4268],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2si },
    &operand_data[4268],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4si },
    &operand_data[4272],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4si },
    &operand_data[4272],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4si },
    &operand_data[4276],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4si },
    &operand_data[4276],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2di },
    &operand_data[4280],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2di },
    &operand_data[4280],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2di },
    &operand_data[4284],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2di },
    &operand_data[4284],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_ndi },
    &operand_data[4288],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_ndi },
    &operand_data[4288],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_ssri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_ndi },
    &operand_data[4228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6551 */
  {
    "aarch64_usri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_ndi },
    &operand_data[4228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8qi },
    &operand_data[4292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8qi },
    &operand_data[4292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8qi },
    &operand_data[4292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv16qi },
    &operand_data[4295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv16qi },
    &operand_data[4295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv16qi },
    &operand_data[4295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4hi },
    &operand_data[4298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4hi },
    &operand_data[4298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4hi },
    &operand_data[4298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8hi },
    &operand_data[4301],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8hi },
    &operand_data[4301],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8hi },
    &operand_data[4301],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2si },
    &operand_data[4304],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2si },
    &operand_data[4304],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2si },
    &operand_data[4304],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4si },
    &operand_data[4307],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4si },
    &operand_data[4307],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4si },
    &operand_data[4307],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2di },
    &operand_data[4310],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2di },
    &operand_data[4310],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2di },
    &operand_data[4310],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nqi },
    &operand_data[4313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nqi },
    &operand_data[4313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nqi },
    &operand_data[4313],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nhi },
    &operand_data[4316],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nhi },
    &operand_data[4316],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nhi },
    &operand_data[4316],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nsi },
    &operand_data[4319],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nsi },
    &operand_data[4319],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nsi },
    &operand_data[4319],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshlu_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_ndi },
    &operand_data[4322],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_sqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_ndi },
    &operand_data[4322],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6565 */
  {
    "aarch64_uqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_ndi },
    &operand_data[4322],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6579 */
  {
    "aarch64_sqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nhi },
    &operand_data[4325],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6579 */
  {
    "aarch64_uqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nhi },
    &operand_data[4325],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6579 */
  {
    "aarch64_sqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nsi },
    &operand_data[4328],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6579 */
  {
    "aarch64_uqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nsi },
    &operand_data[4328],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6579 */
  {
    "aarch64_sqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_ndi },
    &operand_data[4331],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6579 */
  {
    "aarch64_uqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_ndi },
    &operand_data[4331],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqsshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4334],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqsshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqsshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4334],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqsshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4334],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqsshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqsshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4334],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4334],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_shrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4334],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_shrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_shrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqsshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqsshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqsshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqsshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqsshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqsshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_shrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_shrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_shrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqsshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqsshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqsshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sqshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqsshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqsshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqsshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_uqshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_sshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_shrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_shrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6590 */
  {
    "*aarch64_shrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_sqrshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_sqrshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4359],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_sqrshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4359],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_uqrshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_uqrshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4359],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_uqrshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4359],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_rshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_rshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4359],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_rshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4359],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_sqrshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_sqrshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_sqrshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_uqrshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_uqrshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_uqrshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_rshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_rshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_rshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_sqrshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4373],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_sqrshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4377],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_sqrshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4377],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_uqrshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4373],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_uqrshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4377],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_uqrshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4377],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_rshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4373],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_rshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4377],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6614 */
  {
    "*aarch64_rshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4377],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6629 */
  {
    "*aarch64_sqrshrn_nhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4382],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6629 */
  {
    "*aarch64_uqrshrn_nhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4382],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6629 */
  {
    "*aarch64_sqrshrn_nsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4386],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6629 */
  {
    "*aarch64_uqrshrn_nsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4386],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6629 */
  {
    "*aarch64_sqrshrn_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4390],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6629 */
  {
    "*aarch64_uqrshrn_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4390],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6693 */
  {
    "*aarch64_sqshrun_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4394],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6693 */
  {
    "*aarch64_sqshrun_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4399],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6693 */
  {
    "*aarch64_sqshrun_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4399],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6693 */
  {
    "*aarch64_sqshrun_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4405],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6693 */
  {
    "*aarch64_sqshrun_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4410],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6693 */
  {
    "*aarch64_sqshrun_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4410],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6693 */
  {
    "*aarch64_sqshrun_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4416],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6693 */
  {
    "*aarch64_sqshrun_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4421],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6693 */
  {
    "*aarch64_sqshrun_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4421],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6708 */
  {
    "aarch64_sqshrun_nhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nhi_insn },
    &operand_data[4427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6708 */
  {
    "aarch64_sqshrun_nsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nsi_insn },
    &operand_data[4430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6708 */
  {
    "aarch64_sqshrun_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_ndi_insn },
    &operand_data[4433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6757 */
  {
    "*aarch64_sqrshrun_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4436],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6757 */
  {
    "*aarch64_sqrshrun_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4442],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6757 */
  {
    "*aarch64_sqrshrun_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4442],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6757 */
  {
    "*aarch64_sqrshrun_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4449],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6757 */
  {
    "*aarch64_sqrshrun_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4455],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6757 */
  {
    "*aarch64_sqrshrun_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4455],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6757 */
  {
    "*aarch64_sqrshrun_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4462],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6757 */
  {
    "*aarch64_sqrshrun_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4468],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6757 */
  {
    "*aarch64_sqrshrun_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4468],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6776 */
  {
    "aarch64_sqrshrun_nhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nhi_insn },
    &operand_data[4475],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6776 */
  {
    "aarch64_sqrshrun_nsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nsi_insn },
    &operand_data[4479],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6776 */
  {
    "aarch64_sqrshrun_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_ndi_insn },
    &operand_data[4483],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_sqsshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv8hi_insn_le },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_squshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv8hi_insn_le },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_uqsshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv8hi_insn_le },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_uqushrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv8hi_insn_le },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_sshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv8hi_insn_le },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_ushrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv8hi_insn_le },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_sqsshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv4si_insn_le },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_squshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv4si_insn_le },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_uqsshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv4si_insn_le },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_uqushrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv4si_insn_le },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_sshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv4si_insn_le },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_ushrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv4si_insn_le },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_sqsshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv2di_insn_le },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_squshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv2di_insn_le },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_uqsshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv2di_insn_le },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_uqushrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv2di_insn_le },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_sshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv2di_insn_le },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6837 */
  {
    "aarch64_ushrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv2di_insn_le },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_sqsshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv8hi_insn_be },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_squshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv8hi_insn_be },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_uqsshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv8hi_insn_be },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_uqushrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv8hi_insn_be },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_sshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv8hi_insn_be },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_ushrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv8hi_insn_be },
    &operand_data[4487],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_sqsshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv4si_insn_be },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_squshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv4si_insn_be },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_uqsshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv4si_insn_be },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_uqushrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv4si_insn_be },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_sshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv4si_insn_be },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_ushrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv4si_insn_be },
    &operand_data[4491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_sqsshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv2di_insn_be },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_squshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv2di_insn_be },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_uqsshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv2di_insn_be },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_uqushrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv2di_insn_be },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_sshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv2di_insn_be },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6851 */
  {
    "aarch64_ushrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv2di_insn_be },
    &operand_data[4495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6886 */
  {
    "aarch64_sqrshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv8hi_insn_le },
    &operand_data[4499],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6886 */
  {
    "aarch64_uqrshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv8hi_insn_le },
    &operand_data[4499],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6886 */
  {
    "aarch64_rshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv8hi_insn_le },
    &operand_data[4499],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6886 */
  {
    "aarch64_sqrshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv4si_insn_le },
    &operand_data[4504],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6886 */
  {
    "aarch64_uqrshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv4si_insn_le },
    &operand_data[4504],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6886 */
  {
    "aarch64_rshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv4si_insn_le },
    &operand_data[4504],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6886 */
  {
    "aarch64_sqrshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv2di_insn_le },
    &operand_data[4509],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6886 */
  {
    "aarch64_uqrshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv2di_insn_le },
    &operand_data[4509],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6886 */
  {
    "aarch64_rshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv2di_insn_le },
    &operand_data[4509],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6903 */
  {
    "aarch64_sqrshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv8hi_insn_be },
    &operand_data[4499],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6903 */
  {
    "aarch64_uqrshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv8hi_insn_be },
    &operand_data[4499],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6903 */
  {
    "aarch64_rshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv8hi_insn_be },
    &operand_data[4499],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6903 */
  {
    "aarch64_sqrshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv4si_insn_be },
    &operand_data[4504],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6903 */
  {
    "aarch64_uqrshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv4si_insn_be },
    &operand_data[4504],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6903 */
  {
    "aarch64_rshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv4si_insn_be },
    &operand_data[4504],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6903 */
  {
    "aarch64_sqrshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv2di_insn_be },
    &operand_data[4509],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6903 */
  {
    "aarch64_uqrshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv2di_insn_be },
    &operand_data[4509],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6903 */
  {
    "aarch64_rshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv2di_insn_be },
    &operand_data[4509],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6959 */
  {
    "aarch64_sqshrun2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv8hi_insn_le },
    &operand_data[4514],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6959 */
  {
    "aarch64_sqshrun2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv4si_insn_le },
    &operand_data[4520],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6959 */
  {
    "aarch64_sqshrun2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv2di_insn_le },
    &operand_data[4526],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6976 */
  {
    "aarch64_sqshrun2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv8hi_insn_be },
    &operand_data[4514],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6976 */
  {
    "aarch64_sqshrun2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv4si_insn_be },
    &operand_data[4520],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6976 */
  {
    "aarch64_sqshrun2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv2di_insn_be },
    &operand_data[4526],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7018 */
  {
    "aarch64_sqrshrun2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv8hi_insn_le },
    &operand_data[4532],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7018 */
  {
    "aarch64_sqrshrun2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv4si_insn_le },
    &operand_data[4539],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7018 */
  {
    "aarch64_sqrshrun2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv2di_insn_le },
    &operand_data[4546],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7039 */
  {
    "aarch64_sqrshrun2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv8hi_insn_be },
    &operand_data[4532],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7039 */
  {
    "aarch64_sqrshrun2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv4si_insn_be },
    &operand_data[4539],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7039 */
  {
    "aarch64_sqrshrun2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv2di_insn_be },
    &operand_data[4546],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4060 },
#else
    { 0, output_4060, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi },
    &operand_data[4553],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4061 },
#else
    { 0, output_4061, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi_vec_concatz_le },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4062 },
#else
    { 0, output_4062, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi_vec_concatz_be },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4063 },
#else
    { 0, output_4063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi },
    &operand_data[4553],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4064 },
#else
    { 0, output_4064, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi_vec_concatz_le },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4065 },
#else
    { 0, output_4065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi_vec_concatz_be },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4066 },
#else
    { 0, output_4066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi },
    &operand_data[4553],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4067 },
#else
    { 0, output_4067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi_vec_concatz_le },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4068 },
#else
    { 0, output_4068, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi_vec_concatz_be },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4069 },
#else
    { 0, output_4069, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi },
    &operand_data[4553],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4070 },
#else
    { 0, output_4070, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi_vec_concatz_le },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4071 },
#else
    { 0, output_4071, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi_vec_concatz_be },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4072 },
#else
    { 0, output_4072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi },
    &operand_data[4553],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4073 },
#else
    { 0, output_4073, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi_vec_concatz_le },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4074 },
#else
    { 0, output_4074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi_vec_concatz_be },
    &operand_data[4556],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4075 },
#else
    { 0, output_4075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv16qi },
    &operand_data[4560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4076 },
#else
    { 0, output_4076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev16qi },
    &operand_data[4560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4077 },
#else
    { 0, output_4077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv16qi },
    &operand_data[4560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4078 },
#else
    { 0, output_4078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev16qi },
    &operand_data[4560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4079 },
#else
    { 0, output_4079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv16qi },
    &operand_data[4560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4080 },
#else
    { 0, output_4080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi },
    &operand_data[4563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4081 },
#else
    { 0, output_4081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi_vec_concatz_le },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4082 },
#else
    { 0, output_4082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi_vec_concatz_be },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4083 },
#else
    { 0, output_4083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi },
    &operand_data[4563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4084 },
#else
    { 0, output_4084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi_vec_concatz_le },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4085 },
#else
    { 0, output_4085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi_vec_concatz_be },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4086 },
#else
    { 0, output_4086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi },
    &operand_data[4563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4087 },
#else
    { 0, output_4087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi_vec_concatz_le },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4088 },
#else
    { 0, output_4088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi_vec_concatz_be },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4089 },
#else
    { 0, output_4089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi },
    &operand_data[4563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4090 },
#else
    { 0, output_4090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi_vec_concatz_le },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4091 },
#else
    { 0, output_4091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi_vec_concatz_be },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4092 },
#else
    { 0, output_4092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi },
    &operand_data[4563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4093 },
#else
    { 0, output_4093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi_vec_concatz_le },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4094 },
#else
    { 0, output_4094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi_vec_concatz_be },
    &operand_data[4566],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4095 },
#else
    { 0, output_4095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4096 },
#else
    { 0, output_4096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4097 },
#else
    { 0, output_4097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4098 },
#else
    { 0, output_4098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4099 },
#else
    { 0, output_4099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4100 },
#else
    { 0, output_4100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si },
    &operand_data[4573],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4101 },
#else
    { 0, output_4101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si_vec_concatz_le },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4102 },
#else
    { 0, output_4102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si_vec_concatz_be },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4103 },
#else
    { 0, output_4103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si },
    &operand_data[4573],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4104 },
#else
    { 0, output_4104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si_vec_concatz_le },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4105 },
#else
    { 0, output_4105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si_vec_concatz_be },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4106 },
#else
    { 0, output_4106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si },
    &operand_data[4573],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4107 },
#else
    { 0, output_4107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si_vec_concatz_le },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4108 },
#else
    { 0, output_4108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si_vec_concatz_be },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4109 },
#else
    { 0, output_4109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si },
    &operand_data[4573],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4110 },
#else
    { 0, output_4110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si_vec_concatz_le },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4111 },
#else
    { 0, output_4111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si_vec_concatz_be },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4112 },
#else
    { 0, output_4112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si },
    &operand_data[4573],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4113 },
#else
    { 0, output_4113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si_vec_concatz_le },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4114 },
#else
    { 0, output_4114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si_vec_concatz_be },
    &operand_data[4576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4115 },
#else
    { 0, output_4115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4si },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4116 },
#else
    { 0, output_4116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4si },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4117 },
#else
    { 0, output_4117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4si },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4118 },
#else
    { 0, output_4118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4si },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4119 },
#else
    { 0, output_4119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4si },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmltv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4120 },
#else
    { 0, output_4120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2di },
    &operand_data[4583],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmlev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4121 },
#else
    { 0, output_4121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2di },
    &operand_data[4583],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmeqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4122 },
#else
    { 0, output_4122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2di },
    &operand_data[4583],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4123 },
#else
    { 0, output_4123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2di },
    &operand_data[4583],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7092 */
  {
    "aarch64_cmgtv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4124 },
#else
    { 0, output_4124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2di },
    &operand_data[4583],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7106 */
  {
    "aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdi },
    &operand_data[4586],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7106 */
  {
    "aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledi },
    &operand_data[4586],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7106 */
  {
    "aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdi },
    &operand_data[4586],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7106 */
  {
    "aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedi },
    &operand_data[4586],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7106 */
  {
    "aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdi },
    &operand_data[4586],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "*aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4130 },
#else
    { 0, output_4130, 0 },
#endif
    { 0 },
    &operand_data[4589],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "*aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4131 },
#else
    { 0, output_4131, 0 },
#endif
    { 0 },
    &operand_data[4589],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "*aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4132 },
#else
    { 0, output_4132, 0 },
#endif
    { 0 },
    &operand_data[4589],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "*aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4133 },
#else
    { 0, output_4133, 0 },
#endif
    { 0 },
    &operand_data[4589],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7141 */
  {
    "*aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4134 },
#else
    { 0, output_4134, 0 },
#endif
    { 0 },
    &operand_data[4589],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmltuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmleuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgeuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_cmgtuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7169 */
  {
    "aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltudi },
    &operand_data[4592],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7169 */
  {
    "aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleudi },
    &operand_data[4592],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7169 */
  {
    "aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeudi },
    &operand_data[4592],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7169 */
  {
    "aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtudi },
    &operand_data[4592],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7204 */
  {
    "*aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7204 */
  {
    "*aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7204 */
  {
    "*aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7204 */
  {
    "*aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi },
    &operand_data[4598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi_vec_concatz_le },
    &operand_data[4603],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi_vec_concatz_be },
    &operand_data[4603],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv16qi },
    &operand_data[4609],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi },
    &operand_data[4614],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi_vec_concatz_le },
    &operand_data[4619],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi_vec_concatz_be },
    &operand_data[4619],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8hi },
    &operand_data[4625],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si },
    &operand_data[4630],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si_vec_concatz_le },
    &operand_data[4635],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si_vec_concatz_be },
    &operand_data[4635],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4si },
    &operand_data[4641],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_cmtstv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2di },
    &operand_data[4646],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4651],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4655],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4655],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.16b, %1.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4660],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8h, %1.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4681],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4681],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4s, %1.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4686],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7243 */
  {
    "*aarch64_cmtst_same_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2d, %1.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4690],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7256 */
  {
    "aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstdi },
    &operand_data[4694],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7294 */
  {
    "*aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7294 */
  {
    "*aarch64_cmtstdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7294 */
  {
    "*aarch64_cmtstdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4225 },
#else
    { 0, output_4225, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf },
    &operand_data[4697],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4226 },
#else
    { 0, output_4226, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf_vec_concatz_le },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4227 },
#else
    { 0, output_4227, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf_vec_concatz_be },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4228 },
#else
    { 0, output_4228, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf },
    &operand_data[4697],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlev4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4229 },
#else
    { 0, output_4229, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf_vec_concatz_le },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlev4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4230 },
#else
    { 0, output_4230, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf_vec_concatz_be },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4231 },
#else
    { 0, output_4231, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf },
    &operand_data[4697],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4232 },
#else
    { 0, output_4232, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf_vec_concatz_le },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4233 },
#else
    { 0, output_4233, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf_vec_concatz_be },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4234 },
#else
    { 0, output_4234, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf },
    &operand_data[4697],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgev4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4235 },
#else
    { 0, output_4235, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf_vec_concatz_le },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgev4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4236 },
#else
    { 0, output_4236, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf_vec_concatz_be },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4237 },
#else
    { 0, output_4237, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf },
    &operand_data[4697],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4238 },
#else
    { 0, output_4238, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf_vec_concatz_le },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4239 },
#else
    { 0, output_4239, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf_vec_concatz_be },
    &operand_data[4700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4240 },
#else
    { 0, output_4240, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hf },
    &operand_data[4704],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4241 },
#else
    { 0, output_4241, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hf },
    &operand_data[4704],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4242 },
#else
    { 0, output_4242, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hf },
    &operand_data[4704],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4243 },
#else
    { 0, output_4243, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hf },
    &operand_data[4704],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4244 },
#else
    { 0, output_4244, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hf },
    &operand_data[4704],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4245 },
#else
    { 0, output_4245, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf },
    &operand_data[4707],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4246 },
#else
    { 0, output_4246, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf_vec_concatz_le },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4247 },
#else
    { 0, output_4247, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf_vec_concatz_be },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4248 },
#else
    { 0, output_4248, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf },
    &operand_data[4707],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlev2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4249 },
#else
    { 0, output_4249, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf_vec_concatz_le },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlev2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4250 },
#else
    { 0, output_4250, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf_vec_concatz_be },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4251 },
#else
    { 0, output_4251, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf },
    &operand_data[4707],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4252 },
#else
    { 0, output_4252, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf_vec_concatz_le },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4253 },
#else
    { 0, output_4253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf_vec_concatz_be },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4254 },
#else
    { 0, output_4254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf },
    &operand_data[4707],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgev2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4255 },
#else
    { 0, output_4255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf_vec_concatz_le },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgev2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4256 },
#else
    { 0, output_4256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf_vec_concatz_be },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4257 },
#else
    { 0, output_4257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf },
    &operand_data[4707],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4258 },
#else
    { 0, output_4258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf_vec_concatz_le },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4259 },
#else
    { 0, output_4259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf_vec_concatz_be },
    &operand_data[4710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4260 },
#else
    { 0, output_4260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4sf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4261 },
#else
    { 0, output_4261, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4sf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4262 },
#else
    { 0, output_4262, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4sf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4263 },
#else
    { 0, output_4263, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4sf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4264 },
#else
    { 0, output_4264, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4sf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4265 },
#else
    { 0, output_4265, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2df },
    &operand_data[4717],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4266 },
#else
    { 0, output_4266, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2df },
    &operand_data[4717],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4267 },
#else
    { 0, output_4267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2df },
    &operand_data[4717],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4268 },
#else
    { 0, output_4268, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2df },
    &operand_data[4717],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4269 },
#else
    { 0, output_4269, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2df },
    &operand_data[4717],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4270 },
#else
    { 0, output_4270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlthf },
    &operand_data[4720],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4271 },
#else
    { 0, output_4271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlehf },
    &operand_data[4720],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4272 },
#else
    { 0, output_4272, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqhf },
    &operand_data[4720],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4273 },
#else
    { 0, output_4273, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgehf },
    &operand_data[4720],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4274 },
#else
    { 0, output_4274, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgthf },
    &operand_data[4720],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4275 },
#else
    { 0, output_4275, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltsf },
    &operand_data[4723],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmlesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4276 },
#else
    { 0, output_4276, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlesf },
    &operand_data[4723],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4277 },
#else
    { 0, output_4277, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqsf },
    &operand_data[4723],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4278 },
#else
    { 0, output_4278, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgesf },
    &operand_data[4723],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4279 },
#else
    { 0, output_4279, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtsf },
    &operand_data[4723],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4280 },
#else
    { 0, output_4280, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf },
    &operand_data[4726],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4281 },
#else
    { 0, output_4281, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf_vec_concatz_le },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmltdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4282 },
#else
    { 0, output_4282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf_vec_concatz_be },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4283 },
#else
    { 0, output_4283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf },
    &operand_data[4726],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmledf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4284 },
#else
    { 0, output_4284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf_vec_concatz_le },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmledf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4285 },
#else
    { 0, output_4285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf_vec_concatz_be },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4286 },
#else
    { 0, output_4286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf },
    &operand_data[4726],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4287 },
#else
    { 0, output_4287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf_vec_concatz_le },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmeqdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4288 },
#else
    { 0, output_4288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf_vec_concatz_be },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4289 },
#else
    { 0, output_4289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf },
    &operand_data[4726],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgedf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4290 },
#else
    { 0, output_4290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf_vec_concatz_le },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgedf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4291 },
#else
    { 0, output_4291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf_vec_concatz_be },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4292 },
#else
    { 0, output_4292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf },
    &operand_data[4726],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4293 },
#else
    { 0, output_4293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf_vec_concatz_le },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7309 */
  {
    "aarch64_cmgtdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4294 },
#else
    { 0, output_4294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf_vec_concatz_be },
    &operand_data[4729],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf },
    &operand_data[4733],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf_vec_concatz_le },
    &operand_data[4736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf_vec_concatz_be },
    &operand_data[4736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf },
    &operand_data[4733],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclev4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf_vec_concatz_le },
    &operand_data[4736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclev4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf_vec_concatz_be },
    &operand_data[4736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf },
    &operand_data[4733],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgev4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf_vec_concatz_le },
    &operand_data[4736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgev4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf_vec_concatz_be },
    &operand_data[4736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf },
    &operand_data[4733],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf_vec_concatz_le },
    &operand_data[4736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf_vec_concatz_be },
    &operand_data[4736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv8hf },
    &operand_data[4740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev8hf },
    &operand_data[4740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev8hf },
    &operand_data[4740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv8hf },
    &operand_data[4740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf },
    &operand_data[4743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf_vec_concatz_le },
    &operand_data[4746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf_vec_concatz_be },
    &operand_data[4746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf },
    &operand_data[4743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclev2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf_vec_concatz_le },
    &operand_data[4746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclev2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf_vec_concatz_be },
    &operand_data[4746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf },
    &operand_data[4743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgev2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf_vec_concatz_le },
    &operand_data[4746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgev2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf_vec_concatz_be },
    &operand_data[4746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf },
    &operand_data[4743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf_vec_concatz_le },
    &operand_data[4746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf_vec_concatz_be },
    &operand_data[4746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4sf },
    &operand_data[4750],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4sf },
    &operand_data[4750],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4sf },
    &operand_data[4750],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4sf },
    &operand_data[4750],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2df },
    &operand_data[4753],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2df },
    &operand_data[4753],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2df },
    &operand_data[4753],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2df },
    &operand_data[4753],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclthf },
    &operand_data[4756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclehf },
    &operand_data[4756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgehf },
    &operand_data[4756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgthf },
    &operand_data[4756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltsf },
    &operand_data[4759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_faclesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclesf },
    &operand_data[4759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgesf },
    &operand_data[4759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtsf },
    &operand_data[4759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf },
    &operand_data[4762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf_vec_concatz_le },
    &operand_data[4765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facltdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf_vec_concatz_be },
    &operand_data[4765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf },
    &operand_data[4762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facledf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf_vec_concatz_le },
    &operand_data[4765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facledf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf_vec_concatz_be },
    &operand_data[4765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf },
    &operand_data[4762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgedf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf_vec_concatz_le },
    &operand_data[4765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgedf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf_vec_concatz_be },
    &operand_data[4765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf },
    &operand_data[4762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf_vec_concatz_le },
    &operand_data[4765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7328 */
  {
    "aarch64_facgtdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf_vec_concatz_be },
    &operand_data[4765],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "aarch64_addpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv16qi_insn },
    &operand_data[4769],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "aarch64_addpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8hi_insn },
    &operand_data[4774],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "aarch64_addpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4si_insn },
    &operand_data[4779],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "aarch64_addpv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2di_insn },
    &operand_data[4784],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7374 */
  {
    "aarch64_addpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi_insn },
    &operand_data[4789],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7374 */
  {
    "aarch64_addpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi_vec_concatz_le_insn },
    &operand_data[4794],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7374 */
  {
    "aarch64_addpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi_vec_concatz_be_insn },
    &operand_data[4794],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7374 */
  {
    "aarch64_addpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi_insn },
    &operand_data[4800],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7374 */
  {
    "aarch64_addpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi_vec_concatz_le_insn },
    &operand_data[4805],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7374 */
  {
    "aarch64_addpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi_vec_concatz_be_insn },
    &operand_data[4805],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7374 */
  {
    "aarch64_addpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si_insn },
    &operand_data[4811],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7374 */
  {
    "aarch64_addpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si_vec_concatz_le_insn },
    &operand_data[4816],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7374 */
  {
    "aarch64_addpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si_vec_concatz_be_insn },
    &operand_data[4816],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7395 */
  {
    "*aarch64_addp_same_regv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4822],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7395 */
  {
    "*aarch64_addp_same_regv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4826],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7395 */
  {
    "*aarch64_addp_same_regv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4830],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7395 */
  {
    "*aarch64_addp_same_regv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4834],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7450 */
  {
    "*sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7450 */
  {
    "*sqrtv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7450 */
  {
    "*sqrtv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7450 */
  {
    "*sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7450 */
  {
    "*sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7450 */
  {
    "*sqrtv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7450 */
  {
    "*sqrtv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7450 */
  {
    "*sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7450 */
  {
    "*sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7460 */
  {
    "aarch64_simd_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v16qi },
    &operand_data[4838],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7460 */
  {
    "aarch64_simd_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hi },
    &operand_data[4840],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7460 */
  {
    "aarch64_simd_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4si },
    &operand_data[4842],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7460 */
  {
    "aarch64_simd_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2di },
    &operand_data[4844],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7460 */
  {
    "aarch64_simd_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hf },
    &operand_data[4846],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7460 */
  {
    "aarch64_simd_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4sf },
    &operand_data[4848],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7460 */
  {
    "aarch64_simd_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2df },
    &operand_data[4850],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7460 */
  {
    "aarch64_simd_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8bf },
    &operand_data[4852],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8qi },
    &operand_data[4854],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hi },
    &operand_data[4856],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2si },
    &operand_data[4858],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdi },
    &operand_data[4860],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hf },
    &operand_data[4862],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2sf },
    &operand_data[4864],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdf },
    &operand_data[4866],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4bf },
    &operand_data[4868],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv16qi },
    &operand_data[4870],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hi },
    &operand_data[4872],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4si },
    &operand_data[4874],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2di },
    &operand_data[4876],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hf },
    &operand_data[4878],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4sf },
    &operand_data[4880],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2df },
    &operand_data[4882],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7470 */
  {
    "aarch64_simd_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8bf },
    &operand_data[4884],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4401 },
#else
    { 0, 0, output_4401 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x8qi_lanev8qi },
    &operand_data[4886],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4402 },
#else
    { 0, 0, output_4402 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4hi_lanev4hi },
    &operand_data[4890],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4403 },
#else
    { 0, 0, output_4403 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x2si_lanev2si },
    &operand_data[4894],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4404 },
#else
    { 0, 0, output_4404 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x1di_lanedi },
    &operand_data[4898],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4405 },
#else
    { 0, 0, output_4405 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4hf_lanev4hf },
    &operand_data[4902],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4406 },
#else
    { 0, 0, output_4406 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x2sf_lanev2sf },
    &operand_data[4906],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4407 },
#else
    { 0, 0, output_4407 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x1df_lanedf },
    &operand_data[4910],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4408 },
#else
    { 0, 0, output_4408 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4bf_lanev4bf },
    &operand_data[4914],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4409 },
#else
    { 0, 0, output_4409 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x16qi_lanev16qi },
    &operand_data[4918],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4410 },
#else
    { 0, 0, output_4410 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x8hi_lanev8hi },
    &operand_data[4922],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4411 },
#else
    { 0, 0, output_4411 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4si_lanev4si },
    &operand_data[4926],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4412 },
#else
    { 0, 0, output_4412 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x2di_lanev2di },
    &operand_data[4930],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4413 },
#else
    { 0, 0, output_4413 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x8hf_lanev8hf },
    &operand_data[4934],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4414 },
#else
    { 0, 0, output_4414 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4sf_lanev4sf },
    &operand_data[4938],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4415 },
#else
    { 0, 0, output_4415 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x2df_lanev2df },
    &operand_data[4942],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7480 */
  {
    "aarch64_vec_load_lanesv2x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4416 },
#else
    { 0, 0, output_4416 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x8bf_lanev8bf },
    &operand_data[4946],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7516 */
  {
    "aarch64_simd_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v16qi },
    &operand_data[4950],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7516 */
  {
    "aarch64_simd_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hi },
    &operand_data[4952],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7516 */
  {
    "aarch64_simd_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4si },
    &operand_data[4954],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7516 */
  {
    "aarch64_simd_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2di },
    &operand_data[4956],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7516 */
  {
    "aarch64_simd_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hf },
    &operand_data[4958],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7516 */
  {
    "aarch64_simd_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4sf },
    &operand_data[4960],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7516 */
  {
    "aarch64_simd_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2df },
    &operand_data[4962],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7516 */
  {
    "aarch64_simd_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8bf },
    &operand_data[4964],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4425 },
#else
    { 0, 0, output_4425 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x8qi_lanev8qi },
    &operand_data[4966],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4426 },
#else
    { 0, 0, output_4426 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4hi_lanev4hi },
    &operand_data[4969],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4427 },
#else
    { 0, 0, output_4427 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x2si_lanev2si },
    &operand_data[4972],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4428 },
#else
    { 0, 0, output_4428 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x1di_lanedi },
    &operand_data[4975],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4429 },
#else
    { 0, 0, output_4429 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4hf_lanev4hf },
    &operand_data[4978],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4430 },
#else
    { 0, 0, output_4430 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x2sf_lanev2sf },
    &operand_data[4981],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4431 },
#else
    { 0, 0, output_4431 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x1df_lanedf },
    &operand_data[4984],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4432 },
#else
    { 0, 0, output_4432 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4bf_lanev4bf },
    &operand_data[4987],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4433 },
#else
    { 0, 0, output_4433 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x16qi_lanev16qi },
    &operand_data[4990],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4434 },
#else
    { 0, 0, output_4434 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x8hi_lanev8hi },
    &operand_data[4993],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4435 },
#else
    { 0, 0, output_4435 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4si_lanev4si },
    &operand_data[4996],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4436 },
#else
    { 0, 0, output_4436 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x2di_lanev2di },
    &operand_data[4999],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4437 },
#else
    { 0, 0, output_4437 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x8hf_lanev8hf },
    &operand_data[5002],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4438 },
#else
    { 0, 0, output_4438 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4sf_lanev4sf },
    &operand_data[5005],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4439 },
#else
    { 0, 0, output_4439 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x2df_lanev2df },
    &operand_data[5008],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7527 */
  {
    "aarch64_vec_store_lanesv2x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4440 },
#else
    { 0, 0, output_4440 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x8bf_lanev8bf },
    &operand_data[5011],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7560 */
  {
    "aarch64_simd_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v16qi },
    &operand_data[5014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7560 */
  {
    "aarch64_simd_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hi },
    &operand_data[5016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7560 */
  {
    "aarch64_simd_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4si },
    &operand_data[5018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7560 */
  {
    "aarch64_simd_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2di },
    &operand_data[5020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7560 */
  {
    "aarch64_simd_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hf },
    &operand_data[5022],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7560 */
  {
    "aarch64_simd_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4sf },
    &operand_data[5024],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7560 */
  {
    "aarch64_simd_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2df },
    &operand_data[5026],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7560 */
  {
    "aarch64_simd_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8bf },
    &operand_data[5028],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8qi },
    &operand_data[5030],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hi },
    &operand_data[5032],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2si },
    &operand_data[5034],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdi },
    &operand_data[5036],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hf },
    &operand_data[5038],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2sf },
    &operand_data[5040],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdf },
    &operand_data[5042],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4bf },
    &operand_data[5044],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv16qi },
    &operand_data[5046],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hi },
    &operand_data[5048],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4si },
    &operand_data[5050],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2di },
    &operand_data[5052],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hf },
    &operand_data[5054],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4sf },
    &operand_data[5056],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2df },
    &operand_data[5058],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7570 */
  {
    "aarch64_simd_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8bf },
    &operand_data[5060],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4465 },
#else
    { 0, 0, output_4465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x8qi_lanev8qi },
    &operand_data[5062],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4466 },
#else
    { 0, 0, output_4466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4hi_lanev4hi },
    &operand_data[5066],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4467 },
#else
    { 0, 0, output_4467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x2si_lanev2si },
    &operand_data[5070],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4468 },
#else
    { 0, 0, output_4468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x1di_lanedi },
    &operand_data[5074],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4469 },
#else
    { 0, 0, output_4469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4hf_lanev4hf },
    &operand_data[5078],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4470 },
#else
    { 0, 0, output_4470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x2sf_lanev2sf },
    &operand_data[5082],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4471 },
#else
    { 0, 0, output_4471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x1df_lanedf },
    &operand_data[5086],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4472 },
#else
    { 0, 0, output_4472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4bf_lanev4bf },
    &operand_data[5090],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4473 },
#else
    { 0, 0, output_4473 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x16qi_lanev16qi },
    &operand_data[5094],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4474 },
#else
    { 0, 0, output_4474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x8hi_lanev8hi },
    &operand_data[5098],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4475 },
#else
    { 0, 0, output_4475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4si_lanev4si },
    &operand_data[5102],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4476 },
#else
    { 0, 0, output_4476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x2di_lanev2di },
    &operand_data[5106],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4477 },
#else
    { 0, 0, output_4477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x8hf_lanev8hf },
    &operand_data[5110],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4478 },
#else
    { 0, 0, output_4478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4sf_lanev4sf },
    &operand_data[5114],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4479 },
#else
    { 0, 0, output_4479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x2df_lanev2df },
    &operand_data[5118],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7580 */
  {
    "aarch64_vec_load_lanesv3x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4480 },
#else
    { 0, 0, output_4480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x8bf_lanev8bf },
    &operand_data[5122],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7616 */
  {
    "aarch64_simd_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v16qi },
    &operand_data[5126],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7616 */
  {
    "aarch64_simd_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hi },
    &operand_data[5128],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7616 */
  {
    "aarch64_simd_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4si },
    &operand_data[5130],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7616 */
  {
    "aarch64_simd_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2di },
    &operand_data[5132],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7616 */
  {
    "aarch64_simd_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hf },
    &operand_data[5134],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7616 */
  {
    "aarch64_simd_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4sf },
    &operand_data[5136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7616 */
  {
    "aarch64_simd_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2df },
    &operand_data[5138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7616 */
  {
    "aarch64_simd_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8bf },
    &operand_data[5140],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4489 },
#else
    { 0, 0, output_4489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x8qi_lanev8qi },
    &operand_data[5142],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4490 },
#else
    { 0, 0, output_4490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4hi_lanev4hi },
    &operand_data[5145],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4491 },
#else
    { 0, 0, output_4491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x2si_lanev2si },
    &operand_data[5148],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4492 },
#else
    { 0, 0, output_4492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x1di_lanedi },
    &operand_data[5151],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4493 },
#else
    { 0, 0, output_4493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4hf_lanev4hf },
    &operand_data[5154],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4494 },
#else
    { 0, 0, output_4494 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x2sf_lanev2sf },
    &operand_data[5157],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4495 },
#else
    { 0, 0, output_4495 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x1df_lanedf },
    &operand_data[5160],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4496 },
#else
    { 0, 0, output_4496 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4bf_lanev4bf },
    &operand_data[5163],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4497 },
#else
    { 0, 0, output_4497 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x16qi_lanev16qi },
    &operand_data[5166],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4498 },
#else
    { 0, 0, output_4498 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x8hi_lanev8hi },
    &operand_data[5169],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4499 },
#else
    { 0, 0, output_4499 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4si_lanev4si },
    &operand_data[5172],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4500 },
#else
    { 0, 0, output_4500 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x2di_lanev2di },
    &operand_data[5175],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4501 },
#else
    { 0, 0, output_4501 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x8hf_lanev8hf },
    &operand_data[5178],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4502 },
#else
    { 0, 0, output_4502 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4sf_lanev4sf },
    &operand_data[5181],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4503 },
#else
    { 0, 0, output_4503 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x2df_lanev2df },
    &operand_data[5184],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7626 */
  {
    "aarch64_vec_store_lanesv3x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4504 },
#else
    { 0, 0, output_4504 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x8bf_lanev8bf },
    &operand_data[5187],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7660 */
  {
    "aarch64_simd_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v16qi },
    &operand_data[5190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7660 */
  {
    "aarch64_simd_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hi },
    &operand_data[5192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7660 */
  {
    "aarch64_simd_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4si },
    &operand_data[5194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7660 */
  {
    "aarch64_simd_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2di },
    &operand_data[5196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7660 */
  {
    "aarch64_simd_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hf },
    &operand_data[5198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7660 */
  {
    "aarch64_simd_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4sf },
    &operand_data[5200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7660 */
  {
    "aarch64_simd_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2df },
    &operand_data[5202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7660 */
  {
    "aarch64_simd_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8bf },
    &operand_data[5204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8qi },
    &operand_data[5206],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hi },
    &operand_data[5208],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2si },
    &operand_data[5210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdi },
    &operand_data[5212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hf },
    &operand_data[5214],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2sf },
    &operand_data[5216],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdf },
    &operand_data[5218],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4bf },
    &operand_data[5220],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv16qi },
    &operand_data[5222],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hi },
    &operand_data[5224],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4si },
    &operand_data[5226],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2di },
    &operand_data[5228],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hf },
    &operand_data[5230],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4sf },
    &operand_data[5232],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2df },
    &operand_data[5234],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7670 */
  {
    "aarch64_simd_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8bf },
    &operand_data[5236],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4529 },
#else
    { 0, 0, output_4529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x8qi_lanev8qi },
    &operand_data[5238],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4530 },
#else
    { 0, 0, output_4530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4hi_lanev4hi },
    &operand_data[5242],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4531 },
#else
    { 0, 0, output_4531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x2si_lanev2si },
    &operand_data[5246],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4532 },
#else
    { 0, 0, output_4532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x1di_lanedi },
    &operand_data[5250],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4533 },
#else
    { 0, 0, output_4533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4hf_lanev4hf },
    &operand_data[5254],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4534 },
#else
    { 0, 0, output_4534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x2sf_lanev2sf },
    &operand_data[5258],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4535 },
#else
    { 0, 0, output_4535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x1df_lanedf },
    &operand_data[5262],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4536 },
#else
    { 0, 0, output_4536 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4bf_lanev4bf },
    &operand_data[5266],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4537 },
#else
    { 0, 0, output_4537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x16qi_lanev16qi },
    &operand_data[5270],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4538 },
#else
    { 0, 0, output_4538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x8hi_lanev8hi },
    &operand_data[5274],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4539 },
#else
    { 0, 0, output_4539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4si_lanev4si },
    &operand_data[5278],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4540 },
#else
    { 0, 0, output_4540 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x2di_lanev2di },
    &operand_data[5282],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4541 },
#else
    { 0, 0, output_4541 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x8hf_lanev8hf },
    &operand_data[5286],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4542 },
#else
    { 0, 0, output_4542 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4sf_lanev4sf },
    &operand_data[5290],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4543 },
#else
    { 0, 0, output_4543 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x2df_lanev2df },
    &operand_data[5294],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7680 */
  {
    "aarch64_vec_load_lanesv4x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4544 },
#else
    { 0, 0, output_4544 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x8bf_lanev8bf },
    &operand_data[5298],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7716 */
  {
    "aarch64_simd_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v16qi },
    &operand_data[5302],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7716 */
  {
    "aarch64_simd_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hi },
    &operand_data[5304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7716 */
  {
    "aarch64_simd_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4si },
    &operand_data[5306],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7716 */
  {
    "aarch64_simd_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2di },
    &operand_data[5308],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7716 */
  {
    "aarch64_simd_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hf },
    &operand_data[5310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7716 */
  {
    "aarch64_simd_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4sf },
    &operand_data[5312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7716 */
  {
    "aarch64_simd_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2df },
    &operand_data[5314],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7716 */
  {
    "aarch64_simd_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8bf },
    &operand_data[5316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4553 },
#else
    { 0, 0, output_4553 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x8qi_lanev8qi },
    &operand_data[5318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4554 },
#else
    { 0, 0, output_4554 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4hi_lanev4hi },
    &operand_data[5321],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4555 },
#else
    { 0, 0, output_4555 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x2si_lanev2si },
    &operand_data[5324],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4556 },
#else
    { 0, 0, output_4556 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x1di_lanedi },
    &operand_data[5327],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4557 },
#else
    { 0, 0, output_4557 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4hf_lanev4hf },
    &operand_data[5330],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4558 },
#else
    { 0, 0, output_4558 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x2sf_lanev2sf },
    &operand_data[5333],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4559 },
#else
    { 0, 0, output_4559 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x1df_lanedf },
    &operand_data[5336],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4560 },
#else
    { 0, 0, output_4560 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4bf_lanev4bf },
    &operand_data[5339],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4561 },
#else
    { 0, 0, output_4561 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x16qi_lanev16qi },
    &operand_data[5342],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4562 },
#else
    { 0, 0, output_4562 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x8hi_lanev8hi },
    &operand_data[5345],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4563 },
#else
    { 0, 0, output_4563 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4si_lanev4si },
    &operand_data[5348],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4564 },
#else
    { 0, 0, output_4564 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x2di_lanev2di },
    &operand_data[5351],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4565 },
#else
    { 0, 0, output_4565 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x8hf_lanev8hf },
    &operand_data[5354],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4566 },
#else
    { 0, 0, output_4566 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4sf_lanev4sf },
    &operand_data[5357],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4567 },
#else
    { 0, 0, output_4567 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x2df_lanev2df },
    &operand_data[5360],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7727 */
  {
    "aarch64_vec_store_lanesv4x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4568 },
#else
    { 0, 0, output_4568 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x8bf_lanev8bf },
    &operand_data[5363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7762 */
  {
    "aarch64_vec_stl1_lanesv1di_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4569 },
#else
    { 0, 0, output_4569 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanesv1di_lanesi },
    &operand_data[5366],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7762 */
  {
    "aarch64_vec_stl1_lanesv1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4570 },
#else
    { 0, 0, output_4570 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanesv1df_lanedf },
    &operand_data[5369],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7762 */
  {
    "aarch64_vec_stl1_lanesv2di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4571 },
#else
    { 0, 0, output_4571 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanesv2di_lanedi },
    &operand_data[5372],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7762 */
  {
    "aarch64_vec_stl1_lanesv2df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4572 },
#else
    { 0, 0, output_4572 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanesv2df_lanedf },
    &operand_data[5375],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7792 */
  {
    "aarch64_vec_ldap1_lanesv1di_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4573 },
#else
    { 0, 0, output_4573 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanesv1di_lanesi },
    &operand_data[5378],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7792 */
  {
    "aarch64_vec_ldap1_lanesv1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4574 },
#else
    { 0, 0, output_4574 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanesv1df_lanedf },
    &operand_data[5382],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7792 */
  {
    "aarch64_vec_ldap1_lanesv2di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4575 },
#else
    { 0, 0, output_4575 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanesv2di_lanedi },
    &operand_data[5386],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7792 */
  {
    "aarch64_vec_ldap1_lanesv2df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4576 },
#else
    { 0, 0, output_4576 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanesv2df_lanedf },
    &operand_data[5390],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x8qi },
    &operand_data[5394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4hi },
    &operand_data[5397],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x2si },
    &operand_data[5400],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x1di },
    &operand_data[5403],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4hf },
    &operand_data[5406],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x2sf },
    &operand_data[5409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x1df },
    &operand_data[5412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4bf },
    &operand_data[5415],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x8qi },
    &operand_data[5418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4hi },
    &operand_data[5421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x2si },
    &operand_data[5424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x1di },
    &operand_data[5427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4hf },
    &operand_data[5430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x2sf },
    &operand_data[5433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x1df },
    &operand_data[5436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4bf },
    &operand_data[5439],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x8qi },
    &operand_data[5442],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4hi },
    &operand_data[5445],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x2si },
    &operand_data[5448],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x1di },
    &operand_data[5451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4hf },
    &operand_data[5454],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x2sf },
    &operand_data[5457],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x1df },
    &operand_data[5460],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4bf },
    &operand_data[5463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x16qi },
    &operand_data[5466],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x8hi },
    &operand_data[5469],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4si },
    &operand_data[5472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x2di },
    &operand_data[5475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x8hf },
    &operand_data[5478],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4sf },
    &operand_data[5481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x2df },
    &operand_data[5484],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv2x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x8bf },
    &operand_data[5487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x16qi },
    &operand_data[5490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x8hi },
    &operand_data[5493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4si },
    &operand_data[5496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x2di },
    &operand_data[5499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x8hf },
    &operand_data[5502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4sf },
    &operand_data[5505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x2df },
    &operand_data[5508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv3x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x8bf },
    &operand_data[5511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x16qi },
    &operand_data[5514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x8hi },
    &operand_data[5517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4si },
    &operand_data[5520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x2di },
    &operand_data[5523],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x8hf },
    &operand_data[5526],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4sf },
    &operand_data[5529],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x2df },
    &operand_data[5532],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7825 */
  {
    "aarch64_rev_reglistv4x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x8bf },
    &operand_data[5535],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8qi },
    &operand_data[5538],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hi },
    &operand_data[5540],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2si },
    &operand_data[5542],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_di },
    &operand_data[5544],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hf },
    &operand_data[5546],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2sf },
    &operand_data[5548],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_df },
    &operand_data[5550],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4bf },
    &operand_data[5552],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v16qi },
    &operand_data[5014],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hi },
    &operand_data[5016],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4si },
    &operand_data[5018],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2di },
    &operand_data[5020],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hf },
    &operand_data[5022],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4sf },
    &operand_data[5024],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2df },
    &operand_data[5026],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7904 */
  {
    "aarch64_ld1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8bf },
    &operand_data[5028],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8qi },
    &operand_data[5554],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hi },
    &operand_data[5556],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2si },
    &operand_data[5558],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_di },
    &operand_data[5560],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hf },
    &operand_data[5562],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2sf },
    &operand_data[5564],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_df },
    &operand_data[5566],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4bf },
    &operand_data[5568],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v16qi },
    &operand_data[5190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hi },
    &operand_data[5192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4si },
    &operand_data[5194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2di },
    &operand_data[5196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hf },
    &operand_data[5198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4sf },
    &operand_data[5200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2df },
    &operand_data[5202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7924 */
  {
    "aarch64_ld1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8bf },
    &operand_data[5204],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8qi },
    &operand_data[5570],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hi },
    &operand_data[5572],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2si },
    &operand_data[5574],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_di },
    &operand_data[5576],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hf },
    &operand_data[5578],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2sf },
    &operand_data[5580],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_df },
    &operand_data[5582],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4bf },
    &operand_data[5584],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v16qi },
    &operand_data[4950],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hi },
    &operand_data[4952],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4si },
    &operand_data[4954],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2di },
    &operand_data[4956],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hf },
    &operand_data[4958],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4sf },
    &operand_data[4960],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2df },
    &operand_data[4962],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7944 */
  {
    "aarch64_st1_x2_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8bf },
    &operand_data[4964],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8qi },
    &operand_data[5586],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hi },
    &operand_data[5588],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2si },
    &operand_data[5590],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_di },
    &operand_data[5592],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hf },
    &operand_data[5594],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2sf },
    &operand_data[5596],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_df },
    &operand_data[5598],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4bf },
    &operand_data[5600],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v16qi },
    &operand_data[5126],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hi },
    &operand_data[5128],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4si },
    &operand_data[5130],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2di },
    &operand_data[5132],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hf },
    &operand_data[5134],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4sf },
    &operand_data[5136],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2df },
    &operand_data[5138],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7964 */
  {
    "aarch64_st1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8bf },
    &operand_data[5140],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8qi },
    &operand_data[5602],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hi },
    &operand_data[5604],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2si },
    &operand_data[5606],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_di },
    &operand_data[5608],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hf },
    &operand_data[5610],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2sf },
    &operand_data[5612],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_df },
    &operand_data[5614],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4bf },
    &operand_data[5616],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v16qi },
    &operand_data[5302],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hi },
    &operand_data[5304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4si },
    &operand_data[5306],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2di },
    &operand_data[5308],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hf },
    &operand_data[5310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4sf },
    &operand_data[5312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2df },
    &operand_data[5314],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7984 */
  {
    "aarch64_st1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8bf },
    &operand_data[5316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4705 },
#else
    { 0, output_4705, 0 },
#endif
    { 0 },
    &operand_data[5618],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4706 },
#else
    { 0, output_4706, 0 },
#endif
    { 0 },
    &operand_data[5620],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4707 },
#else
    { 0, output_4707, 0 },
#endif
    { 0 },
    &operand_data[5622],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4708 },
#else
    { 0, output_4708, 0 },
#endif
    { 0 },
    &operand_data[5624],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4709 },
#else
    { 0, output_4709, 0 },
#endif
    { 0 },
    &operand_data[5626],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4710 },
#else
    { 0, output_4710, 0 },
#endif
    { 0 },
    &operand_data[5628],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4711 },
#else
    { 0, output_4711, 0 },
#endif
    { 0 },
    &operand_data[5630],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4712 },
#else
    { 0, output_4712, 0 },
#endif
    { 0 },
    &operand_data[5632],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4713 },
#else
    { 0, output_4713, 0 },
#endif
    { 0 },
    &operand_data[5634],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4714 },
#else
    { 0, output_4714, 0 },
#endif
    { 0 },
    &operand_data[5636],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4715 },
#else
    { 0, output_4715, 0 },
#endif
    { 0 },
    &operand_data[5638],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4716 },
#else
    { 0, output_4716, 0 },
#endif
    { 0 },
    &operand_data[5640],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4717 },
#else
    { 0, output_4717, 0 },
#endif
    { 0 },
    &operand_data[5642],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4718 },
#else
    { 0, output_4718, 0 },
#endif
    { 0 },
    &operand_data[5644],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4719 },
#else
    { 0, output_4719, 0 },
#endif
    { 0 },
    &operand_data[5646],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4720 },
#else
    { 0, output_4720, 0 },
#endif
    { 0 },
    &operand_data[5648],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4721 },
#else
    { 0, output_4721, 0 },
#endif
    { 0 },
    &operand_data[5650],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4722 },
#else
    { 0, output_4722, 0 },
#endif
    { 0 },
    &operand_data[5652],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4723 },
#else
    { 0, output_4723, 0 },
#endif
    { 0 },
    &operand_data[5654],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4724 },
#else
    { 0, output_4724, 0 },
#endif
    { 0 },
    &operand_data[5656],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4725 },
#else
    { 0, output_4725, 0 },
#endif
    { 0 },
    &operand_data[5658],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4726 },
#else
    { 0, output_4726, 0 },
#endif
    { 0 },
    &operand_data[5660],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4727 },
#else
    { 0, output_4727, 0 },
#endif
    { 0 },
    &operand_data[5662],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4728 },
#else
    { 0, output_4728, 0 },
#endif
    { 0 },
    &operand_data[5664],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4729 },
#else
    { 0, output_4729, 0 },
#endif
    { 0 },
    &operand_data[5666],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4730 },
#else
    { 0, output_4730, 0 },
#endif
    { 0 },
    &operand_data[5668],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4731 },
#else
    { 0, output_4731, 0 },
#endif
    { 0 },
    &operand_data[5670],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4732 },
#else
    { 0, output_4732, 0 },
#endif
    { 0 },
    &operand_data[5672],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4733 },
#else
    { 0, output_4733, 0 },
#endif
    { 0 },
    &operand_data[5674],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4734 },
#else
    { 0, output_4734, 0 },
#endif
    { 0 },
    &operand_data[5676],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4735 },
#else
    { 0, output_4735, 0 },
#endif
    { 0 },
    &operand_data[5678],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv2x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4736 },
#else
    { 0, output_4736, 0 },
#endif
    { 0 },
    &operand_data[5680],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4737 },
#else
    { 0, output_4737, 0 },
#endif
    { 0 },
    &operand_data[5682],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4738 },
#else
    { 0, output_4738, 0 },
#endif
    { 0 },
    &operand_data[5684],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4739 },
#else
    { 0, output_4739, 0 },
#endif
    { 0 },
    &operand_data[5686],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4740 },
#else
    { 0, output_4740, 0 },
#endif
    { 0 },
    &operand_data[5688],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4741 },
#else
    { 0, output_4741, 0 },
#endif
    { 0 },
    &operand_data[5690],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4742 },
#else
    { 0, output_4742, 0 },
#endif
    { 0 },
    &operand_data[5692],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4743 },
#else
    { 0, output_4743, 0 },
#endif
    { 0 },
    &operand_data[5694],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv3x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4744 },
#else
    { 0, output_4744, 0 },
#endif
    { 0 },
    &operand_data[5696],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4745 },
#else
    { 0, output_4745, 0 },
#endif
    { 0 },
    &operand_data[5698],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4746 },
#else
    { 0, output_4746, 0 },
#endif
    { 0 },
    &operand_data[5700],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4747 },
#else
    { 0, output_4747, 0 },
#endif
    { 0 },
    &operand_data[5702],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4748 },
#else
    { 0, output_4748, 0 },
#endif
    { 0 },
    &operand_data[5704],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4749 },
#else
    { 0, output_4749, 0 },
#endif
    { 0 },
    &operand_data[5706],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4750 },
#else
    { 0, output_4750, 0 },
#endif
    { 0 },
    &operand_data[5708],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4751 },
#else
    { 0, output_4751, 0 },
#endif
    { 0 },
    &operand_data[5710],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7994 */
  {
    "*aarch64_movv4x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4752 },
#else
    { 0, output_4752, 0 },
#endif
    { 0 },
    &operand_data[5712],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8007 */
  {
    "*aarch64_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4753 },
#else
    { 0, output_4753, 0 },
#endif
    { 0 },
    &operand_data[5714],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8007 */
  {
    "*aarch64_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4754 },
#else
    { 0, output_4754, 0 },
#endif
    { 0 },
    &operand_data[5716],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8007 */
  {
    "*aarch64_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4755 },
#else
    { 0, output_4755, 0 },
#endif
    { 0 },
    &operand_data[5718],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8020 */
  {
    "*aarch64_movv8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5720],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8qi },
    &operand_data[5722],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v16qi },
    &operand_data[5724],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hi },
    &operand_data[5726],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hi },
    &operand_data[5728],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2si },
    &operand_data[5730],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4si },
    &operand_data[5732],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2di },
    &operand_data[5734],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hf },
    &operand_data[5736],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hf },
    &operand_data[5738],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4bf },
    &operand_data[5740],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8bf },
    &operand_data[5742],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2sf },
    &operand_data[5744],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4sf },
    &operand_data[5746],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2df },
    &operand_data[5748],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8030 */
  {
    "aarch64_be_ld1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1di },
    &operand_data[5750],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8qi },
    &operand_data[5752],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v16qi },
    &operand_data[5754],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hi },
    &operand_data[5756],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hi },
    &operand_data[5758],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2si },
    &operand_data[5760],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4si },
    &operand_data[5762],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2di },
    &operand_data[5764],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hf },
    &operand_data[5766],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hf },
    &operand_data[5768],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4bf },
    &operand_data[5770],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8bf },
    &operand_data[5772],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2sf },
    &operand_data[5774],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4sf },
    &operand_data[5776],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2df },
    &operand_data[5778],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8040 */
  {
    "aarch64_be_st1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1di },
    &operand_data[5780],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8049 */
  {
    "*aarch64_be_movv2x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4787 },
#else
    { 0, output_4787, 0 },
#endif
    { 0 },
    &operand_data[5782],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8049 */
  {
    "*aarch64_be_movv2x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4788 },
#else
    { 0, output_4788, 0 },
#endif
    { 0 },
    &operand_data[5784],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8049 */
  {
    "*aarch64_be_movv2x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4789 },
#else
    { 0, output_4789, 0 },
#endif
    { 0 },
    &operand_data[5786],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8049 */
  {
    "*aarch64_be_movv2x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4790 },
#else
    { 0, output_4790, 0 },
#endif
    { 0 },
    &operand_data[5788],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8049 */
  {
    "*aarch64_be_movv2x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4791 },
#else
    { 0, output_4791, 0 },
#endif
    { 0 },
    &operand_data[5790],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8049 */
  {
    "*aarch64_be_movv2x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4792 },
#else
    { 0, output_4792, 0 },
#endif
    { 0 },
    &operand_data[5792],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8049 */
  {
    "*aarch64_be_movv2x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4793 },
#else
    { 0, output_4793, 0 },
#endif
    { 0 },
    &operand_data[5794],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8049 */
  {
    "*aarch64_be_movv2x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4794 },
#else
    { 0, output_4794, 0 },
#endif
    { 0 },
    &operand_data[5796],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8063 */
  {
    "*aarch64_be_movv2x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4795 },
#else
    { 0, output_4795, 0 },
#endif
    { 0 },
    &operand_data[5798],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8063 */
  {
    "*aarch64_be_movv2x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4796 },
#else
    { 0, output_4796, 0 },
#endif
    { 0 },
    &operand_data[5800],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8063 */
  {
    "*aarch64_be_movv2x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4797 },
#else
    { 0, output_4797, 0 },
#endif
    { 0 },
    &operand_data[5802],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8063 */
  {
    "*aarch64_be_movv2x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4798 },
#else
    { 0, output_4798, 0 },
#endif
    { 0 },
    &operand_data[5804],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8063 */
  {
    "*aarch64_be_movv2x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4799 },
#else
    { 0, output_4799, 0 },
#endif
    { 0 },
    &operand_data[5806],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8063 */
  {
    "*aarch64_be_movv2x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4800 },
#else
    { 0, output_4800, 0 },
#endif
    { 0 },
    &operand_data[5808],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8063 */
  {
    "*aarch64_be_movv2x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4801 },
#else
    { 0, output_4801, 0 },
#endif
    { 0 },
    &operand_data[5810],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8063 */
  {
    "*aarch64_be_movv2x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4802 },
#else
    { 0, output_4802, 0 },
#endif
    { 0 },
    &operand_data[5812],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8077 */
  {
    "*aarch64_be_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4803 },
#else
    { 0, output_4803, 0 },
#endif
    { 0 },
    &operand_data[5814],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5816],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5818],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5820],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5822],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5824],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5826],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5828],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5830],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5832],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5834],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5836],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5838],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5840],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5842],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5844],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_be_movv3x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5846],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8104 */
  {
    "*aarch64_be_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5848],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5850],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5852],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5854],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5856],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5858],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5860],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5862],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5864],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5866],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5868],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5870],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5872],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5874],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5876],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5878],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8117 */
  {
    "*aarch64_be_movv4x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5880],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8130 */
  {
    "*aarch64_be_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5882],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8334 */
  {
    "aarch64_ld2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi_dreg },
    &operand_data[5884],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8334 */
  {
    "aarch64_ld2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi_dreg },
    &operand_data[5886],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8334 */
  {
    "aarch64_ld2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si_dreg },
    &operand_data[5888],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8334 */
  {
    "aarch64_ld2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf_dreg },
    &operand_data[5890],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8334 */
  {
    "aarch64_ld2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf_dreg },
    &operand_data[5892],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8334 */
  {
    "aarch64_ld2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf_dreg },
    &operand_data[5894],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8344 */
  {
    "aarch64_ld2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di_dreg },
    &operand_data[5896],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8344 */
  {
    "aarch64_ld2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df_dreg },
    &operand_data[5898],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8354 */
  {
    "aarch64_ld3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi_dreg },
    &operand_data[5538],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8354 */
  {
    "aarch64_ld3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi_dreg },
    &operand_data[5540],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8354 */
  {
    "aarch64_ld3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si_dreg },
    &operand_data[5542],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8354 */
  {
    "aarch64_ld3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf_dreg },
    &operand_data[5546],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8354 */
  {
    "aarch64_ld3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf_dreg },
    &operand_data[5548],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8354 */
  {
    "aarch64_ld3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf_dreg },
    &operand_data[5552],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8364 */
  {
    "aarch64_ld3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di_dreg },
    &operand_data[5544],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8364 */
  {
    "aarch64_ld3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df_dreg },
    &operand_data[5550],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8374 */
  {
    "aarch64_ld4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi_dreg },
    &operand_data[5554],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8374 */
  {
    "aarch64_ld4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi_dreg },
    &operand_data[5556],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8374 */
  {
    "aarch64_ld4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si_dreg },
    &operand_data[5558],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8374 */
  {
    "aarch64_ld4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf_dreg },
    &operand_data[5562],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8374 */
  {
    "aarch64_ld4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf_dreg },
    &operand_data[5564],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8374 */
  {
    "aarch64_ld4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf_dreg },
    &operand_data[5568],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8384 */
  {
    "aarch64_ld4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di_dreg },
    &operand_data[5560],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8384 */
  {
    "aarch64_ld4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df_dreg },
    &operand_data[5566],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8476 */
  {
    "aarch64_qtbl1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.8b, {%1.16b}, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl1v8qi },
    &operand_data[5900],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8476 */
  {
    "aarch64_qtbl1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl1v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8486 */
  {
    "aarch64_qtbx1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.8b, {%2.16b}, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx1v8qi },
    &operand_data[5903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8486 */
  {
    "aarch64_qtbx1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.16b, {%2.16b}, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx1v16qi },
    &operand_data[2089],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8499 */
  {
    "aarch64_qtbl2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %T1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl2v8qi },
    &operand_data[5907],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8499 */
  {
    "aarch64_qtbl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %T1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl2v16qi },
    &operand_data[5910],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8509 */
  {
    "aarch64_qtbx2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %T2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx2v8qi },
    &operand_data[5913],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8509 */
  {
    "aarch64_qtbx2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %T2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx2v16qi },
    &operand_data[5917],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8522 */
  {
    "aarch64_qtbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %U1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v8qi },
    &operand_data[5921],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8522 */
  {
    "aarch64_qtbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %U1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v16qi },
    &operand_data[5924],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8532 */
  {
    "aarch64_qtbx3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %U2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v8qi },
    &operand_data[5927],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8532 */
  {
    "aarch64_qtbx3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %U2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v16qi },
    &operand_data[5931],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8545 */
  {
    "aarch64_qtbl4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %V1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v8qi },
    &operand_data[5935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8545 */
  {
    "aarch64_qtbl4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %V1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v16qi },
    &operand_data[5938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8555 */
  {
    "aarch64_qtbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %V2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v8qi },
    &operand_data[5941],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8555 */
  {
    "aarch64_qtbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %V2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v16qi },
    &operand_data[5945],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8566 */
  {
    "aarch64_combinev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev16qi },
    &operand_data[5949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4bf },
    &operand_data[5952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4bf_vec_concatz_le },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4bf_vec_concatz_be },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4bf },
    &operand_data[5952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4bf_vec_concatz_le },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4bf_vec_concatz_be },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4bf },
    &operand_data[5952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4bf_vec_concatz_le },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4bf_vec_concatz_be },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4bf },
    &operand_data[5952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4bf_vec_concatz_le },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4bf_vec_concatz_be },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4bf },
    &operand_data[5952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4bf_vec_concatz_le },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4bf_vec_concatz_be },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4bf },
    &operand_data[5952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4bf_vec_concatz_le },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4bf_vec_concatz_be },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8bf },
    &operand_data[5959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8bf },
    &operand_data[5959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8bf },
    &operand_data[5959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8bf },
    &operand_data[5959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8bf },
    &operand_data[5959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8bf },
    &operand_data[5959],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_zip2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_trn2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8585 */
  {
    "aarch64_uzp2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8597 */
  {
    "aarch64_zip1v16qi_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v16qi_low },
    &operand_data[1675],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8597 */
  {
    "aarch64_zip1v8hi_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hi_low },
    &operand_data[1685],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8597 */
  {
    "aarch64_zip1v4si_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4si_low },
    &operand_data[1695],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8597 */
  {
    "aarch64_zip1v2di_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2di_low },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8597 */
  {
    "aarch64_zip1v8hf_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hf_low },
    &operand_data[1711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8597 */
  {
    "aarch64_zip1v4sf_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4sf_low },
    &operand_data[1721],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8597 */
  {
    "aarch64_zip1v2df_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2df_low },
    &operand_data[2119],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8597 */
  {
    "aarch64_zip1v8bf_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8bf_low },
    &operand_data[5955],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5043 },
#else
    { 0, 0, output_5043 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8qi },
    &operand_data[5962],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5044 },
#else
    { 0, 0, output_5044 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv16qi },
    &operand_data[5966],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5045 },
#else
    { 0, 0, output_5045 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hi },
    &operand_data[5970],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5046 },
#else
    { 0, 0, output_5046 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hi },
    &operand_data[5974],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5047 },
#else
    { 0, 0, output_5047 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2si },
    &operand_data[1872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5048 },
#else
    { 0, 0, output_5048 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4si },
    &operand_data[3939],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5049 },
#else
    { 0, 0, output_5049 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2di },
    &operand_data[5978],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5050 },
#else
    { 0, 0, output_5050 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hf },
    &operand_data[5982],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5051 },
#else
    { 0, 0, output_5051 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hf },
    &operand_data[5986],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5052 },
#else
    { 0, 0, output_5052 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4bf },
    &operand_data[5990],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5053 },
#else
    { 0, 0, output_5053 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8bf },
    &operand_data[5994],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5054 },
#else
    { 0, 0, output_5054 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2sf },
    &operand_data[1888],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5055 },
#else
    { 0, 0, output_5055 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4sf },
    &operand_data[3781],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8611 */
  {
    "aarch64_extv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5056 },
#else
    { 0, 0, output_5056 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2df },
    &operand_data[3785],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf_vec_concatz_le },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf_vec_concatz_be },
    &operand_data[2937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4bf },
    &operand_data[1513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4bf_vec_concatz_le },
    &operand_data[5998],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4bf_vec_concatz_be },
    &operand_data[5998],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4bf },
    &operand_data[1513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4bf_vec_concatz_le },
    &operand_data[5998],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4bf_vec_concatz_be },
    &operand_data[5998],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4bf },
    &operand_data[1513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4bf_vec_concatz_le },
    &operand_data[5998],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4bf_vec_concatz_be },
    &operand_data[5998],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8bf },
    &operand_data[1516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8bf },
    &operand_data[1516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8bf },
    &operand_data[1516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf_vec_concatz_le },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf_vec_concatz_be },
    &operand_data[2940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev32v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_rev16v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8638 */
  {
    "aarch64_st2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi_dreg },
    &operand_data[5570],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8638 */
  {
    "aarch64_st2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi_dreg },
    &operand_data[5572],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8638 */
  {
    "aarch64_st2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si_dreg },
    &operand_data[5574],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8638 */
  {
    "aarch64_st2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf_dreg },
    &operand_data[5578],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8638 */
  {
    "aarch64_st2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf_dreg },
    &operand_data[5580],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8638 */
  {
    "aarch64_st2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf_dreg },
    &operand_data[5584],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8648 */
  {
    "aarch64_st2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di_dreg },
    &operand_data[5576],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8648 */
  {
    "aarch64_st2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df_dreg },
    &operand_data[5582],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8658 */
  {
    "aarch64_st3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi_dreg },
    &operand_data[5586],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8658 */
  {
    "aarch64_st3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi_dreg },
    &operand_data[5588],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8658 */
  {
    "aarch64_st3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si_dreg },
    &operand_data[5590],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8658 */
  {
    "aarch64_st3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf_dreg },
    &operand_data[5594],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8658 */
  {
    "aarch64_st3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf_dreg },
    &operand_data[5596],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8658 */
  {
    "aarch64_st3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf_dreg },
    &operand_data[5600],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8668 */
  {
    "aarch64_st3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di_dreg },
    &operand_data[5592],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8668 */
  {
    "aarch64_st3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df_dreg },
    &operand_data[5598],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8678 */
  {
    "aarch64_st4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi_dreg },
    &operand_data[5602],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8678 */
  {
    "aarch64_st4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi_dreg },
    &operand_data[5604],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8678 */
  {
    "aarch64_st4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si_dreg },
    &operand_data[5606],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8678 */
  {
    "aarch64_st4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf_dreg },
    &operand_data[5610],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8678 */
  {
    "aarch64_st4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf_dreg },
    &operand_data[5612],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8678 */
  {
    "aarch64_st4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf_dreg },
    &operand_data[5616],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8688 */
  {
    "aarch64_st4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di_dreg },
    &operand_data[5608],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8688 */
  {
    "aarch64_st4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df_dreg },
    &operand_data[5614],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6001],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6003],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6005],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6007],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6009],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6011],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6013],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6015],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6017],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6019],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6021],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6023],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6025],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8769 */
  {
    "*aarch64_simd_ld1rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6027],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v8qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8qi_x2 },
    &operand_data[5884],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v4hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hi_x2 },
    &operand_data[5886],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v2si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2si_x2 },
    &operand_data[5888],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1di_x2 },
    &operand_data[5896],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v4hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hf_x2 },
    &operand_data[5890],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v2sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2sf_x2 },
    &operand_data[5892],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1df_x2 },
    &operand_data[5898],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v4bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4bf_x2 },
    &operand_data[5894],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v16qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v16qi_x2 },
    &operand_data[4838],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v8hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hi_x2 },
    &operand_data[4840],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v4si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4si_x2 },
    &operand_data[4842],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v2di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2di_x2 },
    &operand_data[4844],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v8hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hf_x2 },
    &operand_data[4846],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v4sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4sf_x2 },
    &operand_data[4848],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v2df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2df_x2 },
    &operand_data[4850],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_simd_ld1v8bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8bf_x2 },
    &operand_data[4852],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8789 */
  {
    "aarch64_frecpev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8789 */
  {
    "aarch64_frecpev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8789 */
  {
    "aarch64_frecpev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8789 */
  {
    "aarch64_frecpev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8789 */
  {
    "aarch64_frecpev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8789 */
  {
    "aarch64_frecpehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpehf },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8789 */
  {
    "aarch64_frecpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpesf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8789 */
  {
    "aarch64_frecpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpedf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8799 */
  {
    "aarch64_frecpxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxhf },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8799 */
  {
    "aarch64_frecpxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8799 */
  {
    "aarch64_frecpxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8808 */
  {
    "aarch64_frecpsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8808 */
  {
    "aarch64_frecpsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8808 */
  {
    "aarch64_frecpsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8808 */
  {
    "aarch64_frecpsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8808 */
  {
    "aarch64_frecpsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8808 */
  {
    "aarch64_frecpshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpshf },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8808 */
  {
    "aarch64_frecpssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpssf },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8808 */
  {
    "aarch64_frecpsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsdf },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8819 */
  {
    "aarch64_urecpev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8819 */
  {
    "aarch64_urecpev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8871 */
  {
    "aarch64_crypto_aesev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesev16qi },
    &operand_data[6029],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8871 */
  {
    "aarch64_crypto_aesdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesdv16qi },
    &operand_data[6029],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8883 */
  {
    "aarch64_crypto_aesmcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesmcv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8883 */
  {
    "aarch64_crypto_aesimcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesimcv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8897 */
  {
    "*aarch64_crypto_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b\n\taesmc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6029],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8918 */
  {
    "*aarch64_crypto_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b\n\taesimc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6029],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8936 */
  {
    "aarch64_crypto_sha1hsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hsi },
    &operand_data[938],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8946 */
  {
    "aarch64_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hv4si },
    &operand_data[3170],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8956 */
  {
    "aarch64_be_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_crypto_sha1hv4si },
    &operand_data[3170],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8966 */
  {
    "aarch64_crypto_sha1su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su1\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su1v4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8976 */
  {
    "aarch64_crypto_sha1cv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1c\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1cv4si },
    &operand_data[6032],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8976 */
  {
    "aarch64_crypto_sha1mv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1m\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1mv4si },
    &operand_data[6032],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8976 */
  {
    "aarch64_crypto_sha1pv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1p\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1pv4si },
    &operand_data[6032],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8987 */
  {
    "aarch64_crypto_sha1su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su0\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su0v4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9000 */
  {
    "aarch64_crypto_sha256hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256hv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9000 */
  {
    "aarch64_crypto_sha256h2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h2\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256h2v4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9011 */
  {
    "aarch64_crypto_sha256su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su0\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su0v4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9021 */
  {
    "aarch64_crypto_sha256su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su1v4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9034 */
  {
    "aarch64_crypto_sha512hqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512hqv2di },
    &operand_data[6036],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9034 */
  {
    "aarch64_crypto_sha512h2qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h2\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512h2qv2di },
    &operand_data[6036],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9045 */
  {
    "aarch64_crypto_sha512su0qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su0\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su0qv2di },
    &operand_data[2544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9055 */
  {
    "aarch64_crypto_sha512su1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su1\t%0.2d, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su1qv2di },
    &operand_data[6036],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9068 */
  {
    "eor3qv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv16qi4 },
    &operand_data[6040],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9068 */
  {
    "eor3qv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv8hi4 },
    &operand_data[6044],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9068 */
  {
    "eor3qv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv4si4 },
    &operand_data[6048],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9068 */
  {
    "eor3qv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv2di4 },
    &operand_data[6052],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9080 */
  {
    "aarch64_rax1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rax1qv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9092 */
  {
    "*aarch64_xarqv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5237 },
#else
    { 0, 0, output_5237 },
#endif
    { 0 },
    &operand_data[6056],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9129 */
  {
    "bcaxqv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv16qi4 },
    &operand_data[6040],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9129 */
  {
    "bcaxqv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv8hi4 },
    &operand_data[6044],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9129 */
  {
    "bcaxqv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv4si4 },
    &operand_data[6048],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9129 */
  {
    "bcaxqv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv2di4 },
    &operand_data[6052],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9143 */
  {
    "aarch64_sm3ss1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3ss1\t%0.4s, %1.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3ss1qv4si },
    &operand_data[6048],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9155 */
  {
    "aarch64_sm3tt1aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1aqv4si },
    &operand_data[6060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9155 */
  {
    "aarch64_sm3tt1bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1bqv4si },
    &operand_data[6060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9155 */
  {
    "aarch64_sm3tt2aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2aqv4si },
    &operand_data[6060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9155 */
  {
    "aarch64_sm3tt2bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2bqv4si },
    &operand_data[6060],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9167 */
  {
    "aarch64_sm3partw1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw1qv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9167 */
  {
    "aarch64_sm3partw2qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw2\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw2qv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9180 */
  {
    "aarch64_sm4eqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4eqv4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9190 */
  {
    "aarch64_sm4ekeyqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4ekeyqv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9245 */
  {
    "aarch64_simd_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lowv2sf },
    &operand_data[6065],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9245 */
  {
    "aarch64_simd_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lowv4sf },
    &operand_data[6071],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9262 */
  {
    "aarch64_simd_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lowv2sf },
    &operand_data[6065],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9262 */
  {
    "aarch64_simd_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lowv4sf },
    &operand_data[6071],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9280 */
  {
    "aarch64_simd_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_highv2sf },
    &operand_data[6077],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9280 */
  {
    "aarch64_simd_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_highv4sf },
    &operand_data[6083],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9297 */
  {
    "aarch64_simd_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_highv2sf },
    &operand_data[6077],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9297 */
  {
    "aarch64_simd_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_highv4sf },
    &operand_data[6083],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9356 */
  {
    "aarch64_simd_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_lowv2sf },
    &operand_data[6089],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9374 */
  {
    "aarch64_simd_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_lowv2sf },
    &operand_data[6089],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9393 */
  {
    "aarch64_simd_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_highv2sf },
    &operand_data[6095],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9411 */
  {
    "aarch64_simd_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_highv2sf },
    &operand_data[6095],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9470 */
  {
    "aarch64_simd_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_lowv4sf },
    &operand_data[6101],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9488 */
  {
    "aarch64_simd_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_lowv4sf },
    &operand_data[6101],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9507 */
  {
    "aarch64_simd_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_highv4sf },
    &operand_data[6107],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9525 */
  {
    "aarch64_simd_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_highv4sf },
    &operand_data[6107],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9586 */
  {
    "aarch64_simd_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_lowv2sf },
    &operand_data[6113],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9604 */
  {
    "aarch64_simd_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_lowv2sf },
    &operand_data[6113],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9623 */
  {
    "aarch64_simd_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_highv2sf },
    &operand_data[6119],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9641 */
  {
    "aarch64_simd_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_highv2sf },
    &operand_data[6119],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9700 */
  {
    "aarch64_simd_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_lowv4sf },
    &operand_data[6125],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9718 */
  {
    "aarch64_simd_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_lowv4sf },
    &operand_data[6125],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9737 */
  {
    "aarch64_simd_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_highv4sf },
    &operand_data[6131],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9755 */
  {
    "aarch64_simd_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_highv4sf },
    &operand_data[6131],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9776 */
  {
    "aarch64_crypto_pmulldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull\t%0.1q, %1.1d, %2.1d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmulldi },
    &operand_data[6137],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9786 */
  {
    "aarch64_crypto_pmullv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull2\t%0.1q, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmullv2di },
    &operand_data[6140],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9797 */
  {
    "extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv8qiv8hi2 },
    &operand_data[1972],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9797 */
  {
    "zero_extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv8qiv8hi2 },
    &operand_data[1972],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9797 */
  {
    "extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv4hiv4si2 },
    &operand_data[1975],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9797 */
  {
    "zero_extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv4hiv4si2 },
    &operand_data[1975],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9797 */
  {
    "extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv2siv2di2 },
    &operand_data[1978],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9797 */
  {
    "zero_extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv2siv2di2 },
    &operand_data[1978],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9827 */
  {
    "truncv8hiv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv8hiv8qi2 },
    &operand_data[3669],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9827 */
  {
    "truncv8hiv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv8hiv8qi2_vec_concatz_le },
    &operand_data[3848],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9827 */
  {
    "truncv8hiv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv8hiv8qi2_vec_concatz_be },
    &operand_data[3848],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9827 */
  {
    "truncv4siv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4siv4hi2 },
    &operand_data[3678],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9827 */
  {
    "truncv4siv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4siv4hi2_vec_concatz_le },
    &operand_data[3851],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9827 */
  {
    "truncv4siv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4siv4hi2_vec_concatz_be },
    &operand_data[3851],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9827 */
  {
    "truncv2div2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2div2si2 },
    &operand_data[3687],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9827 */
  {
    "truncv2div2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2div2si2_vec_concatz_le },
    &operand_data[3854],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9827 */
  {
    "truncv2div2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2div2si2_vec_concatz_be },
    &operand_data[3854],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9844 */
  {
    "aarch64_bfdotv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.2s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv2sf },
    &operand_data[6143],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9844 */
  {
    "aarch64_bfdotv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv4sf },
    &operand_data[6147],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9857 */
  {
    "aarch64_bfdot_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5294 },
#else
    { 0, 0, output_5294 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev2sf },
    &operand_data[6151],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9857 */
  {
    "aarch64_bfdot_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5295 },
#else
    { 0, 0, output_5295 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev4sf },
    &operand_data[6156],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9857 */
  {
    "aarch64_bfdot_laneqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5296 },
#else
    { 0, 0, output_5296 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv2sf },
    &operand_data[6161],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9857 */
  {
    "aarch64_bfdot_laneqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5297 },
#else
    { 0, 0, output_5297 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv4sf },
    &operand_data[6166],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9877 */
  {
    "aarch64_bfmmlaqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmmla\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmmlaqv4sf },
    &operand_data[6147],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9889 */
  {
    "aarch64_bfmlalbv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalb\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalbv4sf },
    &operand_data[6147],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9889 */
  {
    "aarch64_bfmlaltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalt\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlaltv4sf },
    &operand_data[6147],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9900 */
  {
    "aarch64_bfmlalb_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5301 },
#else
    { 0, 0, output_5301 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lanev4sf },
    &operand_data[6171],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9900 */
  {
    "aarch64_bfmlalt_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5302 },
#else
    { 0, 0, output_5302 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lanev4sf },
    &operand_data[6171],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9900 */
  {
    "aarch64_bfmlalb_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5303 },
#else
    { 0, 0, output_5303 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lane_qv4sf },
    &operand_data[6176],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9900 */
  {
    "aarch64_bfmlalt_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5304 },
#else
    { 0, 0, output_5304 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lane_qv4sf },
    &operand_data[6176],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9916 */
  {
    "aarch64_simd_smmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_smmlav16qi },
    &operand_data[1859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9916 */
  {
    "aarch64_simd_ummlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ummla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ummlav16qi },
    &operand_data[1859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9916 */
  {
    "aarch64_simd_usmmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_usmmlav16qi },
    &operand_data[1859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9928 */
  {
    "aarch64_bfcvtnv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtnv4bf },
    &operand_data[6181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9928 */
  {
    "aarch64_bfcvtn_qv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn_qv8bf },
    &operand_data[6183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9937 */
  {
    "aarch64_bfcvtn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn2v8bf },
    &operand_data[6185],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9947 */
  {
    "aarch64_bfcvtbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtbf },
    &operand_data[6188],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9957 */
  {
    "aarch64_vbfcvtv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv4bf },
    &operand_data[6190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9957 */
  {
    "aarch64_vbfcvtv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv8bf },
    &operand_data[6192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9966 */
  {
    "aarch64_vbfcvt_highv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll2\t%0.4s, %1.8h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvt_highv8bf },
    &operand_data[6192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9975 */
  {
    "aarch64_bfcvtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%d0, %d1, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtsf },
    &operand_data[6194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_famaxv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_faminv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_famaxv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_faminv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_famaxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_faminv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_famaxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_faminv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_famaxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9985 */
  {
    "aarch64_faminv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9994 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi },
    &operand_data[6196],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi },
    &operand_data[6204],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi },
    &operand_data[6212],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi },
    &operand_data[6220],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:94 */
  {
    "aarch64_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti },
    &operand_data[6228],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swapqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5341 },
#else
    { 0, 0, output_5341 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi_lse },
    &operand_data[6236],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swaphi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5342 },
#else
    { 0, 0, output_5342 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi_lse },
    &operand_data[6240],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5343 },
#else
    { 0, 0, output_5343 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi_lse },
    &operand_data[6244],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5344 },
#else
    { 0, 0, output_5344 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi_lse },
    &operand_data[6248],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:163 */
  {
    "aarch64_compare_and_swapti_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5345 },
#else
    { 0, 0, output_5345 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti_lse },
    &operand_data[6252],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi },
    &operand_data[6256],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi },
    &operand_data[6261],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi },
    &operand_data[6266],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi },
    &operand_data[6271],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangeqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5350 },
#else
    { 0, 0, output_5350 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi_lse },
    &operand_data[6276],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangehi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5351 },
#else
    { 0, 0, output_5351 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi_lse },
    &operand_data[6280],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangesi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5352 },
#else
    { 0, 0, output_5352 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi_lse },
    &operand_data[6284],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangedi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5353 },
#else
    { 0, 0, output_5353 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi_lse },
    &operand_data[6288],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi },
    &operand_data[6292],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subqi },
    &operand_data[6292],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orqi },
    &operand_data[6297],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi },
    &operand_data[6297],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andqi },
    &operand_data[6297],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi },
    &operand_data[6302],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subhi },
    &operand_data[6302],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orhi },
    &operand_data[6307],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi },
    &operand_data[6307],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andhi },
    &operand_data[6307],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi },
    &operand_data[6312],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subsi },
    &operand_data[6312],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orsi },
    &operand_data[6317],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi },
    &operand_data[6317],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andsi },
    &operand_data[6317],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi },
    &operand_data[6322],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subdi },
    &operand_data[6322],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_ordi },
    &operand_data[6327],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi },
    &operand_data[6327],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_anddi },
    &operand_data[6327],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5374 },
#else
    { 0, 0, output_5374 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorqi_lse },
    &operand_data[6332],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5375 },
#else
    { 0, 0, output_5375 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicqi_lse },
    &operand_data[6332],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5376 },
#else
    { 0, 0, output_5376 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi_lse },
    &operand_data[6332],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5377 },
#else
    { 0, 0, output_5377 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi_lse },
    &operand_data[6332],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5378 },
#else
    { 0, 0, output_5378 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorhi_lse },
    &operand_data[6336],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5379 },
#else
    { 0, 0, output_5379 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bichi_lse },
    &operand_data[6336],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5380 },
#else
    { 0, 0, output_5380 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi_lse },
    &operand_data[6336],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5381 },
#else
    { 0, 0, output_5381 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi_lse },
    &operand_data[6336],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5382 },
#else
    { 0, 0, output_5382 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorsi_lse },
    &operand_data[6340],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5383 },
#else
    { 0, 0, output_5383 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicsi_lse },
    &operand_data[6340],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5384 },
#else
    { 0, 0, output_5384 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi_lse },
    &operand_data[6340],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5385 },
#else
    { 0, 0, output_5385 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi_lse },
    &operand_data[6340],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5386 },
#else
    { 0, 0, output_5386 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iordi_lse },
    &operand_data[6344],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5387 },
#else
    { 0, 0, output_5387 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicdi_lse },
    &operand_data[6344],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5388 },
#else
    { 0, 0, output_5388 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi_lse },
    &operand_data[6344],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5389 },
#else
    { 0, 0, output_5389 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi_lse },
    &operand_data[6344],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandqi },
    &operand_data[6297],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandhi },
    &operand_data[6307],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandsi },
    &operand_data[6317],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nanddi },
    &operand_data[6327],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi },
    &operand_data[6348],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subqi },
    &operand_data[6348],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orqi },
    &operand_data[6354],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi },
    &operand_data[6354],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andqi },
    &operand_data[6354],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi },
    &operand_data[6360],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subhi },
    &operand_data[6360],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orhi },
    &operand_data[6366],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi },
    &operand_data[6366],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andhi },
    &operand_data[6366],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi },
    &operand_data[6372],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subsi },
    &operand_data[6372],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orsi },
    &operand_data[6378],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi },
    &operand_data[6378],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andsi },
    &operand_data[6378],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi },
    &operand_data[6384],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subdi },
    &operand_data[6384],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_ordi },
    &operand_data[6390],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi },
    &operand_data[6390],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_anddi },
    &operand_data[6390],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5414 },
#else
    { 0, 0, output_5414 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorqi_lse },
    &operand_data[6396],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5415 },
#else
    { 0, 0, output_5415 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicqi_lse },
    &operand_data[6396],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5416 },
#else
    { 0, 0, output_5416 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi_lse },
    &operand_data[6396],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5417 },
#else
    { 0, 0, output_5417 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi_lse },
    &operand_data[6396],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5418 },
#else
    { 0, 0, output_5418 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorhi_lse },
    &operand_data[6400],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5419 },
#else
    { 0, 0, output_5419 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bichi_lse },
    &operand_data[6400],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5420 },
#else
    { 0, 0, output_5420 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi_lse },
    &operand_data[6400],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5421 },
#else
    { 0, 0, output_5421 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi_lse },
    &operand_data[6400],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5422 },
#else
    { 0, 0, output_5422 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorsi_lse },
    &operand_data[6404],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5423 },
#else
    { 0, 0, output_5423 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicsi_lse },
    &operand_data[6404],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5424 },
#else
    { 0, 0, output_5424 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi_lse },
    &operand_data[6404],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5425 },
#else
    { 0, 0, output_5425 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi_lse },
    &operand_data[6404],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5426 },
#else
    { 0, 0, output_5426 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iordi_lse },
    &operand_data[6408],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5427 },
#else
    { 0, 0, output_5427 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicdi_lse },
    &operand_data[6408],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5428 },
#else
    { 0, 0, output_5428 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi_lse },
    &operand_data[6408],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5429 },
#else
    { 0, 0, output_5429 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi_lse },
    &operand_data[6408],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandqi },
    &operand_data[6354],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandhi },
    &operand_data[6366],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandsi },
    &operand_data[6378],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nanddi },
    &operand_data[6390],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchqi },
    &operand_data[6412],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchqi },
    &operand_data[6412],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchqi },
    &operand_data[6417],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchqi },
    &operand_data[6417],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchqi },
    &operand_data[6417],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchhi },
    &operand_data[6422],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchhi },
    &operand_data[6422],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchhi },
    &operand_data[6427],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchhi },
    &operand_data[6427],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchhi },
    &operand_data[6427],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchsi },
    &operand_data[6372],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchsi },
    &operand_data[6372],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchsi },
    &operand_data[6378],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchsi },
    &operand_data[6378],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchsi },
    &operand_data[6378],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchdi },
    &operand_data[6432],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchdi },
    &operand_data[6432],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchdi },
    &operand_data[6437],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchdi },
    &operand_data[6437],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchdi },
    &operand_data[6437],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchqi },
    &operand_data[6417],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchhi },
    &operand_data[6427],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchsi },
    &operand_data[6378],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchdi },
    &operand_data[6437],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadqi_zexthi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5458 },
#else
    { 0, 0, output_5458 },
#endif
    { 0 },
    &operand_data[6442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadhi_zexthi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5459 },
#else
    { 0, 0, output_5459 },
#endif
    { 0 },
    &operand_data[6445],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadsi_zexthi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5460 },
#else
    { 0, 0, output_5460 },
#endif
    { 0 },
    &operand_data[6448],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadqi_zextsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5461 },
#else
    { 0, 0, output_5461 },
#endif
    { 0 },
    &operand_data[6451],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadhi_zextsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5462 },
#else
    { 0, 0, output_5462 },
#endif
    { 0 },
    &operand_data[6454],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadsi_zextsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5463 },
#else
    { 0, 0, output_5463 },
#endif
    { 0 },
    &operand_data[6457],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadqi_zextdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5464 },
#else
    { 0, 0, output_5464 },
#endif
    { 0 },
    &operand_data[6460],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadhi_zextdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5465 },
#else
    { 0, 0, output_5465 },
#endif
    { 0 },
    &operand_data[6463],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadsi_zextdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5466 },
#else
    { 0, 0, output_5466 },
#endif
    { 0 },
    &operand_data[6466],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:681 */
  {
    "aarch64_atomic_loadqi_rcpc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadqi_rcpc },
    &operand_data[6469],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:681 */
  {
    "aarch64_atomic_loadhi_rcpc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadhi_rcpc },
    &operand_data[6445],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:681 */
  {
    "aarch64_atomic_loadsi_rcpc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadsi_rcpc },
    &operand_data[6457],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:681 */
  {
    "aarch64_atomic_loaddi_rcpc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loaddi_rcpc },
    &operand_data[6472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:691 */
  {
    "aarch64_atomic_loadqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5471 },
#else
    { 0, 0, output_5471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadqi },
    &operand_data[6469],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:691 */
  {
    "aarch64_atomic_loadhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5472 },
#else
    { 0, 0, output_5472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadhi },
    &operand_data[6445],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:691 */
  {
    "aarch64_atomic_loadsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5473 },
#else
    { 0, 0, output_5473 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadsi },
    &operand_data[6457],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:691 */
  {
    "aarch64_atomic_loaddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5474 },
#else
    { 0, 0, output_5474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loaddi },
    &operand_data[6472],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadqi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6442],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadhi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6445],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadsi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6448],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadqi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadhi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6454],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadsi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6457],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadqi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6460],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadhi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadsi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6466],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadqi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadqi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursb\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6460],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadhi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6454],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadhi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursh\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadsi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursw\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6457],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadsi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursw\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6466],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:729 */
  {
    "atomic_storeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5490 },
#else
    { 0, 0, output_5490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storeqi },
    &operand_data[6475],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:729 */
  {
    "atomic_storehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5491 },
#else
    { 0, 0, output_5491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storehi },
    &operand_data[6478],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:729 */
  {
    "atomic_storesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5492 },
#else
    { 0, 0, output_5492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storesi },
    &operand_data[6481],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:729 */
  {
    "atomic_storedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5493 },
#else
    { 0, 0, output_5493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storedi },
    &operand_data[6484],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:748 */
  {
    "aarch64_load_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5494 },
#else
    { 0, 0, output_5494 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusiveqi },
    &operand_data[6451],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:748 */
  {
    "aarch64_load_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5495 },
#else
    { 0, 0, output_5495 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivehi },
    &operand_data[6454],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:765 */
  {
    "aarch64_load_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5496 },
#else
    { 0, 0, output_5496 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivesi },
    &operand_data[6457],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:765 */
  {
    "aarch64_load_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5497 },
#else
    { 0, 0, output_5497 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivedi },
    &operand_data[6472],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:781 */
  {
    "aarch64_load_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5498 },
#else
    { 0, 0, output_5498 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusive_pair },
    &operand_data[6487],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:799 */
  {
    "aarch64_store_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5499 },
#else
    { 0, 0, output_5499 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusiveqi },
    &operand_data[6491],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:799 */
  {
    "aarch64_store_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5500 },
#else
    { 0, 0, output_5500 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivehi },
    &operand_data[6495],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:799 */
  {
    "aarch64_store_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5501 },
#else
    { 0, 0, output_5501 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivesi },
    &operand_data[6499],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:799 */
  {
    "aarch64_store_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5502 },
#else
    { 0, 0, output_5502 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivedi },
    &operand_data[6503],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:817 */
  {
    "aarch64_store_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5503 },
#else
    { 0, 0, output_5503 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusive_pair },
    &operand_data[6507],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:858 */
  {
    "*dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5504 },
#else
    { 0, 0, output_5504 },
#endif
    { 0 },
    &operand_data[6512],
    2,
    2,
    1,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:690 */
  {
    "*aarch64_sve_movvnx16qi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5505 },
#else
    { 0, 0, output_5505 },
#endif
    { 0 },
    &operand_data[6514],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:690 */
  {
    "*aarch64_sve_movvnx8hi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5506 },
#else
    { 0, 0, output_5506 },
#endif
    { 0 },
    &operand_data[6516],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:690 */
  {
    "*aarch64_sve_movvnx4si_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5507 },
#else
    { 0, 0, output_5507 },
#endif
    { 0 },
    &operand_data[6518],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:690 */
  {
    "*aarch64_sve_movvnx2di_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5508 },
#else
    { 0, 0, output_5508 },
#endif
    { 0 },
    &operand_data[6520],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:690 */
  {
    "*aarch64_sve_movvnx8bf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5509 },
#else
    { 0, 0, output_5509 },
#endif
    { 0 },
    &operand_data[6522],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:690 */
  {
    "*aarch64_sve_movvnx8hf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5510 },
#else
    { 0, 0, output_5510 },
#endif
    { 0 },
    &operand_data[6524],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:690 */
  {
    "*aarch64_sve_movvnx4sf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5511 },
#else
    { 0, 0, output_5511 },
#endif
    { 0 },
    &operand_data[6526],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:690 */
  {
    "*aarch64_sve_movvnx2df_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5512 },
#else
    { 0, 0, output_5512 },
#endif
    { 0 },
    &operand_data[6528],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx16qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5513 },
#else
    { 0, 0, output_5513 },
#endif
    { 0 },
    &operand_data[6530],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx8qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5514 },
#else
    { 0, 0, output_5514 },
#endif
    { 0 },
    &operand_data[6532],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx4qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5515 },
#else
    { 0, 0, output_5515 },
#endif
    { 0 },
    &operand_data[6534],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx2qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5516 },
#else
    { 0, 0, output_5516 },
#endif
    { 0 },
    &operand_data[6536],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx8hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5517 },
#else
    { 0, 0, output_5517 },
#endif
    { 0 },
    &operand_data[6538],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx4hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5518 },
#else
    { 0, 0, output_5518 },
#endif
    { 0 },
    &operand_data[6540],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx2hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5519 },
#else
    { 0, 0, output_5519 },
#endif
    { 0 },
    &operand_data[6542],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx4si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5520 },
#else
    { 0, 0, output_5520 },
#endif
    { 0 },
    &operand_data[6544],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx2si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5521 },
#else
    { 0, 0, output_5521 },
#endif
    { 0 },
    &operand_data[6546],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx2di_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5522 },
#else
    { 0, 0, output_5522 },
#endif
    { 0 },
    &operand_data[6548],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx8hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5523 },
#else
    { 0, 0, output_5523 },
#endif
    { 0 },
    &operand_data[6550],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx4hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5524 },
#else
    { 0, 0, output_5524 },
#endif
    { 0 },
    &operand_data[6552],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx2hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5525 },
#else
    { 0, 0, output_5525 },
#endif
    { 0 },
    &operand_data[6554],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx8bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5526 },
#else
    { 0, 0, output_5526 },
#endif
    { 0 },
    &operand_data[6556],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx4bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5527 },
#else
    { 0, 0, output_5527 },
#endif
    { 0 },
    &operand_data[6558],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx2bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5528 },
#else
    { 0, 0, output_5528 },
#endif
    { 0 },
    &operand_data[6560],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx4sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5529 },
#else
    { 0, 0, output_5529 },
#endif
    { 0 },
    &operand_data[6562],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx2sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5530 },
#else
    { 0, 0, output_5530 },
#endif
    { 0 },
    &operand_data[6564],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:709 */
  {
    "*aarch64_sve_movvnx2df_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5531 },
#else
    { 0, 0, output_5531 },
#endif
    { 0 },
    &operand_data[6566],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5532 },
#else
    { 0, output_5532, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16qi },
    &operand_data[6568],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5533 },
#else
    { 0, output_5533, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8qi },
    &operand_data[6571],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5534 },
#else
    { 0, output_5534, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4qi },
    &operand_data[6574],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5535 },
#else
    { 0, output_5535, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2qi },
    &operand_data[6577],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5536 },
#else
    { 0, output_5536, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hi },
    &operand_data[6580],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5537 },
#else
    { 0, output_5537, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hi },
    &operand_data[6583],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5538 },
#else
    { 0, output_5538, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hi },
    &operand_data[6586],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5539 },
#else
    { 0, output_5539, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4si },
    &operand_data[6589],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5540 },
#else
    { 0, output_5540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2si },
    &operand_data[6592],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5541 },
#else
    { 0, output_5541, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2di },
    &operand_data[6595],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5542 },
#else
    { 0, output_5542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hf },
    &operand_data[6598],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5543 },
#else
    { 0, output_5543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hf },
    &operand_data[6601],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5544 },
#else
    { 0, output_5544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hf },
    &operand_data[6604],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5545 },
#else
    { 0, output_5545, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8bf },
    &operand_data[6607],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5546 },
#else
    { 0, output_5546, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4bf },
    &operand_data[6610],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5547 },
#else
    { 0, output_5547, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2bf },
    &operand_data[6613],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5548 },
#else
    { 0, output_5548, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4sf },
    &operand_data[6616],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5549 },
#else
    { 0, output_5549, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2sf },
    &operand_data[6619],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:748 */
  {
    "aarch64_pred_movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5550 },
#else
    { 0, output_5550, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2df },
    &operand_data[6622],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx16qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6625],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx8qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6628],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx4qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6631],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx2qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6634],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx8hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6637],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx4hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6640],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx2hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6643],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx4si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx2si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx2di_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6652],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx8hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6655],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx4hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6658],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx2hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6661],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx8bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx4bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx2bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx4sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx2sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:771 */
  {
    "*aarch64_sve_movvnx2df_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6682],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6684],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6686],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6690],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6692],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6694],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6696],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6698],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6700],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6702],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6704],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6706],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6708],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6710],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6712],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6714],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6716],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6718],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6720],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6722],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6724],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6726],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6728],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6730],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6732],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6734],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6736],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6738],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6740],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6742],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6744],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6746],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6748],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6750],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6752],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6754],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6756],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6758],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6760],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6762],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6764],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:808 */
  {
    "*aarch64_sve_reinterpretvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6766],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx32qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6768],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx16hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6770],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx8si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6772],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx4di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6774],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx16bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6776],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx16hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6778],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx8sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6780],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx4df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6782],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx48qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6784],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx24hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6786],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx12si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6788],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx6di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6790],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx24bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6792],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx24hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6794],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx12sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6796],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx6df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6798],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx64qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6800],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx32hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6802],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx16si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6804],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx8di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6806],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx32bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6808],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx32hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6810],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx16sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6812],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:853 */
  {
    "*aarch64_sve_movvnx8df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6814],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx32qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6816],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx16hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6818],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx8si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6820],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx4di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6822],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx16bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6824],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx16hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6826],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx8sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6828],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx4df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6830],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx48qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6832],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx24hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6834],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx12si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6836],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx6di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6838],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx24bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6840],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx24hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6842],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx12sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6844],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx6df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6846],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx64qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6848],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx32hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6850],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx16si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6852],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx8di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6854],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx32bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6856],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx32hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6858],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx16sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6860],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:863 */
  {
    "*aarch64_sve_movvnx8df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6862],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32qi },
    &operand_data[6864],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hi },
    &operand_data[6867],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8si },
    &operand_data[6870],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4di },
    &operand_data[6873],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16bf },
    &operand_data[6876],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hf },
    &operand_data[6879],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8sf },
    &operand_data[6882],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4df },
    &operand_data[6885],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx48qi },
    &operand_data[6888],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hi },
    &operand_data[6891],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12si },
    &operand_data[6894],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6di },
    &operand_data[6897],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24bf },
    &operand_data[6900],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hf },
    &operand_data[6903],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12sf },
    &operand_data[6906],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6df },
    &operand_data[6909],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx64qi },
    &operand_data[6912],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hi },
    &operand_data[6915],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16si },
    &operand_data[6918],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8di },
    &operand_data[6921],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32bf },
    &operand_data[6924],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hf },
    &operand_data[6927],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16sf },
    &operand_data[6930],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:899 */
  {
    "aarch64_pred_movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8df },
    &operand_data[6933],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:955 */
  {
    "*aarch64_sve_movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5685 },
#else
    { 0, 0, output_5685 },
#endif
    { 0 },
    &operand_data[6936],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:955 */
  {
    "*aarch64_sve_movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5686 },
#else
    { 0, 0, output_5686 },
#endif
    { 0 },
    &operand_data[6938],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:955 */
  {
    "*aarch64_sve_movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5687 },
#else
    { 0, 0, output_5687 },
#endif
    { 0 },
    &operand_data[6940],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:955 */
  {
    "*aarch64_sve_movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5688 },
#else
    { 0, 0, output_5688 },
#endif
    { 0 },
    &operand_data[6942],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:970 */
  {
    "*aarch64_sve_ptruevnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5689 },
#else
    { 0, 0, output_5689 },
#endif
    { 0 },
    &operand_data[6944],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:995 */
  {
    "*aarch64_sve_ptruevnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5690 },
#else
    { 0, 0, output_5690 },
#endif
    { 0 },
    &operand_data[6950],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:995 */
  {
    "*aarch64_sve_ptruevnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5691 },
#else
    { 0, 0, output_5691 },
#endif
    { 0 },
    &operand_data[6956],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:995 */
  {
    "*aarch64_sve_ptruevnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5692 },
#else
    { 0, 0, output_5692 },
#endif
    { 0 },
    &operand_data[6962],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1023 */
  {
    "*aarch64_sve_ptruevnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5693 },
#else
    { 0, 0, output_5693 },
#endif
    { 0 },
    &operand_data[6968],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1048 */
  {
    "*aarch64_sve_ptruevnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5694 },
#else
    { 0, 0, output_5694 },
#endif
    { 0 },
    &operand_data[6974],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1048 */
  {
    "*aarch64_sve_ptruevnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5695 },
#else
    { 0, 0, output_5695 },
#endif
    { 0 },
    &operand_data[6980],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1048 */
  {
    "*aarch64_sve_ptruevnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5696 },
#else
    { 0, 0, output_5696 },
#endif
    { 0 },
    &operand_data[6986],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1077 */
  {
    "movvnx32bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5697 },
#else
    { 0, output_5697, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32bi },
    &operand_data[6992],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1106 */
  {
    "aarch64_wrffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5698 },
#else
    { 0, output_5698, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_wrffr },
    &operand_data[6994],
    1,
    1,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1124 */
  {
    "aarch64_update_ffr_for_load",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffr_for_load },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1139 */
  {
    "aarch64_copy_ffr_to_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_copy_ffr_to_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1150 */
  {
    "aarch64_rdffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffr\t%0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr },
    &operand_data[6944],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1158 */
  {
    "aarch64_rdffr_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5702 },
#else
    { 0, output_5702, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr_z },
    &operand_data[6995],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1172 */
  {
    "*aarch64_rdffr_z_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5703 },
#else
    { 0, output_5703, 0 },
#endif
    { 0 },
    &operand_data[6997],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1192 */
  {
    "*aarch64_rdffr_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5704 },
#else
    { 0, output_5704, 0 },
#endif
    { 0 },
    &operand_data[6997],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1210 */
  {
    "*aarch64_rdffr_z_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5705 },
#else
    { 0, output_5705, 0 },
#endif
    { 0 },
    &operand_data[7000],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1233 */
  {
    "*aarch64_rdffr_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5706 },
#else
    { 0, output_5706, 0 },
#endif
    { 0 },
    &operand_data[6995],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1255 */
  {
    "aarch64_update_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx16qivnx16bi },
    &operand_data[7003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8qivnx8bi },
    &operand_data[7006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4qivnx4bi },
    &operand_data[7009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2qivnx2bi },
    &operand_data[7012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hivnx8bi },
    &operand_data[7015],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hivnx4bi },
    &operand_data[7018],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hivnx2bi },
    &operand_data[7021],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sivnx4bi },
    &operand_data[7024],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sivnx2bi },
    &operand_data[7027],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2divnx2bi },
    &operand_data[7030],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hfvnx8bi },
    &operand_data[7033],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hfvnx4bi },
    &operand_data[7036],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hfvnx2bi },
    &operand_data[7039],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8bfvnx8bi },
    &operand_data[7042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4bfvnx4bi },
    &operand_data[7045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2bfvnx2bi },
    &operand_data[7048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sfvnx4bi },
    &operand_data[7051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sfvnx2bi },
    &operand_data[7054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "maskloadvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2dfvnx2bi },
    &operand_data[7057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32qivnx16qi },
    &operand_data[7060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hivnx8hi },
    &operand_data[7063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sivnx4si },
    &operand_data[7066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4divnx2di },
    &operand_data[7069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16bfvnx8bf },
    &operand_data[7072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hfvnx8hf },
    &operand_data[7075],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sfvnx4sf },
    &operand_data[7078],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4dfvnx2df },
    &operand_data[7081],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx48qivnx16qi },
    &operand_data[7084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hivnx8hi },
    &operand_data[7087],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sivnx4si },
    &operand_data[7090],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6divnx2di },
    &operand_data[7093],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24bfvnx8bf },
    &operand_data[7096],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hfvnx8hf },
    &operand_data[7099],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sfvnx4sf },
    &operand_data[7102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6dfvnx2df },
    &operand_data[7105],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx64qivnx16qi },
    &operand_data[7108],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hivnx8hi },
    &operand_data[7111],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sivnx4si },
    &operand_data[7114],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8divnx2di },
    &operand_data[7117],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32bfvnx8bf },
    &operand_data[7120],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hfvnx8hf },
    &operand_data[7123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sfvnx4sf },
    &operand_data[7126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1314 */
  {
    "vec_mask_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8dfvnx2df },
    &operand_data[7129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx8hivnx8qi },
    &operand_data[7132],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx8qi },
    &operand_data[7132],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx8hivnx8qi },
    &operand_data[7132],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx8qi },
    &operand_data[7132],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx8hivnx4qi },
    &operand_data[7136],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx4qi },
    &operand_data[7136],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx8hivnx4qi },
    &operand_data[7136],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx4qi },
    &operand_data[7136],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx8hivnx2qi },
    &operand_data[7140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx2qi },
    &operand_data[7140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx8hivnx2qi },
    &operand_data[7140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx2qi },
    &operand_data[7140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx8hivnx4hi },
    &operand_data[7144],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx4hi },
    &operand_data[7144],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx8hivnx4hi },
    &operand_data[7144],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx4hi },
    &operand_data[7144],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx8hivnx2hi },
    &operand_data[7148],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx2hi },
    &operand_data[7148],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx8hivnx2hi },
    &operand_data[7148],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx2hi },
    &operand_data[7148],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx8hivnx2si },
    &operand_data[7152],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx2si },
    &operand_data[7152],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx8hivnx2si },
    &operand_data[7152],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx2si },
    &operand_data[7152],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4hivnx8qi },
    &operand_data[7156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx8qi },
    &operand_data[7156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4hivnx8qi },
    &operand_data[7156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx8qi },
    &operand_data[7156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4hivnx4qi },
    &operand_data[7160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx4qi },
    &operand_data[7160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4hivnx4qi },
    &operand_data[7160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx4qi },
    &operand_data[7160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4hivnx2qi },
    &operand_data[7164],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx2qi },
    &operand_data[7164],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4hivnx2qi },
    &operand_data[7164],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx2qi },
    &operand_data[7164],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4hivnx4hi },
    &operand_data[7168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx4hi },
    &operand_data[7168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4hivnx4hi },
    &operand_data[7168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx4hi },
    &operand_data[7168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4hivnx2hi },
    &operand_data[7172],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx2hi },
    &operand_data[7172],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4hivnx2hi },
    &operand_data[7172],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx2hi },
    &operand_data[7172],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4hivnx2si },
    &operand_data[7176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx2si },
    &operand_data[7176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4hivnx2si },
    &operand_data[7176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx2si },
    &operand_data[7176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2hivnx8qi },
    &operand_data[7180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx8qi },
    &operand_data[7180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2hivnx8qi },
    &operand_data[7180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx8qi },
    &operand_data[7180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2hivnx4qi },
    &operand_data[7184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx4qi },
    &operand_data[7184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2hivnx4qi },
    &operand_data[7184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx4qi },
    &operand_data[7184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2hivnx2qi },
    &operand_data[7188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx2qi },
    &operand_data[7188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2hivnx2qi },
    &operand_data[7188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx2qi },
    &operand_data[7188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2hivnx4hi },
    &operand_data[7192],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx4hi },
    &operand_data[7192],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2hivnx4hi },
    &operand_data[7192],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx4hi },
    &operand_data[7192],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2hivnx2hi },
    &operand_data[7196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx2hi },
    &operand_data[7196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2hivnx2hi },
    &operand_data[7196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx2hi },
    &operand_data[7196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2hivnx2si },
    &operand_data[7200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx2si },
    &operand_data[7200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2hivnx2si },
    &operand_data[7200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx2si },
    &operand_data[7200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4sivnx8qi },
    &operand_data[7204],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx8qi },
    &operand_data[7204],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4sivnx8qi },
    &operand_data[7204],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx8qi },
    &operand_data[7204],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4sivnx4qi },
    &operand_data[7208],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4qi },
    &operand_data[7208],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4sivnx4qi },
    &operand_data[7208],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4qi },
    &operand_data[7208],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4sivnx2qi },
    &operand_data[7212],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx2qi },
    &operand_data[7212],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4sivnx2qi },
    &operand_data[7212],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx2qi },
    &operand_data[7212],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4sivnx4hi },
    &operand_data[7216],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4hi },
    &operand_data[7216],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4sivnx4hi },
    &operand_data[7216],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4hi },
    &operand_data[7216],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4sivnx2hi },
    &operand_data[7220],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx2hi },
    &operand_data[7220],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4sivnx2hi },
    &operand_data[7220],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx2hi },
    &operand_data[7220],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx4sivnx2si },
    &operand_data[7224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx2si },
    &operand_data[7224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx4sivnx2si },
    &operand_data[7224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx2si },
    &operand_data[7224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2sivnx8qi },
    &operand_data[7228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx8qi },
    &operand_data[7228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2sivnx8qi },
    &operand_data[7228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx8qi },
    &operand_data[7228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2sivnx4qi },
    &operand_data[7232],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx4qi },
    &operand_data[7232],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2sivnx4qi },
    &operand_data[7232],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx4qi },
    &operand_data[7232],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2sivnx2qi },
    &operand_data[7236],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2qi },
    &operand_data[7236],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2sivnx2qi },
    &operand_data[7236],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2qi },
    &operand_data[7236],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2sivnx4hi },
    &operand_data[7240],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx4hi },
    &operand_data[7240],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2sivnx4hi },
    &operand_data[7240],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx4hi },
    &operand_data[7240],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2sivnx2hi },
    &operand_data[7244],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2hi },
    &operand_data[7244],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2sivnx2hi },
    &operand_data[7244],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2hi },
    &operand_data[7244],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2sivnx2si },
    &operand_data[7248],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2si },
    &operand_data[7248],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2sivnx2si },
    &operand_data[7248],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2si },
    &operand_data[7248],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2divnx8qi },
    &operand_data[7252],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx8qi },
    &operand_data[7252],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2divnx8qi },
    &operand_data[7252],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx8qi },
    &operand_data[7252],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2divnx4qi },
    &operand_data[7256],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx4qi },
    &operand_data[7256],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2divnx4qi },
    &operand_data[7256],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx4qi },
    &operand_data[7256],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2divnx2qi },
    &operand_data[7260],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2qi },
    &operand_data[7260],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2divnx2qi },
    &operand_data[7260],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2qi },
    &operand_data[7260],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2divnx4hi },
    &operand_data[7264],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx4hi },
    &operand_data[7264],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2divnx4hi },
    &operand_data[7264],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx4hi },
    &operand_data[7264],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2divnx2hi },
    &operand_data[7268],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2hi },
    &operand_data[7268],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2divnx2hi },
    &operand_data[7268],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2hi },
    &operand_data[7268],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_extendvnx2divnx2si },
    &operand_data[7272],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2si },
    &operand_data[7272],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_x_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_x_zero_extendvnx2divnx2si },
    &operand_data[7272],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1337 */
  {
    "aarch64_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2si },
    &operand_data[7272],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldff1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx16qi },
    &operand_data[7276],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldnf1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldff1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hi },
    &operand_data[7282],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldnf1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hi },
    &operand_data[7285],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldff1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4si },
    &operand_data[7288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldnf1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4si },
    &operand_data[7291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldff1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2di },
    &operand_data[7294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldnf1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2di },
    &operand_data[7297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldff1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8bf },
    &operand_data[7300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldnf1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8bf },
    &operand_data[7303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldff1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hf },
    &operand_data[7306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldnf1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hf },
    &operand_data[7309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldff1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4sf },
    &operand_data[7312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldnf1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4sf },
    &operand_data[7315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldff1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2df },
    &operand_data[7318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1370 */
  {
    "aarch64_ldnf1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2df },
    &operand_data[7321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx8qi },
    &operand_data[7324],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx8qi },
    &operand_data[7328],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx8qi },
    &operand_data[7324],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx8qi },
    &operand_data[7328],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx4qi },
    &operand_data[7332],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx4qi },
    &operand_data[7336],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx4qi },
    &operand_data[7332],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx4qi },
    &operand_data[7336],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx2qi },
    &operand_data[7340],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx2qi },
    &operand_data[7344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx2qi },
    &operand_data[7340],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx2qi },
    &operand_data[7344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx4hi },
    &operand_data[7348],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx4hi },
    &operand_data[7352],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx4hi },
    &operand_data[7348],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx4hi },
    &operand_data[7352],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx2hi },
    &operand_data[7356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx2hi },
    &operand_data[7360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx2hi },
    &operand_data[7356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx2hi },
    &operand_data[7360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx2si },
    &operand_data[7364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx2si },
    &operand_data[7368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx2si },
    &operand_data[7364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx2si },
    &operand_data[7368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx8qi },
    &operand_data[7372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx8qi },
    &operand_data[7376],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx8qi },
    &operand_data[7372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx8qi },
    &operand_data[7376],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx4qi },
    &operand_data[7380],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx4qi },
    &operand_data[7384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx4qi },
    &operand_data[7380],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx4qi },
    &operand_data[7384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx2qi },
    &operand_data[7388],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx2qi },
    &operand_data[7392],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx2qi },
    &operand_data[7388],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx2qi },
    &operand_data[7392],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx4hi },
    &operand_data[7396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx4hi },
    &operand_data[7400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx4hi },
    &operand_data[7396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx4hi },
    &operand_data[7400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx2hi },
    &operand_data[7404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx2hi },
    &operand_data[7408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx2hi },
    &operand_data[7404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx2hi },
    &operand_data[7408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx2si },
    &operand_data[7412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx2si },
    &operand_data[7416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx2si },
    &operand_data[7412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx2si },
    &operand_data[7416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx8qi },
    &operand_data[7420],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx8qi },
    &operand_data[7424],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx8qi },
    &operand_data[7420],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx8qi },
    &operand_data[7424],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx4qi },
    &operand_data[7428],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx4qi },
    &operand_data[7432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx4qi },
    &operand_data[7428],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx4qi },
    &operand_data[7432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx2qi },
    &operand_data[7436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx2qi },
    &operand_data[7440],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx2qi },
    &operand_data[7436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx2qi },
    &operand_data[7440],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx4hi },
    &operand_data[7444],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx4hi },
    &operand_data[7448],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx4hi },
    &operand_data[7444],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx4hi },
    &operand_data[7448],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx2hi },
    &operand_data[7452],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx2hi },
    &operand_data[7456],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx2hi },
    &operand_data[7452],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx2hi },
    &operand_data[7456],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx2si },
    &operand_data[7460],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx2si },
    &operand_data[7464],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx2si },
    &operand_data[7460],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx2si },
    &operand_data[7464],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx8qi },
    &operand_data[7468],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx8qi },
    &operand_data[7472],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx8qi },
    &operand_data[7468],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx8qi },
    &operand_data[7472],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4qi },
    &operand_data[7476],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4qi },
    &operand_data[7480],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4qi },
    &operand_data[7476],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4qi },
    &operand_data[7480],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx2qi },
    &operand_data[7484],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx2qi },
    &operand_data[7488],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx2qi },
    &operand_data[7484],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx2qi },
    &operand_data[7488],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4hi },
    &operand_data[7492],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4hi },
    &operand_data[7496],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4hi },
    &operand_data[7492],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4hi },
    &operand_data[7496],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx2hi },
    &operand_data[7500],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx2hi },
    &operand_data[7504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx2hi },
    &operand_data[7500],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx2hi },
    &operand_data[7504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx2si },
    &operand_data[7508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx2si },
    &operand_data[7512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx2si },
    &operand_data[7508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx2si },
    &operand_data[7512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx8qi },
    &operand_data[7516],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx8qi },
    &operand_data[7520],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx8qi },
    &operand_data[7516],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx8qi },
    &operand_data[7520],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx4qi },
    &operand_data[7524],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx4qi },
    &operand_data[7528],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx4qi },
    &operand_data[7524],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx4qi },
    &operand_data[7528],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2qi },
    &operand_data[7532],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2qi },
    &operand_data[7536],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2qi },
    &operand_data[7532],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2qi },
    &operand_data[7536],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx4hi },
    &operand_data[7540],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx4hi },
    &operand_data[7544],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx4hi },
    &operand_data[7540],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx4hi },
    &operand_data[7544],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2hi },
    &operand_data[7548],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2hi },
    &operand_data[7552],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2hi },
    &operand_data[7548],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2hi },
    &operand_data[7552],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2si },
    &operand_data[7556],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2si },
    &operand_data[7560],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2si },
    &operand_data[7556],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2si },
    &operand_data[7560],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx8qi },
    &operand_data[7564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx8qi },
    &operand_data[7568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx8qi },
    &operand_data[7564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx8qi },
    &operand_data[7568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx4qi },
    &operand_data[7572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx4qi },
    &operand_data[7576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx4qi },
    &operand_data[7572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx4qi },
    &operand_data[7576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2qi },
    &operand_data[7580],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2qi },
    &operand_data[7584],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2qi },
    &operand_data[7580],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2qi },
    &operand_data[7584],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx4hi },
    &operand_data[7588],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx4hi },
    &operand_data[7592],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx4hi },
    &operand_data[7588],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx4hi },
    &operand_data[7592],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2hi },
    &operand_data[7596],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2hi },
    &operand_data[7600],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2hi },
    &operand_data[7596],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2hi },
    &operand_data[7600],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2si },
    &operand_data[7604],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2si },
    &operand_data[7608],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2si },
    &operand_data[7604],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1400 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2si },
    &operand_data[7608],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1432 */
  {
    "aarch64_ldnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16qi },
    &operand_data[7003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1432 */
  {
    "aarch64_ldnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hi },
    &operand_data[7015],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1432 */
  {
    "aarch64_ldnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4si },
    &operand_data[7024],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1432 */
  {
    "aarch64_ldnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2di },
    &operand_data[7030],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1432 */
  {
    "aarch64_ldnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8bf },
    &operand_data[7042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1432 */
  {
    "aarch64_ldnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hf },
    &operand_data[7033],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1432 */
  {
    "aarch64_ldnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4sf },
    &operand_data[7051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1432 */
  {
    "aarch64_ldnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2df },
    &operand_data[7057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1469 */
  {
    "mask_gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6063 },
#else
    { 0, output_6063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4qivnx4si },
    &operand_data[7612],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1469 */
  {
    "mask_gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6064 },
#else
    { 0, output_6064, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hivnx4si },
    &operand_data[7618],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1469 */
  {
    "mask_gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6065 },
#else
    { 0, output_6065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hfvnx4si },
    &operand_data[7624],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1469 */
  {
    "mask_gather_loadvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6066 },
#else
    { 0, output_6066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4bfvnx4si },
    &operand_data[7630],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1469 */
  {
    "mask_gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6067 },
#else
    { 0, output_6067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sivnx4si },
    &operand_data[7636],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1469 */
  {
    "mask_gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6068 },
#else
    { 0, output_6068, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sfvnx4si },
    &operand_data[7642],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1498 */
  {
    "mask_gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6069 },
#else
    { 0, output_6069, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2qivnx2di },
    &operand_data[7648],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1498 */
  {
    "mask_gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6070 },
#else
    { 0, output_6070, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hivnx2di },
    &operand_data[7654],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1498 */
  {
    "mask_gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6071 },
#else
    { 0, output_6071, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hfvnx2di },
    &operand_data[7660],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1498 */
  {
    "mask_gather_loadvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6072 },
#else
    { 0, output_6072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2bfvnx2di },
    &operand_data[7666],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1498 */
  {
    "mask_gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6073 },
#else
    { 0, output_6073, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sivnx2di },
    &operand_data[7672],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1498 */
  {
    "mask_gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6074 },
#else
    { 0, output_6074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sfvnx2di },
    &operand_data[7678],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1498 */
  {
    "mask_gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6075 },
#else
    { 0, output_6075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2divnx2di },
    &operand_data[7684],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1498 */
  {
    "mask_gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6076 },
#else
    { 0, output_6076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2dfvnx2di },
    &operand_data[7690],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6077 },
#else
    { 0, output_6077, 0 },
#endif
    { 0 },
    &operand_data[7696],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6078 },
#else
    { 0, output_6078, 0 },
#endif
    { 0 },
    &operand_data[7696],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6079 },
#else
    { 0, output_6079, 0 },
#endif
    { 0 },
    &operand_data[7703],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6080 },
#else
    { 0, output_6080, 0 },
#endif
    { 0 },
    &operand_data[7703],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6081 },
#else
    { 0, output_6081, 0 },
#endif
    { 0 },
    &operand_data[7710],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6082 },
#else
    { 0, output_6082, 0 },
#endif
    { 0 },
    &operand_data[7710],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2bfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6083 },
#else
    { 0, output_6083, 0 },
#endif
    { 0 },
    &operand_data[7717],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2bfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6084 },
#else
    { 0, output_6084, 0 },
#endif
    { 0 },
    &operand_data[7717],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6085 },
#else
    { 0, output_6085, 0 },
#endif
    { 0 },
    &operand_data[7724],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6086 },
#else
    { 0, output_6086, 0 },
#endif
    { 0 },
    &operand_data[7724],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6087 },
#else
    { 0, output_6087, 0 },
#endif
    { 0 },
    &operand_data[7731],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6088 },
#else
    { 0, output_6088, 0 },
#endif
    { 0 },
    &operand_data[7731],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6089 },
#else
    { 0, output_6089, 0 },
#endif
    { 0 },
    &operand_data[7738],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6090 },
#else
    { 0, output_6090, 0 },
#endif
    { 0 },
    &operand_data[7738],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6091 },
#else
    { 0, output_6091, 0 },
#endif
    { 0 },
    &operand_data[7745],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1522 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6092 },
#else
    { 0, output_6092, 0 },
#endif
    { 0 },
    &operand_data[7745],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6093 },
#else
    { 0, output_6093, 0 },
#endif
    { 0 },
    &operand_data[7752],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6094 },
#else
    { 0, output_6094, 0 },
#endif
    { 0 },
    &operand_data[7759],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6095 },
#else
    { 0, output_6095, 0 },
#endif
    { 0 },
    &operand_data[7766],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2bfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6096 },
#else
    { 0, output_6096, 0 },
#endif
    { 0 },
    &operand_data[7773],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6097 },
#else
    { 0, output_6097, 0 },
#endif
    { 0 },
    &operand_data[7780],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6098 },
#else
    { 0, output_6098, 0 },
#endif
    { 0 },
    &operand_data[7787],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6099 },
#else
    { 0, output_6099, 0 },
#endif
    { 0 },
    &operand_data[7794],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6100 },
#else
    { 0, output_6100, 0 },
#endif
    { 0 },
    &operand_data[7801],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6101 },
#else
    { 0, output_6101, 0 },
#endif
    { 0 },
    &operand_data[7808],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6102 },
#else
    { 0, output_6102, 0 },
#endif
    { 0 },
    &operand_data[7815],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6103 },
#else
    { 0, output_6103, 0 },
#endif
    { 0 },
    &operand_data[7822],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2bfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6104 },
#else
    { 0, output_6104, 0 },
#endif
    { 0 },
    &operand_data[7829],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6105 },
#else
    { 0, output_6105, 0 },
#endif
    { 0 },
    &operand_data[7836],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6106 },
#else
    { 0, output_6106, 0 },
#endif
    { 0 },
    &operand_data[7843],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6107 },
#else
    { 0, output_6107, 0 },
#endif
    { 0 },
    &operand_data[7850],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6108 },
#else
    { 0, output_6108, 0 },
#endif
    { 0 },
    &operand_data[7857],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1616 */
  {
    "aarch64_gather_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6109 },
#else
    { 0, output_6109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4hivnx4qi },
    &operand_data[7864],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1616 */
  {
    "aarch64_gather_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6110 },
#else
    { 0, output_6110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4hivnx4qi },
    &operand_data[7864],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1616 */
  {
    "aarch64_gather_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6111 },
#else
    { 0, output_6111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4qi },
    &operand_data[7871],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1616 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6112 },
#else
    { 0, output_6112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4qi },
    &operand_data[7871],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1616 */
  {
    "aarch64_gather_load_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6113 },
#else
    { 0, output_6113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4hivnx4hi },
    &operand_data[7878],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1616 */
  {
    "aarch64_gather_load_zero_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6114 },
#else
    { 0, output_6114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4hivnx4hi },
    &operand_data[7878],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1616 */
  {
    "aarch64_gather_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6115 },
#else
    { 0, output_6115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4hi },
    &operand_data[7885],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1616 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6116 },
#else
    { 0, output_6116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4hi },
    &operand_data[7885],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6117 },
#else
    { 0, output_6117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2hivnx2qi },
    &operand_data[7892],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6118 },
#else
    { 0, output_6118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2hivnx2qi },
    &operand_data[7892],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6119 },
#else
    { 0, output_6119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2qi },
    &operand_data[7899],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6120 },
#else
    { 0, output_6120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2qi },
    &operand_data[7899],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6121 },
#else
    { 0, output_6121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2qi },
    &operand_data[7906],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6122 },
#else
    { 0, output_6122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2qi },
    &operand_data[7906],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6123 },
#else
    { 0, output_6123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2hivnx2hi },
    &operand_data[7913],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_zero_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6124 },
#else
    { 0, output_6124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2hivnx2hi },
    &operand_data[7913],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6125 },
#else
    { 0, output_6125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2hi },
    &operand_data[7920],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6126 },
#else
    { 0, output_6126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2hi },
    &operand_data[7920],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6127 },
#else
    { 0, output_6127, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2hi },
    &operand_data[7927],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6128 },
#else
    { 0, output_6128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2hi },
    &operand_data[7927],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6129 },
#else
    { 0, output_6129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2hivnx2si },
    &operand_data[7934],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_zero_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6130 },
#else
    { 0, output_6130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2hivnx2si },
    &operand_data[7934],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6131 },
#else
    { 0, output_6131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2si },
    &operand_data[7941],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6132 },
#else
    { 0, output_6132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2si },
    &operand_data[7941],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6133 },
#else
    { 0, output_6133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2si },
    &operand_data[7948],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1655 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6134 },
#else
    { 0, output_6134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2si },
    &operand_data[7948],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6135 },
#else
    { 0, output_6135, 0 },
#endif
    { 0 },
    &operand_data[7955],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6136 },
#else
    { 0, output_6136, 0 },
#endif
    { 0 },
    &operand_data[7955],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6137 },
#else
    { 0, output_6137, 0 },
#endif
    { 0 },
    &operand_data[7955],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6138 },
#else
    { 0, output_6138, 0 },
#endif
    { 0 },
    &operand_data[7955],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6139 },
#else
    { 0, output_6139, 0 },
#endif
    { 0 },
    &operand_data[7963],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6140 },
#else
    { 0, output_6140, 0 },
#endif
    { 0 },
    &operand_data[7963],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6141 },
#else
    { 0, output_6141, 0 },
#endif
    { 0 },
    &operand_data[7963],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6142 },
#else
    { 0, output_6142, 0 },
#endif
    { 0 },
    &operand_data[7963],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6143 },
#else
    { 0, output_6143, 0 },
#endif
    { 0 },
    &operand_data[7971],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6144 },
#else
    { 0, output_6144, 0 },
#endif
    { 0 },
    &operand_data[7971],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6145 },
#else
    { 0, output_6145, 0 },
#endif
    { 0 },
    &operand_data[7971],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6146 },
#else
    { 0, output_6146, 0 },
#endif
    { 0 },
    &operand_data[7971],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6147 },
#else
    { 0, output_6147, 0 },
#endif
    { 0 },
    &operand_data[7979],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6148 },
#else
    { 0, output_6148, 0 },
#endif
    { 0 },
    &operand_data[7979],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6149 },
#else
    { 0, output_6149, 0 },
#endif
    { 0 },
    &operand_data[7979],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6150 },
#else
    { 0, output_6150, 0 },
#endif
    { 0 },
    &operand_data[7979],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6151 },
#else
    { 0, output_6151, 0 },
#endif
    { 0 },
    &operand_data[7987],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6152 },
#else
    { 0, output_6152, 0 },
#endif
    { 0 },
    &operand_data[7987],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6153 },
#else
    { 0, output_6153, 0 },
#endif
    { 0 },
    &operand_data[7987],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6154 },
#else
    { 0, output_6154, 0 },
#endif
    { 0 },
    &operand_data[7987],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6155 },
#else
    { 0, output_6155, 0 },
#endif
    { 0 },
    &operand_data[7995],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6156 },
#else
    { 0, output_6156, 0 },
#endif
    { 0 },
    &operand_data[7995],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6157 },
#else
    { 0, output_6157, 0 },
#endif
    { 0 },
    &operand_data[7995],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6158 },
#else
    { 0, output_6158, 0 },
#endif
    { 0 },
    &operand_data[7995],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6159 },
#else
    { 0, output_6159, 0 },
#endif
    { 0 },
    &operand_data[8003],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6160 },
#else
    { 0, output_6160, 0 },
#endif
    { 0 },
    &operand_data[8003],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6161 },
#else
    { 0, output_6161, 0 },
#endif
    { 0 },
    &operand_data[8003],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6162 },
#else
    { 0, output_6162, 0 },
#endif
    { 0 },
    &operand_data[8003],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6163 },
#else
    { 0, output_6163, 0 },
#endif
    { 0 },
    &operand_data[8011],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6164 },
#else
    { 0, output_6164, 0 },
#endif
    { 0 },
    &operand_data[8011],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6165 },
#else
    { 0, output_6165, 0 },
#endif
    { 0 },
    &operand_data[8011],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6166 },
#else
    { 0, output_6166, 0 },
#endif
    { 0 },
    &operand_data[8011],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6167 },
#else
    { 0, output_6167, 0 },
#endif
    { 0 },
    &operand_data[8019],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6168 },
#else
    { 0, output_6168, 0 },
#endif
    { 0 },
    &operand_data[8019],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6169 },
#else
    { 0, output_6169, 0 },
#endif
    { 0 },
    &operand_data[8019],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1689 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6170 },
#else
    { 0, output_6170, 0 },
#endif
    { 0 },
    &operand_data[8019],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6171 },
#else
    { 0, output_6171, 0 },
#endif
    { 0 },
    &operand_data[8027],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6172 },
#else
    { 0, output_6172, 0 },
#endif
    { 0 },
    &operand_data[8027],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6173 },
#else
    { 0, output_6173, 0 },
#endif
    { 0 },
    &operand_data[8035],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6174 },
#else
    { 0, output_6174, 0 },
#endif
    { 0 },
    &operand_data[8035],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6175 },
#else
    { 0, output_6175, 0 },
#endif
    { 0 },
    &operand_data[8043],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6176 },
#else
    { 0, output_6176, 0 },
#endif
    { 0 },
    &operand_data[8043],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6177 },
#else
    { 0, output_6177, 0 },
#endif
    { 0 },
    &operand_data[8051],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6178 },
#else
    { 0, output_6178, 0 },
#endif
    { 0 },
    &operand_data[8051],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6179 },
#else
    { 0, output_6179, 0 },
#endif
    { 0 },
    &operand_data[8059],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6180 },
#else
    { 0, output_6180, 0 },
#endif
    { 0 },
    &operand_data[8059],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6181 },
#else
    { 0, output_6181, 0 },
#endif
    { 0 },
    &operand_data[8067],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6182 },
#else
    { 0, output_6182, 0 },
#endif
    { 0 },
    &operand_data[8067],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6183 },
#else
    { 0, output_6183, 0 },
#endif
    { 0 },
    &operand_data[8075],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6184 },
#else
    { 0, output_6184, 0 },
#endif
    { 0 },
    &operand_data[8075],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6185 },
#else
    { 0, output_6185, 0 },
#endif
    { 0 },
    &operand_data[8083],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6186 },
#else
    { 0, output_6186, 0 },
#endif
    { 0 },
    &operand_data[8083],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6187 },
#else
    { 0, output_6187, 0 },
#endif
    { 0 },
    &operand_data[8091],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6188 },
#else
    { 0, output_6188, 0 },
#endif
    { 0 },
    &operand_data[8091],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6189 },
#else
    { 0, output_6189, 0 },
#endif
    { 0 },
    &operand_data[8099],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6190 },
#else
    { 0, output_6190, 0 },
#endif
    { 0 },
    &operand_data[8099],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6191 },
#else
    { 0, output_6191, 0 },
#endif
    { 0 },
    &operand_data[8107],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6192 },
#else
    { 0, output_6192, 0 },
#endif
    { 0 },
    &operand_data[8107],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6193 },
#else
    { 0, output_6193, 0 },
#endif
    { 0 },
    &operand_data[8115],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6194 },
#else
    { 0, output_6194, 0 },
#endif
    { 0 },
    &operand_data[8115],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6195 },
#else
    { 0, output_6195, 0 },
#endif
    { 0 },
    &operand_data[8123],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6196 },
#else
    { 0, output_6196, 0 },
#endif
    { 0 },
    &operand_data[8123],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6197 },
#else
    { 0, output_6197, 0 },
#endif
    { 0 },
    &operand_data[8131],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6198 },
#else
    { 0, output_6198, 0 },
#endif
    { 0 },
    &operand_data[8131],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6199 },
#else
    { 0, output_6199, 0 },
#endif
    { 0 },
    &operand_data[8139],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6200 },
#else
    { 0, output_6200, 0 },
#endif
    { 0 },
    &operand_data[8139],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6201 },
#else
    { 0, output_6201, 0 },
#endif
    { 0 },
    &operand_data[8147],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6202 },
#else
    { 0, output_6202, 0 },
#endif
    { 0 },
    &operand_data[8147],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6203 },
#else
    { 0, output_6203, 0 },
#endif
    { 0 },
    &operand_data[8155],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6204 },
#else
    { 0, output_6204, 0 },
#endif
    { 0 },
    &operand_data[8155],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6205 },
#else
    { 0, output_6205, 0 },
#endif
    { 0 },
    &operand_data[8163],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1762 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6206 },
#else
    { 0, output_6206, 0 },
#endif
    { 0 },
    &operand_data[8163],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1803 */
  {
    "aarch64_ldff1_gathervnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6207 },
#else
    { 0, output_6207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4si },
    &operand_data[8171],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1803 */
  {
    "aarch64_ldff1_gathervnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6208 },
#else
    { 0, output_6208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4sf },
    &operand_data[8177],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1833 */
  {
    "aarch64_ldff1_gathervnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6209 },
#else
    { 0, output_6209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2di },
    &operand_data[7684],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1833 */
  {
    "aarch64_ldff1_gathervnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6210 },
#else
    { 0, output_6210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2df },
    &operand_data[7690],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1858 */
  {
    "*aarch64_ldff1_gathervnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6211 },
#else
    { 0, output_6211, 0 },
#endif
    { 0 },
    &operand_data[7794],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1858 */
  {
    "*aarch64_ldff1_gathervnx2df_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6212 },
#else
    { 0, output_6212, 0 },
#endif
    { 0 },
    &operand_data[7801],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1888 */
  {
    "*aarch64_ldff1_gathervnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6213 },
#else
    { 0, output_6213, 0 },
#endif
    { 0 },
    &operand_data[7850],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1888 */
  {
    "*aarch64_ldff1_gathervnx2df_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6214 },
#else
    { 0, output_6214, 0 },
#endif
    { 0 },
    &operand_data[7857],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1924 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6215 },
#else
    { 0, output_6215, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4qi },
    &operand_data[8183],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1924 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6216 },
#else
    { 0, output_6216, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4qi },
    &operand_data[8183],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1924 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6217 },
#else
    { 0, output_6217, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4hi },
    &operand_data[8190],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1924 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6218 },
#else
    { 0, output_6218, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4hi },
    &operand_data[8190],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1962 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6219 },
#else
    { 0, output_6219, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2qi },
    &operand_data[8197],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1962 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6220 },
#else
    { 0, output_6220, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2qi },
    &operand_data[8197],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1962 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6221 },
#else
    { 0, output_6221, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2hi },
    &operand_data[8204],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1962 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6222 },
#else
    { 0, output_6222, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2hi },
    &operand_data[8204],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1962 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6223 },
#else
    { 0, output_6223, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2si },
    &operand_data[8211],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1962 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6224 },
#else
    { 0, output_6224, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2si },
    &operand_data[8211],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1995 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6225 },
#else
    { 0, output_6225, 0 },
#endif
    { 0 },
    &operand_data[8043],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1995 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6226 },
#else
    { 0, output_6226, 0 },
#endif
    { 0 },
    &operand_data[8043],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1995 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6227 },
#else
    { 0, output_6227, 0 },
#endif
    { 0 },
    &operand_data[8067],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1995 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6228 },
#else
    { 0, output_6228, 0 },
#endif
    { 0 },
    &operand_data[8067],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1995 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6229 },
#else
    { 0, output_6229, 0 },
#endif
    { 0 },
    &operand_data[8091],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1995 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6230 },
#else
    { 0, output_6230, 0 },
#endif
    { 0 },
    &operand_data[8091],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2030 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6231 },
#else
    { 0, output_6231, 0 },
#endif
    { 0 },
    &operand_data[8115],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2030 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6232 },
#else
    { 0, output_6232, 0 },
#endif
    { 0 },
    &operand_data[8115],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2030 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6233 },
#else
    { 0, output_6233, 0 },
#endif
    { 0 },
    &operand_data[8139],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2030 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6234 },
#else
    { 0, output_6234, 0 },
#endif
    { 0 },
    &operand_data[8139],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2030 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6235 },
#else
    { 0, output_6235, 0 },
#endif
    { 0 },
    &operand_data[8163],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2030 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6236 },
#else
    { 0, output_6236, 0 },
#endif
    { 0 },
    &operand_data[8163],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2077 */
  {
    "aarch64_sve_prefetchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6237 },
#else
    { 0, 0, output_6237 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx16qi },
    &operand_data[8218],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2077 */
  {
    "aarch64_sve_prefetchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6238 },
#else
    { 0, 0, output_6238 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx8hi },
    &operand_data[8223],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2077 */
  {
    "aarch64_sve_prefetchvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6239 },
#else
    { 0, 0, output_6239 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx4si },
    &operand_data[8228],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2077 */
  {
    "aarch64_sve_prefetchvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6240 },
#else
    { 0, 0, output_6240 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx2di },
    &operand_data[8233],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2113 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6241 },
#else
    { 0, 0, output_6241 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx4si },
    &operand_data[8238],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2113 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6242 },
#else
    { 0, 0, output_6242 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx4si },
    &operand_data[8247],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2113 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6243 },
#else
    { 0, 0, output_6243 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx4si },
    &operand_data[8256],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2113 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6244 },
#else
    { 0, 0, output_6244 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx4si },
    &operand_data[8265],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2142 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6245 },
#else
    { 0, 0, output_6245 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx2di },
    &operand_data[8274],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2142 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6246 },
#else
    { 0, 0, output_6246 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx2di },
    &operand_data[8283],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2142 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6247 },
#else
    { 0, 0, output_6247 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx2di },
    &operand_data[8292],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2142 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6248 },
#else
    { 0, 0, output_6248 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx2di },
    &operand_data[8301],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2168 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6249 },
#else
    { 0, 0, output_6249 },
#endif
    { 0 },
    &operand_data[8310],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2168 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6250 },
#else
    { 0, 0, output_6250 },
#endif
    { 0 },
    &operand_data[8320],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2168 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6251 },
#else
    { 0, 0, output_6251 },
#endif
    { 0 },
    &operand_data[8330],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2168 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6252 },
#else
    { 0, 0, output_6252 },
#endif
    { 0 },
    &operand_data[8340],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2201 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6253 },
#else
    { 0, 0, output_6253 },
#endif
    { 0 },
    &operand_data[8350],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2201 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6254 },
#else
    { 0, 0, output_6254 },
#endif
    { 0 },
    &operand_data[8360],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2201 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6255 },
#else
    { 0, 0, output_6255 },
#endif
    { 0 },
    &operand_data[8370],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2201 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6256 },
#else
    { 0, 0, output_6256 },
#endif
    { 0 },
    &operand_data[8380],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx16qivnx16bi },
    &operand_data[8390],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8qivnx8bi },
    &operand_data[8393],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4qivnx4bi },
    &operand_data[8396],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2qivnx2bi },
    &operand_data[8399],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hivnx8bi },
    &operand_data[8402],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hivnx4bi },
    &operand_data[8405],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hivnx2bi },
    &operand_data[8408],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sivnx4bi },
    &operand_data[8411],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sivnx2bi },
    &operand_data[8414],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2divnx2bi },
    &operand_data[8417],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hfvnx8bi },
    &operand_data[8420],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hfvnx4bi },
    &operand_data[8423],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hfvnx2bi },
    &operand_data[8426],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8bfvnx8bi },
    &operand_data[8429],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4bfvnx4bi },
    &operand_data[8432],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2bfvnx2bi },
    &operand_data[8435],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sfvnx4bi },
    &operand_data[8438],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sfvnx2bi },
    &operand_data[8441],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "maskstorevnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2dfvnx2bi },
    &operand_data[8444],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32qivnx16qi },
    &operand_data[8447],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hivnx8hi },
    &operand_data[8450],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sivnx4si },
    &operand_data[8453],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4divnx2di },
    &operand_data[8456],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16bfvnx8bf },
    &operand_data[8459],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hfvnx8hf },
    &operand_data[8462],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sfvnx4sf },
    &operand_data[8465],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4dfvnx2df },
    &operand_data[8468],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx48qivnx16qi },
    &operand_data[8471],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hivnx8hi },
    &operand_data[8474],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sivnx4si },
    &operand_data[8477],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6divnx2di },
    &operand_data[8480],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24bfvnx8bf },
    &operand_data[8483],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hfvnx8hf },
    &operand_data[8486],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sfvnx4sf },
    &operand_data[8489],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6dfvnx2df },
    &operand_data[8492],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx64qivnx16qi },
    &operand_data[8495],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hivnx8hi },
    &operand_data[8498],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sivnx4si },
    &operand_data[8501],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8divnx2di },
    &operand_data[8504],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32bfvnx8bf },
    &operand_data[8507],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hfvnx8hf },
    &operand_data[8510],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sfvnx4sf },
    &operand_data[8513],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2283 */
  {
    "vec_mask_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8dfvnx2df },
    &operand_data[8516],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2304 */
  {
    "aarch64_store_truncvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx8qivnx8hi },
    &operand_data[8519],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2317 */
  {
    "aarch64_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4qivnx4si },
    &operand_data[8522],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2317 */
  {
    "aarch64_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4hivnx4si },
    &operand_data[8525],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2330 */
  {
    "aarch64_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2qivnx2di },
    &operand_data[8528],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2330 */
  {
    "aarch64_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2hivnx2di },
    &operand_data[8531],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2330 */
  {
    "aarch64_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2sivnx2di },
    &operand_data[8534],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2352 */
  {
    "aarch64_stnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16qi },
    &operand_data[8390],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2352 */
  {
    "aarch64_stnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hi },
    &operand_data[8402],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2352 */
  {
    "aarch64_stnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4si },
    &operand_data[8411],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2352 */
  {
    "aarch64_stnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2di },
    &operand_data[8417],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2352 */
  {
    "aarch64_stnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8bf },
    &operand_data[8429],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2352 */
  {
    "aarch64_stnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hf },
    &operand_data[8420],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2352 */
  {
    "aarch64_stnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4sf },
    &operand_data[8438],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2352 */
  {
    "aarch64_stnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2df },
    &operand_data[8444],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2390 */
  {
    "mask_scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6314 },
#else
    { 0, output_6314, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4qivnx4si },
    &operand_data[8537],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2390 */
  {
    "mask_scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6315 },
#else
    { 0, output_6315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hivnx4si },
    &operand_data[8543],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2390 */
  {
    "mask_scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6316 },
#else
    { 0, output_6316, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hfvnx4si },
    &operand_data[8549],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2390 */
  {
    "mask_scatter_storevnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6317 },
#else
    { 0, output_6317, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4bfvnx4si },
    &operand_data[8555],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2390 */
  {
    "mask_scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6318 },
#else
    { 0, output_6318, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sivnx4si },
    &operand_data[8561],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2390 */
  {
    "mask_scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6319 },
#else
    { 0, output_6319, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sfvnx4si },
    &operand_data[8567],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2413 */
  {
    "mask_scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6320 },
#else
    { 0, output_6320, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2qivnx2di },
    &operand_data[8573],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2413 */
  {
    "mask_scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6321 },
#else
    { 0, output_6321, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hivnx2di },
    &operand_data[8579],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2413 */
  {
    "mask_scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6322 },
#else
    { 0, output_6322, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hfvnx2di },
    &operand_data[8585],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2413 */
  {
    "mask_scatter_storevnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6323 },
#else
    { 0, output_6323, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2bfvnx2di },
    &operand_data[8591],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2413 */
  {
    "mask_scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6324 },
#else
    { 0, output_6324, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sivnx2di },
    &operand_data[8597],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2413 */
  {
    "mask_scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6325 },
#else
    { 0, output_6325, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sfvnx2di },
    &operand_data[8603],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2413 */
  {
    "mask_scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6326 },
#else
    { 0, output_6326, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2divnx2di },
    &operand_data[8609],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2413 */
  {
    "mask_scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6327 },
#else
    { 0, output_6327, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2dfvnx2di },
    &operand_data[8615],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6328 },
#else
    { 0, output_6328, 0 },
#endif
    { 0 },
    &operand_data[8621],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6329 },
#else
    { 0, output_6329, 0 },
#endif
    { 0 },
    &operand_data[8621],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6330 },
#else
    { 0, output_6330, 0 },
#endif
    { 0 },
    &operand_data[8628],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6331 },
#else
    { 0, output_6331, 0 },
#endif
    { 0 },
    &operand_data[8628],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6332 },
#else
    { 0, output_6332, 0 },
#endif
    { 0 },
    &operand_data[8635],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6333 },
#else
    { 0, output_6333, 0 },
#endif
    { 0 },
    &operand_data[8635],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2bfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6334 },
#else
    { 0, output_6334, 0 },
#endif
    { 0 },
    &operand_data[8642],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2bfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6335 },
#else
    { 0, output_6335, 0 },
#endif
    { 0 },
    &operand_data[8642],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6336 },
#else
    { 0, output_6336, 0 },
#endif
    { 0 },
    &operand_data[8649],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6337 },
#else
    { 0, output_6337, 0 },
#endif
    { 0 },
    &operand_data[8649],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6338 },
#else
    { 0, output_6338, 0 },
#endif
    { 0 },
    &operand_data[8656],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6339 },
#else
    { 0, output_6339, 0 },
#endif
    { 0 },
    &operand_data[8656],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6340 },
#else
    { 0, output_6340, 0 },
#endif
    { 0 },
    &operand_data[8663],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6341 },
#else
    { 0, output_6341, 0 },
#endif
    { 0 },
    &operand_data[8663],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6342 },
#else
    { 0, output_6342, 0 },
#endif
    { 0 },
    &operand_data[8670],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2433 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6343 },
#else
    { 0, output_6343, 0 },
#endif
    { 0 },
    &operand_data[8670],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2460 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6344 },
#else
    { 0, output_6344, 0 },
#endif
    { 0 },
    &operand_data[8677],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2460 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6345 },
#else
    { 0, output_6345, 0 },
#endif
    { 0 },
    &operand_data[8684],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2460 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6346 },
#else
    { 0, output_6346, 0 },
#endif
    { 0 },
    &operand_data[8691],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2460 */
  {
    "*mask_scatter_storevnx2bfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6347 },
#else
    { 0, output_6347, 0 },
#endif
    { 0 },
    &operand_data[8698],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2460 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6348 },
#else
    { 0, output_6348, 0 },
#endif
    { 0 },
    &operand_data[8705],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2460 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6349 },
#else
    { 0, output_6349, 0 },
#endif
    { 0 },
    &operand_data[8712],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2460 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6350 },
#else
    { 0, output_6350, 0 },
#endif
    { 0 },
    &operand_data[8719],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2460 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6351 },
#else
    { 0, output_6351, 0 },
#endif
    { 0 },
    &operand_data[8726],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2488 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6352 },
#else
    { 0, output_6352, 0 },
#endif
    { 0 },
    &operand_data[8733],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2488 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6353 },
#else
    { 0, output_6353, 0 },
#endif
    { 0 },
    &operand_data[8740],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2488 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6354 },
#else
    { 0, output_6354, 0 },
#endif
    { 0 },
    &operand_data[8747],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2488 */
  {
    "*mask_scatter_storevnx2bfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6355 },
#else
    { 0, output_6355, 0 },
#endif
    { 0 },
    &operand_data[8754],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2488 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6356 },
#else
    { 0, output_6356, 0 },
#endif
    { 0 },
    &operand_data[8761],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2488 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6357 },
#else
    { 0, output_6357, 0 },
#endif
    { 0 },
    &operand_data[8768],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2488 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6358 },
#else
    { 0, output_6358, 0 },
#endif
    { 0 },
    &operand_data[8775],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2488 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6359 },
#else
    { 0, output_6359, 0 },
#endif
    { 0 },
    &operand_data[8782],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2518 */
  {
    "aarch64_scatter_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6360 },
#else
    { 0, output_6360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4qivnx4si },
    &operand_data[8789],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2518 */
  {
    "aarch64_scatter_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6361 },
#else
    { 0, output_6361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4hivnx4si },
    &operand_data[8795],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2542 */
  {
    "aarch64_scatter_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6362 },
#else
    { 0, output_6362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2qivnx2di },
    &operand_data[8801],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2542 */
  {
    "aarch64_scatter_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6363 },
#else
    { 0, output_6363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2hivnx2di },
    &operand_data[8807],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2542 */
  {
    "aarch64_scatter_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6364 },
#else
    { 0, output_6364, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2sivnx2di },
    &operand_data[8813],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2563 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6365 },
#else
    { 0, output_6365, 0 },
#endif
    { 0 },
    &operand_data[8819],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2563 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6366 },
#else
    { 0, output_6366, 0 },
#endif
    { 0 },
    &operand_data[8826],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2563 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6367 },
#else
    { 0, output_6367, 0 },
#endif
    { 0 },
    &operand_data[8833],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2591 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6368 },
#else
    { 0, output_6368, 0 },
#endif
    { 0 },
    &operand_data[8840],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2591 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6369 },
#else
    { 0, output_6369, 0 },
#endif
    { 0 },
    &operand_data[8847],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2591 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6370 },
#else
    { 0, output_6370, 0 },
#endif
    { 0 },
    &operand_data[8854],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx16qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6371 },
#else
    { 0, output_6371, 0 },
#endif
    { 0 },
    &operand_data[8861],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx8qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6372 },
#else
    { 0, output_6372, 0 },
#endif
    { 0 },
    &operand_data[8864],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx4qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6373 },
#else
    { 0, output_6373, 0 },
#endif
    { 0 },
    &operand_data[8867],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx2qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6374 },
#else
    { 0, output_6374, 0 },
#endif
    { 0 },
    &operand_data[8870],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx8hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6375 },
#else
    { 0, output_6375, 0 },
#endif
    { 0 },
    &operand_data[8873],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx4hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6376 },
#else
    { 0, output_6376, 0 },
#endif
    { 0 },
    &operand_data[8876],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx2hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6377 },
#else
    { 0, output_6377, 0 },
#endif
    { 0 },
    &operand_data[8879],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx4si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6378 },
#else
    { 0, output_6378, 0 },
#endif
    { 0 },
    &operand_data[8882],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx2si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6379 },
#else
    { 0, output_6379, 0 },
#endif
    { 0 },
    &operand_data[8885],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx2di_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6380 },
#else
    { 0, output_6380, 0 },
#endif
    { 0 },
    &operand_data[8888],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx8hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6381 },
#else
    { 0, output_6381, 0 },
#endif
    { 0 },
    &operand_data[8891],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx4hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6382 },
#else
    { 0, output_6382, 0 },
#endif
    { 0 },
    &operand_data[8894],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx2hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6383 },
#else
    { 0, output_6383, 0 },
#endif
    { 0 },
    &operand_data[8897],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx8bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6384 },
#else
    { 0, output_6384, 0 },
#endif
    { 0 },
    &operand_data[8900],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx4bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6385 },
#else
    { 0, output_6385, 0 },
#endif
    { 0 },
    &operand_data[8903],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx2bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6386 },
#else
    { 0, output_6386, 0 },
#endif
    { 0 },
    &operand_data[8906],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx4sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6387 },
#else
    { 0, output_6387, 0 },
#endif
    { 0 },
    &operand_data[8909],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx2sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6388 },
#else
    { 0, output_6388, 0 },
#endif
    { 0 },
    &operand_data[8912],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2657 */
  {
    "*vec_duplicatevnx2df_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6389 },
#else
    { 0, output_6389, 0 },
#endif
    { 0 },
    &operand_data[8915],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2690 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6390 },
#else
    { 0, 0, output_6390 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_le },
    &operand_data[8918],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2690 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6391 },
#else
    { 0, 0, output_6391 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_le },
    &operand_data[8921],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2690 */
  {
    "aarch64_vec_duplicate_vqvnx4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6392 },
#else
    { 0, 0, output_6392 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_le },
    &operand_data[8924],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2690 */
  {
    "aarch64_vec_duplicate_vqvnx2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6393 },
#else
    { 0, 0, output_6393 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_le },
    &operand_data[8927],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2690 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6394 },
#else
    { 0, 0, output_6394 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_le },
    &operand_data[8930],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2690 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6395 },
#else
    { 0, 0, output_6395 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_le },
    &operand_data[8933],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2690 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6396 },
#else
    { 0, 0, output_6396 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_le },
    &operand_data[8936],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2690 */
  {
    "aarch64_vec_duplicate_vqvnx2df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6397 },
#else
    { 0, 0, output_6397 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_le },
    &operand_data[8939],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2728 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6398 },
#else
    { 0, 0, output_6398 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_be },
    &operand_data[8942],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2728 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6399 },
#else
    { 0, 0, output_6399 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_be },
    &operand_data[8945],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2728 */
  {
    "aarch64_vec_duplicate_vqvnx4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6400 },
#else
    { 0, 0, output_6400 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_be },
    &operand_data[8948],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2728 */
  {
    "aarch64_vec_duplicate_vqvnx2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6401 },
#else
    { 0, 0, output_6401 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_be },
    &operand_data[8951],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2728 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6402 },
#else
    { 0, 0, output_6402 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_be },
    &operand_data[8954],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2728 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6403 },
#else
    { 0, 0, output_6403 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_be },
    &operand_data[8957],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2728 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6404 },
#else
    { 0, 0, output_6404 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_be },
    &operand_data[8960],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2728 */
  {
    "aarch64_vec_duplicate_vqvnx2df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6405 },
#else
    { 0, 0, output_6405 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_be },
    &operand_data[8963],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx16qi },
    &operand_data[8966],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8qi },
    &operand_data[8970],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4qi },
    &operand_data[8974],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2qi },
    &operand_data[8978],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hi },
    &operand_data[8982],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hi },
    &operand_data[8986],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hi },
    &operand_data[8990],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4si },
    &operand_data[8994],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2si },
    &operand_data[8998],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2di },
    &operand_data[9002],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hf },
    &operand_data[9006],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hf },
    &operand_data[9010],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hf },
    &operand_data[9014],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8bf },
    &operand_data[9018],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4bf },
    &operand_data[9022],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2bf },
    &operand_data[9026],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4sf },
    &operand_data[9030],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2sf },
    &operand_data[9034],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2747 */
  {
    "sve_ld1rvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2df },
    &operand_data[9038],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2761 */
  {
    "aarch64_sve_ld1rqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6425 },
#else
    { 0, 0, output_6425 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx16qi },
    &operand_data[9042],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2761 */
  {
    "aarch64_sve_ld1rqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6426 },
#else
    { 0, 0, output_6426 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hi },
    &operand_data[9045],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2761 */
  {
    "aarch64_sve_ld1rqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6427 },
#else
    { 0, 0, output_6427 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4si },
    &operand_data[9048],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2761 */
  {
    "aarch64_sve_ld1rqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6428 },
#else
    { 0, 0, output_6428 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2di },
    &operand_data[9051],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2761 */
  {
    "aarch64_sve_ld1rqvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6429 },
#else
    { 0, 0, output_6429 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8bf },
    &operand_data[9054],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2761 */
  {
    "aarch64_sve_ld1rqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6430 },
#else
    { 0, 0, output_6430 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hf },
    &operand_data[9057],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2761 */
  {
    "aarch64_sve_ld1rqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6431 },
#else
    { 0, 0, output_6431 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4sf },
    &operand_data[9060],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2761 */
  {
    "aarch64_sve_ld1rqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6432 },
#else
    { 0, 0, output_6432 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2df },
    &operand_data[9063],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2774 */
  {
    "aarch64_sve_ld1rovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6433 },
#else
    { 0, 0, output_6433 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx16qi },
    &operand_data[9066],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2774 */
  {
    "aarch64_sve_ld1rovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6434 },
#else
    { 0, 0, output_6434 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hi },
    &operand_data[9069],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2774 */
  {
    "aarch64_sve_ld1rovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6435 },
#else
    { 0, 0, output_6435 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4si },
    &operand_data[9072],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2774 */
  {
    "aarch64_sve_ld1rovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6436 },
#else
    { 0, 0, output_6436 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2di },
    &operand_data[9075],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2774 */
  {
    "aarch64_sve_ld1rovnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6437 },
#else
    { 0, 0, output_6437 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8bf },
    &operand_data[9078],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2774 */
  {
    "aarch64_sve_ld1rovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6438 },
#else
    { 0, 0, output_6438 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hf },
    &operand_data[9081],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2774 */
  {
    "aarch64_sve_ld1rovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6439 },
#else
    { 0, 0, output_6439 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4sf },
    &operand_data[9084],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2774 */
  {
    "aarch64_sve_ld1rovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6440 },
#else
    { 0, 0, output_6440 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2df },
    &operand_data[9087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2806 */
  {
    "vec_shl_insert_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6441 },
#else
    { 0, output_6441, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx16qi },
    &operand_data[9090],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2806 */
  {
    "vec_shl_insert_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6442 },
#else
    { 0, output_6442, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hi },
    &operand_data[9093],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2806 */
  {
    "vec_shl_insert_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6443 },
#else
    { 0, output_6443, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4si },
    &operand_data[9096],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2806 */
  {
    "vec_shl_insert_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6444 },
#else
    { 0, output_6444, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2di },
    &operand_data[9099],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2806 */
  {
    "vec_shl_insert_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6445 },
#else
    { 0, output_6445, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8bf },
    &operand_data[9102],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2806 */
  {
    "vec_shl_insert_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6446 },
#else
    { 0, output_6446, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hf },
    &operand_data[9105],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2806 */
  {
    "vec_shl_insert_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6447 },
#else
    { 0, output_6447, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4sf },
    &operand_data[9108],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2806 */
  {
    "vec_shl_insert_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6448 },
#else
    { 0, output_6448, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2df },
    &operand_data[9111],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6449 },
#else
    { 0, output_6449, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx16qi },
    &operand_data[9114],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6450 },
#else
    { 0, output_6450, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8qi },
    &operand_data[9117],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6451 },
#else
    { 0, output_6451, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4qi },
    &operand_data[9120],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6452 },
#else
    { 0, output_6452, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2qi },
    &operand_data[9123],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6453 },
#else
    { 0, output_6453, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8hi },
    &operand_data[9126],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6454 },
#else
    { 0, output_6454, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4hi },
    &operand_data[9129],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6455 },
#else
    { 0, output_6455, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2hi },
    &operand_data[9132],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6456 },
#else
    { 0, output_6456, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4si },
    &operand_data[9135],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6457 },
#else
    { 0, output_6457, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2si },
    &operand_data[9138],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2828 */
  {
    "vec_seriesvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6458 },
#else
    { 0, output_6458, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2di },
    &operand_data[9141],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6459 },
#else
    { 0, 0, output_6459 },
#endif
    { 0 },
    &operand_data[9144],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx8qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6460 },
#else
    { 0, 0, output_6460 },
#endif
    { 0 },
    &operand_data[9147],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx4qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6461 },
#else
    { 0, 0, output_6461 },
#endif
    { 0 },
    &operand_data[9150],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx2qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6462 },
#else
    { 0, 0, output_6462 },
#endif
    { 0 },
    &operand_data[9153],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6463 },
#else
    { 0, 0, output_6463 },
#endif
    { 0 },
    &operand_data[9156],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx4hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6464 },
#else
    { 0, 0, output_6464 },
#endif
    { 0 },
    &operand_data[9159],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx2hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6465 },
#else
    { 0, 0, output_6465 },
#endif
    { 0 },
    &operand_data[9162],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6466 },
#else
    { 0, 0, output_6466 },
#endif
    { 0 },
    &operand_data[9165],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx2si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6467 },
#else
    { 0, 0, output_6467 },
#endif
    { 0 },
    &operand_data[9168],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "*vec_seriesvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6468 },
#else
    { 0, 0, output_6468 },
#endif
    { 0 },
    &operand_data[9171],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "*vec_extractvnx16qiqi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6469 },
#else
    { 0, 0, output_6469 },
#endif
    { 0 },
    &operand_data[9174],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "*vec_extractvnx8hihi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6470 },
#else
    { 0, 0, output_6470 },
#endif
    { 0 },
    &operand_data[9176],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "*vec_extractvnx4sisi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6471 },
#else
    { 0, 0, output_6471 },
#endif
    { 0 },
    &operand_data[9178],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "*vec_extractvnx2didi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6472 },
#else
    { 0, 0, output_6472 },
#endif
    { 0 },
    &operand_data[9180],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "*vec_extractvnx8bfbf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6473 },
#else
    { 0, 0, output_6473 },
#endif
    { 0 },
    &operand_data[9182],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "*vec_extractvnx8hfhf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6474 },
#else
    { 0, 0, output_6474 },
#endif
    { 0 },
    &operand_data[9184],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "*vec_extractvnx4sfsf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6475 },
#else
    { 0, 0, output_6475 },
#endif
    { 0 },
    &operand_data[9186],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "*vec_extractvnx2dfdf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6476 },
#else
    { 0, 0, output_6476 },
#endif
    { 0 },
    &operand_data[9188],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2969 */
  {
    "*vec_extractvnx16qiqi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6477 },
#else
    { 0, 0, output_6477 },
#endif
    { 0 },
    &operand_data[9190],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2969 */
  {
    "*vec_extractvnx8hihi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6478 },
#else
    { 0, 0, output_6478 },
#endif
    { 0 },
    &operand_data[9193],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2969 */
  {
    "*vec_extractvnx4sisi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6479 },
#else
    { 0, 0, output_6479 },
#endif
    { 0 },
    &operand_data[9196],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2969 */
  {
    "*vec_extractvnx2didi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6480 },
#else
    { 0, 0, output_6480 },
#endif
    { 0 },
    &operand_data[9199],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2969 */
  {
    "*vec_extractvnx8bfbf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6481 },
#else
    { 0, 0, output_6481 },
#endif
    { 0 },
    &operand_data[9202],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2969 */
  {
    "*vec_extractvnx8hfhf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6482 },
#else
    { 0, 0, output_6482 },
#endif
    { 0 },
    &operand_data[9205],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2969 */
  {
    "*vec_extractvnx4sfsf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6483 },
#else
    { 0, 0, output_6483 },
#endif
    { 0 },
    &operand_data[9208],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2969 */
  {
    "*vec_extractvnx2dfdf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6484 },
#else
    { 0, 0, output_6484 },
#endif
    { 0 },
    &operand_data[9211],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2995 */
  {
    "*vec_extractvnx16qiqi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6485 },
#else
    { 0, 0, output_6485 },
#endif
    { 0 },
    &operand_data[9214],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2995 */
  {
    "*vec_extractvnx8hihi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6486 },
#else
    { 0, 0, output_6486 },
#endif
    { 0 },
    &operand_data[9217],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2995 */
  {
    "*vec_extractvnx4sisi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6487 },
#else
    { 0, 0, output_6487 },
#endif
    { 0 },
    &operand_data[9220],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2995 */
  {
    "*vec_extractvnx2didi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6488 },
#else
    { 0, 0, output_6488 },
#endif
    { 0 },
    &operand_data[9223],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2995 */
  {
    "*vec_extractvnx8bfbf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6489 },
#else
    { 0, 0, output_6489 },
#endif
    { 0 },
    &operand_data[9226],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2995 */
  {
    "*vec_extractvnx8hfhf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6490 },
#else
    { 0, 0, output_6490 },
#endif
    { 0 },
    &operand_data[9229],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2995 */
  {
    "*vec_extractvnx4sfsf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6491 },
#else
    { 0, 0, output_6491 },
#endif
    { 0 },
    &operand_data[9232],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2995 */
  {
    "*vec_extractvnx2dfdf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6492 },
#else
    { 0, 0, output_6492 },
#endif
    { 0 },
    &operand_data[9235],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3010 */
  {
    "*vec_extractvnx16qiqi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6493 },
#else
    { 0, 0, output_6493 },
#endif
    { 0 },
    &operand_data[9238],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3010 */
  {
    "*vec_extractvnx8hihi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6494 },
#else
    { 0, 0, output_6494 },
#endif
    { 0 },
    &operand_data[9241],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3010 */
  {
    "*vec_extractvnx4sisi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6495 },
#else
    { 0, 0, output_6495 },
#endif
    { 0 },
    &operand_data[9244],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3010 */
  {
    "*vec_extractvnx2didi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6496 },
#else
    { 0, 0, output_6496 },
#endif
    { 0 },
    &operand_data[9247],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3010 */
  {
    "*vec_extractvnx8bfbf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6497 },
#else
    { 0, 0, output_6497 },
#endif
    { 0 },
    &operand_data[9250],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3010 */
  {
    "*vec_extractvnx8hfhf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6498 },
#else
    { 0, 0, output_6498 },
#endif
    { 0 },
    &operand_data[9253],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3010 */
  {
    "*vec_extractvnx4sfsf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6499 },
#else
    { 0, 0, output_6499 },
#endif
    { 0 },
    &operand_data[9256],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3010 */
  {
    "*vec_extractvnx2dfdf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6500 },
#else
    { 0, 0, output_6500 },
#endif
    { 0 },
    &operand_data[9259],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6501 },
#else
    { 0, output_6501, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx16qi },
    &operand_data[9262],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6502 },
#else
    { 0, output_6502, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx16qi },
    &operand_data[9262],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6503 },
#else
    { 0, output_6503, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hi },
    &operand_data[9265],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6504 },
#else
    { 0, output_6504, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hi },
    &operand_data[9265],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6505 },
#else
    { 0, output_6505, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4si },
    &operand_data[9268],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6506 },
#else
    { 0, output_6506, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4si },
    &operand_data[9268],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6507 },
#else
    { 0, output_6507, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2di },
    &operand_data[9271],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6508 },
#else
    { 0, output_6508, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2di },
    &operand_data[9271],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6509 },
#else
    { 0, output_6509, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8bf },
    &operand_data[9274],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6510 },
#else
    { 0, output_6510, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8bf },
    &operand_data[9274],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6511 },
#else
    { 0, output_6511, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hf },
    &operand_data[9277],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6512 },
#else
    { 0, output_6512, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hf },
    &operand_data[9277],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6513 },
#else
    { 0, output_6513, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4sf },
    &operand_data[9280],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6514 },
#else
    { 0, output_6514, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4sf },
    &operand_data[9280],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6515 },
#else
    { 0, output_6515, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2df },
    &operand_data[9283],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3036 */
  {
    "extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6516 },
#else
    { 0, output_6516, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2df },
    &operand_data[9283],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6517 },
#else
    { 0, output_6517, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6518 },
#else
    { 0, output_6518, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6519 },
#else
    { 0, output_6519, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6520 },
#else
    { 0, output_6520, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6521 },
#else
    { 0, output_6521, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6522 },
#else
    { 0, output_6522, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6523 },
#else
    { 0, output_6523, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6524 },
#else
    { 0, output_6524, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6525 },
#else
    { 0, output_6525, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6526 },
#else
    { 0, output_6526, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8qi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6527 },
#else
    { 0, output_6527, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8qi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6528 },
#else
    { 0, output_6528, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx8qi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6529 },
#else
    { 0, output_6529, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx8qi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6530 },
#else
    { 0, output_6530, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx8qi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6531 },
#else
    { 0, output_6531, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx8qi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6532 },
#else
    { 0, output_6532, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx8qi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6533 },
#else
    { 0, output_6533, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx8qi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6534 },
#else
    { 0, output_6534, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx8qi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6535 },
#else
    { 0, output_6535, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4qi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6536 },
#else
    { 0, output_6536, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4qi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6537 },
#else
    { 0, output_6537, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4qi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6538 },
#else
    { 0, output_6538, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4qi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6539 },
#else
    { 0, output_6539, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4qi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6540 },
#else
    { 0, output_6540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4qi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6541 },
#else
    { 0, output_6541, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx4qi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6542 },
#else
    { 0, output_6542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4qi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6543 },
#else
    { 0, output_6543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4qi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6544 },
#else
    { 0, output_6544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2qi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6545 },
#else
    { 0, output_6545, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2qi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6546 },
#else
    { 0, output_6546, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2qi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6547 },
#else
    { 0, output_6547, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2qi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6548 },
#else
    { 0, output_6548, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2qi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6549 },
#else
    { 0, output_6549, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2qi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6550 },
#else
    { 0, output_6550, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2qi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6551 },
#else
    { 0, output_6551, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2qi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6552 },
#else
    { 0, output_6552, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2qi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6553 },
#else
    { 0, output_6553, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6554 },
#else
    { 0, output_6554, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6555 },
#else
    { 0, output_6555, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6556 },
#else
    { 0, output_6556, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6557 },
#else
    { 0, output_6557, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6558 },
#else
    { 0, output_6558, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6559 },
#else
    { 0, output_6559, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6560 },
#else
    { 0, output_6560, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6561 },
#else
    { 0, output_6561, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6562 },
#else
    { 0, output_6562, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4hi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6563 },
#else
    { 0, output_6563, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4hi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6564 },
#else
    { 0, output_6564, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4hi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6565 },
#else
    { 0, output_6565, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4hi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6566 },
#else
    { 0, output_6566, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4hi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6567 },
#else
    { 0, output_6567, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4hi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6568 },
#else
    { 0, output_6568, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx4hi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6569 },
#else
    { 0, output_6569, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4hi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6570 },
#else
    { 0, output_6570, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4hi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6571 },
#else
    { 0, output_6571, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2hi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6572 },
#else
    { 0, output_6572, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2hi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6573 },
#else
    { 0, output_6573, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2hi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6574 },
#else
    { 0, output_6574, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2hi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6575 },
#else
    { 0, output_6575, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2hi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6576 },
#else
    { 0, output_6576, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2hi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6577 },
#else
    { 0, output_6577, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2hi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6578 },
#else
    { 0, output_6578, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2hi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6579 },
#else
    { 0, output_6579, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2hi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6580 },
#else
    { 0, output_6580, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6581 },
#else
    { 0, output_6581, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6582 },
#else
    { 0, output_6582, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6583 },
#else
    { 0, output_6583, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6584 },
#else
    { 0, output_6584, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6585 },
#else
    { 0, output_6585, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6586 },
#else
    { 0, output_6586, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6587 },
#else
    { 0, output_6587, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6588 },
#else
    { 0, output_6588, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6589 },
#else
    { 0, output_6589, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2si },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6590 },
#else
    { 0, output_6590, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2si },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6591 },
#else
    { 0, output_6591, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2si },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6592 },
#else
    { 0, output_6592, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2si },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6593 },
#else
    { 0, output_6593, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2si },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6594 },
#else
    { 0, output_6594, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2si },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6595 },
#else
    { 0, output_6595, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2si },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6596 },
#else
    { 0, output_6596, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2si },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6597 },
#else
    { 0, output_6597, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2si },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6598 },
#else
    { 0, output_6598, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6599 },
#else
    { 0, output_6599, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6600 },
#else
    { 0, output_6600, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6601 },
#else
    { 0, output_6601, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6602 },
#else
    { 0, output_6602, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6603 },
#else
    { 0, output_6603, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6604 },
#else
    { 0, output_6604, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6605 },
#else
    { 0, output_6605, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6606 },
#else
    { 0, output_6606, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6607 },
#else
    { 0, output_6607, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv8qi },
    &operand_data[9316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6608 },
#else
    { 0, output_6608, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv8qi },
    &operand_data[9316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6609 },
#else
    { 0, output_6609, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv8qi },
    &operand_data[9316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6610 },
#else
    { 0, output_6610, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv8qi },
    &operand_data[9316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6611 },
#else
    { 0, output_6611, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv8qi },
    &operand_data[9316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6612 },
#else
    { 0, output_6612, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv8qi },
    &operand_data[9316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6613 },
#else
    { 0, output_6613, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv8qi },
    &operand_data[9316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6614 },
#else
    { 0, output_6614, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv8qi },
    &operand_data[9316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6615 },
#else
    { 0, output_6615, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv8qi },
    &operand_data[9316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6616 },
#else
    { 0, output_6616, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv16qi },
    &operand_data[9319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6617 },
#else
    { 0, output_6617, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv16qi },
    &operand_data[9319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6618 },
#else
    { 0, output_6618, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv16qi },
    &operand_data[9319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6619 },
#else
    { 0, output_6619, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv16qi },
    &operand_data[9319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6620 },
#else
    { 0, output_6620, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv16qi },
    &operand_data[9319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6621 },
#else
    { 0, output_6621, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv16qi },
    &operand_data[9319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6622 },
#else
    { 0, output_6622, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv16qi },
    &operand_data[9319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6623 },
#else
    { 0, output_6623, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv16qi },
    &operand_data[9319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6624 },
#else
    { 0, output_6624, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv16qi },
    &operand_data[9319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6625 },
#else
    { 0, output_6625, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv4hi },
    &operand_data[9322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6626 },
#else
    { 0, output_6626, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv4hi },
    &operand_data[9322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6627 },
#else
    { 0, output_6627, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv4hi },
    &operand_data[9322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6628 },
#else
    { 0, output_6628, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv4hi },
    &operand_data[9322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6629 },
#else
    { 0, output_6629, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv4hi },
    &operand_data[9322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6630 },
#else
    { 0, output_6630, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv4hi },
    &operand_data[9322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6631 },
#else
    { 0, output_6631, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv4hi },
    &operand_data[9322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6632 },
#else
    { 0, output_6632, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv4hi },
    &operand_data[9322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6633 },
#else
    { 0, output_6633, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv4hi },
    &operand_data[9322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6634 },
#else
    { 0, output_6634, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv8hi },
    &operand_data[9325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6635 },
#else
    { 0, output_6635, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv8hi },
    &operand_data[9325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6636 },
#else
    { 0, output_6636, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv8hi },
    &operand_data[9325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6637 },
#else
    { 0, output_6637, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv8hi },
    &operand_data[9325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6638 },
#else
    { 0, output_6638, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv8hi },
    &operand_data[9325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6639 },
#else
    { 0, output_6639, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv8hi },
    &operand_data[9325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6640 },
#else
    { 0, output_6640, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv8hi },
    &operand_data[9325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6641 },
#else
    { 0, output_6641, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv8hi },
    &operand_data[9325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6642 },
#else
    { 0, output_6642, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv8hi },
    &operand_data[9325],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6643 },
#else
    { 0, output_6643, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv2si },
    &operand_data[9328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6644 },
#else
    { 0, output_6644, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv2si },
    &operand_data[9328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6645 },
#else
    { 0, output_6645, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv2si },
    &operand_data[9328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6646 },
#else
    { 0, output_6646, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv2si },
    &operand_data[9328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6647 },
#else
    { 0, output_6647, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv2si },
    &operand_data[9328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6648 },
#else
    { 0, output_6648, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv2si },
    &operand_data[9328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6649 },
#else
    { 0, output_6649, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv2si },
    &operand_data[9328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6650 },
#else
    { 0, output_6650, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv2si },
    &operand_data[9328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6651 },
#else
    { 0, output_6651, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv2si },
    &operand_data[9328],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6652 },
#else
    { 0, output_6652, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv4si },
    &operand_data[9331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6653 },
#else
    { 0, output_6653, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv4si },
    &operand_data[9331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6654 },
#else
    { 0, output_6654, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv4si },
    &operand_data[9331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6655 },
#else
    { 0, output_6655, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv4si },
    &operand_data[9331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6656 },
#else
    { 0, output_6656, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv4si },
    &operand_data[9331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6657 },
#else
    { 0, output_6657, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv4si },
    &operand_data[9331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6658 },
#else
    { 0, output_6658, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv4si },
    &operand_data[9331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6659 },
#else
    { 0, output_6659, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv4si },
    &operand_data[9331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6660 },
#else
    { 0, output_6660, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv4si },
    &operand_data[9331],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6661 },
#else
    { 0, output_6661, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv2di },
    &operand_data[9334],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6662 },
#else
    { 0, output_6662, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv2di },
    &operand_data[9334],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6663 },
#else
    { 0, output_6663, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv2di },
    &operand_data[9334],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6664 },
#else
    { 0, output_6664, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv2di },
    &operand_data[9334],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6665 },
#else
    { 0, output_6665, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv2di },
    &operand_data[9334],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6666 },
#else
    { 0, output_6666, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv2di },
    &operand_data[9334],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6667 },
#else
    { 0, output_6667, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv2di },
    &operand_data[9334],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6668 },
#else
    { 0, output_6668, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv2di },
    &operand_data[9334],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6669 },
#else
    { 0, output_6669, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv2di },
    &operand_data[9334],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_absv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6670 },
#else
    { 0, output_6670, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv1di },
    &operand_data[9337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_negv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6671 },
#else
    { 0, output_6671, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv1di },
    &operand_data[9337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_one_cmplv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6672 },
#else
    { 0, output_6672, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv1di },
    &operand_data[9337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clrsbv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6673 },
#else
    { 0, output_6673, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv1di },
    &operand_data[9337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_clzv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6674 },
#else
    { 0, output_6674, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv1di },
    &operand_data[9337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_popcountv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6675 },
#else
    { 0, output_6675, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv1di },
    &operand_data[9337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_rbitv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6676 },
#else
    { 0, output_6676, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv1di },
    &operand_data[9337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qabsv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6677 },
#else
    { 0, output_6677, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv1di },
    &operand_data[9337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3123 */
  {
    "aarch64_pred_qnegv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6678 },
#else
    { 0, output_6678, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv1di },
    &operand_data[9337],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6679 },
#else
    { 0, output_6679, 0 },
#endif
    { 0 },
    &operand_data[9286],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6680 },
#else
    { 0, output_6680, 0 },
#endif
    { 0 },
    &operand_data[9286],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6681 },
#else
    { 0, output_6681, 0 },
#endif
    { 0 },
    &operand_data[9286],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6682 },
#else
    { 0, output_6682, 0 },
#endif
    { 0 },
    &operand_data[9286],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6683 },
#else
    { 0, output_6683, 0 },
#endif
    { 0 },
    &operand_data[9286],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6684 },
#else
    { 0, output_6684, 0 },
#endif
    { 0 },
    &operand_data[9286],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6685 },
#else
    { 0, output_6685, 0 },
#endif
    { 0 },
    &operand_data[9286],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6686 },
#else
    { 0, output_6686, 0 },
#endif
    { 0 },
    &operand_data[9286],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6687 },
#else
    { 0, output_6687, 0 },
#endif
    { 0 },
    &operand_data[9286],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6688 },
#else
    { 0, output_6688, 0 },
#endif
    { 0 },
    &operand_data[9289],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6689 },
#else
    { 0, output_6689, 0 },
#endif
    { 0 },
    &operand_data[9289],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6690 },
#else
    { 0, output_6690, 0 },
#endif
    { 0 },
    &operand_data[9289],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6691 },
#else
    { 0, output_6691, 0 },
#endif
    { 0 },
    &operand_data[9289],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6692 },
#else
    { 0, output_6692, 0 },
#endif
    { 0 },
    &operand_data[9289],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6693 },
#else
    { 0, output_6693, 0 },
#endif
    { 0 },
    &operand_data[9289],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6694 },
#else
    { 0, output_6694, 0 },
#endif
    { 0 },
    &operand_data[9289],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6695 },
#else
    { 0, output_6695, 0 },
#endif
    { 0 },
    &operand_data[9289],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6696 },
#else
    { 0, output_6696, 0 },
#endif
    { 0 },
    &operand_data[9289],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6697 },
#else
    { 0, output_6697, 0 },
#endif
    { 0 },
    &operand_data[9292],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6698 },
#else
    { 0, output_6698, 0 },
#endif
    { 0 },
    &operand_data[9292],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6699 },
#else
    { 0, output_6699, 0 },
#endif
    { 0 },
    &operand_data[9292],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6700 },
#else
    { 0, output_6700, 0 },
#endif
    { 0 },
    &operand_data[9292],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6701 },
#else
    { 0, output_6701, 0 },
#endif
    { 0 },
    &operand_data[9292],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6702 },
#else
    { 0, output_6702, 0 },
#endif
    { 0 },
    &operand_data[9292],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6703 },
#else
    { 0, output_6703, 0 },
#endif
    { 0 },
    &operand_data[9292],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6704 },
#else
    { 0, output_6704, 0 },
#endif
    { 0 },
    &operand_data[9292],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6705 },
#else
    { 0, output_6705, 0 },
#endif
    { 0 },
    &operand_data[9292],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6706 },
#else
    { 0, output_6706, 0 },
#endif
    { 0 },
    &operand_data[9295],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6707 },
#else
    { 0, output_6707, 0 },
#endif
    { 0 },
    &operand_data[9295],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6708 },
#else
    { 0, output_6708, 0 },
#endif
    { 0 },
    &operand_data[9295],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6709 },
#else
    { 0, output_6709, 0 },
#endif
    { 0 },
    &operand_data[9295],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6710 },
#else
    { 0, output_6710, 0 },
#endif
    { 0 },
    &operand_data[9295],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6711 },
#else
    { 0, output_6711, 0 },
#endif
    { 0 },
    &operand_data[9295],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6712 },
#else
    { 0, output_6712, 0 },
#endif
    { 0 },
    &operand_data[9295],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6713 },
#else
    { 0, output_6713, 0 },
#endif
    { 0 },
    &operand_data[9295],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6714 },
#else
    { 0, output_6714, 0 },
#endif
    { 0 },
    &operand_data[9295],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6715 },
#else
    { 0, output_6715, 0 },
#endif
    { 0 },
    &operand_data[9298],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6716 },
#else
    { 0, output_6716, 0 },
#endif
    { 0 },
    &operand_data[9298],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6717 },
#else
    { 0, output_6717, 0 },
#endif
    { 0 },
    &operand_data[9298],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6718 },
#else
    { 0, output_6718, 0 },
#endif
    { 0 },
    &operand_data[9298],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6719 },
#else
    { 0, output_6719, 0 },
#endif
    { 0 },
    &operand_data[9298],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6720 },
#else
    { 0, output_6720, 0 },
#endif
    { 0 },
    &operand_data[9298],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6721 },
#else
    { 0, output_6721, 0 },
#endif
    { 0 },
    &operand_data[9298],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6722 },
#else
    { 0, output_6722, 0 },
#endif
    { 0 },
    &operand_data[9298],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6723 },
#else
    { 0, output_6723, 0 },
#endif
    { 0 },
    &operand_data[9298],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6724 },
#else
    { 0, output_6724, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6725 },
#else
    { 0, output_6725, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6726 },
#else
    { 0, output_6726, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6727 },
#else
    { 0, output_6727, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6728 },
#else
    { 0, output_6728, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6729 },
#else
    { 0, output_6729, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6730 },
#else
    { 0, output_6730, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6731 },
#else
    { 0, output_6731, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6732 },
#else
    { 0, output_6732, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6733 },
#else
    { 0, output_6733, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6734 },
#else
    { 0, output_6734, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6735 },
#else
    { 0, output_6735, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6736 },
#else
    { 0, output_6736, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6737 },
#else
    { 0, output_6737, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6738 },
#else
    { 0, output_6738, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6739 },
#else
    { 0, output_6739, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6740 },
#else
    { 0, output_6740, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6741 },
#else
    { 0, output_6741, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6742 },
#else
    { 0, output_6742, 0 },
#endif
    { 0 },
    &operand_data[9307],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6743 },
#else
    { 0, output_6743, 0 },
#endif
    { 0 },
    &operand_data[9307],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6744 },
#else
    { 0, output_6744, 0 },
#endif
    { 0 },
    &operand_data[9307],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6745 },
#else
    { 0, output_6745, 0 },
#endif
    { 0 },
    &operand_data[9307],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6746 },
#else
    { 0, output_6746, 0 },
#endif
    { 0 },
    &operand_data[9307],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6747 },
#else
    { 0, output_6747, 0 },
#endif
    { 0 },
    &operand_data[9307],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6748 },
#else
    { 0, output_6748, 0 },
#endif
    { 0 },
    &operand_data[9307],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6749 },
#else
    { 0, output_6749, 0 },
#endif
    { 0 },
    &operand_data[9307],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6750 },
#else
    { 0, output_6750, 0 },
#endif
    { 0 },
    &operand_data[9307],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6751 },
#else
    { 0, output_6751, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6752 },
#else
    { 0, output_6752, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6753 },
#else
    { 0, output_6753, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6754 },
#else
    { 0, output_6754, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6755 },
#else
    { 0, output_6755, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6756 },
#else
    { 0, output_6756, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6757 },
#else
    { 0, output_6757, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6758 },
#else
    { 0, output_6758, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6759 },
#else
    { 0, output_6759, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_absvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6760 },
#else
    { 0, output_6760, 0 },
#endif
    { 0 },
    &operand_data[9313],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_negvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6761 },
#else
    { 0, output_6761, 0 },
#endif
    { 0 },
    &operand_data[9313],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_one_cmplvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6762 },
#else
    { 0, output_6762, 0 },
#endif
    { 0 },
    &operand_data[9313],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clrsbvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6763 },
#else
    { 0, output_6763, 0 },
#endif
    { 0 },
    &operand_data[9313],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_clzvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6764 },
#else
    { 0, output_6764, 0 },
#endif
    { 0 },
    &operand_data[9313],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_popcountvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6765 },
#else
    { 0, output_6765, 0 },
#endif
    { 0 },
    &operand_data[9313],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_rbitvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6766 },
#else
    { 0, output_6766, 0 },
#endif
    { 0 },
    &operand_data[9313],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qabsvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6767 },
#else
    { 0, output_6767, 0 },
#endif
    { 0 },
    &operand_data[9313],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3150 */
  {
    "*cond_qnegvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6768 },
#else
    { 0, output_6768, 0 },
#endif
    { 0 },
    &operand_data[9313],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6769 },
#else
    { 0, output_6769, 0 },
#endif
    { 0 },
    &operand_data[9340],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6770 },
#else
    { 0, output_6770, 0 },
#endif
    { 0 },
    &operand_data[9340],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6771 },
#else
    { 0, output_6771, 0 },
#endif
    { 0 },
    &operand_data[9340],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6772 },
#else
    { 0, output_6772, 0 },
#endif
    { 0 },
    &operand_data[9340],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6773 },
#else
    { 0, output_6773, 0 },
#endif
    { 0 },
    &operand_data[9340],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6774 },
#else
    { 0, output_6774, 0 },
#endif
    { 0 },
    &operand_data[9340],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6775 },
#else
    { 0, output_6775, 0 },
#endif
    { 0 },
    &operand_data[9340],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6776 },
#else
    { 0, output_6776, 0 },
#endif
    { 0 },
    &operand_data[9340],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6777 },
#else
    { 0, output_6777, 0 },
#endif
    { 0 },
    &operand_data[9340],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6778 },
#else
    { 0, output_6778, 0 },
#endif
    { 0 },
    &operand_data[9344],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6779 },
#else
    { 0, output_6779, 0 },
#endif
    { 0 },
    &operand_data[9344],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6780 },
#else
    { 0, output_6780, 0 },
#endif
    { 0 },
    &operand_data[9344],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6781 },
#else
    { 0, output_6781, 0 },
#endif
    { 0 },
    &operand_data[9344],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6782 },
#else
    { 0, output_6782, 0 },
#endif
    { 0 },
    &operand_data[9344],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6783 },
#else
    { 0, output_6783, 0 },
#endif
    { 0 },
    &operand_data[9344],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6784 },
#else
    { 0, output_6784, 0 },
#endif
    { 0 },
    &operand_data[9344],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6785 },
#else
    { 0, output_6785, 0 },
#endif
    { 0 },
    &operand_data[9344],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6786 },
#else
    { 0, output_6786, 0 },
#endif
    { 0 },
    &operand_data[9344],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6787 },
#else
    { 0, output_6787, 0 },
#endif
    { 0 },
    &operand_data[9348],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6788 },
#else
    { 0, output_6788, 0 },
#endif
    { 0 },
    &operand_data[9348],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6789 },
#else
    { 0, output_6789, 0 },
#endif
    { 0 },
    &operand_data[9348],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6790 },
#else
    { 0, output_6790, 0 },
#endif
    { 0 },
    &operand_data[9348],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6791 },
#else
    { 0, output_6791, 0 },
#endif
    { 0 },
    &operand_data[9348],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6792 },
#else
    { 0, output_6792, 0 },
#endif
    { 0 },
    &operand_data[9348],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6793 },
#else
    { 0, output_6793, 0 },
#endif
    { 0 },
    &operand_data[9348],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6794 },
#else
    { 0, output_6794, 0 },
#endif
    { 0 },
    &operand_data[9348],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6795 },
#else
    { 0, output_6795, 0 },
#endif
    { 0 },
    &operand_data[9348],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6796 },
#else
    { 0, output_6796, 0 },
#endif
    { 0 },
    &operand_data[9352],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6797 },
#else
    { 0, output_6797, 0 },
#endif
    { 0 },
    &operand_data[9352],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6798 },
#else
    { 0, output_6798, 0 },
#endif
    { 0 },
    &operand_data[9352],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6799 },
#else
    { 0, output_6799, 0 },
#endif
    { 0 },
    &operand_data[9352],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6800 },
#else
    { 0, output_6800, 0 },
#endif
    { 0 },
    &operand_data[9352],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6801 },
#else
    { 0, output_6801, 0 },
#endif
    { 0 },
    &operand_data[9352],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6802 },
#else
    { 0, output_6802, 0 },
#endif
    { 0 },
    &operand_data[9352],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6803 },
#else
    { 0, output_6803, 0 },
#endif
    { 0 },
    &operand_data[9352],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6804 },
#else
    { 0, output_6804, 0 },
#endif
    { 0 },
    &operand_data[9352],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6805 },
#else
    { 0, output_6805, 0 },
#endif
    { 0 },
    &operand_data[9356],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6806 },
#else
    { 0, output_6806, 0 },
#endif
    { 0 },
    &operand_data[9356],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6807 },
#else
    { 0, output_6807, 0 },
#endif
    { 0 },
    &operand_data[9356],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6808 },
#else
    { 0, output_6808, 0 },
#endif
    { 0 },
    &operand_data[9356],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6809 },
#else
    { 0, output_6809, 0 },
#endif
    { 0 },
    &operand_data[9356],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6810 },
#else
    { 0, output_6810, 0 },
#endif
    { 0 },
    &operand_data[9356],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6811 },
#else
    { 0, output_6811, 0 },
#endif
    { 0 },
    &operand_data[9356],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6812 },
#else
    { 0, output_6812, 0 },
#endif
    { 0 },
    &operand_data[9356],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6813 },
#else
    { 0, output_6813, 0 },
#endif
    { 0 },
    &operand_data[9356],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6814 },
#else
    { 0, output_6814, 0 },
#endif
    { 0 },
    &operand_data[9360],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6815 },
#else
    { 0, output_6815, 0 },
#endif
    { 0 },
    &operand_data[9360],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6816 },
#else
    { 0, output_6816, 0 },
#endif
    { 0 },
    &operand_data[9360],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6817 },
#else
    { 0, output_6817, 0 },
#endif
    { 0 },
    &operand_data[9360],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6818 },
#else
    { 0, output_6818, 0 },
#endif
    { 0 },
    &operand_data[9360],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6819 },
#else
    { 0, output_6819, 0 },
#endif
    { 0 },
    &operand_data[9360],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6820 },
#else
    { 0, output_6820, 0 },
#endif
    { 0 },
    &operand_data[9360],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6821 },
#else
    { 0, output_6821, 0 },
#endif
    { 0 },
    &operand_data[9360],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6822 },
#else
    { 0, output_6822, 0 },
#endif
    { 0 },
    &operand_data[9360],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6823 },
#else
    { 0, output_6823, 0 },
#endif
    { 0 },
    &operand_data[9364],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6824 },
#else
    { 0, output_6824, 0 },
#endif
    { 0 },
    &operand_data[9364],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6825 },
#else
    { 0, output_6825, 0 },
#endif
    { 0 },
    &operand_data[9364],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6826 },
#else
    { 0, output_6826, 0 },
#endif
    { 0 },
    &operand_data[9364],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6827 },
#else
    { 0, output_6827, 0 },
#endif
    { 0 },
    &operand_data[9364],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6828 },
#else
    { 0, output_6828, 0 },
#endif
    { 0 },
    &operand_data[9364],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6829 },
#else
    { 0, output_6829, 0 },
#endif
    { 0 },
    &operand_data[9364],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6830 },
#else
    { 0, output_6830, 0 },
#endif
    { 0 },
    &operand_data[9364],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6831 },
#else
    { 0, output_6831, 0 },
#endif
    { 0 },
    &operand_data[9364],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6832 },
#else
    { 0, output_6832, 0 },
#endif
    { 0 },
    &operand_data[9368],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6833 },
#else
    { 0, output_6833, 0 },
#endif
    { 0 },
    &operand_data[9368],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6834 },
#else
    { 0, output_6834, 0 },
#endif
    { 0 },
    &operand_data[9368],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6835 },
#else
    { 0, output_6835, 0 },
#endif
    { 0 },
    &operand_data[9368],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6836 },
#else
    { 0, output_6836, 0 },
#endif
    { 0 },
    &operand_data[9368],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6837 },
#else
    { 0, output_6837, 0 },
#endif
    { 0 },
    &operand_data[9368],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6838 },
#else
    { 0, output_6838, 0 },
#endif
    { 0 },
    &operand_data[9368],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6839 },
#else
    { 0, output_6839, 0 },
#endif
    { 0 },
    &operand_data[9368],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6840 },
#else
    { 0, output_6840, 0 },
#endif
    { 0 },
    &operand_data[9368],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6841 },
#else
    { 0, output_6841, 0 },
#endif
    { 0 },
    &operand_data[9372],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6842 },
#else
    { 0, output_6842, 0 },
#endif
    { 0 },
    &operand_data[9372],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6843 },
#else
    { 0, output_6843, 0 },
#endif
    { 0 },
    &operand_data[9372],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6844 },
#else
    { 0, output_6844, 0 },
#endif
    { 0 },
    &operand_data[9372],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6845 },
#else
    { 0, output_6845, 0 },
#endif
    { 0 },
    &operand_data[9372],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6846 },
#else
    { 0, output_6846, 0 },
#endif
    { 0 },
    &operand_data[9372],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6847 },
#else
    { 0, output_6847, 0 },
#endif
    { 0 },
    &operand_data[9372],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6848 },
#else
    { 0, output_6848, 0 },
#endif
    { 0 },
    &operand_data[9372],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6849 },
#else
    { 0, output_6849, 0 },
#endif
    { 0 },
    &operand_data[9372],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_absvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6850 },
#else
    { 0, output_6850, 0 },
#endif
    { 0 },
    &operand_data[9376],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_negvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6851 },
#else
    { 0, output_6851, 0 },
#endif
    { 0 },
    &operand_data[9376],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_one_cmplvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6852 },
#else
    { 0, output_6852, 0 },
#endif
    { 0 },
    &operand_data[9376],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clrsbvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6853 },
#else
    { 0, output_6853, 0 },
#endif
    { 0 },
    &operand_data[9376],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_clzvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6854 },
#else
    { 0, output_6854, 0 },
#endif
    { 0 },
    &operand_data[9376],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_popcountvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6855 },
#else
    { 0, output_6855, 0 },
#endif
    { 0 },
    &operand_data[9376],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_rbitvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6856 },
#else
    { 0, output_6856, 0 },
#endif
    { 0 },
    &operand_data[9376],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qabsvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6857 },
#else
    { 0, output_6857, 0 },
#endif
    { 0 },
    &operand_data[9376],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3172 */
  {
    "*cond_qnegvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6858 },
#else
    { 0, output_6858, 0 },
#endif
    { 0 },
    &operand_data[9376],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6859 },
#else
    { 0, output_6859, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6860 },
#else
    { 0, output_6860, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revwvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6861 },
#else
    { 0, output_6861, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx16qi },
    &operand_data[9286],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6862 },
#else
    { 0, output_6862, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6863 },
#else
    { 0, output_6863, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revwvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6864 },
#else
    { 0, output_6864, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx8hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6865 },
#else
    { 0, output_6865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6866 },
#else
    { 0, output_6866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revwvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6867 },
#else
    { 0, output_6867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6868 },
#else
    { 0, output_6868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6869 },
#else
    { 0, output_6869, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3199 */
  {
    "aarch64_pred_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6870 },
#else
    { 0, output_6870, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx16qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6871 },
#else
    { 0, output_6871, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx8bi },
    &operand_data[9380],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6872 },
#else
    { 0, output_6872, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx8bi },
    &operand_data[9289],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6873 },
#else
    { 0, output_6873, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4qivnx8bi },
    &operand_data[9383],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6874 },
#else
    { 0, output_6874, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2qivnx8bi },
    &operand_data[9386],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6875 },
#else
    { 0, output_6875, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx8bi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6876 },
#else
    { 0, output_6876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hivnx8bi },
    &operand_data[9389],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6877 },
#else
    { 0, output_6877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hivnx8bi },
    &operand_data[9392],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4sivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6878 },
#else
    { 0, output_6878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sivnx8bi },
    &operand_data[9395],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2sivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6879 },
#else
    { 0, output_6879, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sivnx8bi },
    &operand_data[9398],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2divnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6880 },
#else
    { 0, output_6880, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2divnx8bi },
    &operand_data[9401],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6881 },
#else
    { 0, output_6881, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx8bi },
    &operand_data[9404],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6882 },
#else
    { 0, output_6882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hfvnx8bi },
    &operand_data[9407],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6883 },
#else
    { 0, output_6883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hfvnx8bi },
    &operand_data[9410],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6884 },
#else
    { 0, output_6884, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx8bi },
    &operand_data[9413],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6885 },
#else
    { 0, output_6885, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4bfvnx8bi },
    &operand_data[9416],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6886 },
#else
    { 0, output_6886, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2bfvnx8bi },
    &operand_data[9419],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4sfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6887 },
#else
    { 0, output_6887, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sfvnx8bi },
    &operand_data[9422],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2sfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6888 },
#else
    { 0, output_6888, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sfvnx8bi },
    &operand_data[9425],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2dfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6889 },
#else
    { 0, output_6889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2dfvnx8bi },
    &operand_data[9428],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx16qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6890 },
#else
    { 0, output_6890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx4bi },
    &operand_data[9431],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6891 },
#else
    { 0, output_6891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx4bi },
    &operand_data[9434],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6892 },
#else
    { 0, output_6892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4qivnx4bi },
    &operand_data[9292],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6893 },
#else
    { 0, output_6893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2qivnx4bi },
    &operand_data[9437],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6894 },
#else
    { 0, output_6894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx4bi },
    &operand_data[9440],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6895 },
#else
    { 0, output_6895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hivnx4bi },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6896 },
#else
    { 0, output_6896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hivnx4bi },
    &operand_data[9443],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6897 },
#else
    { 0, output_6897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sivnx4bi },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6898 },
#else
    { 0, output_6898, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sivnx4bi },
    &operand_data[9446],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2divnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6899 },
#else
    { 0, output_6899, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2divnx4bi },
    &operand_data[9449],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6900 },
#else
    { 0, output_6900, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx4bi },
    &operand_data[9452],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6901 },
#else
    { 0, output_6901, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hfvnx4bi },
    &operand_data[9455],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6902 },
#else
    { 0, output_6902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hfvnx4bi },
    &operand_data[9458],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6903 },
#else
    { 0, output_6903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx4bi },
    &operand_data[9461],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6904 },
#else
    { 0, output_6904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4bfvnx4bi },
    &operand_data[9464],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6905 },
#else
    { 0, output_6905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2bfvnx4bi },
    &operand_data[9467],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6906 },
#else
    { 0, output_6906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sfvnx4bi },
    &operand_data[9470],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6907 },
#else
    { 0, output_6907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sfvnx4bi },
    &operand_data[9473],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2dfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6908 },
#else
    { 0, output_6908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2dfvnx4bi },
    &operand_data[9476],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx16qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6909 },
#else
    { 0, output_6909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx2bi },
    &operand_data[9479],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6910 },
#else
    { 0, output_6910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx2bi },
    &operand_data[9482],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6911 },
#else
    { 0, output_6911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4qivnx2bi },
    &operand_data[9485],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6912 },
#else
    { 0, output_6912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2qivnx2bi },
    &operand_data[9295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6913 },
#else
    { 0, output_6913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx2bi },
    &operand_data[9488],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6914 },
#else
    { 0, output_6914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hivnx2bi },
    &operand_data[9491],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6915 },
#else
    { 0, output_6915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hivnx2bi },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6916 },
#else
    { 0, output_6916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sivnx2bi },
    &operand_data[9494],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6917 },
#else
    { 0, output_6917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sivnx2bi },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6918 },
#else
    { 0, output_6918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2divnx2bi },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6919 },
#else
    { 0, output_6919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx2bi },
    &operand_data[9497],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6920 },
#else
    { 0, output_6920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hfvnx2bi },
    &operand_data[9500],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6921 },
#else
    { 0, output_6921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hfvnx2bi },
    &operand_data[9503],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6922 },
#else
    { 0, output_6922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx2bi },
    &operand_data[9506],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6923 },
#else
    { 0, output_6923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4bfvnx2bi },
    &operand_data[9509],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6924 },
#else
    { 0, output_6924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2bfvnx2bi },
    &operand_data[9512],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx4sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6925 },
#else
    { 0, output_6925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sfvnx2bi },
    &operand_data[9515],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6926 },
#else
    { 0, output_6926, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sfvnx2bi },
    &operand_data[9518],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3218 */
  {
    "aarch64_sve_revbhw_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6927 },
#else
    { 0, output_6927, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2dfvnx2bi },
    &operand_data[9521],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6928 },
#else
    { 0, output_6928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx16qi },
    &operand_data[9524],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6929 },
#else
    { 0, output_6929, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx16qi },
    &operand_data[9524],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revwvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6930 },
#else
    { 0, output_6930, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx16qi },
    &operand_data[9524],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6931 },
#else
    { 0, output_6931, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx8hi },
    &operand_data[9528],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6932 },
#else
    { 0, output_6932, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx8hi },
    &operand_data[9528],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revwvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6933 },
#else
    { 0, output_6933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx8hi },
    &operand_data[9528],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6934 },
#else
    { 0, output_6934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx4si },
    &operand_data[9532],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6935 },
#else
    { 0, output_6935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx4si },
    &operand_data[9532],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revwvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6936 },
#else
    { 0, output_6936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx4si },
    &operand_data[9532],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6937 },
#else
    { 0, output_6937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx2di },
    &operand_data[9536],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6938 },
#else
    { 0, output_6938, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx2di },
    &operand_data[9536],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3234 */
  {
    "cond_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6939 },
#else
    { 0, output_6939, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx2di },
    &operand_data[9536],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6940 },
#else
    { 0, output_6940, 0 },
#endif
    { 0 },
    &operand_data[9540],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6941 },
#else
    { 0, output_6941, 0 },
#endif
    { 0 },
    &operand_data[9540],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6942 },
#else
    { 0, output_6942, 0 },
#endif
    { 0 },
    &operand_data[9543],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6943 },
#else
    { 0, output_6943, 0 },
#endif
    { 0 },
    &operand_data[9543],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6944 },
#else
    { 0, output_6944, 0 },
#endif
    { 0 },
    &operand_data[9546],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6945 },
#else
    { 0, output_6945, 0 },
#endif
    { 0 },
    &operand_data[9546],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6946 },
#else
    { 0, output_6946, 0 },
#endif
    { 0 },
    &operand_data[9549],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6947 },
#else
    { 0, output_6947, 0 },
#endif
    { 0 },
    &operand_data[9549],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6948 },
#else
    { 0, output_6948, 0 },
#endif
    { 0 },
    &operand_data[9552],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6949 },
#else
    { 0, output_6949, 0 },
#endif
    { 0 },
    &operand_data[9552],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2sivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6950 },
#else
    { 0, output_6950, 0 },
#endif
    { 0 },
    &operand_data[9555],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2sivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6951 },
#else
    { 0, output_6951, 0 },
#endif
    { 0 },
    &operand_data[9555],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx8qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6952 },
#else
    { 0, output_6952, 0 },
#endif
    { 0 },
    &operand_data[9558],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx8qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6953 },
#else
    { 0, output_6953, 0 },
#endif
    { 0 },
    &operand_data[9558],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6954 },
#else
    { 0, output_6954, 0 },
#endif
    { 0 },
    &operand_data[9561],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6955 },
#else
    { 0, output_6955, 0 },
#endif
    { 0 },
    &operand_data[9561],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6956 },
#else
    { 0, output_6956, 0 },
#endif
    { 0 },
    &operand_data[9564],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6957 },
#else
    { 0, output_6957, 0 },
#endif
    { 0 },
    &operand_data[9564],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6958 },
#else
    { 0, output_6958, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6959 },
#else
    { 0, output_6959, 0 },
#endif
    { 0 },
    &operand_data[9301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6960 },
#else
    { 0, output_6960, 0 },
#endif
    { 0 },
    &operand_data[9567],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6961 },
#else
    { 0, output_6961, 0 },
#endif
    { 0 },
    &operand_data[9567],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6962 },
#else
    { 0, output_6962, 0 },
#endif
    { 0 },
    &operand_data[9570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6963 },
#else
    { 0, output_6963, 0 },
#endif
    { 0 },
    &operand_data[9570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx8qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6964 },
#else
    { 0, output_6964, 0 },
#endif
    { 0 },
    &operand_data[9573],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx8qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6965 },
#else
    { 0, output_6965, 0 },
#endif
    { 0 },
    &operand_data[9573],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6966 },
#else
    { 0, output_6966, 0 },
#endif
    { 0 },
    &operand_data[9576],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6967 },
#else
    { 0, output_6967, 0 },
#endif
    { 0 },
    &operand_data[9576],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6968 },
#else
    { 0, output_6968, 0 },
#endif
    { 0 },
    &operand_data[9579],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6969 },
#else
    { 0, output_6969, 0 },
#endif
    { 0 },
    &operand_data[9579],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6970 },
#else
    { 0, output_6970, 0 },
#endif
    { 0 },
    &operand_data[9582],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6971 },
#else
    { 0, output_6971, 0 },
#endif
    { 0 },
    &operand_data[9582],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6972 },
#else
    { 0, output_6972, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6973 },
#else
    { 0, output_6973, 0 },
#endif
    { 0 },
    &operand_data[9304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6974 },
#else
    { 0, output_6974, 0 },
#endif
    { 0 },
    &operand_data[9585],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6975 },
#else
    { 0, output_6975, 0 },
#endif
    { 0 },
    &operand_data[9585],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx8qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6976 },
#else
    { 0, output_6976, 0 },
#endif
    { 0 },
    &operand_data[9588],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx8qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6977 },
#else
    { 0, output_6977, 0 },
#endif
    { 0 },
    &operand_data[9588],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6978 },
#else
    { 0, output_6978, 0 },
#endif
    { 0 },
    &operand_data[9591],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6979 },
#else
    { 0, output_6979, 0 },
#endif
    { 0 },
    &operand_data[9591],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6980 },
#else
    { 0, output_6980, 0 },
#endif
    { 0 },
    &operand_data[9594],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6981 },
#else
    { 0, output_6981, 0 },
#endif
    { 0 },
    &operand_data[9594],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6982 },
#else
    { 0, output_6982, 0 },
#endif
    { 0 },
    &operand_data[9597],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6983 },
#else
    { 0, output_6983, 0 },
#endif
    { 0 },
    &operand_data[9597],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6984 },
#else
    { 0, output_6984, 0 },
#endif
    { 0 },
    &operand_data[9600],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6985 },
#else
    { 0, output_6985, 0 },
#endif
    { 0 },
    &operand_data[9600],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2sivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6986 },
#else
    { 0, output_6986, 0 },
#endif
    { 0 },
    &operand_data[9603],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2sivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6987 },
#else
    { 0, output_6987, 0 },
#endif
    { 0 },
    &operand_data[9603],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx8qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6988 },
#else
    { 0, output_6988, 0 },
#endif
    { 0 },
    &operand_data[9606],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx8qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6989 },
#else
    { 0, output_6989, 0 },
#endif
    { 0 },
    &operand_data[9606],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6990 },
#else
    { 0, output_6990, 0 },
#endif
    { 0 },
    &operand_data[9609],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6991 },
#else
    { 0, output_6991, 0 },
#endif
    { 0 },
    &operand_data[9609],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6992 },
#else
    { 0, output_6992, 0 },
#endif
    { 0 },
    &operand_data[9612],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6993 },
#else
    { 0, output_6993, 0 },
#endif
    { 0 },
    &operand_data[9612],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6994 },
#else
    { 0, output_6994, 0 },
#endif
    { 0 },
    &operand_data[9615],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6995 },
#else
    { 0, output_6995, 0 },
#endif
    { 0 },
    &operand_data[9615],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6996 },
#else
    { 0, output_6996, 0 },
#endif
    { 0 },
    &operand_data[9618],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6997 },
#else
    { 0, output_6997, 0 },
#endif
    { 0 },
    &operand_data[9618],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6998 },
#else
    { 0, output_6998, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6999 },
#else
    { 0, output_6999, 0 },
#endif
    { 0 },
    &operand_data[9310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx8qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7000 },
#else
    { 0, output_7000, 0 },
#endif
    { 0 },
    &operand_data[9621],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx8qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7001 },
#else
    { 0, output_7001, 0 },
#endif
    { 0 },
    &operand_data[9621],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7002 },
#else
    { 0, output_7002, 0 },
#endif
    { 0 },
    &operand_data[9624],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7003 },
#else
    { 0, output_7003, 0 },
#endif
    { 0 },
    &operand_data[9624],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7004 },
#else
    { 0, output_7004, 0 },
#endif
    { 0 },
    &operand_data[9627],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7005 },
#else
    { 0, output_7005, 0 },
#endif
    { 0 },
    &operand_data[9627],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx4hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7006 },
#else
    { 0, output_7006, 0 },
#endif
    { 0 },
    &operand_data[9630],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx4hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7007 },
#else
    { 0, output_7007, 0 },
#endif
    { 0 },
    &operand_data[9630],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7008 },
#else
    { 0, output_7008, 0 },
#endif
    { 0 },
    &operand_data[9633],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7009 },
#else
    { 0, output_7009, 0 },
#endif
    { 0 },
    &operand_data[9633],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7010 },
#else
    { 0, output_7010, 0 },
#endif
    { 0 },
    &operand_data[9636],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3278 */
  {
    "*zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7011 },
#else
    { 0, output_7011, 0 },
#endif
    { 0 },
    &operand_data[9636],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7012 },
#else
    { 0, output_7012, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx8qi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7013 },
#else
    { 0, output_7013, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx4qi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7014 },
#else
    { 0, output_7014, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx2qi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7015 },
#else
    { 0, output_7015, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx4hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7016 },
#else
    { 0, output_7016, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx2hi },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7017 },
#else
    { 0, output_7017, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx2si },
    &operand_data[9298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7018 },
#else
    { 0, output_7018, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx8qi },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7019 },
#else
    { 0, output_7019, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4qi },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7020 },
#else
    { 0, output_7020, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx2qi },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7021 },
#else
    { 0, output_7021, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4hi },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7022 },
#else
    { 0, output_7022, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx2hi },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7023 },
#else
    { 0, output_7023, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx2si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7024 },
#else
    { 0, output_7024, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx8qi },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7025 },
#else
    { 0, output_7025, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx4qi },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7026 },
#else
    { 0, output_7026, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2qi },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7027 },
#else
    { 0, output_7027, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx4hi },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7028 },
#else
    { 0, output_7028, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2hi },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "aarch64_pred_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7029 },
#else
    { 0, output_7029, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2si },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7030 },
#else
    { 0, output_7030, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx8qi },
    &operand_data[9528],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7031 },
#else
    { 0, output_7031, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx4qi },
    &operand_data[9528],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7032 },
#else
    { 0, output_7032, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx2qi },
    &operand_data[9528],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7033 },
#else
    { 0, output_7033, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx4hi },
    &operand_data[9528],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7034 },
#else
    { 0, output_7034, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx2hi },
    &operand_data[9528],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7035 },
#else
    { 0, output_7035, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx2si },
    &operand_data[9528],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7036 },
#else
    { 0, output_7036, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx8qi },
    &operand_data[9532],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7037 },
#else
    { 0, output_7037, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4qi },
    &operand_data[9532],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7038 },
#else
    { 0, output_7038, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx2qi },
    &operand_data[9532],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7039 },
#else
    { 0, output_7039, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4hi },
    &operand_data[9532],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7040 },
#else
    { 0, output_7040, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx2hi },
    &operand_data[9532],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7041 },
#else
    { 0, output_7041, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx2si },
    &operand_data[9532],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7042 },
#else
    { 0, output_7042, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx8qi },
    &operand_data[9536],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7043 },
#else
    { 0, output_7043, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx4qi },
    &operand_data[9536],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7044 },
#else
    { 0, output_7044, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2qi },
    &operand_data[9536],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7045 },
#else
    { 0, output_7045, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx4hi },
    &operand_data[9536],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7046 },
#else
    { 0, output_7046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2hi },
    &operand_data[9536],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3310 */
  {
    "aarch64_cond_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7047 },
#else
    { 0, output_7047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2si },
    &operand_data[9536],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7048 },
#else
    { 0, output_7048, 0 },
#endif
    { 0 },
    &operand_data[9639],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7049 },
#else
    { 0, output_7049, 0 },
#endif
    { 0 },
    &operand_data[9643],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7050 },
#else
    { 0, output_7050, 0 },
#endif
    { 0 },
    &operand_data[9647],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7051 },
#else
    { 0, output_7051, 0 },
#endif
    { 0 },
    &operand_data[9651],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7052 },
#else
    { 0, output_7052, 0 },
#endif
    { 0 },
    &operand_data[9655],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7053 },
#else
    { 0, output_7053, 0 },
#endif
    { 0 },
    &operand_data[9659],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7054 },
#else
    { 0, output_7054, 0 },
#endif
    { 0 },
    &operand_data[9663],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7055 },
#else
    { 0, output_7055, 0 },
#endif
    { 0 },
    &operand_data[9667],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7056 },
#else
    { 0, output_7056, 0 },
#endif
    { 0 },
    &operand_data[9671],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3333 */
  {
    "*cond_uxtvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7057 },
#else
    { 0, output_7057, 0 },
#endif
    { 0 },
    &operand_data[9675],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7058 },
#else
    { 0, output_7058, 0 },
#endif
    { 0 },
    &operand_data[9679],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7059 },
#else
    { 0, output_7059, 0 },
#endif
    { 0 },
    &operand_data[9684],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7060 },
#else
    { 0, output_7060, 0 },
#endif
    { 0 },
    &operand_data[9689],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7061 },
#else
    { 0, output_7061, 0 },
#endif
    { 0 },
    &operand_data[9694],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7062 },
#else
    { 0, output_7062, 0 },
#endif
    { 0 },
    &operand_data[9699],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7063 },
#else
    { 0, output_7063, 0 },
#endif
    { 0 },
    &operand_data[9704],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7064 },
#else
    { 0, output_7064, 0 },
#endif
    { 0 },
    &operand_data[9709],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7065 },
#else
    { 0, output_7065, 0 },
#endif
    { 0 },
    &operand_data[9714],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7066 },
#else
    { 0, output_7066, 0 },
#endif
    { 0 },
    &operand_data[9719],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3357 */
  {
    "*cond_uxtvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7067 },
#else
    { 0, output_7067, 0 },
#endif
    { 0 },
    &operand_data[9724],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx8hivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx8qi2 },
    &operand_data[9729],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx8hivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx4qi2 },
    &operand_data[9731],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx8hivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx2qi2 },
    &operand_data[9733],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx8hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx4hi2 },
    &operand_data[9735],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx8hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx2hi2 },
    &operand_data[9737],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx8hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx2si2 },
    &operand_data[9739],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4hivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx8qi2 },
    &operand_data[9741],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4hivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx4qi2 },
    &operand_data[9743],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4hivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx2qi2 },
    &operand_data[9745],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx4hi2 },
    &operand_data[9747],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx2hi2 },
    &operand_data[9749],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx2si2 },
    &operand_data[9751],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2hivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx8qi2 },
    &operand_data[9753],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2hivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx4qi2 },
    &operand_data[9755],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2hivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx2qi2 },
    &operand_data[9757],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx4hi2 },
    &operand_data[9759],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx2hi2 },
    &operand_data[9761],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx2si2 },
    &operand_data[9763],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4sivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx8qi2 },
    &operand_data[9765],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4sivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4qi2 },
    &operand_data[9767],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4sivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx2qi2 },
    &operand_data[9769],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4hi2 },
    &operand_data[9771],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx2hi2 },
    &operand_data[9773],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx4sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx2si2 },
    &operand_data[9775],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2sivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx8qi2 },
    &operand_data[9777],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2sivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx4qi2 },
    &operand_data[9779],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2sivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2qi2 },
    &operand_data[9781],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx4hi2 },
    &operand_data[9783],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2hi2 },
    &operand_data[9785],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2si2 },
    &operand_data[9787],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2divnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx8qi2 },
    &operand_data[9789],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2divnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx4qi2 },
    &operand_data[9791],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2divnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2qi2 },
    &operand_data[9793],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2divnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx4hi2 },
    &operand_data[9795],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2divnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2hi2 },
    &operand_data[9797],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3383 */
  {
    "truncvnx2divnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2si2 },
    &operand_data[9799],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7104 },
#else
    { 0, output_7104, 0 },
#endif
    { 0 },
    &operand_data[9801],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7105 },
#else
    { 0, output_7105, 0 },
#endif
    { 0 },
    &operand_data[9806],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7106 },
#else
    { 0, output_7106, 0 },
#endif
    { 0 },
    &operand_data[9811],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7107 },
#else
    { 0, output_7107, 0 },
#endif
    { 0 },
    &operand_data[9816],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7108 },
#else
    { 0, output_7108, 0 },
#endif
    { 0 },
    &operand_data[9821],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7109 },
#else
    { 0, output_7109, 0 },
#endif
    { 0 },
    &operand_data[9826],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7110 },
#else
    { 0, output_7110, 0 },
#endif
    { 0 },
    &operand_data[9831],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7111 },
#else
    { 0, output_7111, 0 },
#endif
    { 0 },
    &operand_data[9836],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7112 },
#else
    { 0, output_7112, 0 },
#endif
    { 0 },
    &operand_data[9841],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3425 */
  {
    "*cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7113 },
#else
    { 0, output_7113, 0 },
#endif
    { 0 },
    &operand_data[9846],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7114 },
#else
    { 0, output_7114, 0 },
#endif
    { 0 },
    &operand_data[9851],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7115 },
#else
    { 0, output_7115, 0 },
#endif
    { 0 },
    &operand_data[9857],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7116 },
#else
    { 0, output_7116, 0 },
#endif
    { 0 },
    &operand_data[9863],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7117 },
#else
    { 0, output_7117, 0 },
#endif
    { 0 },
    &operand_data[9869],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7118 },
#else
    { 0, output_7118, 0 },
#endif
    { 0 },
    &operand_data[9875],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7119 },
#else
    { 0, output_7119, 0 },
#endif
    { 0 },
    &operand_data[9881],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7120 },
#else
    { 0, output_7120, 0 },
#endif
    { 0 },
    &operand_data[9887],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7121 },
#else
    { 0, output_7121, 0 },
#endif
    { 0 },
    &operand_data[9893],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7122 },
#else
    { 0, output_7122, 0 },
#endif
    { 0 },
    &operand_data[9899],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3472 */
  {
    "*cond_cnotvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7123 },
#else
    { 0, output_7123, 0 },
#endif
    { 0 },
    &operand_data[9905],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7124 },
#else
    { 0, output_7124, 0 },
#endif
    { 0 },
    &operand_data[9911],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7125 },
#else
    { 0, output_7125, 0 },
#endif
    { 0 },
    &operand_data[9918],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7126 },
#else
    { 0, output_7126, 0 },
#endif
    { 0 },
    &operand_data[9925],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7127 },
#else
    { 0, output_7127, 0 },
#endif
    { 0 },
    &operand_data[9932],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7128 },
#else
    { 0, output_7128, 0 },
#endif
    { 0 },
    &operand_data[9939],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7129 },
#else
    { 0, output_7129, 0 },
#endif
    { 0 },
    &operand_data[9946],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7130 },
#else
    { 0, output_7130, 0 },
#endif
    { 0 },
    &operand_data[9953],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7131 },
#else
    { 0, output_7131, 0 },
#endif
    { 0 },
    &operand_data[9960],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7132 },
#else
    { 0, output_7132, 0 },
#endif
    { 0 },
    &operand_data[9967],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "*cond_cnotvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7133 },
#else
    { 0, output_7133, 0 },
#endif
    { 0 },
    &operand_data[9974],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3546 */
  {
    "aarch64_sve_fexpavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx8hf },
    &operand_data[9981],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3546 */
  {
    "aarch64_sve_fexpavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx4sf },
    &operand_data[9983],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3546 */
  {
    "aarch64_sve_fexpavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx2df },
    &operand_data[9985],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3575 */
  {
    "aarch64_sve_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx8hf },
    &operand_data[9987],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3575 */
  {
    "aarch64_sve_frsqrtevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx8hf },
    &operand_data[9987],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3575 */
  {
    "aarch64_sve_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx4sf },
    &operand_data[9989],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3575 */
  {
    "aarch64_sve_frsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx4sf },
    &operand_data[9989],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3575 */
  {
    "aarch64_sve_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx2df },
    &operand_data[9991],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3575 */
  {
    "aarch64_sve_frsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx2df },
    &operand_data[9991],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7143 },
#else
    { 0, output_7143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7144 },
#else
    { 0, output_7144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7145 },
#else
    { 0, output_7145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7146 },
#else
    { 0, output_7146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7147 },
#else
    { 0, output_7147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7148 },
#else
    { 0, output_7148, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7149 },
#else
    { 0, output_7149, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7150 },
#else
    { 0, output_7150, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7151 },
#else
    { 0, output_7151, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7152 },
#else
    { 0, output_7152, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7153 },
#else
    { 0, output_7153, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx8hf },
    &operand_data[9993],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7154 },
#else
    { 0, output_7154, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7155 },
#else
    { 0, output_7155, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7156 },
#else
    { 0, output_7156, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7157 },
#else
    { 0, output_7157, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7158 },
#else
    { 0, output_7158, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7159 },
#else
    { 0, output_7159, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7160 },
#else
    { 0, output_7160, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7161 },
#else
    { 0, output_7161, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7162 },
#else
    { 0, output_7162, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7163 },
#else
    { 0, output_7163, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7164 },
#else
    { 0, output_7164, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7165 },
#else
    { 0, output_7165, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7166 },
#else
    { 0, output_7166, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7167 },
#else
    { 0, output_7167, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7168 },
#else
    { 0, output_7168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7169 },
#else
    { 0, output_7169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7170 },
#else
    { 0, output_7170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7171 },
#else
    { 0, output_7171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7172 },
#else
    { 0, output_7172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7173 },
#else
    { 0, output_7173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7174 },
#else
    { 0, output_7174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3599 */
  {
    "aarch64_pred_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7175 },
#else
    { 0, output_7175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx2df },
    &operand_data[10001],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_absvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7176 },
#else
    { 0, output_7176, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_negvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7177 },
#else
    { 0, output_7177, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_frecpxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7178 },
#else
    { 0, output_7178, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_roundvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7179 },
#else
    { 0, output_7179, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_nearbyintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7180 },
#else
    { 0, output_7180, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_floorvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7181 },
#else
    { 0, output_7181, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_frintnvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7182 },
#else
    { 0, output_7182, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_ceilvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7183 },
#else
    { 0, output_7183, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_rintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7184 },
#else
    { 0, output_7184, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_btruncvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7185 },
#else
    { 0, output_7185, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_sqrtvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7186 },
#else
    { 0, output_7186, 0 },
#endif
    { 0 },
    &operand_data[10005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_absvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7187 },
#else
    { 0, output_7187, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_negvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7188 },
#else
    { 0, output_7188, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_frecpxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7189 },
#else
    { 0, output_7189, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_roundvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7190 },
#else
    { 0, output_7190, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_nearbyintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7191 },
#else
    { 0, output_7191, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_floorvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7192 },
#else
    { 0, output_7192, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_frintnvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7193 },
#else
    { 0, output_7193, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_ceilvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7194 },
#else
    { 0, output_7194, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_rintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7195 },
#else
    { 0, output_7195, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_btruncvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7196 },
#else
    { 0, output_7196, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_sqrtvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7197 },
#else
    { 0, output_7197, 0 },
#endif
    { 0 },
    &operand_data[10009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_absvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7198 },
#else
    { 0, output_7198, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_negvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7199 },
#else
    { 0, output_7199, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_frecpxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7200 },
#else
    { 0, output_7200, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_roundvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7201 },
#else
    { 0, output_7201, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_nearbyintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7202 },
#else
    { 0, output_7202, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_floorvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7203 },
#else
    { 0, output_7203, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_frintnvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7204 },
#else
    { 0, output_7204, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_ceilvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7205 },
#else
    { 0, output_7205, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_rintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7206 },
#else
    { 0, output_7206, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_btruncvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7207 },
#else
    { 0, output_7207, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3629 */
  {
    "*cond_sqrtvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7208 },
#else
    { 0, output_7208, 0 },
#endif
    { 0 },
    &operand_data[10013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_absvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7209 },
#else
    { 0, output_7209, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_negvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7210 },
#else
    { 0, output_7210, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_frecpxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7211 },
#else
    { 0, output_7211, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_roundvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7212 },
#else
    { 0, output_7212, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_nearbyintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7213 },
#else
    { 0, output_7213, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_floorvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7214 },
#else
    { 0, output_7214, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_frintnvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7215 },
#else
    { 0, output_7215, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_ceilvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7216 },
#else
    { 0, output_7216, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_rintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7217 },
#else
    { 0, output_7217, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_btruncvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7218 },
#else
    { 0, output_7218, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_sqrtvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7219 },
#else
    { 0, output_7219, 0 },
#endif
    { 0 },
    &operand_data[9404],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_absvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7220 },
#else
    { 0, output_7220, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_negvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7221 },
#else
    { 0, output_7221, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_frecpxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7222 },
#else
    { 0, output_7222, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_roundvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7223 },
#else
    { 0, output_7223, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_nearbyintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7224 },
#else
    { 0, output_7224, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_floorvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7225 },
#else
    { 0, output_7225, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_frintnvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7226 },
#else
    { 0, output_7226, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_ceilvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7227 },
#else
    { 0, output_7227, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_rintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7228 },
#else
    { 0, output_7228, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_btruncvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7229 },
#else
    { 0, output_7229, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_sqrtvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7230 },
#else
    { 0, output_7230, 0 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_absvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7231 },
#else
    { 0, output_7231, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_negvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7232 },
#else
    { 0, output_7232, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_frecpxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7233 },
#else
    { 0, output_7233, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_roundvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7234 },
#else
    { 0, output_7234, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_nearbyintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7235 },
#else
    { 0, output_7235, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_floorvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7236 },
#else
    { 0, output_7236, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_frintnvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7237 },
#else
    { 0, output_7237, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_ceilvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7238 },
#else
    { 0, output_7238, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_rintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7239 },
#else
    { 0, output_7239, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_btruncvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7240 },
#else
    { 0, output_7240, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3651 */
  {
    "*cond_sqrtvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7241 },
#else
    { 0, output_7241, 0 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_absvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7242 },
#else
    { 0, output_7242, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_negvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7243 },
#else
    { 0, output_7243, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_frecpxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7244 },
#else
    { 0, output_7244, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_roundvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7245 },
#else
    { 0, output_7245, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_nearbyintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7246 },
#else
    { 0, output_7246, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_floorvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7247 },
#else
    { 0, output_7247, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_frintnvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7248 },
#else
    { 0, output_7248, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_ceilvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7249 },
#else
    { 0, output_7249, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_rintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7250 },
#else
    { 0, output_7250, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_btruncvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7251 },
#else
    { 0, output_7251, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_sqrtvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7252 },
#else
    { 0, output_7252, 0 },
#endif
    { 0 },
    &operand_data[10017],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_absvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7253 },
#else
    { 0, output_7253, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_negvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7254 },
#else
    { 0, output_7254, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_frecpxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7255 },
#else
    { 0, output_7255, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_roundvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7256 },
#else
    { 0, output_7256, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_nearbyintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7257 },
#else
    { 0, output_7257, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_floorvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7258 },
#else
    { 0, output_7258, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_frintnvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7259 },
#else
    { 0, output_7259, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_ceilvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7260 },
#else
    { 0, output_7260, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_rintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7261 },
#else
    { 0, output_7261, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_btruncvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7262 },
#else
    { 0, output_7262, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_sqrtvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7263 },
#else
    { 0, output_7263, 0 },
#endif
    { 0 },
    &operand_data[10022],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_absvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7264 },
#else
    { 0, output_7264, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_negvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7265 },
#else
    { 0, output_7265, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_frecpxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7266 },
#else
    { 0, output_7266, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_roundvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7267 },
#else
    { 0, output_7267, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_nearbyintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7268 },
#else
    { 0, output_7268, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_floorvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7269 },
#else
    { 0, output_7269, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_frintnvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7270 },
#else
    { 0, output_7270, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_ceilvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7271 },
#else
    { 0, output_7271, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_rintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7272 },
#else
    { 0, output_7272, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_btruncvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7273 },
#else
    { 0, output_7273, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3677 */
  {
    "*cond_sqrtvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7274 },
#else
    { 0, output_7274, 0 },
#endif
    { 0 },
    &operand_data[10027],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_absvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7275 },
#else
    { 0, output_7275, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_negvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7276 },
#else
    { 0, output_7276, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_frecpxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7277 },
#else
    { 0, output_7277, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_roundvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7278 },
#else
    { 0, output_7278, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_nearbyintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7279 },
#else
    { 0, output_7279, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_floorvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7280 },
#else
    { 0, output_7280, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_frintnvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7281 },
#else
    { 0, output_7281, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ceilvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7282 },
#else
    { 0, output_7282, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_rintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7283 },
#else
    { 0, output_7283, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_btruncvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7284 },
#else
    { 0, output_7284, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sqrtvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7285 },
#else
    { 0, output_7285, 0 },
#endif
    { 0 },
    &operand_data[10017],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_absvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7286 },
#else
    { 0, output_7286, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_negvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7287 },
#else
    { 0, output_7287, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_frecpxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7288 },
#else
    { 0, output_7288, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_roundvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7289 },
#else
    { 0, output_7289, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_nearbyintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7290 },
#else
    { 0, output_7290, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_floorvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7291 },
#else
    { 0, output_7291, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_frintnvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7292 },
#else
    { 0, output_7292, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ceilvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7293 },
#else
    { 0, output_7293, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_rintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7294 },
#else
    { 0, output_7294, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_btruncvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7295 },
#else
    { 0, output_7295, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sqrtvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7296 },
#else
    { 0, output_7296, 0 },
#endif
    { 0 },
    &operand_data[10022],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_absvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7297 },
#else
    { 0, output_7297, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_negvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7298 },
#else
    { 0, output_7298, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_frecpxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7299 },
#else
    { 0, output_7299, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_roundvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7300 },
#else
    { 0, output_7300, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_nearbyintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7301 },
#else
    { 0, output_7301, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_floorvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7302 },
#else
    { 0, output_7302, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_frintnvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7303 },
#else
    { 0, output_7303, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ceilvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7304 },
#else
    { 0, output_7304, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_rintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7305 },
#else
    { 0, output_7305, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_btruncvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7306 },
#else
    { 0, output_7306, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sqrtvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7307 },
#else
    { 0, output_7307, 0 },
#endif
    { 0 },
    &operand_data[10027],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3789 */
  {
    "*one_cmplvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10032],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3789 */
  {
    "*one_cmplvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10035],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3789 */
  {
    "*one_cmplvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3789 */
  {
    "*one_cmplvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10041],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7312 },
#else
    { 0, output_7312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx16qi },
    &operand_data[10044],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7313 },
#else
    { 0, output_7313, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx16qi },
    &operand_data[10044],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7314 },
#else
    { 0, output_7314, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx16qi },
    &operand_data[10044],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7315 },
#else
    { 0, output_7315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx16qi },
    &operand_data[10048],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7316 },
#else
    { 0, output_7316, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx16qi },
    &operand_data[10048],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7317 },
#else
    { 0, output_7317, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8qi },
    &operand_data[10052],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7318 },
#else
    { 0, output_7318, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8qi },
    &operand_data[10052],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7319 },
#else
    { 0, output_7319, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8qi },
    &operand_data[10052],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7320 },
#else
    { 0, output_7320, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx8qi },
    &operand_data[10056],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7321 },
#else
    { 0, output_7321, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx8qi },
    &operand_data[10056],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7322 },
#else
    { 0, output_7322, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4qi },
    &operand_data[10060],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7323 },
#else
    { 0, output_7323, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4qi },
    &operand_data[10060],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7324 },
#else
    { 0, output_7324, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4qi },
    &operand_data[10060],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7325 },
#else
    { 0, output_7325, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4qi },
    &operand_data[10064],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7326 },
#else
    { 0, output_7326, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4qi },
    &operand_data[10064],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7327 },
#else
    { 0, output_7327, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2qi },
    &operand_data[10068],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7328 },
#else
    { 0, output_7328, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2qi },
    &operand_data[10068],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7329 },
#else
    { 0, output_7329, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2qi },
    &operand_data[10068],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7330 },
#else
    { 0, output_7330, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2qi },
    &operand_data[10072],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7331 },
#else
    { 0, output_7331, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2qi },
    &operand_data[10072],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7332 },
#else
    { 0, output_7332, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hi },
    &operand_data[10076],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7333 },
#else
    { 0, output_7333, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hi },
    &operand_data[10076],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7334 },
#else
    { 0, output_7334, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hi },
    &operand_data[10076],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7335 },
#else
    { 0, output_7335, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx8hi },
    &operand_data[10080],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7336 },
#else
    { 0, output_7336, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx8hi },
    &operand_data[10080],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7337 },
#else
    { 0, output_7337, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4hi },
    &operand_data[10084],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7338 },
#else
    { 0, output_7338, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4hi },
    &operand_data[10084],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7339 },
#else
    { 0, output_7339, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4hi },
    &operand_data[10084],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7340 },
#else
    { 0, output_7340, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4hi },
    &operand_data[10088],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7341 },
#else
    { 0, output_7341, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4hi },
    &operand_data[10088],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7342 },
#else
    { 0, output_7342, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2hi },
    &operand_data[10092],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7343 },
#else
    { 0, output_7343, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2hi },
    &operand_data[10092],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7344 },
#else
    { 0, output_7344, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2hi },
    &operand_data[10092],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7345 },
#else
    { 0, output_7345, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2hi },
    &operand_data[10096],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7346 },
#else
    { 0, output_7346, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2hi },
    &operand_data[10096],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7347 },
#else
    { 0, output_7347, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4si },
    &operand_data[10100],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7348 },
#else
    { 0, output_7348, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4si },
    &operand_data[10100],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7349 },
#else
    { 0, output_7349, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4si },
    &operand_data[10100],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7350 },
#else
    { 0, output_7350, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4si },
    &operand_data[10104],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7351 },
#else
    { 0, output_7351, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4si },
    &operand_data[10104],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7352 },
#else
    { 0, output_7352, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2si },
    &operand_data[10108],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7353 },
#else
    { 0, output_7353, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2si },
    &operand_data[10108],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7354 },
#else
    { 0, output_7354, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2si },
    &operand_data[10108],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7355 },
#else
    { 0, output_7355, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2si },
    &operand_data[10112],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7356 },
#else
    { 0, output_7356, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2si },
    &operand_data[10112],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7357 },
#else
    { 0, output_7357, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2di },
    &operand_data[10116],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7358 },
#else
    { 0, output_7358, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2di },
    &operand_data[10116],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7359 },
#else
    { 0, output_7359, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2di },
    &operand_data[10116],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7360 },
#else
    { 0, output_7360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2di },
    &operand_data[10120],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7361 },
#else
    { 0, output_7361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2di },
    &operand_data[10120],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_mulv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7362 },
#else
    { 0, output_7362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulv2di },
    &operand_data[10124],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_smaxv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7363 },
#else
    { 0, output_7363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxv2di },
    &operand_data[10124],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_sminv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7364 },
#else
    { 0, output_7364, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminv2di },
    &operand_data[10124],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_umaxv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7365 },
#else
    { 0, output_7365, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxv2di },
    &operand_data[10128],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3873 */
  {
    "aarch64_pred_uminv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7366 },
#else
    { 0, output_7366, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminv2di },
    &operand_data[10128],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7367 },
#else
    { 0, output_7367, 0 },
#endif
    { 0 },
    &operand_data[10132],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7368 },
#else
    { 0, output_7368, 0 },
#endif
    { 0 },
    &operand_data[10132],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7369 },
#else
    { 0, output_7369, 0 },
#endif
    { 0 },
    &operand_data[10132],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7370 },
#else
    { 0, output_7370, 0 },
#endif
    { 0 },
    &operand_data[10135],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7371 },
#else
    { 0, output_7371, 0 },
#endif
    { 0 },
    &operand_data[10135],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7372 },
#else
    { 0, output_7372, 0 },
#endif
    { 0 },
    &operand_data[10138],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7373 },
#else
    { 0, output_7373, 0 },
#endif
    { 0 },
    &operand_data[10138],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7374 },
#else
    { 0, output_7374, 0 },
#endif
    { 0 },
    &operand_data[10138],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7375 },
#else
    { 0, output_7375, 0 },
#endif
    { 0 },
    &operand_data[10141],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7376 },
#else
    { 0, output_7376, 0 },
#endif
    { 0 },
    &operand_data[10141],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7377 },
#else
    { 0, output_7377, 0 },
#endif
    { 0 },
    &operand_data[10144],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7378 },
#else
    { 0, output_7378, 0 },
#endif
    { 0 },
    &operand_data[10144],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7379 },
#else
    { 0, output_7379, 0 },
#endif
    { 0 },
    &operand_data[10144],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7380 },
#else
    { 0, output_7380, 0 },
#endif
    { 0 },
    &operand_data[10147],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7381 },
#else
    { 0, output_7381, 0 },
#endif
    { 0 },
    &operand_data[10147],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7382 },
#else
    { 0, output_7382, 0 },
#endif
    { 0 },
    &operand_data[10150],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7383 },
#else
    { 0, output_7383, 0 },
#endif
    { 0 },
    &operand_data[10150],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7384 },
#else
    { 0, output_7384, 0 },
#endif
    { 0 },
    &operand_data[10150],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7385 },
#else
    { 0, output_7385, 0 },
#endif
    { 0 },
    &operand_data[10153],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7386 },
#else
    { 0, output_7386, 0 },
#endif
    { 0 },
    &operand_data[10153],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7387 },
#else
    { 0, output_7387, 0 },
#endif
    { 0 },
    &operand_data[10156],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7388 },
#else
    { 0, output_7388, 0 },
#endif
    { 0 },
    &operand_data[10156],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7389 },
#else
    { 0, output_7389, 0 },
#endif
    { 0 },
    &operand_data[10156],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7390 },
#else
    { 0, output_7390, 0 },
#endif
    { 0 },
    &operand_data[10159],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7391 },
#else
    { 0, output_7391, 0 },
#endif
    { 0 },
    &operand_data[10159],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7392 },
#else
    { 0, output_7392, 0 },
#endif
    { 0 },
    &operand_data[10162],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7393 },
#else
    { 0, output_7393, 0 },
#endif
    { 0 },
    &operand_data[10162],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7394 },
#else
    { 0, output_7394, 0 },
#endif
    { 0 },
    &operand_data[10162],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7395 },
#else
    { 0, output_7395, 0 },
#endif
    { 0 },
    &operand_data[10165],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7396 },
#else
    { 0, output_7396, 0 },
#endif
    { 0 },
    &operand_data[10165],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7397 },
#else
    { 0, output_7397, 0 },
#endif
    { 0 },
    &operand_data[10168],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7398 },
#else
    { 0, output_7398, 0 },
#endif
    { 0 },
    &operand_data[10168],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7399 },
#else
    { 0, output_7399, 0 },
#endif
    { 0 },
    &operand_data[10168],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7400 },
#else
    { 0, output_7400, 0 },
#endif
    { 0 },
    &operand_data[10171],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7401 },
#else
    { 0, output_7401, 0 },
#endif
    { 0 },
    &operand_data[10171],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7402 },
#else
    { 0, output_7402, 0 },
#endif
    { 0 },
    &operand_data[10174],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7403 },
#else
    { 0, output_7403, 0 },
#endif
    { 0 },
    &operand_data[10174],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7404 },
#else
    { 0, output_7404, 0 },
#endif
    { 0 },
    &operand_data[10174],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7405 },
#else
    { 0, output_7405, 0 },
#endif
    { 0 },
    &operand_data[10177],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7406 },
#else
    { 0, output_7406, 0 },
#endif
    { 0 },
    &operand_data[10177],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7407 },
#else
    { 0, output_7407, 0 },
#endif
    { 0 },
    &operand_data[10180],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7408 },
#else
    { 0, output_7408, 0 },
#endif
    { 0 },
    &operand_data[10180],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7409 },
#else
    { 0, output_7409, 0 },
#endif
    { 0 },
    &operand_data[10180],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7410 },
#else
    { 0, output_7410, 0 },
#endif
    { 0 },
    &operand_data[10183],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7411 },
#else
    { 0, output_7411, 0 },
#endif
    { 0 },
    &operand_data[10183],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7412 },
#else
    { 0, output_7412, 0 },
#endif
    { 0 },
    &operand_data[10186],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7413 },
#else
    { 0, output_7413, 0 },
#endif
    { 0 },
    &operand_data[10186],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7414 },
#else
    { 0, output_7414, 0 },
#endif
    { 0 },
    &operand_data[10186],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7415 },
#else
    { 0, output_7415, 0 },
#endif
    { 0 },
    &operand_data[10189],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7416 },
#else
    { 0, output_7416, 0 },
#endif
    { 0 },
    &operand_data[10189],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_mulv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7417 },
#else
    { 0, output_7417, 0 },
#endif
    { 0 },
    &operand_data[10192],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_smaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7418 },
#else
    { 0, output_7418, 0 },
#endif
    { 0 },
    &operand_data[10192],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_sminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7419 },
#else
    { 0, output_7419, 0 },
#endif
    { 0 },
    &operand_data[10192],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_umaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7420 },
#else
    { 0, output_7420, 0 },
#endif
    { 0 },
    &operand_data[10195],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3900 */
  {
    "*post_ra_uminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7421 },
#else
    { 0, output_7421, 0 },
#endif
    { 0 },
    &operand_data[10195],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7422 },
#else
    { 0, output_7422, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7423 },
#else
    { 0, output_7423, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7424 },
#else
    { 0, output_7424, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7425 },
#else
    { 0, output_7425, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7426 },
#else
    { 0, output_7426, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7427 },
#else
    { 0, output_7427, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7428 },
#else
    { 0, output_7428, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7429 },
#else
    { 0, output_7429, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7430 },
#else
    { 0, output_7430, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7431 },
#else
    { 0, output_7431, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7432 },
#else
    { 0, output_7432, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7433 },
#else
    { 0, output_7433, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7434 },
#else
    { 0, output_7434, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7435 },
#else
    { 0, output_7435, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7436 },
#else
    { 0, output_7436, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7437 },
#else
    { 0, output_7437, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7438 },
#else
    { 0, output_7438, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7439 },
#else
    { 0, output_7439, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7440 },
#else
    { 0, output_7440, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7441 },
#else
    { 0, output_7441, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7442 },
#else
    { 0, output_7442, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7443 },
#else
    { 0, output_7443, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7444 },
#else
    { 0, output_7444, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7445 },
#else
    { 0, output_7445, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7446 },
#else
    { 0, output_7446, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7447 },
#else
    { 0, output_7447, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7448 },
#else
    { 0, output_7448, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7449 },
#else
    { 0, output_7449, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7450 },
#else
    { 0, output_7450, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7451 },
#else
    { 0, output_7451, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7452 },
#else
    { 0, output_7452, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7453 },
#else
    { 0, output_7453, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7454 },
#else
    { 0, output_7454, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7455 },
#else
    { 0, output_7455, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7456 },
#else
    { 0, output_7456, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7457 },
#else
    { 0, output_7457, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7458 },
#else
    { 0, output_7458, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7459 },
#else
    { 0, output_7459, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7460 },
#else
    { 0, output_7460, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7461 },
#else
    { 0, output_7461, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7462 },
#else
    { 0, output_7462, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7463 },
#else
    { 0, output_7463, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7464 },
#else
    { 0, output_7464, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7465 },
#else
    { 0, output_7465, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7466 },
#else
    { 0, output_7466, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7467 },
#else
    { 0, output_7467, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7468 },
#else
    { 0, output_7468, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7469 },
#else
    { 0, output_7469, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7470 },
#else
    { 0, output_7470, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7471 },
#else
    { 0, output_7471, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7472 },
#else
    { 0, output_7472, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7473 },
#else
    { 0, output_7473, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7474 },
#else
    { 0, output_7474, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7475 },
#else
    { 0, output_7475, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7476 },
#else
    { 0, output_7476, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7477 },
#else
    { 0, output_7477, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7478 },
#else
    { 0, output_7478, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7479 },
#else
    { 0, output_7479, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7480 },
#else
    { 0, output_7480, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7481 },
#else
    { 0, output_7481, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7482 },
#else
    { 0, output_7482, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7483 },
#else
    { 0, output_7483, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7484 },
#else
    { 0, output_7484, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7485 },
#else
    { 0, output_7485, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7486 },
#else
    { 0, output_7486, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7487 },
#else
    { 0, output_7487, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7488 },
#else
    { 0, output_7488, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7489 },
#else
    { 0, output_7489, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7490 },
#else
    { 0, output_7490, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7491 },
#else
    { 0, output_7491, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7492 },
#else
    { 0, output_7492, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7493 },
#else
    { 0, output_7493, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7494 },
#else
    { 0, output_7494, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7495 },
#else
    { 0, output_7495, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7496 },
#else
    { 0, output_7496, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7497 },
#else
    { 0, output_7497, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7498 },
#else
    { 0, output_7498, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7499 },
#else
    { 0, output_7499, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7500 },
#else
    { 0, output_7500, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7501 },
#else
    { 0, output_7501, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7502 },
#else
    { 0, output_7502, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7503 },
#else
    { 0, output_7503, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7504 },
#else
    { 0, output_7504, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7505 },
#else
    { 0, output_7505, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7506 },
#else
    { 0, output_7506, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7507 },
#else
    { 0, output_7507, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7508 },
#else
    { 0, output_7508, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7509 },
#else
    { 0, output_7509, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7510 },
#else
    { 0, output_7510, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7511 },
#else
    { 0, output_7511, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7512 },
#else
    { 0, output_7512, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7513 },
#else
    { 0, output_7513, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7514 },
#else
    { 0, output_7514, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7515 },
#else
    { 0, output_7515, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7516 },
#else
    { 0, output_7516, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7517 },
#else
    { 0, output_7517, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7518 },
#else
    { 0, output_7518, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7519 },
#else
    { 0, output_7519, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7520 },
#else
    { 0, output_7520, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7521 },
#else
    { 0, output_7521, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7522 },
#else
    { 0, output_7522, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7523 },
#else
    { 0, output_7523, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7524 },
#else
    { 0, output_7524, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7525 },
#else
    { 0, output_7525, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7526 },
#else
    { 0, output_7526, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7527 },
#else
    { 0, output_7527, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7528 },
#else
    { 0, output_7528, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7529 },
#else
    { 0, output_7529, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7530 },
#else
    { 0, output_7530, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7531 },
#else
    { 0, output_7531, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7532 },
#else
    { 0, output_7532, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7533 },
#else
    { 0, output_7533, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7534 },
#else
    { 0, output_7534, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7535 },
#else
    { 0, output_7535, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7536 },
#else
    { 0, output_7536, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7537 },
#else
    { 0, output_7537, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7538 },
#else
    { 0, output_7538, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7539 },
#else
    { 0, output_7539, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7540 },
#else
    { 0, output_7540, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7541 },
#else
    { 0, output_7541, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7542 },
#else
    { 0, output_7542, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7543 },
#else
    { 0, output_7543, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7544 },
#else
    { 0, output_7544, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7545 },
#else
    { 0, output_7545, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7546 },
#else
    { 0, output_7546, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7547 },
#else
    { 0, output_7547, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7548 },
#else
    { 0, output_7548, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7549 },
#else
    { 0, output_7549, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7550 },
#else
    { 0, output_7550, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7551 },
#else
    { 0, output_7551, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7552 },
#else
    { 0, output_7552, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7553 },
#else
    { 0, output_7553, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7554 },
#else
    { 0, output_7554, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7555 },
#else
    { 0, output_7555, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7556 },
#else
    { 0, output_7556, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7557 },
#else
    { 0, output_7557, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7558 },
#else
    { 0, output_7558, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7559 },
#else
    { 0, output_7559, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7560 },
#else
    { 0, output_7560, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7561 },
#else
    { 0, output_7561, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7562 },
#else
    { 0, output_7562, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7563 },
#else
    { 0, output_7563, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7564 },
#else
    { 0, output_7564, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7565 },
#else
    { 0, output_7565, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7566 },
#else
    { 0, output_7566, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7567 },
#else
    { 0, output_7567, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7568 },
#else
    { 0, output_7568, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7569 },
#else
    { 0, output_7569, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7570 },
#else
    { 0, output_7570, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7571 },
#else
    { 0, output_7571, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7572 },
#else
    { 0, output_7572, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7573 },
#else
    { 0, output_7573, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7574 },
#else
    { 0, output_7574, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_addvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7575 },
#else
    { 0, output_7575, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_subvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7576 },
#else
    { 0, output_7576, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_mulvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7577 },
#else
    { 0, output_7577, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_smaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7578 },
#else
    { 0, output_7578, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_umaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7579 },
#else
    { 0, output_7579, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7580 },
#else
    { 0, output_7580, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_uminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7581 },
#else
    { 0, output_7581, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7582 },
#else
    { 0, output_7582, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ashrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7583 },
#else
    { 0, output_7583, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_lshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7584 },
#else
    { 0, output_7584, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_andvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7585 },
#else
    { 0, output_7585, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_iorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7586 },
#else
    { 0, output_7586, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_xorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7587 },
#else
    { 0, output_7587, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ssaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7588 },
#else
    { 0, output_7588, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_usaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7589 },
#else
    { 0, output_7589, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_sssubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7590 },
#else
    { 0, output_7590, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3926 */
  {
    "*cond_ussubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7591 },
#else
    { 0, output_7591, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7592 },
#else
    { 0, output_7592, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7593 },
#else
    { 0, output_7593, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7594 },
#else
    { 0, output_7594, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7595 },
#else
    { 0, output_7595, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7596 },
#else
    { 0, output_7596, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7597 },
#else
    { 0, output_7597, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7598 },
#else
    { 0, output_7598, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7599 },
#else
    { 0, output_7599, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7600 },
#else
    { 0, output_7600, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7601 },
#else
    { 0, output_7601, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7602 },
#else
    { 0, output_7602, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7603 },
#else
    { 0, output_7603, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7604 },
#else
    { 0, output_7604, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7605 },
#else
    { 0, output_7605, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7606 },
#else
    { 0, output_7606, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7607 },
#else
    { 0, output_7607, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7608 },
#else
    { 0, output_7608, 0 },
#endif
    { 0 },
    &operand_data[10238],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7609 },
#else
    { 0, output_7609, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7610 },
#else
    { 0, output_7610, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7611 },
#else
    { 0, output_7611, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7612 },
#else
    { 0, output_7612, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7613 },
#else
    { 0, output_7613, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7614 },
#else
    { 0, output_7614, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7615 },
#else
    { 0, output_7615, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7616 },
#else
    { 0, output_7616, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7617 },
#else
    { 0, output_7617, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7618 },
#else
    { 0, output_7618, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7619 },
#else
    { 0, output_7619, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7620 },
#else
    { 0, output_7620, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7621 },
#else
    { 0, output_7621, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7622 },
#else
    { 0, output_7622, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7623 },
#else
    { 0, output_7623, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7624 },
#else
    { 0, output_7624, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7625 },
#else
    { 0, output_7625, 0 },
#endif
    { 0 },
    &operand_data[10242],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7626 },
#else
    { 0, output_7626, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7627 },
#else
    { 0, output_7627, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7628 },
#else
    { 0, output_7628, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7629 },
#else
    { 0, output_7629, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7630 },
#else
    { 0, output_7630, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7631 },
#else
    { 0, output_7631, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7632 },
#else
    { 0, output_7632, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7633 },
#else
    { 0, output_7633, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7634 },
#else
    { 0, output_7634, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7635 },
#else
    { 0, output_7635, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7636 },
#else
    { 0, output_7636, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7637 },
#else
    { 0, output_7637, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7638 },
#else
    { 0, output_7638, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7639 },
#else
    { 0, output_7639, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7640 },
#else
    { 0, output_7640, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7641 },
#else
    { 0, output_7641, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7642 },
#else
    { 0, output_7642, 0 },
#endif
    { 0 },
    &operand_data[10246],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7643 },
#else
    { 0, output_7643, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7644 },
#else
    { 0, output_7644, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7645 },
#else
    { 0, output_7645, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7646 },
#else
    { 0, output_7646, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7647 },
#else
    { 0, output_7647, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7648 },
#else
    { 0, output_7648, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7649 },
#else
    { 0, output_7649, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7650 },
#else
    { 0, output_7650, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7651 },
#else
    { 0, output_7651, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7652 },
#else
    { 0, output_7652, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7653 },
#else
    { 0, output_7653, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7654 },
#else
    { 0, output_7654, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7655 },
#else
    { 0, output_7655, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7656 },
#else
    { 0, output_7656, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7657 },
#else
    { 0, output_7657, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7658 },
#else
    { 0, output_7658, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7659 },
#else
    { 0, output_7659, 0 },
#endif
    { 0 },
    &operand_data[10250],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7660 },
#else
    { 0, output_7660, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7661 },
#else
    { 0, output_7661, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7662 },
#else
    { 0, output_7662, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7663 },
#else
    { 0, output_7663, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7664 },
#else
    { 0, output_7664, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7665 },
#else
    { 0, output_7665, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7666 },
#else
    { 0, output_7666, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7667 },
#else
    { 0, output_7667, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7668 },
#else
    { 0, output_7668, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7669 },
#else
    { 0, output_7669, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7670 },
#else
    { 0, output_7670, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7671 },
#else
    { 0, output_7671, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7672 },
#else
    { 0, output_7672, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7673 },
#else
    { 0, output_7673, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7674 },
#else
    { 0, output_7674, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7675 },
#else
    { 0, output_7675, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7676 },
#else
    { 0, output_7676, 0 },
#endif
    { 0 },
    &operand_data[10254],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7677 },
#else
    { 0, output_7677, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7678 },
#else
    { 0, output_7678, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7679 },
#else
    { 0, output_7679, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7680 },
#else
    { 0, output_7680, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7681 },
#else
    { 0, output_7681, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7682 },
#else
    { 0, output_7682, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7683 },
#else
    { 0, output_7683, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7684 },
#else
    { 0, output_7684, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7685 },
#else
    { 0, output_7685, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7686 },
#else
    { 0, output_7686, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7687 },
#else
    { 0, output_7687, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7688 },
#else
    { 0, output_7688, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7689 },
#else
    { 0, output_7689, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7690 },
#else
    { 0, output_7690, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7691 },
#else
    { 0, output_7691, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7692 },
#else
    { 0, output_7692, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7693 },
#else
    { 0, output_7693, 0 },
#endif
    { 0 },
    &operand_data[10258],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7694 },
#else
    { 0, output_7694, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7695 },
#else
    { 0, output_7695, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7696 },
#else
    { 0, output_7696, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7697 },
#else
    { 0, output_7697, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7698 },
#else
    { 0, output_7698, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7699 },
#else
    { 0, output_7699, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7700 },
#else
    { 0, output_7700, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7701 },
#else
    { 0, output_7701, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7702 },
#else
    { 0, output_7702, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7703 },
#else
    { 0, output_7703, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7704 },
#else
    { 0, output_7704, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7705 },
#else
    { 0, output_7705, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7706 },
#else
    { 0, output_7706, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7707 },
#else
    { 0, output_7707, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7708 },
#else
    { 0, output_7708, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7709 },
#else
    { 0, output_7709, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7710 },
#else
    { 0, output_7710, 0 },
#endif
    { 0 },
    &operand_data[10262],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7711 },
#else
    { 0, output_7711, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7712 },
#else
    { 0, output_7712, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7713 },
#else
    { 0, output_7713, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7714 },
#else
    { 0, output_7714, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7715 },
#else
    { 0, output_7715, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7716 },
#else
    { 0, output_7716, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7717 },
#else
    { 0, output_7717, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7718 },
#else
    { 0, output_7718, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7719 },
#else
    { 0, output_7719, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7720 },
#else
    { 0, output_7720, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7721 },
#else
    { 0, output_7721, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7722 },
#else
    { 0, output_7722, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7723 },
#else
    { 0, output_7723, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7724 },
#else
    { 0, output_7724, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7725 },
#else
    { 0, output_7725, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7726 },
#else
    { 0, output_7726, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7727 },
#else
    { 0, output_7727, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7728 },
#else
    { 0, output_7728, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7729 },
#else
    { 0, output_7729, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7730 },
#else
    { 0, output_7730, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7731 },
#else
    { 0, output_7731, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7732 },
#else
    { 0, output_7732, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7733 },
#else
    { 0, output_7733, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7734 },
#else
    { 0, output_7734, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7735 },
#else
    { 0, output_7735, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7736 },
#else
    { 0, output_7736, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7737 },
#else
    { 0, output_7737, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7738 },
#else
    { 0, output_7738, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7739 },
#else
    { 0, output_7739, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7740 },
#else
    { 0, output_7740, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7741 },
#else
    { 0, output_7741, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7742 },
#else
    { 0, output_7742, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7743 },
#else
    { 0, output_7743, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7744 },
#else
    { 0, output_7744, 0 },
#endif
    { 0 },
    &operand_data[10270],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_addvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7745 },
#else
    { 0, output_7745, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_subvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7746 },
#else
    { 0, output_7746, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_mulvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7747 },
#else
    { 0, output_7747, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_smaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7748 },
#else
    { 0, output_7748, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_umaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7749 },
#else
    { 0, output_7749, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7750 },
#else
    { 0, output_7750, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_uminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7751 },
#else
    { 0, output_7751, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7752 },
#else
    { 0, output_7752, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ashrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7753 },
#else
    { 0, output_7753, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_lshrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7754 },
#else
    { 0, output_7754, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_andvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7755 },
#else
    { 0, output_7755, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_iorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7756 },
#else
    { 0, output_7756, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_xorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7757 },
#else
    { 0, output_7757, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ssaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7758 },
#else
    { 0, output_7758, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_usaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7759 },
#else
    { 0, output_7759, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_sssubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7760 },
#else
    { 0, output_7760, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "*cond_ussubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7761 },
#else
    { 0, output_7761, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7762 },
#else
    { 0, output_7762, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7763 },
#else
    { 0, output_7763, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7764 },
#else
    { 0, output_7764, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7765 },
#else
    { 0, output_7765, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7766 },
#else
    { 0, output_7766, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7767 },
#else
    { 0, output_7767, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7768 },
#else
    { 0, output_7768, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7769 },
#else
    { 0, output_7769, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7770 },
#else
    { 0, output_7770, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7771 },
#else
    { 0, output_7771, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7772 },
#else
    { 0, output_7772, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7773 },
#else
    { 0, output_7773, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7774 },
#else
    { 0, output_7774, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7775 },
#else
    { 0, output_7775, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7776 },
#else
    { 0, output_7776, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7777 },
#else
    { 0, output_7777, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7778 },
#else
    { 0, output_7778, 0 },
#endif
    { 0 },
    &operand_data[10278],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7779 },
#else
    { 0, output_7779, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7780 },
#else
    { 0, output_7780, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7781 },
#else
    { 0, output_7781, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7782 },
#else
    { 0, output_7782, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7783 },
#else
    { 0, output_7783, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7784 },
#else
    { 0, output_7784, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7785 },
#else
    { 0, output_7785, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7786 },
#else
    { 0, output_7786, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7787 },
#else
    { 0, output_7787, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7788 },
#else
    { 0, output_7788, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7789 },
#else
    { 0, output_7789, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7790 },
#else
    { 0, output_7790, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7791 },
#else
    { 0, output_7791, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7792 },
#else
    { 0, output_7792, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7793 },
#else
    { 0, output_7793, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7794 },
#else
    { 0, output_7794, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7795 },
#else
    { 0, output_7795, 0 },
#endif
    { 0 },
    &operand_data[10283],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7796 },
#else
    { 0, output_7796, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7797 },
#else
    { 0, output_7797, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7798 },
#else
    { 0, output_7798, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7799 },
#else
    { 0, output_7799, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7800 },
#else
    { 0, output_7800, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7801 },
#else
    { 0, output_7801, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7802 },
#else
    { 0, output_7802, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7803 },
#else
    { 0, output_7803, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7804 },
#else
    { 0, output_7804, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7805 },
#else
    { 0, output_7805, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7806 },
#else
    { 0, output_7806, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7807 },
#else
    { 0, output_7807, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7808 },
#else
    { 0, output_7808, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7809 },
#else
    { 0, output_7809, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7810 },
#else
    { 0, output_7810, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7811 },
#else
    { 0, output_7811, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7812 },
#else
    { 0, output_7812, 0 },
#endif
    { 0 },
    &operand_data[10288],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7813 },
#else
    { 0, output_7813, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7814 },
#else
    { 0, output_7814, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7815 },
#else
    { 0, output_7815, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7816 },
#else
    { 0, output_7816, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7817 },
#else
    { 0, output_7817, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7818 },
#else
    { 0, output_7818, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7819 },
#else
    { 0, output_7819, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7820 },
#else
    { 0, output_7820, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7821 },
#else
    { 0, output_7821, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7822 },
#else
    { 0, output_7822, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7823 },
#else
    { 0, output_7823, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7824 },
#else
    { 0, output_7824, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7825 },
#else
    { 0, output_7825, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7826 },
#else
    { 0, output_7826, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7827 },
#else
    { 0, output_7827, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7828 },
#else
    { 0, output_7828, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7829 },
#else
    { 0, output_7829, 0 },
#endif
    { 0 },
    &operand_data[10293],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7830 },
#else
    { 0, output_7830, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7831 },
#else
    { 0, output_7831, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7832 },
#else
    { 0, output_7832, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7833 },
#else
    { 0, output_7833, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7834 },
#else
    { 0, output_7834, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7835 },
#else
    { 0, output_7835, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7836 },
#else
    { 0, output_7836, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7837 },
#else
    { 0, output_7837, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7838 },
#else
    { 0, output_7838, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7839 },
#else
    { 0, output_7839, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7840 },
#else
    { 0, output_7840, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7841 },
#else
    { 0, output_7841, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7842 },
#else
    { 0, output_7842, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7843 },
#else
    { 0, output_7843, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7844 },
#else
    { 0, output_7844, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7845 },
#else
    { 0, output_7845, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7846 },
#else
    { 0, output_7846, 0 },
#endif
    { 0 },
    &operand_data[10298],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7847 },
#else
    { 0, output_7847, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7848 },
#else
    { 0, output_7848, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7849 },
#else
    { 0, output_7849, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7850 },
#else
    { 0, output_7850, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7851 },
#else
    { 0, output_7851, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7852 },
#else
    { 0, output_7852, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7853 },
#else
    { 0, output_7853, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7854 },
#else
    { 0, output_7854, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7855 },
#else
    { 0, output_7855, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7856 },
#else
    { 0, output_7856, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7857 },
#else
    { 0, output_7857, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7858 },
#else
    { 0, output_7858, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7859 },
#else
    { 0, output_7859, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7860 },
#else
    { 0, output_7860, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7861 },
#else
    { 0, output_7861, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7862 },
#else
    { 0, output_7862, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7863 },
#else
    { 0, output_7863, 0 },
#endif
    { 0 },
    &operand_data[10303],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7864 },
#else
    { 0, output_7864, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7865 },
#else
    { 0, output_7865, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7866 },
#else
    { 0, output_7866, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7867 },
#else
    { 0, output_7867, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7868 },
#else
    { 0, output_7868, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7869 },
#else
    { 0, output_7869, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7870 },
#else
    { 0, output_7870, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7871 },
#else
    { 0, output_7871, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7872 },
#else
    { 0, output_7872, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7873 },
#else
    { 0, output_7873, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7874 },
#else
    { 0, output_7874, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7875 },
#else
    { 0, output_7875, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7876 },
#else
    { 0, output_7876, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7877 },
#else
    { 0, output_7877, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7878 },
#else
    { 0, output_7878, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7879 },
#else
    { 0, output_7879, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7880 },
#else
    { 0, output_7880, 0 },
#endif
    { 0 },
    &operand_data[10308],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7881 },
#else
    { 0, output_7881, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7882 },
#else
    { 0, output_7882, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7883 },
#else
    { 0, output_7883, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7884 },
#else
    { 0, output_7884, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7885 },
#else
    { 0, output_7885, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7886 },
#else
    { 0, output_7886, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7887 },
#else
    { 0, output_7887, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7888 },
#else
    { 0, output_7888, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7889 },
#else
    { 0, output_7889, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7890 },
#else
    { 0, output_7890, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7891 },
#else
    { 0, output_7891, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7892 },
#else
    { 0, output_7892, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7893 },
#else
    { 0, output_7893, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7894 },
#else
    { 0, output_7894, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7895 },
#else
    { 0, output_7895, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7896 },
#else
    { 0, output_7896, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7897 },
#else
    { 0, output_7897, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7898 },
#else
    { 0, output_7898, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7899 },
#else
    { 0, output_7899, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7900 },
#else
    { 0, output_7900, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7901 },
#else
    { 0, output_7901, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7902 },
#else
    { 0, output_7902, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7903 },
#else
    { 0, output_7903, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7904 },
#else
    { 0, output_7904, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7905 },
#else
    { 0, output_7905, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7906 },
#else
    { 0, output_7906, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7907 },
#else
    { 0, output_7907, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7908 },
#else
    { 0, output_7908, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7909 },
#else
    { 0, output_7909, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7910 },
#else
    { 0, output_7910, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7911 },
#else
    { 0, output_7911, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7912 },
#else
    { 0, output_7912, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7913 },
#else
    { 0, output_7913, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7914 },
#else
    { 0, output_7914, 0 },
#endif
    { 0 },
    &operand_data[10318],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_addvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7915 },
#else
    { 0, output_7915, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_subvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7916 },
#else
    { 0, output_7916, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_mulvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7917 },
#else
    { 0, output_7917, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_smaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7918 },
#else
    { 0, output_7918, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_umaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7919 },
#else
    { 0, output_7919, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7920 },
#else
    { 0, output_7920, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_uminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7921 },
#else
    { 0, output_7921, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7922 },
#else
    { 0, output_7922, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ashrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7923 },
#else
    { 0, output_7923, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_lshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7924 },
#else
    { 0, output_7924, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_andvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7925 },
#else
    { 0, output_7925, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_iorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7926 },
#else
    { 0, output_7926, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_xorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7927 },
#else
    { 0, output_7927, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ssaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7928 },
#else
    { 0, output_7928, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_usaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7929 },
#else
    { 0, output_7929, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_sssubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7930 },
#else
    { 0, output_7930, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3960 */
  {
    "*cond_ussubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7931 },
#else
    { 0, output_7931, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7932 },
#else
    { 0, 0, output_7932 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx16qi3 },
    &operand_data[10328],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7933 },
#else
    { 0, 0, output_7933 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8qi3 },
    &operand_data[10331],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7934 },
#else
    { 0, 0, output_7934 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4qi3 },
    &operand_data[10334],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7935 },
#else
    { 0, 0, output_7935 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2qi3 },
    &operand_data[10337],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7936 },
#else
    { 0, 0, output_7936 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hi3 },
    &operand_data[10340],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7937 },
#else
    { 0, 0, output_7937 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4hi3 },
    &operand_data[10343],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7938 },
#else
    { 0, 0, output_7938 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2hi3 },
    &operand_data[10346],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7939 },
#else
    { 0, 0, output_7939 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4si3 },
    &operand_data[10349],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7940 },
#else
    { 0, 0, output_7940 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2si3 },
    &operand_data[10352],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4006 */
  {
    "addvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7941 },
#else
    { 0, 0, output_7941 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2di3 },
    &operand_data[10355],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7942 },
#else
    { 0, output_7942, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx16qi3 },
    &operand_data[10358],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7943 },
#else
    { 0, output_7943, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8qi3 },
    &operand_data[10361],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7944 },
#else
    { 0, output_7944, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4qi3 },
    &operand_data[10364],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7945 },
#else
    { 0, output_7945, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2qi3 },
    &operand_data[10367],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7946 },
#else
    { 0, output_7946, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hi3 },
    &operand_data[10370],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7947 },
#else
    { 0, output_7947, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4hi3 },
    &operand_data[10373],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7948 },
#else
    { 0, output_7948, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2hi3 },
    &operand_data[10376],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7949 },
#else
    { 0, output_7949, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4si3 },
    &operand_data[10379],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7950 },
#else
    { 0, output_7950, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2si3 },
    &operand_data[10382],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4032 */
  {
    "subvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7951 },
#else
    { 0, output_7951, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2di3 },
    &operand_data[10385],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4056 */
  {
    "aarch64_adrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4056 */
  {
    "aarch64_adrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4067 */
  {
    "*aarch64_adr_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10391],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4087 */
  {
    "*aarch64_adr_uxtw_unspec",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10395],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_adr_uxtw_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10395],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4128 */
  {
    "*aarch64_adrvnx2qi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10399],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4128 */
  {
    "*aarch64_adrvnx2hi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10404],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4128 */
  {
    "*aarch64_adrvnx2si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10409],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4128 */
  {
    "*aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10414],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4128 */
  {
    "*aarch64_adrvnx4qi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10419],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4128 */
  {
    "*aarch64_adrvnx4hi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10424],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4128 */
  {
    "*aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10429],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4147 */
  {
    "*aarch64_adr_shift_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10434],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4171 */
  {
    "*aarch64_adr_shift_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10440],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7966 },
#else
    { 0, output_7966, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx16qi },
    &operand_data[10446],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7967 },
#else
    { 0, output_7967, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx16qi },
    &operand_data[10446],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7968 },
#else
    { 0, output_7968, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx8qi },
    &operand_data[10450],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7969 },
#else
    { 0, output_7969, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx8qi },
    &operand_data[10450],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7970 },
#else
    { 0, output_7970, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4qi },
    &operand_data[10454],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7971 },
#else
    { 0, output_7971, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4qi },
    &operand_data[10454],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7972 },
#else
    { 0, output_7972, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2qi },
    &operand_data[10458],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7973 },
#else
    { 0, output_7973, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2qi },
    &operand_data[10458],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7974 },
#else
    { 0, output_7974, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx8hi },
    &operand_data[10462],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7975 },
#else
    { 0, output_7975, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx8hi },
    &operand_data[10462],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7976 },
#else
    { 0, output_7976, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4hi },
    &operand_data[10466],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7977 },
#else
    { 0, output_7977, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4hi },
    &operand_data[10466],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7978 },
#else
    { 0, output_7978, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2hi },
    &operand_data[10470],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7979 },
#else
    { 0, output_7979, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2hi },
    &operand_data[10470],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7980 },
#else
    { 0, output_7980, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4si },
    &operand_data[10474],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7981 },
#else
    { 0, output_7981, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4si },
    &operand_data[10474],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7982 },
#else
    { 0, output_7982, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2si },
    &operand_data[10478],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7983 },
#else
    { 0, output_7983, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2si },
    &operand_data[10478],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7984 },
#else
    { 0, output_7984, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2di },
    &operand_data[10482],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4215 */
  {
    "aarch64_pred_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7985 },
#else
    { 0, output_7985, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2di },
    &operand_data[10482],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7986 },
#else
    { 0, output_7986, 0 },
#endif
    { 0 },
    &operand_data[10486],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7987 },
#else
    { 0, output_7987, 0 },
#endif
    { 0 },
    &operand_data[10486],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7988 },
#else
    { 0, output_7988, 0 },
#endif
    { 0 },
    &operand_data[10492],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7989 },
#else
    { 0, output_7989, 0 },
#endif
    { 0 },
    &operand_data[10492],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7990 },
#else
    { 0, output_7990, 0 },
#endif
    { 0 },
    &operand_data[10498],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7991 },
#else
    { 0, output_7991, 0 },
#endif
    { 0 },
    &operand_data[10498],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7992 },
#else
    { 0, output_7992, 0 },
#endif
    { 0 },
    &operand_data[10504],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7993 },
#else
    { 0, output_7993, 0 },
#endif
    { 0 },
    &operand_data[10504],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7994 },
#else
    { 0, output_7994, 0 },
#endif
    { 0 },
    &operand_data[10510],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7995 },
#else
    { 0, output_7995, 0 },
#endif
    { 0 },
    &operand_data[10510],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7996 },
#else
    { 0, output_7996, 0 },
#endif
    { 0 },
    &operand_data[10516],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7997 },
#else
    { 0, output_7997, 0 },
#endif
    { 0 },
    &operand_data[10516],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7998 },
#else
    { 0, output_7998, 0 },
#endif
    { 0 },
    &operand_data[10522],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7999 },
#else
    { 0, output_7999, 0 },
#endif
    { 0 },
    &operand_data[10522],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8000 },
#else
    { 0, output_8000, 0 },
#endif
    { 0 },
    &operand_data[10528],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8001 },
#else
    { 0, output_8001, 0 },
#endif
    { 0 },
    &operand_data[10528],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8002 },
#else
    { 0, output_8002, 0 },
#endif
    { 0 },
    &operand_data[10534],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8003 },
#else
    { 0, output_8003, 0 },
#endif
    { 0 },
    &operand_data[10534],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_sabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8004 },
#else
    { 0, output_8004, 0 },
#endif
    { 0 },
    &operand_data[10540],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*aarch64_cond_uabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8005 },
#else
    { 0, output_8005, 0 },
#endif
    { 0 },
    &operand_data[10540],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8006 },
#else
    { 0, output_8006, 0 },
#endif
    { 0 },
    &operand_data[10546],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8007 },
#else
    { 0, output_8007, 0 },
#endif
    { 0 },
    &operand_data[10546],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8008 },
#else
    { 0, output_8008, 0 },
#endif
    { 0 },
    &operand_data[10552],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8009 },
#else
    { 0, output_8009, 0 },
#endif
    { 0 },
    &operand_data[10552],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8010 },
#else
    { 0, output_8010, 0 },
#endif
    { 0 },
    &operand_data[10558],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8011 },
#else
    { 0, output_8011, 0 },
#endif
    { 0 },
    &operand_data[10558],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8012 },
#else
    { 0, output_8012, 0 },
#endif
    { 0 },
    &operand_data[10564],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8013 },
#else
    { 0, output_8013, 0 },
#endif
    { 0 },
    &operand_data[10564],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8014 },
#else
    { 0, output_8014, 0 },
#endif
    { 0 },
    &operand_data[10570],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8015 },
#else
    { 0, output_8015, 0 },
#endif
    { 0 },
    &operand_data[10570],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8016 },
#else
    { 0, output_8016, 0 },
#endif
    { 0 },
    &operand_data[10576],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8017 },
#else
    { 0, output_8017, 0 },
#endif
    { 0 },
    &operand_data[10576],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8018 },
#else
    { 0, output_8018, 0 },
#endif
    { 0 },
    &operand_data[10582],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8019 },
#else
    { 0, output_8019, 0 },
#endif
    { 0 },
    &operand_data[10582],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8020 },
#else
    { 0, output_8020, 0 },
#endif
    { 0 },
    &operand_data[10588],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8021 },
#else
    { 0, output_8021, 0 },
#endif
    { 0 },
    &operand_data[10588],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8022 },
#else
    { 0, output_8022, 0 },
#endif
    { 0 },
    &operand_data[10594],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8023 },
#else
    { 0, output_8023, 0 },
#endif
    { 0 },
    &operand_data[10594],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_sabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8024 },
#else
    { 0, output_8024, 0 },
#endif
    { 0 },
    &operand_data[10600],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4294 */
  {
    "*aarch64_cond_uabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8025 },
#else
    { 0, output_8025, 0 },
#endif
    { 0 },
    &operand_data[10600],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8026 },
#else
    { 0, output_8026, 0 },
#endif
    { 0 },
    &operand_data[10606],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8027 },
#else
    { 0, output_8027, 0 },
#endif
    { 0 },
    &operand_data[10606],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8028 },
#else
    { 0, output_8028, 0 },
#endif
    { 0 },
    &operand_data[10613],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8029 },
#else
    { 0, output_8029, 0 },
#endif
    { 0 },
    &operand_data[10613],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8030 },
#else
    { 0, output_8030, 0 },
#endif
    { 0 },
    &operand_data[10620],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8031 },
#else
    { 0, output_8031, 0 },
#endif
    { 0 },
    &operand_data[10620],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8032 },
#else
    { 0, output_8032, 0 },
#endif
    { 0 },
    &operand_data[10627],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8033 },
#else
    { 0, output_8033, 0 },
#endif
    { 0 },
    &operand_data[10627],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8034 },
#else
    { 0, output_8034, 0 },
#endif
    { 0 },
    &operand_data[10634],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8035 },
#else
    { 0, output_8035, 0 },
#endif
    { 0 },
    &operand_data[10634],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8036 },
#else
    { 0, output_8036, 0 },
#endif
    { 0 },
    &operand_data[10641],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8037 },
#else
    { 0, output_8037, 0 },
#endif
    { 0 },
    &operand_data[10641],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8038 },
#else
    { 0, output_8038, 0 },
#endif
    { 0 },
    &operand_data[10648],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8039 },
#else
    { 0, output_8039, 0 },
#endif
    { 0 },
    &operand_data[10648],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8040 },
#else
    { 0, output_8040, 0 },
#endif
    { 0 },
    &operand_data[10655],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8041 },
#else
    { 0, output_8041, 0 },
#endif
    { 0 },
    &operand_data[10655],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8042 },
#else
    { 0, output_8042, 0 },
#endif
    { 0 },
    &operand_data[10662],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8043 },
#else
    { 0, output_8043, 0 },
#endif
    { 0 },
    &operand_data[10662],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_sabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8044 },
#else
    { 0, output_8044, 0 },
#endif
    { 0 },
    &operand_data[10669],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4325 */
  {
    "*aarch64_cond_uabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8045 },
#else
    { 0, output_8045, 0 },
#endif
    { 0 },
    &operand_data[10669],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4382 */
  {
    "aarch64_sve_ssaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8046 },
#else
    { 0, output_8046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx16qi },
    &operand_data[10676],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4382 */
  {
    "aarch64_sve_sssubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8047 },
#else
    { 0, output_8047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx16qi },
    &operand_data[10676],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4382 */
  {
    "aarch64_sve_ssaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8048 },
#else
    { 0, output_8048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx8hi },
    &operand_data[10679],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4382 */
  {
    "aarch64_sve_sssubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8049 },
#else
    { 0, output_8049, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx8hi },
    &operand_data[10679],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4382 */
  {
    "aarch64_sve_ssaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8050 },
#else
    { 0, output_8050, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx4si },
    &operand_data[10682],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4382 */
  {
    "aarch64_sve_sssubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8051 },
#else
    { 0, output_8051, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx4si },
    &operand_data[10682],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4382 */
  {
    "aarch64_sve_ssaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8052 },
#else
    { 0, output_8052, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx2di },
    &operand_data[10685],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4382 */
  {
    "aarch64_sve_sssubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8053 },
#else
    { 0, output_8053, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx2di },
    &operand_data[10685],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4398 */
  {
    "aarch64_sve_usaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8054 },
#else
    { 0, output_8054, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx16qi },
    &operand_data[10688],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4398 */
  {
    "aarch64_sve_ussubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8055 },
#else
    { 0, output_8055, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx16qi },
    &operand_data[10688],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4398 */
  {
    "aarch64_sve_usaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8056 },
#else
    { 0, output_8056, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx8hi },
    &operand_data[10691],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4398 */
  {
    "aarch64_sve_ussubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8057 },
#else
    { 0, output_8057, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx8hi },
    &operand_data[10691],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4398 */
  {
    "aarch64_sve_usaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8058 },
#else
    { 0, output_8058, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx4si },
    &operand_data[10694],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4398 */
  {
    "aarch64_sve_ussubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8059 },
#else
    { 0, output_8059, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx4si },
    &operand_data[10694],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4398 */
  {
    "aarch64_sve_usaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8060 },
#else
    { 0, output_8060, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx2di },
    &operand_data[10697],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4398 */
  {
    "aarch64_sve_ussubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8061 },
#else
    { 0, output_8061, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx2di },
    &operand_data[10697],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8062 },
#else
    { 0, output_8062, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx16qi },
    &operand_data[10446],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8063 },
#else
    { 0, output_8063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx16qi },
    &operand_data[10446],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8064 },
#else
    { 0, output_8064, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx8qi },
    &operand_data[10450],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8065 },
#else
    { 0, output_8065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx8qi },
    &operand_data[10450],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8066 },
#else
    { 0, output_8066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4qi },
    &operand_data[10454],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8067 },
#else
    { 0, output_8067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4qi },
    &operand_data[10454],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8068 },
#else
    { 0, output_8068, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2qi },
    &operand_data[10458],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8069 },
#else
    { 0, output_8069, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2qi },
    &operand_data[10458],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8070 },
#else
    { 0, output_8070, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx8hi },
    &operand_data[10462],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8071 },
#else
    { 0, output_8071, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx8hi },
    &operand_data[10462],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8072 },
#else
    { 0, output_8072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4hi },
    &operand_data[10466],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8073 },
#else
    { 0, output_8073, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4hi },
    &operand_data[10466],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8074 },
#else
    { 0, output_8074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2hi },
    &operand_data[10470],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8075 },
#else
    { 0, output_8075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2hi },
    &operand_data[10470],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8076 },
#else
    { 0, output_8076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4si },
    &operand_data[10474],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8077 },
#else
    { 0, output_8077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4si },
    &operand_data[10474],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8078 },
#else
    { 0, output_8078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2si },
    &operand_data[10478],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8079 },
#else
    { 0, output_8079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2si },
    &operand_data[10478],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8080 },
#else
    { 0, output_8080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2di },
    &operand_data[10482],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4436 */
  {
    "aarch64_pred_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8081 },
#else
    { 0, output_8081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2di },
    &operand_data[10482],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4472 */
  {
    "*cond_smulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8082 },
#else
    { 0, output_8082, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4472 */
  {
    "*cond_umulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8083 },
#else
    { 0, output_8083, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4472 */
  {
    "*cond_smulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8084 },
#else
    { 0, output_8084, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4472 */
  {
    "*cond_umulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8085 },
#else
    { 0, output_8085, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4472 */
  {
    "*cond_smulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8086 },
#else
    { 0, output_8086, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4472 */
  {
    "*cond_umulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8087 },
#else
    { 0, output_8087, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4472 */
  {
    "*cond_smulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8088 },
#else
    { 0, output_8088, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4472 */
  {
    "*cond_umulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8089 },
#else
    { 0, output_8089, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "*cond_smulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8090 },
#else
    { 0, output_8090, 0 },
#endif
    { 0 },
    &operand_data[10700],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "*cond_umulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8091 },
#else
    { 0, output_8091, 0 },
#endif
    { 0 },
    &operand_data[10700],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "*cond_smulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8092 },
#else
    { 0, output_8092, 0 },
#endif
    { 0 },
    &operand_data[10705],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "*cond_umulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8093 },
#else
    { 0, output_8093, 0 },
#endif
    { 0 },
    &operand_data[10705],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "*cond_smulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8094 },
#else
    { 0, output_8094, 0 },
#endif
    { 0 },
    &operand_data[10710],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "*cond_umulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8095 },
#else
    { 0, output_8095, 0 },
#endif
    { 0 },
    &operand_data[10710],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "*cond_smulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8096 },
#else
    { 0, output_8096, 0 },
#endif
    { 0 },
    &operand_data[10715],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "*cond_umulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8097 },
#else
    { 0, output_8097, 0 },
#endif
    { 0 },
    &operand_data[10715],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "aarch64_pred_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8098 },
#else
    { 0, output_8098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "aarch64_pred_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8099 },
#else
    { 0, output_8099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "aarch64_pred_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8100 },
#else
    { 0, output_8100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "aarch64_pred_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8101 },
#else
    { 0, output_8101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "aarch64_pred_divv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8102 },
#else
    { 0, output_8102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divv4si },
    &operand_data[10728],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "aarch64_pred_udivv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8103 },
#else
    { 0, output_8103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivv4si },
    &operand_data[10728],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "aarch64_pred_divv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8104 },
#else
    { 0, output_8104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divv2di },
    &operand_data[10732],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "aarch64_pred_udivv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8105 },
#else
    { 0, output_8105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivv2di },
    &operand_data[10732],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4566 */
  {
    "*cond_divvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8106 },
#else
    { 0, output_8106, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4566 */
  {
    "*cond_udivvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8107 },
#else
    { 0, output_8107, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4566 */
  {
    "*cond_divvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8108 },
#else
    { 0, output_8108, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4566 */
  {
    "*cond_udivvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8109 },
#else
    { 0, output_8109, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4583 */
  {
    "*cond_divvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8110 },
#else
    { 0, output_8110, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4583 */
  {
    "*cond_udivvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8111 },
#else
    { 0, output_8111, 0 },
#endif
    { 0 },
    &operand_data[10266],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4583 */
  {
    "*cond_divvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8112 },
#else
    { 0, output_8112, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4583 */
  {
    "*cond_udivvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8113 },
#else
    { 0, output_8113, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4600 */
  {
    "*cond_divvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8114 },
#else
    { 0, output_8114, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4600 */
  {
    "*cond_udivvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8115 },
#else
    { 0, output_8115, 0 },
#endif
    { 0 },
    &operand_data[10313],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4600 */
  {
    "*cond_divvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8116 },
#else
    { 0, output_8116, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4600 */
  {
    "*cond_udivvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8117 },
#else
    { 0, output_8117, 0 },
#endif
    { 0 },
    &operand_data[10323],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8118 },
#else
    { 0, output_8118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16qi3 },
    &operand_data[10736],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8119 },
#else
    { 0, output_8119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16qi3 },
    &operand_data[10736],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8120 },
#else
    { 0, output_8120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16qi3 },
    &operand_data[10736],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8121 },
#else
    { 0, output_8121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8qi3 },
    &operand_data[10739],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8122 },
#else
    { 0, output_8122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8qi3 },
    &operand_data[10739],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8123 },
#else
    { 0, output_8123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8qi3 },
    &operand_data[10739],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8124 },
#else
    { 0, output_8124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4qi3 },
    &operand_data[10742],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8125 },
#else
    { 0, output_8125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4qi3 },
    &operand_data[10742],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8126 },
#else
    { 0, output_8126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4qi3 },
    &operand_data[10742],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8127 },
#else
    { 0, output_8127, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2qi3 },
    &operand_data[10745],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8128 },
#else
    { 0, output_8128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2qi3 },
    &operand_data[10745],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8129 },
#else
    { 0, output_8129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2qi3 },
    &operand_data[10745],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8130 },
#else
    { 0, output_8130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8hi3 },
    &operand_data[10748],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8131 },
#else
    { 0, output_8131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8hi3 },
    &operand_data[10748],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8132 },
#else
    { 0, output_8132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8hi3 },
    &operand_data[10748],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8133 },
#else
    { 0, output_8133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4hi3 },
    &operand_data[10751],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8134 },
#else
    { 0, output_8134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4hi3 },
    &operand_data[10751],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8135 },
#else
    { 0, output_8135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4hi3 },
    &operand_data[10751],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8136 },
#else
    { 0, output_8136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2hi3 },
    &operand_data[10754],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8137 },
#else
    { 0, output_8137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2hi3 },
    &operand_data[10754],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8138 },
#else
    { 0, output_8138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2hi3 },
    &operand_data[10754],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8139 },
#else
    { 0, output_8139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4si3 },
    &operand_data[10757],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8140 },
#else
    { 0, output_8140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4si3 },
    &operand_data[10757],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8141 },
#else
    { 0, output_8141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4si3 },
    &operand_data[10757],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8142 },
#else
    { 0, output_8142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2si3 },
    &operand_data[10760],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8143 },
#else
    { 0, output_8143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2si3 },
    &operand_data[10760],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8144 },
#else
    { 0, output_8144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2si3 },
    &operand_data[10760],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "andvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8145 },
#else
    { 0, output_8145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2di3 },
    &operand_data[10763],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "iorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8146 },
#else
    { 0, output_8146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2di3 },
    &operand_data[10763],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4640 */
  {
    "xorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8147 },
#else
    { 0, output_8147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2di3 },
    &operand_data[10763],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10766],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10770],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10774],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10778],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10786],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10790],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10794],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10798],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4678 */
  {
    "*bicvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10391],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8158 },
#else
    { 0, output_8158, 0 },
#endif
    { 0 },
    &operand_data[10198],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8159 },
#else
    { 0, output_8159, 0 },
#endif
    { 0 },
    &operand_data[10202],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8160 },
#else
    { 0, output_8160, 0 },
#endif
    { 0 },
    &operand_data[10206],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8161 },
#else
    { 0, output_8161, 0 },
#endif
    { 0 },
    &operand_data[10210],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8162 },
#else
    { 0, output_8162, 0 },
#endif
    { 0 },
    &operand_data[10214],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8163 },
#else
    { 0, output_8163, 0 },
#endif
    { 0 },
    &operand_data[10218],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8164 },
#else
    { 0, output_8164, 0 },
#endif
    { 0 },
    &operand_data[10222],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8165 },
#else
    { 0, output_8165, 0 },
#endif
    { 0 },
    &operand_data[10226],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8166 },
#else
    { 0, output_8166, 0 },
#endif
    { 0 },
    &operand_data[10230],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4709 */
  {
    "*cond_bicvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8167 },
#else
    { 0, output_8167, 0 },
#endif
    { 0 },
    &operand_data[10234],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8168 },
#else
    { 0, output_8168, 0 },
#endif
    { 0 },
    &operand_data[10802],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8169 },
#else
    { 0, output_8169, 0 },
#endif
    { 0 },
    &operand_data[10807],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8170 },
#else
    { 0, output_8170, 0 },
#endif
    { 0 },
    &operand_data[10812],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8171 },
#else
    { 0, output_8171, 0 },
#endif
    { 0 },
    &operand_data[10817],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8172 },
#else
    { 0, output_8172, 0 },
#endif
    { 0 },
    &operand_data[10822],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8173 },
#else
    { 0, output_8173, 0 },
#endif
    { 0 },
    &operand_data[10827],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8174 },
#else
    { 0, output_8174, 0 },
#endif
    { 0 },
    &operand_data[10832],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8175 },
#else
    { 0, output_8175, 0 },
#endif
    { 0 },
    &operand_data[10837],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8176 },
#else
    { 0, output_8176, 0 },
#endif
    { 0 },
    &operand_data[10842],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4727 */
  {
    "*cond_bicvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8177 },
#else
    { 0, output_8177, 0 },
#endif
    { 0 },
    &operand_data[10847],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8178 },
#else
    { 0, output_8178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx16qi },
    &operand_data[10852],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8179 },
#else
    { 0, output_8179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx16qi },
    &operand_data[10856],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8180 },
#else
    { 0, output_8180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx16qi },
    &operand_data[10856],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8181 },
#else
    { 0, output_8181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx8qi },
    &operand_data[10860],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8182 },
#else
    { 0, output_8182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx8qi },
    &operand_data[10864],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8183 },
#else
    { 0, output_8183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx8qi },
    &operand_data[10864],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8184 },
#else
    { 0, output_8184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4qi },
    &operand_data[10868],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8185 },
#else
    { 0, output_8185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4qi },
    &operand_data[10872],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8186 },
#else
    { 0, output_8186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4qi },
    &operand_data[10872],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8187 },
#else
    { 0, output_8187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2qi },
    &operand_data[10876],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8188 },
#else
    { 0, output_8188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2qi },
    &operand_data[10880],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8189 },
#else
    { 0, output_8189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2qi },
    &operand_data[10880],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8190 },
#else
    { 0, output_8190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx8hi },
    &operand_data[10884],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8191 },
#else
    { 0, output_8191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx8hi },
    &operand_data[10888],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8192 },
#else
    { 0, output_8192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx8hi },
    &operand_data[10888],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8193 },
#else
    { 0, output_8193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4hi },
    &operand_data[10892],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8194 },
#else
    { 0, output_8194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4hi },
    &operand_data[10896],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8195 },
#else
    { 0, output_8195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4hi },
    &operand_data[10896],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8196 },
#else
    { 0, output_8196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2hi },
    &operand_data[10900],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8197 },
#else
    { 0, output_8197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2hi },
    &operand_data[10904],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8198 },
#else
    { 0, output_8198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2hi },
    &operand_data[10904],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8199 },
#else
    { 0, output_8199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4si },
    &operand_data[10908],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8200 },
#else
    { 0, output_8200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4si },
    &operand_data[10912],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8201 },
#else
    { 0, output_8201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4si },
    &operand_data[10912],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8202 },
#else
    { 0, output_8202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2si },
    &operand_data[10916],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8203 },
#else
    { 0, output_8203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2si },
    &operand_data[10920],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8204 },
#else
    { 0, output_8204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2si },
    &operand_data[10920],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8205 },
#else
    { 0, output_8205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2di },
    &operand_data[10924],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8206 },
#else
    { 0, output_8206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2di },
    &operand_data[10928],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4812 */
  {
    "aarch64_pred_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8207 },
#else
    { 0, output_8207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2di },
    &operand_data[10928],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8208 },
#else
    { 0, output_8208, 0 },
#endif
    { 0 },
    &operand_data[10932],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8209 },
#else
    { 0, output_8209, 0 },
#endif
    { 0 },
    &operand_data[10935],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8210 },
#else
    { 0, output_8210, 0 },
#endif
    { 0 },
    &operand_data[10938],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8211 },
#else
    { 0, output_8211, 0 },
#endif
    { 0 },
    &operand_data[10941],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8212 },
#else
    { 0, output_8212, 0 },
#endif
    { 0 },
    &operand_data[10944],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8213 },
#else
    { 0, output_8213, 0 },
#endif
    { 0 },
    &operand_data[10947],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8214 },
#else
    { 0, output_8214, 0 },
#endif
    { 0 },
    &operand_data[10950],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8215 },
#else
    { 0, output_8215, 0 },
#endif
    { 0 },
    &operand_data[10953],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8216 },
#else
    { 0, output_8216, 0 },
#endif
    { 0 },
    &operand_data[10956],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4836 */
  {
    "*post_ra_v_ashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8217 },
#else
    { 0, output_8217, 0 },
#endif
    { 0 },
    &operand_data[10959],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10968],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10968],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10971],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10971],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10974],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10974],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10977],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10977],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10980],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10980],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10983],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10986],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10986],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_ashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10989],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4848 */
  {
    "*post_ra_v_lshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10989],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8238 },
#else
    { 0, output_8238, 0 },
#endif
    { 0 },
    &operand_data[10992],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8239 },
#else
    { 0, output_8239, 0 },
#endif
    { 0 },
    &operand_data[10996],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8240 },
#else
    { 0, output_8240, 0 },
#endif
    { 0 },
    &operand_data[10996],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8241 },
#else
    { 0, output_8241, 0 },
#endif
    { 0 },
    &operand_data[11000],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8242 },
#else
    { 0, output_8242, 0 },
#endif
    { 0 },
    &operand_data[11004],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8243 },
#else
    { 0, output_8243, 0 },
#endif
    { 0 },
    &operand_data[11004],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8244 },
#else
    { 0, output_8244, 0 },
#endif
    { 0 },
    &operand_data[11008],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8245 },
#else
    { 0, output_8245, 0 },
#endif
    { 0 },
    &operand_data[11012],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8246 },
#else
    { 0, output_8246, 0 },
#endif
    { 0 },
    &operand_data[11012],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8247 },
#else
    { 0, output_8247, 0 },
#endif
    { 0 },
    &operand_data[11016],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8248 },
#else
    { 0, output_8248, 0 },
#endif
    { 0 },
    &operand_data[11020],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8249 },
#else
    { 0, output_8249, 0 },
#endif
    { 0 },
    &operand_data[11020],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8250 },
#else
    { 0, output_8250, 0 },
#endif
    { 0 },
    &operand_data[11024],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8251 },
#else
    { 0, output_8251, 0 },
#endif
    { 0 },
    &operand_data[11028],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8252 },
#else
    { 0, output_8252, 0 },
#endif
    { 0 },
    &operand_data[11028],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8253 },
#else
    { 0, output_8253, 0 },
#endif
    { 0 },
    &operand_data[11032],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8254 },
#else
    { 0, output_8254, 0 },
#endif
    { 0 },
    &operand_data[11036],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8255 },
#else
    { 0, output_8255, 0 },
#endif
    { 0 },
    &operand_data[11036],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8256 },
#else
    { 0, output_8256, 0 },
#endif
    { 0 },
    &operand_data[11040],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8257 },
#else
    { 0, output_8257, 0 },
#endif
    { 0 },
    &operand_data[11044],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8258 },
#else
    { 0, output_8258, 0 },
#endif
    { 0 },
    &operand_data[11044],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8259 },
#else
    { 0, output_8259, 0 },
#endif
    { 0 },
    &operand_data[11048],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8260 },
#else
    { 0, output_8260, 0 },
#endif
    { 0 },
    &operand_data[11052],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8261 },
#else
    { 0, output_8261, 0 },
#endif
    { 0 },
    &operand_data[11052],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8262 },
#else
    { 0, output_8262, 0 },
#endif
    { 0 },
    &operand_data[11056],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8263 },
#else
    { 0, output_8263, 0 },
#endif
    { 0 },
    &operand_data[11060],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8264 },
#else
    { 0, output_8264, 0 },
#endif
    { 0 },
    &operand_data[11060],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashlvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8265 },
#else
    { 0, output_8265, 0 },
#endif
    { 0 },
    &operand_data[11064],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_ashrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8266 },
#else
    { 0, output_8266, 0 },
#endif
    { 0 },
    &operand_data[11068],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4858 */
  {
    "*cond_lshrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8267 },
#else
    { 0, output_8267, 0 },
#endif
    { 0 },
    &operand_data[11068],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8268 },
#else
    { 0, output_8268, 0 },
#endif
    { 0 },
    &operand_data[11072],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8269 },
#else
    { 0, output_8269, 0 },
#endif
    { 0 },
    &operand_data[11077],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8270 },
#else
    { 0, output_8270, 0 },
#endif
    { 0 },
    &operand_data[11077],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8271 },
#else
    { 0, output_8271, 0 },
#endif
    { 0 },
    &operand_data[11082],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8272 },
#else
    { 0, output_8272, 0 },
#endif
    { 0 },
    &operand_data[11087],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8273 },
#else
    { 0, output_8273, 0 },
#endif
    { 0 },
    &operand_data[11087],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8274 },
#else
    { 0, output_8274, 0 },
#endif
    { 0 },
    &operand_data[11092],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8275 },
#else
    { 0, output_8275, 0 },
#endif
    { 0 },
    &operand_data[11097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8276 },
#else
    { 0, output_8276, 0 },
#endif
    { 0 },
    &operand_data[11097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8277 },
#else
    { 0, output_8277, 0 },
#endif
    { 0 },
    &operand_data[11102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8278 },
#else
    { 0, output_8278, 0 },
#endif
    { 0 },
    &operand_data[11107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8279 },
#else
    { 0, output_8279, 0 },
#endif
    { 0 },
    &operand_data[11107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8280 },
#else
    { 0, output_8280, 0 },
#endif
    { 0 },
    &operand_data[11112],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8281 },
#else
    { 0, output_8281, 0 },
#endif
    { 0 },
    &operand_data[11117],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8282 },
#else
    { 0, output_8282, 0 },
#endif
    { 0 },
    &operand_data[11117],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8283 },
#else
    { 0, output_8283, 0 },
#endif
    { 0 },
    &operand_data[11122],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8284 },
#else
    { 0, output_8284, 0 },
#endif
    { 0 },
    &operand_data[11127],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8285 },
#else
    { 0, output_8285, 0 },
#endif
    { 0 },
    &operand_data[11127],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8286 },
#else
    { 0, output_8286, 0 },
#endif
    { 0 },
    &operand_data[11132],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8287 },
#else
    { 0, output_8287, 0 },
#endif
    { 0 },
    &operand_data[11137],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8288 },
#else
    { 0, output_8288, 0 },
#endif
    { 0 },
    &operand_data[11137],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8289 },
#else
    { 0, output_8289, 0 },
#endif
    { 0 },
    &operand_data[11142],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8290 },
#else
    { 0, output_8290, 0 },
#endif
    { 0 },
    &operand_data[11147],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8291 },
#else
    { 0, output_8291, 0 },
#endif
    { 0 },
    &operand_data[11147],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8292 },
#else
    { 0, output_8292, 0 },
#endif
    { 0 },
    &operand_data[11152],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8293 },
#else
    { 0, output_8293, 0 },
#endif
    { 0 },
    &operand_data[11157],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8294 },
#else
    { 0, output_8294, 0 },
#endif
    { 0 },
    &operand_data[11157],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashlvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8295 },
#else
    { 0, output_8295, 0 },
#endif
    { 0 },
    &operand_data[11162],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_ashrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8296 },
#else
    { 0, output_8296, 0 },
#endif
    { 0 },
    &operand_data[11167],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_lshrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8297 },
#else
    { 0, output_8297, 0 },
#endif
    { 0 },
    &operand_data[11167],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4902 */
  {
    "aarch64_sve_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx16qi },
    &operand_data[11172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4902 */
  {
    "aarch64_sve_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx16qi },
    &operand_data[11172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4902 */
  {
    "aarch64_sve_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx16qi },
    &operand_data[11172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4902 */
  {
    "aarch64_sve_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx8hi },
    &operand_data[11175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4902 */
  {
    "aarch64_sve_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx8hi },
    &operand_data[11175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4902 */
  {
    "aarch64_sve_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx8hi },
    &operand_data[11175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4902 */
  {
    "aarch64_sve_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx4si },
    &operand_data[11178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4902 */
  {
    "aarch64_sve_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx4si },
    &operand_data[11178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4902 */
  {
    "aarch64_sve_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx4si },
    &operand_data[11178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lslvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8307 },
#else
    { 0, output_8307, 0 },
#endif
    { 0 },
    &operand_data[11181],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_asrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8308 },
#else
    { 0, output_8308, 0 },
#endif
    { 0 },
    &operand_data[11181],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lsrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8309 },
#else
    { 0, output_8309, 0 },
#endif
    { 0 },
    &operand_data[11181],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lslvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8310 },
#else
    { 0, output_8310, 0 },
#endif
    { 0 },
    &operand_data[11185],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_asrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8311 },
#else
    { 0, output_8311, 0 },
#endif
    { 0 },
    &operand_data[11185],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lsrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8312 },
#else
    { 0, output_8312, 0 },
#endif
    { 0 },
    &operand_data[11185],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lslvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8313 },
#else
    { 0, output_8313, 0 },
#endif
    { 0 },
    &operand_data[11189],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_asrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8314 },
#else
    { 0, output_8314, 0 },
#endif
    { 0 },
    &operand_data[11189],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lsrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8315 },
#else
    { 0, output_8315, 0 },
#endif
    { 0 },
    &operand_data[11189],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4946 */
  {
    "*cond_lslvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8316 },
#else
    { 0, output_8316, 0 },
#endif
    { 0 },
    &operand_data[11193],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4946 */
  {
    "*cond_asrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8317 },
#else
    { 0, output_8317, 0 },
#endif
    { 0 },
    &operand_data[11193],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4946 */
  {
    "*cond_lsrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8318 },
#else
    { 0, output_8318, 0 },
#endif
    { 0 },
    &operand_data[11193],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4946 */
  {
    "*cond_lslvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8319 },
#else
    { 0, output_8319, 0 },
#endif
    { 0 },
    &operand_data[11198],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4946 */
  {
    "*cond_asrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8320 },
#else
    { 0, output_8320, 0 },
#endif
    { 0 },
    &operand_data[11198],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4946 */
  {
    "*cond_lsrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8321 },
#else
    { 0, output_8321, 0 },
#endif
    { 0 },
    &operand_data[11198],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4946 */
  {
    "*cond_lslvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8322 },
#else
    { 0, output_8322, 0 },
#endif
    { 0 },
    &operand_data[11203],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4946 */
  {
    "*cond_asrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8323 },
#else
    { 0, output_8323, 0 },
#endif
    { 0 },
    &operand_data[11203],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4946 */
  {
    "*cond_lsrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8324 },
#else
    { 0, output_8324, 0 },
#endif
    { 0 },
    &operand_data[11203],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8325 },
#else
    { 0, output_8325, 0 },
#endif
    { 0 },
    &operand_data[10996],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8326 },
#else
    { 0, output_8326, 0 },
#endif
    { 0 },
    &operand_data[11004],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8327 },
#else
    { 0, output_8327, 0 },
#endif
    { 0 },
    &operand_data[11012],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8328 },
#else
    { 0, output_8328, 0 },
#endif
    { 0 },
    &operand_data[11020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8329 },
#else
    { 0, output_8329, 0 },
#endif
    { 0 },
    &operand_data[11028],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8330 },
#else
    { 0, output_8330, 0 },
#endif
    { 0 },
    &operand_data[11036],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8331 },
#else
    { 0, output_8331, 0 },
#endif
    { 0 },
    &operand_data[11044],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8332 },
#else
    { 0, output_8332, 0 },
#endif
    { 0 },
    &operand_data[11052],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8333 },
#else
    { 0, output_8333, 0 },
#endif
    { 0 },
    &operand_data[11060],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4990 */
  {
    "*sdiv_pow2vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8334 },
#else
    { 0, output_8334, 0 },
#endif
    { 0 },
    &operand_data[11068],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8335 },
#else
    { 0, output_8335, 0 },
#endif
    { 0 },
    &operand_data[11208],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8336 },
#else
    { 0, output_8336, 0 },
#endif
    { 0 },
    &operand_data[11213],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8337 },
#else
    { 0, output_8337, 0 },
#endif
    { 0 },
    &operand_data[11208],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8338 },
#else
    { 0, output_8338, 0 },
#endif
    { 0 },
    &operand_data[11208],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8339 },
#else
    { 0, output_8339, 0 },
#endif
    { 0 },
    &operand_data[11218],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8340 },
#else
    { 0, output_8340, 0 },
#endif
    { 0 },
    &operand_data[11223],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8341 },
#else
    { 0, output_8341, 0 },
#endif
    { 0 },
    &operand_data[11218],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8342 },
#else
    { 0, output_8342, 0 },
#endif
    { 0 },
    &operand_data[11218],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8343 },
#else
    { 0, output_8343, 0 },
#endif
    { 0 },
    &operand_data[11228],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8344 },
#else
    { 0, output_8344, 0 },
#endif
    { 0 },
    &operand_data[11233],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8345 },
#else
    { 0, output_8345, 0 },
#endif
    { 0 },
    &operand_data[11228],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8346 },
#else
    { 0, output_8346, 0 },
#endif
    { 0 },
    &operand_data[11228],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8347 },
#else
    { 0, output_8347, 0 },
#endif
    { 0 },
    &operand_data[11238],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8348 },
#else
    { 0, output_8348, 0 },
#endif
    { 0 },
    &operand_data[11243],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8349 },
#else
    { 0, output_8349, 0 },
#endif
    { 0 },
    &operand_data[11238],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8350 },
#else
    { 0, output_8350, 0 },
#endif
    { 0 },
    &operand_data[11238],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8351 },
#else
    { 0, output_8351, 0 },
#endif
    { 0 },
    &operand_data[11248],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8352 },
#else
    { 0, output_8352, 0 },
#endif
    { 0 },
    &operand_data[11253],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8353 },
#else
    { 0, output_8353, 0 },
#endif
    { 0 },
    &operand_data[11248],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8354 },
#else
    { 0, output_8354, 0 },
#endif
    { 0 },
    &operand_data[11248],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8355 },
#else
    { 0, output_8355, 0 },
#endif
    { 0 },
    &operand_data[11258],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8356 },
#else
    { 0, output_8356, 0 },
#endif
    { 0 },
    &operand_data[11263],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8357 },
#else
    { 0, output_8357, 0 },
#endif
    { 0 },
    &operand_data[11258],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8358 },
#else
    { 0, output_8358, 0 },
#endif
    { 0 },
    &operand_data[11258],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8359 },
#else
    { 0, output_8359, 0 },
#endif
    { 0 },
    &operand_data[11268],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8360 },
#else
    { 0, output_8360, 0 },
#endif
    { 0 },
    &operand_data[11273],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8361 },
#else
    { 0, output_8361, 0 },
#endif
    { 0 },
    &operand_data[11268],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8362 },
#else
    { 0, output_8362, 0 },
#endif
    { 0 },
    &operand_data[11268],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8363 },
#else
    { 0, output_8363, 0 },
#endif
    { 0 },
    &operand_data[11278],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8364 },
#else
    { 0, output_8364, 0 },
#endif
    { 0 },
    &operand_data[11283],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8365 },
#else
    { 0, output_8365, 0 },
#endif
    { 0 },
    &operand_data[11278],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8366 },
#else
    { 0, output_8366, 0 },
#endif
    { 0 },
    &operand_data[11278],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8367 },
#else
    { 0, output_8367, 0 },
#endif
    { 0 },
    &operand_data[11288],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8368 },
#else
    { 0, output_8368, 0 },
#endif
    { 0 },
    &operand_data[11293],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8369 },
#else
    { 0, output_8369, 0 },
#endif
    { 0 },
    &operand_data[11288],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8370 },
#else
    { 0, output_8370, 0 },
#endif
    { 0 },
    &operand_data[11288],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_asrdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8371 },
#else
    { 0, output_8371, 0 },
#endif
    { 0 },
    &operand_data[11298],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sqshluvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8372 },
#else
    { 0, output_8372, 0 },
#endif
    { 0 },
    &operand_data[11303],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_srshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8373 },
#else
    { 0, output_8373, 0 },
#endif
    { 0 },
    &operand_data[11298],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_urshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8374 },
#else
    { 0, output_8374, 0 },
#endif
    { 0 },
    &operand_data[11298],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8375 },
#else
    { 0, output_8375, 0 },
#endif
    { 0 },
    &operand_data[11308],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8376 },
#else
    { 0, output_8376, 0 },
#endif
    { 0 },
    &operand_data[11314],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8377 },
#else
    { 0, output_8377, 0 },
#endif
    { 0 },
    &operand_data[11308],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8378 },
#else
    { 0, output_8378, 0 },
#endif
    { 0 },
    &operand_data[11308],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8379 },
#else
    { 0, output_8379, 0 },
#endif
    { 0 },
    &operand_data[11320],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8380 },
#else
    { 0, output_8380, 0 },
#endif
    { 0 },
    &operand_data[11326],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8381 },
#else
    { 0, output_8381, 0 },
#endif
    { 0 },
    &operand_data[11320],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8382 },
#else
    { 0, output_8382, 0 },
#endif
    { 0 },
    &operand_data[11320],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8383 },
#else
    { 0, output_8383, 0 },
#endif
    { 0 },
    &operand_data[11332],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8384 },
#else
    { 0, output_8384, 0 },
#endif
    { 0 },
    &operand_data[11338],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8385 },
#else
    { 0, output_8385, 0 },
#endif
    { 0 },
    &operand_data[11332],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8386 },
#else
    { 0, output_8386, 0 },
#endif
    { 0 },
    &operand_data[11332],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8387 },
#else
    { 0, output_8387, 0 },
#endif
    { 0 },
    &operand_data[11344],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8388 },
#else
    { 0, output_8388, 0 },
#endif
    { 0 },
    &operand_data[11350],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8389 },
#else
    { 0, output_8389, 0 },
#endif
    { 0 },
    &operand_data[11344],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8390 },
#else
    { 0, output_8390, 0 },
#endif
    { 0 },
    &operand_data[11344],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8391 },
#else
    { 0, output_8391, 0 },
#endif
    { 0 },
    &operand_data[11356],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8392 },
#else
    { 0, output_8392, 0 },
#endif
    { 0 },
    &operand_data[11362],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8393 },
#else
    { 0, output_8393, 0 },
#endif
    { 0 },
    &operand_data[11356],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8394 },
#else
    { 0, output_8394, 0 },
#endif
    { 0 },
    &operand_data[11356],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8395 },
#else
    { 0, output_8395, 0 },
#endif
    { 0 },
    &operand_data[11368],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8396 },
#else
    { 0, output_8396, 0 },
#endif
    { 0 },
    &operand_data[11374],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8397 },
#else
    { 0, output_8397, 0 },
#endif
    { 0 },
    &operand_data[11368],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8398 },
#else
    { 0, output_8398, 0 },
#endif
    { 0 },
    &operand_data[11368],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8399 },
#else
    { 0, output_8399, 0 },
#endif
    { 0 },
    &operand_data[11380],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8400 },
#else
    { 0, output_8400, 0 },
#endif
    { 0 },
    &operand_data[11386],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8401 },
#else
    { 0, output_8401, 0 },
#endif
    { 0 },
    &operand_data[11380],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8402 },
#else
    { 0, output_8402, 0 },
#endif
    { 0 },
    &operand_data[11380],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8403 },
#else
    { 0, output_8403, 0 },
#endif
    { 0 },
    &operand_data[11392],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8404 },
#else
    { 0, output_8404, 0 },
#endif
    { 0 },
    &operand_data[11398],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8405 },
#else
    { 0, output_8405, 0 },
#endif
    { 0 },
    &operand_data[11392],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8406 },
#else
    { 0, output_8406, 0 },
#endif
    { 0 },
    &operand_data[11392],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8407 },
#else
    { 0, output_8407, 0 },
#endif
    { 0 },
    &operand_data[11404],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8408 },
#else
    { 0, output_8408, 0 },
#endif
    { 0 },
    &operand_data[11410],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8409 },
#else
    { 0, output_8409, 0 },
#endif
    { 0 },
    &operand_data[11404],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8410 },
#else
    { 0, output_8410, 0 },
#endif
    { 0 },
    &operand_data[11404],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_asrdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8411 },
#else
    { 0, output_8411, 0 },
#endif
    { 0 },
    &operand_data[11416],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_sqshluvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8412 },
#else
    { 0, output_8412, 0 },
#endif
    { 0 },
    &operand_data[11422],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_srshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8413 },
#else
    { 0, output_8413, 0 },
#endif
    { 0 },
    &operand_data[11416],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "*cond_urshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8414 },
#else
    { 0, output_8414, 0 },
#endif
    { 0 },
    &operand_data[11416],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5093 */
  {
    "aarch64_sve_ftsmulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx8hf },
    &operand_data[11428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5093 */
  {
    "aarch64_sve_ftsselvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx8hf },
    &operand_data[11428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5093 */
  {
    "aarch64_sve_ftsmulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx4sf },
    &operand_data[11431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5093 */
  {
    "aarch64_sve_ftsselvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx4sf },
    &operand_data[11431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5093 */
  {
    "aarch64_sve_ftsmulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx2df },
    &operand_data[11434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5093 */
  {
    "aarch64_sve_ftsselvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx2df },
    &operand_data[11434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5105 */
  {
    "aarch64_pred_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8421 },
#else
    { 0, output_8421, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx8hf },
    &operand_data[11437],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5105 */
  {
    "aarch64_pred_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8422 },
#else
    { 0, output_8422, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx4sf },
    &operand_data[11442],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5105 */
  {
    "aarch64_pred_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8423 },
#else
    { 0, output_8423, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx2df },
    &operand_data[11447],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5139 */
  {
    "*cond_fscalevnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8424 },
#else
    { 0, output_8424, 0 },
#endif
    { 0 },
    &operand_data[11452],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5139 */
  {
    "*cond_fscalevnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8425 },
#else
    { 0, output_8425, 0 },
#endif
    { 0 },
    &operand_data[11457],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5139 */
  {
    "*cond_fscalevnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8426 },
#else
    { 0, output_8426, 0 },
#endif
    { 0 },
    &operand_data[11462],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5162 */
  {
    "*cond_fscalevnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8427 },
#else
    { 0, output_8427, 0 },
#endif
    { 0 },
    &operand_data[11437],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5162 */
  {
    "*cond_fscalevnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8428 },
#else
    { 0, output_8428, 0 },
#endif
    { 0 },
    &operand_data[11442],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5162 */
  {
    "*cond_fscalevnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8429 },
#else
    { 0, output_8429, 0 },
#endif
    { 0 },
    &operand_data[11447],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_fscalevnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8430 },
#else
    { 0, output_8430, 0 },
#endif
    { 0 },
    &operand_data[11467],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_fscalevnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8431 },
#else
    { 0, output_8431, 0 },
#endif
    { 0 },
    &operand_data[11473],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5184 */
  {
    "*cond_fscalevnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8432 },
#else
    { 0, output_8432, 0 },
#endif
    { 0 },
    &operand_data[11479],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5221 */
  {
    "*cond_fscalevnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8433 },
#else
    { 0, output_8433, 0 },
#endif
    { 0 },
    &operand_data[11467],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5221 */
  {
    "*cond_fscalevnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8434 },
#else
    { 0, output_8434, 0 },
#endif
    { 0 },
    &operand_data[11473],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5221 */
  {
    "*cond_fscalevnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8435 },
#else
    { 0, output_8435, 0 },
#endif
    { 0 },
    &operand_data[11479],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5263 */
  {
    "*post_ra_faddvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5263 */
  {
    "*post_ra_fsubvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5263 */
  {
    "*post_ra_fmulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5263 */
  {
    "*post_ra_faddvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5263 */
  {
    "*post_ra_fsubvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5263 */
  {
    "*post_ra_fmulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5263 */
  {
    "*post_ra_faddvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5263 */
  {
    "*post_ra_fsubvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5263 */
  {
    "*post_ra_fmulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5291 */
  {
    "aarch64_sve_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5291 */
  {
    "aarch64_sve_frsqrtsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5291 */
  {
    "aarch64_sve_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5291 */
  {
    "aarch64_sve_frsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5291 */
  {
    "aarch64_sve_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5291 */
  {
    "aarch64_sve_frsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_famaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8451 },
#else
    { 0, output_8451, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_famaxvnx8hf },
    &operand_data[11494],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_faminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8452 },
#else
    { 0, output_8452, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faminvnx8hf },
    &operand_data[11494],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8453 },
#else
    { 0, output_8453, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx8hf },
    &operand_data[11494],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8454 },
#else
    { 0, output_8454, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx8hf },
    &operand_data[11494],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_famaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8455 },
#else
    { 0, output_8455, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_famaxvnx4sf },
    &operand_data[11499],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_faminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8456 },
#else
    { 0, output_8456, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faminvnx4sf },
    &operand_data[11499],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8457 },
#else
    { 0, output_8457, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4sf },
    &operand_data[11499],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8458 },
#else
    { 0, output_8458, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx4sf },
    &operand_data[11499],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_famaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8459 },
#else
    { 0, output_8459, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_famaxvnx2df },
    &operand_data[11504],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_faminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8460 },
#else
    { 0, output_8460, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faminvnx2df },
    &operand_data[11504],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8461 },
#else
    { 0, output_8461, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2df },
    &operand_data[11504],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5318 */
  {
    "aarch64_pred_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8462 },
#else
    { 0, output_8462, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx2df },
    &operand_data[11504],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_addvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8463 },
#else
    { 0, output_8463, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_famaxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8464 },
#else
    { 0, output_8464, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_faminvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8465 },
#else
    { 0, output_8465, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_divvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8466 },
#else
    { 0, output_8466, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fmax_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8467 },
#else
    { 0, output_8467, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fmaxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8468 },
#else
    { 0, output_8468, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fmin_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8469 },
#else
    { 0, output_8469, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fminvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8470 },
#else
    { 0, output_8470, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_mulvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8471 },
#else
    { 0, output_8471, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_mulxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8472 },
#else
    { 0, output_8472, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_subvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8473 },
#else
    { 0, output_8473, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_smaxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8474 },
#else
    { 0, output_8474, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_sminvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8475 },
#else
    { 0, output_8475, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_addvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8476 },
#else
    { 0, output_8476, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_famaxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8477 },
#else
    { 0, output_8477, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_faminvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8478 },
#else
    { 0, output_8478, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_divvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8479 },
#else
    { 0, output_8479, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fmax_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8480 },
#else
    { 0, output_8480, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fmaxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8481 },
#else
    { 0, output_8481, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fmin_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8482 },
#else
    { 0, output_8482, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fminvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8483 },
#else
    { 0, output_8483, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_mulvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8484 },
#else
    { 0, output_8484, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_mulxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8485 },
#else
    { 0, output_8485, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_subvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8486 },
#else
    { 0, output_8486, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_smaxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8487 },
#else
    { 0, output_8487, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_sminvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8488 },
#else
    { 0, output_8488, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_addvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8489 },
#else
    { 0, output_8489, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_famaxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8490 },
#else
    { 0, output_8490, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_faminvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8491 },
#else
    { 0, output_8491, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_divvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8492 },
#else
    { 0, output_8492, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fmax_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8493 },
#else
    { 0, output_8493, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fmaxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8494 },
#else
    { 0, output_8494, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fmin_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8495 },
#else
    { 0, output_8495, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_fminvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8496 },
#else
    { 0, output_8496, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_mulvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8497 },
#else
    { 0, output_8497, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_mulxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8498 },
#else
    { 0, output_8498, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_subvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8499 },
#else
    { 0, output_8499, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_smaxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8500 },
#else
    { 0, output_8500, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5351 */
  {
    "*cond_sminvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8501 },
#else
    { 0, output_8501, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_addvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8502 },
#else
    { 0, output_8502, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_famaxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8503 },
#else
    { 0, output_8503, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_faminvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8504 },
#else
    { 0, output_8504, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_divvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8505 },
#else
    { 0, output_8505, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fmax_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8506 },
#else
    { 0, output_8506, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fmaxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8507 },
#else
    { 0, output_8507, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fmin_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8508 },
#else
    { 0, output_8508, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fminvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8509 },
#else
    { 0, output_8509, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_mulvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8510 },
#else
    { 0, output_8510, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_mulxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8511 },
#else
    { 0, output_8511, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_subvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8512 },
#else
    { 0, output_8512, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_smaxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8513 },
#else
    { 0, output_8513, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_sminvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8514 },
#else
    { 0, output_8514, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_addvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8515 },
#else
    { 0, output_8515, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_famaxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8516 },
#else
    { 0, output_8516, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_faminvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8517 },
#else
    { 0, output_8517, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_divvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8518 },
#else
    { 0, output_8518, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fmax_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8519 },
#else
    { 0, output_8519, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fmaxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8520 },
#else
    { 0, output_8520, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fmin_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8521 },
#else
    { 0, output_8521, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fminvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8522 },
#else
    { 0, output_8522, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_mulvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8523 },
#else
    { 0, output_8523, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_mulxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8524 },
#else
    { 0, output_8524, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_subvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8525 },
#else
    { 0, output_8525, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_smaxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8526 },
#else
    { 0, output_8526, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_sminvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8527 },
#else
    { 0, output_8527, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_addvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8528 },
#else
    { 0, output_8528, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_famaxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8529 },
#else
    { 0, output_8529, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_faminvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8530 },
#else
    { 0, output_8530, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_divvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8531 },
#else
    { 0, output_8531, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fmax_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8532 },
#else
    { 0, output_8532, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fmaxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8533 },
#else
    { 0, output_8533, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fmin_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8534 },
#else
    { 0, output_8534, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_fminvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8535 },
#else
    { 0, output_8535, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_mulvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8536 },
#else
    { 0, output_8536, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_mulxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8537 },
#else
    { 0, output_8537, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_subvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8538 },
#else
    { 0, output_8538, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_smaxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8539 },
#else
    { 0, output_8539, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5374 */
  {
    "*cond_sminvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8540 },
#else
    { 0, output_8540, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fmax_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8541 },
#else
    { 0, output_8541, 0 },
#endif
    { 0 },
    &operand_data[11524],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fmaxvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8542 },
#else
    { 0, output_8542, 0 },
#endif
    { 0 },
    &operand_data[11524],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fmin_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8543 },
#else
    { 0, output_8543, 0 },
#endif
    { 0 },
    &operand_data[11524],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fminvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8544 },
#else
    { 0, output_8544, 0 },
#endif
    { 0 },
    &operand_data[11524],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_mulvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8545 },
#else
    { 0, output_8545, 0 },
#endif
    { 0 },
    &operand_data[11529],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_smaxvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8546 },
#else
    { 0, output_8546, 0 },
#endif
    { 0 },
    &operand_data[11524],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_sminvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8547 },
#else
    { 0, output_8547, 0 },
#endif
    { 0 },
    &operand_data[11524],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fmax_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8548 },
#else
    { 0, output_8548, 0 },
#endif
    { 0 },
    &operand_data[11534],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fmaxvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8549 },
#else
    { 0, output_8549, 0 },
#endif
    { 0 },
    &operand_data[11534],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fmin_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8550 },
#else
    { 0, output_8550, 0 },
#endif
    { 0 },
    &operand_data[11534],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fminvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8551 },
#else
    { 0, output_8551, 0 },
#endif
    { 0 },
    &operand_data[11534],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_mulvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8552 },
#else
    { 0, output_8552, 0 },
#endif
    { 0 },
    &operand_data[11539],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_smaxvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8553 },
#else
    { 0, output_8553, 0 },
#endif
    { 0 },
    &operand_data[11534],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_sminvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8554 },
#else
    { 0, output_8554, 0 },
#endif
    { 0 },
    &operand_data[11534],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fmax_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8555 },
#else
    { 0, output_8555, 0 },
#endif
    { 0 },
    &operand_data[11544],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fmaxvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8556 },
#else
    { 0, output_8556, 0 },
#endif
    { 0 },
    &operand_data[11544],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fmin_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8557 },
#else
    { 0, output_8557, 0 },
#endif
    { 0 },
    &operand_data[11544],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_fminvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8558 },
#else
    { 0, output_8558, 0 },
#endif
    { 0 },
    &operand_data[11544],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_mulvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8559 },
#else
    { 0, output_8559, 0 },
#endif
    { 0 },
    &operand_data[11549],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_smaxvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8560 },
#else
    { 0, output_8560, 0 },
#endif
    { 0 },
    &operand_data[11544],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5394 */
  {
    "*cond_sminvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8561 },
#else
    { 0, output_8561, 0 },
#endif
    { 0 },
    &operand_data[11544],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fmax_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8562 },
#else
    { 0, output_8562, 0 },
#endif
    { 0 },
    &operand_data[11524],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fmaxvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8563 },
#else
    { 0, output_8563, 0 },
#endif
    { 0 },
    &operand_data[11524],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fmin_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8564 },
#else
    { 0, output_8564, 0 },
#endif
    { 0 },
    &operand_data[11524],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fminvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8565 },
#else
    { 0, output_8565, 0 },
#endif
    { 0 },
    &operand_data[11524],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_mulvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8566 },
#else
    { 0, output_8566, 0 },
#endif
    { 0 },
    &operand_data[11529],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_smaxvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8567 },
#else
    { 0, output_8567, 0 },
#endif
    { 0 },
    &operand_data[11524],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_sminvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8568 },
#else
    { 0, output_8568, 0 },
#endif
    { 0 },
    &operand_data[11524],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fmax_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8569 },
#else
    { 0, output_8569, 0 },
#endif
    { 0 },
    &operand_data[11534],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fmaxvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8570 },
#else
    { 0, output_8570, 0 },
#endif
    { 0 },
    &operand_data[11534],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fmin_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8571 },
#else
    { 0, output_8571, 0 },
#endif
    { 0 },
    &operand_data[11534],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fminvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8572 },
#else
    { 0, output_8572, 0 },
#endif
    { 0 },
    &operand_data[11534],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_mulvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8573 },
#else
    { 0, output_8573, 0 },
#endif
    { 0 },
    &operand_data[11539],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_smaxvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8574 },
#else
    { 0, output_8574, 0 },
#endif
    { 0 },
    &operand_data[11534],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_sminvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8575 },
#else
    { 0, output_8575, 0 },
#endif
    { 0 },
    &operand_data[11534],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fmax_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8576 },
#else
    { 0, output_8576, 0 },
#endif
    { 0 },
    &operand_data[11544],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fmaxvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8577 },
#else
    { 0, output_8577, 0 },
#endif
    { 0 },
    &operand_data[11544],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fmin_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8578 },
#else
    { 0, output_8578, 0 },
#endif
    { 0 },
    &operand_data[11544],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_fminvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8579 },
#else
    { 0, output_8579, 0 },
#endif
    { 0 },
    &operand_data[11544],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_mulvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8580 },
#else
    { 0, output_8580, 0 },
#endif
    { 0 },
    &operand_data[11549],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_smaxvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8581 },
#else
    { 0, output_8581, 0 },
#endif
    { 0 },
    &operand_data[11544],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5417 */
  {
    "*cond_sminvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8582 },
#else
    { 0, output_8582, 0 },
#endif
    { 0 },
    &operand_data[11544],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_addvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8583 },
#else
    { 0, output_8583, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_famaxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8584 },
#else
    { 0, output_8584, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_faminvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8585 },
#else
    { 0, output_8585, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_divvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8586 },
#else
    { 0, output_8586, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fmax_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8587 },
#else
    { 0, output_8587, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fmaxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8588 },
#else
    { 0, output_8588, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fmin_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8589 },
#else
    { 0, output_8589, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fminvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8590 },
#else
    { 0, output_8590, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_mulvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8591 },
#else
    { 0, output_8591, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_mulxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8592 },
#else
    { 0, output_8592, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_subvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8593 },
#else
    { 0, output_8593, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_smaxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8594 },
#else
    { 0, output_8594, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_sminvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8595 },
#else
    { 0, output_8595, 0 },
#endif
    { 0 },
    &operand_data[11554],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_addvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8596 },
#else
    { 0, output_8596, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_famaxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8597 },
#else
    { 0, output_8597, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_faminvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8598 },
#else
    { 0, output_8598, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_divvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8599 },
#else
    { 0, output_8599, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fmax_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8600 },
#else
    { 0, output_8600, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fmaxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8601 },
#else
    { 0, output_8601, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fmin_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8602 },
#else
    { 0, output_8602, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fminvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8603 },
#else
    { 0, output_8603, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_mulvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8604 },
#else
    { 0, output_8604, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_mulxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8605 },
#else
    { 0, output_8605, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_subvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8606 },
#else
    { 0, output_8606, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_smaxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8607 },
#else
    { 0, output_8607, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_sminvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8608 },
#else
    { 0, output_8608, 0 },
#endif
    { 0 },
    &operand_data[11559],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_addvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8609 },
#else
    { 0, output_8609, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_famaxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8610 },
#else
    { 0, output_8610, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_faminvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8611 },
#else
    { 0, output_8611, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_divvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8612 },
#else
    { 0, output_8612, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fmax_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8613 },
#else
    { 0, output_8613, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fmaxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8614 },
#else
    { 0, output_8614, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fmin_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8615 },
#else
    { 0, output_8615, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_fminvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8616 },
#else
    { 0, output_8616, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_mulvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8617 },
#else
    { 0, output_8617, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_mulxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8618 },
#else
    { 0, output_8618, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_subvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8619 },
#else
    { 0, output_8619, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_smaxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8620 },
#else
    { 0, output_8620, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5437 */
  {
    "*cond_sminvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8621 },
#else
    { 0, output_8621, 0 },
#endif
    { 0 },
    &operand_data[11564],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_addvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8622 },
#else
    { 0, output_8622, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_famaxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8623 },
#else
    { 0, output_8623, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_faminvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8624 },
#else
    { 0, output_8624, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_divvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8625 },
#else
    { 0, output_8625, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fmax_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8626 },
#else
    { 0, output_8626, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fmaxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8627 },
#else
    { 0, output_8627, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fmin_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8628 },
#else
    { 0, output_8628, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fminvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8629 },
#else
    { 0, output_8629, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_mulvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8630 },
#else
    { 0, output_8630, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_mulxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8631 },
#else
    { 0, output_8631, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_subvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8632 },
#else
    { 0, output_8632, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_smaxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8633 },
#else
    { 0, output_8633, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_sminvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8634 },
#else
    { 0, output_8634, 0 },
#endif
    { 0 },
    &operand_data[11554],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_addvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8635 },
#else
    { 0, output_8635, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_famaxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8636 },
#else
    { 0, output_8636, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_faminvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8637 },
#else
    { 0, output_8637, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_divvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8638 },
#else
    { 0, output_8638, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fmax_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8639 },
#else
    { 0, output_8639, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fmaxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8640 },
#else
    { 0, output_8640, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fmin_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8641 },
#else
    { 0, output_8641, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fminvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8642 },
#else
    { 0, output_8642, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_mulvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8643 },
#else
    { 0, output_8643, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_mulxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8644 },
#else
    { 0, output_8644, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_subvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8645 },
#else
    { 0, output_8645, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_smaxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8646 },
#else
    { 0, output_8646, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_sminvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8647 },
#else
    { 0, output_8647, 0 },
#endif
    { 0 },
    &operand_data[11559],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_addvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8648 },
#else
    { 0, output_8648, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_famaxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8649 },
#else
    { 0, output_8649, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_faminvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8650 },
#else
    { 0, output_8650, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_divvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8651 },
#else
    { 0, output_8651, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fmax_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8652 },
#else
    { 0, output_8652, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fmaxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8653 },
#else
    { 0, output_8653, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fmin_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8654 },
#else
    { 0, output_8654, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_fminvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8655 },
#else
    { 0, output_8655, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_mulvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8656 },
#else
    { 0, output_8656, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_mulxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8657 },
#else
    { 0, output_8657, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_subvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8658 },
#else
    { 0, output_8658, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_smaxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8659 },
#else
    { 0, output_8659, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5460 */
  {
    "*cond_sminvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8660 },
#else
    { 0, output_8660, 0 },
#endif
    { 0 },
    &operand_data[11564],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_addvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8661 },
#else
    { 0, output_8661, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_famaxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8662 },
#else
    { 0, output_8662, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_faminvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8663 },
#else
    { 0, output_8663, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_divvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8664 },
#else
    { 0, output_8664, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fmax_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8665 },
#else
    { 0, output_8665, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fmaxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8666 },
#else
    { 0, output_8666, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fmin_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8667 },
#else
    { 0, output_8667, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fminvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8668 },
#else
    { 0, output_8668, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_mulvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8669 },
#else
    { 0, output_8669, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_mulxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8670 },
#else
    { 0, output_8670, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_subvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8671 },
#else
    { 0, output_8671, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_smaxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8672 },
#else
    { 0, output_8672, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_sminvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8673 },
#else
    { 0, output_8673, 0 },
#endif
    { 0 },
    &operand_data[11569],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_addvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8674 },
#else
    { 0, output_8674, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_famaxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8675 },
#else
    { 0, output_8675, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_faminvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8676 },
#else
    { 0, output_8676, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_divvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8677 },
#else
    { 0, output_8677, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fmax_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8678 },
#else
    { 0, output_8678, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fmaxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8679 },
#else
    { 0, output_8679, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fmin_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8680 },
#else
    { 0, output_8680, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fminvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8681 },
#else
    { 0, output_8681, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_mulvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8682 },
#else
    { 0, output_8682, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_mulxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8683 },
#else
    { 0, output_8683, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_subvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8684 },
#else
    { 0, output_8684, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_smaxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8685 },
#else
    { 0, output_8685, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_sminvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8686 },
#else
    { 0, output_8686, 0 },
#endif
    { 0 },
    &operand_data[11575],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_addvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8687 },
#else
    { 0, output_8687, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_famaxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8688 },
#else
    { 0, output_8688, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_faminvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8689 },
#else
    { 0, output_8689, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_divvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8690 },
#else
    { 0, output_8690, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fmax_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8691 },
#else
    { 0, output_8691, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fmaxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8692 },
#else
    { 0, output_8692, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fmin_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8693 },
#else
    { 0, output_8693, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_fminvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8694 },
#else
    { 0, output_8694, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_mulvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8695 },
#else
    { 0, output_8695, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_mulxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8696 },
#else
    { 0, output_8696, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_subvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8697 },
#else
    { 0, output_8697, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_smaxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8698 },
#else
    { 0, output_8698, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5480 */
  {
    "*cond_sminvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8699 },
#else
    { 0, output_8699, 0 },
#endif
    { 0 },
    &operand_data[11581],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_addvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8700 },
#else
    { 0, output_8700, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_famaxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8701 },
#else
    { 0, output_8701, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_faminvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8702 },
#else
    { 0, output_8702, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_divvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8703 },
#else
    { 0, output_8703, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fmax_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8704 },
#else
    { 0, output_8704, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fmaxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8705 },
#else
    { 0, output_8705, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fmin_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8706 },
#else
    { 0, output_8706, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fminvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8707 },
#else
    { 0, output_8707, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_mulvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8708 },
#else
    { 0, output_8708, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_mulxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8709 },
#else
    { 0, output_8709, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_subvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8710 },
#else
    { 0, output_8710, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_smaxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8711 },
#else
    { 0, output_8711, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_sminvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8712 },
#else
    { 0, output_8712, 0 },
#endif
    { 0 },
    &operand_data[11569],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_addvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8713 },
#else
    { 0, output_8713, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_famaxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8714 },
#else
    { 0, output_8714, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_faminvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8715 },
#else
    { 0, output_8715, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_divvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8716 },
#else
    { 0, output_8716, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fmax_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8717 },
#else
    { 0, output_8717, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fmaxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8718 },
#else
    { 0, output_8718, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fmin_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8719 },
#else
    { 0, output_8719, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fminvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8720 },
#else
    { 0, output_8720, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_mulvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8721 },
#else
    { 0, output_8721, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_mulxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8722 },
#else
    { 0, output_8722, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_subvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8723 },
#else
    { 0, output_8723, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_smaxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8724 },
#else
    { 0, output_8724, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_sminvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8725 },
#else
    { 0, output_8725, 0 },
#endif
    { 0 },
    &operand_data[11575],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_addvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8726 },
#else
    { 0, output_8726, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_famaxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8727 },
#else
    { 0, output_8727, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_faminvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8728 },
#else
    { 0, output_8728, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_divvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8729 },
#else
    { 0, output_8729, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fmax_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8730 },
#else
    { 0, output_8730, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fmaxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8731 },
#else
    { 0, output_8731, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fmin_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8732 },
#else
    { 0, output_8732, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_fminvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8733 },
#else
    { 0, output_8733, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_mulvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8734 },
#else
    { 0, output_8734, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_mulxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8735 },
#else
    { 0, output_8735, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_subvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8736 },
#else
    { 0, output_8736, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_smaxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8737 },
#else
    { 0, output_8737, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5520 */
  {
    "*cond_sminvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8738 },
#else
    { 0, output_8738, 0 },
#endif
    { 0 },
    &operand_data[11581],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fmax_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8739 },
#else
    { 0, output_8739, 0 },
#endif
    { 0 },
    &operand_data[11587],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fmaxvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8740 },
#else
    { 0, output_8740, 0 },
#endif
    { 0 },
    &operand_data[11587],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fmin_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8741 },
#else
    { 0, output_8741, 0 },
#endif
    { 0 },
    &operand_data[11587],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fminvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8742 },
#else
    { 0, output_8742, 0 },
#endif
    { 0 },
    &operand_data[11587],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_mulvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8743 },
#else
    { 0, output_8743, 0 },
#endif
    { 0 },
    &operand_data[11593],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_smaxvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8744 },
#else
    { 0, output_8744, 0 },
#endif
    { 0 },
    &operand_data[11587],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_sminvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8745 },
#else
    { 0, output_8745, 0 },
#endif
    { 0 },
    &operand_data[11587],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fmax_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8746 },
#else
    { 0, output_8746, 0 },
#endif
    { 0 },
    &operand_data[11599],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fmaxvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8747 },
#else
    { 0, output_8747, 0 },
#endif
    { 0 },
    &operand_data[11599],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fmin_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8748 },
#else
    { 0, output_8748, 0 },
#endif
    { 0 },
    &operand_data[11599],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fminvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8749 },
#else
    { 0, output_8749, 0 },
#endif
    { 0 },
    &operand_data[11599],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_mulvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8750 },
#else
    { 0, output_8750, 0 },
#endif
    { 0 },
    &operand_data[11605],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_smaxvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8751 },
#else
    { 0, output_8751, 0 },
#endif
    { 0 },
    &operand_data[11599],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_sminvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8752 },
#else
    { 0, output_8752, 0 },
#endif
    { 0 },
    &operand_data[11599],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fmax_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8753 },
#else
    { 0, output_8753, 0 },
#endif
    { 0 },
    &operand_data[11611],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fmaxvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8754 },
#else
    { 0, output_8754, 0 },
#endif
    { 0 },
    &operand_data[11611],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fmin_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8755 },
#else
    { 0, output_8755, 0 },
#endif
    { 0 },
    &operand_data[11611],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_fminvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8756 },
#else
    { 0, output_8756, 0 },
#endif
    { 0 },
    &operand_data[11611],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_mulvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8757 },
#else
    { 0, output_8757, 0 },
#endif
    { 0 },
    &operand_data[11617],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_smaxvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8758 },
#else
    { 0, output_8758, 0 },
#endif
    { 0 },
    &operand_data[11611],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5554 */
  {
    "*cond_sminvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8759 },
#else
    { 0, output_8759, 0 },
#endif
    { 0 },
    &operand_data[11611],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fmax_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8760 },
#else
    { 0, output_8760, 0 },
#endif
    { 0 },
    &operand_data[11587],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fmaxvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8761 },
#else
    { 0, output_8761, 0 },
#endif
    { 0 },
    &operand_data[11587],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fmin_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8762 },
#else
    { 0, output_8762, 0 },
#endif
    { 0 },
    &operand_data[11587],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fminvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8763 },
#else
    { 0, output_8763, 0 },
#endif
    { 0 },
    &operand_data[11587],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_mulvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8764 },
#else
    { 0, output_8764, 0 },
#endif
    { 0 },
    &operand_data[11593],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_smaxvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8765 },
#else
    { 0, output_8765, 0 },
#endif
    { 0 },
    &operand_data[11587],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_sminvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8766 },
#else
    { 0, output_8766, 0 },
#endif
    { 0 },
    &operand_data[11587],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fmax_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8767 },
#else
    { 0, output_8767, 0 },
#endif
    { 0 },
    &operand_data[11599],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fmaxvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8768 },
#else
    { 0, output_8768, 0 },
#endif
    { 0 },
    &operand_data[11599],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fmin_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8769 },
#else
    { 0, output_8769, 0 },
#endif
    { 0 },
    &operand_data[11599],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fminvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8770 },
#else
    { 0, output_8770, 0 },
#endif
    { 0 },
    &operand_data[11599],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_mulvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8771 },
#else
    { 0, output_8771, 0 },
#endif
    { 0 },
    &operand_data[11605],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_smaxvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8772 },
#else
    { 0, output_8772, 0 },
#endif
    { 0 },
    &operand_data[11599],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_sminvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8773 },
#else
    { 0, output_8773, 0 },
#endif
    { 0 },
    &operand_data[11599],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fmax_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8774 },
#else
    { 0, output_8774, 0 },
#endif
    { 0 },
    &operand_data[11611],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fmaxvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8775 },
#else
    { 0, output_8775, 0 },
#endif
    { 0 },
    &operand_data[11611],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fmin_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8776 },
#else
    { 0, output_8776, 0 },
#endif
    { 0 },
    &operand_data[11611],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_fminvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8777 },
#else
    { 0, output_8777, 0 },
#endif
    { 0 },
    &operand_data[11611],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_mulvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8778 },
#else
    { 0, output_8778, 0 },
#endif
    { 0 },
    &operand_data[11617],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_smaxvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8779 },
#else
    { 0, output_8779, 0 },
#endif
    { 0 },
    &operand_data[11611],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5590 */
  {
    "*cond_sminvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8780 },
#else
    { 0, output_8780, 0 },
#endif
    { 0 },
    &operand_data[11611],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5628 */
  {
    "aarch64_pred_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8781 },
#else
    { 0, output_8781, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx8hf },
    &operand_data[11623],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5628 */
  {
    "aarch64_pred_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8782 },
#else
    { 0, output_8782, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx4sf },
    &operand_data[11628],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5628 */
  {
    "aarch64_pred_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8783 },
#else
    { 0, output_8783, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx2df },
    &operand_data[11633],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5657 */
  {
    "*cond_addvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8784 },
#else
    { 0, output_8784, 0 },
#endif
    { 0 },
    &operand_data[11638],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5657 */
  {
    "*cond_addvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8785 },
#else
    { 0, output_8785, 0 },
#endif
    { 0 },
    &operand_data[11643],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5657 */
  {
    "*cond_addvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8786 },
#else
    { 0, output_8786, 0 },
#endif
    { 0 },
    &operand_data[11648],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5682 */
  {
    "*cond_addvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8787 },
#else
    { 0, output_8787, 0 },
#endif
    { 0 },
    &operand_data[11638],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5682 */
  {
    "*cond_addvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8788 },
#else
    { 0, output_8788, 0 },
#endif
    { 0 },
    &operand_data[11643],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5682 */
  {
    "*cond_addvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8789 },
#else
    { 0, output_8789, 0 },
#endif
    { 0 },
    &operand_data[11648],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5705 */
  {
    "*cond_addvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8790 },
#else
    { 0, output_8790, 0 },
#endif
    { 0 },
    &operand_data[11653],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5705 */
  {
    "*cond_addvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8791 },
#else
    { 0, output_8791, 0 },
#endif
    { 0 },
    &operand_data[11659],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5705 */
  {
    "*cond_addvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8792 },
#else
    { 0, output_8792, 0 },
#endif
    { 0 },
    &operand_data[11665],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5744 */
  {
    "*cond_addvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8793 },
#else
    { 0, output_8793, 0 },
#endif
    { 0 },
    &operand_data[11653],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5744 */
  {
    "*cond_addvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8794 },
#else
    { 0, output_8794, 0 },
#endif
    { 0 },
    &operand_data[11659],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5744 */
  {
    "*cond_addvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8795 },
#else
    { 0, output_8795, 0 },
#endif
    { 0 },
    &operand_data[11665],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5786 */
  {
    "aarch64_pred_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8796 },
#else
    { 0, output_8796, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx8hf },
    &operand_data[11671],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5786 */
  {
    "aarch64_pred_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8797 },
#else
    { 0, output_8797, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx8hf },
    &operand_data[11671],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5786 */
  {
    "aarch64_pred_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8798 },
#else
    { 0, output_8798, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx4sf },
    &operand_data[11676],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5786 */
  {
    "aarch64_pred_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8799 },
#else
    { 0, output_8799, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx4sf },
    &operand_data[11676],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5786 */
  {
    "aarch64_pred_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8800 },
#else
    { 0, output_8800, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx2df },
    &operand_data[11681],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5786 */
  {
    "aarch64_pred_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8801 },
#else
    { 0, output_8801, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx2df },
    &operand_data[11681],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5832 */
  {
    "*cond_cadd90vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8802 },
#else
    { 0, output_8802, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5832 */
  {
    "*cond_cadd270vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8803 },
#else
    { 0, output_8803, 0 },
#endif
    { 0 },
    &operand_data[11509],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5832 */
  {
    "*cond_cadd90vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8804 },
#else
    { 0, output_8804, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5832 */
  {
    "*cond_cadd270vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8805 },
#else
    { 0, output_8805, 0 },
#endif
    { 0 },
    &operand_data[11514],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5832 */
  {
    "*cond_cadd90vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8806 },
#else
    { 0, output_8806, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5832 */
  {
    "*cond_cadd270vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8807 },
#else
    { 0, output_8807, 0 },
#endif
    { 0 },
    &operand_data[11519],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5855 */
  {
    "*cond_cadd90vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8808 },
#else
    { 0, output_8808, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5855 */
  {
    "*cond_cadd270vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8809 },
#else
    { 0, output_8809, 0 },
#endif
    { 0 },
    &operand_data[11509],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5855 */
  {
    "*cond_cadd90vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8810 },
#else
    { 0, output_8810, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5855 */
  {
    "*cond_cadd270vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8811 },
#else
    { 0, output_8811, 0 },
#endif
    { 0 },
    &operand_data[11514],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5855 */
  {
    "*cond_cadd90vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8812 },
#else
    { 0, output_8812, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5855 */
  {
    "*cond_cadd270vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8813 },
#else
    { 0, output_8813, 0 },
#endif
    { 0 },
    &operand_data[11519],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5875 */
  {
    "*cond_cadd90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8814 },
#else
    { 0, output_8814, 0 },
#endif
    { 0 },
    &operand_data[11686],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5875 */
  {
    "*cond_cadd270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8815 },
#else
    { 0, output_8815, 0 },
#endif
    { 0 },
    &operand_data[11686],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5875 */
  {
    "*cond_cadd90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8816 },
#else
    { 0, output_8816, 0 },
#endif
    { 0 },
    &operand_data[11692],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5875 */
  {
    "*cond_cadd270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8817 },
#else
    { 0, output_8817, 0 },
#endif
    { 0 },
    &operand_data[11692],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5875 */
  {
    "*cond_cadd90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8818 },
#else
    { 0, output_8818, 0 },
#endif
    { 0 },
    &operand_data[11698],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5875 */
  {
    "*cond_cadd270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8819 },
#else
    { 0, output_8819, 0 },
#endif
    { 0 },
    &operand_data[11698],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5912 */
  {
    "*cond_cadd90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8820 },
#else
    { 0, output_8820, 0 },
#endif
    { 0 },
    &operand_data[11686],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5912 */
  {
    "*cond_cadd270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8821 },
#else
    { 0, output_8821, 0 },
#endif
    { 0 },
    &operand_data[11686],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5912 */
  {
    "*cond_cadd90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8822 },
#else
    { 0, output_8822, 0 },
#endif
    { 0 },
    &operand_data[11692],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5912 */
  {
    "*cond_cadd270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8823 },
#else
    { 0, output_8823, 0 },
#endif
    { 0 },
    &operand_data[11692],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5912 */
  {
    "*cond_cadd90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8824 },
#else
    { 0, output_8824, 0 },
#endif
    { 0 },
    &operand_data[11698],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5912 */
  {
    "*cond_cadd270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8825 },
#else
    { 0, output_8825, 0 },
#endif
    { 0 },
    &operand_data[11698],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5951 */
  {
    "aarch64_pred_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8826 },
#else
    { 0, output_8826, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx8hf },
    &operand_data[11704],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5951 */
  {
    "aarch64_pred_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8827 },
#else
    { 0, output_8827, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx4sf },
    &operand_data[11709],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5951 */
  {
    "aarch64_pred_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8828 },
#else
    { 0, output_8828, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx2df },
    &operand_data[11714],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5979 */
  {
    "*cond_subvnx8hf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8829 },
#else
    { 0, output_8829, 0 },
#endif
    { 0 },
    &operand_data[11719],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5979 */
  {
    "*cond_subvnx4sf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8830 },
#else
    { 0, output_8830, 0 },
#endif
    { 0 },
    &operand_data[11724],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5979 */
  {
    "*cond_subvnx2df_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8831 },
#else
    { 0, output_8831, 0 },
#endif
    { 0 },
    &operand_data[11729],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6002 */
  {
    "*cond_subvnx8hf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8832 },
#else
    { 0, output_8832, 0 },
#endif
    { 0 },
    &operand_data[11719],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6002 */
  {
    "*cond_subvnx4sf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8833 },
#else
    { 0, output_8833, 0 },
#endif
    { 0 },
    &operand_data[11724],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6002 */
  {
    "*cond_subvnx2df_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8834 },
#else
    { 0, output_8834, 0 },
#endif
    { 0 },
    &operand_data[11729],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6023 */
  {
    "*cond_subvnx8hf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8835 },
#else
    { 0, output_8835, 0 },
#endif
    { 0 },
    &operand_data[11734],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6023 */
  {
    "*cond_subvnx4sf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8836 },
#else
    { 0, output_8836, 0 },
#endif
    { 0 },
    &operand_data[11740],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6023 */
  {
    "*cond_subvnx2df_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8837 },
#else
    { 0, output_8837, 0 },
#endif
    { 0 },
    &operand_data[11746],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6059 */
  {
    "*cond_subvnx8hf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8838 },
#else
    { 0, output_8838, 0 },
#endif
    { 0 },
    &operand_data[11734],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6059 */
  {
    "*cond_subvnx4sf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8839 },
#else
    { 0, output_8839, 0 },
#endif
    { 0 },
    &operand_data[11740],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6059 */
  {
    "*cond_subvnx2df_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8840 },
#else
    { 0, output_8840, 0 },
#endif
    { 0 },
    &operand_data[11746],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6113 */
  {
    "*aarch64_pred_abdvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8841 },
#else
    { 0, output_8841, 0 },
#endif
    { 0 },
    &operand_data[11752],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6113 */
  {
    "*aarch64_pred_abdvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8842 },
#else
    { 0, output_8842, 0 },
#endif
    { 0 },
    &operand_data[11758],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6113 */
  {
    "*aarch64_pred_abdvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8843 },
#else
    { 0, output_8843, 0 },
#endif
    { 0 },
    &operand_data[11764],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6136 */
  {
    "*aarch64_pred_abdvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8844 },
#else
    { 0, output_8844, 0 },
#endif
    { 0 },
    &operand_data[11752],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6136 */
  {
    "*aarch64_pred_abdvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8845 },
#else
    { 0, output_8845, 0 },
#endif
    { 0 },
    &operand_data[11758],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6136 */
  {
    "*aarch64_pred_abdvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8846 },
#else
    { 0, output_8846, 0 },
#endif
    { 0 },
    &operand_data[11764],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6179 */
  {
    "*aarch64_cond_abdvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8847 },
#else
    { 0, output_8847, 0 },
#endif
    { 0 },
    &operand_data[11770],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6179 */
  {
    "*aarch64_cond_abdvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8848 },
#else
    { 0, output_8848, 0 },
#endif
    { 0 },
    &operand_data[11776],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6179 */
  {
    "*aarch64_cond_abdvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8849 },
#else
    { 0, output_8849, 0 },
#endif
    { 0 },
    &operand_data[11782],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6208 */
  {
    "*aarch64_cond_abdvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8850 },
#else
    { 0, output_8850, 0 },
#endif
    { 0 },
    &operand_data[11788],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6208 */
  {
    "*aarch64_cond_abdvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8851 },
#else
    { 0, output_8851, 0 },
#endif
    { 0 },
    &operand_data[11794],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6208 */
  {
    "*aarch64_cond_abdvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8852 },
#else
    { 0, output_8852, 0 },
#endif
    { 0 },
    &operand_data[11800],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6233 */
  {
    "*aarch64_cond_abdvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8853 },
#else
    { 0, output_8853, 0 },
#endif
    { 0 },
    &operand_data[11806],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6233 */
  {
    "*aarch64_cond_abdvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8854 },
#else
    { 0, output_8854, 0 },
#endif
    { 0 },
    &operand_data[11812],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6233 */
  {
    "*aarch64_cond_abdvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8855 },
#else
    { 0, output_8855, 0 },
#endif
    { 0 },
    &operand_data[11818],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6262 */
  {
    "*aarch64_cond_abdvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8856 },
#else
    { 0, output_8856, 0 },
#endif
    { 0 },
    &operand_data[11824],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6262 */
  {
    "*aarch64_cond_abdvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8857 },
#else
    { 0, output_8857, 0 },
#endif
    { 0 },
    &operand_data[11830],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6262 */
  {
    "*aarch64_cond_abdvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8858 },
#else
    { 0, output_8858, 0 },
#endif
    { 0 },
    &operand_data[11836],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6287 */
  {
    "*aarch64_cond_abdvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8859 },
#else
    { 0, output_8859, 0 },
#endif
    { 0 },
    &operand_data[11842],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6287 */
  {
    "*aarch64_cond_abdvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8860 },
#else
    { 0, output_8860, 0 },
#endif
    { 0 },
    &operand_data[11849],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6287 */
  {
    "*aarch64_cond_abdvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8861 },
#else
    { 0, output_8861, 0 },
#endif
    { 0 },
    &operand_data[11856],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6335 */
  {
    "*aarch64_cond_abdvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8862 },
#else
    { 0, output_8862, 0 },
#endif
    { 0 },
    &operand_data[11863],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6335 */
  {
    "*aarch64_cond_abdvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8863 },
#else
    { 0, output_8863, 0 },
#endif
    { 0 },
    &operand_data[11870],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6335 */
  {
    "*aarch64_cond_abdvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8864 },
#else
    { 0, output_8864, 0 },
#endif
    { 0 },
    &operand_data[11877],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "aarch64_pred_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8865 },
#else
    { 0, output_8865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hf },
    &operand_data[11884],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "aarch64_pred_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8866 },
#else
    { 0, output_8866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4sf },
    &operand_data[11889],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "aarch64_pred_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8867 },
#else
    { 0, output_8867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2df },
    &operand_data[11894],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6409 */
  {
    "aarch64_mul_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hf },
    &operand_data[11899],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6409 */
  {
    "aarch64_mul_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4sf },
    &operand_data[11903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6409 */
  {
    "aarch64_mul_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2df },
    &operand_data[11907],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*andvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*iorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*xorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*andvnx4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*iorvnx4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*xorvnx4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*andvnx2hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*iorvnx2hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*xorvnx2hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*andvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*iorvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*xorvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*andvnx4bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*iorvnx4bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*xorvnx4bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*andvnx2bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11923],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*iorvnx2bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11923],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*xorvnx2bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11923],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*andvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*iorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*xorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*andvnx2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11926],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*iorvnx2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11926],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*xorvnx2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11926],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*andvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*iorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6474 */
  {
    "*xorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fmax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8898 },
#else
    { 0, output_8898, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmax_nanvnx8hf },
    &operand_data[11929],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fmaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8899 },
#else
    { 0, output_8899, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxvnx8hf },
    &operand_data[11929],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fmin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8900 },
#else
    { 0, output_8900, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmin_nanvnx8hf },
    &operand_data[11929],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8901 },
#else
    { 0, output_8901, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminvnx8hf },
    &operand_data[11929],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8902 },
#else
    { 0, output_8902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hf },
    &operand_data[11929],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8903 },
#else
    { 0, output_8903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hf },
    &operand_data[11929],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fmax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8904 },
#else
    { 0, output_8904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmax_nanvnx4sf },
    &operand_data[11934],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fmaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8905 },
#else
    { 0, output_8905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxvnx4sf },
    &operand_data[11934],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fmin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8906 },
#else
    { 0, output_8906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmin_nanvnx4sf },
    &operand_data[11934],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8907 },
#else
    { 0, output_8907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminvnx4sf },
    &operand_data[11934],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8908 },
#else
    { 0, output_8908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4sf },
    &operand_data[11934],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8909 },
#else
    { 0, output_8909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4sf },
    &operand_data[11934],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fmax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8910 },
#else
    { 0, output_8910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmax_nanvnx2df },
    &operand_data[11939],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fmaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8911 },
#else
    { 0, output_8911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxvnx2df },
    &operand_data[11939],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fmin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8912 },
#else
    { 0, output_8912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmin_nanvnx2df },
    &operand_data[11939],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_fminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8913 },
#else
    { 0, output_8913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminvnx2df },
    &operand_data[11939],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8914 },
#else
    { 0, output_8914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2df },
    &operand_data[11939],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6621 */
  {
    "aarch64_pred_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8915 },
#else
    { 0, output_8915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2df },
    &operand_data[11939],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6656 */
  {
    "andvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8916 },
#else
    { 0, output_8916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16bi3 },
    &operand_data[11944],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6656 */
  {
    "andvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8917 },
#else
    { 0, output_8917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8bi3 },
    &operand_data[11947],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6656 */
  {
    "andvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8918 },
#else
    { 0, output_8918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4bi3 },
    &operand_data[11950],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6656 */
  {
    "andvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8919 },
#else
    { 0, output_8919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2bi3 },
    &operand_data[11953],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_andvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8920 },
#else
    { 0, output_8920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx16bi_z },
    &operand_data[11956],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_iorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8921 },
#else
    { 0, output_8921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx16bi_z },
    &operand_data[11956],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_xorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8922 },
#else
    { 0, output_8922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx16bi_z },
    &operand_data[11956],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_andvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8923 },
#else
    { 0, output_8923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx8bi_z },
    &operand_data[11960],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_iorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8924 },
#else
    { 0, output_8924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx8bi_z },
    &operand_data[11960],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_xorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8925 },
#else
    { 0, output_8925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx8bi_z },
    &operand_data[11960],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_andvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8926 },
#else
    { 0, output_8926, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx4bi_z },
    &operand_data[11964],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_iorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8927 },
#else
    { 0, output_8927, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx4bi_z },
    &operand_data[11964],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_xorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8928 },
#else
    { 0, output_8928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx4bi_z },
    &operand_data[11964],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_andvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8929 },
#else
    { 0, output_8929, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx2bi_z },
    &operand_data[11968],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_iorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8930 },
#else
    { 0, output_8930, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx2bi_z },
    &operand_data[11968],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6683 */
  {
    "aarch64_pred_xorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8931 },
#else
    { 0, output_8931, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx2bi_z },
    &operand_data[11968],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*andvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8932 },
#else
    { 0, output_8932, 0 },
#endif
    { 0 },
    &operand_data[11972],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*iorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8933 },
#else
    { 0, output_8933, 0 },
#endif
    { 0 },
    &operand_data[11972],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*xorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8934 },
#else
    { 0, output_8934, 0 },
#endif
    { 0 },
    &operand_data[11972],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*andvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8935 },
#else
    { 0, output_8935, 0 },
#endif
    { 0 },
    &operand_data[11978],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*iorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8936 },
#else
    { 0, output_8936, 0 },
#endif
    { 0 },
    &operand_data[11978],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*xorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8937 },
#else
    { 0, output_8937, 0 },
#endif
    { 0 },
    &operand_data[11978],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*andvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8938 },
#else
    { 0, output_8938, 0 },
#endif
    { 0 },
    &operand_data[11984],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*iorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8939 },
#else
    { 0, output_8939, 0 },
#endif
    { 0 },
    &operand_data[11984],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*xorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8940 },
#else
    { 0, output_8940, 0 },
#endif
    { 0 },
    &operand_data[11984],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*andvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8941 },
#else
    { 0, output_8941, 0 },
#endif
    { 0 },
    &operand_data[11990],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*iorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8942 },
#else
    { 0, output_8942, 0 },
#endif
    { 0 },
    &operand_data[11990],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6701 */
  {
    "*xorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8943 },
#else
    { 0, output_8943, 0 },
#endif
    { 0 },
    &operand_data[11990],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*andvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8944 },
#else
    { 0, output_8944, 0 },
#endif
    { 0 },
    &operand_data[11996],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*iorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8945 },
#else
    { 0, output_8945, 0 },
#endif
    { 0 },
    &operand_data[11996],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*xorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8946 },
#else
    { 0, output_8946, 0 },
#endif
    { 0 },
    &operand_data[11996],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*andvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8947 },
#else
    { 0, output_8947, 0 },
#endif
    { 0 },
    &operand_data[12002],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*iorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8948 },
#else
    { 0, output_8948, 0 },
#endif
    { 0 },
    &operand_data[12002],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*xorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8949 },
#else
    { 0, output_8949, 0 },
#endif
    { 0 },
    &operand_data[12002],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*andvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8950 },
#else
    { 0, output_8950, 0 },
#endif
    { 0 },
    &operand_data[12008],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*iorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8951 },
#else
    { 0, output_8951, 0 },
#endif
    { 0 },
    &operand_data[12008],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*xorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8952 },
#else
    { 0, output_8952, 0 },
#endif
    { 0 },
    &operand_data[12008],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*andvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8953 },
#else
    { 0, output_8953, 0 },
#endif
    { 0 },
    &operand_data[12014],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*iorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8954 },
#else
    { 0, output_8954, 0 },
#endif
    { 0 },
    &operand_data[12014],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6725 */
  {
    "*xorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8955 },
#else
    { 0, output_8955, 0 },
#endif
    { 0 },
    &operand_data[12014],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "aarch64_pred_bicvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8956 },
#else
    { 0, output_8956, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx16bi_z },
    &operand_data[11956],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "aarch64_pred_ornvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8957 },
#else
    { 0, output_8957, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx16bi_z },
    &operand_data[11956],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "aarch64_pred_bicvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8958 },
#else
    { 0, output_8958, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx8bi_z },
    &operand_data[11960],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "aarch64_pred_ornvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8959 },
#else
    { 0, output_8959, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx8bi_z },
    &operand_data[11960],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "aarch64_pred_bicvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8960 },
#else
    { 0, output_8960, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx4bi_z },
    &operand_data[11964],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "aarch64_pred_ornvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8961 },
#else
    { 0, output_8961, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx4bi_z },
    &operand_data[11964],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "aarch64_pred_bicvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8962 },
#else
    { 0, output_8962, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx2bi_z },
    &operand_data[11968],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "aarch64_pred_ornvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8963 },
#else
    { 0, output_8963, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx2bi_z },
    &operand_data[11968],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6771 */
  {
    "*bicvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8964 },
#else
    { 0, output_8964, 0 },
#endif
    { 0 },
    &operand_data[11972],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6771 */
  {
    "*ornvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8965 },
#else
    { 0, output_8965, 0 },
#endif
    { 0 },
    &operand_data[11972],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6771 */
  {
    "*bicvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8966 },
#else
    { 0, output_8966, 0 },
#endif
    { 0 },
    &operand_data[11978],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6771 */
  {
    "*ornvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8967 },
#else
    { 0, output_8967, 0 },
#endif
    { 0 },
    &operand_data[11978],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6771 */
  {
    "*bicvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8968 },
#else
    { 0, output_8968, 0 },
#endif
    { 0 },
    &operand_data[11984],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6771 */
  {
    "*ornvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8969 },
#else
    { 0, output_8969, 0 },
#endif
    { 0 },
    &operand_data[11984],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6771 */
  {
    "*bicvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8970 },
#else
    { 0, output_8970, 0 },
#endif
    { 0 },
    &operand_data[11990],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6771 */
  {
    "*ornvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8971 },
#else
    { 0, output_8971, 0 },
#endif
    { 0 },
    &operand_data[11990],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6798 */
  {
    "*bicvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8972 },
#else
    { 0, output_8972, 0 },
#endif
    { 0 },
    &operand_data[11996],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6798 */
  {
    "*ornvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8973 },
#else
    { 0, output_8973, 0 },
#endif
    { 0 },
    &operand_data[11996],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6798 */
  {
    "*bicvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8974 },
#else
    { 0, output_8974, 0 },
#endif
    { 0 },
    &operand_data[12002],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6798 */
  {
    "*ornvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8975 },
#else
    { 0, output_8975, 0 },
#endif
    { 0 },
    &operand_data[12002],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6798 */
  {
    "*bicvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8976 },
#else
    { 0, output_8976, 0 },
#endif
    { 0 },
    &operand_data[12008],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6798 */
  {
    "*ornvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8977 },
#else
    { 0, output_8977, 0 },
#endif
    { 0 },
    &operand_data[12008],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6798 */
  {
    "*bicvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8978 },
#else
    { 0, output_8978, 0 },
#endif
    { 0 },
    &operand_data[12014],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6798 */
  {
    "*ornvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8979 },
#else
    { 0, output_8979, 0 },
#endif
    { 0 },
    &operand_data[12014],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6829 */
  {
    "aarch64_pred_norvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8980 },
#else
    { 0, output_8980, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx16bi_z },
    &operand_data[11956],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6829 */
  {
    "aarch64_pred_nandvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8981 },
#else
    { 0, output_8981, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx16bi_z },
    &operand_data[11956],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6829 */
  {
    "aarch64_pred_norvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8982 },
#else
    { 0, output_8982, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx8bi_z },
    &operand_data[11960],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6829 */
  {
    "aarch64_pred_nandvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8983 },
#else
    { 0, output_8983, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx8bi_z },
    &operand_data[11960],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6829 */
  {
    "aarch64_pred_norvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8984 },
#else
    { 0, output_8984, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx4bi_z },
    &operand_data[11964],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6829 */
  {
    "aarch64_pred_nandvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8985 },
#else
    { 0, output_8985, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx4bi_z },
    &operand_data[11964],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6829 */
  {
    "aarch64_pred_norvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8986 },
#else
    { 0, output_8986, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx2bi_z },
    &operand_data[11968],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6829 */
  {
    "aarch64_pred_nandvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8987 },
#else
    { 0, output_8987, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx2bi_z },
    &operand_data[11968],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6845 */
  {
    "*norvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8988 },
#else
    { 0, output_8988, 0 },
#endif
    { 0 },
    &operand_data[11972],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6845 */
  {
    "*nandvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8989 },
#else
    { 0, output_8989, 0 },
#endif
    { 0 },
    &operand_data[11972],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6845 */
  {
    "*norvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8990 },
#else
    { 0, output_8990, 0 },
#endif
    { 0 },
    &operand_data[11978],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6845 */
  {
    "*nandvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8991 },
#else
    { 0, output_8991, 0 },
#endif
    { 0 },
    &operand_data[11978],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6845 */
  {
    "*norvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8992 },
#else
    { 0, output_8992, 0 },
#endif
    { 0 },
    &operand_data[11984],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6845 */
  {
    "*nandvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8993 },
#else
    { 0, output_8993, 0 },
#endif
    { 0 },
    &operand_data[11984],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6845 */
  {
    "*norvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8994 },
#else
    { 0, output_8994, 0 },
#endif
    { 0 },
    &operand_data[11990],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6845 */
  {
    "*nandvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8995 },
#else
    { 0, output_8995, 0 },
#endif
    { 0 },
    &operand_data[11990],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6873 */
  {
    "*norvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8996 },
#else
    { 0, output_8996, 0 },
#endif
    { 0 },
    &operand_data[11996],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6873 */
  {
    "*nandvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8997 },
#else
    { 0, output_8997, 0 },
#endif
    { 0 },
    &operand_data[11996],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6873 */
  {
    "*norvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8998 },
#else
    { 0, output_8998, 0 },
#endif
    { 0 },
    &operand_data[12002],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6873 */
  {
    "*nandvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8999 },
#else
    { 0, output_8999, 0 },
#endif
    { 0 },
    &operand_data[12002],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6873 */
  {
    "*norvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9000 },
#else
    { 0, output_9000, 0 },
#endif
    { 0 },
    &operand_data[12008],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6873 */
  {
    "*nandvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9001 },
#else
    { 0, output_9001, 0 },
#endif
    { 0 },
    &operand_data[12008],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6873 */
  {
    "*norvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9002 },
#else
    { 0, output_9002, 0 },
#endif
    { 0 },
    &operand_data[12014],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6873 */
  {
    "*nandvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9003 },
#else
    { 0, output_9003, 0 },
#endif
    { 0 },
    &operand_data[12014],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9004 },
#else
    { 0, output_9004, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx16qi },
    &operand_data[12020],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9005 },
#else
    { 0, output_9005, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8qi },
    &operand_data[12025],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9006 },
#else
    { 0, output_9006, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4qi },
    &operand_data[12030],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9007 },
#else
    { 0, output_9007, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2qi },
    &operand_data[12035],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9008 },
#else
    { 0, output_9008, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hi },
    &operand_data[12040],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9009 },
#else
    { 0, output_9009, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4hi },
    &operand_data[12045],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9010 },
#else
    { 0, output_9010, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2hi },
    &operand_data[12050],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9011 },
#else
    { 0, output_9011, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4si },
    &operand_data[12055],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9012 },
#else
    { 0, output_9012, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2si },
    &operand_data[12060],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9013 },
#else
    { 0, output_9013, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2di },
    &operand_data[12065],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9014 },
#else
    { 0, output_9014, 0 },
#endif
    { 0 },
    &operand_data[12070],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9015 },
#else
    { 0, output_9015, 0 },
#endif
    { 0 },
    &operand_data[12075],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9016 },
#else
    { 0, output_9016, 0 },
#endif
    { 0 },
    &operand_data[12080],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9017 },
#else
    { 0, output_9017, 0 },
#endif
    { 0 },
    &operand_data[12085],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9018 },
#else
    { 0, output_9018, 0 },
#endif
    { 0 },
    &operand_data[12090],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9019 },
#else
    { 0, output_9019, 0 },
#endif
    { 0 },
    &operand_data[12095],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9020 },
#else
    { 0, output_9020, 0 },
#endif
    { 0 },
    &operand_data[12100],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9021 },
#else
    { 0, output_9021, 0 },
#endif
    { 0 },
    &operand_data[12105],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9022 },
#else
    { 0, output_9022, 0 },
#endif
    { 0 },
    &operand_data[12110],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9023 },
#else
    { 0, output_9023, 0 },
#endif
    { 0 },
    &operand_data[12115],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9024 },
#else
    { 0, output_9024, 0 },
#endif
    { 0 },
    &operand_data[12120],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9025 },
#else
    { 0, output_9025, 0 },
#endif
    { 0 },
    &operand_data[12125],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx4qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9026 },
#else
    { 0, output_9026, 0 },
#endif
    { 0 },
    &operand_data[12130],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx2qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9027 },
#else
    { 0, output_9027, 0 },
#endif
    { 0 },
    &operand_data[12135],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9028 },
#else
    { 0, output_9028, 0 },
#endif
    { 0 },
    &operand_data[12140],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9029 },
#else
    { 0, output_9029, 0 },
#endif
    { 0 },
    &operand_data[12145],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx2hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9030 },
#else
    { 0, output_9030, 0 },
#endif
    { 0 },
    &operand_data[12150],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9031 },
#else
    { 0, output_9031, 0 },
#endif
    { 0 },
    &operand_data[12155],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx2si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9032 },
#else
    { 0, output_9032, 0 },
#endif
    { 0 },
    &operand_data[12160],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6989 */
  {
    "*cond_fmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9033 },
#else
    { 0, output_9033, 0 },
#endif
    { 0 },
    &operand_data[12165],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9034 },
#else
    { 0, output_9034, 0 },
#endif
    { 0 },
    &operand_data[12170],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9035 },
#else
    { 0, output_9035, 0 },
#endif
    { 0 },
    &operand_data[12176],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9036 },
#else
    { 0, output_9036, 0 },
#endif
    { 0 },
    &operand_data[12182],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9037 },
#else
    { 0, output_9037, 0 },
#endif
    { 0 },
    &operand_data[12188],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9038 },
#else
    { 0, output_9038, 0 },
#endif
    { 0 },
    &operand_data[12194],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9039 },
#else
    { 0, output_9039, 0 },
#endif
    { 0 },
    &operand_data[12200],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9040 },
#else
    { 0, output_9040, 0 },
#endif
    { 0 },
    &operand_data[12206],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9041 },
#else
    { 0, output_9041, 0 },
#endif
    { 0 },
    &operand_data[12212],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9042 },
#else
    { 0, output_9042, 0 },
#endif
    { 0 },
    &operand_data[12218],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "*cond_fmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9043 },
#else
    { 0, output_9043, 0 },
#endif
    { 0 },
    &operand_data[12224],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9044 },
#else
    { 0, output_9044, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx16qi },
    &operand_data[12020],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9045 },
#else
    { 0, output_9045, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8qi },
    &operand_data[12025],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9046 },
#else
    { 0, output_9046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4qi },
    &operand_data[12030],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9047 },
#else
    { 0, output_9047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2qi },
    &operand_data[12035],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9048 },
#else
    { 0, output_9048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hi },
    &operand_data[12040],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9049 },
#else
    { 0, output_9049, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4hi },
    &operand_data[12045],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9050 },
#else
    { 0, output_9050, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2hi },
    &operand_data[12050],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9051 },
#else
    { 0, output_9051, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4si },
    &operand_data[12055],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9052 },
#else
    { 0, output_9052, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2si },
    &operand_data[12060],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7070 */
  {
    "aarch64_pred_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9053 },
#else
    { 0, output_9053, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2di },
    &operand_data[12065],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9054 },
#else
    { 0, output_9054, 0 },
#endif
    { 0 },
    &operand_data[12070],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9055 },
#else
    { 0, output_9055, 0 },
#endif
    { 0 },
    &operand_data[12075],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9056 },
#else
    { 0, output_9056, 0 },
#endif
    { 0 },
    &operand_data[12080],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9057 },
#else
    { 0, output_9057, 0 },
#endif
    { 0 },
    &operand_data[12085],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9058 },
#else
    { 0, output_9058, 0 },
#endif
    { 0 },
    &operand_data[12090],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9059 },
#else
    { 0, output_9059, 0 },
#endif
    { 0 },
    &operand_data[12095],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9060 },
#else
    { 0, output_9060, 0 },
#endif
    { 0 },
    &operand_data[12100],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9061 },
#else
    { 0, output_9061, 0 },
#endif
    { 0 },
    &operand_data[12105],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9062 },
#else
    { 0, output_9062, 0 },
#endif
    { 0 },
    &operand_data[12110],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7112 */
  {
    "*cond_fnmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9063 },
#else
    { 0, output_9063, 0 },
#endif
    { 0 },
    &operand_data[12115],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9064 },
#else
    { 0, output_9064, 0 },
#endif
    { 0 },
    &operand_data[12120],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9065 },
#else
    { 0, output_9065, 0 },
#endif
    { 0 },
    &operand_data[12125],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx4qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9066 },
#else
    { 0, output_9066, 0 },
#endif
    { 0 },
    &operand_data[12130],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx2qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9067 },
#else
    { 0, output_9067, 0 },
#endif
    { 0 },
    &operand_data[12135],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9068 },
#else
    { 0, output_9068, 0 },
#endif
    { 0 },
    &operand_data[12140],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9069 },
#else
    { 0, output_9069, 0 },
#endif
    { 0 },
    &operand_data[12145],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx2hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9070 },
#else
    { 0, output_9070, 0 },
#endif
    { 0 },
    &operand_data[12150],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9071 },
#else
    { 0, output_9071, 0 },
#endif
    { 0 },
    &operand_data[12155],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx2si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9072 },
#else
    { 0, output_9072, 0 },
#endif
    { 0 },
    &operand_data[12160],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7131 */
  {
    "*cond_fnmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9073 },
#else
    { 0, output_9073, 0 },
#endif
    { 0 },
    &operand_data[12165],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9074 },
#else
    { 0, output_9074, 0 },
#endif
    { 0 },
    &operand_data[12170],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9075 },
#else
    { 0, output_9075, 0 },
#endif
    { 0 },
    &operand_data[12176],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9076 },
#else
    { 0, output_9076, 0 },
#endif
    { 0 },
    &operand_data[12182],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9077 },
#else
    { 0, output_9077, 0 },
#endif
    { 0 },
    &operand_data[12188],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9078 },
#else
    { 0, output_9078, 0 },
#endif
    { 0 },
    &operand_data[12194],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9079 },
#else
    { 0, output_9079, 0 },
#endif
    { 0 },
    &operand_data[12200],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9080 },
#else
    { 0, output_9080, 0 },
#endif
    { 0 },
    &operand_data[12206],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9081 },
#else
    { 0, output_9081, 0 },
#endif
    { 0 },
    &operand_data[12212],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9082 },
#else
    { 0, output_9082, 0 },
#endif
    { 0 },
    &operand_data[12218],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7151 */
  {
    "*cond_fnmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9083 },
#else
    { 0, output_9083, 0 },
#endif
    { 0 },
    &operand_data[12224],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7196 */
  {
    "sdot_prodvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9084 },
#else
    { 0, output_9084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx4sivnx16qi },
    &operand_data[12230],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7196 */
  {
    "udot_prodvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9085 },
#else
    { 0, output_9085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx4sivnx16qi },
    &operand_data[12230],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7196 */
  {
    "sdot_prodvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9086 },
#else
    { 0, output_9086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx2divnx8hi },
    &operand_data[12234],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7196 */
  {
    "udot_prodvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9087 },
#else
    { 0, output_9087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx2divnx8hi },
    &operand_data[12234],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7212 */
  {
    "aarch64_sdot_prod_lanevnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9088 },
#else
    { 0, output_9088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx4sivnx16qi },
    &operand_data[12238],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7212 */
  {
    "aarch64_udot_prod_lanevnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9089 },
#else
    { 0, output_9089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx4sivnx16qi },
    &operand_data[12238],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7212 */
  {
    "aarch64_sdot_prod_lanevnx2divnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9090 },
#else
    { 0, output_9090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx2divnx16qi },
    &operand_data[12243],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7212 */
  {
    "aarch64_udot_prod_lanevnx2divnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9091 },
#else
    { 0, output_9091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx2divnx16qi },
    &operand_data[12243],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7212 */
  {
    "aarch64_sdot_prod_lanevnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9092 },
#else
    { 0, output_9092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx4sivnx8hi },
    &operand_data[12248],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7212 */
  {
    "aarch64_udot_prod_lanevnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9093 },
#else
    { 0, output_9093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx4sivnx8hi },
    &operand_data[12248],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7212 */
  {
    "aarch64_sdot_prod_lanevnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9094 },
#else
    { 0, output_9094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx2divnx8hi },
    &operand_data[12253],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7212 */
  {
    "aarch64_udot_prod_lanevnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9095 },
#else
    { 0, output_9095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx2divnx8hi },
    &operand_data[12253],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7234 */
  {
    "usdot_prodvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9096 },
#else
    { 0, output_9096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodvnx4sivnx16qi },
    &operand_data[12230],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7249 */
  {
    "aarch64_usdot_prod_lanevnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9097 },
#else
    { 0, output_9097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_prod_lanevnx4sivnx16qi },
    &operand_data[12238],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7249 */
  {
    "aarch64_sudot_prod_lanevnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9098 },
#else
    { 0, output_9098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_prod_lanevnx4sivnx16qi },
    &operand_data[12238],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7307 */
  {
    "aarch64_sve_add_smatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9099 },
#else
    { 0, output_9099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smatmulvnx16qi },
    &operand_data[12258],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7307 */
  {
    "aarch64_sve_add_umatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9100 },
#else
    { 0, output_9100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umatmulvnx16qi },
    &operand_data[12258],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7307 */
  {
    "aarch64_sve_add_usmatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9101 },
#else
    { 0, output_9101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_usmatmulvnx16qi },
    &operand_data[12258],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9102 },
#else
    { 0, output_9102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hf },
    &operand_data[12262],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9103 },
#else
    { 0, output_9103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hf },
    &operand_data[12262],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9104 },
#else
    { 0, output_9104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx8hf },
    &operand_data[12262],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9105 },
#else
    { 0, output_9105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx8hf },
    &operand_data[12262],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9106 },
#else
    { 0, output_9106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4sf },
    &operand_data[12268],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9107 },
#else
    { 0, output_9107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4sf },
    &operand_data[12268],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9108 },
#else
    { 0, output_9108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx4sf },
    &operand_data[12268],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9109 },
#else
    { 0, output_9109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx4sf },
    &operand_data[12268],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9110 },
#else
    { 0, output_9110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2df },
    &operand_data[12274],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9111 },
#else
    { 0, output_9111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2df },
    &operand_data[12274],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9112 },
#else
    { 0, output_9112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx2df },
    &operand_data[12274],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_pred_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9113 },
#else
    { 0, output_9113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx2df },
    &operand_data[12274],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9114 },
#else
    { 0, output_9114, 0 },
#endif
    { 0 },
    &operand_data[12280],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fnmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9115 },
#else
    { 0, output_9115, 0 },
#endif
    { 0 },
    &operand_data[12280],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fnmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9116 },
#else
    { 0, output_9116, 0 },
#endif
    { 0 },
    &operand_data[12280],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9117 },
#else
    { 0, output_9117, 0 },
#endif
    { 0 },
    &operand_data[12280],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9118 },
#else
    { 0, output_9118, 0 },
#endif
    { 0 },
    &operand_data[12286],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fnmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9119 },
#else
    { 0, output_9119, 0 },
#endif
    { 0 },
    &operand_data[12286],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fnmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9120 },
#else
    { 0, output_9120, 0 },
#endif
    { 0 },
    &operand_data[12286],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9121 },
#else
    { 0, output_9121, 0 },
#endif
    { 0 },
    &operand_data[12286],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9122 },
#else
    { 0, output_9122, 0 },
#endif
    { 0 },
    &operand_data[12292],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fnmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9123 },
#else
    { 0, output_9123, 0 },
#endif
    { 0 },
    &operand_data[12292],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fnmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9124 },
#else
    { 0, output_9124, 0 },
#endif
    { 0 },
    &operand_data[12292],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7394 */
  {
    "*cond_fmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9125 },
#else
    { 0, output_9125, 0 },
#endif
    { 0 },
    &operand_data[12292],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9126 },
#else
    { 0, output_9126, 0 },
#endif
    { 0 },
    &operand_data[12280],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fnmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9127 },
#else
    { 0, output_9127, 0 },
#endif
    { 0 },
    &operand_data[12280],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fnmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9128 },
#else
    { 0, output_9128, 0 },
#endif
    { 0 },
    &operand_data[12280],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9129 },
#else
    { 0, output_9129, 0 },
#endif
    { 0 },
    &operand_data[12280],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9130 },
#else
    { 0, output_9130, 0 },
#endif
    { 0 },
    &operand_data[12286],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fnmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9131 },
#else
    { 0, output_9131, 0 },
#endif
    { 0 },
    &operand_data[12286],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fnmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9132 },
#else
    { 0, output_9132, 0 },
#endif
    { 0 },
    &operand_data[12286],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9133 },
#else
    { 0, output_9133, 0 },
#endif
    { 0 },
    &operand_data[12286],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9134 },
#else
    { 0, output_9134, 0 },
#endif
    { 0 },
    &operand_data[12292],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fnmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9135 },
#else
    { 0, output_9135, 0 },
#endif
    { 0 },
    &operand_data[12292],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fnmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9136 },
#else
    { 0, output_9136, 0 },
#endif
    { 0 },
    &operand_data[12292],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7418 */
  {
    "*cond_fmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9137 },
#else
    { 0, output_9137, 0 },
#endif
    { 0 },
    &operand_data[12292],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9138 },
#else
    { 0, output_9138, 0 },
#endif
    { 0 },
    &operand_data[12298],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fnmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9139 },
#else
    { 0, output_9139, 0 },
#endif
    { 0 },
    &operand_data[12298],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fnmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9140 },
#else
    { 0, output_9140, 0 },
#endif
    { 0 },
    &operand_data[12298],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9141 },
#else
    { 0, output_9141, 0 },
#endif
    { 0 },
    &operand_data[12298],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9142 },
#else
    { 0, output_9142, 0 },
#endif
    { 0 },
    &operand_data[12304],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fnmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9143 },
#else
    { 0, output_9143, 0 },
#endif
    { 0 },
    &operand_data[12304],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fnmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9144 },
#else
    { 0, output_9144, 0 },
#endif
    { 0 },
    &operand_data[12304],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9145 },
#else
    { 0, output_9145, 0 },
#endif
    { 0 },
    &operand_data[12304],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9146 },
#else
    { 0, output_9146, 0 },
#endif
    { 0 },
    &operand_data[12310],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fnmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9147 },
#else
    { 0, output_9147, 0 },
#endif
    { 0 },
    &operand_data[12310],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fnmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9148 },
#else
    { 0, output_9148, 0 },
#endif
    { 0 },
    &operand_data[12310],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7440 */
  {
    "*cond_fmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9149 },
#else
    { 0, output_9149, 0 },
#endif
    { 0 },
    &operand_data[12310],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9150 },
#else
    { 0, output_9150, 0 },
#endif
    { 0 },
    &operand_data[12298],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fnmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9151 },
#else
    { 0, output_9151, 0 },
#endif
    { 0 },
    &operand_data[12298],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fnmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9152 },
#else
    { 0, output_9152, 0 },
#endif
    { 0 },
    &operand_data[12298],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9153 },
#else
    { 0, output_9153, 0 },
#endif
    { 0 },
    &operand_data[12298],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9154 },
#else
    { 0, output_9154, 0 },
#endif
    { 0 },
    &operand_data[12304],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fnmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9155 },
#else
    { 0, output_9155, 0 },
#endif
    { 0 },
    &operand_data[12304],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fnmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9156 },
#else
    { 0, output_9156, 0 },
#endif
    { 0 },
    &operand_data[12304],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9157 },
#else
    { 0, output_9157, 0 },
#endif
    { 0 },
    &operand_data[12304],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9158 },
#else
    { 0, output_9158, 0 },
#endif
    { 0 },
    &operand_data[12310],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fnmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9159 },
#else
    { 0, output_9159, 0 },
#endif
    { 0 },
    &operand_data[12310],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fnmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9160 },
#else
    { 0, output_9160, 0 },
#endif
    { 0 },
    &operand_data[12310],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7464 */
  {
    "*cond_fmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9161 },
#else
    { 0, output_9161, 0 },
#endif
    { 0 },
    &operand_data[12310],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9162 },
#else
    { 0, output_9162, 0 },
#endif
    { 0 },
    &operand_data[12316],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fnmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9163 },
#else
    { 0, output_9163, 0 },
#endif
    { 0 },
    &operand_data[12316],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fnmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9164 },
#else
    { 0, output_9164, 0 },
#endif
    { 0 },
    &operand_data[12316],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9165 },
#else
    { 0, output_9165, 0 },
#endif
    { 0 },
    &operand_data[12316],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9166 },
#else
    { 0, output_9166, 0 },
#endif
    { 0 },
    &operand_data[12323],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fnmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9167 },
#else
    { 0, output_9167, 0 },
#endif
    { 0 },
    &operand_data[12323],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fnmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9168 },
#else
    { 0, output_9168, 0 },
#endif
    { 0 },
    &operand_data[12323],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9169 },
#else
    { 0, output_9169, 0 },
#endif
    { 0 },
    &operand_data[12323],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9170 },
#else
    { 0, output_9170, 0 },
#endif
    { 0 },
    &operand_data[12330],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fnmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9171 },
#else
    { 0, output_9171, 0 },
#endif
    { 0 },
    &operand_data[12330],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fnmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9172 },
#else
    { 0, output_9172, 0 },
#endif
    { 0 },
    &operand_data[12330],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7486 */
  {
    "*cond_fmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9173 },
#else
    { 0, output_9173, 0 },
#endif
    { 0 },
    &operand_data[12330],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9174 },
#else
    { 0, output_9174, 0 },
#endif
    { 0 },
    &operand_data[12316],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fnmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9175 },
#else
    { 0, output_9175, 0 },
#endif
    { 0 },
    &operand_data[12316],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fnmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9176 },
#else
    { 0, output_9176, 0 },
#endif
    { 0 },
    &operand_data[12316],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9177 },
#else
    { 0, output_9177, 0 },
#endif
    { 0 },
    &operand_data[12316],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9178 },
#else
    { 0, output_9178, 0 },
#endif
    { 0 },
    &operand_data[12323],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fnmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9179 },
#else
    { 0, output_9179, 0 },
#endif
    { 0 },
    &operand_data[12323],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fnmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9180 },
#else
    { 0, output_9180, 0 },
#endif
    { 0 },
    &operand_data[12323],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9181 },
#else
    { 0, output_9181, 0 },
#endif
    { 0 },
    &operand_data[12323],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9182 },
#else
    { 0, output_9182, 0 },
#endif
    { 0 },
    &operand_data[12330],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fnmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9183 },
#else
    { 0, output_9183, 0 },
#endif
    { 0 },
    &operand_data[12330],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fnmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9184 },
#else
    { 0, output_9184, 0 },
#endif
    { 0 },
    &operand_data[12330],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7529 */
  {
    "*cond_fmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9185 },
#else
    { 0, output_9185, 0 },
#endif
    { 0 },
    &operand_data[12330],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7567 */
  {
    "aarch64_fma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9186 },
#else
    { 0, output_9186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx8hf },
    &operand_data[12337],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7567 */
  {
    "aarch64_fnma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9187 },
#else
    { 0, output_9187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx8hf },
    &operand_data[12337],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7567 */
  {
    "aarch64_fma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9188 },
#else
    { 0, output_9188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx4sf },
    &operand_data[12342],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7567 */
  {
    "aarch64_fnma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9189 },
#else
    { 0, output_9189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx4sf },
    &operand_data[12342],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7567 */
  {
    "aarch64_fma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9190 },
#else
    { 0, output_9190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx2df },
    &operand_data[12347],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7567 */
  {
    "aarch64_fnma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9191 },
#else
    { 0, output_9191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx2df },
    &operand_data[12347],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9192 },
#else
    { 0, output_9192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx8hf },
    &operand_data[12352],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9193 },
#else
    { 0, output_9193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx8hf },
    &operand_data[12352],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9194 },
#else
    { 0, output_9194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx8hf },
    &operand_data[12352],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9195 },
#else
    { 0, output_9195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx8hf },
    &operand_data[12352],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9196 },
#else
    { 0, output_9196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx4sf },
    &operand_data[12358],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9197 },
#else
    { 0, output_9197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx4sf },
    &operand_data[12358],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9198 },
#else
    { 0, output_9198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx4sf },
    &operand_data[12358],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9199 },
#else
    { 0, output_9199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx4sf },
    &operand_data[12358],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9200 },
#else
    { 0, output_9200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx2df },
    &operand_data[12364],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9201 },
#else
    { 0, output_9201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx2df },
    &operand_data[12364],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9202 },
#else
    { 0, output_9202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx2df },
    &operand_data[12364],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7592 */
  {
    "aarch64_pred_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9203 },
#else
    { 0, output_9203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx2df },
    &operand_data[12364],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmlavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9204 },
#else
    { 0, output_9204, 0 },
#endif
    { 0 },
    &operand_data[12298],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmla90vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9205 },
#else
    { 0, output_9205, 0 },
#endif
    { 0 },
    &operand_data[12298],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmla180vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9206 },
#else
    { 0, output_9206, 0 },
#endif
    { 0 },
    &operand_data[12298],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmla270vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9207 },
#else
    { 0, output_9207, 0 },
#endif
    { 0 },
    &operand_data[12298],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmlavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9208 },
#else
    { 0, output_9208, 0 },
#endif
    { 0 },
    &operand_data[12304],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmla90vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9209 },
#else
    { 0, output_9209, 0 },
#endif
    { 0 },
    &operand_data[12304],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmla180vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9210 },
#else
    { 0, output_9210, 0 },
#endif
    { 0 },
    &operand_data[12304],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmla270vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9211 },
#else
    { 0, output_9211, 0 },
#endif
    { 0 },
    &operand_data[12304],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmlavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9212 },
#else
    { 0, output_9212, 0 },
#endif
    { 0 },
    &operand_data[12310],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmla90vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9213 },
#else
    { 0, output_9213, 0 },
#endif
    { 0 },
    &operand_data[12310],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmla180vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9214 },
#else
    { 0, output_9214, 0 },
#endif
    { 0 },
    &operand_data[12310],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7682 */
  {
    "*cond_fcmla270vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9215 },
#else
    { 0, output_9215, 0 },
#endif
    { 0 },
    &operand_data[12310],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmlavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9216 },
#else
    { 0, output_9216, 0 },
#endif
    { 0 },
    &operand_data[12298],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmla90vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9217 },
#else
    { 0, output_9217, 0 },
#endif
    { 0 },
    &operand_data[12298],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmla180vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9218 },
#else
    { 0, output_9218, 0 },
#endif
    { 0 },
    &operand_data[12298],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmla270vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9219 },
#else
    { 0, output_9219, 0 },
#endif
    { 0 },
    &operand_data[12298],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmlavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9220 },
#else
    { 0, output_9220, 0 },
#endif
    { 0 },
    &operand_data[12304],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmla90vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9221 },
#else
    { 0, output_9221, 0 },
#endif
    { 0 },
    &operand_data[12304],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmla180vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9222 },
#else
    { 0, output_9222, 0 },
#endif
    { 0 },
    &operand_data[12304],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmla270vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9223 },
#else
    { 0, output_9223, 0 },
#endif
    { 0 },
    &operand_data[12304],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmlavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9224 },
#else
    { 0, output_9224, 0 },
#endif
    { 0 },
    &operand_data[12310],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmla90vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9225 },
#else
    { 0, output_9225, 0 },
#endif
    { 0 },
    &operand_data[12310],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmla180vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9226 },
#else
    { 0, output_9226, 0 },
#endif
    { 0 },
    &operand_data[12310],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7706 */
  {
    "*cond_fcmla270vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9227 },
#else
    { 0, output_9227, 0 },
#endif
    { 0 },
    &operand_data[12310],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmlavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9228 },
#else
    { 0, output_9228, 0 },
#endif
    { 0 },
    &operand_data[12370],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmla90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9229 },
#else
    { 0, output_9229, 0 },
#endif
    { 0 },
    &operand_data[12370],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmla180vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9230 },
#else
    { 0, output_9230, 0 },
#endif
    { 0 },
    &operand_data[12370],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmla270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9231 },
#else
    { 0, output_9231, 0 },
#endif
    { 0 },
    &operand_data[12370],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmlavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9232 },
#else
    { 0, output_9232, 0 },
#endif
    { 0 },
    &operand_data[12377],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmla90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9233 },
#else
    { 0, output_9233, 0 },
#endif
    { 0 },
    &operand_data[12377],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmla180vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9234 },
#else
    { 0, output_9234, 0 },
#endif
    { 0 },
    &operand_data[12377],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmla270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9235 },
#else
    { 0, output_9235, 0 },
#endif
    { 0 },
    &operand_data[12377],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmlavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9236 },
#else
    { 0, output_9236, 0 },
#endif
    { 0 },
    &operand_data[12384],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmla90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9237 },
#else
    { 0, output_9237, 0 },
#endif
    { 0 },
    &operand_data[12384],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmla180vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9238 },
#else
    { 0, output_9238, 0 },
#endif
    { 0 },
    &operand_data[12384],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7727 */
  {
    "*cond_fcmla270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9239 },
#else
    { 0, output_9239, 0 },
#endif
    { 0 },
    &operand_data[12384],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmlavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9240 },
#else
    { 0, output_9240, 0 },
#endif
    { 0 },
    &operand_data[12370],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmla90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9241 },
#else
    { 0, output_9241, 0 },
#endif
    { 0 },
    &operand_data[12370],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmla180vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9242 },
#else
    { 0, output_9242, 0 },
#endif
    { 0 },
    &operand_data[12370],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmla270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9243 },
#else
    { 0, output_9243, 0 },
#endif
    { 0 },
    &operand_data[12370],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmlavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9244 },
#else
    { 0, output_9244, 0 },
#endif
    { 0 },
    &operand_data[12377],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmla90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9245 },
#else
    { 0, output_9245, 0 },
#endif
    { 0 },
    &operand_data[12377],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmla180vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9246 },
#else
    { 0, output_9246, 0 },
#endif
    { 0 },
    &operand_data[12377],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmla270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9247 },
#else
    { 0, output_9247, 0 },
#endif
    { 0 },
    &operand_data[12377],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmlavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9248 },
#else
    { 0, output_9248, 0 },
#endif
    { 0 },
    &operand_data[12384],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmla90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9249 },
#else
    { 0, output_9249, 0 },
#endif
    { 0 },
    &operand_data[12384],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmla180vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9250 },
#else
    { 0, output_9250, 0 },
#endif
    { 0 },
    &operand_data[12384],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7765 */
  {
    "*cond_fcmla270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9251 },
#else
    { 0, output_9251, 0 },
#endif
    { 0 },
    &operand_data[12384],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7797 */
  {
    "aarch64_fcmla_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9252 },
#else
    { 0, output_9252, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx8hf },
    &operand_data[12337],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7797 */
  {
    "aarch64_fcmla90_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9253 },
#else
    { 0, output_9253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx8hf },
    &operand_data[12337],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7797 */
  {
    "aarch64_fcmla180_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9254 },
#else
    { 0, output_9254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx8hf },
    &operand_data[12337],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7797 */
  {
    "aarch64_fcmla270_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9255 },
#else
    { 0, output_9255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx8hf },
    &operand_data[12337],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7797 */
  {
    "aarch64_fcmla_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9256 },
#else
    { 0, output_9256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx4sf },
    &operand_data[12391],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7797 */
  {
    "aarch64_fcmla90_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9257 },
#else
    { 0, output_9257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx4sf },
    &operand_data[12391],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7797 */
  {
    "aarch64_fcmla180_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9258 },
#else
    { 0, output_9258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx4sf },
    &operand_data[12391],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7797 */
  {
    "aarch64_fcmla270_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9259 },
#else
    { 0, output_9259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx4sf },
    &operand_data[12391],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7821 */
  {
    "aarch64_sve_tmadvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9260 },
#else
    { 0, output_9260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx8hf },
    &operand_data[12396],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7821 */
  {
    "aarch64_sve_tmadvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9261 },
#else
    { 0, output_9261, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx4sf },
    &operand_data[12400],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7821 */
  {
    "aarch64_sve_tmadvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9262 },
#else
    { 0, output_9262, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx2df },
    &operand_data[12404],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7847 */
  {
    "aarch64_sve_bfdotvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9263 },
#else
    { 0, output_9263, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdotvnx4sf },
    &operand_data[12408],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7847 */
  {
    "aarch64_sve_bfmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9264 },
#else
    { 0, output_9264, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalbvnx4sf },
    &operand_data[12408],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7847 */
  {
    "aarch64_sve_bfmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9265 },
#else
    { 0, output_9265, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlaltvnx4sf },
    &operand_data[12408],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7847 */
  {
    "aarch64_sve_bfmlslbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9266 },
#else
    { 0, output_9266, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlslbvnx4sf },
    &operand_data[12408],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7847 */
  {
    "aarch64_sve_bfmlsltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9267 },
#else
    { 0, output_9267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlsltvnx4sf },
    &operand_data[12408],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7847 */
  {
    "aarch64_sve_bfmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9268 },
#else
    { 0, output_9268, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmmlavnx4sf },
    &operand_data[12408],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7862 */
  {
    "aarch64_sve_bfdot_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9269 },
#else
    { 0, output_9269, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdot_lanevnx4sf },
    &operand_data[12412],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7862 */
  {
    "aarch64_sve_bfmlalb_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9270 },
#else
    { 0, output_9270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalb_lanevnx4sf },
    &operand_data[12412],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7862 */
  {
    "aarch64_sve_bfmlalt_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9271 },
#else
    { 0, output_9271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalt_lanevnx4sf },
    &operand_data[12412],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7862 */
  {
    "aarch64_sve_bfmlslb_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9272 },
#else
    { 0, output_9272, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlslb_lanevnx4sf },
    &operand_data[12412],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7862 */
  {
    "aarch64_sve_bfmlslt_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9273 },
#else
    { 0, output_9273, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlslt_lanevnx4sf },
    &operand_data[12412],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7885 */
  {
    "aarch64_sve_fmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9274 },
#else
    { 0, output_9274, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx4sf },
    &operand_data[12417],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7885 */
  {
    "aarch64_sve_fmmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9275 },
#else
    { 0, output_9275, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx2df },
    &operand_data[12421],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9276 },
#else
    { 0, output_9276, 0 },
#endif
    { 0 },
    &operand_data[12425],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9277 },
#else
    { 0, output_9277, 0 },
#endif
    { 0 },
    &operand_data[12429],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9278 },
#else
    { 0, output_9278, 0 },
#endif
    { 0 },
    &operand_data[12433],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9279 },
#else
    { 0, output_9279, 0 },
#endif
    { 0 },
    &operand_data[12437],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9280 },
#else
    { 0, output_9280, 0 },
#endif
    { 0 },
    &operand_data[12441],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9281 },
#else
    { 0, output_9281, 0 },
#endif
    { 0 },
    &operand_data[12445],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9282 },
#else
    { 0, output_9282, 0 },
#endif
    { 0 },
    &operand_data[12449],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9283 },
#else
    { 0, output_9283, 0 },
#endif
    { 0 },
    &operand_data[12453],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9284 },
#else
    { 0, output_9284, 0 },
#endif
    { 0 },
    &operand_data[12457],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9285 },
#else
    { 0, output_9285, 0 },
#endif
    { 0 },
    &operand_data[12461],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9286 },
#else
    { 0, output_9286, 0 },
#endif
    { 0 },
    &operand_data[12465],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9287 },
#else
    { 0, output_9287, 0 },
#endif
    { 0 },
    &operand_data[12469],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9288 },
#else
    { 0, output_9288, 0 },
#endif
    { 0 },
    &operand_data[12473],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9289 },
#else
    { 0, output_9289, 0 },
#endif
    { 0 },
    &operand_data[12477],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9290 },
#else
    { 0, output_9290, 0 },
#endif
    { 0 },
    &operand_data[12481],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9291 },
#else
    { 0, output_9291, 0 },
#endif
    { 0 },
    &operand_data[12485],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9292 },
#else
    { 0, output_9292, 0 },
#endif
    { 0 },
    &operand_data[12489],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9293 },
#else
    { 0, output_9293, 0 },
#endif
    { 0 },
    &operand_data[12493],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7946 */
  {
    "*vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9294 },
#else
    { 0, output_9294, 0 },
#endif
    { 0 },
    &operand_data[12497],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9295 },
#else
    { 0, output_9295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx16qi },
    &operand_data[12501],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9296 },
#else
    { 0, output_9296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8qi },
    &operand_data[12505],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9297 },
#else
    { 0, output_9297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4qi },
    &operand_data[12509],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9298 },
#else
    { 0, output_9298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2qi },
    &operand_data[12513],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9299 },
#else
    { 0, output_9299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hi },
    &operand_data[12517],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9300 },
#else
    { 0, output_9300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4hi },
    &operand_data[12521],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9301 },
#else
    { 0, output_9301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2hi },
    &operand_data[12525],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9302 },
#else
    { 0, output_9302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4si },
    &operand_data[12529],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9303 },
#else
    { 0, output_9303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2si },
    &operand_data[12533],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9304 },
#else
    { 0, output_9304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2di },
    &operand_data[12537],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9305 },
#else
    { 0, output_9305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hf },
    &operand_data[12541],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9306 },
#else
    { 0, output_9306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4hf },
    &operand_data[12545],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9307 },
#else
    { 0, output_9307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2hf },
    &operand_data[12549],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9308 },
#else
    { 0, output_9308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8bf },
    &operand_data[12553],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9309 },
#else
    { 0, output_9309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4bf },
    &operand_data[12557],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9310 },
#else
    { 0, output_9310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2bf },
    &operand_data[12561],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9311 },
#else
    { 0, output_9311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4sf },
    &operand_data[12565],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9312 },
#else
    { 0, output_9312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2sf },
    &operand_data[12569],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "aarch64_sel_dupvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9313 },
#else
    { 0, output_9313, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2df },
    &operand_data[12573],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9314 },
#else
    { 0, output_9314, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi },
    &operand_data[12577],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9315 },
#else
    { 0, output_9315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi },
    &operand_data[12577],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9316 },
#else
    { 0, output_9316, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi },
    &operand_data[12577],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9317 },
#else
    { 0, output_9317, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi },
    &operand_data[12577],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9318 },
#else
    { 0, output_9318, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi },
    &operand_data[12577],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9319 },
#else
    { 0, output_9319, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi },
    &operand_data[12577],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9320 },
#else
    { 0, output_9320, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi },
    &operand_data[12582],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9321 },
#else
    { 0, output_9321, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi },
    &operand_data[12582],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9322 },
#else
    { 0, output_9322, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi },
    &operand_data[12582],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9323 },
#else
    { 0, output_9323, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi },
    &operand_data[12582],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9324 },
#else
    { 0, output_9324, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8qi },
    &operand_data[12587],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9325 },
#else
    { 0, output_9325, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8qi },
    &operand_data[12587],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9326 },
#else
    { 0, output_9326, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8qi },
    &operand_data[12587],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9327 },
#else
    { 0, output_9327, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8qi },
    &operand_data[12587],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9328 },
#else
    { 0, output_9328, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8qi },
    &operand_data[12587],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9329 },
#else
    { 0, output_9329, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8qi },
    &operand_data[12587],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9330 },
#else
    { 0, output_9330, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8qi },
    &operand_data[12592],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9331 },
#else
    { 0, output_9331, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8qi },
    &operand_data[12592],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9332 },
#else
    { 0, output_9332, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8qi },
    &operand_data[12592],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9333 },
#else
    { 0, output_9333, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8qi },
    &operand_data[12592],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9334 },
#else
    { 0, output_9334, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4qi },
    &operand_data[12597],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9335 },
#else
    { 0, output_9335, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4qi },
    &operand_data[12597],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9336 },
#else
    { 0, output_9336, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4qi },
    &operand_data[12597],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9337 },
#else
    { 0, output_9337, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4qi },
    &operand_data[12597],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9338 },
#else
    { 0, output_9338, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4qi },
    &operand_data[12597],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9339 },
#else
    { 0, output_9339, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4qi },
    &operand_data[12597],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9340 },
#else
    { 0, output_9340, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4qi },
    &operand_data[12602],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9341 },
#else
    { 0, output_9341, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4qi },
    &operand_data[12602],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9342 },
#else
    { 0, output_9342, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4qi },
    &operand_data[12602],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9343 },
#else
    { 0, output_9343, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4qi },
    &operand_data[12602],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9344 },
#else
    { 0, output_9344, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2qi },
    &operand_data[12607],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9345 },
#else
    { 0, output_9345, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2qi },
    &operand_data[12607],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9346 },
#else
    { 0, output_9346, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2qi },
    &operand_data[12607],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9347 },
#else
    { 0, output_9347, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2qi },
    &operand_data[12607],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9348 },
#else
    { 0, output_9348, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2qi },
    &operand_data[12607],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9349 },
#else
    { 0, output_9349, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2qi },
    &operand_data[12607],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9350 },
#else
    { 0, output_9350, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2qi },
    &operand_data[12612],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9351 },
#else
    { 0, output_9351, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2qi },
    &operand_data[12612],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9352 },
#else
    { 0, output_9352, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2qi },
    &operand_data[12612],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9353 },
#else
    { 0, output_9353, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2qi },
    &operand_data[12612],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9354 },
#else
    { 0, output_9354, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi },
    &operand_data[12617],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9355 },
#else
    { 0, output_9355, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi },
    &operand_data[12617],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9356 },
#else
    { 0, output_9356, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi },
    &operand_data[12617],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9357 },
#else
    { 0, output_9357, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi },
    &operand_data[12617],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9358 },
#else
    { 0, output_9358, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi },
    &operand_data[12617],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9359 },
#else
    { 0, output_9359, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi },
    &operand_data[12617],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9360 },
#else
    { 0, output_9360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi },
    &operand_data[12622],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9361 },
#else
    { 0, output_9361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi },
    &operand_data[12622],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9362 },
#else
    { 0, output_9362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi },
    &operand_data[12622],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9363 },
#else
    { 0, output_9363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi },
    &operand_data[12622],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9364 },
#else
    { 0, output_9364, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4hi },
    &operand_data[12627],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9365 },
#else
    { 0, output_9365, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4hi },
    &operand_data[12627],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9366 },
#else
    { 0, output_9366, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4hi },
    &operand_data[12627],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9367 },
#else
    { 0, output_9367, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4hi },
    &operand_data[12627],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9368 },
#else
    { 0, output_9368, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4hi },
    &operand_data[12627],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9369 },
#else
    { 0, output_9369, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4hi },
    &operand_data[12627],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9370 },
#else
    { 0, output_9370, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4hi },
    &operand_data[12632],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9371 },
#else
    { 0, output_9371, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4hi },
    &operand_data[12632],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9372 },
#else
    { 0, output_9372, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4hi },
    &operand_data[12632],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9373 },
#else
    { 0, output_9373, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4hi },
    &operand_data[12632],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9374 },
#else
    { 0, output_9374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2hi },
    &operand_data[12637],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9375 },
#else
    { 0, output_9375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2hi },
    &operand_data[12637],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9376 },
#else
    { 0, output_9376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2hi },
    &operand_data[12637],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9377 },
#else
    { 0, output_9377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2hi },
    &operand_data[12637],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9378 },
#else
    { 0, output_9378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2hi },
    &operand_data[12637],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9379 },
#else
    { 0, output_9379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2hi },
    &operand_data[12637],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9380 },
#else
    { 0, output_9380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2hi },
    &operand_data[12642],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9381 },
#else
    { 0, output_9381, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2hi },
    &operand_data[12642],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9382 },
#else
    { 0, output_9382, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2hi },
    &operand_data[12642],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9383 },
#else
    { 0, output_9383, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2hi },
    &operand_data[12642],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9384 },
#else
    { 0, output_9384, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si },
    &operand_data[12647],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9385 },
#else
    { 0, output_9385, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si },
    &operand_data[12647],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9386 },
#else
    { 0, output_9386, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si },
    &operand_data[12647],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9387 },
#else
    { 0, output_9387, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si },
    &operand_data[12647],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9388 },
#else
    { 0, output_9388, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si },
    &operand_data[12647],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9389 },
#else
    { 0, output_9389, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si },
    &operand_data[12647],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9390 },
#else
    { 0, output_9390, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si },
    &operand_data[12652],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9391 },
#else
    { 0, output_9391, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si },
    &operand_data[12652],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9392 },
#else
    { 0, output_9392, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si },
    &operand_data[12652],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9393 },
#else
    { 0, output_9393, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si },
    &operand_data[12652],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9394 },
#else
    { 0, output_9394, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2si },
    &operand_data[12657],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9395 },
#else
    { 0, output_9395, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2si },
    &operand_data[12657],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9396 },
#else
    { 0, output_9396, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2si },
    &operand_data[12657],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9397 },
#else
    { 0, output_9397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2si },
    &operand_data[12657],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9398 },
#else
    { 0, output_9398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2si },
    &operand_data[12657],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9399 },
#else
    { 0, output_9399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2si },
    &operand_data[12657],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9400 },
#else
    { 0, output_9400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2si },
    &operand_data[12662],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9401 },
#else
    { 0, output_9401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2si },
    &operand_data[12662],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9402 },
#else
    { 0, output_9402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2si },
    &operand_data[12662],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9403 },
#else
    { 0, output_9403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2si },
    &operand_data[12662],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9404 },
#else
    { 0, output_9404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2di },
    &operand_data[12667],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9405 },
#else
    { 0, output_9405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2di },
    &operand_data[12667],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpeqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9406 },
#else
    { 0, output_9406, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2di },
    &operand_data[12667],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpnevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9407 },
#else
    { 0, output_9407, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2di },
    &operand_data[12667],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9408 },
#else
    { 0, output_9408, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2di },
    &operand_data[12667],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmpgtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9409 },
#else
    { 0, output_9409, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2di },
    &operand_data[12667],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9410 },
#else
    { 0, output_9410, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2di },
    &operand_data[12672],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmplsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9411 },
#else
    { 0, output_9411, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2di },
    &operand_data[12672],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9412 },
#else
    { 0, output_9412, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2di },
    &operand_data[12672],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8124 */
  {
    "aarch64_pred_cmphivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9413 },
#else
    { 0, output_9413, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2di },
    &operand_data[12672],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9414 },
#else
    { 0, output_9414, 0 },
#endif
    { 0 },
    &operand_data[12677],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9415 },
#else
    { 0, output_9415, 0 },
#endif
    { 0 },
    &operand_data[12677],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9416 },
#else
    { 0, output_9416, 0 },
#endif
    { 0 },
    &operand_data[12677],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9417 },
#else
    { 0, output_9417, 0 },
#endif
    { 0 },
    &operand_data[12677],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9418 },
#else
    { 0, output_9418, 0 },
#endif
    { 0 },
    &operand_data[12677],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9419 },
#else
    { 0, output_9419, 0 },
#endif
    { 0 },
    &operand_data[12677],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9420 },
#else
    { 0, output_9420, 0 },
#endif
    { 0 },
    &operand_data[12685],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9421 },
#else
    { 0, output_9421, 0 },
#endif
    { 0 },
    &operand_data[12685],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9422 },
#else
    { 0, output_9422, 0 },
#endif
    { 0 },
    &operand_data[12685],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9423 },
#else
    { 0, output_9423, 0 },
#endif
    { 0 },
    &operand_data[12685],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9424 },
#else
    { 0, output_9424, 0 },
#endif
    { 0 },
    &operand_data[12693],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9425 },
#else
    { 0, output_9425, 0 },
#endif
    { 0 },
    &operand_data[12693],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9426 },
#else
    { 0, output_9426, 0 },
#endif
    { 0 },
    &operand_data[12693],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9427 },
#else
    { 0, output_9427, 0 },
#endif
    { 0 },
    &operand_data[12693],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9428 },
#else
    { 0, output_9428, 0 },
#endif
    { 0 },
    &operand_data[12693],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9429 },
#else
    { 0, output_9429, 0 },
#endif
    { 0 },
    &operand_data[12693],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9430 },
#else
    { 0, output_9430, 0 },
#endif
    { 0 },
    &operand_data[12701],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9431 },
#else
    { 0, output_9431, 0 },
#endif
    { 0 },
    &operand_data[12701],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9432 },
#else
    { 0, output_9432, 0 },
#endif
    { 0 },
    &operand_data[12701],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9433 },
#else
    { 0, output_9433, 0 },
#endif
    { 0 },
    &operand_data[12701],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9434 },
#else
    { 0, output_9434, 0 },
#endif
    { 0 },
    &operand_data[12709],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9435 },
#else
    { 0, output_9435, 0 },
#endif
    { 0 },
    &operand_data[12709],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9436 },
#else
    { 0, output_9436, 0 },
#endif
    { 0 },
    &operand_data[12709],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9437 },
#else
    { 0, output_9437, 0 },
#endif
    { 0 },
    &operand_data[12709],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9438 },
#else
    { 0, output_9438, 0 },
#endif
    { 0 },
    &operand_data[12709],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9439 },
#else
    { 0, output_9439, 0 },
#endif
    { 0 },
    &operand_data[12709],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9440 },
#else
    { 0, output_9440, 0 },
#endif
    { 0 },
    &operand_data[12717],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9441 },
#else
    { 0, output_9441, 0 },
#endif
    { 0 },
    &operand_data[12717],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9442 },
#else
    { 0, output_9442, 0 },
#endif
    { 0 },
    &operand_data[12717],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9443 },
#else
    { 0, output_9443, 0 },
#endif
    { 0 },
    &operand_data[12717],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9444 },
#else
    { 0, output_9444, 0 },
#endif
    { 0 },
    &operand_data[12725],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9445 },
#else
    { 0, output_9445, 0 },
#endif
    { 0 },
    &operand_data[12725],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9446 },
#else
    { 0, output_9446, 0 },
#endif
    { 0 },
    &operand_data[12725],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9447 },
#else
    { 0, output_9447, 0 },
#endif
    { 0 },
    &operand_data[12725],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9448 },
#else
    { 0, output_9448, 0 },
#endif
    { 0 },
    &operand_data[12725],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9449 },
#else
    { 0, output_9449, 0 },
#endif
    { 0 },
    &operand_data[12725],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9450 },
#else
    { 0, output_9450, 0 },
#endif
    { 0 },
    &operand_data[12733],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9451 },
#else
    { 0, output_9451, 0 },
#endif
    { 0 },
    &operand_data[12733],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9452 },
#else
    { 0, output_9452, 0 },
#endif
    { 0 },
    &operand_data[12733],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9453 },
#else
    { 0, output_9453, 0 },
#endif
    { 0 },
    &operand_data[12733],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9454 },
#else
    { 0, output_9454, 0 },
#endif
    { 0 },
    &operand_data[12741],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9455 },
#else
    { 0, output_9455, 0 },
#endif
    { 0 },
    &operand_data[12741],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9456 },
#else
    { 0, output_9456, 0 },
#endif
    { 0 },
    &operand_data[12741],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9457 },
#else
    { 0, output_9457, 0 },
#endif
    { 0 },
    &operand_data[12741],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9458 },
#else
    { 0, output_9458, 0 },
#endif
    { 0 },
    &operand_data[12741],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9459 },
#else
    { 0, output_9459, 0 },
#endif
    { 0 },
    &operand_data[12741],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9460 },
#else
    { 0, output_9460, 0 },
#endif
    { 0 },
    &operand_data[12749],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9461 },
#else
    { 0, output_9461, 0 },
#endif
    { 0 },
    &operand_data[12749],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9462 },
#else
    { 0, output_9462, 0 },
#endif
    { 0 },
    &operand_data[12749],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9463 },
#else
    { 0, output_9463, 0 },
#endif
    { 0 },
    &operand_data[12749],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9464 },
#else
    { 0, output_9464, 0 },
#endif
    { 0 },
    &operand_data[12757],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9465 },
#else
    { 0, output_9465, 0 },
#endif
    { 0 },
    &operand_data[12757],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9466 },
#else
    { 0, output_9466, 0 },
#endif
    { 0 },
    &operand_data[12757],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9467 },
#else
    { 0, output_9467, 0 },
#endif
    { 0 },
    &operand_data[12757],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9468 },
#else
    { 0, output_9468, 0 },
#endif
    { 0 },
    &operand_data[12757],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9469 },
#else
    { 0, output_9469, 0 },
#endif
    { 0 },
    &operand_data[12757],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9470 },
#else
    { 0, output_9470, 0 },
#endif
    { 0 },
    &operand_data[12765],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9471 },
#else
    { 0, output_9471, 0 },
#endif
    { 0 },
    &operand_data[12765],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9472 },
#else
    { 0, output_9472, 0 },
#endif
    { 0 },
    &operand_data[12765],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9473 },
#else
    { 0, output_9473, 0 },
#endif
    { 0 },
    &operand_data[12765],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9474 },
#else
    { 0, output_9474, 0 },
#endif
    { 0 },
    &operand_data[12773],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9475 },
#else
    { 0, output_9475, 0 },
#endif
    { 0 },
    &operand_data[12773],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9476 },
#else
    { 0, output_9476, 0 },
#endif
    { 0 },
    &operand_data[12773],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9477 },
#else
    { 0, output_9477, 0 },
#endif
    { 0 },
    &operand_data[12773],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9478 },
#else
    { 0, output_9478, 0 },
#endif
    { 0 },
    &operand_data[12773],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9479 },
#else
    { 0, output_9479, 0 },
#endif
    { 0 },
    &operand_data[12773],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9480 },
#else
    { 0, output_9480, 0 },
#endif
    { 0 },
    &operand_data[12781],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9481 },
#else
    { 0, output_9481, 0 },
#endif
    { 0 },
    &operand_data[12781],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9482 },
#else
    { 0, output_9482, 0 },
#endif
    { 0 },
    &operand_data[12781],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9483 },
#else
    { 0, output_9483, 0 },
#endif
    { 0 },
    &operand_data[12781],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9484 },
#else
    { 0, output_9484, 0 },
#endif
    { 0 },
    &operand_data[12789],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9485 },
#else
    { 0, output_9485, 0 },
#endif
    { 0 },
    &operand_data[12789],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9486 },
#else
    { 0, output_9486, 0 },
#endif
    { 0 },
    &operand_data[12789],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9487 },
#else
    { 0, output_9487, 0 },
#endif
    { 0 },
    &operand_data[12789],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9488 },
#else
    { 0, output_9488, 0 },
#endif
    { 0 },
    &operand_data[12789],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9489 },
#else
    { 0, output_9489, 0 },
#endif
    { 0 },
    &operand_data[12789],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9490 },
#else
    { 0, output_9490, 0 },
#endif
    { 0 },
    &operand_data[12797],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9491 },
#else
    { 0, output_9491, 0 },
#endif
    { 0 },
    &operand_data[12797],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9492 },
#else
    { 0, output_9492, 0 },
#endif
    { 0 },
    &operand_data[12797],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9493 },
#else
    { 0, output_9493, 0 },
#endif
    { 0 },
    &operand_data[12797],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9494 },
#else
    { 0, output_9494, 0 },
#endif
    { 0 },
    &operand_data[12805],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9495 },
#else
    { 0, output_9495, 0 },
#endif
    { 0 },
    &operand_data[12805],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9496 },
#else
    { 0, output_9496, 0 },
#endif
    { 0 },
    &operand_data[12805],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9497 },
#else
    { 0, output_9497, 0 },
#endif
    { 0 },
    &operand_data[12805],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9498 },
#else
    { 0, output_9498, 0 },
#endif
    { 0 },
    &operand_data[12805],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9499 },
#else
    { 0, output_9499, 0 },
#endif
    { 0 },
    &operand_data[12805],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9500 },
#else
    { 0, output_9500, 0 },
#endif
    { 0 },
    &operand_data[12813],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9501 },
#else
    { 0, output_9501, 0 },
#endif
    { 0 },
    &operand_data[12813],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9502 },
#else
    { 0, output_9502, 0 },
#endif
    { 0 },
    &operand_data[12813],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9503 },
#else
    { 0, output_9503, 0 },
#endif
    { 0 },
    &operand_data[12813],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpltvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9504 },
#else
    { 0, output_9504, 0 },
#endif
    { 0 },
    &operand_data[12821],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9505 },
#else
    { 0, output_9505, 0 },
#endif
    { 0 },
    &operand_data[12821],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpeqvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9506 },
#else
    { 0, output_9506, 0 },
#endif
    { 0 },
    &operand_data[12821],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpnevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9507 },
#else
    { 0, output_9507, 0 },
#endif
    { 0 },
    &operand_data[12821],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9508 },
#else
    { 0, output_9508, 0 },
#endif
    { 0 },
    &operand_data[12821],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmpgtvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9509 },
#else
    { 0, output_9509, 0 },
#endif
    { 0 },
    &operand_data[12821],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplovnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9510 },
#else
    { 0, output_9510, 0 },
#endif
    { 0 },
    &operand_data[12829],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmplsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9511 },
#else
    { 0, output_9511, 0 },
#endif
    { 0 },
    &operand_data[12829],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9512 },
#else
    { 0, output_9512, 0 },
#endif
    { 0 },
    &operand_data[12829],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8147 */
  {
    "*cmphivnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9513 },
#else
    { 0, output_9513, 0 },
#endif
    { 0 },
    &operand_data[12829],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9514 },
#else
    { 0, output_9514, 0 },
#endif
    { 0 },
    &operand_data[12837],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9515 },
#else
    { 0, output_9515, 0 },
#endif
    { 0 },
    &operand_data[12837],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9516 },
#else
    { 0, output_9516, 0 },
#endif
    { 0 },
    &operand_data[12837],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9517 },
#else
    { 0, output_9517, 0 },
#endif
    { 0 },
    &operand_data[12837],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9518 },
#else
    { 0, output_9518, 0 },
#endif
    { 0 },
    &operand_data[12837],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9519 },
#else
    { 0, output_9519, 0 },
#endif
    { 0 },
    &operand_data[12837],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9520 },
#else
    { 0, output_9520, 0 },
#endif
    { 0 },
    &operand_data[12845],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9521 },
#else
    { 0, output_9521, 0 },
#endif
    { 0 },
    &operand_data[12845],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9522 },
#else
    { 0, output_9522, 0 },
#endif
    { 0 },
    &operand_data[12845],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9523 },
#else
    { 0, output_9523, 0 },
#endif
    { 0 },
    &operand_data[12845],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9524 },
#else
    { 0, output_9524, 0 },
#endif
    { 0 },
    &operand_data[12853],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9525 },
#else
    { 0, output_9525, 0 },
#endif
    { 0 },
    &operand_data[12853],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9526 },
#else
    { 0, output_9526, 0 },
#endif
    { 0 },
    &operand_data[12853],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9527 },
#else
    { 0, output_9527, 0 },
#endif
    { 0 },
    &operand_data[12853],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9528 },
#else
    { 0, output_9528, 0 },
#endif
    { 0 },
    &operand_data[12853],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9529 },
#else
    { 0, output_9529, 0 },
#endif
    { 0 },
    &operand_data[12853],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9530 },
#else
    { 0, output_9530, 0 },
#endif
    { 0 },
    &operand_data[12861],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9531 },
#else
    { 0, output_9531, 0 },
#endif
    { 0 },
    &operand_data[12861],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9532 },
#else
    { 0, output_9532, 0 },
#endif
    { 0 },
    &operand_data[12861],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9533 },
#else
    { 0, output_9533, 0 },
#endif
    { 0 },
    &operand_data[12861],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9534 },
#else
    { 0, output_9534, 0 },
#endif
    { 0 },
    &operand_data[12869],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9535 },
#else
    { 0, output_9535, 0 },
#endif
    { 0 },
    &operand_data[12869],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9536 },
#else
    { 0, output_9536, 0 },
#endif
    { 0 },
    &operand_data[12869],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9537 },
#else
    { 0, output_9537, 0 },
#endif
    { 0 },
    &operand_data[12869],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9538 },
#else
    { 0, output_9538, 0 },
#endif
    { 0 },
    &operand_data[12869],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9539 },
#else
    { 0, output_9539, 0 },
#endif
    { 0 },
    &operand_data[12869],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9540 },
#else
    { 0, output_9540, 0 },
#endif
    { 0 },
    &operand_data[12877],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9541 },
#else
    { 0, output_9541, 0 },
#endif
    { 0 },
    &operand_data[12877],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9542 },
#else
    { 0, output_9542, 0 },
#endif
    { 0 },
    &operand_data[12877],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9543 },
#else
    { 0, output_9543, 0 },
#endif
    { 0 },
    &operand_data[12877],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9544 },
#else
    { 0, output_9544, 0 },
#endif
    { 0 },
    &operand_data[12885],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9545 },
#else
    { 0, output_9545, 0 },
#endif
    { 0 },
    &operand_data[12885],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9546 },
#else
    { 0, output_9546, 0 },
#endif
    { 0 },
    &operand_data[12885],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9547 },
#else
    { 0, output_9547, 0 },
#endif
    { 0 },
    &operand_data[12885],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9548 },
#else
    { 0, output_9548, 0 },
#endif
    { 0 },
    &operand_data[12885],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9549 },
#else
    { 0, output_9549, 0 },
#endif
    { 0 },
    &operand_data[12885],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9550 },
#else
    { 0, output_9550, 0 },
#endif
    { 0 },
    &operand_data[12893],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9551 },
#else
    { 0, output_9551, 0 },
#endif
    { 0 },
    &operand_data[12893],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9552 },
#else
    { 0, output_9552, 0 },
#endif
    { 0 },
    &operand_data[12893],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9553 },
#else
    { 0, output_9553, 0 },
#endif
    { 0 },
    &operand_data[12893],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9554 },
#else
    { 0, output_9554, 0 },
#endif
    { 0 },
    &operand_data[12901],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9555 },
#else
    { 0, output_9555, 0 },
#endif
    { 0 },
    &operand_data[12901],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9556 },
#else
    { 0, output_9556, 0 },
#endif
    { 0 },
    &operand_data[12901],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9557 },
#else
    { 0, output_9557, 0 },
#endif
    { 0 },
    &operand_data[12901],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9558 },
#else
    { 0, output_9558, 0 },
#endif
    { 0 },
    &operand_data[12901],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9559 },
#else
    { 0, output_9559, 0 },
#endif
    { 0 },
    &operand_data[12901],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9560 },
#else
    { 0, output_9560, 0 },
#endif
    { 0 },
    &operand_data[12909],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9561 },
#else
    { 0, output_9561, 0 },
#endif
    { 0 },
    &operand_data[12909],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9562 },
#else
    { 0, output_9562, 0 },
#endif
    { 0 },
    &operand_data[12909],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9563 },
#else
    { 0, output_9563, 0 },
#endif
    { 0 },
    &operand_data[12909],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9564 },
#else
    { 0, output_9564, 0 },
#endif
    { 0 },
    &operand_data[12917],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9565 },
#else
    { 0, output_9565, 0 },
#endif
    { 0 },
    &operand_data[12917],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9566 },
#else
    { 0, output_9566, 0 },
#endif
    { 0 },
    &operand_data[12917],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9567 },
#else
    { 0, output_9567, 0 },
#endif
    { 0 },
    &operand_data[12917],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9568 },
#else
    { 0, output_9568, 0 },
#endif
    { 0 },
    &operand_data[12917],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9569 },
#else
    { 0, output_9569, 0 },
#endif
    { 0 },
    &operand_data[12917],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9570 },
#else
    { 0, output_9570, 0 },
#endif
    { 0 },
    &operand_data[12925],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9571 },
#else
    { 0, output_9571, 0 },
#endif
    { 0 },
    &operand_data[12925],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9572 },
#else
    { 0, output_9572, 0 },
#endif
    { 0 },
    &operand_data[12925],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9573 },
#else
    { 0, output_9573, 0 },
#endif
    { 0 },
    &operand_data[12925],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9574 },
#else
    { 0, output_9574, 0 },
#endif
    { 0 },
    &operand_data[12933],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9575 },
#else
    { 0, output_9575, 0 },
#endif
    { 0 },
    &operand_data[12933],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9576 },
#else
    { 0, output_9576, 0 },
#endif
    { 0 },
    &operand_data[12933],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9577 },
#else
    { 0, output_9577, 0 },
#endif
    { 0 },
    &operand_data[12933],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9578 },
#else
    { 0, output_9578, 0 },
#endif
    { 0 },
    &operand_data[12933],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9579 },
#else
    { 0, output_9579, 0 },
#endif
    { 0 },
    &operand_data[12933],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9580 },
#else
    { 0, output_9580, 0 },
#endif
    { 0 },
    &operand_data[12941],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9581 },
#else
    { 0, output_9581, 0 },
#endif
    { 0 },
    &operand_data[12941],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9582 },
#else
    { 0, output_9582, 0 },
#endif
    { 0 },
    &operand_data[12941],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9583 },
#else
    { 0, output_9583, 0 },
#endif
    { 0 },
    &operand_data[12941],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9584 },
#else
    { 0, output_9584, 0 },
#endif
    { 0 },
    &operand_data[12949],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9585 },
#else
    { 0, output_9585, 0 },
#endif
    { 0 },
    &operand_data[12949],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9586 },
#else
    { 0, output_9586, 0 },
#endif
    { 0 },
    &operand_data[12949],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9587 },
#else
    { 0, output_9587, 0 },
#endif
    { 0 },
    &operand_data[12949],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9588 },
#else
    { 0, output_9588, 0 },
#endif
    { 0 },
    &operand_data[12949],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9589 },
#else
    { 0, output_9589, 0 },
#endif
    { 0 },
    &operand_data[12949],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9590 },
#else
    { 0, output_9590, 0 },
#endif
    { 0 },
    &operand_data[12957],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9591 },
#else
    { 0, output_9591, 0 },
#endif
    { 0 },
    &operand_data[12957],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9592 },
#else
    { 0, output_9592, 0 },
#endif
    { 0 },
    &operand_data[12957],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9593 },
#else
    { 0, output_9593, 0 },
#endif
    { 0 },
    &operand_data[12957],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9594 },
#else
    { 0, output_9594, 0 },
#endif
    { 0 },
    &operand_data[12965],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9595 },
#else
    { 0, output_9595, 0 },
#endif
    { 0 },
    &operand_data[12965],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9596 },
#else
    { 0, output_9596, 0 },
#endif
    { 0 },
    &operand_data[12965],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9597 },
#else
    { 0, output_9597, 0 },
#endif
    { 0 },
    &operand_data[12965],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9598 },
#else
    { 0, output_9598, 0 },
#endif
    { 0 },
    &operand_data[12965],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9599 },
#else
    { 0, output_9599, 0 },
#endif
    { 0 },
    &operand_data[12965],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9600 },
#else
    { 0, output_9600, 0 },
#endif
    { 0 },
    &operand_data[12973],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9601 },
#else
    { 0, output_9601, 0 },
#endif
    { 0 },
    &operand_data[12973],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9602 },
#else
    { 0, output_9602, 0 },
#endif
    { 0 },
    &operand_data[12973],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9603 },
#else
    { 0, output_9603, 0 },
#endif
    { 0 },
    &operand_data[12973],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpltvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9604 },
#else
    { 0, output_9604, 0 },
#endif
    { 0 },
    &operand_data[12981],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9605 },
#else
    { 0, output_9605, 0 },
#endif
    { 0 },
    &operand_data[12981],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpeqvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9606 },
#else
    { 0, output_9606, 0 },
#endif
    { 0 },
    &operand_data[12981],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpnevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9607 },
#else
    { 0, output_9607, 0 },
#endif
    { 0 },
    &operand_data[12981],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9608 },
#else
    { 0, output_9608, 0 },
#endif
    { 0 },
    &operand_data[12981],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmpgtvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9609 },
#else
    { 0, output_9609, 0 },
#endif
    { 0 },
    &operand_data[12981],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplovnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9610 },
#else
    { 0, output_9610, 0 },
#endif
    { 0 },
    &operand_data[12989],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmplsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9611 },
#else
    { 0, output_9611, 0 },
#endif
    { 0 },
    &operand_data[12989],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9612 },
#else
    { 0, output_9612, 0 },
#endif
    { 0 },
    &operand_data[12989],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8188 */
  {
    "*cmphivnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9613 },
#else
    { 0, output_9613, 0 },
#endif
    { 0 },
    &operand_data[12989],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13002],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13002],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13002],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13002],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13007],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13007],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13007],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13007],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13007],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13007],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13012],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13012],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13012],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13012],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13017],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13017],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13017],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13017],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13017],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13017],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13022],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13022],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13022],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13022],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13027],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13027],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13027],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13027],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13027],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13027],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13032],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13032],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13032],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13032],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13037],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13037],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13037],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13037],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13037],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13037],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13042],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13042],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13042],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13042],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13047],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13047],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13047],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13047],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13047],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13047],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13052],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13052],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13052],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13052],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13057],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13057],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13057],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13057],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13057],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13057],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13062],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13062],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13062],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13062],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13067],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13067],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13067],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13067],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13067],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13067],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13072],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13072],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13072],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13072],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13077],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13077],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13077],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13077],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13077],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13077],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13082],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13082],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13082],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13082],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpltvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13087],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13087],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpeqvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13087],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpnevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13087],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13087],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmpgtvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13087],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplovnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13092],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmplsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13092],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13092],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8224 */
  {
    "*cmphivnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13092],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpeqvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9714 },
#else
    { 0, output_9714, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpgevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9715 },
#else
    { 0, output_9715, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpgtvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9716 },
#else
    { 0, output_9716, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmphivnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9717 },
#else
    { 0, output_9717, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmphsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9718 },
#else
    { 0, output_9718, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmplevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9719 },
#else
    { 0, output_9719, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmplovnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9720 },
#else
    { 0, output_9720, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmplsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9721 },
#else
    { 0, output_9721, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpltvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9722 },
#else
    { 0, output_9722, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpnevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9723 },
#else
    { 0, output_9723, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi_wide },
    &operand_data[13097],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpeqvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9724 },
#else
    { 0, output_9724, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpgevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9725 },
#else
    { 0, output_9725, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpgtvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9726 },
#else
    { 0, output_9726, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmphivnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9727 },
#else
    { 0, output_9727, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmphsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9728 },
#else
    { 0, output_9728, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmplevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9729 },
#else
    { 0, output_9729, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmplovnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9730 },
#else
    { 0, output_9730, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmplsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9731 },
#else
    { 0, output_9731, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpltvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9732 },
#else
    { 0, output_9732, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpnevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9733 },
#else
    { 0, output_9733, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi_wide },
    &operand_data[13102],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpeqvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9734 },
#else
    { 0, output_9734, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpgevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9735 },
#else
    { 0, output_9735, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpgtvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9736 },
#else
    { 0, output_9736, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmphivnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9737 },
#else
    { 0, output_9737, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmphsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9738 },
#else
    { 0, output_9738, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmplevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9739 },
#else
    { 0, output_9739, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmplovnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9740 },
#else
    { 0, output_9740, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmplsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9741 },
#else
    { 0, output_9741, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpltvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9742 },
#else
    { 0, output_9742, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8252 */
  {
    "aarch64_pred_cmpnevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9743 },
#else
    { 0, output_9743, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si_wide },
    &operand_data[13107],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9744 },
#else
    { 0, output_9744, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9745 },
#else
    { 0, output_9745, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9746 },
#else
    { 0, output_9746, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9747 },
#else
    { 0, output_9747, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9748 },
#else
    { 0, output_9748, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9749 },
#else
    { 0, output_9749, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9750 },
#else
    { 0, output_9750, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9751 },
#else
    { 0, output_9751, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9752 },
#else
    { 0, output_9752, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9753 },
#else
    { 0, output_9753, 0 },
#endif
    { 0 },
    &operand_data[13112],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9754 },
#else
    { 0, output_9754, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9755 },
#else
    { 0, output_9755, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9756 },
#else
    { 0, output_9756, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9757 },
#else
    { 0, output_9757, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9758 },
#else
    { 0, output_9758, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9759 },
#else
    { 0, output_9759, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9760 },
#else
    { 0, output_9760, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9761 },
#else
    { 0, output_9761, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9762 },
#else
    { 0, output_9762, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9763 },
#else
    { 0, output_9763, 0 },
#endif
    { 0 },
    &operand_data[13120],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9764 },
#else
    { 0, output_9764, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9765 },
#else
    { 0, output_9765, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9766 },
#else
    { 0, output_9766, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmphivnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9767 },
#else
    { 0, output_9767, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9768 },
#else
    { 0, output_9768, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmplevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9769 },
#else
    { 0, output_9769, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmplovnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9770 },
#else
    { 0, output_9770, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9771 },
#else
    { 0, output_9771, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9772 },
#else
    { 0, output_9772, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8273 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9773 },
#else
    { 0, output_9773, 0 },
#endif
    { 0 },
    &operand_data[13128],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9774 },
#else
    { 0, output_9774, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9775 },
#else
    { 0, output_9775, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9776 },
#else
    { 0, output_9776, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9777 },
#else
    { 0, output_9777, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9778 },
#else
    { 0, output_9778, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9779 },
#else
    { 0, output_9779, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9780 },
#else
    { 0, output_9780, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9781 },
#else
    { 0, output_9781, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9782 },
#else
    { 0, output_9782, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9783 },
#else
    { 0, output_9783, 0 },
#endif
    { 0 },
    &operand_data[13136],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9784 },
#else
    { 0, output_9784, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9785 },
#else
    { 0, output_9785, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9786 },
#else
    { 0, output_9786, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9787 },
#else
    { 0, output_9787, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9788 },
#else
    { 0, output_9788, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9789 },
#else
    { 0, output_9789, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9790 },
#else
    { 0, output_9790, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9791 },
#else
    { 0, output_9791, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9792 },
#else
    { 0, output_9792, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9793 },
#else
    { 0, output_9793, 0 },
#endif
    { 0 },
    &operand_data[13144],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9794 },
#else
    { 0, output_9794, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9795 },
#else
    { 0, output_9795, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9796 },
#else
    { 0, output_9796, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmphivnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9797 },
#else
    { 0, output_9797, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9798 },
#else
    { 0, output_9798, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmplevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9799 },
#else
    { 0, output_9799, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmplovnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9800 },
#else
    { 0, output_9800, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9801 },
#else
    { 0, output_9801, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9802 },
#else
    { 0, output_9802, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8308 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9803 },
#else
    { 0, output_9803, 0 },
#endif
    { 0 },
    &operand_data[13152],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_lesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ultsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ulesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ltsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_rwsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_wrsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi },
    &operand_data[13160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ultdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_uledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ltdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_rwdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_wrdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi },
    &operand_data[13163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_lesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ultsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ulesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ltsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_rwsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_wrsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi },
    &operand_data[13166],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ultdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_uledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ltdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_rwdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_wrdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi },
    &operand_data[13169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_lesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ultsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ulesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ltsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_rwsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_wrsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi },
    &operand_data[13172],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ultdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_uledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ltdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_rwdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_wrdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi },
    &operand_data[13175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_lesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ultsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ulesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ltsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_rwsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_wrsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi },
    &operand_data[13178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ultdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_uledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ltdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_gtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_ugedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_rwdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8357 */
  {
    "while_wrdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi },
    &operand_data[13181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_lesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ultsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ulesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ltsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_rwsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_wrsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13184],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ultdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_uledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ltdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_rwdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_wrdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13189],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_lesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ultsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ulesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ltsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_rwsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_wrsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13194],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ultdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_uledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ltdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_rwdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_wrdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13199],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_lesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ultsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ulesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ltsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_rwsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_wrsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13204],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ultdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_uledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ltdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_rwdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_wrdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13209],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_lesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ultsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ulesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ltsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_rwsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_wrsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13214],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ultdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_uledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ltdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_gtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_ugedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_rwdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8371 */
  {
    "*while_wrdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13219],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_lesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ultsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ulesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ltsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_rwsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_wrsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi_ptest },
    &operand_data[13224],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ultdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_uledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ltdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_rwdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_wrdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi_ptest },
    &operand_data[13229],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_lesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ultsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ulesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ltsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_rwsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_wrsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi_ptest },
    &operand_data[13234],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ultdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_uledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ltdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_rwdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_wrdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi_ptest },
    &operand_data[13239],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_lesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ultsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ulesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ltsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_rwsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_wrsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi_ptest },
    &operand_data[13244],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ultdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_uledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ltdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_rwdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_wrdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi_ptest },
    &operand_data[13249],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_lesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ultsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ulesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ltsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_rwsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_wrsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi_ptest },
    &operand_data[13254],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ultdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_uledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ltdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_gtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_ugedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_rwdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8400 */
  {
    "while_wrdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi_ptest },
    &operand_data[13259],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmeqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10044 },
#else
    { 0, output_10044, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx8hf },
    &operand_data[13264],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10045 },
#else
    { 0, output_10045, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx8hf },
    &operand_data[13264],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10046 },
#else
    { 0, output_10046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx8hf },
    &operand_data[13264],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmlevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10047 },
#else
    { 0, output_10047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx8hf },
    &operand_data[13264],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10048 },
#else
    { 0, output_10048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx8hf },
    &operand_data[13264],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmnevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10049 },
#else
    { 0, output_10049, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx8hf },
    &operand_data[13264],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmeqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10050 },
#else
    { 0, output_10050, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx4sf },
    &operand_data[13269],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10051 },
#else
    { 0, output_10051, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx4sf },
    &operand_data[13269],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10052 },
#else
    { 0, output_10052, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx4sf },
    &operand_data[13269],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmlevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10053 },
#else
    { 0, output_10053, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx4sf },
    &operand_data[13269],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10054 },
#else
    { 0, output_10054, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx4sf },
    &operand_data[13269],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmnevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10055 },
#else
    { 0, output_10055, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx4sf },
    &operand_data[13269],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmeqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10056 },
#else
    { 0, output_10056, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx2df },
    &operand_data[13274],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10057 },
#else
    { 0, output_10057, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx2df },
    &operand_data[13274],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10058 },
#else
    { 0, output_10058, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx2df },
    &operand_data[13274],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmlevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10059 },
#else
    { 0, output_10059, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx2df },
    &operand_data[13274],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10060 },
#else
    { 0, output_10060, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx2df },
    &operand_data[13274],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8454 */
  {
    "aarch64_pred_fcmnevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10061 },
#else
    { 0, output_10061, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx2df },
    &operand_data[13274],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8470 */
  {
    "aarch64_pred_fcmuovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx8hf },
    &operand_data[13279],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8470 */
  {
    "aarch64_pred_fcmuovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.s, %1/z, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx4sf },
    &operand_data[13284],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8470 */
  {
    "aarch64_pred_fcmuovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.d, %1/z, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx2df },
    &operand_data[13289],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmeqvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13294],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmgevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13294],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmgtvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13294],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmlevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13294],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmltvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13294],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmnevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13294],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmeqvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13299],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmgevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13299],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmgtvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13299],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmlevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13299],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmltvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13299],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmnevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13299],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmeqvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13304],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmgevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13304],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmgtvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13304],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmlevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13304],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmltvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13304],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "*fcmnevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13304],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8513 */
  {
    "*fcmuovnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13309],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8513 */
  {
    "*fcmuovnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13314],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8513 */
  {
    "*fcmuovnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13319],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmeqvnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmgevnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmgtvnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmlevnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmltvnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmnevnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmeqvnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmgevnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmgtvnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmlevnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmltvnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmnevnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmeqvnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmgevnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmgtvnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmlevnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmltvnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8538 */
  {
    "*fcmnevnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmeqvnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmgevnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmgtvnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmlevnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmltvnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmnevnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13324],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmeqvnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmgevnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmgtvnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmlevnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmltvnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmnevnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13330],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmeqvnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmgevnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmgtvnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmlevnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmltvnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8575 */
  {
    "*fcmnevnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13336],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8614 */
  {
    "*fcmuovnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13342],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8614 */
  {
    "*fcmuovnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13348],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8614 */
  {
    "*fcmuovnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13354],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8650 */
  {
    "*fcmuovnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13342],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8650 */
  {
    "*fcmuovnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13348],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8650 */
  {
    "*fcmuovnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13354],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_facgevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13360],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_facgtvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13360],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_faclevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13360],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_facltvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13360],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_facgevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13367],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_facgtvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13367],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_faclevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13367],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_facltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13367],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_facgevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13374],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_facgtvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13374],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_faclevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13374],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8719 */
  {
    "*aarch64_pred_facltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13374],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_facgevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13381],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_facgtvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13381],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_faclevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13381],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_facltvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13381],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_facgevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13388],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_facgtvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13388],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_faclevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13388],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_facltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13388],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_facgevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13395],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_facgtvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13395],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_faclevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13395],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "*aarch64_pred_facltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13395],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8772 */
  {
    "vcond_mask_vnx16bivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16bivnx16bi },
    &operand_data[13402],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8772 */
  {
    "vcond_mask_vnx8bivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bivnx8bi },
    &operand_data[13406],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8772 */
  {
    "vcond_mask_vnx4bivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4bivnx4bi },
    &operand_data[13410],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8772 */
  {
    "vcond_mask_vnx2bivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2bivnx2bi },
    &operand_data[13414],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8822 */
  {
    "aarch64_ptestvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx16bi },
    &operand_data[13418],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8822 */
  {
    "aarch64_ptestvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx8bi },
    &operand_data[13421],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8822 */
  {
    "aarch64_ptestvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx4bi },
    &operand_data[13425],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8822 */
  {
    "aarch64_ptestvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx2bi },
    &operand_data[13429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10160 },
#else
    { 0, output_10160, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx16qi },
    &operand_data[13433],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10161 },
#else
    { 0, output_10161, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx16qi },
    &operand_data[13433],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10162 },
#else
    { 0, output_10162, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hi },
    &operand_data[13437],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10163 },
#else
    { 0, output_10163, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hi },
    &operand_data[13437],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10164 },
#else
    { 0, output_10164, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4si },
    &operand_data[13441],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10165 },
#else
    { 0, output_10165, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4si },
    &operand_data[13441],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10166 },
#else
    { 0, output_10166, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2di },
    &operand_data[13445],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10167 },
#else
    { 0, output_10167, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2di },
    &operand_data[13445],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10168 },
#else
    { 0, output_10168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8bf },
    &operand_data[13449],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10169 },
#else
    { 0, output_10169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8bf },
    &operand_data[13449],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10170 },
#else
    { 0, output_10170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hf },
    &operand_data[13453],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10171 },
#else
    { 0, output_10171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hf },
    &operand_data[13453],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10172 },
#else
    { 0, output_10172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4sf },
    &operand_data[13457],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10173 },
#else
    { 0, output_10173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4sf },
    &operand_data[13457],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10174 },
#else
    { 0, output_10174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2df },
    &operand_data[13461],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8847 */
  {
    "fold_extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10175 },
#else
    { 0, output_10175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2df },
    &operand_data[13461],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10176 },
#else
    { 0, output_10176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx16qi },
    &operand_data[13465],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10177 },
#else
    { 0, output_10177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx16qi },
    &operand_data[13465],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10178 },
#else
    { 0, output_10178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hi },
    &operand_data[13469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10179 },
#else
    { 0, output_10179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hi },
    &operand_data[13469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10180 },
#else
    { 0, output_10180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4si },
    &operand_data[13473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10181 },
#else
    { 0, output_10181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4si },
    &operand_data[13473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10182 },
#else
    { 0, output_10182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2di },
    &operand_data[13477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10183 },
#else
    { 0, output_10183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2di },
    &operand_data[13477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10184 },
#else
    { 0, output_10184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8bf },
    &operand_data[13481],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10185 },
#else
    { 0, output_10185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8bf },
    &operand_data[13481],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10186 },
#else
    { 0, output_10186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hf },
    &operand_data[13485],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10187 },
#else
    { 0, output_10187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hf },
    &operand_data[13485],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10188 },
#else
    { 0, output_10188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4sf },
    &operand_data[13489],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10189 },
#else
    { 0, output_10189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4sf },
    &operand_data[13489],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10190 },
#else
    { 0, output_10190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2df },
    &operand_data[13493],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8861 */
  {
    "aarch64_fold_extract_vector_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10191 },
#else
    { 0, output_10191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2df },
    &operand_data[13493],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8906 */
  {
    "aarch64_pred_reduc_sadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx16qi },
    &operand_data[13497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8906 */
  {
    "aarch64_pred_reduc_uadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx16qi },
    &operand_data[13497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8906 */
  {
    "aarch64_pred_reduc_sadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx8hi },
    &operand_data[13500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8906 */
  {
    "aarch64_pred_reduc_uadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx8hi },
    &operand_data[13500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8906 */
  {
    "aarch64_pred_reduc_sadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx4si },
    &operand_data[13503],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8906 */
  {
    "aarch64_pred_reduc_uadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx4si },
    &operand_data[13503],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8906 */
  {
    "aarch64_pred_reduc_sadd_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx2di },
    &operand_data[13506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8906 */
  {
    "aarch64_pred_reduc_uadd_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx2di },
    &operand_data[13506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_and_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx16qi },
    &operand_data[13509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_ior_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx16qi },
    &operand_data[13509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_smax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx16qi },
    &operand_data[13509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_smin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx16qi },
    &operand_data[13509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_umax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx16qi },
    &operand_data[13509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_umin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx16qi },
    &operand_data[13509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_xor_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx16qi },
    &operand_data[13509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_and_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx8hi },
    &operand_data[13512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_ior_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx8hi },
    &operand_data[13512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_smax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hi },
    &operand_data[13512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_smin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hi },
    &operand_data[13512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_umax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx8hi },
    &operand_data[13512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_umin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx8hi },
    &operand_data[13512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_xor_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx8hi },
    &operand_data[13512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_and_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx4si },
    &operand_data[13515],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_ior_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx4si },
    &operand_data[13515],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_smax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4si },
    &operand_data[13515],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_smin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4si },
    &operand_data[13515],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_umax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx4si },
    &operand_data[13515],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_umin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx4si },
    &operand_data[13515],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_xor_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx4si },
    &operand_data[13515],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_and_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx2di },
    &operand_data[13506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_ior_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx2di },
    &operand_data[13506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_smax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2di },
    &operand_data[13506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_smin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2di },
    &operand_data[13506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_umax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx2di },
    &operand_data[13506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_umin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx2di },
    &operand_data[13506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8928 */
  {
    "aarch64_pred_reduc_xor_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx2di },
    &operand_data[13506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx8hf },
    &operand_data[13518],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smax_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx8hf },
    &operand_data[13518],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smax_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hf },
    &operand_data[13518],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smin_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx8hf },
    &operand_data[13518],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smin_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hf },
    &operand_data[13518],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx4sf },
    &operand_data[13521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smax_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx4sf },
    &operand_data[13521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smax_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4sf },
    &operand_data[13521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smin_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx4sf },
    &operand_data[13521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smin_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4sf },
    &operand_data[13521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx2df },
    &operand_data[13524],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smax_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx2df },
    &operand_data[13524],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smax_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2df },
    &operand_data[13524],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smin_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx2df },
    &operand_data[13524],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8972 */
  {
    "aarch64_pred_reduc_smin_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2df },
    &operand_data[13524],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9002 */
  {
    "mask_fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%h0, %3, %h0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx8hf },
    &operand_data[13527],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9002 */
  {
    "mask_fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%s0, %3, %s0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx4sf },
    &operand_data[13531],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9002 */
  {
    "mask_fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%d0, %3, %d0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx2df },
    &operand_data[13535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9036 */
  {
    "aarch64_sve_tblvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9036 */
  {
    "aarch64_sve_tblvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9036 */
  {
    "aarch64_sve_tblvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9036 */
  {
    "aarch64_sve_tblvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9036 */
  {
    "aarch64_sve_tblvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8bf },
    &operand_data[13539],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9036 */
  {
    "aarch64_sve_tblvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hf },
    &operand_data[11428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9036 */
  {
    "aarch64_sve_tblvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4sf },
    &operand_data[11431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9036 */
  {
    "aarch64_sve_tblvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2df },
    &operand_data[11434],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9056 */
  {
    "aarch64_sve_compactvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4si },
    &operand_data[13542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9056 */
  {
    "aarch64_sve_compactvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2di },
    &operand_data[13545],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9056 */
  {
    "aarch64_sve_compactvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4sf },
    &operand_data[13548],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9056 */
  {
    "aarch64_sve_compactvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2df },
    &operand_data[13551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.b, %1.b[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx16qi },
    &operand_data[13554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8qi },
    &operand_data[13557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4qi },
    &operand_data[13560],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2qi },
    &operand_data[13563],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hi },
    &operand_data[13566],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4hi },
    &operand_data[13569],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2hi },
    &operand_data[13572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4si },
    &operand_data[13575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2si },
    &operand_data[13578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2di },
    &operand_data[13581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hf },
    &operand_data[13584],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4hf },
    &operand_data[13587],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2hf },
    &operand_data[13590],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8bf },
    &operand_data[13593],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4bf },
    &operand_data[13596],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2bf },
    &operand_data[13599],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4sf },
    &operand_data[13602],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2sf },
    &operand_data[13605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9067 */
  {
    "aarch64_sve_dup_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2df },
    &operand_data[13608],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9095 */
  {
    "aarch64_sve_dupq_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10277 },
#else
    { 0, 0, output_10277 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx16qi },
    &operand_data[13611],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9095 */
  {
    "aarch64_sve_dupq_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10278 },
#else
    { 0, 0, output_10278 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hi },
    &operand_data[13614],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9095 */
  {
    "aarch64_sve_dupq_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10279 },
#else
    { 0, 0, output_10279 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4si },
    &operand_data[13617],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9095 */
  {
    "aarch64_sve_dupq_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10280 },
#else
    { 0, 0, output_10280 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2di },
    &operand_data[13620],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9095 */
  {
    "aarch64_sve_dupq_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10281 },
#else
    { 0, 0, output_10281 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8bf },
    &operand_data[13623],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9095 */
  {
    "aarch64_sve_dupq_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10282 },
#else
    { 0, 0, output_10282 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hf },
    &operand_data[13626],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9095 */
  {
    "aarch64_sve_dupq_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10283 },
#else
    { 0, 0, output_10283 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4sf },
    &operand_data[13629],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9095 */
  {
    "aarch64_sve_dupq_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10284 },
#else
    { 0, 0, output_10284 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2df },
    &operand_data[13632],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16qi },
    &operand_data[10766],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8qi },
    &operand_data[10770],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4qi },
    &operand_data[10419],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2qi },
    &operand_data[10399],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hi },
    &operand_data[10782],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4hi },
    &operand_data[9747],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2hi },
    &operand_data[9761],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4si },
    &operand_data[10388],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2si },
    &operand_data[9787],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2di },
    &operand_data[10391],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hf },
    &operand_data[9987],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4hf },
    &operand_data[11911],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2hf },
    &operand_data[11914],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bf },
    &operand_data[11917],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4bf },
    &operand_data[11920],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2bf },
    &operand_data[11923],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4sf },
    &operand_data[9989],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2sf },
    &operand_data[11926],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9115 */
  {
    "aarch64_sve_revvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2df },
    &operand_data[9991],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9138 */
  {
    "aarch64_sve_splicevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10304 },
#else
    { 0, output_10304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx16qi },
    &operand_data[10198],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9138 */
  {
    "aarch64_sve_splicevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10305 },
#else
    { 0, output_10305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hi },
    &operand_data[10214],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9138 */
  {
    "aarch64_sve_splicevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10306 },
#else
    { 0, output_10306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4si },
    &operand_data[10226],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9138 */
  {
    "aarch64_sve_splicevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10307 },
#else
    { 0, output_10307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2di },
    &operand_data[10234],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9138 */
  {
    "aarch64_sve_splicevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10308 },
#else
    { 0, output_10308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8bf },
    &operand_data[13635],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9138 */
  {
    "aarch64_sve_splicevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10309 },
#else
    { 0, output_10309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hf },
    &operand_data[11509],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9138 */
  {
    "aarch64_sve_splicevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10310 },
#else
    { 0, output_10310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4sf },
    &operand_data[11514],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9138 */
  {
    "aarch64_sve_splicevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10311 },
#else
    { 0, output_10311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2df },
    &operand_data[11519],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8qi },
    &operand_data[10770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8qi },
    &operand_data[10770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8qi },
    &operand_data[10770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8qi },
    &operand_data[10770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8qi },
    &operand_data[10770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8qi },
    &operand_data[10770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4qi },
    &operand_data[10419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4qi },
    &operand_data[10419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4qi },
    &operand_data[10419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4qi },
    &operand_data[10419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4qi },
    &operand_data[10419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4qi },
    &operand_data[10419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2qi },
    &operand_data[10399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2qi },
    &operand_data[10399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2qi },
    &operand_data[10399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2qi },
    &operand_data[10399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2qi },
    &operand_data[10399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2qi },
    &operand_data[10399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4hi },
    &operand_data[10424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4hi },
    &operand_data[10424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4hi },
    &operand_data[10424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4hi },
    &operand_data[10424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4hi },
    &operand_data[10424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4hi },
    &operand_data[10424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2hi },
    &operand_data[10404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2hi },
    &operand_data[10404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2hi },
    &operand_data[10404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2hi },
    &operand_data[10404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2hi },
    &operand_data[10404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2hi },
    &operand_data[10404],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2si },
    &operand_data[10409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2si },
    &operand_data[10409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2si },
    &operand_data[10409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2si },
    &operand_data[10409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2si },
    &operand_data[10409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2si },
    &operand_data[10409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4hf },
    &operand_data[11911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4hf },
    &operand_data[11911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4hf },
    &operand_data[11911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4hf },
    &operand_data[11911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4hf },
    &operand_data[11911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4hf },
    &operand_data[11911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2hf },
    &operand_data[11914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2hf },
    &operand_data[11914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2hf },
    &operand_data[11914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2hf },
    &operand_data[11914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2hf },
    &operand_data[11914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2hf },
    &operand_data[11914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4bf },
    &operand_data[11920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4bf },
    &operand_data[11920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4bf },
    &operand_data[11920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4bf },
    &operand_data[11920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4bf },
    &operand_data[11920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4bf },
    &operand_data[11920],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2bf },
    &operand_data[11923],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2bf },
    &operand_data[11923],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2bf },
    &operand_data[11923],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2bf },
    &operand_data[11923],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2bf },
    &operand_data[11923],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2bf },
    &operand_data[11923],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2sf },
    &operand_data[11926],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2sf },
    &operand_data[11926],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2sf },
    &operand_data[11926],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2sf },
    &operand_data[11926],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2sf },
    &operand_data[11926],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2sf },
    &operand_data[11926],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_zip2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_trn2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "aarch64_sve_uzp2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8bf },
    &operand_data[11917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hf },
    &operand_data[11485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4sf },
    &operand_data[11488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_zip2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_trn2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_uzp2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2df },
    &operand_data[11491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10474 },
#else
    { 0, 0, output_10474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx16qi },
    &operand_data[13639],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10475 },
#else
    { 0, 0, output_10475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8qi },
    &operand_data[13643],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10476 },
#else
    { 0, 0, output_10476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4qi },
    &operand_data[13647],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10477 },
#else
    { 0, 0, output_10477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2qi },
    &operand_data[13651],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10478 },
#else
    { 0, 0, output_10478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hi },
    &operand_data[13655],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10479 },
#else
    { 0, 0, output_10479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4hi },
    &operand_data[13659],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10480 },
#else
    { 0, 0, output_10480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2hi },
    &operand_data[13663],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10481 },
#else
    { 0, 0, output_10481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4si },
    &operand_data[13667],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10482 },
#else
    { 0, 0, output_10482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2si },
    &operand_data[13671],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10483 },
#else
    { 0, 0, output_10483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2di },
    &operand_data[13675],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10484 },
#else
    { 0, 0, output_10484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hf },
    &operand_data[13679],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10485 },
#else
    { 0, 0, output_10485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4hf },
    &operand_data[13683],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10486 },
#else
    { 0, 0, output_10486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2hf },
    &operand_data[13687],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10487 },
#else
    { 0, 0, output_10487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8bf },
    &operand_data[13691],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10488 },
#else
    { 0, 0, output_10488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4bf },
    &operand_data[13695],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10489 },
#else
    { 0, 0, output_10489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2bf },
    &operand_data[13699],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10490 },
#else
    { 0, 0, output_10490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4sf },
    &operand_data[13703],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10491 },
#else
    { 0, 0, output_10491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2sf },
    &operand_data[13707],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9178 */
  {
    "aarch64_sve_extvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10492 },
#else
    { 0, 0, output_10492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2df },
    &operand_data[13711],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9203 */
  {
    "aarch64_sve_revvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16bi },
    &operand_data[10032],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9203 */
  {
    "aarch64_sve_revvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bi },
    &operand_data[10035],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9203 */
  {
    "aarch64_sve_revvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4bi },
    &operand_data[10038],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9203 */
  {
    "aarch64_sve_revvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2bi },
    &operand_data[10041],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_zip1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16bi },
    &operand_data[10032],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_zip2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16bi },
    &operand_data[10032],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_trn1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16bi },
    &operand_data[10032],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_trn2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16bi },
    &operand_data[10032],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_uzp1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16bi },
    &operand_data[10032],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_uzp2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16bi },
    &operand_data[10032],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_zip1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bi },
    &operand_data[10035],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_zip2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bi },
    &operand_data[10035],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_trn1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bi },
    &operand_data[10035],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_trn2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bi },
    &operand_data[10035],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_uzp1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bi },
    &operand_data[10035],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_uzp2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bi },
    &operand_data[10035],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_zip1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4bi },
    &operand_data[10038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_zip2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4bi },
    &operand_data[10038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_trn1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4bi },
    &operand_data[10038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_trn2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4bi },
    &operand_data[10038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_uzp1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4bi },
    &operand_data[10038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_uzp2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4bi },
    &operand_data[10038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_zip1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2bi },
    &operand_data[10041],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_zip2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2bi },
    &operand_data[10041],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_trn1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2bi },
    &operand_data[10041],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_trn2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2bi },
    &operand_data[10041],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_uzp1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2bi },
    &operand_data[10041],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9224 */
  {
    "aarch64_sve_uzp2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2bi },
    &operand_data[10041],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9237 */
  {
    "aarch64_sve_trn1_convvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx16bi },
    &operand_data[13715],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9237 */
  {
    "aarch64_sve_trn1_convvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx8bi },
    &operand_data[13719],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9237 */
  {
    "aarch64_sve_trn1_convvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx4bi },
    &operand_data[13723],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9237 */
  {
    "aarch64_sve_trn1_convvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx2bi },
    &operand_data[13727],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9260 */
  {
    "vec_pack_trunc_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8hi },
    &operand_data[13731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9260 */
  {
    "vec_pack_trunc_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4si },
    &operand_data[13734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9260 */
  {
    "vec_pack_trunc_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2di },
    &operand_data[13737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_sunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx16qi },
    &operand_data[13740],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_uunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx16qi },
    &operand_data[13740],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_sunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx16qi },
    &operand_data[13740],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_uunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx16qi },
    &operand_data[13740],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_sunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx8hi },
    &operand_data[13742],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_uunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx8hi },
    &operand_data[13742],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_sunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx8hi },
    &operand_data[13742],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_uunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx8hi },
    &operand_data[13742],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_sunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx4si },
    &operand_data[13744],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_uunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx4si },
    &operand_data[13744],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_sunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx4si },
    &operand_data[13744],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "aarch64_sve_uunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx4si },
    &operand_data[13744],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10540 },
#else
    { 0, output_10540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[13746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10541 },
#else
    { 0, output_10541, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[13746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10542 },
#else
    { 0, output_10542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx8hi },
    &operand_data[13750],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10543 },
#else
    { 0, output_10543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx8hi },
    &operand_data[13750],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10544 },
#else
    { 0, output_10544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx2dfvnx8hi },
    &operand_data[13754],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10545 },
#else
    { 0, output_10545, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx8hi },
    &operand_data[13754],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10546 },
#else
    { 0, output_10546, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[13758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10547 },
#else
    { 0, output_10547, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[13758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10548 },
#else
    { 0, output_10548, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[13762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10549 },
#else
    { 0, output_10549, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[13762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10550 },
#else
    { 0, output_10550, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx2dfvnx4si },
    &operand_data[13766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10551 },
#else
    { 0, output_10551, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx4si },
    &operand_data[13766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10552 },
#else
    { 0, output_10552, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[13770],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10553 },
#else
    { 0, output_10553, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[13770],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10554 },
#else
    { 0, output_10554, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[13774],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10555 },
#else
    { 0, output_10555, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[13774],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10556 },
#else
    { 0, output_10556, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[13778],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9330 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10557 },
#else
    { 0, output_10557, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[13778],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9345 */
  {
    "aarch64_sve_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10558 },
#else
    { 0, output_10558, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[13782],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9345 */
  {
    "aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10559 },
#else
    { 0, output_10559, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[13782],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10560 },
#else
    { 0, output_10560, 0 },
#endif
    { 0 },
    &operand_data[13786],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10561 },
#else
    { 0, output_10561, 0 },
#endif
    { 0 },
    &operand_data[13786],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10562 },
#else
    { 0, output_10562, 0 },
#endif
    { 0 },
    &operand_data[13791],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10563 },
#else
    { 0, output_10563, 0 },
#endif
    { 0 },
    &operand_data[13791],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10564 },
#else
    { 0, output_10564, 0 },
#endif
    { 0 },
    &operand_data[13796],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10565 },
#else
    { 0, output_10565, 0 },
#endif
    { 0 },
    &operand_data[13796],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10566 },
#else
    { 0, output_10566, 0 },
#endif
    { 0 },
    &operand_data[13801],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10567 },
#else
    { 0, output_10567, 0 },
#endif
    { 0 },
    &operand_data[13801],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10568 },
#else
    { 0, output_10568, 0 },
#endif
    { 0 },
    &operand_data[13806],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10569 },
#else
    { 0, output_10569, 0 },
#endif
    { 0 },
    &operand_data[13806],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10570 },
#else
    { 0, output_10570, 0 },
#endif
    { 0 },
    &operand_data[13811],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10571 },
#else
    { 0, output_10571, 0 },
#endif
    { 0 },
    &operand_data[13811],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10572 },
#else
    { 0, output_10572, 0 },
#endif
    { 0 },
    &operand_data[13816],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10573 },
#else
    { 0, output_10573, 0 },
#endif
    { 0 },
    &operand_data[13816],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10574 },
#else
    { 0, output_10574, 0 },
#endif
    { 0 },
    &operand_data[13821],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10575 },
#else
    { 0, output_10575, 0 },
#endif
    { 0 },
    &operand_data[13821],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10576 },
#else
    { 0, output_10576, 0 },
#endif
    { 0 },
    &operand_data[13826],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9380 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10577 },
#else
    { 0, output_10577, 0 },
#endif
    { 0 },
    &operand_data[13826],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10578 },
#else
    { 0, output_10578, 0 },
#endif
    { 0 },
    &operand_data[13786],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10579 },
#else
    { 0, output_10579, 0 },
#endif
    { 0 },
    &operand_data[13786],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10580 },
#else
    { 0, output_10580, 0 },
#endif
    { 0 },
    &operand_data[13791],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10581 },
#else
    { 0, output_10581, 0 },
#endif
    { 0 },
    &operand_data[13791],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10582 },
#else
    { 0, output_10582, 0 },
#endif
    { 0 },
    &operand_data[13796],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10583 },
#else
    { 0, output_10583, 0 },
#endif
    { 0 },
    &operand_data[13796],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10584 },
#else
    { 0, output_10584, 0 },
#endif
    { 0 },
    &operand_data[13801],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10585 },
#else
    { 0, output_10585, 0 },
#endif
    { 0 },
    &operand_data[13801],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10586 },
#else
    { 0, output_10586, 0 },
#endif
    { 0 },
    &operand_data[13806],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10587 },
#else
    { 0, output_10587, 0 },
#endif
    { 0 },
    &operand_data[13806],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10588 },
#else
    { 0, output_10588, 0 },
#endif
    { 0 },
    &operand_data[13811],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10589 },
#else
    { 0, output_10589, 0 },
#endif
    { 0 },
    &operand_data[13811],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10590 },
#else
    { 0, output_10590, 0 },
#endif
    { 0 },
    &operand_data[13816],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10591 },
#else
    { 0, output_10591, 0 },
#endif
    { 0 },
    &operand_data[13816],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10592 },
#else
    { 0, output_10592, 0 },
#endif
    { 0 },
    &operand_data[13821],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10593 },
#else
    { 0, output_10593, 0 },
#endif
    { 0 },
    &operand_data[13821],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10594 },
#else
    { 0, output_10594, 0 },
#endif
    { 0 },
    &operand_data[13826],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9403 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10595 },
#else
    { 0, output_10595, 0 },
#endif
    { 0 },
    &operand_data[13826],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9437 */
  {
    "*cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10596 },
#else
    { 0, output_10596, 0 },
#endif
    { 0 },
    &operand_data[13831],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9437 */
  {
    "*cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10597 },
#else
    { 0, output_10597, 0 },
#endif
    { 0 },
    &operand_data[13831],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10598 },
#else
    { 0, output_10598, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx8hivnx8hf },
    &operand_data[13836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10599 },
#else
    { 0, output_10599, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[13836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_float_nonextendvnx8hivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10600 },
#else
    { 0, output_10600, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx8hivnx4sf },
    &operand_data[13840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_floatuns_nonextendvnx8hivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10601 },
#else
    { 0, output_10601, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx8hivnx4sf },
    &operand_data[13840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_float_nonextendvnx8hivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10602 },
#else
    { 0, output_10602, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx8hivnx2df },
    &operand_data[13844],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_floatuns_nonextendvnx8hivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10603 },
#else
    { 0, output_10603, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx8hivnx2df },
    &operand_data[13844],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10604 },
#else
    { 0, output_10604, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx8hf },
    &operand_data[13848],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10605 },
#else
    { 0, output_10605, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[13848],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10606 },
#else
    { 0, output_10606, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx4sf },
    &operand_data[13852],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10607 },
#else
    { 0, output_10607, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[13852],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10608 },
#else
    { 0, output_10608, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx2df },
    &operand_data[13856],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10609 },
#else
    { 0, output_10609, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx2df },
    &operand_data[13856],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10610 },
#else
    { 0, output_10610, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx8hf },
    &operand_data[13860],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10611 },
#else
    { 0, output_10611, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx8hf },
    &operand_data[13860],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10612 },
#else
    { 0, output_10612, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx4sf },
    &operand_data[13864],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10613 },
#else
    { 0, output_10613, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx4sf },
    &operand_data[13864],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10614 },
#else
    { 0, output_10614, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx2df },
    &operand_data[13868],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9517 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10615 },
#else
    { 0, output_10615, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx2df },
    &operand_data[13868],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9532 */
  {
    "aarch64_sve_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10616 },
#else
    { 0, output_10616, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_extendvnx4sivnx2df },
    &operand_data[13872],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9532 */
  {
    "aarch64_sve_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10617 },
#else
    { 0, output_10617, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_extendvnx4sivnx2df },
    &operand_data[13872],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10618 },
#else
    { 0, output_10618, 0 },
#endif
    { 0 },
    &operand_data[13876],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10619 },
#else
    { 0, output_10619, 0 },
#endif
    { 0 },
    &operand_data[13876],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_float_nonextendvnx8hivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10620 },
#else
    { 0, output_10620, 0 },
#endif
    { 0 },
    &operand_data[13881],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_floatuns_nonextendvnx8hivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10621 },
#else
    { 0, output_10621, 0 },
#endif
    { 0 },
    &operand_data[13881],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_float_nonextendvnx8hivnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10622 },
#else
    { 0, output_10622, 0 },
#endif
    { 0 },
    &operand_data[13886],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_floatuns_nonextendvnx8hivnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10623 },
#else
    { 0, output_10623, 0 },
#endif
    { 0 },
    &operand_data[13886],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10624 },
#else
    { 0, output_10624, 0 },
#endif
    { 0 },
    &operand_data[13891],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10625 },
#else
    { 0, output_10625, 0 },
#endif
    { 0 },
    &operand_data[13891],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10626 },
#else
    { 0, output_10626, 0 },
#endif
    { 0 },
    &operand_data[13896],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10627 },
#else
    { 0, output_10627, 0 },
#endif
    { 0 },
    &operand_data[13896],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_float_nonextendvnx4sivnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10628 },
#else
    { 0, output_10628, 0 },
#endif
    { 0 },
    &operand_data[13901],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_floatuns_nonextendvnx4sivnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10629 },
#else
    { 0, output_10629, 0 },
#endif
    { 0 },
    &operand_data[13901],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_float_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10630 },
#else
    { 0, output_10630, 0 },
#endif
    { 0 },
    &operand_data[13906],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10631 },
#else
    { 0, output_10631, 0 },
#endif
    { 0 },
    &operand_data[13906],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_float_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10632 },
#else
    { 0, output_10632, 0 },
#endif
    { 0 },
    &operand_data[13911],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10633 },
#else
    { 0, output_10633, 0 },
#endif
    { 0 },
    &operand_data[13911],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_float_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10634 },
#else
    { 0, output_10634, 0 },
#endif
    { 0 },
    &operand_data[13916],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9567 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10635 },
#else
    { 0, output_10635, 0 },
#endif
    { 0 },
    &operand_data[13916],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10636 },
#else
    { 0, output_10636, 0 },
#endif
    { 0 },
    &operand_data[13876],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10637 },
#else
    { 0, output_10637, 0 },
#endif
    { 0 },
    &operand_data[13876],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_float_nonextendvnx8hivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10638 },
#else
    { 0, output_10638, 0 },
#endif
    { 0 },
    &operand_data[13881],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_floatuns_nonextendvnx8hivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10639 },
#else
    { 0, output_10639, 0 },
#endif
    { 0 },
    &operand_data[13881],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_float_nonextendvnx8hivnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10640 },
#else
    { 0, output_10640, 0 },
#endif
    { 0 },
    &operand_data[13886],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_floatuns_nonextendvnx8hivnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10641 },
#else
    { 0, output_10641, 0 },
#endif
    { 0 },
    &operand_data[13886],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10642 },
#else
    { 0, output_10642, 0 },
#endif
    { 0 },
    &operand_data[13891],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10643 },
#else
    { 0, output_10643, 0 },
#endif
    { 0 },
    &operand_data[13891],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10644 },
#else
    { 0, output_10644, 0 },
#endif
    { 0 },
    &operand_data[13896],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10645 },
#else
    { 0, output_10645, 0 },
#endif
    { 0 },
    &operand_data[13896],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_float_nonextendvnx4sivnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10646 },
#else
    { 0, output_10646, 0 },
#endif
    { 0 },
    &operand_data[13901],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_floatuns_nonextendvnx4sivnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10647 },
#else
    { 0, output_10647, 0 },
#endif
    { 0 },
    &operand_data[13901],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_float_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10648 },
#else
    { 0, output_10648, 0 },
#endif
    { 0 },
    &operand_data[13906],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10649 },
#else
    { 0, output_10649, 0 },
#endif
    { 0 },
    &operand_data[13906],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_float_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10650 },
#else
    { 0, output_10650, 0 },
#endif
    { 0 },
    &operand_data[13911],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10651 },
#else
    { 0, output_10651, 0 },
#endif
    { 0 },
    &operand_data[13911],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_float_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10652 },
#else
    { 0, output_10652, 0 },
#endif
    { 0 },
    &operand_data[13916],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9590 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10653 },
#else
    { 0, output_10653, 0 },
#endif
    { 0 },
    &operand_data[13916],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9624 */
  {
    "*cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10654 },
#else
    { 0, output_10654, 0 },
#endif
    { 0 },
    &operand_data[13921],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9624 */
  {
    "*cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10655 },
#else
    { 0, output_10655, 0 },
#endif
    { 0 },
    &operand_data[13921],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9715 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10656 },
#else
    { 0, output_10656, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8hf },
    &operand_data[13926],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9715 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10657 },
#else
    { 0, output_10657, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx8hf },
    &operand_data[13930],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9715 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10658 },
#else
    { 0, output_10658, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9715 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10659 },
#else
    { 0, output_10659, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx4sf },
    &operand_data[13934],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9744 */
  {
    "*cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10660 },
#else
    { 0, output_10660, 0 },
#endif
    { 0 },
    &operand_data[13938],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9744 */
  {
    "*cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10661 },
#else
    { 0, output_10661, 0 },
#endif
    { 0 },
    &operand_data[13943],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9744 */
  {
    "*cond_fcvt_truncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10662 },
#else
    { 0, output_10662, 0 },
#endif
    { 0 },
    &operand_data[13948],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9744 */
  {
    "*cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10663 },
#else
    { 0, output_10663, 0 },
#endif
    { 0 },
    &operand_data[13953],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9772 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10664 },
#else
    { 0, output_10664, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8bf },
    &operand_data[13958],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9801 */
  {
    "*cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10665 },
#else
    { 0, output_10665, 0 },
#endif
    { 0 },
    &operand_data[13962],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9825 */
  {
    "aarch64_sve_cvtntvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8bf },
    &operand_data[13967],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9872 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10667 },
#else
    { 0, output_10667, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[13971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9872 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10668 },
#else
    { 0, output_10668, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[13975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9872 */
  {
    "aarch64_sve_fcvt_nontruncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10669 },
#else
    { 0, output_10669, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx4sfvnx4sf },
    &operand_data[9997],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9872 */
  {
    "aarch64_sve_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10670 },
#else
    { 0, output_10670, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[13979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9901 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10671 },
#else
    { 0, output_10671, 0 },
#endif
    { 0 },
    &operand_data[13983],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9901 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10672 },
#else
    { 0, output_10672, 0 },
#endif
    { 0 },
    &operand_data[13988],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9901 */
  {
    "*cond_fcvt_nontruncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10673 },
#else
    { 0, output_10673, 0 },
#endif
    { 0 },
    &operand_data[13948],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9901 */
  {
    "*cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10674 },
#else
    { 0, output_10674, 0 },
#endif
    { 0 },
    &operand_data[13993],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9929 */
  {
    "vec_pack_trunc_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8bi },
    &operand_data[13998],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9929 */
  {
    "vec_pack_trunc_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4bi },
    &operand_data[14001],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9929 */
  {
    "vec_pack_trunc_vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2bi },
    &operand_data[14004],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_punpklo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx16bi },
    &operand_data[14007],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_punpkhi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx16bi },
    &operand_data[14007],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_punpklo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx8bi },
    &operand_data[14009],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_punpkhi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx8bi },
    &operand_data[14009],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_punpklo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx4bi },
    &operand_data[14011],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_punpkhi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx4bi },
    &operand_data[14011],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9989 */
  {
    "aarch64_brka",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10684 },
#else
    { 0, output_10684, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brka },
    &operand_data[14013],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9989 */
  {
    "aarch64_brkb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10685 },
#else
    { 0, output_10685, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkb },
    &operand_data[14013],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10008 */
  {
    "*aarch64_brka_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10686 },
#else
    { 0, output_10686, 0 },
#endif
    { 0 },
    &operand_data[14017],
    5,
    5,
    5,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10008 */
  {
    "*aarch64_brkb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10687 },
#else
    { 0, output_10687, 0 },
#endif
    { 0 },
    &operand_data[14017],
    5,
    5,
    5,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10035 */
  {
    "*aarch64_brka_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10688 },
#else
    { 0, output_10688, 0 },
#endif
    { 0 },
    &operand_data[14022],
    5,
    5,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10035 */
  {
    "*aarch64_brkb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10689 },
#else
    { 0, output_10689, 0 },
#endif
    { 0 },
    &operand_data[14022],
    5,
    5,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10069 */
  {
    "aarch64_brkn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10690 },
#else
    { 0, output_10690, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkn },
    &operand_data[14027],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10069 */
  {
    "aarch64_brkpa",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10691 },
#else
    { 0, output_10691, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpa },
    &operand_data[11956],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10069 */
  {
    "aarch64_brkpb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10692 },
#else
    { 0, output_10692, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpb },
    &operand_data[11956],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10086 */
  {
    "*aarch64_brkn_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14031],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10115 */
  {
    "*aarch64_brkn_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14037],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10139 */
  {
    "*aarch64_brkpa_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10695 },
#else
    { 0, output_10695, 0 },
#endif
    { 0 },
    &operand_data[14043],
    5,
    5,
    5,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10139 */
  {
    "*aarch64_brkpb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10696 },
#else
    { 0, output_10696, 0 },
#endif
    { 0 },
    &operand_data[14043],
    5,
    5,
    5,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10166 */
  {
    "*aarch64_brkpa_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10697 },
#else
    { 0, output_10697, 0 },
#endif
    { 0 },
    &operand_data[14048],
    5,
    5,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10166 */
  {
    "*aarch64_brkpb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10698 },
#else
    { 0, output_10698, 0 },
#endif
    { 0 },
    &operand_data[14048],
    5,
    5,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10195 */
  {
    "aarch64_sve_pfirstvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx16bi },
    &operand_data[14053],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10195 */
  {
    "aarch64_sve_pnextvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx16bi },
    &operand_data[14053],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10195 */
  {
    "aarch64_sve_pfirstvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx8bi },
    &operand_data[14057],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10195 */
  {
    "aarch64_sve_pnextvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx8bi },
    &operand_data[14057],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10195 */
  {
    "aarch64_sve_pfirstvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx4bi },
    &operand_data[14061],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10195 */
  {
    "aarch64_sve_pnextvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx4bi },
    &operand_data[14061],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10195 */
  {
    "aarch64_sve_pfirstvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx2bi },
    &operand_data[14065],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10195 */
  {
    "aarch64_sve_pnextvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx2bi },
    &operand_data[14065],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10208 */
  {
    "*aarch64_sve_pfirstvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14069],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10208 */
  {
    "*aarch64_sve_pnextvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14069],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10208 */
  {
    "*aarch64_sve_pfirstvnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14076],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10208 */
  {
    "*aarch64_sve_pnextvnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14076],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10208 */
  {
    "*aarch64_sve_pfirstvnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14083],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10208 */
  {
    "*aarch64_sve_pnextvnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14083],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10208 */
  {
    "*aarch64_sve_pfirstvnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14090],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10208 */
  {
    "*aarch64_sve_pnextvnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14090],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10238 */
  {
    "*aarch64_sve_pfirstvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14097],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10238 */
  {
    "*aarch64_sve_pnextvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14097],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10238 */
  {
    "*aarch64_sve_pfirstvnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14104],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10238 */
  {
    "*aarch64_sve_pnextvnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14104],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10238 */
  {
    "*aarch64_sve_pfirstvnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14111],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10238 */
  {
    "*aarch64_sve_pnextvnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14111],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10238 */
  {
    "*aarch64_sve_pfirstvnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14118],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10238 */
  {
    "*aarch64_sve_pnextvnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14118],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10281 */
  {
    "aarch64_sve_cnt_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10723 },
#else
    { 0, 0, output_10723 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cnt_pat },
    &operand_data[14125],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10305 */
  {
    "aarch64_sve_incdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10724 },
#else
    { 0, 0, output_10724 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdi_pat },
    &operand_data[14129],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10305 */
  {
    "aarch64_sve_sqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10725 },
#else
    { 0, 0, output_10725 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdi_pat },
    &operand_data[14129],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10305 */
  {
    "aarch64_sve_uqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10726 },
#else
    { 0, 0, output_10726 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdi_pat },
    &operand_data[14129],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10323 */
  {
    "*aarch64_sve_incsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10727 },
#else
    { 0, 0, output_10727 },
#endif
    { 0 },
    &operand_data[14134],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10340 */
  {
    "aarch64_sve_sqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10728 },
#else
    { 0, 0, output_10728 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsi_pat },
    &operand_data[14139],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10340 */
  {
    "aarch64_sve_uqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10729 },
#else
    { 0, 0, output_10729 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsi_pat },
    &operand_data[14139],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10368 */
  {
    "aarch64_sve_incvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10730 },
#else
    { 0, 0, output_10730 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_pat },
    &operand_data[14144],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10368 */
  {
    "aarch64_sve_sqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10731 },
#else
    { 0, 0, output_10731 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_pat },
    &operand_data[14144],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10368 */
  {
    "aarch64_sve_uqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10732 },
#else
    { 0, 0, output_10732 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_pat },
    &operand_data[14144],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10390 */
  {
    "aarch64_sve_incvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10733 },
#else
    { 0, 0, output_10733 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_pat },
    &operand_data[14149],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10390 */
  {
    "aarch64_sve_sqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10734 },
#else
    { 0, 0, output_10734 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_pat },
    &operand_data[14149],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10390 */
  {
    "aarch64_sve_uqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10735 },
#else
    { 0, 0, output_10735 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_pat },
    &operand_data[14149],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10424 */
  {
    "*aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10736 },
#else
    { 0, 0, output_10736 },
#endif
    { 0 },
    &operand_data[14154],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10424 */
  {
    "*aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10737 },
#else
    { 0, 0, output_10737 },
#endif
    { 0 },
    &operand_data[14154],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10424 */
  {
    "*aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10738 },
#else
    { 0, 0, output_10738 },
#endif
    { 0 },
    &operand_data[14154],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10455 */
  {
    "aarch64_sve_decdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10739 },
#else
    { 0, 0, output_10739 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdi_pat },
    &operand_data[14129],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10455 */
  {
    "aarch64_sve_sqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10740 },
#else
    { 0, 0, output_10740 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdi_pat },
    &operand_data[14129],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10455 */
  {
    "aarch64_sve_uqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10741 },
#else
    { 0, 0, output_10741 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdi_pat },
    &operand_data[14129],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10473 */
  {
    "*aarch64_sve_decsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10742 },
#else
    { 0, 0, output_10742 },
#endif
    { 0 },
    &operand_data[14134],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10490 */
  {
    "aarch64_sve_sqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10743 },
#else
    { 0, 0, output_10743 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsi_pat },
    &operand_data[14139],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10490 */
  {
    "aarch64_sve_uqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10744 },
#else
    { 0, 0, output_10744 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsi_pat },
    &operand_data[14139],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10518 */
  {
    "aarch64_sve_decvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10745 },
#else
    { 0, 0, output_10745 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_pat },
    &operand_data[14144],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10518 */
  {
    "aarch64_sve_sqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10746 },
#else
    { 0, 0, output_10746 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_pat },
    &operand_data[14144],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10518 */
  {
    "aarch64_sve_uqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10747 },
#else
    { 0, 0, output_10747 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_pat },
    &operand_data[14144],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10540 */
  {
    "aarch64_sve_decvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10748 },
#else
    { 0, 0, output_10748 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_pat },
    &operand_data[14149],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10540 */
  {
    "aarch64_sve_sqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10749 },
#else
    { 0, 0, output_10749 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_pat },
    &operand_data[14149],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10540 */
  {
    "aarch64_sve_uqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10750 },
#else
    { 0, 0, output_10750 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_pat },
    &operand_data[14149],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10574 */
  {
    "*aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10751 },
#else
    { 0, 0, output_10751 },
#endif
    { 0 },
    &operand_data[14154],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10574 */
  {
    "*aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10752 },
#else
    { 0, 0, output_10752 },
#endif
    { 0 },
    &operand_data[14154],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10574 */
  {
    "*aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10753 },
#else
    { 0, 0, output_10753 },
#endif
    { 0 },
    &operand_data[14154],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10603 */
  {
    "aarch64_pred_cntpvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx16bi },
    &operand_data[14160],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10603 */
  {
    "aarch64_pred_cntpvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx8bi },
    &operand_data[14164],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10603 */
  {
    "aarch64_pred_cntpvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx4bi },
    &operand_data[14168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10603 */
  {
    "aarch64_pred_cntpvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx2bi },
    &operand_data[14172],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10639 */
  {
    "*aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10659 */
  {
    "*aarch64_incsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14192],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10659 */
  {
    "*aarch64_incsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10659 */
  {
    "*aarch64_incsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10659 */
  {
    "*aarch64_incsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14204],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10694 */
  {
    "*aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10774 },
#else
    { 0, 0, output_10774 },
#endif
    { 0 },
    &operand_data[14208],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10694 */
  {
    "*aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10775 },
#else
    { 0, 0, output_10775 },
#endif
    { 0 },
    &operand_data[14208],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10694 */
  {
    "*aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10776 },
#else
    { 0, 0, output_10776 },
#endif
    { 0 },
    &operand_data[14212],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10694 */
  {
    "*aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10777 },
#else
    { 0, 0, output_10777 },
#endif
    { 0 },
    &operand_data[14212],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10694 */
  {
    "*aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10778 },
#else
    { 0, 0, output_10778 },
#endif
    { 0 },
    &operand_data[14216],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10694 */
  {
    "*aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10779 },
#else
    { 0, 0, output_10779 },
#endif
    { 0 },
    &operand_data[14216],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10694 */
  {
    "*aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10780 },
#else
    { 0, 0, output_10780 },
#endif
    { 0 },
    &operand_data[14220],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10694 */
  {
    "*aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10781 },
#else
    { 0, 0, output_10781 },
#endif
    { 0 },
    &operand_data[14220],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10744 */
  {
    "*aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10782 },
#else
    { 0, output_10782, 0 },
#endif
    { 0 },
    &operand_data[14224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10744 */
  {
    "*aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10783 },
#else
    { 0, output_10783, 0 },
#endif
    { 0 },
    &operand_data[14224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10744 */
  {
    "*aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10784 },
#else
    { 0, output_10784, 0 },
#endif
    { 0 },
    &operand_data[14224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10784 */
  {
    "*aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10785 },
#else
    { 0, output_10785, 0 },
#endif
    { 0 },
    &operand_data[14228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10784 */
  {
    "*aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10786 },
#else
    { 0, output_10786, 0 },
#endif
    { 0 },
    &operand_data[14228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10784 */
  {
    "*aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10787 },
#else
    { 0, output_10787, 0 },
#endif
    { 0 },
    &operand_data[14228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10824 */
  {
    "*aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10788 },
#else
    { 0, output_10788, 0 },
#endif
    { 0 },
    &operand_data[14232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10824 */
  {
    "*aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10789 },
#else
    { 0, output_10789, 0 },
#endif
    { 0 },
    &operand_data[14232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10824 */
  {
    "*aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10790 },
#else
    { 0, output_10790, 0 },
#endif
    { 0 },
    &operand_data[14232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14180],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14184],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10872 */
  {
    "*aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14188],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10892 */
  {
    "*aarch64_decsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14192],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10892 */
  {
    "*aarch64_decsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10892 */
  {
    "*aarch64_decsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10892 */
  {
    "*aarch64_decsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14204],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10927 */
  {
    "*aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10807 },
#else
    { 0, 0, output_10807 },
#endif
    { 0 },
    &operand_data[14208],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10927 */
  {
    "*aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10808 },
#else
    { 0, 0, output_10808 },
#endif
    { 0 },
    &operand_data[14208],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10927 */
  {
    "*aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10809 },
#else
    { 0, 0, output_10809 },
#endif
    { 0 },
    &operand_data[14212],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10927 */
  {
    "*aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10810 },
#else
    { 0, 0, output_10810 },
#endif
    { 0 },
    &operand_data[14212],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10927 */
  {
    "*aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10811 },
#else
    { 0, 0, output_10811 },
#endif
    { 0 },
    &operand_data[14216],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10927 */
  {
    "*aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10812 },
#else
    { 0, 0, output_10812 },
#endif
    { 0 },
    &operand_data[14216],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10927 */
  {
    "*aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10813 },
#else
    { 0, 0, output_10813 },
#endif
    { 0 },
    &operand_data[14220],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10927 */
  {
    "*aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10814 },
#else
    { 0, 0, output_10814 },
#endif
    { 0 },
    &operand_data[14220],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10977 */
  {
    "*aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10815 },
#else
    { 0, output_10815, 0 },
#endif
    { 0 },
    &operand_data[14224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10977 */
  {
    "*aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10816 },
#else
    { 0, output_10816, 0 },
#endif
    { 0 },
    &operand_data[14224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10977 */
  {
    "*aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10817 },
#else
    { 0, output_10817, 0 },
#endif
    { 0 },
    &operand_data[14224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11017 */
  {
    "*aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10818 },
#else
    { 0, output_10818, 0 },
#endif
    { 0 },
    &operand_data[14228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11017 */
  {
    "*aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10819 },
#else
    { 0, output_10819, 0 },
#endif
    { 0 },
    &operand_data[14228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11017 */
  {
    "*aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10820 },
#else
    { 0, output_10820, 0 },
#endif
    { 0 },
    &operand_data[14228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11057 */
  {
    "*aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10821 },
#else
    { 0, output_10821, 0 },
#endif
    { 0 },
    &operand_data[14232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11057 */
  {
    "*aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10822 },
#else
    { 0, output_10822, 0 },
#endif
    { 0 },
    &operand_data[14232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11057 */
  {
    "*aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10823 },
#else
    { 0, output_10823, 0 },
#endif
    { 0 },
    &operand_data[14232],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11079 */
  {
    "aarch64_sve_get_neonq_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx16qi },
    &operand_data[14237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11079 */
  {
    "aarch64_sve_get_neonq_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx8hi },
    &operand_data[14240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11079 */
  {
    "aarch64_sve_get_neonq_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx4si },
    &operand_data[14243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11079 */
  {
    "aarch64_sve_get_neonq_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx2di },
    &operand_data[14246],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11079 */
  {
    "aarch64_sve_get_neonq_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx8bf },
    &operand_data[14249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11079 */
  {
    "aarch64_sve_get_neonq_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx8hf },
    &operand_data[14252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11079 */
  {
    "aarch64_sve_get_neonq_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx4sf },
    &operand_data[14255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11079 */
  {
    "aarch64_sve_get_neonq_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx2df },
    &operand_data[14258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11096 */
  {
    "aarch64_sve_set_neonq_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10832 },
#else
    { 0, 0, output_10832 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx16qi },
    &operand_data[14261],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11096 */
  {
    "aarch64_sve_set_neonq_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10833 },
#else
    { 0, 0, output_10833 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx8hi },
    &operand_data[14265],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11096 */
  {
    "aarch64_sve_set_neonq_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10834 },
#else
    { 0, 0, output_10834 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx4si },
    &operand_data[14269],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11096 */
  {
    "aarch64_sve_set_neonq_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10835 },
#else
    { 0, 0, output_10835 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx2di },
    &operand_data[14273],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11096 */
  {
    "aarch64_sve_set_neonq_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10836 },
#else
    { 0, 0, output_10836 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx8bf },
    &operand_data[14277],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11096 */
  {
    "aarch64_sve_set_neonq_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10837 },
#else
    { 0, 0, output_10837 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx8hf },
    &operand_data[14281],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11096 */
  {
    "aarch64_sve_set_neonq_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10838 },
#else
    { 0, 0, output_10838 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx4sf },
    &operand_data[14285],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11096 */
  {
    "aarch64_sve_set_neonq_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10839 },
#else
    { 0, 0, output_10839 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx2df },
    &operand_data[14289],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32qi },
    &operand_data[14293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32qi },
    &operand_data[14293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16hi },
    &operand_data[14296],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16hi },
    &operand_data[14296],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8si },
    &operand_data[14299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8si },
    &operand_data[14299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx4di },
    &operand_data[14302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4di },
    &operand_data[14302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16bf },
    &operand_data[14305],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16bf },
    &operand_data[14305],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16hf },
    &operand_data[14308],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16hf },
    &operand_data[14308],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8sf },
    &operand_data[14311],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8sf },
    &operand_data[14311],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx4df },
    &operand_data[14314],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4df },
    &operand_data[14314],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx64qi },
    &operand_data[14317],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx64qi },
    &operand_data[14317],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32hi },
    &operand_data[14320],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32hi },
    &operand_data[14320],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16si },
    &operand_data[14323],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16si },
    &operand_data[14323],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8di },
    &operand_data[14326],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8di },
    &operand_data[14326],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32bf },
    &operand_data[14329],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32bf },
    &operand_data[14329],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32hf },
    &operand_data[14332],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32hf },
    &operand_data[14332],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16sf },
    &operand_data[14335],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16sf },
    &operand_data[14335],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ld1vnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8df },
    &operand_data[14338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:137 */
  {
    "aarch64_ldnt1vnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8df },
    &operand_data[14338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ld1vnx32qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{%0.b, %1.b}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32qi_strided2 },
    &operand_data[14341],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ldnt1vnx32qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t{%0.b, %1.b}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32qi_strided2 },
    &operand_data[14341],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ld1vnx16hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16hi_strided2 },
    &operand_data[14345],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ldnt1vnx16hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16hi_strided2 },
    &operand_data[14345],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ld1vnx8si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.s, %1.s}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8si_strided2 },
    &operand_data[14349],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ldnt1vnx8si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t{%0.s, %1.s}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8si_strided2 },
    &operand_data[14349],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ld1vnx4di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.d, %1.d}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx4di_strided2 },
    &operand_data[14353],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ldnt1vnx4di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t{%0.d, %1.d}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4di_strided2 },
    &operand_data[14353],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ld1vnx16bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16bf_strided2 },
    &operand_data[14357],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ldnt1vnx16bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16bf_strided2 },
    &operand_data[14357],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ld1vnx16hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16hf_strided2 },
    &operand_data[14361],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ldnt1vnx16hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16hf_strided2 },
    &operand_data[14361],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ld1vnx8sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.s, %1.s}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8sf_strided2 },
    &operand_data[14365],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ldnt1vnx8sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t{%0.s, %1.s}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8sf_strided2 },
    &operand_data[14365],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ld1vnx4df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.d, %1.d}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx4df_strided2 },
    &operand_data[14369],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:148 */
  {
    "aarch64_ldnt1vnx4df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t{%0.d, %1.d}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4df_strided2 },
    &operand_data[14369],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ld1vnx64qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{%0.b, %1.b, %2.b, %3.b}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx64qi_strided4 },
    &operand_data[14373],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ldnt1vnx64qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t{%0.b, %1.b, %2.b, %3.b}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx64qi_strided4 },
    &operand_data[14373],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ld1vnx32hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32hi_strided4 },
    &operand_data[14379],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ldnt1vnx32hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32hi_strided4 },
    &operand_data[14379],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ld1vnx16si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.s, %1.s, %2.s, %3.s}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16si_strided4 },
    &operand_data[14385],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ldnt1vnx16si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t{%0.s, %1.s, %2.s, %3.s}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16si_strided4 },
    &operand_data[14385],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ld1vnx8di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.d, %1.d, %2.d, %3.d}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8di_strided4 },
    &operand_data[14391],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ldnt1vnx8di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t{%0.d, %1.d, %2.d, %3.d}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8di_strided4 },
    &operand_data[14391],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ld1vnx32bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32bf_strided4 },
    &operand_data[14397],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ldnt1vnx32bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32bf_strided4 },
    &operand_data[14397],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ld1vnx32hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32hf_strided4 },
    &operand_data[14403],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ldnt1vnx32hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32hf_strided4 },
    &operand_data[14403],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ld1vnx16sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.s, %1.s, %2.s, %3.s}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16sf_strided4 },
    &operand_data[14409],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ldnt1vnx16sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t{%0.s, %1.s, %2.s, %3.s}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16sf_strided4 },
    &operand_data[14409],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ld1vnx8df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.d, %1.d, %2.d, %3.d}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8df_strided4 },
    &operand_data[14415],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:167 */
  {
    "aarch64_ldnt1vnx8df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t{%0.d, %1.d, %2.d, %3.d}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8df_strided4 },
    &operand_data[14415],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:209 */
  {
    "aarch64_gather_ldntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10904 },
#else
    { 0, output_10904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4si },
    &operand_data[14421],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:209 */
  {
    "aarch64_gather_ldntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10905 },
#else
    { 0, output_10905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2di },
    &operand_data[14425],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:209 */
  {
    "aarch64_gather_ldntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10906 },
#else
    { 0, output_10906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4sf },
    &operand_data[14429],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:209 */
  {
    "aarch64_gather_ldntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10907 },
#else
    { 0, output_10907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2df },
    &operand_data[14433],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10908 },
#else
    { 0, output_10908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx8qi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10909 },
#else
    { 0, output_10909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx8qi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10910 },
#else
    { 0, output_10910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4qi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10911 },
#else
    { 0, output_10911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4qi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10912 },
#else
    { 0, output_10912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx2qi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10913 },
#else
    { 0, output_10913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx2qi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10914 },
#else
    { 0, output_10914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4hi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10915 },
#else
    { 0, output_10915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4hi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10916 },
#else
    { 0, output_10916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx2hi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10917 },
#else
    { 0, output_10917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx2hi },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10918 },
#else
    { 0, output_10918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx2si },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10919 },
#else
    { 0, output_10919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx2si },
    &operand_data[14437],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10920 },
#else
    { 0, output_10920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx8qi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10921 },
#else
    { 0, output_10921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx8qi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10922 },
#else
    { 0, output_10922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx4qi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10923 },
#else
    { 0, output_10923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx4qi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10924 },
#else
    { 0, output_10924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2qi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10925 },
#else
    { 0, output_10925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2qi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10926 },
#else
    { 0, output_10926, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx4hi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10927 },
#else
    { 0, output_10927, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx4hi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10928 },
#else
    { 0, output_10928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2hi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10929 },
#else
    { 0, output_10929, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2hi },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10930 },
#else
    { 0, output_10930, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2si },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:227 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10931 },
#else
    { 0, output_10931, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2si },
    &operand_data[14442],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32qi },
    &operand_data[14447],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32qi },
    &operand_data[14447],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hi },
    &operand_data[14450],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hi },
    &operand_data[14450],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8si },
    &operand_data[14453],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8si },
    &operand_data[14453],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4di },
    &operand_data[14456],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4di },
    &operand_data[14456],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16bf },
    &operand_data[14459],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16bf },
    &operand_data[14459],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hf },
    &operand_data[14462],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hf },
    &operand_data[14462],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8sf },
    &operand_data[14465],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8sf },
    &operand_data[14465],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4df },
    &operand_data[14468],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4df },
    &operand_data[14468],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx64qi },
    &operand_data[14471],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx64qi },
    &operand_data[14471],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hi },
    &operand_data[14474],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hi },
    &operand_data[14474],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16si },
    &operand_data[14477],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16si },
    &operand_data[14477],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8di },
    &operand_data[14480],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8di },
    &operand_data[14480],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32bf },
    &operand_data[14483],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32bf },
    &operand_data[14483],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hf },
    &operand_data[14486],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hf },
    &operand_data[14486],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16sf },
    &operand_data[14489],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16sf },
    &operand_data[14489],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_st1vnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8df },
    &operand_data[14492],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:272 */
  {
    "aarch64_stnt1vnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8df },
    &operand_data[14492],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx32qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{%2.b, %3.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32qi_strided2 },
    &operand_data[14495],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx32qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t{%2.b, %3.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32qi_strided2 },
    &operand_data[14495],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx16hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hi_strided2 },
    &operand_data[14499],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx16hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hi_strided2 },
    &operand_data[14499],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx8si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8si_strided2 },
    &operand_data[14503],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx8si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8si_strided2 },
    &operand_data[14503],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx4di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4di_strided2 },
    &operand_data[14507],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx4di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4di_strided2 },
    &operand_data[14507],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx16bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16bf_strided2 },
    &operand_data[14511],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx16bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16bf_strided2 },
    &operand_data[14511],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx16hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hf_strided2 },
    &operand_data[14515],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx16hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hf_strided2 },
    &operand_data[14515],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx8sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8sf_strided2 },
    &operand_data[14519],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx8sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8sf_strided2 },
    &operand_data[14519],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx4df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4df_strided2 },
    &operand_data[14523],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx4df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4df_strided2 },
    &operand_data[14523],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx64qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{%2.b, %3.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx64qi_strided2 },
    &operand_data[14527],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx64qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t{%2.b, %3.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx64qi_strided2 },
    &operand_data[14527],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx32hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hi_strided2 },
    &operand_data[14531],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx32hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hi_strided2 },
    &operand_data[14531],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx16si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16si_strided2 },
    &operand_data[14535],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx16si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16si_strided2 },
    &operand_data[14535],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx8di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8di_strided2 },
    &operand_data[14539],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx8di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8di_strided2 },
    &operand_data[14539],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx32bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32bf_strided2 },
    &operand_data[14543],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx32bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32bf_strided2 },
    &operand_data[14543],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx32hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hf_strided2 },
    &operand_data[14547],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx32hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hf_strided2 },
    &operand_data[14547],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx16sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16sf_strided2 },
    &operand_data[14551],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx16sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16sf_strided2 },
    &operand_data[14551],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_st1vnx8df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8df_strided2 },
    &operand_data[14555],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:284 */
  {
    "aarch64_stnt1vnx8df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8df_strided2 },
    &operand_data[14555],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx32qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{%2.b, %3.b, %4.b, %5.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32qi_strided4 },
    &operand_data[14559],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx32qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t{%2.b, %3.b, %4.b, %5.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32qi_strided4 },
    &operand_data[14559],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx16hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hi_strided4 },
    &operand_data[14565],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx16hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hi_strided4 },
    &operand_data[14565],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx8si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8si_strided4 },
    &operand_data[14571],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx8si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8si_strided4 },
    &operand_data[14571],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx4di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4di_strided4 },
    &operand_data[14577],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx4di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4di_strided4 },
    &operand_data[14577],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx16bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16bf_strided4 },
    &operand_data[14583],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx16bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16bf_strided4 },
    &operand_data[14583],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx16hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hf_strided4 },
    &operand_data[14589],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx16hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hf_strided4 },
    &operand_data[14589],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx8sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8sf_strided4 },
    &operand_data[14595],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx8sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8sf_strided4 },
    &operand_data[14595],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx4df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4df_strided4 },
    &operand_data[14601],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx4df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4df_strided4 },
    &operand_data[14601],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx64qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{%2.b, %3.b, %4.b, %5.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx64qi_strided4 },
    &operand_data[14607],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx64qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t{%2.b, %3.b, %4.b, %5.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx64qi_strided4 },
    &operand_data[14607],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx32hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hi_strided4 },
    &operand_data[14613],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx32hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hi_strided4 },
    &operand_data[14613],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx16si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16si_strided4 },
    &operand_data[14619],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx16si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16si_strided4 },
    &operand_data[14619],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx8di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8di_strided4 },
    &operand_data[14625],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx8di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8di_strided4 },
    &operand_data[14625],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx32bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32bf_strided4 },
    &operand_data[14631],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx32bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32bf_strided4 },
    &operand_data[14631],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx32hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hf_strided4 },
    &operand_data[14637],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx32hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hf_strided4 },
    &operand_data[14637],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx16sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16sf_strided4 },
    &operand_data[14643],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx16sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16sf_strided4 },
    &operand_data[14643],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_st1vnx8df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8df_strided4 },
    &operand_data[14649],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:298 */
  {
    "aarch64_stnt1vnx8df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8df_strided4 },
    &operand_data[14649],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:325 */
  {
    "aarch64_scatter_stntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11028 },
#else
    { 0, output_11028, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4si },
    &operand_data[14655],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:325 */
  {
    "aarch64_scatter_stntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11029 },
#else
    { 0, output_11029, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2di },
    &operand_data[14659],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:325 */
  {
    "aarch64_scatter_stntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11030 },
#else
    { 0, output_11030, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4sf },
    &operand_data[14663],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:325 */
  {
    "aarch64_scatter_stntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11031 },
#else
    { 0, output_11031, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2df },
    &operand_data[14667],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11032 },
#else
    { 0, output_11032, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx8qi },
    &operand_data[14655],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11033 },
#else
    { 0, output_11033, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4qi },
    &operand_data[14655],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11034 },
#else
    { 0, output_11034, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx2qi },
    &operand_data[14655],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11035 },
#else
    { 0, output_11035, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4hi },
    &operand_data[14655],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11036 },
#else
    { 0, output_11036, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx2hi },
    &operand_data[14655],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11037 },
#else
    { 0, output_11037, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx2si },
    &operand_data[14655],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11038 },
#else
    { 0, output_11038, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx8qi },
    &operand_data[14659],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11039 },
#else
    { 0, output_11039, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx4qi },
    &operand_data[14659],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11040 },
#else
    { 0, output_11040, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2qi },
    &operand_data[14659],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11041 },
#else
    { 0, output_11041, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx4hi },
    &operand_data[14659],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11042 },
#else
    { 0, output_11042, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2hi },
    &operand_data[14659],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:342 */
  {
    "aarch64_scatter_stnt_vnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11043 },
#else
    { 0, output_11043, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2si },
    &operand_data[14659],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:370 */
  {
    "aarch64_sve_ptrue_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptrue\t%K0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ptrue_c8 },
    &operand_data[14671],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:370 */
  {
    "aarch64_sve_ptrue_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptrue\t%K0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ptrue_c16 },
    &operand_data[14671],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:370 */
  {
    "aarch64_sve_ptrue_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptrue\t%K0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ptrue_c32 },
    &operand_data[14671],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:370 */
  {
    "aarch64_sve_ptrue_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptrue\t%K0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ptrue_c64 },
    &operand_data[14671],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:384 */
  {
    "aarch64_sve_pext8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t%0.b, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext8 },
    &operand_data[14672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:384 */
  {
    "aarch64_sve_pext16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t%0.h, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext16 },
    &operand_data[14672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:384 */
  {
    "aarch64_sve_pext32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t%0.s, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext32 },
    &operand_data[14672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:384 */
  {
    "aarch64_sve_pext64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t%0.d, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext64 },
    &operand_data[14672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:395 */
  {
    "aarch64_sve_pext8x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t{%S0.b, %T0.b}, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext8x2 },
    &operand_data[14675],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:395 */
  {
    "aarch64_sve_pext16x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t{%S0.h, %T0.h}, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext16x2 },
    &operand_data[14675],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:395 */
  {
    "aarch64_sve_pext32x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t{%S0.s, %T0.s}, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext32x2 },
    &operand_data[14675],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:395 */
  {
    "aarch64_sve_pext64x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t{%S0.d, %T0.d}, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext64x2 },
    &operand_data[14675],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:413 */
  {
    "aarch64_sve_psel8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.b[%w3, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_psel8 },
    &operand_data[14678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:413 */
  {
    "aarch64_sve_psel16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.h[%w3, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_psel16 },
    &operand_data[14678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:413 */
  {
    "aarch64_sve_psel32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.s[%w3, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_psel32 },
    &operand_data[14678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:413 */
  {
    "aarch64_sve_psel64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.d[%w3, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_psel64 },
    &operand_data[14678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:425 */
  {
    "*aarch64_sve_psel8_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.b[%w3, %4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14678],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:425 */
  {
    "*aarch64_sve_psel16_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.h[%w3, %4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14678],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:425 */
  {
    "*aarch64_sve_psel32_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.s[%w3, %4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14678],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:425 */
  {
    "*aarch64_sve_psel64_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.d[%w3, %4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14678],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:447 */
  {
    "aarch64_sve_cntp_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %K1.b, vlx%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cntp_c8 },
    &operand_data[14683],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:447 */
  {
    "aarch64_sve_cntp_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %K1.h, vlx%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cntp_c16 },
    &operand_data[14683],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:447 */
  {
    "aarch64_sve_cntp_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %K1.s, vlx%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cntp_c32 },
    &operand_data[14683],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:447 */
  {
    "aarch64_sve_cntp_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %K1.d, vlx%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cntp_c64 },
    &operand_data[14683],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:472 */
  {
    "roundvnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx8sf2 },
    &operand_data[14686],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:472 */
  {
    "floorvnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx8sf2 },
    &operand_data[14686],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:472 */
  {
    "roundevenvnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenvnx8sf2 },
    &operand_data[14686],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:472 */
  {
    "ceilvnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx8sf2 },
    &operand_data[14686],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:472 */
  {
    "roundvnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx16sf2 },
    &operand_data[14688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:472 */
  {
    "floorvnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx16sf2 },
    &operand_data[14688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:472 */
  {
    "roundevenvnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenvnx16sf2 },
    &operand_data[14688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:472 */
  {
    "ceilvnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx16sf2 },
    &operand_data[14688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*smaxvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*sminvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*umaxvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*uminvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*smaxvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*sminvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*umaxvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*uminvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*smaxvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*sminvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*umaxvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*uminvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*smaxvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*sminvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*umaxvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*uminvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*smaxvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*sminvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*umaxvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*uminvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*smaxvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*sminvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*umaxvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*uminvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*smaxvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*sminvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*umaxvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*uminvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*smaxvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*sminvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*umaxvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:507 */
  {
    "*uminvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_addvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx32qi },
    &operand_data[14714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_smaxvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx32qi },
    &operand_data[14714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_sminvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx32qi },
    &operand_data[14714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_umaxvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx32qi },
    &operand_data[14714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_uminvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx32qi },
    &operand_data[14714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_addvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx16hi },
    &operand_data[14717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_smaxvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx16hi },
    &operand_data[14717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_sminvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx16hi },
    &operand_data[14717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_umaxvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx16hi },
    &operand_data[14717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_uminvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx16hi },
    &operand_data[14717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_addvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx8si },
    &operand_data[14720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_smaxvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx8si },
    &operand_data[14720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_sminvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx8si },
    &operand_data[14720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_umaxvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx8si },
    &operand_data[14720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_uminvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx8si },
    &operand_data[14720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_addvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx4di },
    &operand_data[14723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_smaxvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx4di },
    &operand_data[14723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_sminvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx4di },
    &operand_data[14723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_umaxvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx4di },
    &operand_data[14723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_uminvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx4di },
    &operand_data[14723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_addvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx64qi },
    &operand_data[14726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_smaxvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx64qi },
    &operand_data[14726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_sminvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx64qi },
    &operand_data[14726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_umaxvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx64qi },
    &operand_data[14726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_uminvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx64qi },
    &operand_data[14726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_addvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx32hi },
    &operand_data[14729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_smaxvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx32hi },
    &operand_data[14729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_sminvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx32hi },
    &operand_data[14729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_umaxvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx32hi },
    &operand_data[14729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_uminvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx32hi },
    &operand_data[14729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_addvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx16si },
    &operand_data[14732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_smaxvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx16si },
    &operand_data[14732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_sminvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx16si },
    &operand_data[14732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_umaxvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx16si },
    &operand_data[14732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_uminvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx16si },
    &operand_data[14732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_addvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx8di },
    &operand_data[14735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_smaxvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx8di },
    &operand_data[14735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_sminvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx8di },
    &operand_data[14735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_umaxvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx8di },
    &operand_data[14735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:516 */
  {
    "aarch64_sve_single_uminvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx8di },
    &operand_data[14735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_sqdmulhvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx32qi },
    &operand_data[14690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_srshlvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx32qi },
    &operand_data[14690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_urshlvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx32qi },
    &operand_data[14690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_sqdmulhvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx16hi },
    &operand_data[14693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_srshlvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx16hi },
    &operand_data[14693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_urshlvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx16hi },
    &operand_data[14693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_sqdmulhvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx8si },
    &operand_data[14696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_srshlvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx8si },
    &operand_data[14696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_urshlvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx8si },
    &operand_data[14696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_sqdmulhvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx4di },
    &operand_data[14699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_srshlvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx4di },
    &operand_data[14699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_urshlvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx4di },
    &operand_data[14699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_sqdmulhvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx64qi },
    &operand_data[14702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_srshlvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx64qi },
    &operand_data[14702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_urshlvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx64qi },
    &operand_data[14702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_sqdmulhvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx32hi },
    &operand_data[14705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_srshlvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx32hi },
    &operand_data[14705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_urshlvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx32hi },
    &operand_data[14705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_sqdmulhvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx16si },
    &operand_data[14708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_srshlvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx16si },
    &operand_data[14708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_urshlvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx16si },
    &operand_data[14708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_sqdmulhvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx8di },
    &operand_data[14711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_srshlvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx8di },
    &operand_data[14711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:526 */
  {
    "aarch64_sve_urshlvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx8di },
    &operand_data[14711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_sqdmulhvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx32qi },
    &operand_data[14714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_srshlvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx32qi },
    &operand_data[14714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_urshlvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx32qi },
    &operand_data[14714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_sqdmulhvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx16hi },
    &operand_data[14717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_srshlvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx16hi },
    &operand_data[14717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_urshlvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx16hi },
    &operand_data[14717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_sqdmulhvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx8si },
    &operand_data[14720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_srshlvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx8si },
    &operand_data[14720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_urshlvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx8si },
    &operand_data[14720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_sqdmulhvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx4di },
    &operand_data[14723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_srshlvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx4di },
    &operand_data[14723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_urshlvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx4di },
    &operand_data[14723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_sqdmulhvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx64qi },
    &operand_data[14726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_srshlvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx64qi },
    &operand_data[14726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_urshlvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx64qi },
    &operand_data[14726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_sqdmulhvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx32hi },
    &operand_data[14729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_srshlvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx32hi },
    &operand_data[14729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_urshlvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx32hi },
    &operand_data[14729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_sqdmulhvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx16si },
    &operand_data[14732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_srshlvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx16si },
    &operand_data[14732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_urshlvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx16si },
    &operand_data[14732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_sqdmulhvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx8di },
    &operand_data[14735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_srshlvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx8di },
    &operand_data[14735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:536 */
  {
    "aarch64_sve_single_urshlvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx8di },
    &operand_data[14735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:556 */
  {
    "aarch64_sve_sclampvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11196 },
#else
    { 0, output_11196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclampvnx16qi },
    &operand_data[14738],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:556 */
  {
    "aarch64_sve_uclampvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11197 },
#else
    { 0, output_11197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclampvnx16qi },
    &operand_data[14738],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:556 */
  {
    "aarch64_sve_sclampvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11198 },
#else
    { 0, output_11198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclampvnx8hi },
    &operand_data[14742],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:556 */
  {
    "aarch64_sve_uclampvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11199 },
#else
    { 0, output_11199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclampvnx8hi },
    &operand_data[14742],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:556 */
  {
    "aarch64_sve_sclampvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11200 },
#else
    { 0, output_11200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclampvnx4si },
    &operand_data[14746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:556 */
  {
    "aarch64_sve_uclampvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11201 },
#else
    { 0, output_11201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclampvnx4si },
    &operand_data[14746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:556 */
  {
    "aarch64_sve_sclampvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11202 },
#else
    { 0, output_11202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclampvnx2di },
    &operand_data[14750],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:556 */
  {
    "aarch64_sve_uclampvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11203 },
#else
    { 0, output_11203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclampvnx2di },
    &operand_data[14750],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:570 */
  {
    "*aarch64_sve_sclampvnx16qi_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11204 },
#else
    { 0, output_11204, 0 },
#endif
    { 0 },
    &operand_data[14754],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:570 */
  {
    "*aarch64_sve_uclampvnx16qi_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11205 },
#else
    { 0, output_11205, 0 },
#endif
    { 0 },
    &operand_data[14754],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:570 */
  {
    "*aarch64_sve_sclampvnx8hi_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11206 },
#else
    { 0, output_11206, 0 },
#endif
    { 0 },
    &operand_data[14760],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:570 */
  {
    "*aarch64_sve_uclampvnx8hi_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11207 },
#else
    { 0, output_11207, 0 },
#endif
    { 0 },
    &operand_data[14760],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:570 */
  {
    "*aarch64_sve_sclampvnx4si_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11208 },
#else
    { 0, output_11208, 0 },
#endif
    { 0 },
    &operand_data[14766],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:570 */
  {
    "*aarch64_sve_uclampvnx4si_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11209 },
#else
    { 0, output_11209, 0 },
#endif
    { 0 },
    &operand_data[14766],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:570 */
  {
    "*aarch64_sve_sclampvnx2di_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11210 },
#else
    { 0, output_11210, 0 },
#endif
    { 0 },
    &operand_data[14772],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:570 */
  {
    "*aarch64_sve_uclampvnx2di_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11211 },
#else
    { 0, output_11211, 0 },
#endif
    { 0 },
    &operand_data[14772],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_sclamp_singlevnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx32qi },
    &operand_data[14778],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_uclamp_singlevnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx32qi },
    &operand_data[14778],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_sclamp_singlevnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx16hi },
    &operand_data[14782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_uclamp_singlevnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx16hi },
    &operand_data[14782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_sclamp_singlevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx8si },
    &operand_data[14786],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_uclamp_singlevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx8si },
    &operand_data[14786],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_sclamp_singlevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx4di },
    &operand_data[14790],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_uclamp_singlevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx4di },
    &operand_data[14790],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_sclamp_singlevnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx64qi },
    &operand_data[14794],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_uclamp_singlevnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx64qi },
    &operand_data[14794],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_sclamp_singlevnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx32hi },
    &operand_data[14798],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_uclamp_singlevnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx32hi },
    &operand_data[14798],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_sclamp_singlevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx16si },
    &operand_data[14802],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_uclamp_singlevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx16si },
    &operand_data[14802],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_sclamp_singlevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx8di },
    &operand_data[14806],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:597 */
  {
    "aarch64_sve_uclamp_singlevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx8di },
    &operand_data[14806],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:617 */
  {
    "aarch64_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%Z0.h, %Z1.h, %Z2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hi },
    &operand_data[14810],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:617 */
  {
    "aarch64_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%Z0.s, %Z1.s, %Z2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4si },
    &operand_data[14814],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:617 */
  {
    "aarch64_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%Z0.d, %Z1.d, %Z2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2di },
    &operand_data[14818],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:617 */
  {
    "aarch64_mul_lane_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%Z0.d, %Z1.d, %Z2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_v2di },
    &operand_data[14822],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11232 },
#else
    { 0, output_11232, 0 },
#endif
    { 0 },
    &operand_data[14826],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11233 },
#else
    { 0, output_11233, 0 },
#endif
    { 0 },
    &operand_data[14829],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11234 },
#else
    { 0, output_11234, 0 },
#endif
    { 0 },
    &operand_data[14832],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11235 },
#else
    { 0, output_11235, 0 },
#endif
    { 0 },
    &operand_data[14835],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11236 },
#else
    { 0, output_11236, 0 },
#endif
    { 0 },
    &operand_data[14838],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11237 },
#else
    { 0, output_11237, 0 },
#endif
    { 0 },
    &operand_data[14841],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11238 },
#else
    { 0, output_11238, 0 },
#endif
    { 0 },
    &operand_data[14844],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11239 },
#else
    { 0, output_11239, 0 },
#endif
    { 0 },
    &operand_data[14847],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11240 },
#else
    { 0, output_11240, 0 },
#endif
    { 0 },
    &operand_data[14850],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11241 },
#else
    { 0, output_11241, 0 },
#endif
    { 0 },
    &operand_data[14853],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:631 */
  {
    "*aarch64_mul_unpredicated_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11242 },
#else
    { 0, output_11242, 0 },
#endif
    { 0 },
    &operand_data[14856],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:751 */
  {
    "aarch64_sve_suqaddvnx16qi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11243 },
#else
    { 0, output_11243, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx16qi_const },
    &operand_data[14859],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:751 */
  {
    "aarch64_sve_suqaddvnx8hi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11244 },
#else
    { 0, output_11244, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx8hi_const },
    &operand_data[14862],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:751 */
  {
    "aarch64_sve_suqaddvnx4si_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11245 },
#else
    { 0, output_11245, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx4si_const },
    &operand_data[14865],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:751 */
  {
    "aarch64_sve_suqaddvnx2di_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11246 },
#else
    { 0, output_11246, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx2di_const },
    &operand_data[14868],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11247 },
#else
    { 0, output_11247, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11248 },
#else
    { 0, output_11248, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11249 },
#else
    { 0, output_11249, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11250 },
#else
    { 0, output_11250, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11251 },
#else
    { 0, output_11251, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11252 },
#else
    { 0, output_11252, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11253 },
#else
    { 0, output_11253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11254 },
#else
    { 0, output_11254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11255 },
#else
    { 0, output_11255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11256 },
#else
    { 0, output_11256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx16qi },
    &operand_data[14871],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11257 },
#else
    { 0, output_11257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11258 },
#else
    { 0, output_11258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11259 },
#else
    { 0, output_11259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11260 },
#else
    { 0, output_11260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11261 },
#else
    { 0, output_11261, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11262 },
#else
    { 0, output_11262, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11263 },
#else
    { 0, output_11263, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11264 },
#else
    { 0, output_11264, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11265 },
#else
    { 0, output_11265, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11266 },
#else
    { 0, output_11266, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx8hi },
    &operand_data[14875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11267 },
#else
    { 0, output_11267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11268 },
#else
    { 0, output_11268, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11269 },
#else
    { 0, output_11269, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11270 },
#else
    { 0, output_11270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11271 },
#else
    { 0, output_11271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11272 },
#else
    { 0, output_11272, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11273 },
#else
    { 0, output_11273, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11274 },
#else
    { 0, output_11274, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11275 },
#else
    { 0, output_11275, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11276 },
#else
    { 0, output_11276, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx4si },
    &operand_data[10720],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11277 },
#else
    { 0, output_11277, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11278 },
#else
    { 0, output_11278, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11279 },
#else
    { 0, output_11279, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11280 },
#else
    { 0, output_11280, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11281 },
#else
    { 0, output_11281, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11282 },
#else
    { 0, output_11282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11283 },
#else
    { 0, output_11283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11284 },
#else
    { 0, output_11284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11285 },
#else
    { 0, output_11285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:766 */
  {
    "aarch64_pred_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11286 },
#else
    { 0, output_11286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx2di },
    &operand_data[10724],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_shaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11287 },
#else
    { 0, output_11287, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_shsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11288 },
#else
    { 0, output_11288, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_sqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11289 },
#else
    { 0, output_11289, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_srhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11290 },
#else
    { 0, output_11290, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_srshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11291 },
#else
    { 0, output_11291, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_suqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11292 },
#else
    { 0, output_11292, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11293 },
#else
    { 0, output_11293, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uhsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11294 },
#else
    { 0, output_11294, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11295 },
#else
    { 0, output_11295, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_urhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11296 },
#else
    { 0, output_11296, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_urshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11297 },
#else
    { 0, output_11297, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_usqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11298 },
#else
    { 0, output_11298, 0 },
#endif
    { 0 },
    &operand_data[10486],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_shaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11299 },
#else
    { 0, output_11299, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_shsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11300 },
#else
    { 0, output_11300, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_sqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11301 },
#else
    { 0, output_11301, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_srhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11302 },
#else
    { 0, output_11302, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_srshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11303 },
#else
    { 0, output_11303, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_suqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11304 },
#else
    { 0, output_11304, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11305 },
#else
    { 0, output_11305, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uhsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11306 },
#else
    { 0, output_11306, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11307 },
#else
    { 0, output_11307, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_urhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11308 },
#else
    { 0, output_11308, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_urshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11309 },
#else
    { 0, output_11309, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_usqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11310 },
#else
    { 0, output_11310, 0 },
#endif
    { 0 },
    &operand_data[10510],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_shaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11311 },
#else
    { 0, output_11311, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_shsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11312 },
#else
    { 0, output_11312, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_sqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11313 },
#else
    { 0, output_11313, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_srhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11314 },
#else
    { 0, output_11314, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_srshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11315 },
#else
    { 0, output_11315, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_suqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11316 },
#else
    { 0, output_11316, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11317 },
#else
    { 0, output_11317, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uhsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11318 },
#else
    { 0, output_11318, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11319 },
#else
    { 0, output_11319, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_urhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11320 },
#else
    { 0, output_11320, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_urshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11321 },
#else
    { 0, output_11321, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_usqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11322 },
#else
    { 0, output_11322, 0 },
#endif
    { 0 },
    &operand_data[10528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_shaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11323 },
#else
    { 0, output_11323, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_shsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11324 },
#else
    { 0, output_11324, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_sqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11325 },
#else
    { 0, output_11325, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_srhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11326 },
#else
    { 0, output_11326, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_srshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11327 },
#else
    { 0, output_11327, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_suqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11328 },
#else
    { 0, output_11328, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11329 },
#else
    { 0, output_11329, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uhsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11330 },
#else
    { 0, output_11330, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_uqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11331 },
#else
    { 0, output_11331, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_urhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11332 },
#else
    { 0, output_11332, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_urshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11333 },
#else
    { 0, output_11333, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:804 */
  {
    "*cond_usqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11334 },
#else
    { 0, output_11334, 0 },
#endif
    { 0 },
    &operand_data[10540],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_shaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11335 },
#else
    { 0, output_11335, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_shsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11336 },
#else
    { 0, output_11336, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_sqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11337 },
#else
    { 0, output_11337, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_srhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11338 },
#else
    { 0, output_11338, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_srshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11339 },
#else
    { 0, output_11339, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11340 },
#else
    { 0, output_11340, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uhsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11341 },
#else
    { 0, output_11341, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11342 },
#else
    { 0, output_11342, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_urhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11343 },
#else
    { 0, output_11343, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_urshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11344 },
#else
    { 0, output_11344, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_shaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11345 },
#else
    { 0, output_11345, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_shsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11346 },
#else
    { 0, output_11346, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_sqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11347 },
#else
    { 0, output_11347, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_srhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11348 },
#else
    { 0, output_11348, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_srshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11349 },
#else
    { 0, output_11349, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11350 },
#else
    { 0, output_11350, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uhsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11351 },
#else
    { 0, output_11351, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11352 },
#else
    { 0, output_11352, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_urhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11353 },
#else
    { 0, output_11353, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_urshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11354 },
#else
    { 0, output_11354, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_shaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11355 },
#else
    { 0, output_11355, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_shsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11356 },
#else
    { 0, output_11356, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_sqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11357 },
#else
    { 0, output_11357, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_srhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11358 },
#else
    { 0, output_11358, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_srshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11359 },
#else
    { 0, output_11359, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11360 },
#else
    { 0, output_11360, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uhsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11361 },
#else
    { 0, output_11361, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11362 },
#else
    { 0, output_11362, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_urhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11363 },
#else
    { 0, output_11363, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_urshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11364 },
#else
    { 0, output_11364, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_shaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11365 },
#else
    { 0, output_11365, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_shsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11366 },
#else
    { 0, output_11366, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_sqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11367 },
#else
    { 0, output_11367, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_srhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11368 },
#else
    { 0, output_11368, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_srshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11369 },
#else
    { 0, output_11369, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11370 },
#else
    { 0, output_11370, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uhsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11371 },
#else
    { 0, output_11371, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_uqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11372 },
#else
    { 0, output_11372, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_urhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11373 },
#else
    { 0, output_11373, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "*cond_urshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11374 },
#else
    { 0, output_11374, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_shaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11375 },
#else
    { 0, output_11375, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_shsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11376 },
#else
    { 0, output_11376, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_sqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11377 },
#else
    { 0, output_11377, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_srhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11378 },
#else
    { 0, output_11378, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_srshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11379 },
#else
    { 0, output_11379, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11380 },
#else
    { 0, output_11380, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uhsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11381 },
#else
    { 0, output_11381, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11382 },
#else
    { 0, output_11382, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_urhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11383 },
#else
    { 0, output_11383, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_urshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11384 },
#else
    { 0, output_11384, 0 },
#endif
    { 0 },
    &operand_data[10606],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_shaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11385 },
#else
    { 0, output_11385, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_shsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11386 },
#else
    { 0, output_11386, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_sqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11387 },
#else
    { 0, output_11387, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_srhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11388 },
#else
    { 0, output_11388, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_srshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11389 },
#else
    { 0, output_11389, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11390 },
#else
    { 0, output_11390, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uhsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11391 },
#else
    { 0, output_11391, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11392 },
#else
    { 0, output_11392, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_urhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11393 },
#else
    { 0, output_11393, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_urshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11394 },
#else
    { 0, output_11394, 0 },
#endif
    { 0 },
    &operand_data[10634],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_shaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11395 },
#else
    { 0, output_11395, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_shsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11396 },
#else
    { 0, output_11396, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_sqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11397 },
#else
    { 0, output_11397, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_srhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11398 },
#else
    { 0, output_11398, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_srshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11399 },
#else
    { 0, output_11399, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11400 },
#else
    { 0, output_11400, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uhsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11401 },
#else
    { 0, output_11401, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11402 },
#else
    { 0, output_11402, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_urhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11403 },
#else
    { 0, output_11403, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_urshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11404 },
#else
    { 0, output_11404, 0 },
#endif
    { 0 },
    &operand_data[10655],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_shaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11405 },
#else
    { 0, output_11405, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_shsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11406 },
#else
    { 0, output_11406, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_sqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11407 },
#else
    { 0, output_11407, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_srhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11408 },
#else
    { 0, output_11408, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_srshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11409 },
#else
    { 0, output_11409, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11410 },
#else
    { 0, output_11410, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uhsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11411 },
#else
    { 0, output_11411, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_uqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11412 },
#else
    { 0, output_11412, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_urhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11413 },
#else
    { 0, output_11413, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*cond_urshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11414 },
#else
    { 0, output_11414, 0 },
#endif
    { 0 },
    &operand_data[10669],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:899 */
  {
    "*cond_suqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11415 },
#else
    { 0, output_11415, 0 },
#endif
    { 0 },
    &operand_data[14879],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:899 */
  {
    "*cond_usqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11416 },
#else
    { 0, output_11416, 0 },
#endif
    { 0 },
    &operand_data[14879],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:899 */
  {
    "*cond_suqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11417 },
#else
    { 0, output_11417, 0 },
#endif
    { 0 },
    &operand_data[14885],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:899 */
  {
    "*cond_usqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11418 },
#else
    { 0, output_11418, 0 },
#endif
    { 0 },
    &operand_data[14885],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:899 */
  {
    "*cond_suqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11419 },
#else
    { 0, output_11419, 0 },
#endif
    { 0 },
    &operand_data[14891],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:899 */
  {
    "*cond_usqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11420 },
#else
    { 0, output_11420, 0 },
#endif
    { 0 },
    &operand_data[14891],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:899 */
  {
    "*cond_suqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11421 },
#else
    { 0, output_11421, 0 },
#endif
    { 0 },
    &operand_data[14897],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:899 */
  {
    "*cond_usqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11422 },
#else
    { 0, output_11422, 0 },
#endif
    { 0 },
    &operand_data[14897],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:932 */
  {
    "aarch64_sve_sqdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:932 */
  {
    "aarch64_sve_sqrdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:932 */
  {
    "aarch64_sve_sqdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:932 */
  {
    "aarch64_sve_sqrdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:932 */
  {
    "aarch64_sve_sqdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:932 */
  {
    "aarch64_sve_sqrdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:932 */
  {
    "aarch64_sve_sqdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:932 */
  {
    "aarch64_sve_sqrdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:942 */
  {
    "aarch64_sve_sqdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx8hi },
    &operand_data[14810],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:942 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx8hi },
    &operand_data[14810],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:942 */
  {
    "aarch64_sve_sqdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx4si },
    &operand_data[14814],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:942 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx4si },
    &operand_data[14814],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:942 */
  {
    "aarch64_sve_sqdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx2di },
    &operand_data[14818],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:942 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx2di },
    &operand_data[14818],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_pred_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11437 },
#else
    { 0, output_11437, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx16qi },
    &operand_data[14903],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_pred_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11438 },
#else
    { 0, output_11438, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx16qi },
    &operand_data[14903],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_pred_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11439 },
#else
    { 0, output_11439, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx8hi },
    &operand_data[14907],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_pred_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11440 },
#else
    { 0, output_11440, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx8hi },
    &operand_data[14907],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_pred_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11441 },
#else
    { 0, output_11441, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx4si },
    &operand_data[14911],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_pred_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11442 },
#else
    { 0, output_11442, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx4si },
    &operand_data[14911],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_pred_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11443 },
#else
    { 0, output_11443, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx2di },
    &operand_data[14915],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_pred_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11444 },
#else
    { 0, output_11444, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx2di },
    &operand_data[14915],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1006 */
  {
    "*cond_sqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11445 },
#else
    { 0, output_11445, 0 },
#endif
    { 0 },
    &operand_data[14919],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1006 */
  {
    "*cond_uqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11446 },
#else
    { 0, output_11446, 0 },
#endif
    { 0 },
    &operand_data[14919],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1006 */
  {
    "*cond_sqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11447 },
#else
    { 0, output_11447, 0 },
#endif
    { 0 },
    &operand_data[14924],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1006 */
  {
    "*cond_uqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11448 },
#else
    { 0, output_11448, 0 },
#endif
    { 0 },
    &operand_data[14924],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1006 */
  {
    "*cond_sqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11449 },
#else
    { 0, output_11449, 0 },
#endif
    { 0 },
    &operand_data[14929],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1006 */
  {
    "*cond_uqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11450 },
#else
    { 0, output_11450, 0 },
#endif
    { 0 },
    &operand_data[14929],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1006 */
  {
    "*cond_sqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11451 },
#else
    { 0, output_11451, 0 },
#endif
    { 0 },
    &operand_data[14934],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1006 */
  {
    "*cond_uqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11452 },
#else
    { 0, output_11452, 0 },
#endif
    { 0 },
    &operand_data[14934],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1033 */
  {
    "*cond_sqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11453 },
#else
    { 0, output_11453, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1033 */
  {
    "*cond_uqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11454 },
#else
    { 0, output_11454, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1033 */
  {
    "*cond_sqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11455 },
#else
    { 0, output_11455, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1033 */
  {
    "*cond_uqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11456 },
#else
    { 0, output_11456, 0 },
#endif
    { 0 },
    &operand_data[10570],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1033 */
  {
    "*cond_sqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11457 },
#else
    { 0, output_11457, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1033 */
  {
    "*cond_uqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11458 },
#else
    { 0, output_11458, 0 },
#endif
    { 0 },
    &operand_data[10588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1033 */
  {
    "*cond_sqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11459 },
#else
    { 0, output_11459, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1033 */
  {
    "*cond_uqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11460 },
#else
    { 0, output_11460, 0 },
#endif
    { 0 },
    &operand_data[10600],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*cond_sqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11461 },
#else
    { 0, output_11461, 0 },
#endif
    { 0 },
    &operand_data[14939],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*cond_uqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11462 },
#else
    { 0, output_11462, 0 },
#endif
    { 0 },
    &operand_data[14939],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*cond_sqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11463 },
#else
    { 0, output_11463, 0 },
#endif
    { 0 },
    &operand_data[14945],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*cond_uqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11464 },
#else
    { 0, output_11464, 0 },
#endif
    { 0 },
    &operand_data[14945],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*cond_sqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11465 },
#else
    { 0, output_11465, 0 },
#endif
    { 0 },
    &operand_data[14951],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*cond_uqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11466 },
#else
    { 0, output_11466, 0 },
#endif
    { 0 },
    &operand_data[14951],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*cond_sqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11467 },
#else
    { 0, output_11467, 0 },
#endif
    { 0 },
    &operand_data[14957],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*cond_uqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11468 },
#else
    { 0, output_11468, 0 },
#endif
    { 0 },
    &operand_data[14957],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1111 */
  {
    "aarch64_sve_fclampvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11469 },
#else
    { 0, output_11469, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclampvnx8hf },
    &operand_data[14963],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1111 */
  {
    "aarch64_sve_fclampvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11470 },
#else
    { 0, output_11470, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclampvnx4sf },
    &operand_data[14967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1111 */
  {
    "aarch64_sve_fclampvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11471 },
#else
    { 0, output_11471, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclampvnx2df },
    &operand_data[14971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1127 */
  {
    "*aarch64_sve_fclampvnx8hf_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11472 },
#else
    { 0, output_11472, 0 },
#endif
    { 0 },
    &operand_data[14975],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1127 */
  {
    "*aarch64_sve_fclampvnx4sf_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11473 },
#else
    { 0, output_11473, 0 },
#endif
    { 0 },
    &operand_data[14981],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1127 */
  {
    "*aarch64_sve_fclampvnx2df_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11474 },
#else
    { 0, output_11474, 0 },
#endif
    { 0 },
    &operand_data[14987],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1156 */
  {
    "aarch64_sve_fclamp_singlevnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx16hf },
    &operand_data[14993],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1156 */
  {
    "aarch64_sve_fclamp_singlevnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx8sf },
    &operand_data[14997],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1156 */
  {
    "aarch64_sve_fclamp_singlevnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx4df },
    &operand_data[15001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1156 */
  {
    "aarch64_sve_fclamp_singlevnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx32hf },
    &operand_data[15005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1156 */
  {
    "aarch64_sve_fclamp_singlevnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx16sf },
    &operand_data[15009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1156 */
  {
    "aarch64_sve_fclamp_singlevnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx8df },
    &operand_data[15013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_adclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11481 },
#else
    { 0, output_11481, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_adcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11482 },
#else
    { 0, output_11482, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_eorbtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11483 },
#else
    { 0, output_11483, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_eortbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11484 },
#else
    { 0, output_11484, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sbclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11485 },
#else
    { 0, output_11485, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sbcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11486 },
#else
    { 0, output_11486, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sqrdmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11487 },
#else
    { 0, output_11487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sqrdmlshvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11488 },
#else
    { 0, output_11488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_adclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11489 },
#else
    { 0, output_11489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_adcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11490 },
#else
    { 0, output_11490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_eorbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11491 },
#else
    { 0, output_11491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_eortbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11492 },
#else
    { 0, output_11492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sbclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11493 },
#else
    { 0, output_11493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sbcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11494 },
#else
    { 0, output_11494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sqrdmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11495 },
#else
    { 0, output_11495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sqrdmlshvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11496 },
#else
    { 0, output_11496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_adclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11497 },
#else
    { 0, output_11497, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_adcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11498 },
#else
    { 0, output_11498, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_eorbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11499 },
#else
    { 0, output_11499, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_eortbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11500 },
#else
    { 0, output_11500, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sbclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11501 },
#else
    { 0, output_11501, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sbcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11502 },
#else
    { 0, output_11502, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sqrdmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11503 },
#else
    { 0, output_11503, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sqrdmlshvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11504 },
#else
    { 0, output_11504, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_adclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11505 },
#else
    { 0, output_11505, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_adcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11506 },
#else
    { 0, output_11506, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_eorbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11507 },
#else
    { 0, output_11507, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_eortbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11508 },
#else
    { 0, output_11508, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sbclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11509 },
#else
    { 0, output_11509, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sbcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11510 },
#else
    { 0, output_11510, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sqrdmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11511 },
#else
    { 0, output_11511, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_sve_sqrdmlshvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11512 },
#else
    { 0, output_11512, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11513 },
#else
    { 0, output_11513, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11514 },
#else
    { 0, output_11514, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11515 },
#else
    { 0, output_11515, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11516 },
#else
    { 0, output_11516, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11517 },
#else
    { 0, output_11517, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11518 },
#else
    { 0, output_11518, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1228 */
  {
    "aarch64_sve_add_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11519 },
#else
    { 0, output_11519, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1228 */
  {
    "aarch64_sve_add_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11520 },
#else
    { 0, output_11520, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1228 */
  {
    "aarch64_sve_add_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11521 },
#else
    { 0, output_11521, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_sub_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11522 },
#else
    { 0, output_11522, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_sub_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11523 },
#else
    { 0, output_11523, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_sub_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11524 },
#else
    { 0, output_11524, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx2di },
    &operand_data[15043],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11525 },
#else
    { 0, 0, output_11525 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx16qi },
    &operand_data[15048],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11526 },
#else
    { 0, 0, output_11526 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx8hi },
    &operand_data[15052],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11527 },
#else
    { 0, 0, output_11527 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx4si },
    &operand_data[15056],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11528 },
#else
    { 0, 0, output_11528 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx2di },
    &operand_data[15060],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11529 },
#else
    { 0, 0, output_11529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv8qi },
    &operand_data[15064],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11530 },
#else
    { 0, 0, output_11530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv16qi },
    &operand_data[15068],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11531 },
#else
    { 0, 0, output_11531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv4hi },
    &operand_data[15072],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11532 },
#else
    { 0, 0, output_11532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv8hi },
    &operand_data[15076],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11533 },
#else
    { 0, 0, output_11533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv2si },
    &operand_data[15080],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11534 },
#else
    { 0, 0, output_11534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv4si },
    &operand_data[15084],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1274 */
  {
    "aarch64_sve2_xarv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11535 },
#else
    { 0, 0, output_11535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv2di },
    &operand_data[15088],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1323 */
  {
    "*aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11536 },
#else
    { 0, output_11536, 0 },
#endif
    { 0 },
    &operand_data[15092],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1323 */
  {
    "*aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11537 },
#else
    { 0, output_11537, 0 },
#endif
    { 0 },
    &operand_data[15097],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1323 */
  {
    "*aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11538 },
#else
    { 0, output_11538, 0 },
#endif
    { 0 },
    &operand_data[15102],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1323 */
  {
    "*aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11539 },
#else
    { 0, output_11539, 0 },
#endif
    { 0 },
    &operand_data[15107],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1346 */
  {
    "aarch64_sve2_eor3vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11540 },
#else
    { 0, output_11540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx16qi },
    &operand_data[15112],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1346 */
  {
    "aarch64_sve2_eor3vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11541 },
#else
    { 0, output_11541, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx8hi },
    &operand_data[15116],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1346 */
  {
    "aarch64_sve2_eor3vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11542 },
#else
    { 0, output_11542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx4si },
    &operand_data[15120],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1346 */
  {
    "aarch64_sve2_eor3vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11543 },
#else
    { 0, output_11543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx2di },
    &operand_data[15124],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1363 */
  {
    "*aarch64_sve2_norvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11544 },
#else
    { 0, output_11544, 0 },
#endif
    { 0 },
    &operand_data[15128],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1363 */
  {
    "*aarch64_sve2_norvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11545 },
#else
    { 0, output_11545, 0 },
#endif
    { 0 },
    &operand_data[15132],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1363 */
  {
    "*aarch64_sve2_norvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11546 },
#else
    { 0, output_11546, 0 },
#endif
    { 0 },
    &operand_data[15136],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1363 */
  {
    "*aarch64_sve2_norvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11547 },
#else
    { 0, output_11547, 0 },
#endif
    { 0 },
    &operand_data[15140],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1385 */
  {
    "*aarch64_sve2_nandvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11548 },
#else
    { 0, output_11548, 0 },
#endif
    { 0 },
    &operand_data[15128],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1385 */
  {
    "*aarch64_sve2_nandvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11549 },
#else
    { 0, output_11549, 0 },
#endif
    { 0 },
    &operand_data[15132],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1385 */
  {
    "*aarch64_sve2_nandvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11550 },
#else
    { 0, output_11550, 0 },
#endif
    { 0 },
    &operand_data[15136],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1385 */
  {
    "*aarch64_sve2_nandvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11551 },
#else
    { 0, output_11551, 0 },
#endif
    { 0 },
    &operand_data[15140],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1420 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11552 },
#else
    { 0, output_11552, 0 },
#endif
    { 0 },
    &operand_data[15144],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1420 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11553 },
#else
    { 0, output_11553, 0 },
#endif
    { 0 },
    &operand_data[15017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1420 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11554 },
#else
    { 0, output_11554, 0 },
#endif
    { 0 },
    &operand_data[15148],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1420 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11555 },
#else
    { 0, output_11555, 0 },
#endif
    { 0 },
    &operand_data[15021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1420 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11556 },
#else
    { 0, output_11556, 0 },
#endif
    { 0 },
    &operand_data[15152],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1420 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11557 },
#else
    { 0, output_11557, 0 },
#endif
    { 0 },
    &operand_data[15025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1420 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11558 },
#else
    { 0, output_11558, 0 },
#endif
    { 0 },
    &operand_data[15156],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1420 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11559 },
#else
    { 0, output_11559, 0 },
#endif
    { 0 },
    &operand_data[15029],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1457 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11560 },
#else
    { 0, output_11560, 0 },
#endif
    { 0 },
    &operand_data[15160],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1457 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11561 },
#else
    { 0, output_11561, 0 },
#endif
    { 0 },
    &operand_data[15092],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1457 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11562 },
#else
    { 0, output_11562, 0 },
#endif
    { 0 },
    &operand_data[15165],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1457 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11563 },
#else
    { 0, output_11563, 0 },
#endif
    { 0 },
    &operand_data[15097],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1457 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11564 },
#else
    { 0, output_11564, 0 },
#endif
    { 0 },
    &operand_data[15170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1457 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11565 },
#else
    { 0, output_11565, 0 },
#endif
    { 0 },
    &operand_data[15102],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1457 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11566 },
#else
    { 0, output_11566, 0 },
#endif
    { 0 },
    &operand_data[15175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1457 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11567 },
#else
    { 0, output_11567, 0 },
#endif
    { 0 },
    &operand_data[15107],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1502 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11568 },
#else
    { 0, output_11568, 0 },
#endif
    { 0 },
    &operand_data[15160],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1502 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11569 },
#else
    { 0, output_11569, 0 },
#endif
    { 0 },
    &operand_data[15092],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1502 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11570 },
#else
    { 0, output_11570, 0 },
#endif
    { 0 },
    &operand_data[15165],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1502 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11571 },
#else
    { 0, output_11571, 0 },
#endif
    { 0 },
    &operand_data[15097],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1502 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11572 },
#else
    { 0, output_11572, 0 },
#endif
    { 0 },
    &operand_data[15170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1502 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11573 },
#else
    { 0, output_11573, 0 },
#endif
    { 0 },
    &operand_data[15102],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1502 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11574 },
#else
    { 0, output_11574, 0 },
#endif
    { 0 },
    &operand_data[15175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1502 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11575 },
#else
    { 0, output_11575, 0 },
#endif
    { 0 },
    &operand_data[15107],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1548 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11576 },
#else
    { 0, output_11576, 0 },
#endif
    { 0 },
    &operand_data[15160],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1548 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11577 },
#else
    { 0, output_11577, 0 },
#endif
    { 0 },
    &operand_data[15092],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1548 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11578 },
#else
    { 0, output_11578, 0 },
#endif
    { 0 },
    &operand_data[15165],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1548 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11579 },
#else
    { 0, output_11579, 0 },
#endif
    { 0 },
    &operand_data[15097],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1548 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11580 },
#else
    { 0, output_11580, 0 },
#endif
    { 0 },
    &operand_data[15170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1548 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11581 },
#else
    { 0, output_11581, 0 },
#endif
    { 0 },
    &operand_data[15102],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1548 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11582 },
#else
    { 0, output_11582, 0 },
#endif
    { 0 },
    &operand_data[15175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1548 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11583 },
#else
    { 0, output_11583, 0 },
#endif
    { 0 },
    &operand_data[15107],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1575 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11584 },
#else
    { 0, output_11584, 0 },
#endif
    { 0 },
    &operand_data[15160],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1575 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11585 },
#else
    { 0, output_11585, 0 },
#endif
    { 0 },
    &operand_data[15092],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1575 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11586 },
#else
    { 0, output_11586, 0 },
#endif
    { 0 },
    &operand_data[15165],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1575 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11587 },
#else
    { 0, output_11587, 0 },
#endif
    { 0 },
    &operand_data[15097],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1575 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11588 },
#else
    { 0, output_11588, 0 },
#endif
    { 0 },
    &operand_data[15170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1575 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11589 },
#else
    { 0, output_11589, 0 },
#endif
    { 0 },
    &operand_data[15102],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1575 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11590 },
#else
    { 0, output_11590, 0 },
#endif
    { 0 },
    &operand_data[15175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1575 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11591 },
#else
    { 0, output_11591, 0 },
#endif
    { 0 },
    &operand_data[15107],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1629 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11592 },
#else
    { 0, output_11592, 0 },
#endif
    { 0 },
    &operand_data[15180],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1629 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11593 },
#else
    { 0, output_11593, 0 },
#endif
    { 0 },
    &operand_data[15180],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1629 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11594 },
#else
    { 0, output_11594, 0 },
#endif
    { 0 },
    &operand_data[15185],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1629 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11595 },
#else
    { 0, output_11595, 0 },
#endif
    { 0 },
    &operand_data[15185],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1629 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11596 },
#else
    { 0, output_11596, 0 },
#endif
    { 0 },
    &operand_data[15190],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1629 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11597 },
#else
    { 0, output_11597, 0 },
#endif
    { 0 },
    &operand_data[15190],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1629 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11598 },
#else
    { 0, output_11598, 0 },
#endif
    { 0 },
    &operand_data[15195],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1629 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11599 },
#else
    { 0, output_11599, 0 },
#endif
    { 0 },
    &operand_data[15195],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1651 */
  {
    "aarch64_sve_add_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11600 },
#else
    { 0, output_11600, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx16qi },
    &operand_data[15180],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1651 */
  {
    "aarch64_sve_add_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11601 },
#else
    { 0, output_11601, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx16qi },
    &operand_data[15180],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1651 */
  {
    "aarch64_sve_add_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11602 },
#else
    { 0, output_11602, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx8hi },
    &operand_data[15185],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1651 */
  {
    "aarch64_sve_add_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11603 },
#else
    { 0, output_11603, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx8hi },
    &operand_data[15185],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1651 */
  {
    "aarch64_sve_add_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11604 },
#else
    { 0, output_11604, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx4si },
    &operand_data[15190],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1651 */
  {
    "aarch64_sve_add_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11605 },
#else
    { 0, output_11605, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx4si },
    &operand_data[15190],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1651 */
  {
    "aarch64_sve_add_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11606 },
#else
    { 0, output_11606, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx2di },
    &operand_data[15195],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1651 */
  {
    "aarch64_sve_add_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11607 },
#else
    { 0, output_11607, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx2di },
    &operand_data[15195],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "aarch64_sve_slivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx16qi },
    &operand_data[15200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "aarch64_sve_srivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx16qi },
    &operand_data[15204],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "aarch64_sve_slivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx8hi },
    &operand_data[15208],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "aarch64_sve_srivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx8hi },
    &operand_data[15212],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "aarch64_sve_slivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx4si },
    &operand_data[15216],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "aarch64_sve_srivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx4si },
    &operand_data[15220],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "aarch64_sve_slivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx2di },
    &operand_data[15224],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "aarch64_sve_srivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx2di },
    &operand_data[15228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1720 */
  {
    "*aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11616 },
#else
    { 0, output_11616, 0 },
#endif
    { 0 },
    &operand_data[15232],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1720 */
  {
    "*aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11617 },
#else
    { 0, output_11617, 0 },
#endif
    { 0 },
    &operand_data[15232],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1720 */
  {
    "*aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11618 },
#else
    { 0, output_11618, 0 },
#endif
    { 0 },
    &operand_data[15238],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1720 */
  {
    "*aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11619 },
#else
    { 0, output_11619, 0 },
#endif
    { 0 },
    &operand_data[15238],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1720 */
  {
    "*aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11620 },
#else
    { 0, output_11620, 0 },
#endif
    { 0 },
    &operand_data[15244],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1720 */
  {
    "*aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11621 },
#else
    { 0, output_11621, 0 },
#endif
    { 0 },
    &operand_data[15244],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1720 */
  {
    "*aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11622 },
#else
    { 0, output_11622, 0 },
#endif
    { 0 },
    &operand_data[15250],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1720 */
  {
    "*aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11623 },
#else
    { 0, output_11623, 0 },
#endif
    { 0 },
    &operand_data[15250],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1756 */
  {
    "extendvnx16qivnx16hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx16qivnx16hi2 },
    &operand_data[15256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1756 */
  {
    "zero_extendvnx16qivnx16hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx16qivnx16hi2 },
    &operand_data[15256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1756 */
  {
    "extendvnx8hivnx8si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8hivnx8si2 },
    &operand_data[15258],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1756 */
  {
    "zero_extendvnx8hivnx8si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8hivnx8si2 },
    &operand_data[15258],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1756 */
  {
    "extendvnx4sivnx4di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4sivnx4di2 },
    &operand_data[15260],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1756 */
  {
    "zero_extendvnx4sivnx4di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4sivnx4di2 },
    &operand_data[15260],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1764 */
  {
    "extendvnx32qivnx32hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx32qivnx32hi2 },
    &operand_data[15262],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1764 */
  {
    "zero_extendvnx32qivnx32hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx32qivnx32hi2 },
    &operand_data[15262],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1764 */
  {
    "extendvnx16hivnx16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx16hivnx16si2 },
    &operand_data[15264],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1764 */
  {
    "zero_extendvnx16hivnx16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx16hivnx16si2 },
    &operand_data[15264],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1764 */
  {
    "extendvnx8sivnx8di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8sivnx8di2 },
    &operand_data[15266],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1764 */
  {
    "zero_extendvnx8sivnx8di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8sivnx8di2 },
    &operand_data[15266],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_saddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx8hi },
    &operand_data[15268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_saddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx8hi },
    &operand_data[15268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_ssubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx8hi },
    &operand_data[15268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_ssubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx8hi },
    &operand_data[15268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_uaddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx8hi },
    &operand_data[15268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_uaddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx8hi },
    &operand_data[15268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_usubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx8hi },
    &operand_data[15268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_usubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx8hi },
    &operand_data[15268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_saddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx4si },
    &operand_data[15271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_saddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx4si },
    &operand_data[15271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_ssubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx4si },
    &operand_data[15271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_ssubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx4si },
    &operand_data[15271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_uaddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx4si },
    &operand_data[15271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_uaddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx4si },
    &operand_data[15271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_usubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx4si },
    &operand_data[15271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_usubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx4si },
    &operand_data[15271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_saddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx2di },
    &operand_data[15274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_saddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx2di },
    &operand_data[15274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_ssubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx2di },
    &operand_data[15274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_ssubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx2di },
    &operand_data[15274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_uaddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx2di },
    &operand_data[15274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_uaddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx2di },
    &operand_data[15274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_usubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx2di },
    &operand_data[15274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1786 */
  {
    "aarch64_sve_usubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx2di },
    &operand_data[15274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_saddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_saddlbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_saddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssublbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssubltbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uaddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uaddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_usublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_usubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_saddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_saddlbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_saddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssublbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssubltbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uaddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uaddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_usublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_usubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx4si },
    &operand_data[15280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_saddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_saddlbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_saddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssublbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_ssubltbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uaddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_uaddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_usublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1823 */
  {
    "aarch64_sve_usubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx4si },
    &operand_data[15286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx4si },
    &operand_data[15286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx4si },
    &operand_data[15286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx4si },
    &operand_data[15286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx4si },
    &operand_data[15286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx4si },
    &operand_data[15286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx2di },
    &operand_data[15290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx2di },
    &operand_data[15290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx2di },
    &operand_data[15290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx2di },
    &operand_data[15290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx2di },
    &operand_data[15290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1833 */
  {
    "aarch64_sve_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx2di },
    &operand_data[15290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_sshllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx8hi },
    &operand_data[15294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_sshlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx8hi },
    &operand_data[15294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_ushllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx8hi },
    &operand_data[15294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_ushlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx8hi },
    &operand_data[15294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_sshllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx4si },
    &operand_data[15297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_sshlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx4si },
    &operand_data[15297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_ushllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx4si },
    &operand_data[15297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_ushlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx4si },
    &operand_data[15297],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_sshllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx2di },
    &operand_data[15300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_sshlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx2di },
    &operand_data[15300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_ushllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx2di },
    &operand_data[15300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1857 */
  {
    "aarch64_sve_ushlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx2di },
    &operand_data[15300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11747 },
#else
    { 0, output_11747, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11748 },
#else
    { 0, output_11748, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11749 },
#else
    { 0, output_11749, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11750 },
#else
    { 0, output_11750, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11751 },
#else
    { 0, output_11751, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11752 },
#else
    { 0, output_11752, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11753 },
#else
    { 0, output_11753, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11754 },
#else
    { 0, output_11754, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11755 },
#else
    { 0, output_11755, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11756 },
#else
    { 0, output_11756, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11757 },
#else
    { 0, output_11757, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11758 },
#else
    { 0, output_11758, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11759 },
#else
    { 0, output_11759, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11760 },
#else
    { 0, output_11760, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11761 },
#else
    { 0, output_11761, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11762 },
#else
    { 0, output_11762, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11763 },
#else
    { 0, output_11763, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11764 },
#else
    { 0, output_11764, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11765 },
#else
    { 0, output_11765, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11766 },
#else
    { 0, output_11766, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11767 },
#else
    { 0, output_11767, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11768 },
#else
    { 0, output_11768, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11769 },
#else
    { 0, output_11769, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1894 */
  {
    "aarch64_sve_add_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11770 },
#else
    { 0, output_11770, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1910 */
  {
    "aarch64_sve_add_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11771 },
#else
    { 0, output_11771, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1910 */
  {
    "aarch64_sve_add_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11772 },
#else
    { 0, output_11772, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1910 */
  {
    "aarch64_sve_add_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11773 },
#else
    { 0, output_11773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1910 */
  {
    "aarch64_sve_add_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11774 },
#else
    { 0, output_11774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1910 */
  {
    "aarch64_sve_add_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11775 },
#else
    { 0, output_11775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1910 */
  {
    "aarch64_sve_add_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11776 },
#else
    { 0, output_11776, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1910 */
  {
    "aarch64_sve_add_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11777 },
#else
    { 0, output_11777, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1910 */
  {
    "aarch64_sve_add_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11778 },
#else
    { 0, output_11778, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1929 */
  {
    "aarch64_sve_qadd_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11779 },
#else
    { 0, output_11779, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1929 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11780 },
#else
    { 0, output_11780, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1929 */
  {
    "aarch64_sve_qadd_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11781 },
#else
    { 0, output_11781, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1929 */
  {
    "aarch64_sve_qadd_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11782 },
#else
    { 0, output_11782, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1929 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11783 },
#else
    { 0, output_11783, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1929 */
  {
    "aarch64_sve_qadd_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11784 },
#else
    { 0, output_11784, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1929 */
  {
    "aarch64_sve_qadd_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11785 },
#else
    { 0, output_11785, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1929 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11786 },
#else
    { 0, output_11786, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1929 */
  {
    "aarch64_sve_qadd_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11787 },
#else
    { 0, output_11787, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1945 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11788 },
#else
    { 0, output_11788, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1945 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11789 },
#else
    { 0, output_11789, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1945 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11790 },
#else
    { 0, output_11790, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1945 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11791 },
#else
    { 0, output_11791, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11792 },
#else
    { 0, output_11792, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11793 },
#else
    { 0, output_11793, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11794 },
#else
    { 0, output_11794, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11795 },
#else
    { 0, output_11795, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11796 },
#else
    { 0, output_11796, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11797 },
#else
    { 0, output_11797, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11798 },
#else
    { 0, output_11798, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11799 },
#else
    { 0, output_11799, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11800 },
#else
    { 0, output_11800, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11801 },
#else
    { 0, output_11801, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11802 },
#else
    { 0, output_11802, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1964 */
  {
    "aarch64_sve_sub_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11803 },
#else
    { 0, output_11803, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1980 */
  {
    "aarch64_sve_sub_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11804 },
#else
    { 0, output_11804, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1980 */
  {
    "aarch64_sve_sub_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11805 },
#else
    { 0, output_11805, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1980 */
  {
    "aarch64_sve_sub_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11806 },
#else
    { 0, output_11806, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1980 */
  {
    "aarch64_sve_sub_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11807 },
#else
    { 0, output_11807, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1980 */
  {
    "aarch64_sve_sub_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11808 },
#else
    { 0, output_11808, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1980 */
  {
    "aarch64_sve_sub_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11809 },
#else
    { 0, output_11809, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1980 */
  {
    "aarch64_sve_sub_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11810 },
#else
    { 0, output_11810, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1980 */
  {
    "aarch64_sve_sub_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11811 },
#else
    { 0, output_11811, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1999 */
  {
    "aarch64_sve_qsub_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11812 },
#else
    { 0, output_11812, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1999 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11813 },
#else
    { 0, output_11813, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1999 */
  {
    "aarch64_sve_qsub_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11814 },
#else
    { 0, output_11814, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx8hi },
    &operand_data[15303],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1999 */
  {
    "aarch64_sve_qsub_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11815 },
#else
    { 0, output_11815, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1999 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11816 },
#else
    { 0, output_11816, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1999 */
  {
    "aarch64_sve_qsub_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11817 },
#else
    { 0, output_11817, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx4si },
    &operand_data[15307],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1999 */
  {
    "aarch64_sve_qsub_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11818 },
#else
    { 0, output_11818, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1999 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11819 },
#else
    { 0, output_11819, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1999 */
  {
    "aarch64_sve_qsub_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11820 },
#else
    { 0, output_11820, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx2di },
    &operand_data[15311],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2015 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11821 },
#else
    { 0, output_11821, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2015 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11822 },
#else
    { 0, output_11822, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx4si },
    &operand_data[15315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2015 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11823 },
#else
    { 0, output_11823, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2015 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11824 },
#else
    { 0, output_11824, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx2di },
    &operand_data[15320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2034 */
  {
    "sdot_prodvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11825 },
#else
    { 0, output_11825, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx4sivnx8hi },
    &operand_data[15325],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2034 */
  {
    "udot_prodvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11826 },
#else
    { 0, output_11826, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx4sivnx8hi },
    &operand_data[15325],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15329],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15329],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15329],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15329],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15332],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15332],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15332],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15332],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15335],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15335],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15335],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15335],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15338],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15341],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fmaxnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2068 */
  {
    "*aarch64_sve_fminnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15344],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx16hf },
    &operand_data[15347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx16hf },
    &operand_data[15347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx16hf },
    &operand_data[15347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx16hf },
    &operand_data[15347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx8sf },
    &operand_data[15350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx8sf },
    &operand_data[15350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx8sf },
    &operand_data[15350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx8sf },
    &operand_data[15350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx4df },
    &operand_data[15353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx4df },
    &operand_data[15353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx4df },
    &operand_data[15353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx4df },
    &operand_data[15353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx32hf },
    &operand_data[15356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx32hf },
    &operand_data[15356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx32hf },
    &operand_data[15356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx32hf },
    &operand_data[15356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx16sf },
    &operand_data[15359],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx16sf },
    &operand_data[15359],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx16sf },
    &operand_data[15359],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx16sf },
    &operand_data[15359],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx8df },
    &operand_data[15362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fmaxnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx8df },
    &operand_data[15362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx8df },
    &operand_data[15362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2078 */
  {
    "aarch64_sve_single_fminnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx8df },
    &operand_data[15362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2100 */
  {
    "aarch64_sve_fmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11875 },
#else
    { 0, output_11875, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlalbvnx4sf },
    &operand_data[15365],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2100 */
  {
    "aarch64_sve_fmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11876 },
#else
    { 0, output_11876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlaltvnx4sf },
    &operand_data[15365],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2100 */
  {
    "aarch64_sve_fmlslbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11877 },
#else
    { 0, output_11877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlslbvnx4sf },
    &operand_data[15365],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2100 */
  {
    "aarch64_sve_fmlsltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11878 },
#else
    { 0, output_11878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlsltvnx4sf },
    &operand_data[15365],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2114 */
  {
    "aarch64_fmlalb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11879 },
#else
    { 0, output_11879, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalb_lane_vnx4sf },
    &operand_data[15369],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2114 */
  {
    "aarch64_fmlalt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11880 },
#else
    { 0, output_11880, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalt_lane_vnx4sf },
    &operand_data[15369],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2114 */
  {
    "aarch64_fmlslb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11881 },
#else
    { 0, output_11881, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslb_lane_vnx4sf },
    &operand_data[15369],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2114 */
  {
    "aarch64_fmlslt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11882 },
#else
    { 0, output_11882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslt_lane_vnx4sf },
    &operand_data[15369],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2132 */
  {
    "aarch64_sve_fdotvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11883 },
#else
    { 0, output_11883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fdotvnx4sfvnx8hf },
    &operand_data[15365],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2147 */
  {
    "aarch64_fdot_prod_lanevnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11884 },
#else
    { 0, output_11884, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_prod_lanevnx4sfvnx8hf },
    &operand_data[15369],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2181 */
  {
    "aarch64_sve_sqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx8hi },
    &operand_data[13731],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2181 */
  {
    "aarch64_sve_sqxtunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx8hi },
    &operand_data[13731],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2181 */
  {
    "aarch64_sve_uqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx8hi },
    &operand_data[13731],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2181 */
  {
    "aarch64_sve_sqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx4si },
    &operand_data[13734],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2181 */
  {
    "aarch64_sve_sqxtunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx4si },
    &operand_data[13734],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2181 */
  {
    "aarch64_sve_uqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx4si },
    &operand_data[13734],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2181 */
  {
    "aarch64_sve_sqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx2di },
    &operand_data[13737],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2181 */
  {
    "aarch64_sve_sqxtunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx2di },
    &operand_data[13737],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2181 */
  {
    "aarch64_sve_uqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx2di },
    &operand_data[13737],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2191 */
  {
    "aarch64_sve_sqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx8hi },
    &operand_data[15374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2191 */
  {
    "aarch64_sve_sqxtuntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx8hi },
    &operand_data[15374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2191 */
  {
    "aarch64_sve_uqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx8hi },
    &operand_data[15374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2191 */
  {
    "aarch64_sve_sqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx4si },
    &operand_data[15377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2191 */
  {
    "aarch64_sve_sqxtuntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx4si },
    &operand_data[15377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2191 */
  {
    "aarch64_sve_uqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx4si },
    &operand_data[15377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2191 */
  {
    "aarch64_sve_sqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx2di },
    &operand_data[15380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2191 */
  {
    "aarch64_sve_sqxtuntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx2di },
    &operand_data[15380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2191 */
  {
    "aarch64_sve_uqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx2di },
    &operand_data[15380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2211 */
  {
    "aarch64_sve_sqcvtvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvt\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtvnx16qivnx16si },
    &operand_data[15383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2211 */
  {
    "aarch64_sve_sqcvtnvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtn\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtnvnx16qivnx16si },
    &operand_data[15383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2211 */
  {
    "aarch64_sve_sqcvtuvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtu\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtuvnx16qivnx16si },
    &operand_data[15383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2211 */
  {
    "aarch64_sve_sqcvtunvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtun\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtunvnx16qivnx16si },
    &operand_data[15383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2211 */
  {
    "aarch64_sve_uqcvtvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvt\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtvnx16qivnx16si },
    &operand_data[15383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2211 */
  {
    "aarch64_sve_uqcvtnvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvtn\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtnvnx16qivnx16si },
    &operand_data[15383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2220 */
  {
    "aarch64_sve_sqcvtvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtvnx8hivnx8si },
    &operand_data[15385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2220 */
  {
    "aarch64_sve_sqcvtnvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtnvnx8hivnx8si },
    &operand_data[15385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2220 */
  {
    "aarch64_sve_sqcvtuvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtu\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtuvnx8hivnx8si },
    &operand_data[15385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2220 */
  {
    "aarch64_sve_sqcvtunvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtun\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtunvnx8hivnx8si },
    &operand_data[15385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2220 */
  {
    "aarch64_sve_uqcvtvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtvnx8hivnx8si },
    &operand_data[15385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2220 */
  {
    "aarch64_sve_uqcvtnvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtnvnx8hivnx8si },
    &operand_data[15385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2229 */
  {
    "aarch64_sve_sqcvtvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtvnx8hivnx8di },
    &operand_data[15387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2229 */
  {
    "aarch64_sve_sqcvtnvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtnvnx8hivnx8di },
    &operand_data[15387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2229 */
  {
    "aarch64_sve_sqcvtuvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtu\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtuvnx8hivnx8di },
    &operand_data[15387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2229 */
  {
    "aarch64_sve_sqcvtunvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtun\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtunvnx8hivnx8di },
    &operand_data[15387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2229 */
  {
    "aarch64_sve_uqcvtvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtvnx8hivnx8di },
    &operand_data[15387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2229 */
  {
    "aarch64_sve_uqcvtnvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtnvnx8hivnx8di },
    &operand_data[15387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_addhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx8hi },
    &operand_data[13731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_raddhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx8hi },
    &operand_data[13731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_rsubhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx8hi },
    &operand_data[13731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_subhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx8hi },
    &operand_data[13731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_addhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx4si },
    &operand_data[13734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_raddhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx4si },
    &operand_data[13734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_rsubhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx4si },
    &operand_data[13734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_subhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx4si },
    &operand_data[13734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_addhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx2di },
    &operand_data[13737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_raddhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx2di },
    &operand_data[13737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_rsubhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx2di },
    &operand_data[13737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2252 */
  {
    "aarch64_sve_subhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx2di },
    &operand_data[13737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_addhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx8hi },
    &operand_data[15389],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_raddhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx8hi },
    &operand_data[15389],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_rsubhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx8hi },
    &operand_data[15389],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_subhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx8hi },
    &operand_data[15389],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_addhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx4si },
    &operand_data[15393],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_raddhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx4si },
    &operand_data[15393],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_rsubhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx4si },
    &operand_data[15393],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_subhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx4si },
    &operand_data[15393],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_addhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx2di },
    &operand_data[15397],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_raddhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx2di },
    &operand_data[15397],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_rsubhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx2di },
    &operand_data[15397],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2263 */
  {
    "aarch64_sve_subhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx2di },
    &operand_data[15397],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2275 */
  {
    "*bitmask_shift_plusvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15401],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2275 */
  {
    "*bitmask_shift_plusvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15406],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2275 */
  {
    "*bitmask_shift_plusvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15411],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_rshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx8hi },
    &operand_data[15416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_shrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx8hi },
    &operand_data[15416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx8hi },
    &operand_data[15416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqrshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx8hi },
    &operand_data[15416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx8hi },
    &operand_data[15416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx8hi },
    &operand_data[15416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_uqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx8hi },
    &operand_data[15416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_uqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx8hi },
    &operand_data[15416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_rshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx4si },
    &operand_data[15419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_shrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx4si },
    &operand_data[15419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx4si },
    &operand_data[15419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqrshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx4si },
    &operand_data[15419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx4si },
    &operand_data[15419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx4si },
    &operand_data[15419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_uqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx4si },
    &operand_data[15419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_uqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx4si },
    &operand_data[15419],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_rshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx2di },
    &operand_data[15422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_shrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx2di },
    &operand_data[15422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx2di },
    &operand_data[15422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqrshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx2di },
    &operand_data[15422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx2di },
    &operand_data[15422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_sqshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx2di },
    &operand_data[15422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_uqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx2di },
    &operand_data[15422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2313 */
  {
    "aarch64_sve_uqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx2di },
    &operand_data[15422],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_rshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx8hi },
    &operand_data[15425],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_shrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx8hi },
    &operand_data[15425],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx8hi },
    &operand_data[15425],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqrshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx8hi },
    &operand_data[15425],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx8hi },
    &operand_data[15425],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx8hi },
    &operand_data[15425],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_uqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx8hi },
    &operand_data[15425],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_uqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx8hi },
    &operand_data[15425],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_rshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx4si },
    &operand_data[15429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_shrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx4si },
    &operand_data[15429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx4si },
    &operand_data[15429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqrshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx4si },
    &operand_data[15429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx4si },
    &operand_data[15429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx4si },
    &operand_data[15429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_uqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx4si },
    &operand_data[15429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_uqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx4si },
    &operand_data[15429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_rshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx2di },
    &operand_data[15433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_shrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx2di },
    &operand_data[15433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx2di },
    &operand_data[15433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqrshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx2di },
    &operand_data[15433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx2di },
    &operand_data[15433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_sqshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx2di },
    &operand_data[15433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_uqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx2di },
    &operand_data[15433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2325 */
  {
    "aarch64_sve_uqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx2di },
    &operand_data[15433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshrvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshr\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrvnx8si },
    &operand_data[15437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshrnvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnvnx8si },
    &operand_data[15437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshruvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshru\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruvnx8si },
    &operand_data[15437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshrunvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunvnx8si },
    &operand_data[15437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_uqrshrvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshr\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrvnx8si },
    &operand_data[15437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_uqrshrnvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnvnx8si },
    &operand_data[15437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshrvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshr\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrvnx16si },
    &operand_data[15440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshrnvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnvnx16si },
    &operand_data[15440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshruvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshru\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruvnx16si },
    &operand_data[15440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshrunvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunvnx16si },
    &operand_data[15440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_uqrshrvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshr\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrvnx16si },
    &operand_data[15440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_uqrshrnvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnvnx16si },
    &operand_data[15440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshrvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshr\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrvnx8di },
    &operand_data[15443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshrnvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnvnx8di },
    &operand_data[15443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshruvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshru\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruvnx8di },
    &operand_data[15443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_sqrshrunvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunvnx8di },
    &operand_data[15443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_uqrshrvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshr\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrvnx8di },
    &operand_data[15443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2340 */
  {
    "aarch64_sve_uqrshrnvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnvnx8di },
    &operand_data[15443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_addpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12014 },
#else
    { 0, output_12014, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx16qi },
    &operand_data[10198],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_smaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12015 },
#else
    { 0, output_12015, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx16qi },
    &operand_data[10198],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_sminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12016 },
#else
    { 0, output_12016, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx16qi },
    &operand_data[10198],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_umaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12017 },
#else
    { 0, output_12017, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx16qi },
    &operand_data[10198],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_uminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12018 },
#else
    { 0, output_12018, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx16qi },
    &operand_data[10198],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_addpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12019 },
#else
    { 0, output_12019, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx8hi },
    &operand_data[10214],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_smaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12020 },
#else
    { 0, output_12020, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx8hi },
    &operand_data[10214],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_sminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12021 },
#else
    { 0, output_12021, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx8hi },
    &operand_data[10214],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_umaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12022 },
#else
    { 0, output_12022, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx8hi },
    &operand_data[10214],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_uminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12023 },
#else
    { 0, output_12023, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx8hi },
    &operand_data[10214],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_addpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12024 },
#else
    { 0, output_12024, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx4si },
    &operand_data[10226],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_smaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12025 },
#else
    { 0, output_12025, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx4si },
    &operand_data[10226],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_sminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12026 },
#else
    { 0, output_12026, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx4si },
    &operand_data[10226],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_umaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12027 },
#else
    { 0, output_12027, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx4si },
    &operand_data[10226],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_uminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12028 },
#else
    { 0, output_12028, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx4si },
    &operand_data[10226],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_addpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12029 },
#else
    { 0, output_12029, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx2di },
    &operand_data[10234],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_smaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12030 },
#else
    { 0, output_12030, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx2di },
    &operand_data[10234],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_sminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12031 },
#else
    { 0, output_12031, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx2di },
    &operand_data[10234],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_umaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12032 },
#else
    { 0, output_12032, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx2di },
    &operand_data[10234],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2365 */
  {
    "aarch64_pred_uminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12033 },
#else
    { 0, output_12033, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx2di },
    &operand_data[10234],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_faddpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12034 },
#else
    { 0, output_12034, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx8hf },
    &operand_data[11509],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fmaxpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12035 },
#else
    { 0, output_12035, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx8hf },
    &operand_data[11509],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fmaxnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12036 },
#else
    { 0, output_12036, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx8hf },
    &operand_data[11509],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fminpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12037 },
#else
    { 0, output_12037, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx8hf },
    &operand_data[11509],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fminnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12038 },
#else
    { 0, output_12038, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx8hf },
    &operand_data[11509],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_faddpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12039 },
#else
    { 0, output_12039, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx4sf },
    &operand_data[11514],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fmaxpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12040 },
#else
    { 0, output_12040, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx4sf },
    &operand_data[11514],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fmaxnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12041 },
#else
    { 0, output_12041, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx4sf },
    &operand_data[11514],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fminpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12042 },
#else
    { 0, output_12042, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx4sf },
    &operand_data[11514],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fminnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12043 },
#else
    { 0, output_12043, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx4sf },
    &operand_data[11514],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_faddpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12044 },
#else
    { 0, output_12044, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx2df },
    &operand_data[11519],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fmaxpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12045 },
#else
    { 0, output_12045, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx2df },
    &operand_data[11519],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fmaxnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12046 },
#else
    { 0, output_12046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx2df },
    &operand_data[11519],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fminpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12047 },
#else
    { 0, output_12047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx2df },
    &operand_data[11519],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2390 */
  {
    "aarch64_pred_fminnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12048 },
#else
    { 0, output_12048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx2df },
    &operand_data[11519],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2434 */
  {
    "*cond_sadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12049 },
#else
    { 0, output_12049, 0 },
#endif
    { 0 },
    &operand_data[15446],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2434 */
  {
    "*cond_uadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12050 },
#else
    { 0, output_12050, 0 },
#endif
    { 0 },
    &operand_data[15446],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2434 */
  {
    "*cond_sadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12051 },
#else
    { 0, output_12051, 0 },
#endif
    { 0 },
    &operand_data[15451],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2434 */
  {
    "*cond_uadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12052 },
#else
    { 0, output_12052, 0 },
#endif
    { 0 },
    &operand_data[15451],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2434 */
  {
    "*cond_sadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12053 },
#else
    { 0, output_12053, 0 },
#endif
    { 0 },
    &operand_data[15456],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2434 */
  {
    "*cond_uadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12054 },
#else
    { 0, output_12054, 0 },
#endif
    { 0 },
    &operand_data[15456],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2457 */
  {
    "*cond_sadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12055 },
#else
    { 0, output_12055, 0 },
#endif
    { 0 },
    &operand_data[15461],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2457 */
  {
    "*cond_uadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12056 },
#else
    { 0, output_12056, 0 },
#endif
    { 0 },
    &operand_data[15461],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2457 */
  {
    "*cond_sadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12057 },
#else
    { 0, output_12057, 0 },
#endif
    { 0 },
    &operand_data[15467],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2457 */
  {
    "*cond_uadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12058 },
#else
    { 0, output_12058, 0 },
#endif
    { 0 },
    &operand_data[15467],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2457 */
  {
    "*cond_sadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12059 },
#else
    { 0, output_12059, 0 },
#endif
    { 0 },
    &operand_data[15473],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2457 */
  {
    "*cond_uadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12060 },
#else
    { 0, output_12060, 0 },
#endif
    { 0 },
    &operand_data[15473],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2488 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12061 },
#else
    { 0, output_12061, 0 },
#endif
    { 0 },
    &operand_data[15479],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2488 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12062 },
#else
    { 0, output_12062, 0 },
#endif
    { 0 },
    &operand_data[15479],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2488 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12063 },
#else
    { 0, output_12063, 0 },
#endif
    { 0 },
    &operand_data[15486],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2488 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12064 },
#else
    { 0, output_12064, 0 },
#endif
    { 0 },
    &operand_data[15486],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2488 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12065 },
#else
    { 0, output_12065, 0 },
#endif
    { 0 },
    &operand_data[15493],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2488 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12066 },
#else
    { 0, output_12066, 0 },
#endif
    { 0 },
    &operand_data[15493],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_cadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12067 },
#else
    { 0, output_12067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx16qi },
    &operand_data[13639],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_cadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12068 },
#else
    { 0, output_12068, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx16qi },
    &operand_data[13639],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_sqcadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12069 },
#else
    { 0, output_12069, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx16qi },
    &operand_data[13639],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_sqcadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12070 },
#else
    { 0, output_12070, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx16qi },
    &operand_data[13639],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_cadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12071 },
#else
    { 0, output_12071, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx8hi },
    &operand_data[13655],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_cadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12072 },
#else
    { 0, output_12072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx8hi },
    &operand_data[13655],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_sqcadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12073 },
#else
    { 0, output_12073, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx8hi },
    &operand_data[13655],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_sqcadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12074 },
#else
    { 0, output_12074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx8hi },
    &operand_data[13655],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_cadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12075 },
#else
    { 0, output_12075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx4si },
    &operand_data[13667],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_cadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12076 },
#else
    { 0, output_12076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx4si },
    &operand_data[13667],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_sqcadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12077 },
#else
    { 0, output_12077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx4si },
    &operand_data[13667],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_sqcadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12078 },
#else
    { 0, output_12078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx4si },
    &operand_data[13667],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_cadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12079 },
#else
    { 0, output_12079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx2di },
    &operand_data[13675],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_cadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12080 },
#else
    { 0, output_12080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx2di },
    &operand_data[13675],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_sqcadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12081 },
#else
    { 0, output_12081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx2di },
    &operand_data[13675],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2529 */
  {
    "aarch64_sve_sqcadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12082 },
#else
    { 0, output_12082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx2di },
    &operand_data[13675],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmlavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12083 },
#else
    { 0, output_12083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12084 },
#else
    { 0, output_12084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12085 },
#else
    { 0, output_12085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12086 },
#else
    { 0, output_12086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12087 },
#else
    { 0, output_12087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12088 },
#else
    { 0, output_12088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12089 },
#else
    { 0, output_12089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12090 },
#else
    { 0, output_12090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx16qi },
    &operand_data[15017],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmlavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12091 },
#else
    { 0, output_12091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12092 },
#else
    { 0, output_12092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12093 },
#else
    { 0, output_12093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12094 },
#else
    { 0, output_12094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12095 },
#else
    { 0, output_12095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12096 },
#else
    { 0, output_12096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12097 },
#else
    { 0, output_12097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12098 },
#else
    { 0, output_12098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx8hi },
    &operand_data[15021],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmlavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12099 },
#else
    { 0, output_12099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12100 },
#else
    { 0, output_12100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12101 },
#else
    { 0, output_12101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12102 },
#else
    { 0, output_12102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12103 },
#else
    { 0, output_12103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12104 },
#else
    { 0, output_12104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12105 },
#else
    { 0, output_12105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12106 },
#else
    { 0, output_12106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx4si },
    &operand_data[15025],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmlavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12107 },
#else
    { 0, output_12107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12108 },
#else
    { 0, output_12108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12109 },
#else
    { 0, output_12109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_cmla270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12110 },
#else
    { 0, output_12110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12111 },
#else
    { 0, output_12111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12112 },
#else
    { 0, output_12112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12113 },
#else
    { 0, output_12113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2560 */
  {
    "aarch64_sve_sqrdcmlah270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12114 },
#else
    { 0, output_12114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx2di },
    &operand_data[15029],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_cmla_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12115 },
#else
    { 0, output_12115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_cmla90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12116 },
#else
    { 0, output_12116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_cmla180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12117 },
#else
    { 0, output_12117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_cmla270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12118 },
#else
    { 0, output_12118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_sqrdcmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12119 },
#else
    { 0, output_12119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_sqrdcmlah90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12120 },
#else
    { 0, output_12120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_sqrdcmlah180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12121 },
#else
    { 0, output_12121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_sqrdcmlah270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12122 },
#else
    { 0, output_12122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx8hi },
    &operand_data[15033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_cmla_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12123 },
#else
    { 0, output_12123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_cmla90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12124 },
#else
    { 0, output_12124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_cmla180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12125 },
#else
    { 0, output_12125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_cmla270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12126 },
#else
    { 0, output_12126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_sqrdcmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12127 },
#else
    { 0, output_12127, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_sqrdcmlah90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12128 },
#else
    { 0, output_12128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_sqrdcmlah180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12129 },
#else
    { 0, output_12129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2574 */
  {
    "aarch64_sqrdcmlah270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12130 },
#else
    { 0, output_12130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx4si },
    &operand_data[15038],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2640 */
  {
    "aarch64_sve_cdotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12131 },
#else
    { 0, output_12131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx4si },
    &operand_data[12258],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2640 */
  {
    "aarch64_sve_cdot90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12132 },
#else
    { 0, output_12132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx4si },
    &operand_data[12258],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2640 */
  {
    "aarch64_sve_cdot180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12133 },
#else
    { 0, output_12133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx4si },
    &operand_data[12258],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2640 */
  {
    "aarch64_sve_cdot270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12134 },
#else
    { 0, output_12134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx4si },
    &operand_data[12258],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2640 */
  {
    "aarch64_sve_cdotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12135 },
#else
    { 0, output_12135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx2di },
    &operand_data[15500],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2640 */
  {
    "aarch64_sve_cdot90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12136 },
#else
    { 0, output_12136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx2di },
    &operand_data[15500],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2640 */
  {
    "aarch64_sve_cdot180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12137 },
#else
    { 0, output_12137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx2di },
    &operand_data[15500],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2640 */
  {
    "aarch64_sve_cdot270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12138 },
#else
    { 0, output_12138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx2di },
    &operand_data[15500],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2654 */
  {
    "aarch64_cdot_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12139 },
#else
    { 0, output_12139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx4si },
    &operand_data[15504],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2654 */
  {
    "aarch64_cdot90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12140 },
#else
    { 0, output_12140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx4si },
    &operand_data[15504],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2654 */
  {
    "aarch64_cdot180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12141 },
#else
    { 0, output_12141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx4si },
    &operand_data[15504],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2654 */
  {
    "aarch64_cdot270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12142 },
#else
    { 0, output_12142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx4si },
    &operand_data[15504],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2654 */
  {
    "aarch64_cdot_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12143 },
#else
    { 0, output_12143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx2di },
    &operand_data[15509],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2654 */
  {
    "aarch64_cdot90_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12144 },
#else
    { 0, output_12144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx2di },
    &operand_data[15509],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2654 */
  {
    "aarch64_cdot180_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12145 },
#else
    { 0, output_12145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx2di },
    &operand_data[15509],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2654 */
  {
    "aarch64_cdot270_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12146 },
#else
    { 0, output_12146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx2di },
    &operand_data[15509],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2683 */
  {
    "aarch64_pred_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx4sf },
    &operand_data[15514],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2683 */
  {
    "aarch64_pred_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx2df },
    &operand_data[15518],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2710 */
  {
    "*cond_fcvtltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15522],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2710 */
  {
    "*cond_fcvtltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15527],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2729 */
  {
    "*cond_fcvtltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15522],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2729 */
  {
    "*cond_fcvtltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15527],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2758 */
  {
    "aarch64_sve_cvtntvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8hf },
    &operand_data[15532],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2758 */
  {
    "aarch64_sve_cvtntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx4sf },
    &operand_data[15536],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2772 */
  {
    "aarch64_pred_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12155 },
#else
    { 0, output_12155, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtxvnx4sf },
    &operand_data[13934],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2801 */
  {
    "*cond_fcvtxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12156 },
#else
    { 0, output_12156, 0 },
#endif
    { 0 },
    &operand_data[15540],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2824 */
  {
    "*cond_fcvtxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12157 },
#else
    { 0, output_12157, 0 },
#endif
    { 0 },
    &operand_data[15540],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2848 */
  {
    "aarch64_sve2_cvtxntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_cvtxntvnx2df },
    &operand_data[15536],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2870 */
  {
    "truncvnx8sfvnx8bf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8sfvnx8bf2 },
    &operand_data[15545],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2870 */
  {
    "truncvnx8sfvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8sfvnx8hf2 },
    &operand_data[15547],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2878 */
  {
    "aarch64_sve_cvtnvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtnvnx8bf },
    &operand_data[15545],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2878 */
  {
    "aarch64_sve_cvtnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtnvnx8hf },
    &operand_data[15547],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2891 */
  {
    "floatvnx8sivnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx8sivnx8sf2 },
    &operand_data[15549],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2891 */
  {
    "floatunsvnx8sivnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx8sivnx8sf2 },
    &operand_data[15549],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2891 */
  {
    "floatvnx16sivnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx16sivnx16sf2 },
    &operand_data[15551],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2891 */
  {
    "floatunsvnx16sivnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx16sivnx16sf2 },
    &operand_data[15551],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2903 */
  {
    "fixvnx8sfvnx8si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixvnx8sfvnx8si2 },
    &operand_data[15553],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2903 */
  {
    "fixunsvnx8sfvnx8si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsvnx8sfvnx8si2 },
    &operand_data[15553],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2903 */
  {
    "fixvnx16sfvnx16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixvnx16sfvnx16si2 },
    &operand_data[15555],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2903 */
  {
    "fixunsvnx16sfvnx16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsvnx16sfvnx16si2 },
    &operand_data[15555],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2924 */
  {
    "aarch64_pred_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12171 },
#else
    { 0, output_12171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urecpevnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2924 */
  {
    "aarch64_pred_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12172 },
#else
    { 0, output_12172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ursqrtevnx4si },
    &operand_data[9307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2958 */
  {
    "*cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12173 },
#else
    { 0, output_12173, 0 },
#endif
    { 0 },
    &operand_data[15557],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2958 */
  {
    "*cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12174 },
#else
    { 0, output_12174, 0 },
#endif
    { 0 },
    &operand_data[15557],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2990 */
  {
    "aarch64_pred_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12175 },
#else
    { 0, output_12175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx8hf },
    &operand_data[13746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2990 */
  {
    "aarch64_pred_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12176 },
#else
    { 0, output_12176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx4sf },
    &operand_data[13762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2990 */
  {
    "aarch64_pred_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12177 },
#else
    { 0, output_12177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx2df },
    &operand_data[13778],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3019 */
  {
    "*cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12178 },
#else
    { 0, output_12178, 0 },
#endif
    { 0 },
    &operand_data[15562],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3019 */
  {
    "*cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12179 },
#else
    { 0, output_12179, 0 },
#endif
    { 0 },
    &operand_data[15567],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3019 */
  {
    "*cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12180 },
#else
    { 0, output_12180, 0 },
#endif
    { 0 },
    &operand_data[15572],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3042 */
  {
    "*cond_flogbvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12181 },
#else
    { 0, output_12181, 0 },
#endif
    { 0 },
    &operand_data[15562],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3042 */
  {
    "*cond_flogbvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12182 },
#else
    { 0, output_12182, 0 },
#endif
    { 0 },
    &operand_data[15567],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3042 */
  {
    "*cond_flogbvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12183 },
#else
    { 0, output_12183, 0 },
#endif
    { 0 },
    &operand_data[15572],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3071 */
  {
    "aarch64_sve2_pmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_pmulvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3083 */
  {
    "aarch64_sve_pmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3083 */
  {
    "aarch64_sve_pmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx8hi },
    &operand_data[15277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3083 */
  {
    "aarch64_sve_pmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3083 */
  {
    "aarch64_sve_pmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx2di },
    &operand_data[15283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3096 */
  {
    "aarch64_sve_pmullb_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3096 */
  {
    "aarch64_sve_pmullt_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3096 */
  {
    "aarch64_sve_pmullb_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3096 */
  {
    "aarch64_sve_pmullt_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3096 */
  {
    "aarch64_sve_pmullb_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3096 */
  {
    "aarch64_sve_pmullt_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx32qi },
    &operand_data[15577],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16hi },
    &operand_data[15581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx8si },
    &operand_data[15585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx4di },
    &operand_data[15589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16bf },
    &operand_data[15593],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16hf },
    &operand_data[15597],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx8sf },
    &operand_data[15601],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx4df },
    &operand_data[15605],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx64qi },
    &operand_data[15609],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx32hi },
    &operand_data[15613],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16si },
    &operand_data[15617],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx8di },
    &operand_data[15621],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx32bf },
    &operand_data[15625],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx32hf },
    &operand_data[15629],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16sf },
    &operand_data[15633],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3114 */
  {
    "aarch64_sve_selvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx8df },
    &operand_data[15637],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilege_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_b8_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilegt_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_b8_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileugt_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_b8_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileuge_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_b8_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilele_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_b8_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileult_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_b8_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileule_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_b8_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilelt_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_b8_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilege_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_b16_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilegt_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_b16_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileugt_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_b16_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileuge_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_b16_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilele_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_b16_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileult_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_b16_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileule_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_b16_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilelt_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_b16_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilege_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_b32_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilegt_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_b32_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileugt_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_b32_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileuge_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_b32_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilele_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_b32_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileult_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_b32_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileule_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_b32_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilelt_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_b32_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilege_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_b64_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilegt_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_b64_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileugt_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_b64_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileuge_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_b64_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilele_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_b64_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileult_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_b64_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whileule_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_b64_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3139 */
  {
    "aarch64_sve_whilelt_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_b64_x2 },
    &operand_data[15641],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilege_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_c8 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilegt_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_c8 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileugt_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_c8 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileuge_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_c8 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilele_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_c8 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileult_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_c8 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileule_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_c8 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilelt_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_c8 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilege_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_c16 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilegt_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_c16 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileugt_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_c16 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileuge_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_c16 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilele_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_c16 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileult_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_c16 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileule_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_c16 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilelt_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_c16 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilege_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_c32 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilegt_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_c32 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileugt_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_c32 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileuge_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_c32 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilele_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_c32 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileult_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_c32 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileule_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_c32 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilelt_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_c32 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilege_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_c64 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilegt_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_c64 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileugt_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_c64 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileuge_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_c64 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilele_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_c64 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileult_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_c64 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whileule_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_c64 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "aarch64_sve_whilelt_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_c64 },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3177 */
  {
    "aarch64_pred_revdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12275 },
#else
    { 0, output_12275, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx16qi },
    &operand_data[9479],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3177 */
  {
    "aarch64_pred_revdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12276 },
#else
    { 0, output_12276, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx8hi },
    &operand_data[9488],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3177 */
  {
    "aarch64_pred_revdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12277 },
#else
    { 0, output_12277, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx4si },
    &operand_data[9494],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3177 */
  {
    "aarch64_pred_revdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12278 },
#else
    { 0, output_12278, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx2di },
    &operand_data[9313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3177 */
  {
    "aarch64_pred_revdvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12279 },
#else
    { 0, output_12279, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx8bf },
    &operand_data[9506],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3177 */
  {
    "aarch64_pred_revdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12280 },
#else
    { 0, output_12280, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx8hf },
    &operand_data[9497],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3177 */
  {
    "aarch64_pred_revdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12281 },
#else
    { 0, output_12281, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx4sf },
    &operand_data[9515],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3177 */
  {
    "aarch64_pred_revdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12282 },
#else
    { 0, output_12282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx2df },
    &operand_data[9521],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3192 */
  {
    "cond_revdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12283 },
#else
    { 0, output_12283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx16qi },
    &operand_data[15648],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3192 */
  {
    "cond_revdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12284 },
#else
    { 0, output_12284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx8hi },
    &operand_data[15652],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3192 */
  {
    "cond_revdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12285 },
#else
    { 0, output_12285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx4si },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3192 */
  {
    "cond_revdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12286 },
#else
    { 0, output_12286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx2di },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3192 */
  {
    "cond_revdvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12287 },
#else
    { 0, output_12287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx8bf },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3192 */
  {
    "cond_revdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12288 },
#else
    { 0, output_12288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx8hf },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3192 */
  {
    "cond_revdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12289 },
#else
    { 0, output_12289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx4sf },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3192 */
  {
    "cond_revdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12290 },
#else
    { 0, output_12290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx2df },
    &operand_data[11564],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3217 */
  {
    "aarch64_sve2_tbl2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx16qi },
    &operand_data[15672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3217 */
  {
    "aarch64_sve2_tbl2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hi },
    &operand_data[15675],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3217 */
  {
    "aarch64_sve2_tbl2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4si },
    &operand_data[15678],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3217 */
  {
    "aarch64_sve2_tbl2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2di },
    &operand_data[15681],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3217 */
  {
    "aarch64_sve2_tbl2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8bf },
    &operand_data[15684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3217 */
  {
    "aarch64_sve2_tbl2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hf },
    &operand_data[15687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3217 */
  {
    "aarch64_sve2_tbl2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4sf },
    &operand_data[15690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3217 */
  {
    "aarch64_sve2_tbl2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2df },
    &operand_data[15693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3228 */
  {
    "aarch64_sve2_tbxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.b, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx16qi },
    &operand_data[15696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3228 */
  {
    "aarch64_sve2_tbxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8hi },
    &operand_data[15700],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3228 */
  {
    "aarch64_sve2_tbxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx4si },
    &operand_data[15704],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3228 */
  {
    "aarch64_sve2_tbxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx2di },
    &operand_data[15708],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3228 */
  {
    "aarch64_sve2_tbxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8bf },
    &operand_data[15712],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3228 */
  {
    "aarch64_sve2_tbxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8hf },
    &operand_data[15716],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3228 */
  {
    "aarch64_sve2_tbxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx4sf },
    &operand_data[15720],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3228 */
  {
    "aarch64_sve2_tbxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx2df },
    &operand_data[15724],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_zipvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx32qi },
    &operand_data[15728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_uzpvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx32qi },
    &operand_data[15728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_zipvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16hi },
    &operand_data[15731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_uzpvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16hi },
    &operand_data[15731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_zipvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx8si },
    &operand_data[15734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_uzpvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx8si },
    &operand_data[15734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_zipvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx4di },
    &operand_data[15737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_uzpvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx4di },
    &operand_data[15737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_zipvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16bf },
    &operand_data[15740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_uzpvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16bf },
    &operand_data[15740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_zipvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16hf },
    &operand_data[15743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_uzpvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16hf },
    &operand_data[15743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_zipvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx8sf },
    &operand_data[15746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_uzpvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx8sf },
    &operand_data[15746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_zipvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx4df },
    &operand_data[15749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3247 */
  {
    "aarch64_sve_uzpvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx4df },
    &operand_data[15749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_zipqvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx32qi },
    &operand_data[15728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_uzpqvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx32qi },
    &operand_data[15728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_zipqvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16hi },
    &operand_data[15731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_uzpqvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16hi },
    &operand_data[15731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_zipqvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx8si },
    &operand_data[15734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_uzpqvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx8si },
    &operand_data[15734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_zipqvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx4di },
    &operand_data[15737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_uzpqvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx4di },
    &operand_data[15737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_zipqvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16bf },
    &operand_data[15740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_uzpqvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16bf },
    &operand_data[15740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_zipqvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16hf },
    &operand_data[15743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_uzpqvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16hf },
    &operand_data[15743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_zipqvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx8sf },
    &operand_data[15746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_uzpqvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx8sf },
    &operand_data[15746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_zipqvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx4df },
    &operand_data[15749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3257 */
  {
    "aarch64_sve_uzpqvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx4df },
    &operand_data[15749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_zipvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx64qi },
    &operand_data[15752],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_uzpvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx64qi },
    &operand_data[15752],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_zipvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx32hi },
    &operand_data[15754],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_uzpvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx32hi },
    &operand_data[15754],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_zipvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16si },
    &operand_data[15756],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_uzpvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16si },
    &operand_data[15756],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_zipvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx8di },
    &operand_data[15758],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_uzpvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx8di },
    &operand_data[15758],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_zipvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx32bf },
    &operand_data[15760],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_uzpvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx32bf },
    &operand_data[15760],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_zipvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx32hf },
    &operand_data[15762],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_uzpvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx32hf },
    &operand_data[15762],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_zipvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16sf },
    &operand_data[14688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_uzpvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16sf },
    &operand_data[14688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_zipvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx8df },
    &operand_data[15764],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3267 */
  {
    "aarch64_sve_uzpvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx8df },
    &operand_data[15764],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_zipqvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx64qi },
    &operand_data[15752],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_uzpqvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx64qi },
    &operand_data[15752],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_zipqvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx32hi },
    &operand_data[15754],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_uzpqvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx32hi },
    &operand_data[15754],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_zipqvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16si },
    &operand_data[15756],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_uzpqvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16si },
    &operand_data[15756],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_zipqvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx8di },
    &operand_data[15758],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_uzpqvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx8di },
    &operand_data[15758],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_zipqvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx32bf },
    &operand_data[15760],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_uzpqvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx32bf },
    &operand_data[15760],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_zipqvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx32hf },
    &operand_data[15762],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_uzpqvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx32hf },
    &operand_data[15762],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_zipqvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16sf },
    &operand_data[14688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_uzpqvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16sf },
    &operand_data[14688],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_zipqvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx8df },
    &operand_data[15764],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3276 */
  {
    "aarch64_sve_uzpqvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx8df },
    &operand_data[15764],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bdepvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bextvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bgrpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bdepvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bextvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bgrpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx8hi },
    &operand_data[10782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bdepvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bextvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bgrpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx4si },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bdepvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bextvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3294 */
  {
    "aarch64_sve_bgrpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx2di },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3357 */
  {
    "aarch64_sve2_histcntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx4si },
    &operand_data[15766],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3357 */
  {
    "aarch64_sve2_histcntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx2di },
    &operand_data[15770],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3368 */
  {
    "aarch64_sve2_histsegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histseg\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histsegvnx16qi },
    &operand_data[10766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3387 */
  {
    "aarch64_pred_matchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12386 },
#else
    { 0, output_12386, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx16qi },
    &operand_data[15774],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3387 */
  {
    "aarch64_pred_nmatchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12387 },
#else
    { 0, output_12387, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx16qi },
    &operand_data[15774],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3387 */
  {
    "aarch64_pred_matchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12388 },
#else
    { 0, output_12388, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx8hi },
    &operand_data[15779],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3387 */
  {
    "aarch64_pred_nmatchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12389 },
#else
    { 0, output_12389, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx8hi },
    &operand_data[15779],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3408 */
  {
    "*aarch64_pred_matchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15784],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3408 */
  {
    "*aarch64_pred_nmatchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15784],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3408 */
  {
    "*aarch64_pred_matchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15792],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3408 */
  {
    "*aarch64_pred_nmatchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15792],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3444 */
  {
    "*aarch64_pred_matchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15800],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3444 */
  {
    "*aarch64_pred_nmatchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15800],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3444 */
  {
    "*aarch64_pred_matchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15808],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3444 */
  {
    "*aarch64_pred_nmatchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15808],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3486 */
  {
    "aarch64_sve2_aese",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aese },
    &operand_data[15816],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3486 */
  {
    "aarch64_sve2_aesd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesd },
    &operand_data[15816],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3499 */
  {
    "aarch64_sve2_aesmc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesmc },
    &operand_data[15200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3499 */
  {
    "aarch64_sve2_aesimc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesimc },
    &operand_data[15200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3514 */
  {
    "*aarch64_sve2_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b\n\taesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15816],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3529 */
  {
    "*aarch64_sve2_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b\n\taesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15816],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3551 */
  {
    "aarch64_sve2_rax1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_rax1 },
    &operand_data[10391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3572 */
  {
    "aarch64_sve2_sm4e",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.s, %0.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4e },
    &operand_data[15216],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3583 */
  {
    "aarch64_sve2_sm4ekey",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4ekey },
    &operand_data[10388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:80 */
  {
    "aarch64_old_vg_saved",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_old_vg_saved },
    &operand_data[6946],
    2,
    2,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:90 */
  {
    "aarch64_update_vg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_vg },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:98 */
  {
    "aarch64_get_sme_state",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bl\t__arm_sme_state",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_sme_state },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:111 */
  {
    "aarch64_read_svcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, svcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_read_svcr },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:135 */
  {
    "aarch64_smstart_sm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smstart\tsm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smstart_sm },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:170 */
  {
    "aarch64_smstop_sm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smstop\tsm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smstop_sm },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:233 */
  {
    "aarch64_tpidr2_save",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bl\t__arm_tpidr2_save",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tpidr2_save },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:264 */
  {
    "aarch64_smstart_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smstart\tza",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smstart_za },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:286 */
  {
    "aarch64_smstop_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smstop\tza",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smstop_za },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:298 */
  {
    "aarch64_initial_zero_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\t{ za }",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_initial_zero_za },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:309 */
  {
    "aarch64_setup_local_tpidr2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_setup_local_tpidr2 },
    &operand_data[15819],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:319 */
  {
    "aarch64_clear_tpidr2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\ttpidr2_el0, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_clear_tpidr2 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:329 */
  {
    "aarch64_write_tpidr2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\ttpidr2_el0, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_write_tpidr2 },
    &operand_data[15820],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:339 */
  {
    "aarch64_read_tpidr2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, tpidr2_el0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_read_tpidr2 },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:349 */
  {
    "aarch64_tpidr2_restore",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bl\t__arm_tpidr2_restore",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tpidr2_restore },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:370 */
  {
    "aarch64_restore_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_restore_za },
    &operand_data[15820],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:408 */
  {
    "aarch64_asm_update_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_asm_update_za },
    &operand_data[158],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:421 */
  {
    "aarch64_asm_update_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_asm_update_zt0 },
    &operand_data[158],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:437 */
  {
    "aarch64_start_private_za_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_start_private_za_call },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:450 */
  {
    "aarch64_end_private_za_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_end_private_za_call },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{ za%0h.b[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx16qi },
    &operand_data[15821],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{ za%0v.b[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx16qi },
    &operand_data[15821],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{ za%0h.h[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx8hi },
    &operand_data[15825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{ za%0v.h[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx8hi },
    &operand_data[15825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{ za%0h.s[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx4si },
    &operand_data[15829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{ za%0v.s[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx4si },
    &operand_data[15829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{ za%0h.d[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx2di },
    &operand_data[15833],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{ za%0v.d[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx2di },
    &operand_data[15833],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx1ti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1q\t{ za%0h.q[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx1ti },
    &operand_data[15837],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx1ti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1q\t{ za%0v.q[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx1ti },
    &operand_data[15837],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{ za%0h.b[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx16qi_plus },
    &operand_data[15841],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{ za%0v.b[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx16qi_plus },
    &operand_data[15841],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{ za%0h.h[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx8hi_plus },
    &operand_data[15846],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{ za%0v.h[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx8hi_plus },
    &operand_data[15846],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{ za%0h.s[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx4si_plus },
    &operand_data[15851],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{ za%0v.s[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx4si_plus },
    &operand_data[15851],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{ za%0h.d[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx2di_plus },
    &operand_data[15856],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{ za%0v.d[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx2di_plus },
    &operand_data[15856],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx1ti_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1q\t{ za%0h.q[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx1ti_plus },
    &operand_data[15861],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx1ti_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1q\t{ za%0v.q[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx1ti_plus },
    &operand_data[15861],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:504 */
  {
    "aarch64_sme_ldr0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tza[%w0, 0], [%1, #0, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ldr0 },
    &operand_data[15866],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:516 */
  {
    "aarch64_sme_ldrnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tza[%w0, %1], [%2, #%1, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ldrnsi },
    &operand_data[15868],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:516 */
  {
    "aarch64_sme_ldrndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tza[%w0, %1], [%2, #%1, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ldrndi },
    &operand_data[15872],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:543 */
  {
    "aarch64_sme_ldr_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tzt0, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ldr_zt0 },
    &operand_data[15876],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:554 */
  {
    "aarch64_restore_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tzt0, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_restore_zt0 },
    &operand_data[15876],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{ za%1h.b[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx16qi },
    &operand_data[15877],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{ za%1v.b[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx16qi },
    &operand_data[15877],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{ za%1h.h[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx8hi },
    &operand_data[15881],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{ za%1v.h[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx8hi },
    &operand_data[15881],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{ za%1h.s[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx4si },
    &operand_data[15885],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{ za%1v.s[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx4si },
    &operand_data[15885],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{ za%1h.d[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx2di },
    &operand_data[15889],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{ za%1v.d[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx2di },
    &operand_data[15889],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx1ti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1q\t{ za%1h.q[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx1ti },
    &operand_data[15893],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx1ti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1q\t{ za%1v.q[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx1ti },
    &operand_data[15893],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{ za%1h.b[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx16qi_plus },
    &operand_data[15897],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{ za%1v.b[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx16qi_plus },
    &operand_data[15897],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{ za%1h.h[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx8hi_plus },
    &operand_data[15902],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{ za%1v.h[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx8hi_plus },
    &operand_data[15902],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{ za%1h.s[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx4si_plus },
    &operand_data[15907],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{ za%1v.s[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx4si_plus },
    &operand_data[15907],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{ za%1h.d[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx2di_plus },
    &operand_data[15912],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{ za%1v.d[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx2di_plus },
    &operand_data[15912],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx1ti_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1q\t{ za%1h.q[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx1ti_plus },
    &operand_data[15917],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx1ti_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1q\t{ za%1v.q[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx1ti_plus },
    &operand_data[15917],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:606 */
  {
    "aarch64_sme_str0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\tza[%w0, 0], [%1, #0, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_str0 },
    &operand_data[15866],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:618 */
  {
    "aarch64_sme_strnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\tza[%w0, %1], [%2, #%1, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_strnsi },
    &operand_data[15868],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:618 */
  {
    "aarch64_sme_strndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\tza[%w0, %1], [%2, #%1, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_strndi },
    &operand_data[15872],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:641 */
  {
    "aarch64_sme_str_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\tzt0, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_str_zt0 },
    &operand_data[15922],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_horvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.b, %2/m, za%3h.b[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16qivnx16qi },
    &operand_data[15923],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_vervnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.b, %2/m, za%3v.b[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16qivnx16qi },
    &operand_data[15923],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_horvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8hivnx8hi },
    &operand_data[15928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_vervnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8hivnx8hi },
    &operand_data[15928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_horvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3h.s[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx4sivnx4si },
    &operand_data[15933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_vervnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3v.s[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx4sivnx4si },
    &operand_data[15933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_horvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3h.d[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx2divnx2di },
    &operand_data[15938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_vervnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3v.d[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx2divnx2di },
    &operand_data[15938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_horvnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8hivnx8bf },
    &operand_data[15943],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_vervnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8hivnx8bf },
    &operand_data[15943],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_horvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8hivnx8hf },
    &operand_data[15948],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_vervnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8hivnx8hf },
    &operand_data[15948],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_horvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3h.s[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx4sivnx4sf },
    &operand_data[15953],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_vervnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3v.s[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx4sivnx4sf },
    &operand_data[15953],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_horvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3h.d[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx2divnx2df },
    &operand_data[15958],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:656 */
  {
    "aarch64_sme_read_vervnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3v.d[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx2divnx2df },
    &operand_data[15958],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_horvnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.b, %2/m, za%3h.b[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15963],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_vervnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.b, %2/m, za%3v.b[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15963],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_horvnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15969],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_vervnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15969],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_horvnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3h.s[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15975],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_vervnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3v.s[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15975],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_horvnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3h.d[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15981],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_vervnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3v.d[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15981],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_horvnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15987],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_vervnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15987],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_horvnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15993],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_vervnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15993],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_horvnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3h.s[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15999],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_vervnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3v.s[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15999],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_horvnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3h.d[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16005],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:670 */
  {
    "*aarch64_sme_read_vervnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3v.d[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16005],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_horvnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx16qi },
    &operand_data[16011],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_vervnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx16qi },
    &operand_data[16011],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_horvnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx8hi },
    &operand_data[16016],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_vervnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx8hi },
    &operand_data[16016],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_horvnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx4si },
    &operand_data[16021],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_vervnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx4si },
    &operand_data[16021],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_horvnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx2di },
    &operand_data[15938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_vervnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx2di },
    &operand_data[15938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_horvnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx8bf },
    &operand_data[16026],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_vervnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx8bf },
    &operand_data[16026],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_horvnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx8hf },
    &operand_data[16031],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_vervnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx8hf },
    &operand_data[16031],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_horvnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx4sf },
    &operand_data[16036],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_vervnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx4sf },
    &operand_data[16036],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_horvnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx2df },
    &operand_data[15958],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:686 */
  {
    "aarch64_sme_read_vervnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx2df },
    &operand_data[15958],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_horvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.b[%w1, 0], %2/m, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16qivnx16qi },
    &operand_data[16039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_vervnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.b[%w1, 0], %2/m, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16qivnx16qi },
    &operand_data[16039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_horvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8hivnx8hi },
    &operand_data[16043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_vervnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8hivnx8hi },
    &operand_data[16043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_horvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.s[%w1, 0], %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx4sivnx4si },
    &operand_data[16047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_vervnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.s[%w1, 0], %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx4sivnx4si },
    &operand_data[16047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_horvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.d[%w1, 0], %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx2divnx2di },
    &operand_data[16051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_vervnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.d[%w1, 0], %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx2divnx2di },
    &operand_data[16051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_horvnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8hivnx8bf },
    &operand_data[16055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_vervnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8hivnx8bf },
    &operand_data[16055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_horvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8hivnx8hf },
    &operand_data[16059],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_vervnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8hivnx8hf },
    &operand_data[16059],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_horvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.s[%w1, 0], %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx4sivnx4sf },
    &operand_data[16063],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_vervnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.s[%w1, 0], %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx4sivnx4sf },
    &operand_data[16063],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_horvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.d[%w1, 0], %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx2divnx2df },
    &operand_data[16067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:700 */
  {
    "aarch64_sme_write_vervnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.d[%w1, 0], %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx2divnx2df },
    &operand_data[16067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_horvnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.b[%w1, %2], %3/m, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16071],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_vervnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.b[%w1, %2], %3/m, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16071],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_horvnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16076],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_vervnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16076],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_horvnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.s[%w1, %2], %3/m, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16081],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_vervnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.s[%w1, %2], %3/m, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16081],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_horvnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.d[%w1, %2], %3/m, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16086],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_vervnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.d[%w1, %2], %3/m, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16086],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_horvnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16091],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_vervnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16091],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_horvnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16096],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_vervnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16096],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_horvnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.s[%w1, %2], %3/m, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16101],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_vervnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.s[%w1, %2], %3/m, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16101],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_horvnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.d[%w1, %2], %3/m, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16106],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:714 */
  {
    "*aarch64_sme_write_vervnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.d[%w1, %2], %3/m, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16106],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_horvnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx16qi },
    &operand_data[16111],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_vervnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx16qi },
    &operand_data[16111],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_horvnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx8hi },
    &operand_data[16115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_vervnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx8hi },
    &operand_data[16115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_horvnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx4si },
    &operand_data[16119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_vervnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx4si },
    &operand_data[16119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_horvnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx2di },
    &operand_data[16051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_vervnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx2di },
    &operand_data[16051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_horvnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx8bf },
    &operand_data[16123],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_vervnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx8bf },
    &operand_data[16123],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_horvnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx8hf },
    &operand_data[16127],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_vervnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx8hf },
    &operand_data[16127],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_horvnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx4sf },
    &operand_data[16131],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_vervnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx4sf },
    &operand_data[16131],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_horvnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx2df },
    &operand_data[16067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:730 */
  {
    "aarch64_sme_write_vervnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx2df },
    &operand_data[16067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12572 },
#else
    { 0, 0, output_12572 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx32qivnx32qi },
    &operand_data[16135],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12573 },
#else
    { 0, 0, output_12573 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx32qivnx32qi },
    &operand_data[16135],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12574 },
#else
    { 0, 0, output_12574 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16hivnx16hi },
    &operand_data[16138],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12575 },
#else
    { 0, 0, output_12575 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16hivnx16hi },
    &operand_data[16138],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12576 },
#else
    { 0, 0, output_12576 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8sivnx8si },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12577 },
#else
    { 0, 0, output_12577 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8sivnx8si },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12578 },
#else
    { 0, 0, output_12578 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx4divnx4di },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12579 },
#else
    { 0, 0, output_12579 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx4divnx4di },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12580 },
#else
    { 0, 0, output_12580 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16bfvnx16bf },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12581 },
#else
    { 0, 0, output_12581 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16bfvnx16bf },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12582 },
#else
    { 0, 0, output_12582 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16hfvnx16hf },
    &operand_data[16150],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12583 },
#else
    { 0, 0, output_12583 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16hfvnx16hf },
    &operand_data[16150],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12584 },
#else
    { 0, 0, output_12584 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8sfvnx8sf },
    &operand_data[16153],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12585 },
#else
    { 0, 0, output_12585 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8sfvnx8sf },
    &operand_data[16153],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12586 },
#else
    { 0, 0, output_12586 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx4dfvnx4df },
    &operand_data[16156],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12587 },
#else
    { 0, 0, output_12587 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx4dfvnx4df },
    &operand_data[16156],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12588 },
#else
    { 0, 0, output_12588 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx64qivnx64qi },
    &operand_data[16159],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12589 },
#else
    { 0, 0, output_12589 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx64qivnx64qi },
    &operand_data[16159],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12590 },
#else
    { 0, 0, output_12590 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx32hivnx32hi },
    &operand_data[16162],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12591 },
#else
    { 0, 0, output_12591 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx32hivnx32hi },
    &operand_data[16162],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12592 },
#else
    { 0, 0, output_12592 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16sivnx16si },
    &operand_data[16165],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12593 },
#else
    { 0, 0, output_12593 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16sivnx16si },
    &operand_data[16165],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12594 },
#else
    { 0, 0, output_12594 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8divnx8di },
    &operand_data[16168],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12595 },
#else
    { 0, 0, output_12595 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8divnx8di },
    &operand_data[16168],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12596 },
#else
    { 0, 0, output_12596 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx32bfvnx32bf },
    &operand_data[16171],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12597 },
#else
    { 0, 0, output_12597 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx32bfvnx32bf },
    &operand_data[16171],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12598 },
#else
    { 0, 0, output_12598 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx32hfvnx32hf },
    &operand_data[16174],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12599 },
#else
    { 0, 0, output_12599 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx32hfvnx32hf },
    &operand_data[16174],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12600 },
#else
    { 0, 0, output_12600 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16sfvnx16sf },
    &operand_data[16177],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12601 },
#else
    { 0, 0, output_12601 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16sfvnx16sf },
    &operand_data[16177],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_horvnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12602 },
#else
    { 0, 0, output_12602 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8dfvnx8df },
    &operand_data[16180],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:751 */
  {
    "aarch64_sme_read_vervnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12603 },
#else
    { 0, 0, output_12603 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8dfvnx8df },
    &operand_data[16180],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12604 },
#else
    { 0, 0, output_12604 },
#endif
    { 0 },
    &operand_data[16183],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12605 },
#else
    { 0, 0, output_12605 },
#endif
    { 0 },
    &operand_data[16183],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12606 },
#else
    { 0, 0, output_12606 },
#endif
    { 0 },
    &operand_data[16187],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12607 },
#else
    { 0, 0, output_12607 },
#endif
    { 0 },
    &operand_data[16187],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12608 },
#else
    { 0, 0, output_12608 },
#endif
    { 0 },
    &operand_data[16191],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12609 },
#else
    { 0, 0, output_12609 },
#endif
    { 0 },
    &operand_data[16191],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12610 },
#else
    { 0, 0, output_12610 },
#endif
    { 0 },
    &operand_data[16195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12611 },
#else
    { 0, 0, output_12611 },
#endif
    { 0 },
    &operand_data[16195],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12612 },
#else
    { 0, 0, output_12612 },
#endif
    { 0 },
    &operand_data[16199],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12613 },
#else
    { 0, 0, output_12613 },
#endif
    { 0 },
    &operand_data[16199],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12614 },
#else
    { 0, 0, output_12614 },
#endif
    { 0 },
    &operand_data[16203],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12615 },
#else
    { 0, 0, output_12615 },
#endif
    { 0 },
    &operand_data[16203],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12616 },
#else
    { 0, 0, output_12616 },
#endif
    { 0 },
    &operand_data[16207],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12617 },
#else
    { 0, 0, output_12617 },
#endif
    { 0 },
    &operand_data[16207],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12618 },
#else
    { 0, 0, output_12618 },
#endif
    { 0 },
    &operand_data[16211],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12619 },
#else
    { 0, 0, output_12619 },
#endif
    { 0 },
    &operand_data[16211],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12620 },
#else
    { 0, 0, output_12620 },
#endif
    { 0 },
    &operand_data[16215],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12621 },
#else
    { 0, 0, output_12621 },
#endif
    { 0 },
    &operand_data[16215],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12622 },
#else
    { 0, 0, output_12622 },
#endif
    { 0 },
    &operand_data[16219],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12623 },
#else
    { 0, 0, output_12623 },
#endif
    { 0 },
    &operand_data[16219],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12624 },
#else
    { 0, 0, output_12624 },
#endif
    { 0 },
    &operand_data[16223],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12625 },
#else
    { 0, 0, output_12625 },
#endif
    { 0 },
    &operand_data[16223],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12626 },
#else
    { 0, 0, output_12626 },
#endif
    { 0 },
    &operand_data[16227],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12627 },
#else
    { 0, 0, output_12627 },
#endif
    { 0 },
    &operand_data[16227],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12628 },
#else
    { 0, 0, output_12628 },
#endif
    { 0 },
    &operand_data[16231],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12629 },
#else
    { 0, 0, output_12629 },
#endif
    { 0 },
    &operand_data[16231],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12630 },
#else
    { 0, 0, output_12630 },
#endif
    { 0 },
    &operand_data[16235],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12631 },
#else
    { 0, 0, output_12631 },
#endif
    { 0 },
    &operand_data[16235],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12632 },
#else
    { 0, 0, output_12632 },
#endif
    { 0 },
    &operand_data[16239],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12633 },
#else
    { 0, 0, output_12633 },
#endif
    { 0 },
    &operand_data[16239],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_horvnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12634 },
#else
    { 0, 0, output_12634 },
#endif
    { 0 },
    &operand_data[16243],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:766 */
  {
    "*aarch64_sme_read_vervnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12635 },
#else
    { 0, 0, output_12635 },
#endif
    { 0 },
    &operand_data[16243],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:785 */
  {
    "aarch64_sme_readvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0, za.d[%w1, 0, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readvnx4di },
    &operand_data[16247],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:785 */
  {
    "aarch64_sme_readvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0, za.d[%w1, 0, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readvnx8di },
    &operand_data[16249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:796 */
  {
    "*aarch64_sme_readvnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0, za.d[%w1, %2, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16251],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:796 */
  {
    "*aarch64_sme_readvnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0, za.d[%w1, %2, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16254],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12640 },
#else
    { 0, 0, output_12640 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx32qivnx32qi },
    &operand_data[16257],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12641 },
#else
    { 0, 0, output_12641 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx32qivnx32qi },
    &operand_data[16257],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12642 },
#else
    { 0, 0, output_12642 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16hivnx16hi },
    &operand_data[16260],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12643 },
#else
    { 0, 0, output_12643 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16hivnx16hi },
    &operand_data[16260],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12644 },
#else
    { 0, 0, output_12644 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8sivnx8si },
    &operand_data[16263],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12645 },
#else
    { 0, 0, output_12645 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8sivnx8si },
    &operand_data[16263],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12646 },
#else
    { 0, 0, output_12646 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx4divnx4di },
    &operand_data[16266],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12647 },
#else
    { 0, 0, output_12647 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx4divnx4di },
    &operand_data[16266],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12648 },
#else
    { 0, 0, output_12648 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16bfvnx16bf },
    &operand_data[16269],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12649 },
#else
    { 0, 0, output_12649 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16bfvnx16bf },
    &operand_data[16269],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12650 },
#else
    { 0, 0, output_12650 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16hfvnx16hf },
    &operand_data[16272],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12651 },
#else
    { 0, 0, output_12651 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16hfvnx16hf },
    &operand_data[16272],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12652 },
#else
    { 0, 0, output_12652 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8sfvnx8sf },
    &operand_data[16275],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12653 },
#else
    { 0, 0, output_12653 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8sfvnx8sf },
    &operand_data[16275],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12654 },
#else
    { 0, 0, output_12654 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx4dfvnx4df },
    &operand_data[16278],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12655 },
#else
    { 0, 0, output_12655 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx4dfvnx4df },
    &operand_data[16278],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12656 },
#else
    { 0, 0, output_12656 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx64qivnx64qi },
    &operand_data[16281],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12657 },
#else
    { 0, 0, output_12657 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx64qivnx64qi },
    &operand_data[16281],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12658 },
#else
    { 0, 0, output_12658 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx32hivnx32hi },
    &operand_data[16284],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12659 },
#else
    { 0, 0, output_12659 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx32hivnx32hi },
    &operand_data[16284],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12660 },
#else
    { 0, 0, output_12660 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16sivnx16si },
    &operand_data[16287],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12661 },
#else
    { 0, 0, output_12661 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16sivnx16si },
    &operand_data[16287],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12662 },
#else
    { 0, 0, output_12662 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8divnx8di },
    &operand_data[16290],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12663 },
#else
    { 0, 0, output_12663 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8divnx8di },
    &operand_data[16290],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12664 },
#else
    { 0, 0, output_12664 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx32bfvnx32bf },
    &operand_data[16293],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12665 },
#else
    { 0, 0, output_12665 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx32bfvnx32bf },
    &operand_data[16293],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12666 },
#else
    { 0, 0, output_12666 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx32hfvnx32hf },
    &operand_data[16296],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12667 },
#else
    { 0, 0, output_12667 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx32hfvnx32hf },
    &operand_data[16296],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12668 },
#else
    { 0, 0, output_12668 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16sfvnx16sf },
    &operand_data[16299],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12669 },
#else
    { 0, 0, output_12669 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16sfvnx16sf },
    &operand_data[16299],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_horvnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12670 },
#else
    { 0, 0, output_12670 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8dfvnx8df },
    &operand_data[16302],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:808 */
  {
    "aarch64_sme_write_vervnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12671 },
#else
    { 0, 0, output_12671 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8dfvnx8df },
    &operand_data[16302],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12672 },
#else
    { 0, 0, output_12672 },
#endif
    { 0 },
    &operand_data[16305],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12673 },
#else
    { 0, 0, output_12673 },
#endif
    { 0 },
    &operand_data[16305],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12674 },
#else
    { 0, 0, output_12674 },
#endif
    { 0 },
    &operand_data[16309],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12675 },
#else
    { 0, 0, output_12675 },
#endif
    { 0 },
    &operand_data[16309],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12676 },
#else
    { 0, 0, output_12676 },
#endif
    { 0 },
    &operand_data[16313],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12677 },
#else
    { 0, 0, output_12677 },
#endif
    { 0 },
    &operand_data[16313],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12678 },
#else
    { 0, 0, output_12678 },
#endif
    { 0 },
    &operand_data[16317],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12679 },
#else
    { 0, 0, output_12679 },
#endif
    { 0 },
    &operand_data[16317],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12680 },
#else
    { 0, 0, output_12680 },
#endif
    { 0 },
    &operand_data[16321],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12681 },
#else
    { 0, 0, output_12681 },
#endif
    { 0 },
    &operand_data[16321],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12682 },
#else
    { 0, 0, output_12682 },
#endif
    { 0 },
    &operand_data[16325],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12683 },
#else
    { 0, 0, output_12683 },
#endif
    { 0 },
    &operand_data[16325],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12684 },
#else
    { 0, 0, output_12684 },
#endif
    { 0 },
    &operand_data[16329],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12685 },
#else
    { 0, 0, output_12685 },
#endif
    { 0 },
    &operand_data[16329],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12686 },
#else
    { 0, 0, output_12686 },
#endif
    { 0 },
    &operand_data[16333],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12687 },
#else
    { 0, 0, output_12687 },
#endif
    { 0 },
    &operand_data[16333],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12688 },
#else
    { 0, 0, output_12688 },
#endif
    { 0 },
    &operand_data[16337],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12689 },
#else
    { 0, 0, output_12689 },
#endif
    { 0 },
    &operand_data[16337],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12690 },
#else
    { 0, 0, output_12690 },
#endif
    { 0 },
    &operand_data[16341],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12691 },
#else
    { 0, 0, output_12691 },
#endif
    { 0 },
    &operand_data[16341],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12692 },
#else
    { 0, 0, output_12692 },
#endif
    { 0 },
    &operand_data[16345],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12693 },
#else
    { 0, 0, output_12693 },
#endif
    { 0 },
    &operand_data[16345],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12694 },
#else
    { 0, 0, output_12694 },
#endif
    { 0 },
    &operand_data[16349],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12695 },
#else
    { 0, 0, output_12695 },
#endif
    { 0 },
    &operand_data[16349],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12696 },
#else
    { 0, 0, output_12696 },
#endif
    { 0 },
    &operand_data[16353],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12697 },
#else
    { 0, 0, output_12697 },
#endif
    { 0 },
    &operand_data[16353],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12698 },
#else
    { 0, 0, output_12698 },
#endif
    { 0 },
    &operand_data[16357],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12699 },
#else
    { 0, 0, output_12699 },
#endif
    { 0 },
    &operand_data[16357],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12700 },
#else
    { 0, 0, output_12700 },
#endif
    { 0 },
    &operand_data[16361],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12701 },
#else
    { 0, 0, output_12701 },
#endif
    { 0 },
    &operand_data[16361],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_horvnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12702 },
#else
    { 0, 0, output_12702 },
#endif
    { 0 },
    &operand_data[16365],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:824 */
  {
    "*aarch64_sme_write_vervnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12703 },
#else
    { 0, 0, output_12703 },
#endif
    { 0 },
    &operand_data[16365],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:844 */
  {
    "aarch64_sme_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_writevnx4di },
    &operand_data[16369],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:844 */
  {
    "aarch64_sme_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_writevnx8di },
    &operand_data[16371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:856 */
  {
    "*aarch64_sme_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16373],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:856 */
  {
    "*aarch64_sme_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:878 */
  {
    "aarch64_sme_zero_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12708 },
#else
    { 0, 0, output_12708 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za },
    &operand_data[83],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:890 */
  {
    "aarch64_sme_zero_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\t{ zt0 }",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_zt0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:910 */
  {
    "aarch64_sme_addhavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addha\tza%0.s, %1/m, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addhavnx4si },
    &operand_data[16379],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:910 */
  {
    "aarch64_sme_addvavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addva\tza%0.s, %1/m, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvavnx4si },
    &operand_data[16379],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:910 */
  {
    "aarch64_sme_addhavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addha\tza%0.d, %1/m, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addhavnx2di },
    &operand_data[16383],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:910 */
  {
    "aarch64_sme_addvavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addva\tza%0.d, %1/m, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvavnx2di },
    &operand_data[16383],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:931 */
  {
    "aarch64_sme_addvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvnx8si },
    &operand_data[16387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:931 */
  {
    "aarch64_sme_subvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_subvnx8si },
    &operand_data[16387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:931 */
  {
    "aarch64_sme_addvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvnx4di },
    &operand_data[16369],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:931 */
  {
    "aarch64_sme_subvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_subvnx4di },
    &operand_data[16369],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:931 */
  {
    "aarch64_sme_addvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvnx16si },
    &operand_data[16389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:931 */
  {
    "aarch64_sme_subvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_subvnx16si },
    &operand_data[16389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:931 */
  {
    "aarch64_sme_addvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvnx8di },
    &operand_data[16371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:931 */
  {
    "aarch64_sme_subvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_subvnx8di },
    &operand_data[16371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:943 */
  {
    "*aarch64_sme_addvnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:943 */
  {
    "*aarch64_sme_subvnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:943 */
  {
    "*aarch64_sme_addvnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16373],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:943 */
  {
    "*aarch64_sme_subvnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16373],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:943 */
  {
    "*aarch64_sme_addvnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:943 */
  {
    "*aarch64_sme_subvnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:943 */
  {
    "*aarch64_sme_addvnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:943 */
  {
    "*aarch64_sme_subvnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:956 */
  {
    "aarch64_sme_faddvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.s[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx8sf },
    &operand_data[16397],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:956 */
  {
    "aarch64_sme_fsubvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.s[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx8sf },
    &operand_data[16397],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:956 */
  {
    "aarch64_sme_faddvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx4df },
    &operand_data[16399],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:956 */
  {
    "aarch64_sme_fsubvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx4df },
    &operand_data[16399],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:956 */
  {
    "aarch64_sme_faddvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.s[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx16sf },
    &operand_data[16401],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:956 */
  {
    "aarch64_sme_fsubvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.s[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx16sf },
    &operand_data[16401],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:956 */
  {
    "aarch64_sme_faddvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx8df },
    &operand_data[16403],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:956 */
  {
    "aarch64_sme_fsubvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx8df },
    &operand_data[16403],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:968 */
  {
    "*aarch64_sme_faddvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.s[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:968 */
  {
    "*aarch64_sme_fsubvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.s[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:968 */
  {
    "*aarch64_sme_faddvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:968 */
  {
    "*aarch64_sme_fsubvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:968 */
  {
    "*aarch64_sme_faddvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.s[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:968 */
  {
    "*aarch64_sme_fsubvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.s[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:968 */
  {
    "*aarch64_sme_faddvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:968 */
  {
    "*aarch64_sme_fsubvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:989 */
  {
    "aarch64_sme_add_writevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_add_writevnx8si },
    &operand_data[16417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:989 */
  {
    "aarch64_sme_sub_writevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sub_writevnx8si },
    &operand_data[16417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:989 */
  {
    "aarch64_sme_add_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_add_writevnx4di },
    &operand_data[16420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:989 */
  {
    "aarch64_sme_sub_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sub_writevnx4di },
    &operand_data[16420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:989 */
  {
    "aarch64_sme_add_writevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_add_writevnx16si },
    &operand_data[16423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:989 */
  {
    "aarch64_sme_sub_writevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sub_writevnx16si },
    &operand_data[16423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:989 */
  {
    "aarch64_sme_add_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_add_writevnx8di },
    &operand_data[16426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:989 */
  {
    "aarch64_sme_sub_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sub_writevnx8di },
    &operand_data[16426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1002 */
  {
    "*aarch64_sme_add_writevnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1002 */
  {
    "*aarch64_sme_sub_writevnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1002 */
  {
    "*aarch64_sme_add_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1002 */
  {
    "*aarch64_sme_sub_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1002 */
  {
    "*aarch64_sme_add_writevnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16437],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1002 */
  {
    "*aarch64_sme_sub_writevnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16437],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1002 */
  {
    "*aarch64_sme_add_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16441],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1002 */
  {
    "*aarch64_sme_sub_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16441],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1016 */
  {
    "aarch64_sme_single_add_writevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_add_writevnx8si },
    &operand_data[16445],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1016 */
  {
    "aarch64_sme_single_sub_writevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sub_writevnx8si },
    &operand_data[16445],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1016 */
  {
    "aarch64_sme_single_add_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_add_writevnx4di },
    &operand_data[16448],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1016 */
  {
    "aarch64_sme_single_sub_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sub_writevnx4di },
    &operand_data[16448],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1016 */
  {
    "aarch64_sme_single_add_writevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_add_writevnx16si },
    &operand_data[16451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1016 */
  {
    "aarch64_sme_single_sub_writevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sub_writevnx16si },
    &operand_data[16451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1016 */
  {
    "aarch64_sme_single_add_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_add_writevnx8di },
    &operand_data[16454],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1016 */
  {
    "aarch64_sme_single_sub_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sub_writevnx8di },
    &operand_data[16454],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1030 */
  {
    "*aarch64_sme_single_add_writevnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16457],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1030 */
  {
    "*aarch64_sme_single_sub_writevnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16457],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1030 */
  {
    "*aarch64_sme_single_add_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16461],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1030 */
  {
    "*aarch64_sme_single_sub_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16461],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1030 */
  {
    "*aarch64_sme_single_add_writevnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16465],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1030 */
  {
    "*aarch64_sme_single_sub_writevnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16465],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1030 */
  {
    "*aarch64_sme_single_add_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16469],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1030 */
  {
    "*aarch64_sme_single_sub_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16469],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_sdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx4sivnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_udotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx4sivnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_usdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx4sivnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_sdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx2divnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_udotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx2divnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_usdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx2divnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_sdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx4sivnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_udotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx4sivnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_usdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx4sivnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_sdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx2divnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_udotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx2divnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_usdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx2divnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_sdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx4sivnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_udotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx4sivnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_usdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx4sivnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_sdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx2divnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_udotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx2divnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_usdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx2divnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_sdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx4sivnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_udotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx4sivnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_usdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx4sivnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_sdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx2divnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_udotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx2divnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1059 */
  {
    "aarch64_sme_usdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx2divnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_sdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_udotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_usdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_sdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_udotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_usdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_sdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16489],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_udotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16489],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_usdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16489],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_sdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16489],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_udotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16489],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_usdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16489],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_sdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16493],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_udotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16493],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_usdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16493],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_sdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16493],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_udotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16493],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_usdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16493],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_sdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_udotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_usdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_sdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_udotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1074 */
  {
    "*aarch64_sme_usdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_sdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx4sivnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_udotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx4sivnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_usdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx4sivnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_sdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx2divnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_udotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx2divnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_usdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx2divnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_sdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx4sivnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_udotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx4sivnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_usdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx4sivnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_sdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx2divnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_udotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx2divnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_usdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx2divnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_sdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx4sivnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_udotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx4sivnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_usdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx4sivnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_sdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx2divnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_udotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx2divnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_usdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx2divnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_sdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx4sivnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_udotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx4sivnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_usdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx4sivnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_sdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx2divnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_udotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx2divnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1090 */
  {
    "aarch64_sme_single_usdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx2divnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_sdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_udotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_usdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_sdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_udotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_usdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_sdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_udotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_usdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_sdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_udotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_usdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_sdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_udotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_usdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_sdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_udotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_usdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_sdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16525],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_udotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16525],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_usdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16525],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_sdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16525],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_udotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16525],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1106 */
  {
    "*aarch64_sme_single_usdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16525],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1124 */
  {
    "aarch64_sme_single_sudotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sudotvnx4sivnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1124 */
  {
    "aarch64_sme_single_sudotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sudotvnx4sivnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1138 */
  {
    "*aarch64_sme_single_sudotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1138 */
  {
    "*aarch64_sme_single_sudotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_svdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_udotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_uvdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sudotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_suvdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usvdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx2divnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_svdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx2divnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_udotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx2divnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_uvdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx2divnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sudotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx2divnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_suvdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx2divnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx2divnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usvdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx2divnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_svdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_udotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_uvdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sudotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_suvdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usvdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx2divnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_svdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx2divnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_udotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx2divnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_uvdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx2divnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sudotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx2divnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_suvdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx2divnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx2divnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usvdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx2divnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_svdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_udotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_uvdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sudotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_suvdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usvdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_svdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_udotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_uvdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sudotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_suvdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usvdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_svdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_udotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_uvdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sudotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_suvdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usvdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_svdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_udotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_uvdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_sudotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_suvdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1153 */
  {
    "aarch64_sme_lane_usvdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_svdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_udotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_uvdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sudotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_suvdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usvdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_svdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_udotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_uvdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sudotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_suvdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usvdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_svdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_udotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_uvdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sudotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_suvdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usvdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_svdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_udotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_uvdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sudotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_suvdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usvdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16550],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_svdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_udotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_uvdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sudotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_suvdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usvdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_svdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_udotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_uvdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sudotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_suvdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usvdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16555],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_svdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_udotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_uvdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sudotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_suvdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usvdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_svdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_udotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_uvdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_sudotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_suvdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1171 */
  {
    "*aarch64_sme_lane_usvdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16560],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1200 */
  {
    "aarch64_sme_smlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3], %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx16qi },
    &operand_data[16565],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1200 */
  {
    "aarch64_sme_smlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3], %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx16qi },
    &operand_data[16565],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1200 */
  {
    "aarch64_sme_umlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3], %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx16qi },
    &operand_data[16565],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1200 */
  {
    "aarch64_sme_umlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3], %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx16qi },
    &operand_data[16565],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1200 */
  {
    "aarch64_sme_smlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx8hi },
    &operand_data[16568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1200 */
  {
    "aarch64_sme_smlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx8hi },
    &operand_data[16568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1200 */
  {
    "aarch64_sme_umlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx8hi },
    &operand_data[16568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1200 */
  {
    "aarch64_sme_umlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx8hi },
    &operand_data[16568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1213 */
  {
    "*aarch64_sme_smlavnx4sivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13014 },
#else
    { 0, 0, output_13014 },
#endif
    { 0 },
    &operand_data[16571],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1213 */
  {
    "*aarch64_sme_smlsvnx4sivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13015 },
#else
    { 0, 0, output_13015 },
#endif
    { 0 },
    &operand_data[16571],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1213 */
  {
    "*aarch64_sme_umlavnx4sivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13016 },
#else
    { 0, 0, output_13016 },
#endif
    { 0 },
    &operand_data[16571],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1213 */
  {
    "*aarch64_sme_umlsvnx4sivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13017 },
#else
    { 0, 0, output_13017 },
#endif
    { 0 },
    &operand_data[16571],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1213 */
  {
    "*aarch64_sme_smlavnx4sivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13018 },
#else
    { 0, 0, output_13018 },
#endif
    { 0 },
    &operand_data[16575],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1213 */
  {
    "*aarch64_sme_smlsvnx4sivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13019 },
#else
    { 0, 0, output_13019 },
#endif
    { 0 },
    &operand_data[16575],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1213 */
  {
    "*aarch64_sme_umlavnx4sivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13020 },
#else
    { 0, 0, output_13020 },
#endif
    { 0 },
    &operand_data[16575],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1213 */
  {
    "*aarch64_sme_umlsvnx4sivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13021 },
#else
    { 0, 0, output_13021 },
#endif
    { 0 },
    &operand_data[16575],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_smlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_smlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_umlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_umlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx32qi },
    &operand_data[16473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_smlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_smlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_umlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_umlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx64qi },
    &operand_data[16476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_smlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_smlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_umlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_umlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_smlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_smlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_umlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1230 */
  {
    "aarch64_sme_umlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_smlavnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13038 },
#else
    { 0, 0, output_13038 },
#endif
    { 0 },
    &operand_data[16579],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_smlsvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13039 },
#else
    { 0, 0, output_13039 },
#endif
    { 0 },
    &operand_data[16579],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_umlavnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13040 },
#else
    { 0, 0, output_13040 },
#endif
    { 0 },
    &operand_data[16579],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_umlsvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13041 },
#else
    { 0, 0, output_13041 },
#endif
    { 0 },
    &operand_data[16579],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_smlavnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13042 },
#else
    { 0, 0, output_13042 },
#endif
    { 0 },
    &operand_data[16583],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_smlsvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13043 },
#else
    { 0, 0, output_13043 },
#endif
    { 0 },
    &operand_data[16583],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_umlavnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13044 },
#else
    { 0, 0, output_13044 },
#endif
    { 0 },
    &operand_data[16583],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_umlsvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13045 },
#else
    { 0, 0, output_13045 },
#endif
    { 0 },
    &operand_data[16583],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_smlavnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13046 },
#else
    { 0, 0, output_13046 },
#endif
    { 0 },
    &operand_data[16587],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_smlsvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13047 },
#else
    { 0, 0, output_13047 },
#endif
    { 0 },
    &operand_data[16587],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_umlavnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13048 },
#else
    { 0, 0, output_13048 },
#endif
    { 0 },
    &operand_data[16587],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_umlsvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13049 },
#else
    { 0, 0, output_13049 },
#endif
    { 0 },
    &operand_data[16587],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_smlavnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13050 },
#else
    { 0, 0, output_13050 },
#endif
    { 0 },
    &operand_data[16591],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_smlsvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13051 },
#else
    { 0, 0, output_13051 },
#endif
    { 0 },
    &operand_data[16591],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_umlavnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13052 },
#else
    { 0, 0, output_13052 },
#endif
    { 0 },
    &operand_data[16591],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1243 */
  {
    "*aarch64_sme_umlsvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13053 },
#else
    { 0, 0, output_13053 },
#endif
    { 0 },
    &operand_data[16591],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_smlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx4sivnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_smlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx4sivnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_umlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx4sivnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_umlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx4sivnx32qi },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_smlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx4sivnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_smlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx4sivnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_umlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx4sivnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_umlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx4sivnx64qi },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_smlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx4sivnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_smlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx4sivnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_umlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx4sivnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_umlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx4sivnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_smlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx4sivnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_smlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx4sivnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_umlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx4sivnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1260 */
  {
    "aarch64_sme_single_umlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx4sivnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_smlavnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13070 },
#else
    { 0, 0, output_13070 },
#endif
    { 0 },
    &operand_data[16595],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_smlsvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13071 },
#else
    { 0, 0, output_13071 },
#endif
    { 0 },
    &operand_data[16595],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_umlavnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13072 },
#else
    { 0, 0, output_13072 },
#endif
    { 0 },
    &operand_data[16595],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_umlsvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13073 },
#else
    { 0, 0, output_13073 },
#endif
    { 0 },
    &operand_data[16595],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_smlavnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13074 },
#else
    { 0, 0, output_13074 },
#endif
    { 0 },
    &operand_data[16599],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_smlsvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13075 },
#else
    { 0, 0, output_13075 },
#endif
    { 0 },
    &operand_data[16599],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_umlavnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13076 },
#else
    { 0, 0, output_13076 },
#endif
    { 0 },
    &operand_data[16599],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_umlsvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13077 },
#else
    { 0, 0, output_13077 },
#endif
    { 0 },
    &operand_data[16599],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_smlavnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13078 },
#else
    { 0, 0, output_13078 },
#endif
    { 0 },
    &operand_data[16603],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_smlsvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13079 },
#else
    { 0, 0, output_13079 },
#endif
    { 0 },
    &operand_data[16603],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_umlavnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13080 },
#else
    { 0, 0, output_13080 },
#endif
    { 0 },
    &operand_data[16603],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_umlsvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13081 },
#else
    { 0, 0, output_13081 },
#endif
    { 0 },
    &operand_data[16603],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_smlavnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13082 },
#else
    { 0, 0, output_13082 },
#endif
    { 0 },
    &operand_data[16607],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_smlsvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13083 },
#else
    { 0, 0, output_13083 },
#endif
    { 0 },
    &operand_data[16607],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_umlavnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13084 },
#else
    { 0, 0, output_13084 },
#endif
    { 0 },
    &operand_data[16607],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1274 */
  {
    "*aarch64_sme_single_umlsvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13085 },
#else
    { 0, 0, output_13085 },
#endif
    { 0 },
    &operand_data[16607],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3], %1.b, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx16qi },
    &operand_data[16611],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3], %1.b, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx16qi },
    &operand_data[16611],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3], %1.b, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx16qi },
    &operand_data[16611],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3], %1.b, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx16qi },
    &operand_data[16611],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx32qi },
    &operand_data[16529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx64qi },
    &operand_data[16533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx8hi },
    &operand_data[16615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx8hi },
    &operand_data[16615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx8hi },
    &operand_data[16615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx8hi },
    &operand_data[16615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1292 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13110 },
#else
    { 0, 0, output_13110 },
#endif
    { 0 },
    &operand_data[16619],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13111 },
#else
    { 0, 0, output_13111 },
#endif
    { 0 },
    &operand_data[16619],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13112 },
#else
    { 0, 0, output_13112 },
#endif
    { 0 },
    &operand_data[16619],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13113 },
#else
    { 0, 0, output_13113 },
#endif
    { 0 },
    &operand_data[16619],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13114 },
#else
    { 0, 0, output_13114 },
#endif
    { 0 },
    &operand_data[16624],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13115 },
#else
    { 0, 0, output_13115 },
#endif
    { 0 },
    &operand_data[16624],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13116 },
#else
    { 0, 0, output_13116 },
#endif
    { 0 },
    &operand_data[16624],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13117 },
#else
    { 0, 0, output_13117 },
#endif
    { 0 },
    &operand_data[16624],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13118 },
#else
    { 0, 0, output_13118 },
#endif
    { 0 },
    &operand_data[16629],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13119 },
#else
    { 0, 0, output_13119 },
#endif
    { 0 },
    &operand_data[16629],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13120 },
#else
    { 0, 0, output_13120 },
#endif
    { 0 },
    &operand_data[16629],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13121 },
#else
    { 0, 0, output_13121 },
#endif
    { 0 },
    &operand_data[16629],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13122 },
#else
    { 0, 0, output_13122 },
#endif
    { 0 },
    &operand_data[16634],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13123 },
#else
    { 0, 0, output_13123 },
#endif
    { 0 },
    &operand_data[16634],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13124 },
#else
    { 0, 0, output_13124 },
#endif
    { 0 },
    &operand_data[16634],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13125 },
#else
    { 0, 0, output_13125 },
#endif
    { 0 },
    &operand_data[16634],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13126 },
#else
    { 0, 0, output_13126 },
#endif
    { 0 },
    &operand_data[16639],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13127 },
#else
    { 0, 0, output_13127 },
#endif
    { 0 },
    &operand_data[16639],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13128 },
#else
    { 0, 0, output_13128 },
#endif
    { 0 },
    &operand_data[16639],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13129 },
#else
    { 0, 0, output_13129 },
#endif
    { 0 },
    &operand_data[16639],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13130 },
#else
    { 0, 0, output_13130 },
#endif
    { 0 },
    &operand_data[16644],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13131 },
#else
    { 0, 0, output_13131 },
#endif
    { 0 },
    &operand_data[16644],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13132 },
#else
    { 0, 0, output_13132 },
#endif
    { 0 },
    &operand_data[16644],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1308 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13133 },
#else
    { 0, 0, output_13133 },
#endif
    { 0 },
    &operand_data[16644],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1328 */
  {
    "aarch64_sme_smlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx2divnx8hi },
    &operand_data[16568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1328 */
  {
    "aarch64_sme_smlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx2divnx8hi },
    &operand_data[16568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1328 */
  {
    "aarch64_sme_umlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx2divnx8hi },
    &operand_data[16568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1328 */
  {
    "aarch64_sme_umlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx2divnx8hi },
    &operand_data[16568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1341 */
  {
    "*aarch64_sme_smlavnx2divnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13138 },
#else
    { 0, 0, output_13138 },
#endif
    { 0 },
    &operand_data[16649],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1341 */
  {
    "*aarch64_sme_smlsvnx2divnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13139 },
#else
    { 0, 0, output_13139 },
#endif
    { 0 },
    &operand_data[16649],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1341 */
  {
    "*aarch64_sme_umlavnx2divnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13140 },
#else
    { 0, 0, output_13140 },
#endif
    { 0 },
    &operand_data[16649],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1341 */
  {
    "*aarch64_sme_umlsvnx2divnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13141 },
#else
    { 0, 0, output_13141 },
#endif
    { 0 },
    &operand_data[16649],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "aarch64_sme_smlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx2divnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "aarch64_sme_smlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx2divnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "aarch64_sme_umlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx2divnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "aarch64_sme_umlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx2divnx16hi },
    &operand_data[16479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "aarch64_sme_smlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx2divnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "aarch64_sme_smlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx2divnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "aarch64_sme_umlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx2divnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "aarch64_sme_umlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx2divnx32hi },
    &operand_data[16482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1371 */
  {
    "*aarch64_sme_smlavnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13150 },
#else
    { 0, 0, output_13150 },
#endif
    { 0 },
    &operand_data[16653],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1371 */
  {
    "*aarch64_sme_smlsvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13151 },
#else
    { 0, 0, output_13151 },
#endif
    { 0 },
    &operand_data[16653],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1371 */
  {
    "*aarch64_sme_umlavnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13152 },
#else
    { 0, 0, output_13152 },
#endif
    { 0 },
    &operand_data[16653],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1371 */
  {
    "*aarch64_sme_umlsvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13153 },
#else
    { 0, 0, output_13153 },
#endif
    { 0 },
    &operand_data[16653],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1371 */
  {
    "*aarch64_sme_smlavnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13154 },
#else
    { 0, 0, output_13154 },
#endif
    { 0 },
    &operand_data[16657],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1371 */
  {
    "*aarch64_sme_smlsvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13155 },
#else
    { 0, 0, output_13155 },
#endif
    { 0 },
    &operand_data[16657],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1371 */
  {
    "*aarch64_sme_umlavnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13156 },
#else
    { 0, 0, output_13156 },
#endif
    { 0 },
    &operand_data[16657],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1371 */
  {
    "*aarch64_sme_umlsvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13157 },
#else
    { 0, 0, output_13157 },
#endif
    { 0 },
    &operand_data[16657],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1388 */
  {
    "aarch64_sme_single_smlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx2divnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1388 */
  {
    "aarch64_sme_single_smlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx2divnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1388 */
  {
    "aarch64_sme_single_umlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx2divnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1388 */
  {
    "aarch64_sme_single_umlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx2divnx16hi },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1388 */
  {
    "aarch64_sme_single_smlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx2divnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1388 */
  {
    "aarch64_sme_single_smlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx2divnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1388 */
  {
    "aarch64_sme_single_umlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx2divnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1388 */
  {
    "aarch64_sme_single_umlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx2divnx32hi },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1402 */
  {
    "*aarch64_sme_single_smlavnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13166 },
#else
    { 0, 0, output_13166 },
#endif
    { 0 },
    &operand_data[16661],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1402 */
  {
    "*aarch64_sme_single_smlsvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13167 },
#else
    { 0, 0, output_13167 },
#endif
    { 0 },
    &operand_data[16661],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1402 */
  {
    "*aarch64_sme_single_umlavnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13168 },
#else
    { 0, 0, output_13168 },
#endif
    { 0 },
    &operand_data[16661],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1402 */
  {
    "*aarch64_sme_single_umlsvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13169 },
#else
    { 0, 0, output_13169 },
#endif
    { 0 },
    &operand_data[16661],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1402 */
  {
    "*aarch64_sme_single_smlavnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13170 },
#else
    { 0, 0, output_13170 },
#endif
    { 0 },
    &operand_data[16665],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1402 */
  {
    "*aarch64_sme_single_smlsvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13171 },
#else
    { 0, 0, output_13171 },
#endif
    { 0 },
    &operand_data[16665],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1402 */
  {
    "*aarch64_sme_single_umlavnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13172 },
#else
    { 0, 0, output_13172 },
#endif
    { 0 },
    &operand_data[16665],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1402 */
  {
    "*aarch64_sme_single_umlsvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13173 },
#else
    { 0, 0, output_13173 },
#endif
    { 0 },
    &operand_data[16665],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_smlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx2divnx8hi },
    &operand_data[16615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_smlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx2divnx8hi },
    &operand_data[16615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_umlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx2divnx8hi },
    &operand_data[16615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_umlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx2divnx8hi },
    &operand_data[16615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_smlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_smlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_umlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_umlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx2divnx16hi },
    &operand_data[16537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_smlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_smlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_umlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_lane_umlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx2divnx32hi },
    &operand_data[16541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_smlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13186 },
#else
    { 0, 0, output_13186 },
#endif
    { 0 },
    &operand_data[16669],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_smlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13187 },
#else
    { 0, 0, output_13187 },
#endif
    { 0 },
    &operand_data[16669],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_umlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13188 },
#else
    { 0, 0, output_13188 },
#endif
    { 0 },
    &operand_data[16669],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_umlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13189 },
#else
    { 0, 0, output_13189 },
#endif
    { 0 },
    &operand_data[16669],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_smlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13190 },
#else
    { 0, 0, output_13190 },
#endif
    { 0 },
    &operand_data[16674],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_smlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13191 },
#else
    { 0, 0, output_13191 },
#endif
    { 0 },
    &operand_data[16674],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_umlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13192 },
#else
    { 0, 0, output_13192 },
#endif
    { 0 },
    &operand_data[16674],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_umlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13193 },
#else
    { 0, 0, output_13193 },
#endif
    { 0 },
    &operand_data[16674],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_smlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13194 },
#else
    { 0, 0, output_13194 },
#endif
    { 0 },
    &operand_data[16679],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_smlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13195 },
#else
    { 0, 0, output_13195 },
#endif
    { 0 },
    &operand_data[16679],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_umlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13196 },
#else
    { 0, 0, output_13196 },
#endif
    { 0 },
    &operand_data[16679],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1436 */
  {
    "*aarch64_sme_lane_umlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13197 },
#else
    { 0, 0, output_13197 },
#endif
    { 0 },
    &operand_data[16679],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1471 */
  {
    "aarch64_sme_smopavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smopa\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopavnx4sivnx16qi },
    &operand_data[16684],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1471 */
  {
    "aarch64_sme_smopsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smops\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopsvnx4sivnx16qi },
    &operand_data[16684],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1471 */
  {
    "aarch64_sme_sumopavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sumopa\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sumopavnx4sivnx16qi },
    &operand_data[16684],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1471 */
  {
    "aarch64_sme_sumopsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sumops\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sumopsvnx4sivnx16qi },
    &operand_data[16684],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1471 */
  {
    "aarch64_sme_umopavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umopa\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopavnx4sivnx16qi },
    &operand_data[16684],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1471 */
  {
    "aarch64_sme_umopsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umops\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopsvnx4sivnx16qi },
    &operand_data[16684],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1471 */
  {
    "aarch64_sme_usmopavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmopa\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usmopavnx4sivnx16qi },
    &operand_data[16684],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1471 */
  {
    "aarch64_sme_usmopsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmops\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usmopsvnx4sivnx16qi },
    &operand_data[16684],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1486 */
  {
    "aarch64_sme_smopavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopavnx2divnx8hi },
    &operand_data[16689],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1486 */
  {
    "aarch64_sme_smopsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopsvnx2divnx8hi },
    &operand_data[16689],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1486 */
  {
    "aarch64_sme_sumopavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sumopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sumopavnx2divnx8hi },
    &operand_data[16689],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1486 */
  {
    "aarch64_sme_sumopsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sumops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sumopsvnx2divnx8hi },
    &operand_data[16689],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1486 */
  {
    "aarch64_sme_umopavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopavnx2divnx8hi },
    &operand_data[16689],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1486 */
  {
    "aarch64_sme_umopsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopsvnx2divnx8hi },
    &operand_data[16689],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1486 */
  {
    "aarch64_sme_usmopavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usmopavnx2divnx8hi },
    &operand_data[16689],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1486 */
  {
    "aarch64_sme_usmopsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usmopsvnx2divnx8hi },
    &operand_data[16689],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1501 */
  {
    "aarch64_sme_smopavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smopa\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopavnx4sivnx8hi },
    &operand_data[16694],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1501 */
  {
    "aarch64_sme_smopsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smops\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopsvnx4sivnx8hi },
    &operand_data[16694],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1501 */
  {
    "aarch64_sme_umopavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umopa\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopavnx4sivnx8hi },
    &operand_data[16694],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1501 */
  {
    "aarch64_sme_umopsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umops\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopsvnx4sivnx8hi },
    &operand_data[16694],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1516 */
  {
    "aarch64_sme_bmopavnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bmopa\tza%0.s, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_bmopavnx4sivnx4si },
    &operand_data[16699],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1516 */
  {
    "aarch64_sme_bmopsvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bmops\tza%0.s, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_bmopsvnx4sivnx4si },
    &operand_data[16699],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1539 */
  {
    "aarch64_sme_fdotvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fdotvnx4sivnx16bf },
    &operand_data[16704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1539 */
  {
    "aarch64_sme_fdotvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fdotvnx4sivnx32bf },
    &operand_data[16707],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1539 */
  {
    "aarch64_sme_fdotvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fdotvnx4sivnx16hf },
    &operand_data[16710],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1539 */
  {
    "aarch64_sme_fdotvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fdotvnx4sivnx32hf },
    &operand_data[16713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1552 */
  {
    "*aarch64_sme_fdotvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16716],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1552 */
  {
    "*aarch64_sme_fdotvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16720],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1552 */
  {
    "*aarch64_sme_fdotvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16724],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1552 */
  {
    "*aarch64_sme_fdotvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16728],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1566 */
  {
    "aarch64_sme_single_fdotvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fdotvnx4sivnx16bf },
    &operand_data[16732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1566 */
  {
    "aarch64_sme_single_fdotvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fdotvnx4sivnx32bf },
    &operand_data[16735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1566 */
  {
    "aarch64_sme_single_fdotvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fdotvnx4sivnx16hf },
    &operand_data[16738],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1566 */
  {
    "aarch64_sme_single_fdotvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fdotvnx4sivnx32hf },
    &operand_data[16741],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1580 */
  {
    "*aarch64_sme_single_fdotvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1580 */
  {
    "*aarch64_sme_single_fdotvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16748],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1580 */
  {
    "*aarch64_sme_single_fdotvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1580 */
  {
    "*aarch64_sme_single_fdotvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1595 */
  {
    "aarch64_sme_lane_fdotvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fdotvnx4sivnx16bf },
    &operand_data[16760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1595 */
  {
    "aarch64_sme_lane_fvdotvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fvdotvnx4sivnx16bf },
    &operand_data[16760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1595 */
  {
    "aarch64_sme_lane_fdotvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fdotvnx4sivnx32bf },
    &operand_data[16764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1595 */
  {
    "aarch64_sme_lane_fvdotvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fvdotvnx4sivnx32bf },
    &operand_data[16764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1595 */
  {
    "aarch64_sme_lane_fdotvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fdotvnx4sivnx16hf },
    &operand_data[16768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1595 */
  {
    "aarch64_sme_lane_fvdotvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fvdotvnx4sivnx16hf },
    &operand_data[16768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1595 */
  {
    "aarch64_sme_lane_fdotvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fdotvnx4sivnx32hf },
    &operand_data[16772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1595 */
  {
    "aarch64_sme_lane_fvdotvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fvdotvnx4sivnx32hf },
    &operand_data[16772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1611 */
  {
    "*aarch64_sme_lane_fdotvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16776],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1611 */
  {
    "*aarch64_sme_lane_fvdotvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16776],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1611 */
  {
    "*aarch64_sme_lane_fdotvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16781],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1611 */
  {
    "*aarch64_sme_lane_fvdotvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16781],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1611 */
  {
    "*aarch64_sme_lane_fdotvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16786],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1611 */
  {
    "*aarch64_sme_lane_fvdotvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16786],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1611 */
  {
    "*aarch64_sme_lane_fdotvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16791],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1611 */
  {
    "*aarch64_sme_lane_fvdotvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16791],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlavnx4sivnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx8sf },
    &operand_data[16796],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlsvnx4sivnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx8sf },
    &operand_data[16796],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlavnx4sivnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx4df },
    &operand_data[16799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlsvnx4sivnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx4df },
    &operand_data[16799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlavnx4sivnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx16sf },
    &operand_data[16802],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlsvnx4sivnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx16sf },
    &operand_data[16802],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlavnx4sivnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx8df },
    &operand_data[16805],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlsvnx4sivnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx8df },
    &operand_data[16805],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlavnx2divnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx2divnx8sf },
    &operand_data[16796],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlsvnx2divnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx2divnx8sf },
    &operand_data[16796],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlavnx2divnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx2divnx4df },
    &operand_data[16799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlsvnx2divnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx2divnx4df },
    &operand_data[16799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlavnx2divnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx2divnx16sf },
    &operand_data[16802],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlsvnx2divnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx2divnx16sf },
    &operand_data[16802],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlavnx2divnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx2divnx8df },
    &operand_data[16805],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1636 */
  {
    "aarch64_sme_fmlsvnx2divnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx2divnx8df },
    &operand_data[16805],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlavnx4sivnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16808],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlsvnx4sivnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16808],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlavnx4sivnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16812],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlsvnx4sivnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16812],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlavnx4sivnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16816],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlsvnx4sivnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16816],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlavnx4sivnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16820],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlsvnx4sivnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16820],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlavnx2divnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16808],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlsvnx2divnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16808],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlavnx2divnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16812],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlsvnx2divnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16812],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlavnx2divnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16816],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlsvnx2divnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16816],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlavnx2divnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16820],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1651 */
  {
    "*aarch64_sme_fmlsvnx2divnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16820],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlavnx4sivnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx8sf },
    &operand_data[16824],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx8sf },
    &operand_data[16824],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlavnx4sivnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx4df },
    &operand_data[16827],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx4df },
    &operand_data[16827],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlavnx4sivnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx16sf },
    &operand_data[16830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx16sf },
    &operand_data[16830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlavnx4sivnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx8df },
    &operand_data[16833],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx8df },
    &operand_data[16833],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlavnx2divnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx2divnx8sf },
    &operand_data[16824],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlsvnx2divnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx2divnx8sf },
    &operand_data[16824],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlavnx2divnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx2divnx4df },
    &operand_data[16827],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlsvnx2divnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx2divnx4df },
    &operand_data[16827],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlavnx2divnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx2divnx16sf },
    &operand_data[16830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlsvnx2divnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx2divnx16sf },
    &operand_data[16830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlavnx2divnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx2divnx8df },
    &operand_data[16833],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1667 */
  {
    "aarch64_sme_single_fmlsvnx2divnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx2divnx8df },
    &operand_data[16833],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16836],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16836],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlavnx2divnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16836],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlsvnx2divnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16836],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlavnx2divnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlsvnx2divnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlavnx2divnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlsvnx2divnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlavnx2divnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1683 */
  {
    "*aarch64_sme_single_fmlsvnx2divnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx2], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx8sf },
    &operand_data[16852],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx2], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx8sf },
    &operand_data[16852],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx2], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx4df },
    &operand_data[16856],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx2], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx4df },
    &operand_data[16856],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx4], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx16sf },
    &operand_data[16860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx4], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx16sf },
    &operand_data[16860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx4], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx8df },
    &operand_data[16864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx4], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx8df },
    &operand_data[16864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlavnx2divnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx2], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx2divnx8sf },
    &operand_data[16852],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlsvnx2divnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx2], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx2divnx8sf },
    &operand_data[16852],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlavnx2divnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx2], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx2divnx4df },
    &operand_data[16856],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlsvnx2divnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx2], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx2divnx4df },
    &operand_data[16856],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlavnx2divnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx4], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx2divnx16sf },
    &operand_data[16860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlsvnx2divnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx4], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx2divnx16sf },
    &operand_data[16860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlavnx2divnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx4], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx2divnx8df },
    &operand_data[16864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1700 */
  {
    "aarch64_sme_lane_fmlsvnx2divnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx4], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx2divnx8df },
    &operand_data[16864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx2], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16868],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx2], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16868],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx2], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16873],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx2], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16873],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx4], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16878],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx4], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16878],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx4], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16883],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx4], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16883],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlavnx2divnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx2], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16868],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlsvnx2divnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx2], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16868],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlavnx2divnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx2], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16873],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlsvnx2divnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx2], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16873],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlavnx2divnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx4], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16878],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlsvnx2divnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx4], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16878],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlavnx2divnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx4], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16883],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1718 */
  {
    "*aarch64_sme_lane_fmlsvnx2divnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx4], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16883],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1747 */
  {
    "aarch64_sme_fmlavnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx8bf },
    &operand_data[16888],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1747 */
  {
    "aarch64_sme_fmlsvnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx8bf },
    &operand_data[16888],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1747 */
  {
    "aarch64_sme_fmlavnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx8hf },
    &operand_data[16891],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1747 */
  {
    "aarch64_sme_fmlsvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx8hf },
    &operand_data[16891],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1760 */
  {
    "*aarch64_sme_fmlavnx4sivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13352 },
#else
    { 0, 0, output_13352 },
#endif
    { 0 },
    &operand_data[16894],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1760 */
  {
    "*aarch64_sme_fmlsvnx4sivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13353 },
#else
    { 0, 0, output_13353 },
#endif
    { 0 },
    &operand_data[16894],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1760 */
  {
    "*aarch64_sme_fmlavnx4sivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13354 },
#else
    { 0, 0, output_13354 },
#endif
    { 0 },
    &operand_data[16898],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1760 */
  {
    "*aarch64_sme_fmlsvnx4sivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13355 },
#else
    { 0, 0, output_13355 },
#endif
    { 0 },
    &operand_data[16898],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1777 */
  {
    "aarch64_sme_fmlavnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx16bf },
    &operand_data[16704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1777 */
  {
    "aarch64_sme_fmlsvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx16bf },
    &operand_data[16704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1777 */
  {
    "aarch64_sme_fmlavnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx32bf },
    &operand_data[16707],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1777 */
  {
    "aarch64_sme_fmlsvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx32bf },
    &operand_data[16707],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1777 */
  {
    "aarch64_sme_fmlavnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx16hf },
    &operand_data[16710],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1777 */
  {
    "aarch64_sme_fmlsvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx16hf },
    &operand_data[16710],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1777 */
  {
    "aarch64_sme_fmlavnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx32hf },
    &operand_data[16713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1777 */
  {
    "aarch64_sme_fmlsvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx32hf },
    &operand_data[16713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1790 */
  {
    "*aarch64_sme_fmlavnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13364 },
#else
    { 0, 0, output_13364 },
#endif
    { 0 },
    &operand_data[16902],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1790 */
  {
    "*aarch64_sme_fmlsvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13365 },
#else
    { 0, 0, output_13365 },
#endif
    { 0 },
    &operand_data[16902],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1790 */
  {
    "*aarch64_sme_fmlavnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13366 },
#else
    { 0, 0, output_13366 },
#endif
    { 0 },
    &operand_data[16906],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1790 */
  {
    "*aarch64_sme_fmlsvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13367 },
#else
    { 0, 0, output_13367 },
#endif
    { 0 },
    &operand_data[16906],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1790 */
  {
    "*aarch64_sme_fmlavnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13368 },
#else
    { 0, 0, output_13368 },
#endif
    { 0 },
    &operand_data[16910],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1790 */
  {
    "*aarch64_sme_fmlsvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13369 },
#else
    { 0, 0, output_13369 },
#endif
    { 0 },
    &operand_data[16910],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1790 */
  {
    "*aarch64_sme_fmlavnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13370 },
#else
    { 0, 0, output_13370 },
#endif
    { 0 },
    &operand_data[16914],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1790 */
  {
    "*aarch64_sme_fmlsvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13371 },
#else
    { 0, 0, output_13371 },
#endif
    { 0 },
    &operand_data[16914],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1807 */
  {
    "aarch64_sme_single_fmlavnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx16bf },
    &operand_data[16732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1807 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx16bf },
    &operand_data[16732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1807 */
  {
    "aarch64_sme_single_fmlavnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx32bf },
    &operand_data[16735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1807 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx32bf },
    &operand_data[16735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1807 */
  {
    "aarch64_sme_single_fmlavnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx16hf },
    &operand_data[16738],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1807 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx16hf },
    &operand_data[16738],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1807 */
  {
    "aarch64_sme_single_fmlavnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx32hf },
    &operand_data[16741],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1807 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx32hf },
    &operand_data[16741],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1821 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13380 },
#else
    { 0, 0, output_13380 },
#endif
    { 0 },
    &operand_data[16918],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1821 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13381 },
#else
    { 0, 0, output_13381 },
#endif
    { 0 },
    &operand_data[16918],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1821 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13382 },
#else
    { 0, 0, output_13382 },
#endif
    { 0 },
    &operand_data[16922],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1821 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13383 },
#else
    { 0, 0, output_13383 },
#endif
    { 0 },
    &operand_data[16922],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1821 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13384 },
#else
    { 0, 0, output_13384 },
#endif
    { 0 },
    &operand_data[16926],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1821 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13385 },
#else
    { 0, 0, output_13385 },
#endif
    { 0 },
    &operand_data[16926],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1821 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13386 },
#else
    { 0, 0, output_13386 },
#endif
    { 0 },
    &operand_data[16930],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1821 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13387 },
#else
    { 0, 0, output_13387 },
#endif
    { 0 },
    &operand_data[16930],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx8bf },
    &operand_data[16934],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx8bf },
    &operand_data[16934],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx16bf },
    &operand_data[16760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx16bf },
    &operand_data[16760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx32bf },
    &operand_data[16764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx32bf },
    &operand_data[16764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx8hf },
    &operand_data[16938],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx8hf },
    &operand_data[16938],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx16hf },
    &operand_data[16768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx16hf },
    &operand_data[16768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx32hf },
    &operand_data[16772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1839 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx32hf },
    &operand_data[16772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13400 },
#else
    { 0, 0, output_13400 },
#endif
    { 0 },
    &operand_data[16942],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13401 },
#else
    { 0, 0, output_13401 },
#endif
    { 0 },
    &operand_data[16942],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13402 },
#else
    { 0, 0, output_13402 },
#endif
    { 0 },
    &operand_data[16947],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13403 },
#else
    { 0, 0, output_13403 },
#endif
    { 0 },
    &operand_data[16947],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13404 },
#else
    { 0, 0, output_13404 },
#endif
    { 0 },
    &operand_data[16952],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13405 },
#else
    { 0, 0, output_13405 },
#endif
    { 0 },
    &operand_data[16952],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13406 },
#else
    { 0, 0, output_13406 },
#endif
    { 0 },
    &operand_data[16957],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13407 },
#else
    { 0, 0, output_13407 },
#endif
    { 0 },
    &operand_data[16957],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13408 },
#else
    { 0, 0, output_13408 },
#endif
    { 0 },
    &operand_data[16962],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13409 },
#else
    { 0, 0, output_13409 },
#endif
    { 0 },
    &operand_data[16962],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13410 },
#else
    { 0, 0, output_13410 },
#endif
    { 0 },
    &operand_data[16967],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1855 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13411 },
#else
    { 0, 0, output_13411 },
#endif
    { 0 },
    &operand_data[16967],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopavnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmopa\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx4sivnx8bf },
    &operand_data[16972],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopsvnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmops\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx4sivnx8bf },
    &operand_data[16972],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopavnx2divnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx2divnx8bf },
    &operand_data[16977],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopsvnx2divnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx2divnx8bf },
    &operand_data[16977],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopavnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx4sivnx8hf },
    &operand_data[16982],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopsvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx4sivnx8hf },
    &operand_data[16982],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopavnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx2divnx8hf },
    &operand_data[16987],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopsvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx2divnx8hf },
    &operand_data[16987],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopavnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.s, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx4sivnx4sf },
    &operand_data[16992],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopsvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.s, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx4sivnx4sf },
    &operand_data[16992],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopavnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.d, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx2divnx4sf },
    &operand_data[16997],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopsvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.d, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx2divnx4sf },
    &operand_data[16997],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopavnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.s, %1/m, %2/m, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx4sivnx2df },
    &operand_data[17002],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopsvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.s, %1/m, %2/m, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx4sivnx2df },
    &operand_data[17002],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopavnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.d, %1/m, %2/m, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx2divnx2df },
    &operand_data[17007],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_fmopsvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.d, %1/m, %2/m, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx2divnx2df },
    &operand_data[17007],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.b, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16qi },
    &operand_data[17012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut4vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.b, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16qi },
    &operand_data[17012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8hi },
    &operand_data[15294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut4vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8hi },
    &operand_data[15294],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.s, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx4si },
    &operand_data[17015],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut4vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.s, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx4si },
    &operand_data[17015],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8bf },
    &operand_data[17018],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut4vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8bf },
    &operand_data[17018],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8hf },
    &operand_data[17021],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut4vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8hf },
    &operand_data[17021],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.s, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx4sf },
    &operand_data[17024],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1917 */
  {
    "aarch64_sme_lut4vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.s, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx4sf },
    &operand_data[17024],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx32qi },
    &operand_data[17027],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx32qi },
    &operand_data[17027],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16hi },
    &operand_data[17030],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16hi },
    &operand_data[17030],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8si },
    &operand_data[17033],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8si },
    &operand_data[17033],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16bf },
    &operand_data[17036],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16bf },
    &operand_data[17036],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16hf },
    &operand_data[17039],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16hf },
    &operand_data[17039],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8sf },
    &operand_data[17042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8sf },
    &operand_data[17042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx64qi },
    &operand_data[17045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx64qi },
    &operand_data[17045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx32hi },
    &operand_data[17048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx32hi },
    &operand_data[17048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16si },
    &operand_data[17051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16si },
    &operand_data[17051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx32bf },
    &operand_data[17054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx32bf },
    &operand_data[17054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx32hf },
    &operand_data[17057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx32hf },
    &operand_data[17057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut2vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16sf },
    &operand_data[17060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "aarch64_sme_lut4vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16sf },
    &operand_data[17060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:652 */
  {
    "cbranchsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsi4 },
    &operand_data[17063],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:652 */
  {
    "cbranchdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdi4 },
    &operand_data[17067],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:666 */
  {
    "cbranchsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsf4 },
    &operand_data[17071],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:666 */
  {
    "cbranchdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdf4 },
    &operand_data[17075],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:680 */
  {
    "cbranchcc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchcc4 },
    &operand_data[17079],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:771 */
  {
    "modsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_modsi3 },
    &operand_data[17083],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:771 */
  {
    "moddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_moddi3 },
    &operand_data[17086],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:885 */
  {
    "casesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi },
    &operand_data[17089],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:937 */
  {
    "casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi_dispatch },
    &operand_data[17093],
    2,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1019 */
  {
    "prologue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prologue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1028 */
  {
    "epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1059 */
  {
    "return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1101 */
  {
    "tbranch_eqqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tbranch_eqqi3 },
    &operand_data[17097],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1101 */
  {
    "tbranch_neqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tbranch_neqi3 },
    &operand_data[17097],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1101 */
  {
    "tbranch_eqhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tbranch_eqhi3 },
    &operand_data[17100],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1101 */
  {
    "tbranch_nehi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tbranch_nehi3 },
    &operand_data[17100],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1201 */
  {
    "call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call },
    &operand_data[17103],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1227 */
  {
    "call_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call_value },
    &operand_data[17102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1255 */
  {
    "sibcall",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall },
    &operand_data[17103],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1268 */
  {
    "sibcall_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_value },
    &operand_data[17102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1322 */
  {
    "untyped_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_untyped_call },
    &operand_data[17105],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1371 */
  {
    "movqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqi },
    &operand_data[17108],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1371 */
  {
    "movhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhi },
    &operand_data[17110],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1415 */
  {
    "movsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsi },
    &operand_data[17112],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1415 */
  {
    "movdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdi },
    &operand_data[17114],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1562 */
  {
    "movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movti },
    &operand_data[17116],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1620 */
  {
    "movhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhf },
    &operand_data[17118],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1620 */
  {
    "movbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movbf },
    &operand_data[17120],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1620 */
  {
    "movsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsf },
    &operand_data[17122],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1620 */
  {
    "movdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdf },
    &operand_data[17124],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1620 */
  {
    "movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movtf },
    &operand_data[17126],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1620 */
  {
    "movsd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsd },
    &operand_data[17128],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1620 */
  {
    "movdd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdd },
    &operand_data[17130],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1620 */
  {
    "movtd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movtd },
    &operand_data[17132],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1766 */
  {
    "aarch64_cpymemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cpymemdi },
    &operand_data[17105],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1798 */
  {
    "cpymemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cpymemdi },
    &operand_data[17134],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1811 */
  {
    "aarch64_movmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movmemdi },
    &operand_data[17105],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1844 */
  {
    "movmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmemdi },
    &operand_data[17134],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1857 */
  {
    "aarch64_setmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_setmemdi },
    &operand_data[17105],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1887 */
  {
    "setmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_setmemdi },
    &operand_data[17138],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2167 */
  {
    "extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsidi2 },
    &operand_data[17142],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2167 */
  {
    "zero_extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendsidi2 },
    &operand_data[17142],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2227 */
  {
    "extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqisi2 },
    &operand_data[17144],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2227 */
  {
    "zero_extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqisi2 },
    &operand_data[17144],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2227 */
  {
    "extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqidi2 },
    &operand_data[17146],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2227 */
  {
    "zero_extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqidi2 },
    &operand_data[17146],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2227 */
  {
    "extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhisi2 },
    &operand_data[17148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2227 */
  {
    "zero_extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhisi2 },
    &operand_data[17148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2227 */
  {
    "extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhidi2 },
    &operand_data[17150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2227 */
  {
    "zero_extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhidi2 },
    &operand_data[17150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2256 */
  {
    "extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqihi2 },
    &operand_data[17152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2256 */
  {
    "zero_extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqihi2 },
    &operand_data[17152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2286 */
  {
    "addsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3 },
    &operand_data[17154],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2286 */
  {
    "adddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3 },
    &operand_data[17157],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2463 */
  {
    "addvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvsi4 },
    &operand_data[17160],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2463 */
  {
    "addvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvdi4 },
    &operand_data[17164],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2480 */
  {
    "uaddvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvsi4 },
    &operand_data[17168],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2480 */
  {
    "uaddvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvdi4 },
    &operand_data[17172],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2493 */
  {
    "addti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addti3 },
    &operand_data[17176],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2526 */
  {
    "addvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvti4 },
    &operand_data[17176],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2560 */
  {
    "uaddvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvti4 },
    &operand_data[17176],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2918 */
  {
    "addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryin },
    &operand_data[17180],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2918 */
  {
    "adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryin },
    &operand_data[17183],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinC },
    &operand_data[17168],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinC },
    &operand_data[17172],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3021 */
  {
    "addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinV },
    &operand_data[17168],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3021 */
  {
    "adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinV },
    &operand_data[17172],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3150 */
  {
    "subvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi4 },
    &operand_data[17160],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3150 */
  {
    "subvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi4 },
    &operand_data[17164],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3201 */
  {
    "negvsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi3 },
    &operand_data[17169],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3201 */
  {
    "negvdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi3 },
    &operand_data[17173],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3255 */
  {
    "usubvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvsi4 },
    &operand_data[17186],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3255 */
  {
    "usubvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvdi4 },
    &operand_data[17190],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3268 */
  {
    "subti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subti3 },
    &operand_data[17194],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3288 */
  {
    "subvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvti4 },
    &operand_data[17176],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "usubvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvti4 },
    &operand_data[17176],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3326 */
  {
    "negvti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvti3 },
    &operand_data[17196],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3598 */
  {
    "subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryin },
    &operand_data[17199],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3598 */
  {
    "subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryin },
    &operand_data[17202],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3663 */
  {
    "usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubsi3_carryinC },
    &operand_data[17199],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3663 */
  {
    "usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubdi3_carryinC },
    &operand_data[17202],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3730 */
  {
    "subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryinV },
    &operand_data[17199],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3730 */
  {
    "subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryinV },
    &operand_data[17202],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "abssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssi2 },
    &operand_data[17083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "absdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdi2 },
    &operand_data[17086],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4089 */
  {
    "mulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulditi3 },
    &operand_data[17205],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4089 */
  {
    "umulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulditi3 },
    &operand_data[17205],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4108 */
  {
    "multi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_multi3 },
    &operand_data[17208],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4241 */
  {
    "cstoresi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi4 },
    &operand_data[17211],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4241 */
  {
    "cstoredi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi4 },
    &operand_data[17215],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4254 */
  {
    "cstorecc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorecc4 },
    &operand_data[17219],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4266 */
  {
    "cstoresf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresf4 },
    &operand_data[17223],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4266 */
  {
    "cstoredf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredf4 },
    &operand_data[17227],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4354 */
  {
    "cmovsi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsi6 },
    &operand_data[17231],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4354 */
  {
    "cmovdi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdi6 },
    &operand_data[17237],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4370 */
  {
    "cmovsf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsf6 },
    &operand_data[17243],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4370 */
  {
    "cmovdf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdf6 },
    &operand_data[17249],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4475 */
  {
    "movqicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqicc },
    &operand_data[17255],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4475 */
  {
    "movhicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhicc },
    &operand_data[17259],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4475 */
  {
    "movsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsicc },
    &operand_data[17263],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4475 */
  {
    "movdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdicc },
    &operand_data[17267],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4494 */
  {
    "movsfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfsicc },
    &operand_data[17271],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4494 */
  {
    "movsfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfdicc },
    &operand_data[17275],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4494 */
  {
    "movdfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfsicc },
    &operand_data[17279],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4494 */
  {
    "movdfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfdicc },
    &operand_data[17283],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4513 */
  {
    "movsfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfcc },
    &operand_data[17287],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4513 */
  {
    "movdfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfcc },
    &operand_data[17291],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4532 */
  {
    "negsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsicc },
    &operand_data[17263],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4532 */
  {
    "notsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notsicc },
    &operand_data[17263],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4532 */
  {
    "negdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdicc },
    &operand_data[17267],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4532 */
  {
    "notdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notdicc },
    &operand_data[17267],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4733 */
  {
    "umaxsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxsi3 },
    &operand_data[17295],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4733 */
  {
    "umaxdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxdi3 },
    &operand_data[17298],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5310 */
  {
    "ffssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffssi2 },
    &operand_data[17083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5310 */
  {
    "ffsdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffsdi2 },
    &operand_data[17086],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5341 */
  {
    "popcountqi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountqi2 },
    &operand_data[17257],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5341 */
  {
    "popcounthi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcounthi2 },
    &operand_data[17261],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5341 */
  {
    "popcountsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountsi2 },
    &operand_data[17083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5341 */
  {
    "popcountdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountdi2 },
    &operand_data[17086],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "popcountti2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountti2 },
    &operand_data[17204],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5549 */
  {
    "ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlsi3 },
    &operand_data[17301],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5549 */
  {
    "ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrsi3 },
    &operand_data[17301],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5549 */
  {
    "lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrsi3 },
    &operand_data[17301],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5549 */
  {
    "ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashldi3 },
    &operand_data[17304],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5549 */
  {
    "ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrdi3 },
    &operand_data[17304],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5549 */
  {
    "lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrdi3 },
    &operand_data[17304],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5569 */
  {
    "ashlqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlqi3 },
    &operand_data[17307],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5569 */
  {
    "ashlhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlhi3 },
    &operand_data[17310],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5585 */
  {
    "rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrsi3 },
    &operand_data[17301],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5585 */
  {
    "rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrdi3 },
    &operand_data[17304],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5605 */
  {
    "rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotlsi3 },
    &operand_data[17301],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5605 */
  {
    "rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotldi3 },
    &operand_data[17304],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6092 */
  {
    "extv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extv },
    &operand_data[17313],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6092 */
  {
    "extzv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extzv },
    &operand_data[17313],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6141 */
  {
    "insvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvsi },
    &operand_data[17317],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6141 */
  {
    "insvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvdi },
    &operand_data[17321],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6597 */
  {
    "aarch64_rev16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16si },
    &operand_data[17083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6597 */
  {
    "aarch64_rev16di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16di },
    &operand_data[17086],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6662 */
  {
    "fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmahf4 },
    &operand_data[17325],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6662 */
  {
    "fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmasf4 },
    &operand_data[17329],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6662 */
  {
    "fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmadf4 },
    &operand_data[17333],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6680 */
  {
    "fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmahf4 },
    &operand_data[17325],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6680 */
  {
    "fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmasf4 },
    &operand_data[17329],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6680 */
  {
    "fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmadf4 },
    &operand_data[17333],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6701 */
  {
    "fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmssf4 },
    &operand_data[17329],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6701 */
  {
    "fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsdf4 },
    &operand_data[17333],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6719 */
  {
    "fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmssf4 },
    &operand_data[17329],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6719 */
  {
    "fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsdf4 },
    &operand_data[17333],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6916 */
  {
    "floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsihf2 },
    &operand_data[17337],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6916 */
  {
    "floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssihf2 },
    &operand_data[17337],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6945 */
  {
    "floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdihf2 },
    &operand_data[17339],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6945 */
  {
    "floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdihf2 },
    &operand_data[17339],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7083 */
  {
    "divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divhf3 },
    &operand_data[17341],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7083 */
  {
    "divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsf3 },
    &operand_data[17344],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7083 */
  {
    "divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdf3 },
    &operand_data[17347],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7112 */
  {
    "sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrthf2 },
    &operand_data[17325],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7112 */
  {
    "sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtsf2 },
    &operand_data[17247],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7112 */
  {
    "sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtdf2 },
    &operand_data[17253],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7142 */
  {
    "smaxsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxsi3 },
    &operand_data[17350],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7142 */
  {
    "sminsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminsi3 },
    &operand_data[17350],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7142 */
  {
    "uminsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminsi3 },
    &operand_data[17353],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7142 */
  {
    "smaxdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxdi3 },
    &operand_data[17356],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7142 */
  {
    "smindi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smindi3 },
    &operand_data[17356],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7142 */
  {
    "umindi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umindi3 },
    &operand_data[17359],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7214 */
  {
    "lrintsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfsi2 },
    &operand_data[17362],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7214 */
  {
    "lrintsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfdi2 },
    &operand_data[17242],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7214 */
  {
    "lrintdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfsi2 },
    &operand_data[17364],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7214 */
  {
    "lrintdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfdi2 },
    &operand_data[17366],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7242 */
  {
    "copysignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3 },
    &operand_data[17368],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7242 */
  {
    "copysigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3 },
    &operand_data[17371],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7292 */
  {
    "xorsignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignsf3 },
    &operand_data[17329],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7292 */
  {
    "xorsigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsigndf3 },
    &operand_data[17333],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcpsfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfsi },
    &operand_data[17374],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcpdfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfsi },
    &operand_data[17377],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcptfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfsi },
    &operand_data[17380],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcpsdsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsdsi },
    &operand_data[17383],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcpddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpddsi },
    &operand_data[17386],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcptdsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptdsi },
    &operand_data[17389],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcpsfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfdi },
    &operand_data[17392],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcpdfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfdi },
    &operand_data[17395],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcptfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfdi },
    &operand_data[17398],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcpsddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsddi },
    &operand_data[17401],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcpdddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdddi },
    &operand_data[17404],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "aarch64_reload_movcptddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptddi },
    &operand_data[17407],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv8qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qisi },
    &operand_data[17410],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv8qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qidi },
    &operand_data[17413],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv16qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qisi },
    &operand_data[17416],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv16qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qidi },
    &operand_data[17419],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv4hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hisi },
    &operand_data[17422],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv4hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hidi },
    &operand_data[17425],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv8hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hisi },
    &operand_data[17428],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv8hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hidi },
    &operand_data[17431],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sisi },
    &operand_data[17434],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv2sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sidi },
    &operand_data[17437],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sisi },
    &operand_data[17440],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv4sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sidi },
    &operand_data[17443],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv2disi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2disi },
    &operand_data[17446],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2didi },
    &operand_data[17449],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv2sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfsi },
    &operand_data[17452],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv2sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfdi },
    &operand_data[17455],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv4sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfsi },
    &operand_data[17458],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv4sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfdi },
    &operand_data[17461],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv2dfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfsi },
    &operand_data[17464],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7327 */
  {
    "aarch64_reload_movcpv2dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfdi },
    &operand_data[17467],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movti },
    &operand_data[17470],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movtf },
    &operand_data[17473],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movtd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movtd },
    &operand_data[17476],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv16qi },
    &operand_data[17479],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv8hi },
    &operand_data[17482],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv4si },
    &operand_data[17485],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv2di },
    &operand_data[17488],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv8hf },
    &operand_data[17491],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv4sf },
    &operand_data[17494],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv2df },
    &operand_data[17497],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7339 */
  {
    "aarch64_reload_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv8bf },
    &operand_data[17500],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7413 */
  {
    "add_losym",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym },
    &operand_data[17503],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7491 */
  {
    "tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_si },
    &operand_data[17506],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7491 */
  {
    "tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_di },
    &operand_data[17508],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7601 */
  {
    "tlsdesc_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_si },
    &operand_data[1365],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7601 */
  {
    "tlsdesc_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_di },
    &operand_data[1365],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7705 */
  {
    "scs_push",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scs_push },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7710 */
  {
    "scs_pop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scs_pop },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7757 */
  {
    "get_thread_pointerdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_thread_pointerdi },
    &operand_data[1340],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7770 */
  {
    "stack_protect_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set },
    &operand_data[17510],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7779 */
  {
    "stack_protect_combined_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_set },
    &operand_data[17510],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7823 */
  {
    "stack_protect_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test },
    &operand_data[17510],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7834 */
  {
    "stack_protect_combined_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_test },
    &operand_data[17510],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7884 */
  {
    "doloop_end",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_doloop_end },
    &operand_data[6946],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7990 */
  {
    "despeculate_copyqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyqi },
    &operand_data[17513],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7990 */
  {
    "despeculate_copyhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyhi },
    &operand_data[17516],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7990 */
  {
    "despeculate_copysi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copysi },
    &operand_data[17519],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7990 */
  {
    "despeculate_copydi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copydi },
    &operand_data[17522],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7990 */
  {
    "despeculate_copyti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyti },
    &operand_data[17525],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8qi },
    &operand_data[17528],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv16qi },
    &operand_data[17530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hi },
    &operand_data[17532],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hi },
    &operand_data[17534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2si },
    &operand_data[17536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4si },
    &operand_data[17538],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2di },
    &operand_data[17540],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hf },
    &operand_data[17542],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hf },
    &operand_data[17544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4bf },
    &operand_data[17546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8bf },
    &operand_data[17548],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2sf },
    &operand_data[17550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4sf },
    &operand_data[17552],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2df },
    &operand_data[17554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8qi },
    &operand_data[17528],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv16qi },
    &operand_data[17530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4hi },
    &operand_data[17532],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8hi },
    &operand_data[17534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2si },
    &operand_data[17536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4si },
    &operand_data[17538],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2di },
    &operand_data[17540],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4hf },
    &operand_data[17542],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8hf },
    &operand_data[17544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4bf },
    &operand_data[17546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8bf },
    &operand_data[17548],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2sf },
    &operand_data[17550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4sf },
    &operand_data[17552],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2df },
    &operand_data[17554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv16qi },
    &operand_data[17556],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hi },
    &operand_data[17558],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4si },
    &operand_data[17560],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2di },
    &operand_data[17562],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hf },
    &operand_data[17564],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8bf },
    &operand_data[17566],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4sf },
    &operand_data[17568],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2df },
    &operand_data[17570],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv16qi },
    &operand_data[17572],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hi },
    &operand_data[17575],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4si },
    &operand_data[17578],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2di },
    &operand_data[17581],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hf },
    &operand_data[17584],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8bf },
    &operand_data[17587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4sf },
    &operand_data[17590],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2df },
    &operand_data[17593],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:385 */
  {
    "ctzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv2si2 },
    &operand_data[17596],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:385 */
  {
    "ctzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv4si2 },
    &operand_data[17598],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4hf3 },
    &operand_data[17600],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv8hf3 },
    &operand_data[17603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2sf3 },
    &operand_data[17606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4sf3 },
    &operand_data[17609],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2df3 },
    &operand_data[17612],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v4hf3 },
    &operand_data[17600],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v4hf3 },
    &operand_data[17600],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v8hf3 },
    &operand_data[17603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v8hf3 },
    &operand_data[17603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v2sf3 },
    &operand_data[17606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v2sf3 },
    &operand_data[17606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v4sf3 },
    &operand_data[17609],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v4sf3 },
    &operand_data[17609],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v2df3 },
    &operand_data[17612],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v2df3 },
    &operand_data[17612],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav4hf4 },
    &operand_data[17615],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv4hf4 },
    &operand_data[17615],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv4hf4 },
    &operand_data[17615],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv4hf4 },
    &operand_data[17615],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav8hf4 },
    &operand_data[17619],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv8hf4 },
    &operand_data[17619],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv8hf4 },
    &operand_data[17619],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv8hf4 },
    &operand_data[17619],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav2sf4 },
    &operand_data[17623],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv2sf4 },
    &operand_data[17623],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv2sf4 },
    &operand_data[17623],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv2sf4 },
    &operand_data[17623],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav4sf4 },
    &operand_data[17627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv4sf4 },
    &operand_data[17627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv4sf4 },
    &operand_data[17627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv4sf4 },
    &operand_data[17627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav2df4 },
    &operand_data[17631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv2df4 },
    &operand_data[17631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv2df4 },
    &operand_data[17631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv2df4 },
    &operand_data[17631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv4hf3 },
    &operand_data[17600],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv4hf3 },
    &operand_data[17600],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv8hf3 },
    &operand_data[17603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv8hf3 },
    &operand_data[17603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv2sf3 },
    &operand_data[17606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv2sf3 },
    &operand_data[17606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv4sf3 },
    &operand_data[17609],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv4sf3 },
    &operand_data[17609],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv2df3 },
    &operand_data[17612],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv2df3 },
    &operand_data[17612],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4hf3 },
    &operand_data[17635],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv8hf3 },
    &operand_data[17638],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2sf3 },
    &operand_data[17641],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4sf3 },
    &operand_data[17644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2df3 },
    &operand_data[17647],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2sf2 },
    &operand_data[17606],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv4sf2 },
    &operand_data[17609],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2df2 },
    &operand_data[17612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtsf2 },
    &operand_data[17247],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtdf2 },
    &operand_data[17253],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv8qi3 },
    &operand_data[17650],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv8qi3 },
    &operand_data[17650],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv16qi3 },
    &operand_data[17653],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv16qi3 },
    &operand_data[17653],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv4hi3 },
    &operand_data[17656],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv4hi3 },
    &operand_data[17656],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv8hi3 },
    &operand_data[17659],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv8hi3 },
    &operand_data[17659],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv2si3 },
    &operand_data[17662],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv2si3 },
    &operand_data[17662],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv4si3 },
    &operand_data[17665],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv4si3 },
    &operand_data[17665],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_sabdl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_uabdl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_sabdl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_uabdl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_sabdl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_uabdl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_sabd_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_hi_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_uabd_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_hi_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_sabd_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_hi_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_uabd_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_hi_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_sabd_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_hi_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_uabd_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_hi_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_sabd_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_lo_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_uabd_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_lo_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_sabd_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_lo_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_uabd_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_lo_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_sabd_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_lo_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_uabd_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_lo_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_sabal2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v16qi },
    &operand_data[17677],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_uabal2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v16qi },
    &operand_data[17677],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_sabal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v8hi },
    &operand_data[17675],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_uabal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v8hi },
    &operand_data[17675],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_sabal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v4si },
    &operand_data[17681],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_uabal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v4si },
    &operand_data[17681],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8qi },
    &operand_data[17685],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8qi },
    &operand_data[17685],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv16qi },
    &operand_data[17677],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv16qi },
    &operand_data[17677],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4hi },
    &operand_data[17688],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4hi },
    &operand_data[17688],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8hi },
    &operand_data[17666],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8hi },
    &operand_data[17666],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4si },
    &operand_data[17681],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4si },
    &operand_data[17681],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv2si },
    &operand_data[17691],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv2si },
    &operand_data[17691],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1065 */
  {
    "ssadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadv16qi },
    &operand_data[17694],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1065 */
  {
    "usadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadv16qi },
    &operand_data[17694],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1250 */
  {
    "signbitv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv2sf2 },
    &operand_data[17698],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1250 */
  {
    "signbitv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv4sf2 },
    &operand_data[17700],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8qi },
    &operand_data[17702],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8qi },
    &operand_data[17702],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv16qi },
    &operand_data[17706],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv16qi },
    &operand_data[17706],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4hi },
    &operand_data[17710],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4hi },
    &operand_data[17710],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8hi },
    &operand_data[17714],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8hi },
    &operand_data[17714],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2si },
    &operand_data[17718],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2si },
    &operand_data[17718],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4si },
    &operand_data[17722],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4si },
    &operand_data[17722],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2di },
    &operand_data[17726],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2di },
    &operand_data[17726],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8qi },
    &operand_data[17702],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8qi },
    &operand_data[17702],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv16qi },
    &operand_data[17706],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv16qi },
    &operand_data[17706],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4hi },
    &operand_data[17710],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4hi },
    &operand_data[17710],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8hi },
    &operand_data[17714],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8hi },
    &operand_data[17714],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2si },
    &operand_data[17718],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2si },
    &operand_data[17718],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4si },
    &operand_data[17722],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4si },
    &operand_data[17722],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2di },
    &operand_data[17726],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2di },
    &operand_data[17726],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_ndi },
    &operand_data[17730],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_ndi },
    &operand_data[17730],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8qi3 },
    &operand_data[17734],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv16qi3 },
    &operand_data[17737],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4hi3 },
    &operand_data[17740],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8hi3 },
    &operand_data[17743],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2si3 },
    &operand_data[17746],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4si3 },
    &operand_data[17749],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2di3 },
    &operand_data[17752],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8qi3 },
    &operand_data[17734],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv16qi3 },
    &operand_data[17737],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4hi3 },
    &operand_data[17740],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8hi3 },
    &operand_data[17743],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2si3 },
    &operand_data[17746],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4si3 },
    &operand_data[17749],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2di3 },
    &operand_data[17752],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8qi3 },
    &operand_data[17734],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv16qi3 },
    &operand_data[17737],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4hi3 },
    &operand_data[17740],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8hi3 },
    &operand_data[17743],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2si3 },
    &operand_data[17746],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4si3 },
    &operand_data[17749],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2di3 },
    &operand_data[17752],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8qi3 },
    &operand_data[17650],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv16qi3 },
    &operand_data[17653],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4hi3 },
    &operand_data[17656],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8hi3 },
    &operand_data[17659],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2si3 },
    &operand_data[17662],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4si3 },
    &operand_data[17665],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2di3 },
    &operand_data[17726],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8qi3 },
    &operand_data[17650],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv16qi3 },
    &operand_data[17653],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4hi3 },
    &operand_data[17656],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8hi3 },
    &operand_data[17659],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv2si3 },
    &operand_data[17662],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4si3 },
    &operand_data[17665],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv2di3 },
    &operand_data[17726],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1557 */
  {
    "aarch64_ashr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ashr_simddi },
    &operand_data[17755],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8qi3 },
    &operand_data[17650],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv16qi3 },
    &operand_data[17653],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4hi3 },
    &operand_data[17656],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8hi3 },
    &operand_data[17659],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv2si3 },
    &operand_data[17662],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4si3 },
    &operand_data[17665],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv2di3 },
    &operand_data[17726],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1586 */
  {
    "aarch64_lshr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lshr_simddi },
    &operand_data[17755],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8qi },
    &operand_data[17758],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv16qi },
    &operand_data[17761],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hi },
    &operand_data[17764],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hi },
    &operand_data[17767],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2si },
    &operand_data[17770],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4si },
    &operand_data[17773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2di },
    &operand_data[17776],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hf },
    &operand_data[17779],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hf },
    &operand_data[17782],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4bf },
    &operand_data[17785],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8bf },
    &operand_data[17788],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2sf },
    &operand_data[17791],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4sf },
    &operand_data[17794],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2df },
    &operand_data[17797],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "smaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2di3 },
    &operand_data[17726],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "sminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2di3 },
    &operand_data[17726],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "umaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2di3 },
    &operand_data[17726],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "uminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2di3 },
    &operand_data[17726],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1842 */
  {
    "aarch64_xtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi },
    &operand_data[17800],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1842 */
  {
    "aarch64_xtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si },
    &operand_data[17802],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1842 */
  {
    "aarch64_xtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di },
    &operand_data[17804],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1877 */
  {
    "vec_pack_trunc_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4hi },
    &operand_data[17807],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1877 */
  {
    "vec_pack_trunc_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2si },
    &operand_data[17810],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1877 */
  {
    "vec_pack_trunc_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_di },
    &operand_data[17813],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1891 */
  {
    "vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v8hi },
    &operand_data[17816],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1891 */
  {
    "vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4si },
    &operand_data[17818],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1891 */
  {
    "vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2di },
    &operand_data[17820],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1968 */
  {
    "vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v16qi },
    &operand_data[17668],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1968 */
  {
    "vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v16qi },
    &operand_data[17668],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1968 */
  {
    "vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hi },
    &operand_data[17667],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1968 */
  {
    "vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v8hi },
    &operand_data[17667],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1968 */
  {
    "vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4si },
    &operand_data[17674],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1968 */
  {
    "vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v4si },
    &operand_data[17674],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1980 */
  {
    "vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v16qi },
    &operand_data[17668],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1980 */
  {
    "vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v16qi },
    &operand_data[17668],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1980 */
  {
    "vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hi },
    &operand_data[17667],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1980 */
  {
    "vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v8hi },
    &operand_data[17667],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1980 */
  {
    "vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4si },
    &operand_data[17674],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1980 */
  {
    "vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v4si },
    &operand_data[17674],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2023 */
  {
    "aarch64_smlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv16qi },
    &operand_data[17677],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2023 */
  {
    "aarch64_umlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv16qi },
    &operand_data[17677],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2023 */
  {
    "aarch64_smlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv8hi },
    &operand_data[17675],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2023 */
  {
    "aarch64_umlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv8hi },
    &operand_data[17675],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2023 */
  {
    "aarch64_smlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv4si },
    &operand_data[17681],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2023 */
  {
    "aarch64_umlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv4si },
    &operand_data[17681],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2054 */
  {
    "aarch64_smlal_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv8hi },
    &operand_data[17823],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2054 */
  {
    "aarch64_umlal_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv8hi },
    &operand_data[17823],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2054 */
  {
    "aarch64_smlal_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv4si },
    &operand_data[17827],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2054 */
  {
    "aarch64_umlal_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv4si },
    &operand_data[17827],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2100 */
  {
    "aarch64_smlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv16qi },
    &operand_data[17677],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2100 */
  {
    "aarch64_umlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv16qi },
    &operand_data[17677],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2100 */
  {
    "aarch64_smlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv8hi },
    &operand_data[17675],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2100 */
  {
    "aarch64_umlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv8hi },
    &operand_data[17675],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2100 */
  {
    "aarch64_smlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv4si },
    &operand_data[17681],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2100 */
  {
    "aarch64_umlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv4si },
    &operand_data[17681],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2131 */
  {
    "aarch64_smlsl_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv8hi },
    &operand_data[17823],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2131 */
  {
    "aarch64_umlsl_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv8hi },
    &operand_data[17823],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2131 */
  {
    "aarch64_smlsl_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv4si },
    &operand_data[17827],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2131 */
  {
    "aarch64_umlsl_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv4si },
    &operand_data[17827],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2227 */
  {
    "vec_widen_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2227 */
  {
    "vec_widen_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2227 */
  {
    "vec_widen_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2227 */
  {
    "vec_widen_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2227 */
  {
    "vec_widen_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2227 */
  {
    "vec_widen_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "vec_widen_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "vec_widen_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "vec_widen_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "vec_widen_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "vec_widen_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2254 */
  {
    "vec_widen_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2308 */
  {
    "aarch64_smull_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev8hi },
    &operand_data[17831],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2308 */
  {
    "aarch64_umull_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev8hi },
    &operand_data[17831],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2308 */
  {
    "aarch64_smull_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev4si },
    &operand_data[17835],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2308 */
  {
    "aarch64_umull_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev4si },
    &operand_data[17835],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2342 */
  {
    "aarch64_smull_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv8hi },
    &operand_data[17839],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2342 */
  {
    "aarch64_umull_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv8hi },
    &operand_data[17839],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2342 */
  {
    "aarch64_smull_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv4si },
    &operand_data[17843],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2342 */
  {
    "aarch64_umull_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv4si },
    &operand_data[17843],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2384 */
  {
    "aarch64_smull_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv8hi },
    &operand_data[17824],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2384 */
  {
    "aarch64_umull_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv8hi },
    &operand_data[17824],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2384 */
  {
    "aarch64_smull_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv4si },
    &operand_data[17828],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2384 */
  {
    "aarch64_umull_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv4si },
    &operand_data[17828],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2440 */
  {
    "aarch64_smlal_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev8hi },
    &operand_data[17847],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2440 */
  {
    "aarch64_umlal_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev8hi },
    &operand_data[17847],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2440 */
  {
    "aarch64_smlal_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev4si },
    &operand_data[17852],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2440 */
  {
    "aarch64_umlal_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev4si },
    &operand_data[17852],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2477 */
  {
    "aarch64_smlal_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv8hi },
    &operand_data[17857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2477 */
  {
    "aarch64_umlal_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv8hi },
    &operand_data[17857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2477 */
  {
    "aarch64_smlal_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv4si },
    &operand_data[17862],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2477 */
  {
    "aarch64_umlal_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv4si },
    &operand_data[17862],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2535 */
  {
    "aarch64_smlsl_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev8hi },
    &operand_data[17847],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2535 */
  {
    "aarch64_umlsl_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev8hi },
    &operand_data[17847],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2535 */
  {
    "aarch64_smlsl_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev4si },
    &operand_data[17852],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2535 */
  {
    "aarch64_umlsl_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev4si },
    &operand_data[17852],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2573 */
  {
    "aarch64_smlsl_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv8hi },
    &operand_data[17857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2573 */
  {
    "aarch64_umlsl_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv8hi },
    &operand_data[17857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2573 */
  {
    "aarch64_smlsl_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv4si },
    &operand_data[17862],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2573 */
  {
    "aarch64_umlsl_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv4si },
    &operand_data[17862],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4hf3 },
    &operand_data[17600],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv8hf3 },
    &operand_data[17603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2sf3 },
    &operand_data[17606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4sf3 },
    &operand_data[17609],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2df3 },
    &operand_data[17612],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2686 */
  {
    "aarch64_float_mlav2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlav2sf },
    &operand_data[17623],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2686 */
  {
    "aarch64_float_mlav4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlav4sf },
    &operand_data[17627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2686 */
  {
    "aarch64_float_mlav2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlav2df },
    &operand_data[17631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2686 */
  {
    "aarch64_float_mladf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mladf },
    &operand_data[17333],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_float_mlsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlsv2sf },
    &operand_data[17623],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_float_mlsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlsv4sf },
    &operand_data[17627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_float_mlsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlsv2df },
    &operand_data[17631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_float_mlsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlsdf },
    &operand_data[17333],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2718 */
  {
    "aarch64_float_mla_nv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_nv2sf },
    &operand_data[17867],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2718 */
  {
    "aarch64_float_mla_nv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_nv4sf },
    &operand_data[17871],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2735 */
  {
    "aarch64_float_mls_nv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_nv2sf },
    &operand_data[17867],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2735 */
  {
    "aarch64_float_mls_nv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_nv4sf },
    &operand_data[17871],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2752 */
  {
    "aarch64_float_mla_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_lanev2sf },
    &operand_data[17875],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2752 */
  {
    "aarch64_float_mla_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_lanev4sf },
    &operand_data[17880],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2772 */
  {
    "aarch64_float_mls_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_lanev2sf },
    &operand_data[17875],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2772 */
  {
    "aarch64_float_mls_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_lanev4sf },
    &operand_data[17880],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2792 */
  {
    "aarch64_float_mla_laneqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_laneqv2sf },
    &operand_data[17885],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2792 */
  {
    "aarch64_float_mla_laneqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_laneqv4sf },
    &operand_data[17890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "aarch64_float_mls_laneqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_laneqv2sf },
    &operand_data[17885],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2812 */
  {
    "aarch64_float_mls_laneqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_laneqv4sf },
    &operand_data[17890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4hfv4hi2 },
    &operand_data[17895],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixunsv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4hfv4hi2 },
    &operand_data[17895],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv8hfv8hi2 },
    &operand_data[17897],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixunsv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv8hfv8hi2 },
    &operand_data[17897],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2sfv2si2 },
    &operand_data[17698],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixunsv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2sfv2si2 },
    &operand_data[17698],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4sfv4si2 },
    &operand_data[17700],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixunsv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4sfv4si2 },
    &operand_data[17700],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2dfv2di2 },
    &operand_data[17899],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3050 */
  {
    "fixunsv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2dfv2di2 },
    &operand_data[17899],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fix_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4hfv4hi2 },
    &operand_data[17895],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fixuns_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4hfv4hi2 },
    &operand_data[17895],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fix_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv8hfv8hi2 },
    &operand_data[17897],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fixuns_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv8hfv8hi2 },
    &operand_data[17897],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fix_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2sfv2si2 },
    &operand_data[17698],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fixuns_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2sfv2si2 },
    &operand_data[17698],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fix_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4sfv4si2 },
    &operand_data[17700],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fixuns_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4sfv4si2 },
    &operand_data[17700],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fix_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2dfv2di2 },
    &operand_data[17899],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3058 */
  {
    "fixuns_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2dfv2di2 },
    &operand_data[17899],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3066 */
  {
    "ftruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4hf2 },
    &operand_data[17600],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3066 */
  {
    "ftruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv8hf2 },
    &operand_data[17603],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3066 */
  {
    "ftruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2sf2 },
    &operand_data[17606],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3066 */
  {
    "ftruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4sf2 },
    &operand_data[17609],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3066 */
  {
    "ftruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2df2 },
    &operand_data[17612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3132 */
  {
    "vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hf },
    &operand_data[17901],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3132 */
  {
    "vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4sf },
    &operand_data[17900],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3155 */
  {
    "vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hf },
    &operand_data[17901],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3155 */
  {
    "vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4sf },
    &operand_data[17900],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3217 */
  {
    "aarch64_float_trunc_rodd_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_hi_v4sf },
    &operand_data[17903],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3262 */
  {
    "aarch64_float_truncate_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf },
    &operand_data[17903],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3262 */
  {
    "aarch64_float_truncate_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf },
    &operand_data[17906],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3276 */
  {
    "vec_pack_trunc_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2df },
    &operand_data[17611],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3297 */
  {
    "vec_pack_trunc_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_df },
    &operand_data[17909],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3398 */
  {
    "reduc_plus_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4sf },
    &operand_data[17870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_saddlpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv8qi },
    &operand_data[17686],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_uaddlpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv8qi },
    &operand_data[17686],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_saddlpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv16qi },
    &operand_data[17668],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_uaddlpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv16qi },
    &operand_data[17668],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_saddlpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv4hi },
    &operand_data[17689],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_uaddlpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv4hi },
    &operand_data[17689],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_saddlpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv8hi },
    &operand_data[17667],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_uaddlpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv8hi },
    &operand_data[17667],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_saddlpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv4si },
    &operand_data[17674],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_uaddlpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv4si },
    &operand_data[17674],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_saddlpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv2si },
    &operand_data[3222],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3496 */
  {
    "aarch64_uaddlpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv2si },
    &operand_data[3222],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3552 */
  {
    "popcountv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv4hi2 },
    &operand_data[17656],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3552 */
  {
    "popcountv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8hi2 },
    &operand_data[17659],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3552 */
  {
    "popcountv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv2si2 },
    &operand_data[17596],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3552 */
  {
    "popcountv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv4si2 },
    &operand_data[17598],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3552 */
  {
    "popcountv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv2di2 },
    &operand_data[17681],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3552 */
  {
    "popcountv1di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv1di2 },
    &operand_data[17912],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4hf },
    &operand_data[17914],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4hf },
    &operand_data[17914],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hf },
    &operand_data[17914],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hf },
    &operand_data[17914],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v8hf },
    &operand_data[17916],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v8hf },
    &operand_data[17916],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hf },
    &operand_data[17916],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hf },
    &operand_data[17916],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2sf },
    &operand_data[17874],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2sf },
    &operand_data[17874],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2sf },
    &operand_data[17874],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2sf },
    &operand_data[17874],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4sf },
    &operand_data[17870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4sf },
    &operand_data[17870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4sf },
    &operand_data[17870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4sf },
    &operand_data[17870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2df },
    &operand_data[17593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2df },
    &operand_data[17593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smax_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2df },
    &operand_data[17593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3614 */
  {
    "reduc_smin_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2df },
    &operand_data[17593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmax_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v4hf },
    &operand_data[17914],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmin_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v4hf },
    &operand_data[17914],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmax_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v8hf },
    &operand_data[17916],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmin_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v8hf },
    &operand_data[17916],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmax_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v2sf },
    &operand_data[17874],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmin_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v2sf },
    &operand_data[17874],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmax_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v4sf },
    &operand_data[17870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmin_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v4sf },
    &operand_data[17870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmax_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v2df },
    &operand_data[17593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3629 */
  {
    "reduc_fmin_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v2df },
    &operand_data[17593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8qi },
    &operand_data[17918],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8qi },
    &operand_data[17918],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8qi },
    &operand_data[17918],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8qi },
    &operand_data[17918],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v16qi },
    &operand_data[17920],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v16qi },
    &operand_data[17920],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v16qi },
    &operand_data[17920],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v16qi },
    &operand_data[17920],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4hi },
    &operand_data[17922],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4hi },
    &operand_data[17922],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hi },
    &operand_data[17922],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hi },
    &operand_data[17922],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8hi },
    &operand_data[17924],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8hi },
    &operand_data[17924],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hi },
    &operand_data[17924],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hi },
    &operand_data[17924],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v2si },
    &operand_data[17926],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v2si },
    &operand_data[17926],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2si },
    &operand_data[17926],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2si },
    &operand_data[17926],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4si },
    &operand_data[17830],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_umin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4si },
    &operand_data[17830],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4si },
    &operand_data[17830],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3641 */
  {
    "reduc_smin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4si },
    &operand_data[17830],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi },
    &operand_data[17928],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi },
    &operand_data[17932],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi },
    &operand_data[17936],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi },
    &operand_data[17940],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si },
    &operand_data[17944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si },
    &operand_data[17948],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4bf },
    &operand_data[17952],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8bf },
    &operand_data[17956],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di },
    &operand_data[17960],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hf },
    &operand_data[17964],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hf },
    &operand_data[17968],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2sf },
    &operand_data[17972],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4sf },
    &operand_data[17976],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bslv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2df },
    &operand_data[17980],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bsldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi },
    &operand_data[17984],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "aarch64_simd_bsldf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldf },
    &operand_data[17988],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8qiv8qi },
    &operand_data[17992],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v16qiv16qi },
    &operand_data[17996],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4hiv4hi },
    &operand_data[18000],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8hiv8hi },
    &operand_data[18004],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2siv2si },
    &operand_data[18008],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4siv4si },
    &operand_data[18012],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2div2di },
    &operand_data[18016],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2sfv2si },
    &operand_data[18020],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4sfv4si },
    &operand_data[18024],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_v2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2dfv2di },
    &operand_data[18028],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3864 */
  {
    "vcond_mask_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_didi },
    &operand_data[18032],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3895 */
  {
    "cbranchv8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv8qi4 },
    &operand_data[18036],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3895 */
  {
    "cbranchv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv16qi4 },
    &operand_data[18040],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3895 */
  {
    "cbranchv4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv4hi4 },
    &operand_data[18044],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3895 */
  {
    "cbranchv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv8hi4 },
    &operand_data[18048],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3895 */
  {
    "cbranchv2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv2si4 },
    &operand_data[18052],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3895 */
  {
    "cbranchv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv4si4 },
    &operand_data[18056],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3895 */
  {
    "cbranchv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv2di4 },
    &operand_data[18060],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3937 */
  {
    "vec_cmpv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8qiv8qi },
    &operand_data[18064],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3937 */
  {
    "vec_cmpv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv16qiv16qi },
    &operand_data[18068],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3937 */
  {
    "vec_cmpv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4hiv4hi },
    &operand_data[18072],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3937 */
  {
    "vec_cmpv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8hiv8hi },
    &operand_data[18076],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3937 */
  {
    "vec_cmpv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2siv2si },
    &operand_data[18080],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3937 */
  {
    "vec_cmpv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4siv4si },
    &operand_data[18084],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3937 */
  {
    "vec_cmpv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2div2di },
    &operand_data[18088],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3937 */
  {
    "vec_cmpdidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpdidi },
    &operand_data[18092],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4017 */
  {
    "vec_cmpv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2sfv2si },
    &operand_data[18096],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4017 */
  {
    "vec_cmpv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4sfv4si },
    &operand_data[18100],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4017 */
  {
    "vec_cmpv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2dfv2di },
    &operand_data[18104],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "vec_cmpuv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8qiv8qi },
    &operand_data[18064],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "vec_cmpuv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv16qiv16qi },
    &operand_data[18068],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "vec_cmpuv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4hiv4hi },
    &operand_data[18072],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "vec_cmpuv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8hiv8hi },
    &operand_data[18076],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "vec_cmpuv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2siv2si },
    &operand_data[18080],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "vec_cmpuv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4siv4si },
    &operand_data[18084],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "vec_cmpuv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2div2di },
    &operand_data[18088],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4190 */
  {
    "vec_cmpudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpudidi },
    &operand_data[18092],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8qiv8qi },
    &operand_data[18108],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv16qiv16qi },
    &operand_data[18114],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4hiv4hi },
    &operand_data[18120],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8hiv8hi },
    &operand_data[18126],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2si },
    &operand_data[18132],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4si },
    &operand_data[18138],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2di },
    &operand_data[18144],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2sf },
    &operand_data[18150],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4sf },
    &operand_data[18156],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vcondv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2df },
    &operand_data[18162],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4202 */
  {
    "vconddidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconddidi },
    &operand_data[18168],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4232 */
  {
    "vcondv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2sf },
    &operand_data[18174],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4232 */
  {
    "vcondv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2si },
    &operand_data[18178],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4232 */
  {
    "vcondv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4sf },
    &operand_data[18184],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4232 */
  {
    "vcondv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4si },
    &operand_data[18188],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4232 */
  {
    "vcondv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2df },
    &operand_data[18194],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4232 */
  {
    "vcondv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2di },
    &operand_data[18198],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "vconduv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8qiv8qi },
    &operand_data[18108],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "vconduv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv16qiv16qi },
    &operand_data[18114],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "vconduv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4hiv4hi },
    &operand_data[18120],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "vconduv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8hiv8hi },
    &operand_data[18126],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "vconduv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2siv2si },
    &operand_data[18132],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "vconduv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4siv4si },
    &operand_data[18138],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "vconduv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2div2di },
    &operand_data[18144],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4263 */
  {
    "vcondudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondudidi },
    &operand_data[18168],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4292 */
  {
    "vconduv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2sfv2si },
    &operand_data[18178],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4292 */
  {
    "vconduv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4sfv4si },
    &operand_data[18188],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4292 */
  {
    "vconduv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2dfv2di },
    &operand_data[18198],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv8qi },
    &operand_data[18204],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv4hi },
    &operand_data[18207],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv4bf },
    &operand_data[18210],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv4hf },
    &operand_data[18213],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv2si },
    &operand_data[18216],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv2sf },
    &operand_data[18219],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatsi },
    &operand_data[18222],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatsf },
    &operand_data[18225],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatdi },
    &operand_data[18228],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4518 */
  {
    "aarch64_vec_concatdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatdf },
    &operand_data[18231],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev8qi },
    &operand_data[18204],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hi },
    &operand_data[18207],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_combinev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4bf },
    &operand_data[18210],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hf },
    &operand_data[18213],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2si },
    &operand_data[18216],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2sf },
    &operand_data[18219],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedi },
    &operand_data[18228],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedf },
    &operand_data[18231],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4601 */
  {
    "vec_widen_sadd_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_lo_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4601 */
  {
    "vec_widen_uadd_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_lo_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4601 */
  {
    "vec_widen_sadd_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_lo_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4601 */
  {
    "vec_widen_uadd_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_lo_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4601 */
  {
    "vec_widen_sadd_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_lo_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4601 */
  {
    "vec_widen_uadd_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_lo_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4613 */
  {
    "vec_widen_sadd_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_hi_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4613 */
  {
    "vec_widen_uadd_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_hi_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4613 */
  {
    "vec_widen_sadd_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_hi_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4613 */
  {
    "vec_widen_uadd_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_hi_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4613 */
  {
    "vec_widen_sadd_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_hi_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4613 */
  {
    "vec_widen_uadd_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_hi_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4625 */
  {
    "vec_widen_ssub_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_lo_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4625 */
  {
    "vec_widen_usub_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_lo_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4625 */
  {
    "vec_widen_ssub_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_lo_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4625 */
  {
    "vec_widen_usub_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_lo_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4625 */
  {
    "vec_widen_ssub_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_lo_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4625 */
  {
    "vec_widen_usub_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_lo_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "vec_widen_ssub_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_hi_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "vec_widen_usub_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_hi_v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "vec_widen_ssub_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_hi_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "vec_widen_usub_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_hi_v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "vec_widen_ssub_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_hi_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "vec_widen_usub_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_hi_v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4649 */
  {
    "aarch64_saddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4649 */
  {
    "aarch64_saddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4649 */
  {
    "aarch64_saddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4661 */
  {
    "aarch64_uaddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4661 */
  {
    "aarch64_uaddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4661 */
  {
    "aarch64_uaddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4673 */
  {
    "aarch64_ssubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4673 */
  {
    "aarch64_ssubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4673 */
  {
    "aarch64_ssubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4685 */
  {
    "aarch64_usubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4685 */
  {
    "aarch64_usubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4685 */
  {
    "aarch64_usubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4710 */
  {
    "widen_ssumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv16qi3 },
    &operand_data[18234],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4710 */
  {
    "widen_ssumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8hi3 },
    &operand_data[18237],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4710 */
  {
    "widen_ssumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4si3 },
    &operand_data[18240],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4727 */
  {
    "widen_ssumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8qi3 },
    &operand_data[18243],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4727 */
  {
    "widen_ssumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4hi3 },
    &operand_data[18246],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4727 */
  {
    "widen_ssumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv2si3 },
    &operand_data[18249],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "widen_usumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv16qi3 },
    &operand_data[18234],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "widen_usumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8hi3 },
    &operand_data[18237],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4738 */
  {
    "widen_usumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4si3 },
    &operand_data[18240],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4755 */
  {
    "widen_usumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8qi3 },
    &operand_data[18243],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4755 */
  {
    "widen_usumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4hi3 },
    &operand_data[18246],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4755 */
  {
    "widen_usumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv2si3 },
    &operand_data[18249],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_saddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi },
    &operand_data[17677],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_ssubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi },
    &operand_data[17677],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_uaddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi },
    &operand_data[17677],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_usubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi },
    &operand_data[17677],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_saddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi },
    &operand_data[17666],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_ssubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi },
    &operand_data[17666],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_uaddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi },
    &operand_data[17666],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_usubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi },
    &operand_data[17666],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_saddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si },
    &operand_data[17681],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_ssubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si },
    &operand_data[17681],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_uaddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si },
    &operand_data[17681],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4836 */
  {
    "aarch64_usubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si },
    &operand_data[17681],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "avgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_floor },
    &operand_data[17650],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "uavgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_floor },
    &operand_data[17650],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "avgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_floor },
    &operand_data[17653],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "uavgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_floor },
    &operand_data[17653],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "avgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_floor },
    &operand_data[17656],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "uavgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_floor },
    &operand_data[17656],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "avgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_floor },
    &operand_data[17659],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "uavgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_floor },
    &operand_data[17659],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "avgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_floor },
    &operand_data[17662],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "uavgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_floor },
    &operand_data[17662],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "avgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_floor },
    &operand_data[17665],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4861 */
  {
    "uavgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_floor },
    &operand_data[17665],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "avgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_ceil },
    &operand_data[17650],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "uavgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_ceil },
    &operand_data[17650],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "avgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_ceil },
    &operand_data[17653],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "uavgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_ceil },
    &operand_data[17653],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "avgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_ceil },
    &operand_data[17656],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "uavgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_ceil },
    &operand_data[17656],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "avgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_ceil },
    &operand_data[17659],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "uavgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_ceil },
    &operand_data[17659],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "avgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_ceil },
    &operand_data[17662],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "uavgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_ceil },
    &operand_data[17662],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "avgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_ceil },
    &operand_data[17665],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4877 */
  {
    "uavgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_ceil },
    &operand_data[17665],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_shsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8qi },
    &operand_data[17650],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_uhsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8qi },
    &operand_data[17650],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_shsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv16qi },
    &operand_data[17653],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_uhsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv16qi },
    &operand_data[17653],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_shsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4hi },
    &operand_data[17656],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_uhsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4hi },
    &operand_data[17656],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_shsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8hi },
    &operand_data[17659],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_uhsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8hi },
    &operand_data[17659],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_shsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv2si },
    &operand_data[17662],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_uhsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv2si },
    &operand_data[17662],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_shsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4si },
    &operand_data[17665],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4895 */
  {
    "aarch64_uhsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4si },
    &operand_data[17665],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4971 */
  {
    "aarch64_addhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi },
    &operand_data[18252],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4971 */
  {
    "aarch64_subhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi },
    &operand_data[18252],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4971 */
  {
    "aarch64_addhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si },
    &operand_data[18255],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4971 */
  {
    "aarch64_subhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si },
    &operand_data[18255],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4971 */
  {
    "aarch64_addhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di },
    &operand_data[18258],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4971 */
  {
    "aarch64_subhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di },
    &operand_data[18258],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4986 */
  {
    "aarch64_raddhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi },
    &operand_data[18252],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4986 */
  {
    "aarch64_rsubhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi },
    &operand_data[18252],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4986 */
  {
    "aarch64_raddhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si },
    &operand_data[18255],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4986 */
  {
    "aarch64_rsubhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si },
    &operand_data[18255],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4986 */
  {
    "aarch64_raddhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di },
    &operand_data[18258],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4986 */
  {
    "aarch64_rsubhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di },
    &operand_data[18258],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5064 */
  {
    "aarch64_addhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi },
    &operand_data[18261],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5064 */
  {
    "aarch64_subhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi },
    &operand_data[18261],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5064 */
  {
    "aarch64_addhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si },
    &operand_data[18254],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5064 */
  {
    "aarch64_subhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si },
    &operand_data[18254],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5064 */
  {
    "aarch64_addhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di },
    &operand_data[18257],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5064 */
  {
    "aarch64_subhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di },
    &operand_data[18257],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5084 */
  {
    "aarch64_raddhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi },
    &operand_data[18261],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5084 */
  {
    "aarch64_rsubhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi },
    &operand_data[18261],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5084 */
  {
    "aarch64_raddhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si },
    &operand_data[18254],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5084 */
  {
    "aarch64_rsubhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si },
    &operand_data[18254],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5084 */
  {
    "aarch64_raddhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di },
    &operand_data[18257],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5084 */
  {
    "aarch64_rsubhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di },
    &operand_data[18257],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5168 */
  {
    "aarch64_pmull_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmull_hiv16qi },
    &operand_data[17668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5330 */
  {
    "aarch64_sqxtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi },
    &operand_data[17800],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5330 */
  {
    "aarch64_uqxtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi },
    &operand_data[17800],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5330 */
  {
    "aarch64_sqxtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si },
    &operand_data[17802],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5330 */
  {
    "aarch64_uqxtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si },
    &operand_data[17802],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5330 */
  {
    "aarch64_sqxtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di },
    &operand_data[17804],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5330 */
  {
    "aarch64_uqxtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di },
    &operand_data[17804],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5374 */
  {
    "aarch64_sqmovunv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv8hi },
    &operand_data[3669],
    2,
    2,
    2,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5374 */
  {
    "aarch64_sqmovunv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv4si },
    &operand_data[3678],
    2,
    2,
    2,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5374 */
  {
    "aarch64_sqmovunv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv2di },
    &operand_data[3687],
    2,
    2,
    2,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5420 */
  {
    "aarch64_sqxtun2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v8hi },
    &operand_data[17800],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5420 */
  {
    "aarch64_sqxtun2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v4si },
    &operand_data[17802],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5420 */
  {
    "aarch64_sqxtun2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v2di },
    &operand_data[17804],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5933 */
  {
    "aarch64_sqdmlal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi },
    &operand_data[17675],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5933 */
  {
    "aarch64_sqdmlsl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi },
    &operand_data[17675],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5933 */
  {
    "aarch64_sqdmlal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si },
    &operand_data[17681],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5933 */
  {
    "aarch64_sqdmlsl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si },
    &operand_data[17681],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6055 */
  {
    "aarch64_sqdmlal2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi },
    &operand_data[17847],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6055 */
  {
    "aarch64_sqdmlsl2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi },
    &operand_data[17847],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6055 */
  {
    "aarch64_sqdmlal2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si },
    &operand_data[17852],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6055 */
  {
    "aarch64_sqdmlsl2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si },
    &operand_data[17852],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6072 */
  {
    "aarch64_sqdmlal2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi },
    &operand_data[17857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6072 */
  {
    "aarch64_sqdmlsl2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi },
    &operand_data[17857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6072 */
  {
    "aarch64_sqdmlal2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si },
    &operand_data[17862],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6072 */
  {
    "aarch64_sqdmlsl2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si },
    &operand_data[17862],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6127 */
  {
    "aarch64_sqdmlal2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi },
    &operand_data[17823],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6127 */
  {
    "aarch64_sqdmlsl2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi },
    &operand_data[17823],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6127 */
  {
    "aarch64_sqdmlal2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si },
    &operand_data[17827],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6127 */
  {
    "aarch64_sqdmlsl2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si },
    &operand_data[17827],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6282 */
  {
    "aarch64_sqdmull2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi },
    &operand_data[17671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6282 */
  {
    "aarch64_sqdmull2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si },
    &operand_data[17674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6342 */
  {
    "aarch64_sqdmull2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi },
    &operand_data[17831],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6342 */
  {
    "aarch64_sqdmull2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si },
    &operand_data[17835],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6356 */
  {
    "aarch64_sqdmull2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi },
    &operand_data[17839],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6356 */
  {
    "aarch64_sqdmull2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si },
    &operand_data[17843],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6390 */
  {
    "aarch64_sqdmull2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi },
    &operand_data[17824],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6390 */
  {
    "aarch64_sqdmull2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si },
    &operand_data[17828],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_sshll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv8qi },
    &operand_data[18264],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_ushll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv8qi },
    &operand_data[18264],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_sshll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv4hi },
    &operand_data[18267],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_ushll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv4hi },
    &operand_data[18267],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_sshll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv2si },
    &operand_data[18270],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6445 */
  {
    "aarch64_ushll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv2si },
    &operand_data[18270],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6477 */
  {
    "aarch64_sshll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv16qi },
    &operand_data[18273],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6477 */
  {
    "aarch64_ushll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv16qi },
    &operand_data[18273],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6477 */
  {
    "aarch64_sshll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv8hi },
    &operand_data[18276],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6477 */
  {
    "aarch64_ushll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv8hi },
    &operand_data[18276],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6477 */
  {
    "aarch64_sshll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv4si },
    &operand_data[18279],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6477 */
  {
    "aarch64_ushll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv4si },
    &operand_data[18279],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_srshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi },
    &operand_data[17703],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_urshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi },
    &operand_data[17703],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_srshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv16qi },
    &operand_data[17707],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_urshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv16qi },
    &operand_data[17707],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_srshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi },
    &operand_data[17711],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_urshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi },
    &operand_data[17711],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_srshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8hi },
    &operand_data[17715],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_urshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8hi },
    &operand_data[17715],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_srshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si },
    &operand_data[17719],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_urshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si },
    &operand_data[17719],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_srshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4si },
    &operand_data[17723],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_urshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4si },
    &operand_data[17723],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_srshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2di },
    &operand_data[17727],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_urshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2di },
    &operand_data[17727],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_srshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi },
    &operand_data[17731],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6509 */
  {
    "aarch64_urshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi },
    &operand_data[17731],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6601 */
  {
    "aarch64_sqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv8hi },
    &operand_data[18282],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6601 */
  {
    "aarch64_uqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv8hi },
    &operand_data[18282],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6601 */
  {
    "aarch64_shrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn_nv8hi },
    &operand_data[18282],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6601 */
  {
    "aarch64_sqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv4si },
    &operand_data[18285],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6601 */
  {
    "aarch64_uqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv4si },
    &operand_data[18285],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6601 */
  {
    "aarch64_shrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn_nv4si },
    &operand_data[18285],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6601 */
  {
    "aarch64_sqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv2di },
    &operand_data[18288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6601 */
  {
    "aarch64_uqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv2di },
    &operand_data[18288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6601 */
  {
    "aarch64_shrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn_nv2di },
    &operand_data[18288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_sqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nhi },
    &operand_data[18291],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_uqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nhi },
    &operand_data[18291],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_sqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nsi },
    &operand_data[18294],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_uqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nsi },
    &operand_data[18294],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_sqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_ndi },
    &operand_data[18297],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "aarch64_uqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_ndi },
    &operand_data[18297],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_sqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv8hi },
    &operand_data[18282],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_uqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv8hi },
    &operand_data[18282],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_rshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn_nv8hi },
    &operand_data[18282],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_sqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv4si },
    &operand_data[18285],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_uqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv4si },
    &operand_data[18285],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_rshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn_nv4si },
    &operand_data[18285],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_sqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv2di },
    &operand_data[18288],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_uqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv2di },
    &operand_data[18288],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6664 */
  {
    "aarch64_rshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn_nv2di },
    &operand_data[18288],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6722 */
  {
    "aarch64_sqshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nhi },
    &operand_data[18291],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6722 */
  {
    "aarch64_sqshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nsi },
    &operand_data[18294],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6722 */
  {
    "aarch64_sqshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_ndi },
    &operand_data[18297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6736 */
  {
    "aarch64_sqshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv8hi },
    &operand_data[18282],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6736 */
  {
    "aarch64_sqshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv4si },
    &operand_data[18285],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6736 */
  {
    "aarch64_sqshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv2di },
    &operand_data[18288],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6794 */
  {
    "aarch64_sqrshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nhi },
    &operand_data[18291],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6794 */
  {
    "aarch64_sqrshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nsi },
    &operand_data[18294],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6794 */
  {
    "aarch64_sqrshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_ndi },
    &operand_data[18297],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6810 */
  {
    "aarch64_sqrshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv8hi },
    &operand_data[18282],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6810 */
  {
    "aarch64_sqrshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv4si },
    &operand_data[18285],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6810 */
  {
    "aarch64_sqrshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv2di },
    &operand_data[18288],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_sqsshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_squshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_uqsshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_uqushrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_sshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_ushrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_sqsshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_squshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_uqsshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_uqushrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_sshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_ushrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_sqsshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_squshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_uqsshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_uqushrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_sshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6865 */
  {
    "aarch64_ushrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6920 */
  {
    "aarch64_sqrshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6920 */
  {
    "aarch64_uqrshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6920 */
  {
    "aarch64_rshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6920 */
  {
    "aarch64_sqrshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6920 */
  {
    "aarch64_uqrshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6920 */
  {
    "aarch64_rshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6920 */
  {
    "aarch64_sqrshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6920 */
  {
    "aarch64_uqrshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6920 */
  {
    "aarch64_rshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6993 */
  {
    "aarch64_sqshrun2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6993 */
  {
    "aarch64_sqshrun2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6993 */
  {
    "aarch64_sqshrun2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7060 */
  {
    "aarch64_sqrshrun2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv8hi },
    &operand_data[18300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7060 */
  {
    "aarch64_sqrshrun2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv4si },
    &operand_data[18304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7060 */
  {
    "aarch64_sqrshrun2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv2di },
    &operand_data[18308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7422 */
  {
    "aarch64_addpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi },
    &operand_data[17650],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7422 */
  {
    "aarch64_addpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv16qi },
    &operand_data[17653],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7422 */
  {
    "aarch64_addpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi },
    &operand_data[17656],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7422 */
  {
    "aarch64_addpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8hi },
    &operand_data[17659],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7422 */
  {
    "aarch64_addpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si },
    &operand_data[17662],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7422 */
  {
    "aarch64_addpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4si },
    &operand_data[17665],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7422 */
  {
    "aarch64_addpv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2di },
    &operand_data[17726],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7441 */
  {
    "sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4hf2 },
    &operand_data[17600],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7441 */
  {
    "sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv8hf2 },
    &operand_data[17603],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7441 */
  {
    "sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2sf2 },
    &operand_data[17606],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7441 */
  {
    "sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4sf2 },
    &operand_data[17609],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7441 */
  {
    "sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2df2 },
    &operand_data[17612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7496 */
  {
    "vec_load_lanesv2x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x16qiv16qi },
    &operand_data[18312],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7496 */
  {
    "vec_load_lanesv2x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x8hiv8hi },
    &operand_data[18314],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7496 */
  {
    "vec_load_lanesv2x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x4siv4si },
    &operand_data[18316],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7496 */
  {
    "vec_load_lanesv2x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x2div2di },
    &operand_data[18318],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7496 */
  {
    "vec_load_lanesv2x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x8hfv8hf },
    &operand_data[18320],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7496 */
  {
    "vec_load_lanesv2x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x4sfv4sf },
    &operand_data[18322],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7496 */
  {
    "vec_load_lanesv2x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x2dfv2df },
    &operand_data[18324],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7496 */
  {
    "vec_load_lanesv2x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x8bfv8bf },
    &operand_data[18326],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7541 */
  {
    "vec_store_lanesv2x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x16qiv16qi },
    &operand_data[18328],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7541 */
  {
    "vec_store_lanesv2x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x8hiv8hi },
    &operand_data[18330],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7541 */
  {
    "vec_store_lanesv2x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x4siv4si },
    &operand_data[18332],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7541 */
  {
    "vec_store_lanesv2x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x2div2di },
    &operand_data[18334],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7541 */
  {
    "vec_store_lanesv2x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x8hfv8hf },
    &operand_data[18336],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7541 */
  {
    "vec_store_lanesv2x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x4sfv4sf },
    &operand_data[18338],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7541 */
  {
    "vec_store_lanesv2x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x2dfv2df },
    &operand_data[18340],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7541 */
  {
    "vec_store_lanesv2x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x8bfv8bf },
    &operand_data[18342],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7596 */
  {
    "vec_load_lanesv3x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x16qiv16qi },
    &operand_data[18344],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7596 */
  {
    "vec_load_lanesv3x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x8hiv8hi },
    &operand_data[18346],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7596 */
  {
    "vec_load_lanesv3x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x4siv4si },
    &operand_data[18348],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7596 */
  {
    "vec_load_lanesv3x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x2div2di },
    &operand_data[18350],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7596 */
  {
    "vec_load_lanesv3x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x8hfv8hf },
    &operand_data[18352],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7596 */
  {
    "vec_load_lanesv3x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x4sfv4sf },
    &operand_data[18354],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7596 */
  {
    "vec_load_lanesv3x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x2dfv2df },
    &operand_data[18356],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7596 */
  {
    "vec_load_lanesv3x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x8bfv8bf },
    &operand_data[18358],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7640 */
  {
    "vec_store_lanesv3x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x16qiv16qi },
    &operand_data[18360],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7640 */
  {
    "vec_store_lanesv3x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x8hiv8hi },
    &operand_data[18362],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7640 */
  {
    "vec_store_lanesv3x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x4siv4si },
    &operand_data[18364],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7640 */
  {
    "vec_store_lanesv3x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x2div2di },
    &operand_data[18366],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7640 */
  {
    "vec_store_lanesv3x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x8hfv8hf },
    &operand_data[18368],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7640 */
  {
    "vec_store_lanesv3x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x4sfv4sf },
    &operand_data[18370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7640 */
  {
    "vec_store_lanesv3x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x2dfv2df },
    &operand_data[18372],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7640 */
  {
    "vec_store_lanesv3x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x8bfv8bf },
    &operand_data[18374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7696 */
  {
    "vec_load_lanesv4x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x16qiv16qi },
    &operand_data[18376],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7696 */
  {
    "vec_load_lanesv4x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x8hiv8hi },
    &operand_data[18378],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7696 */
  {
    "vec_load_lanesv4x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x4siv4si },
    &operand_data[18380],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7696 */
  {
    "vec_load_lanesv4x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x2div2di },
    &operand_data[18382],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7696 */
  {
    "vec_load_lanesv4x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x8hfv8hf },
    &operand_data[18384],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7696 */
  {
    "vec_load_lanesv4x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x4sfv4sf },
    &operand_data[18386],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7696 */
  {
    "vec_load_lanesv4x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x2dfv2df },
    &operand_data[18388],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7696 */
  {
    "vec_load_lanesv4x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x8bfv8bf },
    &operand_data[18390],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7741 */
  {
    "vec_store_lanesv4x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x16qiv16qi },
    &operand_data[18392],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7741 */
  {
    "vec_store_lanesv4x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x8hiv8hi },
    &operand_data[18394],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7741 */
  {
    "vec_store_lanesv4x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x4siv4si },
    &operand_data[18396],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7741 */
  {
    "vec_store_lanesv4x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x2div2di },
    &operand_data[18398],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7741 */
  {
    "vec_store_lanesv4x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x8hfv8hf },
    &operand_data[18400],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7741 */
  {
    "vec_store_lanesv4x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x4sfv4sf },
    &operand_data[18402],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7741 */
  {
    "vec_store_lanesv4x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x2dfv2df },
    &operand_data[18404],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7741 */
  {
    "vec_store_lanesv4x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x8bfv8bf },
    &operand_data[18406],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7776 */
  {
    "aarch64_vec_stl1_lanev1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanev1di },
    &operand_data[18408],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7776 */
  {
    "aarch64_vec_stl1_lanev1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanev1df },
    &operand_data[18411],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7776 */
  {
    "aarch64_vec_stl1_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanev2di },
    &operand_data[18414],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7776 */
  {
    "aarch64_vec_stl1_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanev2df },
    &operand_data[18417],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7808 */
  {
    "aarch64_vec_ldap1_lanev1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanev1di },
    &operand_data[18420],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7808 */
  {
    "aarch64_vec_ldap1_lanev1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanev1df },
    &operand_data[18424],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7808 */
  {
    "aarch64_vec_ldap1_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanev2di },
    &operand_data[18428],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7808 */
  {
    "aarch64_vec_ldap1_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanev2df },
    &operand_data[18432],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x8qi },
    &operand_data[18436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4hi },
    &operand_data[18438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x2si },
    &operand_data[18440],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x1di },
    &operand_data[18442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4hf },
    &operand_data[18444],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x2sf },
    &operand_data[18446],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x1df },
    &operand_data[18448],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4bf },
    &operand_data[18450],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x8qi },
    &operand_data[18452],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4hi },
    &operand_data[18454],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x2si },
    &operand_data[18456],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x1di },
    &operand_data[18458],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4hf },
    &operand_data[18460],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x2sf },
    &operand_data[18462],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x1df },
    &operand_data[18464],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4bf },
    &operand_data[18466],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x8qi },
    &operand_data[18468],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4hi },
    &operand_data[18470],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x2si },
    &operand_data[18472],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x1di },
    &operand_data[18474],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4hf },
    &operand_data[18476],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x2sf },
    &operand_data[18478],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x1df },
    &operand_data[18480],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4bf },
    &operand_data[18482],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x16qi },
    &operand_data[18484],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x8hi },
    &operand_data[18486],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4si },
    &operand_data[18488],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x2di },
    &operand_data[18490],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x8hf },
    &operand_data[18492],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4sf },
    &operand_data[18494],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x2df },
    &operand_data[18496],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv2x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x8bf },
    &operand_data[18498],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x16qi },
    &operand_data[18500],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x8hi },
    &operand_data[18502],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4si },
    &operand_data[18504],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x2di },
    &operand_data[18506],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x8hf },
    &operand_data[18508],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4sf },
    &operand_data[18510],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x2df },
    &operand_data[18512],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv3x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x8bf },
    &operand_data[18514],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x16qi },
    &operand_data[18516],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x8hi },
    &operand_data[18518],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4si },
    &operand_data[18520],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x2di },
    &operand_data[18522],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x8hf },
    &operand_data[18524],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4sf },
    &operand_data[18526],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x2df },
    &operand_data[18528],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7852 */
  {
    "movv4x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x8bf },
    &operand_data[18530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7873 */
  {
    "movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movoi },
    &operand_data[18532],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7873 */
  {
    "movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movci },
    &operand_data[18534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7873 */
  {
    "movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movxi },
    &operand_data[18536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7885 */
  {
    "movv8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8di },
    &operand_data[18538],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8qi },
    &operand_data[18540],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hi },
    &operand_data[18542],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2si },
    &operand_data[18544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3di },
    &operand_data[18546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hf },
    &operand_data[18548],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2sf },
    &operand_data[18550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3df },
    &operand_data[18552],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4bf },
    &operand_data[18554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v16qi },
    &operand_data[18556],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hi },
    &operand_data[18558],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4si },
    &operand_data[18560],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2di },
    &operand_data[18562],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hf },
    &operand_data[18564],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4sf },
    &operand_data[18566],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2df },
    &operand_data[18568],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7894 */
  {
    "aarch64_ld1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8bf },
    &operand_data[18570],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8qi },
    &operand_data[18572],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hi },
    &operand_data[18574],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2si },
    &operand_data[18576],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4di },
    &operand_data[18578],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hf },
    &operand_data[18580],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2sf },
    &operand_data[18582],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4df },
    &operand_data[18584],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4bf },
    &operand_data[18586],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v16qi },
    &operand_data[18588],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hi },
    &operand_data[18590],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4si },
    &operand_data[18592],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2di },
    &operand_data[18594],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hf },
    &operand_data[18596],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4sf },
    &operand_data[18598],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2df },
    &operand_data[18600],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7914 */
  {
    "aarch64_ld1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8bf },
    &operand_data[18602],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8qi },
    &operand_data[18604],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hi },
    &operand_data[18606],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2si },
    &operand_data[18608],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2di },
    &operand_data[18610],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hf },
    &operand_data[18612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2sf },
    &operand_data[18614],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2df },
    &operand_data[18616],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4bf },
    &operand_data[18618],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v16qi },
    &operand_data[18620],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hi },
    &operand_data[18622],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4si },
    &operand_data[18624],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2di },
    &operand_data[18626],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hf },
    &operand_data[18628],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4sf },
    &operand_data[18630],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2df },
    &operand_data[18632],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7934 */
  {
    "aarch64_st1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8bf },
    &operand_data[18634],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8qi },
    &operand_data[18636],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hi },
    &operand_data[18541],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2si },
    &operand_data[18543],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3di },
    &operand_data[18545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hf },
    &operand_data[18547],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2sf },
    &operand_data[18549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3df },
    &operand_data[18551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4bf },
    &operand_data[18553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v16qi },
    &operand_data[18555],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hi },
    &operand_data[18557],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4si },
    &operand_data[18559],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2di },
    &operand_data[18561],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hf },
    &operand_data[18563],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4sf },
    &operand_data[18565],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2df },
    &operand_data[18567],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7954 */
  {
    "aarch64_st1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8bf },
    &operand_data[18569],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8qi },
    &operand_data[18638],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hi },
    &operand_data[18640],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2si },
    &operand_data[18642],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4di },
    &operand_data[18644],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hf },
    &operand_data[18646],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2sf },
    &operand_data[18648],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4df },
    &operand_data[18650],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4bf },
    &operand_data[18652],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v16qi },
    &operand_data[18654],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hi },
    &operand_data[18656],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4si },
    &operand_data[18658],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2di },
    &operand_data[18660],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hf },
    &operand_data[18662],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4sf },
    &operand_data[18664],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2df },
    &operand_data[18666],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7974 */
  {
    "aarch64_st1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8bf },
    &operand_data[18668],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8qi },
    &operand_data[18605],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hi },
    &operand_data[18607],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2si },
    &operand_data[18609],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdi },
    &operand_data[18611],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hf },
    &operand_data[18613],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2sf },
    &operand_data[18615],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdf },
    &operand_data[18617],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4bf },
    &operand_data[18619],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8qi },
    &operand_data[18540],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hi },
    &operand_data[18542],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2si },
    &operand_data[18544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdi },
    &operand_data[18546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hf },
    &operand_data[18548],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2sf },
    &operand_data[18550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdf },
    &operand_data[18552],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4bf },
    &operand_data[18554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8qi },
    &operand_data[18639],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hi },
    &operand_data[18641],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2si },
    &operand_data[18643],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdi },
    &operand_data[18645],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hf },
    &operand_data[18647],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2sf },
    &operand_data[18649],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdf },
    &operand_data[18651],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4bf },
    &operand_data[18653],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv16qi },
    &operand_data[18621],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hi },
    &operand_data[18623],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4si },
    &operand_data[18625],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2di },
    &operand_data[18627],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hf },
    &operand_data[18629],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4sf },
    &operand_data[18631],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2df },
    &operand_data[18633],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8bf },
    &operand_data[18635],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv16qi },
    &operand_data[18556],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hi },
    &operand_data[18558],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4si },
    &operand_data[18560],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2di },
    &operand_data[18562],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hf },
    &operand_data[18564],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4sf },
    &operand_data[18566],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2df },
    &operand_data[18568],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8bf },
    &operand_data[18570],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv16qi },
    &operand_data[18655],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hi },
    &operand_data[18657],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4si },
    &operand_data[18659],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2di },
    &operand_data[18661],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hf },
    &operand_data[18663],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4sf },
    &operand_data[18665],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2df },
    &operand_data[18667],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8322 */
  {
    "aarch64_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8bf },
    &operand_data[18407],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi },
    &operand_data[18605],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi },
    &operand_data[18607],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si },
    &operand_data[18609],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di },
    &operand_data[18611],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf },
    &operand_data[18613],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf },
    &operand_data[18615],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df },
    &operand_data[18617],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf },
    &operand_data[18619],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi },
    &operand_data[18540],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi },
    &operand_data[18542],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si },
    &operand_data[18544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di },
    &operand_data[18546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf },
    &operand_data[18548],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf },
    &operand_data[18550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df },
    &operand_data[18552],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf },
    &operand_data[18554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi },
    &operand_data[18639],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi },
    &operand_data[18641],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si },
    &operand_data[18643],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di },
    &operand_data[18645],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf },
    &operand_data[18647],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf },
    &operand_data[18649],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df },
    &operand_data[18651],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8394 */
  {
    "aarch64_ld4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf },
    &operand_data[18653],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8qi },
    &operand_data[18670],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v16qi },
    &operand_data[18672],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hi },
    &operand_data[17690],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hi },
    &operand_data[18674],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2si },
    &operand_data[18676],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4si },
    &operand_data[18678],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2di },
    &operand_data[18031],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hf },
    &operand_data[18680],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hf },
    &operand_data[18682],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4bf },
    &operand_data[18684],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8bf },
    &operand_data[18686],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2sf },
    &operand_data[18688],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4sf },
    &operand_data[18690],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8404 */
  {
    "aarch64_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2df },
    &operand_data[17983],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v16qi },
    &operand_data[18621],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hi },
    &operand_data[18623],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4si },
    &operand_data[18625],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2di },
    &operand_data[18627],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hf },
    &operand_data[18629],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4sf },
    &operand_data[18631],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2df },
    &operand_data[18633],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8bf },
    &operand_data[18635],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v16qi },
    &operand_data[18556],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hi },
    &operand_data[18558],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4si },
    &operand_data[18560],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2di },
    &operand_data[18562],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hf },
    &operand_data[18564],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4sf },
    &operand_data[18566],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2df },
    &operand_data[18568],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8bf },
    &operand_data[18570],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v16qi },
    &operand_data[18655],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hi },
    &operand_data[18657],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4si },
    &operand_data[18659],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2di },
    &operand_data[18661],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hf },
    &operand_data[18663],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4sf },
    &operand_data[18665],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2df },
    &operand_data[18667],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8419 */
  {
    "aarch64_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8bf },
    &operand_data[18407],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8qi },
    &operand_data[18605],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hi },
    &operand_data[18607],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2si },
    &operand_data[18609],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2di },
    &operand_data[18611],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hf },
    &operand_data[18613],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2sf },
    &operand_data[18615],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2df },
    &operand_data[18617],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4bf },
    &operand_data[18619],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v16qi },
    &operand_data[18621],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hi },
    &operand_data[18623],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4si },
    &operand_data[18625],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2di },
    &operand_data[18627],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hf },
    &operand_data[18629],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4sf },
    &operand_data[18631],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2df },
    &operand_data[18633],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8429 */
  {
    "aarch64_ld1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8bf },
    &operand_data[18635],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8qi },
    &operand_data[18692],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hi },
    &operand_data[18696],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2si },
    &operand_data[18700],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedi },
    &operand_data[18704],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hf },
    &operand_data[18708],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2sf },
    &operand_data[18712],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedf },
    &operand_data[18716],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4bf },
    &operand_data[18720],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8qi },
    &operand_data[18724],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hi },
    &operand_data[18728],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2si },
    &operand_data[18732],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedi },
    &operand_data[18736],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hf },
    &operand_data[18740],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2sf },
    &operand_data[18744],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedf },
    &operand_data[18748],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4bf },
    &operand_data[18752],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8qi },
    &operand_data[18756],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hi },
    &operand_data[18760],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2si },
    &operand_data[18764],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedi },
    &operand_data[18768],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hf },
    &operand_data[18772],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2sf },
    &operand_data[18776],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedf },
    &operand_data[18780],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4bf },
    &operand_data[18784],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev16qi },
    &operand_data[18788],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hi },
    &operand_data[18792],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4si },
    &operand_data[18796],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2di },
    &operand_data[18800],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hf },
    &operand_data[18804],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4sf },
    &operand_data[18808],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2df },
    &operand_data[18812],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8bf },
    &operand_data[18816],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev16qi },
    &operand_data[18820],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hi },
    &operand_data[18824],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4si },
    &operand_data[18828],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2di },
    &operand_data[18832],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hf },
    &operand_data[18836],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4sf },
    &operand_data[18840],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2df },
    &operand_data[18844],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8bf },
    &operand_data[18848],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev16qi },
    &operand_data[18852],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hi },
    &operand_data[18856],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4si },
    &operand_data[18860],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2di },
    &operand_data[18864],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hf },
    &operand_data[18868],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4sf },
    &operand_data[18872],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2df },
    &operand_data[18876],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8441 */
  {
    "aarch64_ld4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8bf },
    &operand_data[18880],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8464 */
  {
    "vec_permv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv8qi },
    &operand_data[17928],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8464 */
  {
    "vec_permv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv16qi },
    &operand_data[17932],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi },
    &operand_data[18604],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi },
    &operand_data[18606],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si },
    &operand_data[18608],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di },
    &operand_data[18610],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf },
    &operand_data[18612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf },
    &operand_data[18614],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df },
    &operand_data[18616],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf },
    &operand_data[18618],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi },
    &operand_data[18636],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi },
    &operand_data[18541],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si },
    &operand_data[18543],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di },
    &operand_data[18545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf },
    &operand_data[18547],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf },
    &operand_data[18549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df },
    &operand_data[18551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf },
    &operand_data[18553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi },
    &operand_data[18638],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi },
    &operand_data[18640],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si },
    &operand_data[18642],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di },
    &operand_data[18644],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf },
    &operand_data[18646],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf },
    &operand_data[18648],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df },
    &operand_data[18650],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8698 */
  {
    "aarch64_st4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf },
    &operand_data[18652],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v16qi },
    &operand_data[18620],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hi },
    &operand_data[18622],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4si },
    &operand_data[18624],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2di },
    &operand_data[18626],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hf },
    &operand_data[18628],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4sf },
    &operand_data[18630],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2df },
    &operand_data[18632],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8bf },
    &operand_data[18634],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v16qi },
    &operand_data[18555],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hi },
    &operand_data[18557],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4si },
    &operand_data[18559],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2di },
    &operand_data[18561],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hf },
    &operand_data[18563],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4sf },
    &operand_data[18565],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2df },
    &operand_data[18567],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8bf },
    &operand_data[18569],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v16qi },
    &operand_data[18654],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hi },
    &operand_data[18656],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4si },
    &operand_data[18658],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2di },
    &operand_data[18660],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hf },
    &operand_data[18662],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4sf },
    &operand_data[18664],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2df },
    &operand_data[18666],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8708 */
  {
    "aarch64_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8bf },
    &operand_data[18668],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8qi },
    &operand_data[18693],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hi },
    &operand_data[18697],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2si },
    &operand_data[18701],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedi },
    &operand_data[18705],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hf },
    &operand_data[18709],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2sf },
    &operand_data[18713],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedf },
    &operand_data[18717],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4bf },
    &operand_data[18721],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8qi },
    &operand_data[18725],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hi },
    &operand_data[18729],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2si },
    &operand_data[18733],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedi },
    &operand_data[18737],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hf },
    &operand_data[18741],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2sf },
    &operand_data[18745],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedf },
    &operand_data[18749],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4bf },
    &operand_data[18753],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8qi },
    &operand_data[18757],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hi },
    &operand_data[18761],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2si },
    &operand_data[18765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedi },
    &operand_data[18769],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hf },
    &operand_data[18773],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2sf },
    &operand_data[18777],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedf },
    &operand_data[18781],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4bf },
    &operand_data[18785],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev16qi },
    &operand_data[18789],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hi },
    &operand_data[18793],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4si },
    &operand_data[18797],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2di },
    &operand_data[18801],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hf },
    &operand_data[18805],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4sf },
    &operand_data[18809],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2df },
    &operand_data[18813],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8bf },
    &operand_data[18817],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev16qi },
    &operand_data[18821],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hi },
    &operand_data[18825],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4si },
    &operand_data[18829],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2di },
    &operand_data[18833],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hf },
    &operand_data[18837],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4sf },
    &operand_data[18841],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2df },
    &operand_data[18845],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8bf },
    &operand_data[18849],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev16qi },
    &operand_data[18853],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hi },
    &operand_data[18857],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4si },
    &operand_data[18861],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2di },
    &operand_data[18865],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hf },
    &operand_data[18869],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4sf },
    &operand_data[18873],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2df },
    &operand_data[18877],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8718 */
  {
    "aarch64_st4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8bf },
    &operand_data[18881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8qi },
    &operand_data[18884],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v16qi },
    &operand_data[18671],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hi },
    &operand_data[18886],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hi },
    &operand_data[18673],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2si },
    &operand_data[3222],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4si },
    &operand_data[3218],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2di },
    &operand_data[17581],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hf },
    &operand_data[18679],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hf },
    &operand_data[18681],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4bf },
    &operand_data[18683],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8bf },
    &operand_data[18685],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2sf },
    &operand_data[18687],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4sf },
    &operand_data[18689],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8734 */
  {
    "aarch64_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2df },
    &operand_data[18417],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8qiqi },
    &operand_data[18888],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiqi },
    &operand_data[18890],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hihi },
    &operand_data[18892],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hihi },
    &operand_data[18894],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sisi },
    &operand_data[18896],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sisi },
    &operand_data[18898],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2didi },
    &operand_data[18900],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hfhf },
    &operand_data[18902],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfhf },
    &operand_data[18904],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4bfbf },
    &operand_data[18906],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfbf },
    &operand_data[18908],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sfsf },
    &operand_data[18910],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfsf },
    &operand_data[18912],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8751 */
  {
    "vec_initv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2dfdf },
    &operand_data[18914],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8760 */
  {
    "vec_initv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiv8qi },
    &operand_data[18890],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8760 */
  {
    "vec_initv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hiv4hi },
    &operand_data[18894],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8760 */
  {
    "vec_initv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4siv2si },
    &operand_data[18898],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8760 */
  {
    "vec_initv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfv4hf },
    &operand_data[18904],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8760 */
  {
    "vec_initv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfv2sf },
    &operand_data[18912],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8760 */
  {
    "vec_initv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfv4bf },
    &operand_data[18908],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8qiqi },
    &operand_data[18916],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiqi },
    &operand_data[18919],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hihi },
    &operand_data[18922],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hihi },
    &operand_data[18925],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sisi },
    &operand_data[18928],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sisi },
    &operand_data[18931],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2didi },
    &operand_data[18934],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hfhf },
    &operand_data[18937],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfhf },
    &operand_data[18940],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4bfbf },
    &operand_data[18943],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfbf },
    &operand_data[18946],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sfsf },
    &operand_data[18949],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfsf },
    &operand_data[18952],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8829 */
  {
    "vec_extractv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfdf },
    &operand_data[18955],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8841 */
  {
    "vec_extractv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiv8qi },
    &operand_data[18958],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8841 */
  {
    "vec_extractv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hiv4hi },
    &operand_data[18961],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8841 */
  {
    "vec_extractv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4siv2si },
    &operand_data[18964],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8841 */
  {
    "vec_extractv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfv4hf },
    &operand_data[18967],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8841 */
  {
    "vec_extractv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfv4bf },
    &operand_data[18970],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8841 */
  {
    "vec_extractv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfv2sf },
    &operand_data[18973],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8856 */
  {
    "vec_extractv2div1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2div1di },
    &operand_data[18976],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8856 */
  {
    "vec_extractv2dfv1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfv1df },
    &operand_data[18979],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9114 */
  {
    "aarch64_xarqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xarqv2di },
    &operand_data[18982],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9202 */
  {
    "aarch64_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lowv2sf },
    &operand_data[18986],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9202 */
  {
    "aarch64_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lowv2sf },
    &operand_data[18986],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9202 */
  {
    "aarch64_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lowv4sf },
    &operand_data[18990],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9202 */
  {
    "aarch64_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lowv4sf },
    &operand_data[18990],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9225 */
  {
    "aarch64_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_highv2sf },
    &operand_data[18986],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9225 */
  {
    "aarch64_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_highv2sf },
    &operand_data[18986],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9225 */
  {
    "aarch64_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_highv4sf },
    &operand_data[18990],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9225 */
  {
    "aarch64_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_highv4sf },
    &operand_data[18990],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9315 */
  {
    "aarch64_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_lowv2sf },
    &operand_data[18994],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9315 */
  {
    "aarch64_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_lowv2sf },
    &operand_data[18994],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9336 */
  {
    "aarch64_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_highv2sf },
    &operand_data[18994],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9336 */
  {
    "aarch64_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_highv2sf },
    &operand_data[18994],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9430 */
  {
    "aarch64_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_lowv4sf },
    &operand_data[18999],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9430 */
  {
    "aarch64_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_lowv4sf },
    &operand_data[18999],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9450 */
  {
    "aarch64_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_highv4sf },
    &operand_data[18999],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9450 */
  {
    "aarch64_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_highv4sf },
    &operand_data[18999],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9544 */
  {
    "aarch64_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_lowv2sf },
    &operand_data[19004],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9544 */
  {
    "aarch64_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_lowv2sf },
    &operand_data[19004],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9565 */
  {
    "aarch64_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_highv2sf },
    &operand_data[19004],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9565 */
  {
    "aarch64_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_highv2sf },
    &operand_data[19004],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9660 */
  {
    "aarch64_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_lowv4sf },
    &operand_data[19009],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9660 */
  {
    "aarch64_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_lowv4sf },
    &operand_data[19009],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9680 */
  {
    "aarch64_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_highv4sf },
    &operand_data[19009],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9680 */
  {
    "aarch64_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_highv4sf },
    &operand_data[19009],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9819 */
  {
    "aarch64_sxtlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv8hi },
    &operand_data[1972],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9819 */
  {
    "aarch64_uxtlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv8hi },
    &operand_data[1972],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9819 */
  {
    "aarch64_sxtlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv4si },
    &operand_data[1975],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9819 */
  {
    "aarch64_uxtlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv4si },
    &operand_data[1975],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9819 */
  {
    "aarch64_sxtlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv2di },
    &operand_data[1978],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9819 */
  {
    "aarch64_uxtlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv2di },
    &operand_data[1978],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9837 */
  {
    "aarch64_xtnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv8hi },
    &operand_data[17801],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9837 */
  {
    "aarch64_xtnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv4si },
    &operand_data[17803],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9837 */
  {
    "aarch64_xtnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv2di },
    &operand_data[17805],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapqi },
    &operand_data[19014],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swaphi },
    &operand_data[19022],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapsi },
    &operand_data[19030],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapdi },
    &operand_data[19038],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapti },
    &operand_data[19046],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangeqi },
    &operand_data[19054],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangehi },
    &operand_data[19058],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangesi },
    &operand_data[19062],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangedi },
    &operand_data[19066],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addqi },
    &operand_data[19070],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subqi },
    &operand_data[19070],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orqi },
    &operand_data[19073],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorqi },
    &operand_data[19073],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andqi },
    &operand_data[19073],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addhi },
    &operand_data[19076],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subhi },
    &operand_data[19076],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orhi },
    &operand_data[19079],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorhi },
    &operand_data[19079],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andhi },
    &operand_data[19079],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addsi },
    &operand_data[19082],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subsi },
    &operand_data[19082],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orsi },
    &operand_data[19085],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorsi },
    &operand_data[19085],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andsi },
    &operand_data[19085],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_adddi },
    &operand_data[19088],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subdi },
    &operand_data[19088],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_ordi },
    &operand_data[19091],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xordi },
    &operand_data[19091],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_anddi },
    &operand_data[19091],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addqi },
    &operand_data[19094],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subqi },
    &operand_data[19094],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orqi },
    &operand_data[19098],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorqi },
    &operand_data[19098],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andqi },
    &operand_data[19098],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addhi },
    &operand_data[19102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subhi },
    &operand_data[19102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orhi },
    &operand_data[19106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorhi },
    &operand_data[19106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andhi },
    &operand_data[19106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addsi },
    &operand_data[19110],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subsi },
    &operand_data[19110],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orsi },
    &operand_data[19114],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorsi },
    &operand_data[19114],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andsi },
    &operand_data[19114],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_adddi },
    &operand_data[19118],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subdi },
    &operand_data[19118],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_ordi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xordi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_anddi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchqi },
    &operand_data[19094],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchqi },
    &operand_data[19094],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchqi },
    &operand_data[19098],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchqi },
    &operand_data[19098],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchqi },
    &operand_data[19098],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchhi },
    &operand_data[19102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchhi },
    &operand_data[19102],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchhi },
    &operand_data[19106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchhi },
    &operand_data[19106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchhi },
    &operand_data[19106],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchsi },
    &operand_data[19110],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchsi },
    &operand_data[19110],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchsi },
    &operand_data[19114],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchsi },
    &operand_data[19114],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchsi },
    &operand_data[19114],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchdi },
    &operand_data[19118],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchdi },
    &operand_data[19118],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchdi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchdi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchdi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:660 */
  {
    "atomic_loadqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadqi },
    &operand_data[6469],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:660 */
  {
    "atomic_loadhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadhi },
    &operand_data[6445],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:660 */
  {
    "atomic_loadsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadsi },
    &operand_data[6457],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:660 */
  {
    "atomic_loaddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loaddi },
    &operand_data[6472],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:836 */
  {
    "mem_thread_fence",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mem_thread_fence },
    &operand_data[107],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:847 */
  {
    "dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_dmb },
    &operand_data[107],
    1,
    1,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16qi },
    &operand_data[19126],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8qi },
    &operand_data[19128],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4qi },
    &operand_data[19130],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2qi },
    &operand_data[19132],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hi },
    &operand_data[19134],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hi },
    &operand_data[19136],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hi },
    &operand_data[19138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4si },
    &operand_data[19140],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2si },
    &operand_data[19142],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2di },
    &operand_data[19144],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hf },
    &operand_data[19146],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hf },
    &operand_data[19148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hf },
    &operand_data[19150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bf },
    &operand_data[19152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bf },
    &operand_data[19154],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bf },
    &operand_data[19156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4sf },
    &operand_data[19158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2sf },
    &operand_data[19160],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:645 */
  {
    "movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2df },
    &operand_data[19162],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx16qi },
    &operand_data[19126],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8qi },
    &operand_data[19128],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4qi },
    &operand_data[19130],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2qi },
    &operand_data[19132],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hi },
    &operand_data[19134],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hi },
    &operand_data[19136],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hi },
    &operand_data[19138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4si },
    &operand_data[19140],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2si },
    &operand_data[19142],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2di },
    &operand_data[19144],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hf },
    &operand_data[19146],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hf },
    &operand_data[19148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hf },
    &operand_data[19150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8bf },
    &operand_data[19152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4bf },
    &operand_data[19154],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2bf },
    &operand_data[19156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4sf },
    &operand_data[19158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2sf },
    &operand_data[19160],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:675 */
  {
    "movmisalignvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2df },
    &operand_data[19162],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:725 */
  {
    "aarch64_sve_reload_mem",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reload_mem },
    &operand_data[19164],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16qi },
    &operand_data[19167],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8qi },
    &operand_data[19169],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4qi },
    &operand_data[19171],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2qi },
    &operand_data[19173],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hi },
    &operand_data[19175],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hi },
    &operand_data[19177],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hi },
    &operand_data[19179],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4si },
    &operand_data[19181],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2si },
    &operand_data[19183],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2di },
    &operand_data[19185],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hf },
    &operand_data[19187],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hf },
    &operand_data[19189],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hf },
    &operand_data[19191],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8bf },
    &operand_data[19193],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4bf },
    &operand_data[19195],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2bf },
    &operand_data[19197],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4sf },
    &operand_data[19199],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2sf },
    &operand_data[19201],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2df },
    &operand_data[19203],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx32qi },
    &operand_data[19205],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16hi },
    &operand_data[19207],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8si },
    &operand_data[19209],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4di },
    &operand_data[19211],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16bf },
    &operand_data[19213],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16hf },
    &operand_data[19215],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8sf },
    &operand_data[19217],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4df },
    &operand_data[19219],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx48qi },
    &operand_data[19221],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx24hi },
    &operand_data[19223],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx12si },
    &operand_data[19225],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx6di },
    &operand_data[19227],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx24bf },
    &operand_data[19229],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx24hf },
    &operand_data[19231],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx12sf },
    &operand_data[19233],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx6df },
    &operand_data[19235],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx64qi },
    &operand_data[19237],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx32hi },
    &operand_data[19239],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16si },
    &operand_data[19241],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8di },
    &operand_data[19243],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx32bf },
    &operand_data[19245],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx32hf },
    &operand_data[19247],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16sf },
    &operand_data[19249],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:790 */
  {
    "aarch64_sve_reinterpretvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8df },
    &operand_data[19251],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32qi },
    &operand_data[19253],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hi },
    &operand_data[19255],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8si },
    &operand_data[19257],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4di },
    &operand_data[19259],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bf },
    &operand_data[19261],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hf },
    &operand_data[19263],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8sf },
    &operand_data[19265],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4df },
    &operand_data[19267],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx48qi },
    &operand_data[19269],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hi },
    &operand_data[19271],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12si },
    &operand_data[19273],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6di },
    &operand_data[19275],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24bf },
    &operand_data[19277],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hf },
    &operand_data[19279],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12sf },
    &operand_data[19281],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6df },
    &operand_data[19283],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx64qi },
    &operand_data[19285],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hi },
    &operand_data[19287],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16si },
    &operand_data[19289],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8di },
    &operand_data[19291],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32bf },
    &operand_data[19293],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hf },
    &operand_data[19295],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16sf },
    &operand_data[19297],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:829 */
  {
    "movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8df },
    &operand_data[19299],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:939 */
  {
    "movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bi },
    &operand_data[19301],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:939 */
  {
    "movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bi },
    &operand_data[19303],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:939 */
  {
    "movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bi },
    &operand_data[19305],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:939 */
  {
    "movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bi },
    &operand_data[19307],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32qivnx16qi },
    &operand_data[19309],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hivnx8hi },
    &operand_data[19311],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sivnx4si },
    &operand_data[19313],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4divnx2di },
    &operand_data[19315],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16bfvnx8bf },
    &operand_data[19317],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hfvnx8hf },
    &operand_data[19319],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sfvnx4sf },
    &operand_data[19321],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4dfvnx2df },
    &operand_data[19323],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx48qivnx16qi },
    &operand_data[19325],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hivnx8hi },
    &operand_data[19327],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sivnx4si },
    &operand_data[19329],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6divnx2di },
    &operand_data[19331],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24bfvnx8bf },
    &operand_data[19333],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hfvnx8hf },
    &operand_data[19335],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sfvnx4sf },
    &operand_data[19337],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6dfvnx2df },
    &operand_data[19339],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx64qivnx16qi },
    &operand_data[19341],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hivnx8hi },
    &operand_data[19343],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sivnx4si },
    &operand_data[19345],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8divnx2di },
    &operand_data[19347],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32bfvnx8bf },
    &operand_data[19349],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hfvnx8hf },
    &operand_data[19351],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sfvnx4sf },
    &operand_data[19353],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8dfvnx2df },
    &operand_data[19355],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2qivnx2di },
    &operand_data[19357],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hivnx2di },
    &operand_data[19362],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hfvnx2di },
    &operand_data[19367],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2bfvnx2di },
    &operand_data[19372],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sivnx2di },
    &operand_data[19377],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sfvnx2di },
    &operand_data[19382],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2divnx2di },
    &operand_data[19387],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2dfvnx2di },
    &operand_data[19392],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4qivnx4si },
    &operand_data[19397],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hivnx4si },
    &operand_data[19402],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hfvnx4si },
    &operand_data[19407],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4bfvnx4si },
    &operand_data[19412],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sivnx4si },
    &operand_data[19417],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1451 */
  {
    "gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sfvnx4si },
    &operand_data[19422],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32qivnx16qi },
    &operand_data[19427],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hivnx8hi },
    &operand_data[19429],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sivnx4si },
    &operand_data[19431],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4divnx2di },
    &operand_data[19433],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16bfvnx8bf },
    &operand_data[19435],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hfvnx8hf },
    &operand_data[19437],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sfvnx4sf },
    &operand_data[19439],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4dfvnx2df },
    &operand_data[19441],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx48qivnx16qi },
    &operand_data[19443],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hivnx8hi },
    &operand_data[19445],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sivnx4si },
    &operand_data[19447],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6divnx2di },
    &operand_data[19449],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24bfvnx8bf },
    &operand_data[19451],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hfvnx8hf },
    &operand_data[19453],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sfvnx4sf },
    &operand_data[19455],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6dfvnx2df },
    &operand_data[19457],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx64qivnx16qi },
    &operand_data[19459],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hivnx8hi },
    &operand_data[19461],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sivnx4si },
    &operand_data[19463],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8divnx2di },
    &operand_data[19465],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32bfvnx8bf },
    &operand_data[19467],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hfvnx8hf },
    &operand_data[19469],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sfvnx4sf },
    &operand_data[19471],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2269 */
  {
    "vec_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8dfvnx2df },
    &operand_data[19473],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2qivnx2di },
    &operand_data[19475],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hivnx2di },
    &operand_data[19480],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hfvnx2di },
    &operand_data[19363],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2bfvnx2di },
    &operand_data[19368],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sivnx2di },
    &operand_data[19485],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sfvnx2di },
    &operand_data[19378],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2divnx2di },
    &operand_data[19490],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2dfvnx2di },
    &operand_data[19388],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4qivnx4si },
    &operand_data[19495],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hivnx4si },
    &operand_data[19500],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hfvnx4si },
    &operand_data[19403],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4bfvnx4si },
    &operand_data[19408],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sivnx4si },
    &operand_data[19505],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2372 */
  {
    "scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sfvnx4si },
    &operand_data[19418],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16qi },
    &operand_data[19510],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8qi },
    &operand_data[19512],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4qi },
    &operand_data[19514],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2qi },
    &operand_data[19516],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hi },
    &operand_data[19518],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hi },
    &operand_data[19520],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hi },
    &operand_data[19522],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4si },
    &operand_data[19524],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2si },
    &operand_data[19526],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2di },
    &operand_data[19528],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hf },
    &operand_data[19530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hf },
    &operand_data[19532],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hf },
    &operand_data[19534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bf },
    &operand_data[19536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bf },
    &operand_data[19538],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bf },
    &operand_data[19540],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4sf },
    &operand_data[19542],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2sf },
    &operand_data[19544],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2635 */
  {
    "vec_duplicatevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2df },
    &operand_data[19546],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2795 */
  {
    "vec_initvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx16qiqi },
    &operand_data[19548],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2795 */
  {
    "vec_initvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hihi },
    &operand_data[19550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2795 */
  {
    "vec_initvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sisi },
    &operand_data[19552],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2795 */
  {
    "vec_initvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2didi },
    &operand_data[19554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2795 */
  {
    "vec_initvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8bfbf },
    &operand_data[19556],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2795 */
  {
    "vec_initvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hfhf },
    &operand_data[19558],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2795 */
  {
    "vec_initvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sfsf },
    &operand_data[19560],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2795 */
  {
    "vec_initvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2dfdf },
    &operand_data[19562],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2865 */
  {
    "vec_duplicatevnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16bi },
    &operand_data[19564],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2865 */
  {
    "vec_duplicatevnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bi },
    &operand_data[19566],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2865 */
  {
    "vec_duplicatevnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bi },
    &operand_data[19568],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2865 */
  {
    "vec_duplicatevnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bi },
    &operand_data[19570],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2893 */
  {
    "vec_extractvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16qiqi },
    &operand_data[19571],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2893 */
  {
    "vec_extractvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hihi },
    &operand_data[19574],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2893 */
  {
    "vec_extractvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sisi },
    &operand_data[19577],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2893 */
  {
    "vec_extractvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2didi },
    &operand_data[19580],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2893 */
  {
    "vec_extractvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bfbf },
    &operand_data[19583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2893 */
  {
    "vec_extractvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hfhf },
    &operand_data[19586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2893 */
  {
    "vec_extractvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sfsf },
    &operand_data[19589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2893 */
  {
    "vec_extractvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2dfdf },
    &operand_data[19592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3057 */
  {
    "vec_extractvnx16biqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16biqi },
    &operand_data[19595],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3057 */
  {
    "vec_extractvnx8bihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bihi },
    &operand_data[19598],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3057 */
  {
    "vec_extractvnx4bisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4bisi },
    &operand_data[19601],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3057 */
  {
    "vec_extractvnx2bidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2bidi },
    &operand_data[19604],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3091 */
  {
    "ctzvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx16qi2 },
    &operand_data[19607],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx8qi2 },
    &operand_data[19609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4qi2 },
    &operand_data[19611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2qi2 },
    &operand_data[19613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx8hi2 },
    &operand_data[19615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4si2 },
    &operand_data[19621],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "absvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "negvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "one_cmplvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clrsbvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "clzvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "popcountvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "rbitvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qabsvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3109 */
  {
    "qnegvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2di2 },
    &operand_data[19625],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx16qi },
    &operand_data[19627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx16qi },
    &operand_data[19627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx16qi },
    &operand_data[19627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx16qi },
    &operand_data[19627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx16qi },
    &operand_data[19627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx16qi },
    &operand_data[19627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx16qi },
    &operand_data[19627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx16qi },
    &operand_data[19627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx16qi },
    &operand_data[19627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8qi },
    &operand_data[19631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8qi },
    &operand_data[19631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx8qi },
    &operand_data[19631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx8qi },
    &operand_data[19631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx8qi },
    &operand_data[19631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx8qi },
    &operand_data[19631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx8qi },
    &operand_data[19631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx8qi },
    &operand_data[19631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx8qi },
    &operand_data[19631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4qi },
    &operand_data[19635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4qi },
    &operand_data[19635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4qi },
    &operand_data[19635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4qi },
    &operand_data[19635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4qi },
    &operand_data[19635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4qi },
    &operand_data[19635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx4qi },
    &operand_data[19635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4qi },
    &operand_data[19635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4qi },
    &operand_data[19635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2qi },
    &operand_data[19639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2qi },
    &operand_data[19639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2qi },
    &operand_data[19639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2qi },
    &operand_data[19639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2qi },
    &operand_data[19639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2qi },
    &operand_data[19639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2qi },
    &operand_data[19639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2qi },
    &operand_data[19639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2qi },
    &operand_data[19639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hi },
    &operand_data[19643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hi },
    &operand_data[19643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx8hi },
    &operand_data[19643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx8hi },
    &operand_data[19643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx8hi },
    &operand_data[19643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx8hi },
    &operand_data[19643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx8hi },
    &operand_data[19643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx8hi },
    &operand_data[19643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx8hi },
    &operand_data[19643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4hi },
    &operand_data[19647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4hi },
    &operand_data[19647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4hi },
    &operand_data[19647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4hi },
    &operand_data[19647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4hi },
    &operand_data[19647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4hi },
    &operand_data[19647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx4hi },
    &operand_data[19647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4hi },
    &operand_data[19647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4hi },
    &operand_data[19647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2hi },
    &operand_data[19651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2hi },
    &operand_data[19651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2hi },
    &operand_data[19651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2hi },
    &operand_data[19651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2hi },
    &operand_data[19651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2hi },
    &operand_data[19651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2hi },
    &operand_data[19651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2hi },
    &operand_data[19651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2hi },
    &operand_data[19651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4si },
    &operand_data[19655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4si },
    &operand_data[19655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4si },
    &operand_data[19655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4si },
    &operand_data[19655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4si },
    &operand_data[19655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4si },
    &operand_data[19655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx4si },
    &operand_data[19655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4si },
    &operand_data[19655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4si },
    &operand_data[19655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2si },
    &operand_data[19659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2si },
    &operand_data[19659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2si },
    &operand_data[19659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2si },
    &operand_data[19659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2si },
    &operand_data[19659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2si },
    &operand_data[19659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2si },
    &operand_data[19659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2si },
    &operand_data[19659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2si },
    &operand_data[19659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2di },
    &operand_data[19663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2di },
    &operand_data[19663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2di },
    &operand_data[19663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2di },
    &operand_data[19663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2di },
    &operand_data[19663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2di },
    &operand_data[19663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2di },
    &operand_data[19663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2di },
    &operand_data[19663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3138 */
  {
    "cond_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2di },
    &operand_data[19663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx8hi2 },
    &operand_data[19667],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx8hi2 },
    &operand_data[19667],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx8hi2 },
    &operand_data[19669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx8hi2 },
    &operand_data[19669],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx8hi2 },
    &operand_data[19671],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx8hi2 },
    &operand_data[19671],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx8hi2 },
    &operand_data[19616],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx8hi2 },
    &operand_data[19616],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx8hi2 },
    &operand_data[19673],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx8hi2 },
    &operand_data[19673],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2sivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx8hi2 },
    &operand_data[19675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2sivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx8hi2 },
    &operand_data[19675],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx8qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx4hi2 },
    &operand_data[19677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx8qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx4hi2 },
    &operand_data[19677],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4hi2 },
    &operand_data[19679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4hi2 },
    &operand_data[19679],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx4hi2 },
    &operand_data[19681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx4hi2 },
    &operand_data[19681],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx4hi2 },
    &operand_data[19617],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx4hi2 },
    &operand_data[19618],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx4hi2 },
    &operand_data[19618],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx4hi2 },
    &operand_data[19683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx4hi2 },
    &operand_data[19683],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx8qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx2hi2 },
    &operand_data[19685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx8qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx2hi2 },
    &operand_data[19685],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx2hi2 },
    &operand_data[19687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx2hi2 },
    &operand_data[19687],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2hi2 },
    &operand_data[19689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2hi2 },
    &operand_data[19689],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx2hi2 },
    &operand_data[19691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx2hi2 },
    &operand_data[19691],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2hi2 },
    &operand_data[19619],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx2hi2 },
    &operand_data[19693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx2hi2 },
    &operand_data[19693],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx8qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx4si2 },
    &operand_data[19695],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx8qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx4si2 },
    &operand_data[19695],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4si2 },
    &operand_data[19697],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4si2 },
    &operand_data[19697],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx4si2 },
    &operand_data[19699],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx4si2 },
    &operand_data[19699],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx4si2 },
    &operand_data[19701],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx4si2 },
    &operand_data[19701],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx4si2 },
    &operand_data[19703],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx4si2 },
    &operand_data[19703],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2sivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx4si2 },
    &operand_data[19622],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2sivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx4si2 },
    &operand_data[19622],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx8qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx2si2 },
    &operand_data[19705],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx8qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx2si2 },
    &operand_data[19705],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx2si2 },
    &operand_data[19707],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx2si2 },
    &operand_data[19707],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2si2 },
    &operand_data[19709],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2si2 },
    &operand_data[19709],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx2si2 },
    &operand_data[19676],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx2si2 },
    &operand_data[19676],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2si2 },
    &operand_data[19684],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2si2 },
    &operand_data[19684],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx2si2 },
    &operand_data[19623],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx8qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx2di2 },
    &operand_data[19711],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx8qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx2di2 },
    &operand_data[19711],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx2di2 },
    &operand_data[19713],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx2di2 },
    &operand_data[19713],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2di2 },
    &operand_data[19715],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2di2 },
    &operand_data[19715],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx4hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx2di2 },
    &operand_data[19717],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx4hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx2di2 },
    &operand_data[19717],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2di2 },
    &operand_data[19719],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2di2 },
    &operand_data[19719],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx2di2 },
    &operand_data[19721],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3264 */
  {
    "zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx2di2 },
    &operand_data[19721],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3405 */
  {
    "aarch64_ptrue_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptrue_cnotvnx16qi },
    &operand_data[19627],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3405 */
  {
    "aarch64_ptrue_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptrue_cnotvnx8hi },
    &operand_data[19643],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3405 */
  {
    "aarch64_ptrue_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptrue_cnotvnx4si },
    &operand_data[19655],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3405 */
  {
    "aarch64_ptrue_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptrue_cnotvnx2di },
    &operand_data[19663],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3446 */
  {
    "cond_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx16qi },
    &operand_data[19627],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3446 */
  {
    "cond_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx8hi },
    &operand_data[19643],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3446 */
  {
    "cond_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx4si },
    &operand_data[19655],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3446 */
  {
    "cond_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx2di },
    &operand_data[19663],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "absvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "negvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "frecpxvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "roundvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "nearbyintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "floorvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "frintnvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "ceilvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "rintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "btruncvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "absvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "negvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "frecpxvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "roundvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "nearbyintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "floorvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "frintnvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "ceilvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "rintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "btruncvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "absvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "negvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "frecpxvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "roundvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "nearbyintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "floorvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "frintnvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "ceilvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "rintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3585 */
  {
    "btruncvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx8hf },
    &operand_data[19729],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3614 */
  {
    "cond_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx2df },
    &operand_data[19737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3723 */
  {
    "sqrtvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx8hf2 },
    &operand_data[19723],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3723 */
  {
    "sqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3723 */
  {
    "sqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx2df2 },
    &operand_data[19727],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3741 */
  {
    "rsqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx4sf2 },
    &operand_data[19725],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3741 */
  {
    "rsqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx2df2 },
    &operand_data[19727],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3752 */
  {
    "aarch64_rsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx4sf },
    &operand_data[19725],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3752 */
  {
    "aarch64_rsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx2df },
    &operand_data[19727],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3760 */
  {
    "aarch64_rsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx4sf },
    &operand_data[19741],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3760 */
  {
    "aarch64_rsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx2df },
    &operand_data[19744],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3777 */
  {
    "one_cmplvnx16bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16bi2 },
    &operand_data[19747],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3777 */
  {
    "one_cmplvnx8bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8bi2 },
    &operand_data[19749],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3777 */
  {
    "one_cmplvnx4bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4bi2 },
    &operand_data[19751],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3777 */
  {
    "one_cmplvnx2bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2bi2 },
    &operand_data[19753],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16qi3 },
    &operand_data[19755],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16qi3 },
    &operand_data[19755],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16qi3 },
    &operand_data[19758],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16qi3 },
    &operand_data[19758],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8qi3 },
    &operand_data[19761],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8qi3 },
    &operand_data[19761],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8qi3 },
    &operand_data[19764],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8qi3 },
    &operand_data[19764],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4qi3 },
    &operand_data[19767],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4qi3 },
    &operand_data[19767],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4qi3 },
    &operand_data[19770],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4qi3 },
    &operand_data[19770],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2qi3 },
    &operand_data[19773],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2qi3 },
    &operand_data[19773],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2qi3 },
    &operand_data[19776],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2qi3 },
    &operand_data[19776],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hi3 },
    &operand_data[19779],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hi3 },
    &operand_data[19779],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8hi3 },
    &operand_data[19782],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8hi3 },
    &operand_data[19782],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4hi3 },
    &operand_data[19785],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4hi3 },
    &operand_data[19785],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4hi3 },
    &operand_data[19788],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4hi3 },
    &operand_data[19788],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2hi3 },
    &operand_data[19791],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2hi3 },
    &operand_data[19791],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2hi3 },
    &operand_data[19794],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2hi3 },
    &operand_data[19794],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4si3 },
    &operand_data[19797],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4si3 },
    &operand_data[19797],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4si3 },
    &operand_data[19800],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4si3 },
    &operand_data[19800],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2si3 },
    &operand_data[19803],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2si3 },
    &operand_data[19803],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2si3 },
    &operand_data[19806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2si3 },
    &operand_data[19806],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2di3 },
    &operand_data[19809],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2di3 },
    &operand_data[19809],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2di3 },
    &operand_data[19812],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3826 */
  {
    "uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2di3 },
    &operand_data[19812],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx16qi3 },
    &operand_data[19755],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8qi3 },
    &operand_data[19761],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4qi3 },
    &operand_data[19767],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2qi3 },
    &operand_data[19773],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hi3 },
    &operand_data[19779],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4hi3 },
    &operand_data[19785],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2hi3 },
    &operand_data[19791],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4si3 },
    &operand_data[19797],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2si3 },
    &operand_data[19803],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2di3 },
    &operand_data[19809],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3845 */
  {
    "mulv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2di3 },
    &operand_data[19815],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx16qi },
    &operand_data[19823],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx16qi },
    &operand_data[19828],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx16qi },
    &operand_data[19828],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx16qi },
    &operand_data[19833],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx8qi },
    &operand_data[19843],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx8qi },
    &operand_data[19848],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx8qi },
    &operand_data[19848],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8qi },
    &operand_data[19853],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx8qi },
    &operand_data[19838],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4qi },
    &operand_data[19863],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4qi },
    &operand_data[19868],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4qi },
    &operand_data[19868],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4qi },
    &operand_data[19873],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4qi },
    &operand_data[19858],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2qi },
    &operand_data[19883],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2qi },
    &operand_data[19888],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2qi },
    &operand_data[19888],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2qi },
    &operand_data[19893],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2qi },
    &operand_data[19878],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx8hi },
    &operand_data[19903],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx8hi },
    &operand_data[19908],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx8hi },
    &operand_data[19908],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8hi },
    &operand_data[19913],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4hi },
    &operand_data[19923],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4hi },
    &operand_data[19928],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4hi },
    &operand_data[19928],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4hi },
    &operand_data[19933],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4hi },
    &operand_data[19918],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2hi },
    &operand_data[19943],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2hi },
    &operand_data[19948],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2hi },
    &operand_data[19948],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2hi },
    &operand_data[19953],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2hi },
    &operand_data[19938],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4si },
    &operand_data[19963],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4si },
    &operand_data[19968],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4si },
    &operand_data[19968],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4si },
    &operand_data[19973],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2si },
    &operand_data[19983],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2si },
    &operand_data[19988],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2si },
    &operand_data[19988],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2si },
    &operand_data[19993],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2si },
    &operand_data[19978],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_addvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_subvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2di },
    &operand_data[20003],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2di },
    &operand_data[20008],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2di },
    &operand_data[20008],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_andvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2di },
    &operand_data[20013],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_iorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_xorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ssaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_usaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_sssubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3913 */
  {
    "cond_ussubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4112 */
  {
    "aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si_shift },
    &operand_data[20018],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4112 */
  {
    "aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di_shift },
    &operand_data[20022],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx16qi3 },
    &operand_data[20026],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx16qi3 },
    &operand_data[20026],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx8qi3 },
    &operand_data[20029],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx8qi3 },
    &operand_data[20029],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4qi3 },
    &operand_data[20032],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4qi3 },
    &operand_data[20032],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2qi3 },
    &operand_data[20035],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2qi3 },
    &operand_data[20035],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx8hi3 },
    &operand_data[20038],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx8hi3 },
    &operand_data[20038],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4hi3 },
    &operand_data[20041],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4hi3 },
    &operand_data[20041],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2hi3 },
    &operand_data[20044],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2hi3 },
    &operand_data[20044],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4si3 },
    &operand_data[20018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4si3 },
    &operand_data[20018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2si3 },
    &operand_data[20047],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2si3 },
    &operand_data[20047],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "sabdvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2di3 },
    &operand_data[20022],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4200 */
  {
    "uabdvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2di3 },
    &operand_data[20022],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "aarch64_cond_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx16qi },
    &operand_data[19818],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "aarch64_cond_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx16qi },
    &operand_data[19818],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "aarch64_cond_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx8hi },
    &operand_data[19898],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "aarch64_cond_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx8hi },
    &operand_data[19898],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "aarch64_cond_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx4si },
    &operand_data[19958],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "aarch64_cond_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx4si },
    &operand_data[19958],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "aarch64_cond_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx2di },
    &operand_data[19998],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "aarch64_cond_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx2di },
    &operand_data[19998],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx16qi3_highpart },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx16qi3_highpart },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx8qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8qi3_highpart },
    &operand_data[20029],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx8qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8qi3_highpart },
    &operand_data[20029],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx4qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4qi3_highpart },
    &operand_data[20032],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx4qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4qi3_highpart },
    &operand_data[20032],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx2qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2qi3_highpart },
    &operand_data[20035],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx2qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2qi3_highpart },
    &operand_data[20035],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8hi3_highpart },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8hi3_highpart },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx4hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4hi3_highpart },
    &operand_data[20041],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx4hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4hi3_highpart },
    &operand_data[20041],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx2hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2hi3_highpart },
    &operand_data[20044],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx2hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2hi3_highpart },
    &operand_data[20044],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4si3_highpart },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4si3_highpart },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx2si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2si3_highpart },
    &operand_data[20047],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx2si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2si3_highpart },
    &operand_data[20047],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "smulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2di3_highpart },
    &operand_data[20022],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4420 */
  {
    "umulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2di3_highpart },
    &operand_data[20022],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4453 */
  {
    "cond_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4453 */
  {
    "cond_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4453 */
  {
    "cond_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4453 */
  {
    "cond_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4453 */
  {
    "cond_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4453 */
  {
    "cond_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4453 */
  {
    "cond_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4453 */
  {
    "cond_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4521 */
  {
    "divvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4si3 },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4521 */
  {
    "udivvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx4si3 },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4521 */
  {
    "divvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2di3 },
    &operand_data[20022],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4521 */
  {
    "udivvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx2di3 },
    &operand_data[20022],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4521 */
  {
    "divv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4si3 },
    &operand_data[17665],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4521 */
  {
    "udivv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivv4si3 },
    &operand_data[17665],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4521 */
  {
    "divv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2di3 },
    &operand_data[17726],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4521 */
  {
    "udivv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivv2di3 },
    &operand_data[17726],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4553 */
  {
    "cond_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4553 */
  {
    "cond_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4553 */
  {
    "cond_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4553 */
  {
    "cond_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx16qi3 },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx8qi3 },
    &operand_data[20029],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx4qi3 },
    &operand_data[20032],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx2qi3 },
    &operand_data[20035],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx8hi3 },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx4hi3 },
    &operand_data[20041],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx2hi3 },
    &operand_data[20044],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx4si3 },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx2si3 },
    &operand_data[20047],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4663 */
  {
    "andnvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx2di3 },
    &operand_data[20022],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4696 */
  {
    "cond_bicvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx16qi },
    &operand_data[19818],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4696 */
  {
    "cond_bicvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx8hi },
    &operand_data[19898],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4696 */
  {
    "cond_bicvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx4si },
    &operand_data[19958],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4696 */
  {
    "cond_bicvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx2di },
    &operand_data[19998],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx16qi3 },
    &operand_data[20050],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx16qi3 },
    &operand_data[20050],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx16qi3 },
    &operand_data[20050],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8qi3 },
    &operand_data[20053],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8qi3 },
    &operand_data[20053],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8qi3 },
    &operand_data[20053],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4qi3 },
    &operand_data[20056],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4qi3 },
    &operand_data[20056],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4qi3 },
    &operand_data[20056],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2qi3 },
    &operand_data[20059],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2qi3 },
    &operand_data[20059],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2qi3 },
    &operand_data[20059],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8hi3 },
    &operand_data[20062],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8hi3 },
    &operand_data[20062],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8hi3 },
    &operand_data[20062],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4hi3 },
    &operand_data[20065],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4hi3 },
    &operand_data[20065],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4hi3 },
    &operand_data[20065],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2hi3 },
    &operand_data[20068],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2hi3 },
    &operand_data[20068],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2hi3 },
    &operand_data[20068],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4si3 },
    &operand_data[20071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4si3 },
    &operand_data[20071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4si3 },
    &operand_data[20071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2si3 },
    &operand_data[20074],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2si3 },
    &operand_data[20074],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2si3 },
    &operand_data[20074],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2di3 },
    &operand_data[20077],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "ashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2di3 },
    &operand_data[20077],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4769 */
  {
    "lshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2di3 },
    &operand_data[20077],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx16qi3 },
    &operand_data[20080],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx16qi3 },
    &operand_data[20083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx16qi3 },
    &operand_data[20083],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8qi3 },
    &operand_data[20086],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8qi3 },
    &operand_data[20089],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8qi3 },
    &operand_data[20089],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4qi3 },
    &operand_data[20092],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4qi3 },
    &operand_data[20095],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4qi3 },
    &operand_data[20095],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2qi3 },
    &operand_data[20098],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2qi3 },
    &operand_data[20101],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2qi3 },
    &operand_data[20101],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8hi3 },
    &operand_data[20104],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8hi3 },
    &operand_data[20107],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8hi3 },
    &operand_data[20107],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4hi3 },
    &operand_data[20110],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4hi3 },
    &operand_data[20113],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4hi3 },
    &operand_data[20113],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2hi3 },
    &operand_data[20116],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2hi3 },
    &operand_data[20119],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2hi3 },
    &operand_data[20119],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4si3 },
    &operand_data[20122],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4si3 },
    &operand_data[20125],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4si3 },
    &operand_data[20125],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2si3 },
    &operand_data[20128],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2si3 },
    &operand_data[20131],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2si3 },
    &operand_data[20131],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2di3 },
    &operand_data[20134],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2di3 },
    &operand_data[20137],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2di3 },
    &operand_data[20137],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "cond_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx16qi },
    &operand_data[20140],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "cond_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx16qi },
    &operand_data[20140],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "cond_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx16qi },
    &operand_data[20140],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "cond_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx8hi },
    &operand_data[20145],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "cond_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx8hi },
    &operand_data[20145],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "cond_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx8hi },
    &operand_data[20145],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "cond_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx4si },
    &operand_data[20150],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "cond_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx4si },
    &operand_data[20150],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "cond_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx4si },
    &operand_data[20150],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx16qi3 },
    &operand_data[20155],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx8qi3 },
    &operand_data[20158],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4qi3 },
    &operand_data[20161],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2qi3 },
    &operand_data[20164],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx8hi3 },
    &operand_data[20167],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4hi3 },
    &operand_data[20170],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2hi3 },
    &operand_data[20173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4si3 },
    &operand_data[20176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2si3 },
    &operand_data[20179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4974 */
  {
    "sdiv_pow2vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2di3 },
    &operand_data[20182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx16qi },
    &operand_data[20185],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx16qi },
    &operand_data[20190],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx16qi },
    &operand_data[20185],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx16qi },
    &operand_data[20185],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx8qi },
    &operand_data[20195],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx8qi },
    &operand_data[20200],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx8qi },
    &operand_data[20195],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx8qi },
    &operand_data[20195],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4qi },
    &operand_data[20205],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4qi },
    &operand_data[20210],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4qi },
    &operand_data[20205],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4qi },
    &operand_data[20205],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2qi },
    &operand_data[20215],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2qi },
    &operand_data[20220],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2qi },
    &operand_data[20215],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2qi },
    &operand_data[20215],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx8hi },
    &operand_data[20225],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx8hi },
    &operand_data[20230],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx8hi },
    &operand_data[20225],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx8hi },
    &operand_data[20225],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4hi },
    &operand_data[20235],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4hi },
    &operand_data[20240],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4hi },
    &operand_data[20235],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4hi },
    &operand_data[20235],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2hi },
    &operand_data[20245],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2hi },
    &operand_data[20250],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2hi },
    &operand_data[20245],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2hi },
    &operand_data[20245],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4si },
    &operand_data[20255],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4si },
    &operand_data[20260],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4si },
    &operand_data[20255],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4si },
    &operand_data[20255],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2si },
    &operand_data[20265],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2si },
    &operand_data[20270],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2si },
    &operand_data[20265],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2si },
    &operand_data[20265],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_asrdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2di },
    &operand_data[20275],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_sqshluvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2di },
    &operand_data[20280],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2di },
    &operand_data[20275],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5007 */
  {
    "cond_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2di },
    &operand_data[20275],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "cond_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx8hf },
    &operand_data[20285],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "cond_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx4sf },
    &operand_data[20290],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "cond_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx2df },
    &operand_data[20295],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "addvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hf3 },
    &operand_data[20300],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fmax_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanvnx8hf3 },
    &operand_data[20303],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fmaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx8hf3 },
    &operand_data[20303],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fmin_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanvnx8hf3 },
    &operand_data[20303],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx8hf3 },
    &operand_data[20303],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "mulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hf3 },
    &operand_data[20306],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "mulxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx8hf3 },
    &operand_data[20309],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "subvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hf3 },
    &operand_data[20311],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "smaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hf3 },
    &operand_data[20303],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "sminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hf3 },
    &operand_data[20303],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "addvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4sf3 },
    &operand_data[20314],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fmax_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanvnx4sf3 },
    &operand_data[20317],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fmaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx4sf3 },
    &operand_data[20317],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fmin_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanvnx4sf3 },
    &operand_data[20317],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx4sf3 },
    &operand_data[20317],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "mulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4sf3 },
    &operand_data[20320],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "mulxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx4sf3 },
    &operand_data[19741],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "subvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4sf3 },
    &operand_data[20323],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "smaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4sf3 },
    &operand_data[20317],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "sminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4sf3 },
    &operand_data[20317],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "addvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2df3 },
    &operand_data[20326],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fmax_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanvnx2df3 },
    &operand_data[20329],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fmaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx2df3 },
    &operand_data[20329],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fmin_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanvnx2df3 },
    &operand_data[20329],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "fminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx2df3 },
    &operand_data[20329],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "mulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2df3 },
    &operand_data[20332],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "mulxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx2df3 },
    &operand_data[19744],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "subvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2df3 },
    &operand_data[20335],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "smaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2df3 },
    &operand_data[20329],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5303 */
  {
    "sminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2df3 },
    &operand_data[20329],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hf },
    &operand_data[20338],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_famaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_famaxvnx8hf },
    &operand_data[20343],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_faminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_faminvnx8hf },
    &operand_data[20343],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx8hf },
    &operand_data[20343],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fmax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmax_nanvnx8hf },
    &operand_data[20348],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fmaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmaxvnx8hf },
    &operand_data[20348],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fmin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmin_nanvnx8hf },
    &operand_data[20348],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fminvnx8hf },
    &operand_data[20348],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hf },
    &operand_data[20353],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx8hf },
    &operand_data[20343],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hf },
    &operand_data[20358],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hf },
    &operand_data[20348],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hf },
    &operand_data[20348],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4sf },
    &operand_data[20363],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_famaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_famaxvnx4sf },
    &operand_data[20368],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_faminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_faminvnx4sf },
    &operand_data[20368],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4sf },
    &operand_data[20368],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fmax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmax_nanvnx4sf },
    &operand_data[20373],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fmaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmaxvnx4sf },
    &operand_data[20373],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fmin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmin_nanvnx4sf },
    &operand_data[20373],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fminvnx4sf },
    &operand_data[20373],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4sf },
    &operand_data[20378],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx4sf },
    &operand_data[20368],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4sf },
    &operand_data[20383],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4sf },
    &operand_data[20373],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4sf },
    &operand_data[20373],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2df },
    &operand_data[20388],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_famaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_famaxvnx2df },
    &operand_data[20393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_faminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_faminvnx2df },
    &operand_data[20393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2df },
    &operand_data[20393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fmax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmax_nanvnx2df },
    &operand_data[20398],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fmaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmaxvnx2df },
    &operand_data[20398],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fmin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmin_nanvnx2df },
    &operand_data[20398],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_fminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fminvnx2df },
    &operand_data[20398],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2df },
    &operand_data[20403],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx2df },
    &operand_data[20393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2df },
    &operand_data[20408],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2df },
    &operand_data[20398],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5335 */
  {
    "cond_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2df },
    &operand_data[20398],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5802 */
  {
    "cond_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx8hf },
    &operand_data[20343],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5802 */
  {
    "cond_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx8hf },
    &operand_data[20343],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5802 */
  {
    "cond_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx4sf },
    &operand_data[20368],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5802 */
  {
    "cond_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx4sf },
    &operand_data[20368],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5802 */
  {
    "cond_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx2df },
    &operand_data[20393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5802 */
  {
    "cond_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx2df },
    &operand_data[20393],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5818 */
  {
    "cadd90vnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx8hf3 },
    &operand_data[20309],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5818 */
  {
    "cadd270vnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx8hf3 },
    &operand_data[20309],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5818 */
  {
    "cadd90vnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx4sf3 },
    &operand_data[19741],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5818 */
  {
    "cadd270vnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx4sf3 },
    &operand_data[19741],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5818 */
  {
    "cadd90vnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx2df3 },
    &operand_data[19744],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5818 */
  {
    "cadd270vnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx2df3 },
    &operand_data[19744],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6097 */
  {
    "aarch64_pred_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx8hf },
    &operand_data[20413],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6097 */
  {
    "aarch64_pred_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx4sf },
    &operand_data[20418],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6097 */
  {
    "aarch64_pred_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx2df },
    &operand_data[20423],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6155 */
  {
    "aarch64_cond_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx8hf },
    &operand_data[20343],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6155 */
  {
    "aarch64_cond_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx4sf },
    &operand_data[20368],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6155 */
  {
    "aarch64_cond_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx2df },
    &operand_data[20393],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6427 */
  {
    "divvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx8hf3 },
    &operand_data[20428],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6427 */
  {
    "divvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4sf3 },
    &operand_data[20431],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6427 */
  {
    "divvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2df3 },
    &operand_data[20434],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6445 */
  {
    "aarch64_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx8hf },
    &operand_data[19723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6445 */
  {
    "aarch64_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx4sf },
    &operand_data[19725],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6445 */
  {
    "aarch64_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx2df },
    &operand_data[19727],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6453 */
  {
    "aarch64_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx8hf },
    &operand_data[20309],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6453 */
  {
    "aarch64_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx4sf },
    &operand_data[19741],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6453 */
  {
    "aarch64_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx2df },
    &operand_data[19744],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6490 */
  {
    "copysignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx8hf3 },
    &operand_data[20437],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6490 */
  {
    "copysignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx4sf3 },
    &operand_data[20440],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6490 */
  {
    "copysignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx2df3 },
    &operand_data[20443],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6535 */
  {
    "cond_copysignvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_copysignvnx8hf },
    &operand_data[20446],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6535 */
  {
    "cond_copysignvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_copysignvnx4sf },
    &operand_data[20451],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6535 */
  {
    "cond_copysignvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_copysignvnx2df },
    &operand_data[20456],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6586 */
  {
    "xorsignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx8hf3 },
    &operand_data[20309],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6586 */
  {
    "xorsignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx4sf3 },
    &operand_data[19741],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6586 */
  {
    "xorsignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx2df3 },
    &operand_data[19744],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6669 */
  {
    "iorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16bi3 },
    &operand_data[20461],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6669 */
  {
    "xorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16bi3 },
    &operand_data[20461],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6669 */
  {
    "iorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8bi3 },
    &operand_data[20464],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6669 */
  {
    "xorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8bi3 },
    &operand_data[20464],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6669 */
  {
    "iorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4bi3 },
    &operand_data[20467],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6669 */
  {
    "xorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4bi3 },
    &operand_data[20467],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6669 */
  {
    "iorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2bi3 },
    &operand_data[20470],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6669 */
  {
    "xorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2bi3 },
    &operand_data[20470],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx16qi4 },
    &operand_data[20473],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8qi4 },
    &operand_data[20477],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx4qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4qi4 },
    &operand_data[20481],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx2qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2qi4 },
    &operand_data[20485],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hi4 },
    &operand_data[20489],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4hi4 },
    &operand_data[20493],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx2hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2hi4 },
    &operand_data[20497],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4si4 },
    &operand_data[20501],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2si4 },
    &operand_data[20505],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6909 */
  {
    "fmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2di4 },
    &operand_data[20509],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx16qi },
    &operand_data[20513],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8qi },
    &operand_data[20519],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4qi },
    &operand_data[20525],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2qi },
    &operand_data[20531],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hi },
    &operand_data[20537],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4hi },
    &operand_data[20543],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2hi },
    &operand_data[20549],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4si },
    &operand_data[20555],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2si },
    &operand_data[20561],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "cond_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2di },
    &operand_data[20567],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx16qi4 },
    &operand_data[20573],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8qi4 },
    &operand_data[20577],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx4qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4qi4 },
    &operand_data[20581],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx2qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2qi4 },
    &operand_data[20585],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hi4 },
    &operand_data[20589],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4hi4 },
    &operand_data[20593],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx2hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2hi4 },
    &operand_data[20597],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4si4 },
    &operand_data[20601],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2si4 },
    &operand_data[20605],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7051 */
  {
    "fnmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2di4 },
    &operand_data[20609],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx16qi },
    &operand_data[20513],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8qi },
    &operand_data[20519],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4qi },
    &operand_data[20525],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2qi },
    &operand_data[20531],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hi },
    &operand_data[20537],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4hi },
    &operand_data[20543],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2hi },
    &operand_data[20549],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4si },
    &operand_data[20555],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2si },
    &operand_data[20561],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7089 */
  {
    "cond_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2di },
    &operand_data[20567],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7282 */
  {
    "ssadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx16qi },
    &operand_data[20613],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7282 */
  {
    "usadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx16qi },
    &operand_data[20613],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7282 */
  {
    "ssadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx8hi },
    &operand_data[20617],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7282 */
  {
    "usadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx8hi },
    &operand_data[20617],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hf4 },
    &operand_data[20621],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fnmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hf4 },
    &operand_data[20621],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fnmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx8hf4 },
    &operand_data[20621],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx8hf4 },
    &operand_data[20621],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4sf4 },
    &operand_data[20625],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fnmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4sf4 },
    &operand_data[20625],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fnmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx4sf4 },
    &operand_data[20625],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx4sf4 },
    &operand_data[20625],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2df4 },
    &operand_data[20629],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fnmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2df4 },
    &operand_data[20629],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fnmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx2df4 },
    &operand_data[20629],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7337 */
  {
    "fmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx2df4 },
    &operand_data[20629],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hf },
    &operand_data[20633],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hf },
    &operand_data[20633],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx8hf },
    &operand_data[20633],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx8hf },
    &operand_data[20633],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4sf },
    &operand_data[20639],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4sf },
    &operand_data[20639],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx4sf },
    &operand_data[20639],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx4sf },
    &operand_data[20639],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2df },
    &operand_data[20645],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2df },
    &operand_data[20645],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx2df },
    &operand_data[20645],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7371 */
  {
    "cond_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx2df },
    &operand_data[20645],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmlavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx8hf4 },
    &operand_data[20621],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmlsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx8hf4 },
    &operand_data[20621],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmla_conjvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx8hf4 },
    &operand_data[20621],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmls_conjvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx8hf4 },
    &operand_data[20621],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmlavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx4sf4 },
    &operand_data[20625],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmlsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx4sf4 },
    &operand_data[20625],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmla_conjvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx4sf4 },
    &operand_data[20625],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmls_conjvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx4sf4 },
    &operand_data[20625],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmlavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx2df4 },
    &operand_data[20629],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmlsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx2df4 },
    &operand_data[20629],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmla_conjvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx2df4 },
    &operand_data[20629],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7612 */
  {
    "cmls_conjvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx2df4 },
    &operand_data[20629],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7641 */
  {
    "cmulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx8hf3 },
    &operand_data[20309],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7641 */
  {
    "cmul_conjvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx8hf3 },
    &operand_data[20309],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7641 */
  {
    "cmulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx4sf3 },
    &operand_data[19741],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7641 */
  {
    "cmul_conjvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx4sf3 },
    &operand_data[19741],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7641 */
  {
    "cmulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx2df3 },
    &operand_data[19744],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7641 */
  {
    "cmul_conjvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx2df3 },
    &operand_data[19744],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx8hf },
    &operand_data[20633],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx8hf },
    &operand_data[20633],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx8hf },
    &operand_data[20633],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx8hf },
    &operand_data[20633],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx4sf },
    &operand_data[20639],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx4sf },
    &operand_data[20639],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx4sf },
    &operand_data[20639],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx4sf },
    &operand_data[20639],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx2df },
    &operand_data[20645],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx2df },
    &operand_data[20645],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx2df },
    &operand_data[20645],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7665 */
  {
    "cond_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx2df },
    &operand_data[20645],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16qivnx16bi },
    &operand_data[20651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8qivnx8bi },
    &operand_data[20655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4qivnx4bi },
    &operand_data[20659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2qivnx2bi },
    &operand_data[20663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hivnx8bi },
    &operand_data[20667],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4hivnx4bi },
    &operand_data[20671],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2hivnx2bi },
    &operand_data[20675],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sivnx4bi },
    &operand_data[20679],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2sivnx2bi },
    &operand_data[20683],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2divnx2bi },
    &operand_data[20687],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hfvnx8bi },
    &operand_data[20691],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4hfvnx4bi },
    &operand_data[20695],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2hfvnx2bi },
    &operand_data[20699],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bfvnx8bi },
    &operand_data[20703],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4bfvnx4bi },
    &operand_data[20707],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2bfvnx2bi },
    &operand_data[20711],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sfvnx4bi },
    &operand_data[20715],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2sfvnx2bi },
    &operand_data[20719],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7915 */
  {
    "vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2dfvnx2bi },
    &operand_data[20723],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx16qi },
    &operand_data[20727],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx16qi },
    &operand_data[20733],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx16qi },
    &operand_data[20739],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx16qi },
    &operand_data[20745],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx16qi },
    &operand_data[20751],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx16qi },
    &operand_data[20757],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx16qi },
    &operand_data[20763],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx16qi },
    &operand_data[20769],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx16qi },
    &operand_data[20775],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx16qi },
    &operand_data[20781],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx16qi },
    &operand_data[20787],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx16qi },
    &operand_data[20793],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx16qi },
    &operand_data[20799],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx16qi },
    &operand_data[20805],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx16qi },
    &operand_data[20811],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx16qi },
    &operand_data[20817],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx16qi },
    &operand_data[20823],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx16qi },
    &operand_data[20829],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx16qi },
    &operand_data[20835],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx8qi },
    &operand_data[20839],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx8qi },
    &operand_data[20843],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx8qi },
    &operand_data[20849],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx8qi },
    &operand_data[20855],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8qi },
    &operand_data[20861],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx8qi },
    &operand_data[20867],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx8qi },
    &operand_data[20873],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx8qi },
    &operand_data[20879],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx8qi },
    &operand_data[20885],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx8qi },
    &operand_data[20891],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8qi },
    &operand_data[20897],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx8qi },
    &operand_data[20903],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx8qi },
    &operand_data[20909],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8qi },
    &operand_data[20915],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx8qi },
    &operand_data[20921],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx8qi },
    &operand_data[20927],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx8qi },
    &operand_data[20933],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx8qi },
    &operand_data[20939],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx8qi },
    &operand_data[20945],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx4qi },
    &operand_data[20951],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx4qi },
    &operand_data[20957],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx4qi },
    &operand_data[20961],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx4qi },
    &operand_data[20967],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx4qi },
    &operand_data[20973],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx4qi },
    &operand_data[20979],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx4qi },
    &operand_data[20985],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4qi },
    &operand_data[20991],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx4qi },
    &operand_data[20997],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx4qi },
    &operand_data[21003],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx4qi },
    &operand_data[21009],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx4qi },
    &operand_data[21015],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx4qi },
    &operand_data[21021],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx4qi },
    &operand_data[21027],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx4qi },
    &operand_data[21033],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx4qi },
    &operand_data[21039],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4qi },
    &operand_data[21045],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx4qi },
    &operand_data[21051],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx4qi },
    &operand_data[21057],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx2qi },
    &operand_data[21063],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx2qi },
    &operand_data[21069],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx2qi },
    &operand_data[21075],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2qi },
    &operand_data[21079],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx2qi },
    &operand_data[21085],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx2qi },
    &operand_data[21091],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2qi },
    &operand_data[21097],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx2qi },
    &operand_data[21103],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2qi },
    &operand_data[21109],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2qi },
    &operand_data[21115],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx2qi },
    &operand_data[21121],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx2qi },
    &operand_data[21127],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2qi },
    &operand_data[21133],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx2qi },
    &operand_data[21139],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx2qi },
    &operand_data[21145],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2qi },
    &operand_data[21151],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx2qi },
    &operand_data[21157],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2qi },
    &operand_data[21163],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2qi },
    &operand_data[21169],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx8hi },
    &operand_data[21175],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx8hi },
    &operand_data[21181],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx8hi },
    &operand_data[21187],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx8hi },
    &operand_data[21193],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8hi },
    &operand_data[21197],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx8hi },
    &operand_data[21203],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx8hi },
    &operand_data[21209],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx8hi },
    &operand_data[21215],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx8hi },
    &operand_data[21221],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx8hi },
    &operand_data[21227],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8hi },
    &operand_data[21233],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx8hi },
    &operand_data[21239],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx8hi },
    &operand_data[21245],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8hi },
    &operand_data[21251],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx8hi },
    &operand_data[21257],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx8hi },
    &operand_data[21263],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx8hi },
    &operand_data[21269],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx8hi },
    &operand_data[21275],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx8hi },
    &operand_data[21281],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx4hi },
    &operand_data[21287],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx4hi },
    &operand_data[21293],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx4hi },
    &operand_data[21299],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx4hi },
    &operand_data[21305],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx4hi },
    &operand_data[21311],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx4hi },
    &operand_data[21315],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx4hi },
    &operand_data[21321],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4hi },
    &operand_data[21327],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx4hi },
    &operand_data[21333],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx4hi },
    &operand_data[21339],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx4hi },
    &operand_data[21345],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx4hi },
    &operand_data[21351],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx4hi },
    &operand_data[21357],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx4hi },
    &operand_data[21363],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx4hi },
    &operand_data[21369],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx4hi },
    &operand_data[21375],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4hi },
    &operand_data[21381],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx4hi },
    &operand_data[21387],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx4hi },
    &operand_data[21393],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx2hi },
    &operand_data[21399],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx2hi },
    &operand_data[21405],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx2hi },
    &operand_data[21411],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2hi },
    &operand_data[21417],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx2hi },
    &operand_data[21423],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx2hi },
    &operand_data[21429],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2hi },
    &operand_data[21433],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx2hi },
    &operand_data[21439],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2hi },
    &operand_data[21445],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2hi },
    &operand_data[21451],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx2hi },
    &operand_data[21457],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx2hi },
    &operand_data[21463],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2hi },
    &operand_data[21469],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx2hi },
    &operand_data[21475],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx2hi },
    &operand_data[21481],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2hi },
    &operand_data[21487],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx2hi },
    &operand_data[21493],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2hi },
    &operand_data[21499],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2hi },
    &operand_data[21505],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx4si },
    &operand_data[21511],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx4si },
    &operand_data[21517],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx4si },
    &operand_data[21523],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx4si },
    &operand_data[21529],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx4si },
    &operand_data[21535],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx4si },
    &operand_data[21541],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx4si },
    &operand_data[21547],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4si },
    &operand_data[21551],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx4si },
    &operand_data[21557],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx4si },
    &operand_data[21563],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx4si },
    &operand_data[21569],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx4si },
    &operand_data[21575],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx4si },
    &operand_data[21581],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx4si },
    &operand_data[21587],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx4si },
    &operand_data[21593],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx4si },
    &operand_data[21599],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4si },
    &operand_data[21605],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx4si },
    &operand_data[21611],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx4si },
    &operand_data[21617],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx2si },
    &operand_data[21623],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx2si },
    &operand_data[21629],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx2si },
    &operand_data[21635],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2si },
    &operand_data[21641],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx2si },
    &operand_data[21647],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx2si },
    &operand_data[21653],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2si },
    &operand_data[21659],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx2si },
    &operand_data[21665],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2si },
    &operand_data[21669],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2si },
    &operand_data[21675],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx2si },
    &operand_data[21681],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx2si },
    &operand_data[21687],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2si },
    &operand_data[21693],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx2si },
    &operand_data[21699],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx2si },
    &operand_data[21705],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2si },
    &operand_data[21711],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx2si },
    &operand_data[21717],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2si },
    &operand_data[21723],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2si },
    &operand_data[21729],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx16qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx2di },
    &operand_data[21735],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx2di },
    &operand_data[21741],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx2di },
    &operand_data[21747],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2di },
    &operand_data[21753],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx2di },
    &operand_data[21759],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx2di },
    &operand_data[21765],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2di },
    &operand_data[21771],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx2di },
    &operand_data[21777],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2di },
    &operand_data[21783],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2di },
    &operand_data[21787],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx2di },
    &operand_data[21793],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx2di },
    &operand_data[21799],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2di },
    &operand_data[21805],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx8bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx2di },
    &operand_data[21811],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx2di },
    &operand_data[21817],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2di },
    &operand_data[21823],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx2di },
    &operand_data[21829],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2di },
    &operand_data[21835],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "vcondvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2di },
    &operand_data[21841],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx16qi },
    &operand_data[20727],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx16qi },
    &operand_data[20733],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx16qi },
    &operand_data[20739],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx16qi },
    &operand_data[20745],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx16qi },
    &operand_data[20751],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx16qi },
    &operand_data[20757],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx16qi },
    &operand_data[20763],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx16qi },
    &operand_data[20769],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx16qi },
    &operand_data[20775],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx16qi },
    &operand_data[20781],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx16qi },
    &operand_data[20787],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx16qi },
    &operand_data[20793],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx16qi },
    &operand_data[20799],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx16qi },
    &operand_data[20805],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx16qi },
    &operand_data[20811],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx16qi },
    &operand_data[20817],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx16qi },
    &operand_data[20823],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx16qi },
    &operand_data[20829],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx16qi },
    &operand_data[20835],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx8qi },
    &operand_data[20839],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx8qi },
    &operand_data[20843],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx8qi },
    &operand_data[20849],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx8qi },
    &operand_data[20855],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx8qi },
    &operand_data[20861],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx8qi },
    &operand_data[20867],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx8qi },
    &operand_data[20873],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx8qi },
    &operand_data[20879],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx8qi },
    &operand_data[20885],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx8qi },
    &operand_data[20891],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx8qi },
    &operand_data[20897],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx8qi },
    &operand_data[20903],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx8qi },
    &operand_data[20909],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx8qi },
    &operand_data[20915],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx8qi },
    &operand_data[20921],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx8qi },
    &operand_data[20927],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx8qi },
    &operand_data[20933],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx8qi },
    &operand_data[20939],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx8qi },
    &operand_data[20945],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx4qi },
    &operand_data[20951],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx4qi },
    &operand_data[20957],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx4qi },
    &operand_data[20961],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx4qi },
    &operand_data[20967],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx4qi },
    &operand_data[20973],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx4qi },
    &operand_data[20979],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx4qi },
    &operand_data[20985],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4qi },
    &operand_data[20991],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx4qi },
    &operand_data[20997],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx4qi },
    &operand_data[21003],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx4qi },
    &operand_data[21009],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx4qi },
    &operand_data[21015],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx4qi },
    &operand_data[21021],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx4qi },
    &operand_data[21027],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx4qi },
    &operand_data[21033],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx4qi },
    &operand_data[21039],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4qi },
    &operand_data[21045],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx4qi },
    &operand_data[21051],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx4qi },
    &operand_data[21057],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx2qi },
    &operand_data[21063],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx2qi },
    &operand_data[21069],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx2qi },
    &operand_data[21075],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2qi },
    &operand_data[21079],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx2qi },
    &operand_data[21085],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx2qi },
    &operand_data[21091],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2qi },
    &operand_data[21097],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx2qi },
    &operand_data[21103],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2qi },
    &operand_data[21109],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2qi },
    &operand_data[21115],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx2qi },
    &operand_data[21121],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx2qi },
    &operand_data[21127],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2qi },
    &operand_data[21133],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx2qi },
    &operand_data[21139],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx2qi },
    &operand_data[21145],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2qi },
    &operand_data[21151],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx2qi },
    &operand_data[21157],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2qi },
    &operand_data[21163],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2qi },
    &operand_data[21169],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx8hi },
    &operand_data[21175],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx8hi },
    &operand_data[21181],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx8hi },
    &operand_data[21187],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx8hi },
    &operand_data[21193],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx8hi },
    &operand_data[21197],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx8hi },
    &operand_data[21203],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx8hi },
    &operand_data[21209],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx8hi },
    &operand_data[21215],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx8hi },
    &operand_data[21221],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx8hi },
    &operand_data[21227],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx8hi },
    &operand_data[21233],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx8hi },
    &operand_data[21239],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx8hi },
    &operand_data[21245],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx8hi },
    &operand_data[21251],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx8hi },
    &operand_data[21257],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx8hi },
    &operand_data[21263],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx8hi },
    &operand_data[21269],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx8hi },
    &operand_data[21275],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx8hi },
    &operand_data[21281],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx4hi },
    &operand_data[21287],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx4hi },
    &operand_data[21293],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx4hi },
    &operand_data[21299],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx4hi },
    &operand_data[21305],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx4hi },
    &operand_data[21311],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx4hi },
    &operand_data[21315],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx4hi },
    &operand_data[21321],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4hi },
    &operand_data[21327],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx4hi },
    &operand_data[21333],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx4hi },
    &operand_data[21339],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx4hi },
    &operand_data[21345],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx4hi },
    &operand_data[21351],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx4hi },
    &operand_data[21357],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx4hi },
    &operand_data[21363],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx4hi },
    &operand_data[21369],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx4hi },
    &operand_data[21375],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4hi },
    &operand_data[21381],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx4hi },
    &operand_data[21387],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx4hi },
    &operand_data[21393],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx2hi },
    &operand_data[21399],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx2hi },
    &operand_data[21405],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx2hi },
    &operand_data[21411],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2hi },
    &operand_data[21417],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx2hi },
    &operand_data[21423],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx2hi },
    &operand_data[21429],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2hi },
    &operand_data[21433],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx2hi },
    &operand_data[21439],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2hi },
    &operand_data[21445],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2hi },
    &operand_data[21451],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx2hi },
    &operand_data[21457],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx2hi },
    &operand_data[21463],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2hi },
    &operand_data[21469],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx2hi },
    &operand_data[21475],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx2hi },
    &operand_data[21481],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2hi },
    &operand_data[21487],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx2hi },
    &operand_data[21493],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2hi },
    &operand_data[21499],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2hi },
    &operand_data[21505],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx4si },
    &operand_data[21511],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx4si },
    &operand_data[21517],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx4si },
    &operand_data[21523],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx4si },
    &operand_data[21529],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx4si },
    &operand_data[21535],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx4si },
    &operand_data[21541],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx4si },
    &operand_data[21547],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4si },
    &operand_data[21551],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx4si },
    &operand_data[21557],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx4si },
    &operand_data[21563],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx4si },
    &operand_data[21569],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx4si },
    &operand_data[21575],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx4si },
    &operand_data[21581],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx4si },
    &operand_data[21587],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx4si },
    &operand_data[21593],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx4si },
    &operand_data[21599],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4si },
    &operand_data[21605],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx4si },
    &operand_data[21611],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx4si },
    &operand_data[21617],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx2si },
    &operand_data[21623],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx2si },
    &operand_data[21629],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx2si },
    &operand_data[21635],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2si },
    &operand_data[21641],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx2si },
    &operand_data[21647],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx2si },
    &operand_data[21653],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2si },
    &operand_data[21659],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx2si },
    &operand_data[21665],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2si },
    &operand_data[21669],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2si },
    &operand_data[21675],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx2si },
    &operand_data[21681],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx2si },
    &operand_data[21687],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2si },
    &operand_data[21693],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx2si },
    &operand_data[21699],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx2si },
    &operand_data[21705],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2si },
    &operand_data[21711],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx2si },
    &operand_data[21717],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2si },
    &operand_data[21723],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2si },
    &operand_data[21729],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx16qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx2di },
    &operand_data[21735],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx2di },
    &operand_data[21741],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx2di },
    &operand_data[21747],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2di },
    &operand_data[21753],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx2di },
    &operand_data[21759],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx2di },
    &operand_data[21765],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2di },
    &operand_data[21771],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx2di },
    &operand_data[21777],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2di },
    &operand_data[21783],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2di },
    &operand_data[21787],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx2di },
    &operand_data[21793],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx2di },
    &operand_data[21799],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2di },
    &operand_data[21805],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx8bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx2di },
    &operand_data[21811],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx2di },
    &operand_data[21817],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2di },
    &operand_data[21823],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx2di },
    &operand_data[21829],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2di },
    &operand_data[21835],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8015 */
  {
    "vconduvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2di },
    &operand_data[21841],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "vcondvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8hf },
    &operand_data[21847],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "vcondvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4sf },
    &operand_data[21853],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "vcondvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2df },
    &operand_data[21859],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "vcondvnx8bfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8hf },
    &operand_data[21865],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "vcondvnx8hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8hf },
    &operand_data[21871],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "vcondvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4sf },
    &operand_data[21877],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "vcondvnx2dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2df },
    &operand_data[21883],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx16qivnx16bi },
    &operand_data[21889],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8qivnx8bi },
    &operand_data[21893],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4qivnx4bi },
    &operand_data[21897],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2qivnx2bi },
    &operand_data[21901],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hivnx8bi },
    &operand_data[21905],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4hivnx4bi },
    &operand_data[21909],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2hivnx2bi },
    &operand_data[21913],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sivnx4bi },
    &operand_data[21917],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2sivnx2bi },
    &operand_data[21921],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "vec_cmpvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2divnx2bi },
    &operand_data[21925],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx16qivnx16bi },
    &operand_data[21889],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8qivnx8bi },
    &operand_data[21893],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4qivnx4bi },
    &operand_data[21897],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2qivnx2bi },
    &operand_data[21901],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8hivnx8bi },
    &operand_data[21905],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4hivnx4bi },
    &operand_data[21909],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2hivnx2bi },
    &operand_data[21913],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4sivnx4bi },
    &operand_data[21917],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2sivnx2bi },
    &operand_data[21921],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8084 */
  {
    "vec_cmpuvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2divnx2bi },
    &operand_data[21925],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8440 */
  {
    "vec_cmpvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hfvnx8bi },
    &operand_data[21929],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8440 */
  {
    "vec_cmpvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sfvnx4bi },
    &operand_data[21933],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8440 */
  {
    "vec_cmpvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2dfvnx2bi },
    &operand_data[21937],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_facgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx8hf },
    &operand_data[21941],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_facgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx8hf },
    &operand_data[21941],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_faclevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx8hf },
    &operand_data[21941],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_facltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx8hf },
    &operand_data[21941],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_facgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx4sf },
    &operand_data[21946],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_facgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx4sf },
    &operand_data[21946],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_faclevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx4sf },
    &operand_data[21946],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_facltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx4sf },
    &operand_data[21946],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_facgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx2df },
    &operand_data[21951],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_facgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx2df },
    &operand_data[21951],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_faclevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx2df },
    &operand_data[21951],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "aarch64_pred_facltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx2df },
    &operand_data[21951],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8793 */
  {
    "cbranchvnx16bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx16bi4 },
    &operand_data[21956],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8793 */
  {
    "cbranchvnx8bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx8bi4 },
    &operand_data[21960],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8793 */
  {
    "cbranchvnx4bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx4bi4 },
    &operand_data[21964],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8793 */
  {
    "cbranchvnx2bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx2bi4 },
    &operand_data[21968],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8891 */
  {
    "reduc_plus_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx16qi },
    &operand_data[19571],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8891 */
  {
    "reduc_plus_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hi },
    &operand_data[19574],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8891 */
  {
    "reduc_plus_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4si },
    &operand_data[19577],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8891 */
  {
    "reduc_plus_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2di },
    &operand_data[19580],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_and_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx16qi },
    &operand_data[19571],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_ior_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx16qi },
    &operand_data[19571],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_smax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx16qi },
    &operand_data[19571],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_smin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx16qi },
    &operand_data[19571],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_umax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx16qi },
    &operand_data[19571],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_umin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx16qi },
    &operand_data[19571],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_xor_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx16qi },
    &operand_data[19571],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_and_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx8hi },
    &operand_data[19574],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_ior_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx8hi },
    &operand_data[19574],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_smax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hi },
    &operand_data[19574],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_smin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hi },
    &operand_data[19574],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_umax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx8hi },
    &operand_data[19574],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_umin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx8hi },
    &operand_data[19574],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_xor_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx8hi },
    &operand_data[19574],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_and_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx4si },
    &operand_data[19577],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_ior_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx4si },
    &operand_data[19577],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_smax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4si },
    &operand_data[19577],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_smin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4si },
    &operand_data[19577],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_umax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx4si },
    &operand_data[19577],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_umin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx4si },
    &operand_data[19577],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_xor_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx4si },
    &operand_data[19577],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_and_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx2di },
    &operand_data[19580],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_ior_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx2di },
    &operand_data[19580],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_smax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2di },
    &operand_data[19580],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_smin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2di },
    &operand_data[19580],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_umax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx2di },
    &operand_data[19580],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_umin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx2di },
    &operand_data[19580],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "reduc_xor_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx2di },
    &operand_data[19580],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_plus_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hf },
    &operand_data[19586],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smax_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx8hf },
    &operand_data[19586],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smax_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hf },
    &operand_data[19586],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smin_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx8hf },
    &operand_data[19586],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smin_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hf },
    &operand_data[19586],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_plus_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4sf },
    &operand_data[19589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smax_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx4sf },
    &operand_data[19589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smax_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4sf },
    &operand_data[19589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smin_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx4sf },
    &operand_data[19589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smin_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4sf },
    &operand_data[19589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_plus_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2df },
    &operand_data[19592],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smax_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx2df },
    &operand_data[19592],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smax_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2df },
    &operand_data[19592],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smin_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx2df },
    &operand_data[19592],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8949 */
  {
    "reduc_smin_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2df },
    &operand_data[19592],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8960 */
  {
    "reduc_fmax_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_vnx8hf },
    &operand_data[19586],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8960 */
  {
    "reduc_fmin_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_vnx8hf },
    &operand_data[19586],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8960 */
  {
    "reduc_fmax_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_vnx4sf },
    &operand_data[19589],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8960 */
  {
    "reduc_fmin_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_vnx4sf },
    &operand_data[19589],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8960 */
  {
    "reduc_fmax_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_vnx2df },
    &operand_data[19592],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8960 */
  {
    "reduc_fmin_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_vnx2df },
    &operand_data[19592],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8989 */
  {
    "fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx8hf },
    &operand_data[21972],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8989 */
  {
    "fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx4sf },
    &operand_data[21975],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8989 */
  {
    "fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx2df },
    &operand_data[21978],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9023 */
  {
    "vec_permvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx16qi },
    &operand_data[21981],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9023 */
  {
    "vec_permvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hi },
    &operand_data[21985],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9023 */
  {
    "vec_permvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4si },
    &operand_data[21989],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9023 */
  {
    "vec_permvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2di },
    &operand_data[21993],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9023 */
  {
    "vec_permvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8bf },
    &operand_data[21997],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9023 */
  {
    "vec_permvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hf },
    &operand_data[22001],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9023 */
  {
    "vec_permvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4sf },
    &operand_data[22005],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9023 */
  {
    "vec_permvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2df },
    &operand_data[22009],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacks_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16qi },
    &operand_data[22013],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacku_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16qi },
    &operand_data[22013],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacks_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16qi },
    &operand_data[22013],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacku_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16qi },
    &operand_data[22013],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacks_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hi },
    &operand_data[22015],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacku_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8hi },
    &operand_data[22015],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacks_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hi },
    &operand_data[22015],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacku_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8hi },
    &operand_data[22015],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacks_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4si },
    &operand_data[20612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacku_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4si },
    &operand_data[20612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacks_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4si },
    &operand_data[20612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9283 */
  {
    "vec_unpacku_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4si },
    &operand_data[20612],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9316 */
  {
    "fix_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx8hfvnx8hi2 },
    &operand_data[22016],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9316 */
  {
    "fixuns_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx8hfvnx8hi2 },
    &operand_data[22016],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9316 */
  {
    "fix_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx4sfvnx4si2 },
    &operand_data[22018],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9316 */
  {
    "fixuns_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx4sfvnx4si2 },
    &operand_data[22018],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9316 */
  {
    "fix_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx2dfvnx2di2 },
    &operand_data[22020],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9316 */
  {
    "fixuns_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx2dfvnx2di2 },
    &operand_data[22020],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[22022],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[22022],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx8hi },
    &operand_data[22026],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx8hi },
    &operand_data[22026],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fix_trunc_nontruncvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx2dfvnx8hi },
    &operand_data[22030],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fixuns_trunc_nontruncvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx2dfvnx8hi },
    &operand_data[22030],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[22034],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[22034],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[22038],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[22038],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fix_trunc_nontruncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx2dfvnx4si },
    &operand_data[22042],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fixuns_trunc_nontruncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx2dfvnx4si },
    &operand_data[22042],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[22046],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[22046],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[22050],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[22050],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[22054],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9361 */
  {
    "cond_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[22054],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9423 */
  {
    "cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[22058],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9423 */
  {
    "cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[22058],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9463 */
  {
    "vec_pack_sfix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_sfix_trunc_vnx2df },
    &operand_data[22062],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9463 */
  {
    "vec_pack_ufix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_ufix_trunc_vnx2df },
    &operand_data[22062],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9502 */
  {
    "floatvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx8hivnx8hf2 },
    &operand_data[20287],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9502 */
  {
    "floatunsvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx8hivnx8hf2 },
    &operand_data[20287],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9502 */
  {
    "floatvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx4sivnx4sf2 },
    &operand_data[20292],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9502 */
  {
    "floatunsvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx4sivnx4sf2 },
    &operand_data[20292],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9502 */
  {
    "floatvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx2divnx2df2 },
    &operand_data[20297],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9502 */
  {
    "floatunsvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx2divnx2df2 },
    &operand_data[20297],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx8hivnx8hf },
    &operand_data[22065],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[22065],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_float_nonextendvnx8hivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx8hivnx4sf },
    &operand_data[22069],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_floatuns_nonextendvnx8hivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx8hivnx4sf },
    &operand_data[22069],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_float_nonextendvnx8hivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx8hivnx2df },
    &operand_data[22073],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_floatuns_nonextendvnx8hivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx8hivnx2df },
    &operand_data[22073],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx8hf },
    &operand_data[22077],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[22077],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx4sf },
    &operand_data[22081],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[22081],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_float_nonextendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx2df },
    &operand_data[22085],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_floatuns_nonextendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx2df },
    &operand_data[22085],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx8hf },
    &operand_data[22089],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx8hf },
    &operand_data[22089],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx4sf },
    &operand_data[22093],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx4sf },
    &operand_data[22093],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx2df },
    &operand_data[22097],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "cond_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx2df },
    &operand_data[22097],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9610 */
  {
    "cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_extendvnx4sivnx2df },
    &operand_data[22101],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9610 */
  {
    "cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_extendvnx4sivnx2df },
    &operand_data[22101],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "vec_unpacks_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_lo_vnx4si },
    &operand_data[22105],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "vec_unpacks_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_hi_vnx4si },
    &operand_data[22105],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "vec_unpacku_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_lo_vnx4si },
    &operand_data[22105],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "vec_unpacku_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_hi_vnx4si },
    &operand_data[22105],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9691 */
  {
    "vec_pack_trunc_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4sf },
    &operand_data[19724],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9691 */
  {
    "vec_pack_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2df },
    &operand_data[19726],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9730 */
  {
    "cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8hf },
    &operand_data[22107],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9730 */
  {
    "cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx8hf },
    &operand_data[22111],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9730 */
  {
    "cond_fcvt_truncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9730 */
  {
    "cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx4sf },
    &operand_data[22115],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9787 */
  {
    "cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8bf },
    &operand_data[22119],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9847 */
  {
    "vec_unpacks_lo_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hf },
    &operand_data[22123],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9847 */
  {
    "vec_unpacks_hi_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hf },
    &operand_data[22123],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9847 */
  {
    "vec_unpacks_lo_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4sf },
    &operand_data[22125],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9847 */
  {
    "vec_unpacks_hi_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4sf },
    &operand_data[22125],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9887 */
  {
    "cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[22126],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9887 */
  {
    "cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[22130],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9887 */
  {
    "cond_fcvt_nontruncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx4sfvnx4sf },
    &operand_data[19733],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9887 */
  {
    "cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[22134],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacks_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16bi },
    &operand_data[22138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacku_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16bi },
    &operand_data[22138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacks_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16bi },
    &operand_data[22138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacku_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16bi },
    &operand_data[22138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacks_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8bi },
    &operand_data[22140],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacku_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8bi },
    &operand_data[22140],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacks_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8bi },
    &operand_data[22140],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacku_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8bi },
    &operand_data[22140],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacks_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4bi },
    &operand_data[22142],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacku_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4bi },
    &operand_data[22142],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacks_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4bi },
    &operand_data[22142],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9950 */
  {
    "vec_unpacku_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4bi },
    &operand_data[22142],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10411 */
  {
    "aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_pat },
    &operand_data[22144],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10411 */
  {
    "aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_pat },
    &operand_data[22144],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10411 */
  {
    "aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_pat },
    &operand_data[22144],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10561 */
  {
    "aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_pat },
    &operand_data[22144],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10561 */
  {
    "aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_pat },
    &operand_data[22144],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10561 */
  {
    "aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_pat },
    &operand_data[22144],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx16bi_cntp },
    &operand_data[22149],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx16bi_cntp },
    &operand_data[22149],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx16bi_cntp },
    &operand_data[22149],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx8bi_cntp },
    &operand_data[22152],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx8bi_cntp },
    &operand_data[22152],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx8bi_cntp },
    &operand_data[22152],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx4bi_cntp },
    &operand_data[22155],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx4bi_cntp },
    &operand_data[22155],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx4bi_cntp },
    &operand_data[22155],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx2bi_cntp },
    &operand_data[22158],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx2bi_cntp },
    &operand_data[22158],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10624 */
  {
    "aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx2bi_cntp },
    &operand_data[22158],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10679 */
  {
    "aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx16bi_cntp },
    &operand_data[22161],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10679 */
  {
    "aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx16bi_cntp },
    &operand_data[22161],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10679 */
  {
    "aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx8bi_cntp },
    &operand_data[22164],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10679 */
  {
    "aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx8bi_cntp },
    &operand_data[22164],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10679 */
  {
    "aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx4bi_cntp },
    &operand_data[22167],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10679 */
  {
    "aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx4bi_cntp },
    &operand_data[22167],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10679 */
  {
    "aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx2bi_cntp },
    &operand_data[22170],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10679 */
  {
    "aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx2bi_cntp },
    &operand_data[22170],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10727 */
  {
    "aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_cntp },
    &operand_data[22173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10727 */
  {
    "aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_cntp },
    &operand_data[22173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10727 */
  {
    "aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_cntp },
    &operand_data[22173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10768 */
  {
    "aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_cntp },
    &operand_data[22176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10768 */
  {
    "aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_cntp },
    &operand_data[22176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10768 */
  {
    "aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_cntp },
    &operand_data[22176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10807 */
  {
    "aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_cntp },
    &operand_data[22179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10807 */
  {
    "aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_cntp },
    &operand_data[22179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10807 */
  {
    "aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_cntp },
    &operand_data[22179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx16bi_cntp },
    &operand_data[22149],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx16bi_cntp },
    &operand_data[22149],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx16bi_cntp },
    &operand_data[22149],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx8bi_cntp },
    &operand_data[22152],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx8bi_cntp },
    &operand_data[22152],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx8bi_cntp },
    &operand_data[22152],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx4bi_cntp },
    &operand_data[22155],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx4bi_cntp },
    &operand_data[22155],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx4bi_cntp },
    &operand_data[22155],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx2bi_cntp },
    &operand_data[22158],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx2bi_cntp },
    &operand_data[22158],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10857 */
  {
    "aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx2bi_cntp },
    &operand_data[22158],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10912 */
  {
    "aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx16bi_cntp },
    &operand_data[22161],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10912 */
  {
    "aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx16bi_cntp },
    &operand_data[22161],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10912 */
  {
    "aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx8bi_cntp },
    &operand_data[22164],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10912 */
  {
    "aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx8bi_cntp },
    &operand_data[22164],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10912 */
  {
    "aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx4bi_cntp },
    &operand_data[22167],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10912 */
  {
    "aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx4bi_cntp },
    &operand_data[22167],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10912 */
  {
    "aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx2bi_cntp },
    &operand_data[22170],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10912 */
  {
    "aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx2bi_cntp },
    &operand_data[22170],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10960 */
  {
    "aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_cntp },
    &operand_data[22173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10960 */
  {
    "aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_cntp },
    &operand_data[22173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10960 */
  {
    "aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_cntp },
    &operand_data[22173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11001 */
  {
    "aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_cntp },
    &operand_data[22176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11001 */
  {
    "aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_cntp },
    &operand_data[22176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11001 */
  {
    "aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_cntp },
    &operand_data[22176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11040 */
  {
    "aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_cntp },
    &operand_data[22179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11040 */
  {
    "aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_cntp },
    &operand_data[22179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11040 */
  {
    "aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_cntp },
    &operand_data[22179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "smaxvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx32qi3 },
    &operand_data[22182],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "sminvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx32qi3 },
    &operand_data[22182],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "umaxvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx32qi3 },
    &operand_data[22182],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "uminvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx32qi3 },
    &operand_data[22182],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "smaxvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16hi3 },
    &operand_data[22185],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "sminvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16hi3 },
    &operand_data[22185],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "umaxvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16hi3 },
    &operand_data[22185],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "uminvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16hi3 },
    &operand_data[22185],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "smaxvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8si3 },
    &operand_data[22188],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "sminvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8si3 },
    &operand_data[22188],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "umaxvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8si3 },
    &operand_data[22188],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "uminvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8si3 },
    &operand_data[22188],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "smaxvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4di3 },
    &operand_data[22191],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "sminvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4di3 },
    &operand_data[22191],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "umaxvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4di3 },
    &operand_data[22191],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "uminvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4di3 },
    &operand_data[22191],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "smaxvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx64qi3 },
    &operand_data[22194],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "sminvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx64qi3 },
    &operand_data[22194],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "umaxvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx64qi3 },
    &operand_data[22194],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "uminvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx64qi3 },
    &operand_data[22194],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "smaxvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx32hi3 },
    &operand_data[22197],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "sminvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx32hi3 },
    &operand_data[22197],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "umaxvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx32hi3 },
    &operand_data[22197],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "uminvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx32hi3 },
    &operand_data[22197],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "smaxvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16si3 },
    &operand_data[22200],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "sminvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16si3 },
    &operand_data[22200],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "umaxvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16si3 },
    &operand_data[22200],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "uminvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16si3 },
    &operand_data[22200],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "smaxvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8di3 },
    &operand_data[22203],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "sminvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8di3 },
    &operand_data[22203],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "umaxvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8di3 },
    &operand_data[22203],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "uminvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8di3 },
    &operand_data[22203],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "smulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx16qi3 },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "umulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx16qi3 },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "smulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx16qi3 },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "umulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx16qi3 },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "smulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx8hi3 },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "umulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx8hi3 },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "smulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx8hi3 },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "umulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx8hi3 },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "smulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx4si3 },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "umulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx4si3 },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "smulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx4si3 },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:651 */
  {
    "umulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx4si3 },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:705 */
  {
    "avgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_floor },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:705 */
  {
    "uavgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_floor },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:705 */
  {
    "avgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_floor },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:705 */
  {
    "uavgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_floor },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:705 */
  {
    "avgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_floor },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:705 */
  {
    "uavgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_floor },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:705 */
  {
    "avgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_floor },
    &operand_data[20022],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:705 */
  {
    "uavgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_floor },
    &operand_data[20022],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "avgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_ceil },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "uavgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_ceil },
    &operand_data[20026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "avgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_ceil },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "uavgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_ceil },
    &operand_data[20038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "avgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_ceil },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "uavgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_ceil },
    &operand_data[20018],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "avgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_ceil },
    &operand_data[20022],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "uavgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_ceil },
    &operand_data[20022],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_suqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_usqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx16qi },
    &operand_data[19818],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_suqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_usqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx8hi },
    &operand_data[19898],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_suqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_usqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx4si },
    &operand_data[19958],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_suqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:784 */
  {
    "cond_usqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx2di },
    &operand_data[19998],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:986 */
  {
    "cond_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx16qi },
    &operand_data[22206],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:986 */
  {
    "cond_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx16qi },
    &operand_data[22206],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:986 */
  {
    "cond_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx8hi },
    &operand_data[22211],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:986 */
  {
    "cond_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx8hi },
    &operand_data[22211],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:986 */
  {
    "cond_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx4si },
    &operand_data[22216],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:986 */
  {
    "cond_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx4si },
    &operand_data[22216],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:986 */
  {
    "cond_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx2di },
    &operand_data[22221],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:986 */
  {
    "cond_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx2di },
    &operand_data[22221],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1306 */
  {
    "aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx16qi },
    &operand_data[22226],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1306 */
  {
    "aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx8hi },
    &operand_data[22230],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1306 */
  {
    "aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx4si },
    &operand_data[22234],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1306 */
  {
    "aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx2di },
    &operand_data[22238],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1408 */
  {
    "aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx16qi },
    &operand_data[22226],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1408 */
  {
    "aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx8hi },
    &operand_data[22230],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1408 */
  {
    "aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx4si },
    &operand_data[22234],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1408 */
  {
    "aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx2di },
    &operand_data[22238],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1438 */
  {
    "aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx16qi },
    &operand_data[22226],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1438 */
  {
    "aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx8hi },
    &operand_data[22230],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1438 */
  {
    "aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx4si },
    &operand_data[22234],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1438 */
  {
    "aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx2di },
    &operand_data[22238],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1483 */
  {
    "aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx16qi },
    &operand_data[22226],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1483 */
  {
    "aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx8hi },
    &operand_data[22230],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1483 */
  {
    "aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx4si },
    &operand_data[22234],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1483 */
  {
    "aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx2di },
    &operand_data[22238],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1528 */
  {
    "aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx16qi },
    &operand_data[22226],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1528 */
  {
    "aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx8hi },
    &operand_data[22230],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1528 */
  {
    "aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx4si },
    &operand_data[22234],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1528 */
  {
    "aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx2di },
    &operand_data[22238],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1611 */
  {
    "aarch64_sve_add_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx16qi },
    &operand_data[22242],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1611 */
  {
    "aarch64_sve_add_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx16qi },
    &operand_data[22242],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1611 */
  {
    "aarch64_sve_add_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx8hi },
    &operand_data[22246],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1611 */
  {
    "aarch64_sve_add_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx8hi },
    &operand_data[22246],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1611 */
  {
    "aarch64_sve_add_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx4si },
    &operand_data[22250],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1611 */
  {
    "aarch64_sve_add_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx4si },
    &operand_data[22250],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1611 */
  {
    "aarch64_sve_add_asrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx2di },
    &operand_data[22254],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1611 */
  {
    "aarch64_sve_add_lsrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx2di },
    &operand_data[22254],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1695 */
  {
    "aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx16qi },
    &operand_data[15017],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1695 */
  {
    "aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx16qi },
    &operand_data[15017],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1695 */
  {
    "aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx8hi },
    &operand_data[15021],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1695 */
  {
    "aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx8hi },
    &operand_data[15021],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1695 */
  {
    "aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx4si },
    &operand_data[15025],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1695 */
  {
    "aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx4si },
    &operand_data[15025],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1695 */
  {
    "aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx2di },
    &operand_data[15029],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1695 */
  {
    "aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx2di },
    &operand_data[15029],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx16hf },
    &operand_data[22258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx16hf },
    &operand_data[22258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx16hf },
    &operand_data[22258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx16hf },
    &operand_data[22258],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx8sf },
    &operand_data[22261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx8sf },
    &operand_data[22261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx8sf },
    &operand_data[22261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx8sf },
    &operand_data[22261],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx4df },
    &operand_data[22264],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx4df },
    &operand_data[22264],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx4df },
    &operand_data[22264],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx4df },
    &operand_data[22264],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx32hf },
    &operand_data[22267],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx32hf },
    &operand_data[22267],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx32hf },
    &operand_data[22267],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx32hf },
    &operand_data[22267],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx16sf },
    &operand_data[22270],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx16sf },
    &operand_data[22270],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx16sf },
    &operand_data[22270],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx16sf },
    &operand_data[22270],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx8df },
    &operand_data[22273],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fmaxnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx8df },
    &operand_data[22273],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx8df },
    &operand_data[22273],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2059 */
  {
    "aarch64_sve_fminnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx8df },
    &operand_data[22273],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2413 */
  {
    "cond_sadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx8hi },
    &operand_data[22276],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2413 */
  {
    "cond_uadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx8hi },
    &operand_data[22276],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2413 */
  {
    "cond_sadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx4si },
    &operand_data[22281],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2413 */
  {
    "cond_uadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx4si },
    &operand_data[22281],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2413 */
  {
    "cond_sadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx2di },
    &operand_data[22286],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2413 */
  {
    "cond_uadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx2di },
    &operand_data[22286],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2543 */
  {
    "cadd90vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx16qi3 },
    &operand_data[20026],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2543 */
  {
    "cadd270vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx16qi3 },
    &operand_data[20026],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2543 */
  {
    "cadd90vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx8hi3 },
    &operand_data[20038],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2543 */
  {
    "cadd270vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx8hi3 },
    &operand_data[20038],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2543 */
  {
    "cadd90vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx4si3 },
    &operand_data[20018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2543 */
  {
    "cadd270vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx4si3 },
    &operand_data[20018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2543 */
  {
    "cadd90vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx2di3 },
    &operand_data[20022],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2543 */
  {
    "cadd270vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx2di3 },
    &operand_data[20022],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmlavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx16qi4 },
    &operand_data[22226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmla_conjvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx16qi4 },
    &operand_data[22226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmlsvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx16qi4 },
    &operand_data[22226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmls_conjvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx16qi4 },
    &operand_data[22226],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmlavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx8hi4 },
    &operand_data[22230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmla_conjvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx8hi4 },
    &operand_data[22230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmlsvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx8hi4 },
    &operand_data[22230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmls_conjvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx8hi4 },
    &operand_data[22230],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmlavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx4si4 },
    &operand_data[22234],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmla_conjvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx4si4 },
    &operand_data[22234],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmlsvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx4si4 },
    &operand_data[22234],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmls_conjvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx4si4 },
    &operand_data[22234],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmlavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx2di4 },
    &operand_data[22238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmla_conjvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx2di4 },
    &operand_data[22238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmlsvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx2di4 },
    &operand_data[22238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2595 */
  {
    "cmls_conjvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx2di4 },
    &operand_data[22238],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2616 */
  {
    "cmulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx16qi3 },
    &operand_data[20026],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2616 */
  {
    "cmul_conjvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx16qi3 },
    &operand_data[20026],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2616 */
  {
    "cmulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx8hi3 },
    &operand_data[20038],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2616 */
  {
    "cmul_conjvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx8hi3 },
    &operand_data[20038],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2616 */
  {
    "cmulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx4si3 },
    &operand_data[20018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2616 */
  {
    "cmul_conjvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx4si3 },
    &operand_data[20018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2616 */
  {
    "cmulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx2di3 },
    &operand_data[20022],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2616 */
  {
    "cmul_conjvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx2di3 },
    &operand_data[20022],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2695 */
  {
    "cond_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx4sf },
    &operand_data[22291],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2695 */
  {
    "cond_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx2df },
    &operand_data[22295],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2787 */
  {
    "cond_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtxvnx4sf },
    &operand_data[22115],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2940 */
  {
    "cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urecpevnx4si },
    &operand_data[19655],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2940 */
  {
    "cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ursqrtevnx4si },
    &operand_data[19655],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3005 */
  {
    "cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx8hf },
    &operand_data[22022],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3005 */
  {
    "cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx4sf },
    &operand_data[22038],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3005 */
  {
    "cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx2df },
    &operand_data[22054],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3318 */
  {
    "check_raw_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrssi },
    &operand_data[22299],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3318 */
  {
    "check_war_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrssi },
    &operand_data[22299],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3318 */
  {
    "check_raw_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrsdi },
    &operand_data[22304],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3318 */
  {
    "check_war_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrsdi },
    &operand_data[22304],
    5,
    5,
    0,
    0,
    0
  },
};


const char *
get_insn_name (int code)
{
  if (code == NOOP_MOVE_INSN_CODE)
    return "NOOP_MOVE";
  else
    return insn_data[code].name;
}
